/*! For license information please see main.js.LICENSE.txt */
(()=>{
///////////REPLACE_START///////////
//v 1.2

class RIF {
    static Match(string, replaceMatch, rString) {
        return ((replaceMatch === 'full' && string === rString) || (replaceMatch === 'inc' && string.includes(rString)) || false)
    }
    constructor(input = {}) {
        this.items = [document]
        this.mode = input.mode || 'text'
        this.match = input.match || 'full'
        this.replaceFunctions = input.func || []
        this.fullReplace = input.full || false
    }
    st = (obj) => {
        this.mode = obj.mode || this.mode
        this.match = obj.match || this.match
        this.replaceFunctions = obj.func ? [...this.replaceFunctions, ...obj.func] : this.replaceFunctions
        this.fullReplace = obj.full || this.fullReplace
    }
    get before() {
        this.items = this.items
            .filter(item => item && item.previousElementSibling)
            .map(item => item.previousElementSibling);
        return this
    }
    get next() {
        this.items = this.items
            .filter(item => item && item.nextElementSibling)
            .map(item => item.nextElementSibling);
        return this
    }
    get first() {
        this.items = this.items
            .filter(item => item && item.firstElementChild)
            .map(item => item.firstElementChild);
        return this
    }
    get all() {
        this.items = this.items
            .filter(item => item && item.children && item.children.length)
            .map(item => Array.from(item.children))
            .reduce((acc, children) => acc.concat(children), []);
        return this
    }
    index = (index) => {
        this.items = this.items
            .filter(item => item && item.children && item.children.length)
            .map(item => item.children[index]);
        return this
    }
    haveStyle = (styles) => {
        this.items = this.items
            .filter(item => { try { let style_ = item.getAttribute("style"); return style_ && style_.includes(styles) } catch { return false } });
        return this
    }
    isStyle = (styles) => {
        this.items = this.items
            .filter(item => { try { let style_ = item.getAttribute("style"); return style_ && (style_ === styles) } catch { return false } });
        return this
    }
    isClass = (ClassList) => {
        this.items = this.items
            .filter(item => item && item.classList === ClassList);
        return this
    }
    isId = (Id) => {
        this.items = this.items
            .filter(item => item && item.id === Id);
        return this
    }
    class = (className) => {
        this.items = this.items
            .filter(item => (item))
            .map(item => Array.from(item.querySelectorAll(`.${className}`)))
            .reduce((acc, children) => acc.concat(children), []);
        return this
    }
    id = (idValue) => {
        this.items = this.items
            .filter(item => (item))
            .map(item => Array.from(item.querySelectorAll(`#${idValue}`)))
            .reduce((acc, children) => acc.concat(children), []);
        return this
    }
    hasHtml = (html) => {
        if (html === '*') { return this }

        this.items = this.items
            .filter(item => (item.innerHTML.includes(html)))
        return this
    }
    isHtml = (html) => {
        this.items = this.items
            .filter(item => (item.innerHTML === html))
        return this
    }
    get fontCN() {
        this.replaceFunctions.push((div) => {
            div.style.fontFamily = "Noto Sans SC"
        })
        return this
    }


    REPLACE = (replaceObject) => {
        let mode = (
            (this.mode === 'html') ? 'innerHTML' :
                (this.mode === 'text') ? 'textContent' :
                    'error'
        )
        if (mode == 'error') { console.log('mode错误:', this.mode) }

        for (const [key, value] of Object.entries(replaceObject)) {
            this.items.forEach(item => {
                if (item && RIF.Match(item[mode], this.match, key)) {
                    if (this.match === 'full') {
                        item[mode] = value
                    } else if (this.match === 'inc') {
                        if (this.fullReplace) { item[mode] = value } else {
                            item[mode] = item[mode].replace(new RegExp(`${key}`, 'g'), value)
                        }
                    }
                    this.replaceFunctions.forEach(func => func(item))
                    window.__LOGGING__ += 1
                }
            })
        }
    }
    get click() {
        this.items.forEach(item => {
            const allProps = Object.keys(item);
            for (const prop of allProps) {
                if (prop.startsWith('__reactProps')) {
                    try { item[prop].onClick() } catch { }
                }
            }
        })

    }
    get enable() {
        this.items = this.items.forEach(item => {
            if (!(item.classList.contains(this.STATE))) { this.click }
        })
        return this
    }
    get disable() {
        this.items = this.items.forEach(item => {
            if (item.classList.contains(this.STATE)) { this.click }
        })
        return this
    }
    state = (STATE) => {
        this.STATE = STATE
        return this
    }
    get(any){
        this.items = this.items
            .map(item => Array.from(item.querySelectorAll(any)))
            .reduce((acc, children) => acc.concat(children), []);
        return this
    }
}
{ // miohotkey mod start
    if (typeof (window.MIOMOD_SAVE) == 'undefined') { window.MIOMOD_SAVE = {} }
    window.MIOMOD_SAVE.mio_hotkey_mod = {
        TrafficLightsSave: {}
    }
    window.MIOMOD_SAVE.Lock = {}
    window.MIOMOD_SAVE.loc = (document.documentElement.classList.value.includes('zh-HANS')) ?'cn':'en'
    if (document.getElementById('mioHotkeyMod')) { return }
}
function delay(ms) { return new Promise(resolve => setTimeout(resolve, ms)); }
async function Lock(name,time) {
    async function _Lock(name, time = 0) {
        if (typeof (window.MIOMOD_SAVE.Lock[name]) == 'undefined') { window.MIOMOD_SAVE.Lock[name] = false }
        if ((!window.MIOMOD_SAVE.Lock[name]) && time === 0) { window.MIOMOD_SAVE.Lock[name] = true; return true }
        else if (window.MIOMOD_SAVE.Lock[name] && time > 0) { await delay(time); window.MIOMOD_SAVE.Lock[name] = false }
        else { return false }
    }
    if (await _Lock(name)) { _Lock(name, time); return true }
    else { return false }

}
function rif(...args) { return new RIF(...args) }
function RE(...args) {
    return args.reduce((result, value, index, array) => {
        if (index % 2 === 0) {
            const key = array[index];
            const val = array[index + 1];
            result.set(key, val);
        }
        return result;
    }, new Map());
}
{ // modName and modDescription load
    window.modName = {}
    window.modDescription = {}
    window.modI18load = '汉化加载中'
    window.REPLACEITEMADD = null
    window.FUNCADD = null

    const loadScript = async (url, claer = false,err) => {
        if (claer) { document.head.removeChild(document.getElementById('I18nCN_JS')) }
        let scriptElement = document.createElement('script');
        scriptElement.src = url
        scriptElement.id = 'I18nCN_JS';
        scriptElement.onerror = err
        document.head.appendChild(scriptElement);
    }
    if (document.querySelectorAll('#I18nCN_JS').length === 0) {
        window.i18from = 'gitmirror'
        loadScript("https://hub.gitmirror.com/https://raw.githubusercontent.com/thx114/PmodI18/main/modDescription.js", false,
            err => {
                window.i18from = 'gh.con.sh'
                loadScript("https://gh.con.sh/https://raw.githubusercontent.com/thx114/PmodI18/main/modDescription.js",  true,
                    err => {
                        window.i18from = 'jsd.onmicrosoft.cn'
                        loadScript("https://jsd.onmicrosoft.cn/gh/thx114/PmodI18@latest/modDescription.js", true,
                            err => {
                                window.i18from = 'jsdelivr'
                                loadScript("https://fastly.jsdelivr.net/gh/thx114/PmodI18@latest/modDescription.js", true,
                                    err => {
                                        window.i18from = 'github'
                                        loadScript("https://raw.githubusercontent.com/thx114/PmodI18/main/modDescription.js", true,
                                            err => {
                                                window.modI18load = '汉化加载失败'
                                            }
                                        )
                                    }
                                )
                            }
                        )
                    }
                )
            }
        )
    }

}
function replaceContent() { // 汉化
    window.__LOGGING__ = 0
    let addinfo = ''

    let time1 = new Date().getTime()

    try {
        const DescriptionICN = (e)=>{
            if(e.classList.contains('Title-module__root--xiZEl')){
                const name = e.textContent
                if(window.modDescription.hasOwnProperty(name)){
                    console.log(name,'has be none')
                    let referenceElement = rif().class('Description-module__content--xvNm0').first.first.items[0]
                    referenceElement.style.display = 'none'
                    referenceElement.insertAdjacentHTML('afterend', `<div>${window.modDescription[name]}</div>`);
                    const EE = rif().class('Description-module__content--xvNm0').first.items[0].children
                    if ( EE[0].getElementsByTagName('*').length == EE[1].getElementsByTagName('*').length){return}

                    const Description = rif().class('Description-module__content--xvNm0').items[0]
                    const button = '<div class="Card-module__root--U1TD4 Content-module__root--UpLuS Content-module__crop-default--ySubZ Content-module__no-crop--fVX4y" ><div class="ReportCard-module__text--rr2sn">此页面的汉化信息滞后，你可以恢复成英文查看最新内容：</div><button id="toggleButton" class="Button-module__root--FnOVF Button-module__small--lU90M Button-module__width-mode-auto--HJDfO Button-module__ghost--jb79b Button-module__padding-for-icon-right-small--rNafe Button-module__children-left-aligned--df6Kv">恢复成英文界面</button></div>'
                    Description.insertAdjacentHTML('beforebegin', button);
                    
                    document.getElementById('toggleButton').addEventListener('click', function() {
                        var element1 = referenceElement
                        var element2 = referenceElement.nextElementSibling
                        // 切换元素的显示状态
                        if (element1.style.display === 'none') {
                            element1.style.display = '';
                            element2.style.display = 'none';
                            // 修改按钮文本 返回旧版汉化
                            this.textContent = '返回汉化内容';
                        } else {
                            element1.style.display = 'none';
                            element2.style.display = '';
                            // 修改按钮文本
                            this.textContent = '切换最新内容';
                        }
                    });
                
                }

            }

        }
        const PMOD = {
            模组:{
                名称: [rif().class('ModItem-module__header--oT5UM'),rif({func: [DescriptionICN]}).class('Title-module__root--xiZEl'),rif().class('RowListItem-module__text--GcEUH')]
            }
        }
        let REPLACE_ITEM_NEW = {
            模组:RE(
                PMOD.模组.名称,window.modName
            )
        }

        if (window.REPLACEITEMADD){
            REPLACE_ITEM_NEW = {...REPLACE_ITEM_NEW,...window.REPLACEITEMADD}
        }

        if (window.FUNCADD){
            FUNCADD()
        }

        for (const [ObjName, ObjReItems] of Object.entries(REPLACE_ITEM_NEW)) {
            for (const [ReFunc, ReStrs] of ObjReItems) {
                ReFunc.forEach(func => func.REPLACE(ReStrs))
            }
        }

        // 重载按钮
        {
            const dom = rif().class('TopMenu-module__close-button-container--AtXPn')
            if (dom.items.length && !document.getElementById('modMenuReload')){
                const button = '<button id="modMenuReload" class="Button-module__root--FnOVF Button-module__small--lU90M Button-module__width-mode-auto--HJDfO  Button-module__ghost--jb79b Button-module__padding-for-icon-right-small--rNafe Button-module__children-left-aligned--df6Kv">重载</button></div>'

                dom.items[0].insertAdjacentHTML('beforebegin', button);

                document.getElementById('modMenuReload').addEventListener('click', function() {
                    window.location.reload()
                });

            }
        }
        // 状态显示
        {
            const dom = rif().id('modMenuReload')
            if (dom.items.length && !document.getElementById('i18Load')){
                const i18state = `<div id="i18Load" class="Tag-module__tag--vX0mZ">${window.modI18load}</div>`

                dom.items[0].insertAdjacentHTML('beforebegin', i18state);
            }
            {
                switch(window.modI18load){
                    case '汉化加载中' : window.modI18load = '汉化加载中.';break
                    case '汉化加载中.' : window.modI18load = '汉化加载中..';break
                    case '汉化加载中..' : window.modI18load = '汉化加载中...';break
                    case '汉化加载中...' : window.modI18load = '汉化加载中';break
                    case '汉化已加载': window.modI18load = '汉化已加载 来源:'+window.i18from;break
                }
            }
            if(document.getElementById('i18Load')){document.getElementById('i18Load').textContent = window.modI18load}
        }
        


    } catch (err) { addinfo += err ; console.log(err)}
    let time2 = new Date().getTime()
    if (window.__LOGGING__ && document.getElementsByClassName('fps-display_t30').length) {
        if (!document.getElementById('I18loginfo')) {
            let targetDiv = document.getElementsByClassName('fps-display_t30')[0]
            let infoDiv = document.createElement("div")
            infoDiv.innerHTML = `全局汉化: ${window.__LOGGING__} 段字符 , 耗时 ${time2 - time1} ms`
            infoDiv.id = 'I18loginfo'
            infoDiv.style.fontFamily = "Noto Sans SC"
            infoDiv.style.justifyContent = 'flex-end'
            targetDiv.appendChild(infoDiv);
        } else {
            document.getElementById('I18loginfo').innerHTML = `全局汉化: ${window.__LOGGING__} 段字符 , 耗时 ${time2 - time1} ms`

        }
    }
    try{
    if(rif().class('header_IuN.header_Bpo.child-opacity-transition_nkS').class('title-bar_PF4').items.length){
        let E = rif().class('header_IuN.header_Bpo.child-opacity-transition_nkS').class('title-bar_PF4').items[0]
        let child = E.children[4]
        E.removeChild(child)
        }
    }catch{}

}
class overDebug { // miohotkey mod Debug
    static getPath = function getElementPath(element) {
        var path = [];
        while (element.tagName !== 'BODY') {
            var tag = element.tagName.toLowerCase();
            var id = element.id ? '#' + element.id : '';
            var classes = element.className ? '.' + element.className.replace(/\s+/g, '.') : '';
            path.unshift(tag + id + classes);
            element = element.parentNode;
        }
        return path.join(' > ');
    }
    static Hotkeys = RE(
        ['alt', 'KeyZ'], async () => {
            const SmartDomPather = {
                'PMOD.模组.名称': {
                    rif: async()=>{rif().class('ModItem-module__header--oT5UM'),rif().class('Title-module__root--xiZEl')},
                    path: [
                        (e)=>e.classList.contains('ModItem-module__header--oT5UM'),
                        (e)=>e.classList.contains('Title-module__root--xiZEl')
                    ],
                    items: []
                }
            }
            if (!await Lock('saz',200)) {return }
            console.log(window.MIOMOD_SAVE.global.lastGreenedItem, window.MIOMOD_SAVE.global.lastGreenedItem.textContent,overDebug.getPath(window.MIOMOD_SAVE.global.lastGreenedItem))

            for (const [name,ITEM] of Object.entries(SmartDomPather)){
                for(const p of ITEM.path){
                    if (p(window.MIOMOD_SAVE.global.lastGreenedItem)){
                        let Li18Save = JSON.parse(localStorage.getItem('Li18Save'))
                        if(typeof(Li18Save[name])=='undefined'){Li18Save[name] = []}
                        Li18Save[name].push(window.MIOMOD_SAVE.global.lastGreenedItem.textContent)
                        Li18Save[name] = [...new Set(Li18Save[name])]
                        localStorage.setItem('Li18Save', JSON.stringify(Li18Save))
                        window.MIOMOD_SAVE.global.lastGreenedItem.style.backgroundColor = 'red'
                        await delay(400)
                        window.MIOMOD_SAVE.global.lastGreenedItem.style.backgroundColor = ''
                    }
                }
            
            }

        },
        ['alt','KeyQ'],async ()=>{
            const Description = rif().class('Description-module__content--xvNm0').first.first.items[0]
            console.log(Description.innerHTML)
            console.log(`元素数量：${Description.getElementsByTagName('*').length}, 名称：${document.querySelector('.Title-module__root--xiZEl').textContent}`)
            window.MIOMOD_SAVE.global.lastGreenedItem && (window.MIOMOD_SAVE.global.lastGreenedItem.style.backgroundColor = 'blue')
            await delay(400)
            window.MIOMOD_SAVE.global.lastGreenedItem.style.backgroundColor = ''
        }
    )
}

try {
    function getElementPath(element) {
        var path = [];
        while (element.tagName !== 'BODY') {
            var tag = element.tagName.toLowerCase();
            var id = element.id ? '#' + element.id : '';
            var classes = element.className ? '.' + element.className.replace(/\s+/g, '.') : '';
            path.unshift(tag + id + classes);
            element = element.parentNode;
        }
        return path.join(' > ');
    }
    if (!document.getElementById('mioHotkeyMod')) {
        if (!window.MIOMOD_SAVE.global) window.MIOMOD_SAVE.global = {};
        if (!window.MIOMOD_SAVE.global.cKeys) window.MIOMOD_SAVE.global.cKeys = {};
        if (localStorage.getItem('Li18Save')==null) {localStorage.setItem('Li18Save', JSON.stringify(Object({})) )}
        // Add All Hotekys and ClickEvent
        let HOTKEYS_ITEMS = {}

        const HotkeyFuncs = [overDebug]


        HotkeyFuncs.forEach((item, index) => { HOTKEYS_ITEMS[index] = item.Hotkeys })


        console.log('MioHotkeys - All hotkeys and event Loaded:', LE = [HOTKEYS_ITEMS], (() => { if (LE[0])return 'Succ'})())

        window.MIOMOD_SAVE.mio_hotkey_mod.Event = { 
            // KeyEvent
            keydown: async (event) => {
                for (const [ObjName, ObjReItems] of Object.entries(HOTKEYS_ITEMS)) {
                    for (const [Keys, Func] of ObjReItems) {
                        if (
                            ((Keys.includes('shift')) ? event.shiftKey : !event.shiftKey) &&
                            ((Keys.includes('alt')) ? event.altKey : !event.altKey) &&
                            ((Keys.includes('ctrl')) ? event.ctrlKey : !event.ctrlKey) &&
                            (Keys.includes(event.code))
                        ) { await Func()}
                    }
                }
                if (window.MIOMOD_SAVE.global) {
                    window.MIOMOD_SAVE.global.keys = {
                        shift: event.shiftKey,
                        alt: event.altKey,
                        ctrl: event.ctrlKey,
                        key: event.code,
                    }
                } else {
                    window.MIOMOD_SAVE.global = {}
                }
            },
            keyup: async (event) => {
                if (window.MIOMOD_SAVE.global) {
                    window.MIOMOD_SAVE.global.keys = {
                        shift: event.shiftKey,
                        alt: event.altKey,
                        ctrl: event.ctrlKey,
                        key: false,
                    }

                    // clear MouseOver.lightgreenBG
                    if (!(window.MIOMOD_SAVE.global.keys.alt) && (window.MIOMOD_SAVE.global && window.MIOMOD_SAVE.global.lastGreenedItem)) {
                        window.MIOMOD_SAVE.global.lastGreenedItem.style.backgroundColor = window.MIOMOD_SAVE.global.lastGreenedItembackgroundColor || ''
                    }

                } else {
                    window.MIOMOD_SAVE.global = {}
                }
            },

            // isMouseMoveCheck
            mousedown: async (event) =>{
                if (window.MIOMOD_SAVE.global) {
                    let { x, y } = window.MIOMOD_SAVE.global
                    if (x === event.clientX && y === event.clientY) { window.MIOMOD_SAVE.global.move = false }
                    else { window.MIOMOD_SAVE.global.move = true }
                } else {
                    window.MIOMOD_SAVE.global = {}
                }

                window.MIOMOD_SAVE.global.x = event.clientX
                window.MIOMOD_SAVE.global.y = event.clientY
            },


            // MouseOverEvent
            mouseover: async (event) => {
                let hoveredElement = event.target
                if (window.MIOMOD_SAVE.global) {
                    window.MIOMOD_SAVE.global.over = hoveredElement
                } else {
                    window.MIOMOD_SAVE.global = {}
                }

                // LOAD AND RUN OVER_ITEMS
                //for (item of OVER_ITEMS) { item(hoveredElement) }
                

                // OVER lightgreenBG
                if (window.MIOMOD_SAVE.global && window.MIOMOD_SAVE.global.keys && window.MIOMOD_SAVE.global.keys.alt) {
                    let backgroundColor
                    if (hoveredElement.style.backgroundColor) {
                        backgroundColor = hoveredElement.style.backgroundColor
                    }
                    if (!hoveredElement.classList.contains('style--default')) {

                        hoveredElement.style.backgroundColor = 'lightgreen';

                        let Loc = window.MIOMOD_SAVE.loc == 'cn' ?
                            '<p>shift + alt + z : 输出元素</p> <p>shift + alt + Num1 : 输出资产信息</p><p>shift + alt + Num2 : 输出悬浮框</p><p>shift + alt + Num3 : 输出设置详情</p><p>shift + alt + Num4 : 输出鼠标悬浮框</p>' :
                            '<p>shift + alt + z : Output the DOM element under the mouse cursor</p> <p>shift + alt + Num1 : Output Asset Information</p><p>shift + alt + Num2 : Output Tooltip</p><p>shift + alt + Num3 : Output Settings Details</p><p>shift + alt + Num4 : Output Mouse Hover Box</p>'

                        // InfoP.Update(Loc,
                        //     {
                        //         fontFamily : "Noto Sans SC",
                        //         fontWeight : 'bold',
                        //         textShadow: '1.000000rem 1.000000rem 5.000000rem rgba(0, 0, 0, 1.000000)',
                        //         fontSize: '20.000000rem',
                        //         justifyContent: 'flex-start'
                        //     }
                        // )
                        
                        hoveredElement.addEventListener('mouseout', function () {
                            hoveredElement.style.backgroundColor = backgroundColor || '';
                        }, { once: true });
                        window.MIOMOD_SAVE.global.lastGreenedItem = hoveredElement
                        window.MIOMOD_SAVE.global.lastGreenedItembackgroundColor = backgroundColor
                    }


                }
                // else if (document.getElementById('infop')) { document.getElementById('infop').innerHTML = ''}
            }

            // WheelEvent
            // wheel: async (event) => {
            //     const delta = event.deltaY > 0 ? 'down' : event.deltaY < 0 ? 'up' : 'none'
            //     if (delta === 'none') return;
            //     for (item of WHEEL_ITEMS) { item(delta) }
            // }
        }

        for ([key, value] of Object.entries(window.MIOMOD_SAVE.mio_hotkey_mod.Event)) {
            document.addEventListener(key, value)
        }


        // js Load fix
        mioHotkeyDiv = document.createElement('div')
        mioHotkeyDiv.id = 'mioHotkeyMod'
        document.head.appendChild(mioHotkeyDiv)

    }

} catch { }
setInterval(replaceContent, 135);

window.opi = ()=>{
    let outputstr = ''
    const data = JSON.parse(localStorage.getItem('Li18Save'))
    for(const [name,item] of Object.entries(data)){
        outputstr += "${name}:\n  "
        outputstr += item.join(",\n  ")
        outputstr += ""
        console.log(outputstr)
    }
}

window.opCC = ()=>{
    localStorage.setItem('Li18Save', JSON.stringify(Object({})) )
}

//REPLACE_ITEMS_END//
var e={4184:(e,t)=>{var n;!function(){"use strict";var o={}.hasOwnProperty;function a(){for(var e=[],t=0;t<arguments.length;t++){var n=arguments[t];if(n){var r=typeof n;if("string"===r||"number"===r)e.push(n);else if(Array.isArray(n)){if(n.length){var i=a.apply(null,n);i&&e.push(i)}}else if("object"===r){if(n.toString!==Object.prototype.toString&&!n.toString.toString().includes("[native code]")){e.push(n.toString());continue}for(var s in n)o.call(n,s)&&n[s]&&e.push(s)}}}return e.join(" ")}e.exports?(a.default=a,e.exports=a):void 0===(n=function(){return a}.apply(t,[]))||(e.exports=n)}()},729:(e,t,n)=>{var o=n(7145);e.exports=o},4493:(e,t,n)=>{n(7971),n(3242);var o=n(4058);e.exports=o.Array.from},5367:(e,t,n)=>{n(5906);var o=n(5703);e.exports=o("Array").concat},2710:(e,t,n)=>{n(6274),n(5967);var o=n(5703);e.exports=o("Array").entries},2383:(e,t,n)=>{n(1501);var o=n(5703);e.exports=o("Array").filter},9:(e,t,n)=>{n(4929);var o=n(5703);e.exports=o("Array").findIndex},7671:(e,t,n)=>{n(833);var o=n(5703);e.exports=o("Array").find},991:(e,t,n)=>{n(7690);var o=n(5703);e.exports=o("Array").includes},5909:(e,t,n)=>{n(6274),n(5967);var o=n(5703);e.exports=o("Array").keys},3866:(e,t,n)=>{n(8787);var o=n(5703);e.exports=o("Array").map},4900:(e,t,n)=>{n(186);var o=n(5703);e.exports=o("Array").slice},2948:(e,t,n)=>{n(4115);var o=n(5703);e.exports=o("Array").sort},8209:(e,t,n)=>{n(8611);var o=n(5703);e.exports=o("Array").splice},6043:(e,t,n)=>{var o=n(7046),a=n(5367),r=Array.prototype;e.exports=function(e){var t=e.concat;return e===r||o(r,e)&&t===r.concat?a:t}},1727:(e,t,n)=>{var o=n(7046),a=n(7796),r=String.prototype;e.exports=function(e){var t=e.endsWith;return"string"==typeof e||e===r||o(r,e)&&t===r.endsWith?a:t}},2480:(e,t,n)=>{var o=n(7046),a=n(2383),r=Array.prototype;e.exports=function(e){var t=e.filter;return e===r||o(r,e)&&t===r.filter?a:t}},7147:(e,t,n)=>{var o=n(7046),a=n(9),r=Array.prototype;e.exports=function(e){var t=e.findIndex;return e===r||o(r,e)&&t===r.findIndex?a:t}},2236:(e,t,n)=>{var o=n(7046),a=n(7671),r=Array.prototype;e.exports=function(e){var t=e.find;return e===r||o(r,e)&&t===r.find?a:t}},8557:(e,t,n)=>{var o=n(7046),a=n(991),r=n(1631),i=Array.prototype,s=String.prototype;e.exports=function(e){var t=e.includes;return e===i||o(i,e)&&t===i.includes?a:"string"==typeof e||e===s||o(s,e)&&t===s.includes?r:t}},8287:(e,t,n)=>{var o=n(7046),a=n(3866),r=Array.prototype;e.exports=function(e){var t=e.map;return e===r||o(r,e)&&t===r.map?a:t}},9257:(e,t,n)=>{var o=n(7046),a=n(454),r=String.prototype;e.exports=function(e){var t=e.repeat;return"string"==typeof e||e===r||o(r,e)&&t===r.repeat?a:t}},9279:(e,t,n)=>{var o=n(7046),a=n(9615),r=String.prototype;e.exports=function(e){var t=e.replaceAll;return"string"==typeof e||e===r||o(r,e)&&t===r.replaceAll?a:t}},9601:(e,t,n)=>{var o=n(7046),a=n(4900),r=Array.prototype;e.exports=function(e){var t=e.slice;return e===r||o(r,e)&&t===r.slice?a:t}},9355:(e,t,n)=>{var o=n(7046),a=n(2948),r=Array.prototype;e.exports=function(e){var t=e.sort;return e===r||o(r,e)&&t===r.sort?a:t}},8339:(e,t,n)=>{var o=n(7046),a=n(8209),r=Array.prototype;e.exports=function(e){var t=e.splice;return e===r||o(r,e)&&t===r.splice?a:t}},1611:(e,t,n)=>{var o=n(7046),a=n(3269),r=String.prototype;e.exports=function(e){var t=e.startsWith;return"string"==typeof e||e===r||o(r,e)&&t===r.startsWith?a:t}},4426:(e,t,n)=>{n(2619);var o=n(4058),a=n(9730);o.JSON||(o.JSON={stringify:JSON.stringify}),e.exports=function(e,t,n){return a(o.JSON.stringify,null,arguments)}},1018:(e,t,n)=>{n(6274),n(7501),n(5967),n(7971);var o=n(4058);e.exports=o.Map},5999:(e,t,n)=>{n(9221);var o=n(4058);e.exports=o.Object.assign},8494:(e,t,n)=>{n(1724);var o=n(4058);e.exports=o.Object.keys},8430:(e,t,n)=>{n(6614);var o=n(4058);e.exports=o.Object.values},7579:(e,t,n)=>{n(9718);var o=n(4058);e.exports=o.parseFloat},8524:(e,t,n)=>{n(4038);var o=n(4058);e.exports=o.parseInt},2956:(e,t,n)=>{n(7627),n(6274),n(5967),n(8881),n(4560),n(7206),n(4349),n(7971);var o=n(4058);e.exports=o.Promise},7796:(e,t,n)=>{n(1293);var o=n(5703);e.exports=o("String").endsWith},1631:(e,t,n)=>{n(1035);var o=n(5703);e.exports=o("String").includes},454:(e,t,n)=>{n(986);var o=n(5703);e.exports=o("String").repeat},9615:(e,t,n)=>{n(7091),n(3475),n(6226);var o=n(5703);e.exports=o("String").replaceAll},3269:(e,t,n)=>{n(4761);var o=n(5703);e.exports=o("String").startsWith},3893:(e,t,n)=>{n(3026);var o=n(729);e.exports=o},4883:(e,t,n)=>{var o=n(7475),a=n(9826),r=TypeError;e.exports=function(e){if(o(e))return e;throw r(a(e)+" is not a function")}},174:(e,t,n)=>{var o=n(4284),a=n(9826),r=TypeError;e.exports=function(e){if(o(e))return e;throw r(a(e)+" is not a constructor")}},1851:(e,t,n)=>{var o=n(7475),a=String,r=TypeError;e.exports=function(e){if("object"==typeof e||o(e))return e;throw r("Can't set "+a(e)+" as a prototype")}},8479:e=>{e.exports=function(){}},5743:(e,t,n)=>{var o=n(7046),a=TypeError;e.exports=function(e,t){if(o(t,e))return e;throw a("Incorrect invocation")}},6059:(e,t,n)=>{var o=n(941),a=String,r=TypeError;e.exports=function(e){if(o(e))return e;throw r(a(e)+" is not an object")}},7135:(e,t,n)=>{var o=n(5981);e.exports=o((function(){if("function"==typeof ArrayBuffer){var e=new ArrayBuffer(8);Object.isExtensible(e)&&Object.defineProperty(e,"a",{value:8})}}))},1354:(e,t,n)=>{"use strict";var o=n(6843),a=n(8834),r=n(9678),i=n(5196),s=n(6782),l=n(4284),u=n(623),c=n(5449),d=n(3476),E=n(2902),m=Array;e.exports=function(e){var t=r(e),n=l(this),T=arguments.length,p=T>1?arguments[1]:void 0,f=void 0!==p;f&&(p=o(p,T>2?arguments[2]:void 0));var S,O,A,I,v,_,N=E(t),L=0;if(!N||this===m&&s(N))for(S=u(t),O=n?new this(S):m(S);S>L;L++)_=f?p(t[L],L):t[L],c(O,L,_);else for(v=(I=d(t,N)).next,O=n?new this:[];!(A=a(v,I)).done;L++)_=f?i(I,p,[A.value,L],!0):A.value,c(O,L,_);return O.length=L,O}},1692:(e,t,n)=>{var o=n(4529),a=n(9413),r=n(623),i=function(e){return function(t,n,i){var s,l=o(t),u=r(l),c=a(i,u);if(e&&n!=n){for(;u>c;)if((s=l[c++])!=s)return!0}else for(;u>c;c++)if((e||c in l)&&l[c]===n)return e||c||0;return!e&&-1}};e.exports={includes:i(!0),indexOf:i(!1)}},3610:(e,t,n)=>{var o=n(6843),a=n(5329),r=n(7026),i=n(9678),s=n(623),l=n(4692),u=a([].push),c=function(e){var t=1==e,n=2==e,a=3==e,c=4==e,d=6==e,E=7==e,m=5==e||d;return function(T,p,f,S){for(var O,A,I=i(T),v=r(I),_=o(p,f),N=s(v),L=0,R=S||l,g=t?R(T,N):n||E?R(T,0):void 0;N>L;L++)if((m||L in v)&&(A=_(O=v[L],L,I),e))if(t)g[L]=A;else if(A)switch(e){case 3:return!0;case 5:return O;case 6:return L;case 2:u(g,O)}else switch(e){case 4:return!1;case 7:u(g,O)}return d?-1:a||c?c:g}};e.exports={forEach:c(0),map:c(1),filter:c(2),some:c(3),every:c(4),find:c(5),findIndex:c(6),filterReject:c(7)}},568:(e,t,n)=>{var o=n(5981),a=n(9813),r=n(3385),i=a("species");e.exports=function(e){return r>=51||!o((function(){var t=[];return(t.constructor={})[i]=function(){return{foo:1}},1!==t[e](Boolean).foo}))}},4194:(e,t,n)=>{"use strict";var o=n(5981);e.exports=function(e,t){var n=[][e];return!!n&&o((function(){n.call(null,t||function(){return 1},1)}))}},9779:(e,t,n)=>{"use strict";var o=n(5746),a=n(1052),r=TypeError,i=Object.getOwnPropertyDescriptor,s=o&&!function(){if(void 0!==this)return!0;try{Object.defineProperty([],"length",{writable:!1}).length=1}catch(e){return e instanceof TypeError}}();e.exports=s?function(e,t){if(a(e)&&!i(e,"length").writable)throw r("Cannot set read only .length");return e.length=t}:function(e,t){return e.length=t}},5790:(e,t,n)=>{var o=n(9413),a=n(623),r=n(5449),i=Array,s=Math.max;e.exports=function(e,t,n){for(var l=a(e),u=o(t,l),c=o(void 0===n?l:n,l),d=i(s(c-u,0)),E=0;u<c;u++,E++)r(d,E,e[u]);return d.length=E,d}},3765:(e,t,n)=>{var o=n(5329);e.exports=o([].slice)},1388:(e,t,n)=>{var o=n(5790),a=Math.floor,r=function(e,t){var n=e.length,l=a(n/2);return n<8?i(e,t):s(e,r(o(e,0,l),t),r(o(e,l),t),t)},i=function(e,t){for(var n,o,a=e.length,r=1;r<a;){for(o=r,n=e[r];o&&t(e[o-1],n)>0;)e[o]=e[--o];o!==r++&&(e[o]=n)}return e},s=function(e,t,n,o){for(var a=t.length,r=n.length,i=0,s=0;i<a||s<r;)e[i+s]=i<a&&s<r?o(t[i],n[s])<=0?t[i++]:n[s++]:i<a?t[i++]:n[s++];return e};e.exports=r},5693:(e,t,n)=>{var o=n(1052),a=n(4284),r=n(941),i=n(9813)("species"),s=Array;e.exports=function(e){var t;return o(e)&&(t=e.constructor,(a(t)&&(t===s||o(t.prototype))||r(t)&&null===(t=t[i]))&&(t=void 0)),void 0===t?s:t}},4692:(e,t,n)=>{var o=n(5693);e.exports=function(e,t){return new(o(e))(0===t?0:t)}},5196:(e,t,n)=>{var o=n(6059),a=n(7609);e.exports=function(e,t,n,r){try{return r?t(o(n)[0],n[1]):t(n)}catch(t){a(e,"throw",t)}}},1385:(e,t,n)=>{var o=n(9813)("iterator"),a=!1;try{var r=0,i={next:function(){return{done:!!r++}},return:function(){a=!0}};i[o]=function(){return this},Array.from(i,(function(){throw 2}))}catch(e){}e.exports=function(e,t){if(!t&&!a)return!1;var n=!1;try{var r={};r[o]=function(){return{next:function(){return{done:n=!0}}}},e(r)}catch(e){}return n}},2532:(e,t,n)=>{var o=n(5329),a=o({}.toString),r=o("".slice);e.exports=function(e){return r(a(e),8,-1)}},9697:(e,t,n)=>{var o=n(2885),a=n(7475),r=n(2532),i=n(9813)("toStringTag"),s=Object,l="Arguments"==r(function(){return arguments}());e.exports=o?r:function(e){var t,n,o;return void 0===e?"Undefined":null===e?"Null":"string"==typeof(n=function(e,t){try{return e[t]}catch(e){}}(t=s(e),i))?n:l?r(t):"Object"==(o=r(t))&&a(t.callee)?"Arguments":o}},5616:(e,t,n)=>{"use strict";var o=n(9290),a=n(9202),r=n(4380),i=n(6843),s=n(5743),l=n(2119),u=n(3091),c=n(5105),d=n(3538),E=n(4431),m=n(5746),T=n(1647).fastKey,p=n(5402),f=p.set,S=p.getterFor;e.exports={getConstructor:function(e,t,n,c){var d=e((function(e,a){s(e,E),f(e,{type:t,index:o(null),first:void 0,last:void 0,size:0}),m||(e.size=0),l(a)||u(a,e[c],{that:e,AS_ENTRIES:n})})),E=d.prototype,p=S(t),O=function(e,t,n){var o,a,r=p(e),i=A(e,t);return i?i.value=n:(r.last=i={index:a=T(t,!0),key:t,value:n,previous:o=r.last,next:void 0,removed:!1},r.first||(r.first=i),o&&(o.next=i),m?r.size++:e.size++,"F"!==a&&(r.index[a]=i)),e},A=function(e,t){var n,o=p(e),a=T(t);if("F"!==a)return o.index[a];for(n=o.first;n;n=n.next)if(n.key==t)return n};return r(E,{clear:function(){for(var e=p(this),t=e.index,n=e.first;n;)n.removed=!0,n.previous&&(n.previous=n.previous.next=void 0),delete t[n.index],n=n.next;e.first=e.last=void 0,m?e.size=0:this.size=0},delete:function(e){var t=this,n=p(t),o=A(t,e);if(o){var a=o.next,r=o.previous;delete n.index[o.index],o.removed=!0,r&&(r.next=a),a&&(a.previous=r),n.first==o&&(n.first=a),n.last==o&&(n.last=r),m?n.size--:t.size--}return!!o},forEach:function(e){for(var t,n=p(this),o=i(e,arguments.length>1?arguments[1]:void 0);t=t?t.next:n.first;)for(o(t.value,t.key,this);t&&t.removed;)t=t.previous},has:function(e){return!!A(this,e)}}),r(E,n?{get:function(e){var t=A(this,e);return t&&t.value},set:function(e,t){return O(this,0===e?0:e,t)}}:{add:function(e){return O(this,e=0===e?0:e,e)}}),m&&a(E,"size",{configurable:!0,get:function(){return p(this).size}}),d},setStrong:function(e,t,n){var o=t+" Iterator",a=S(t),r=S(o);c(e,t,(function(e,t){f(this,{type:o,target:e,state:a(e),kind:t,last:void 0})}),(function(){for(var e=r(this),t=e.kind,n=e.last;n&&n.removed;)n=n.previous;return e.target&&(e.last=n=n?n.next:e.state.first)?d("keys"==t?n.key:"values"==t?n.value:[n.key,n.value],!1):(e.target=void 0,d(void 0,!0))}),n?"entries":"values",!n,!0),E(t)}}},4683:(e,t,n)=>{"use strict";var o=n(6887),a=n(1899),r=n(1647),i=n(5981),s=n(2029),l=n(3091),u=n(5743),c=n(7475),d=n(941),E=n(904),m=n(5988).f,T=n(3610).forEach,p=n(5746),f=n(5402),S=f.set,O=f.getterFor;e.exports=function(e,t,n){var f,A=-1!==e.indexOf("Map"),I=-1!==e.indexOf("Weak"),v=A?"set":"add",_=a[e],N=_&&_.prototype,L={};if(p&&c(_)&&(I||N.forEach&&!i((function(){(new _).entries().next()})))){var R=(f=t((function(t,n){S(u(t,R),{type:e,collection:new _}),null!=n&&l(n,t[v],{that:t,AS_ENTRIES:A})}))).prototype,g=O(e);T(["add","clear","delete","forEach","get","has","set","keys","values","entries"],(function(e){var t="add"==e||"set"==e;!(e in N)||I&&"clear"==e||s(R,e,(function(n,o){var a=g(this).collection;if(!t&&I&&!d(n))return"get"==e&&void 0;var r=a[e](0===n?0:n,o);return t?this:r}))})),I||m(R,"size",{configurable:!0,get:function(){return g(this).collection.size}})}else f=n.getConstructor(t,e,A,v),r.enable();return E(f,e,!1,!0),L[e]=f,o({global:!0,forced:!0},L),I||n.setStrong(f,e,A),f}},3489:(e,t,n)=>{var o=n(953),a=n(1136),r=n(9677),i=n(5988);e.exports=function(e,t,n){for(var s=a(t),l=i.f,u=r.f,c=0;c<s.length;c++){var d=s[c];o(e,d)||n&&o(n,d)||l(e,d,u(t,d))}}},7772:(e,t,n)=>{var o=n(9813)("match");e.exports=function(e){var t=/./;try{"/./"[e](t)}catch(n){try{return t[o]=!1,"/./"[e](t)}catch(e){}}return!1}},4160:(e,t,n)=>{var o=n(5981);e.exports=!o((function(){function e(){}return e.prototype.constructor=null,Object.getPrototypeOf(new e)!==e.prototype}))},3538:e=>{e.exports=function(e,t){return{value:e,done:t}}},2029:(e,t,n)=>{var o=n(5746),a=n(5988),r=n(1887);e.exports=o?function(e,t,n){return a.f(e,t,r(1,n))}:function(e,t,n){return e[t]=n,e}},1887:e=>{e.exports=function(e,t){return{enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}}},5449:(e,t,n)=>{"use strict";var o=n(3894),a=n(5988),r=n(1887);e.exports=function(e,t,n){var i=o(t);i in e?a.f(e,i,r(0,n)):e[i]=n}},9202:(e,t,n)=>{var o=n(5988);e.exports=function(e,t,n){return o.f(e,t,n)}},5929:(e,t,n)=>{var o=n(2029);e.exports=function(e,t,n,a){return a&&a.enumerable?e[t]=n:o(e,t,n),e}},4380:(e,t,n)=>{var o=n(5929);e.exports=function(e,t,n){for(var a in t)n&&n.unsafe&&e[a]?e[a]=t[a]:o(e,a,t[a],n);return e}},5609:(e,t,n)=>{var o=n(1899),a=Object.defineProperty;e.exports=function(e,t){try{a(o,e,{value:t,configurable:!0,writable:!0})}catch(n){o[e]=t}return t}},5863:(e,t,n)=>{"use strict";var o=n(9826),a=TypeError;e.exports=function(e,t){if(!delete e[t])throw a("Cannot delete property "+o(t)+" of "+o(e))}},5746:(e,t,n)=>{var o=n(5981);e.exports=!o((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]}))},6616:e=>{var t="object"==typeof document&&document.all,n=void 0===t&&void 0!==t;e.exports={all:t,IS_HTMLDDA:n}},1333:(e,t,n)=>{var o=n(1899),a=n(941),r=o.document,i=a(r)&&a(r.createElement);e.exports=function(e){return i?r.createElement(e):{}}},6796:e=>{var t=TypeError;e.exports=function(e){if(e>9007199254740991)throw t("Maximum allowed index exceeded");return e}},3281:e=>{e.exports={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}},4342:(e,t,n)=>{var o=n(2861).match(/firefox\/(\d+)/i);e.exports=!!o&&+o[1]},3321:(e,t,n)=>{var o=n(8501),a=n(6049);e.exports=!o&&!a&&"object"==typeof window&&"object"==typeof document},8501:e=>{e.exports="object"==typeof Deno&&Deno&&"object"==typeof Deno.version},1046:(e,t,n)=>{var o=n(2861);e.exports=/MSIE|Trident/.test(o)},4470:(e,t,n)=>{var o=n(2861);e.exports=/ipad|iphone|ipod/i.test(o)&&"undefined"!=typeof Pebble},2749:(e,t,n)=>{var o=n(2861);e.exports=/(?:ipad|iphone|ipod).*applewebkit/i.test(o)},6049:(e,t,n)=>{var o=n(2532);e.exports="undefined"!=typeof process&&"process"==o(process)},8045:(e,t,n)=>{var o=n(2861);e.exports=/web0s(?!.*chrome)/i.test(o)},2861:e=>{e.exports="undefined"!=typeof navigator&&String(navigator.userAgent)||""},3385:(e,t,n)=>{var o,a,r=n(1899),i=n(2861),s=r.process,l=r.Deno,u=s&&s.versions||l&&l.version,c=u&&u.v8;c&&(a=(o=c.split("."))[0]>0&&o[0]<4?1:+(o[0]+o[1])),!a&&i&&(!(o=i.match(/Edge\/(\d+)/))||o[1]>=74)&&(o=i.match(/Chrome\/(\d+)/))&&(a=+o[1]),e.exports=a},8938:(e,t,n)=>{var o=n(2861).match(/AppleWebKit\/(\d+)\./);e.exports=!!o&&+o[1]},5703:(e,t,n)=>{var o=n(4058);e.exports=function(e){return o[e+"Prototype"]}},6759:e=>{e.exports=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"]},3995:(e,t,n)=>{var o=n(5329),a=Error,r=o("".replace),i=String(a("zxcasd").stack),s=/\n\s*at [^:]*:[^\n]*/,l=s.test(i);e.exports=function(e,t){if(l&&"string"==typeof e&&!a.prepareStackTrace)for(;t--;)e=r(e,s,"");return e}},9585:(e,t,n)=>{var o=n(2029),a=n(3995),r=n(8780),i=Error.captureStackTrace;e.exports=function(e,t,n,s){r&&(i?i(e,t):o(e,"stack",a(n,s)))}},8780:(e,t,n)=>{var o=n(5981),a=n(1887);e.exports=!o((function(){var e=Error("a");return!("stack"in e)||(Object.defineProperty(e,"stack",a(1,7)),7!==e.stack)}))},6887:(e,t,n)=>{"use strict";var o=n(1899),a=n(9730),r=n(7484),i=n(7475),s=n(9677).f,l=n(7252),u=n(4058),c=n(6843),d=n(2029),E=n(953),m=function(e){var t=function(n,o,r){if(this instanceof t){switch(arguments.length){case 0:return new e;case 1:return new e(n);case 2:return new e(n,o)}return new e(n,o,r)}return a(e,this,arguments)};return t.prototype=e.prototype,t};e.exports=function(e,t){var n,a,T,p,f,S,O,A,I,v=e.target,_=e.global,N=e.stat,L=e.proto,R=_?o:N?o[v]:(o[v]||{}).prototype,g=_?u:u[v]||d(u,v,{})[v],h=g.prototype;for(p in t)a=!(n=l(_?p:v+(N?".":"#")+p,e.forced))&&R&&E(R,p),S=g[p],a&&(O=e.dontCallGetSet?(I=s(R,p))&&I.value:R[p]),f=a&&O?O:t[p],a&&typeof S==typeof f||(A=e.bind&&a?c(f,o):e.wrap&&a?m(f):L&&i(f)?r(f):f,(e.sham||f&&f.sham||S&&S.sham)&&d(A,"sham",!0),d(g,p,A),L&&(E(u,T=v+"Prototype")||d(u,T,{}),d(u[T],p,f),e.real&&h&&(n||!h[p])&&d(h,p,f)))}},5981:e=>{e.exports=function(e){try{return!!e()}catch(e){return!0}}},5602:(e,t,n)=>{var o=n(5981);e.exports=!o((function(){return Object.isExtensible(Object.preventExtensions({}))}))},9730:(e,t,n)=>{var o=n(8285),a=Function.prototype,r=a.apply,i=a.call;e.exports="object"==typeof Reflect&&Reflect.apply||(o?i.bind(r):function(){return i.apply(r,arguments)})},6843:(e,t,n)=>{var o=n(7484),a=n(4883),r=n(8285),i=o(o.bind);e.exports=function(e,t){return a(e),void 0===t?e:r?i(e,t):function(){return e.apply(t,arguments)}}},8285:(e,t,n)=>{var o=n(5981);e.exports=!o((function(){var e=function(){}.bind();return"function"!=typeof e||e.hasOwnProperty("prototype")}))},8834:(e,t,n)=>{var o=n(8285),a=Function.prototype.call;e.exports=o?a.bind(a):function(){return a.apply(a,arguments)}},9417:(e,t,n)=>{var o=n(5746),a=n(953),r=Function.prototype,i=o&&Object.getOwnPropertyDescriptor,s=a(r,"name"),l=s&&"something"===function(){}.name,u=s&&(!o||o&&i(r,"name").configurable);e.exports={EXISTS:s,PROPER:l,CONFIGURABLE:u}},5526:(e,t,n)=>{var o=n(5329),a=n(4883);e.exports=function(e,t,n){try{return o(a(Object.getOwnPropertyDescriptor(e,t)[n]))}catch(e){}}},7484:(e,t,n)=>{var o=n(2532),a=n(5329);e.exports=function(e){if("Function"===o(e))return a(e)}},5329:(e,t,n)=>{var o=n(8285),a=Function.prototype,r=a.call,i=o&&a.bind.bind(r,r);e.exports=o?i:function(e){return function(){return r.apply(e,arguments)}}},626:(e,t,n)=>{var o=n(4058),a=n(1899),r=n(7475),i=function(e){return r(e)?e:void 0};e.exports=function(e,t){return arguments.length<2?i(o[e])||i(a[e]):o[e]&&o[e][t]||a[e]&&a[e][t]}},2902:(e,t,n)=>{var o=n(9697),a=n(4229),r=n(2119),i=n(2077),s=n(9813)("iterator");e.exports=function(e){if(!r(e))return a(e,s)||a(e,"@@iterator")||i[o(e)]}},3476:(e,t,n)=>{var o=n(8834),a=n(4883),r=n(6059),i=n(9826),s=n(2902),l=TypeError;e.exports=function(e,t){var n=arguments.length<2?s(e):t;if(a(n))return r(o(n,e));throw l(i(e)+" is not iterable")}},3323:(e,t,n)=>{var o=n(5329),a=n(1052),r=n(7475),i=n(2532),s=n(5803),l=o([].push);e.exports=function(e){if(r(e))return e;if(a(e)){for(var t=e.length,n=[],o=0;o<t;o++){var u=e[o];"string"==typeof u?l(n,u):"number"!=typeof u&&"Number"!=i(u)&&"String"!=i(u)||l(n,s(u))}var c=n.length,d=!0;return function(e,t){if(d)return d=!1,t;if(a(this))return t;for(var o=0;o<c;o++)if(n[o]===e)return t}}}},4229:(e,t,n)=>{var o=n(4883),a=n(2119);e.exports=function(e,t){var n=e[t];return a(n)?void 0:o(n)}},5076:(e,t,n)=>{var o=n(5329),a=n(9678),r=Math.floor,i=o("".charAt),s=o("".replace),l=o("".slice),u=/\$([$&'`]|\d{1,2}|<[^>]*>)/g,c=/\$([$&'`]|\d{1,2})/g;e.exports=function(e,t,n,o,d,E){var m=n+e.length,T=o.length,p=c;return void 0!==d&&(d=a(d),p=u),s(E,p,(function(a,s){var u;switch(i(s,0)){case"$":return"$";case"&":return e;case"`":return l(t,0,n);case"'":return l(t,m);case"<":u=d[l(s,1,-1)];break;default:var c=+s;if(0===c)return a;if(c>T){var E=r(c/10);return 0===E?a:E<=T?void 0===o[E-1]?i(s,1):o[E-1]+i(s,1):a}u=o[c-1]}return void 0===u?"":u}))}},1899:(e,t,n)=>{var o=function(e){return e&&e.Math==Math&&e};e.exports=o("object"==typeof globalThis&&globalThis)||o("object"==typeof window&&window)||o("object"==typeof self&&self)||o("object"==typeof n.g&&n.g)||function(){return this}()||Function("return this")()},953:(e,t,n)=>{var o=n(5329),a=n(9678),r=o({}.hasOwnProperty);e.exports=Object.hasOwn||function(e,t){return r(a(e),t)}},7748:e=>{e.exports={}},4845:e=>{e.exports=function(e,t){try{1==arguments.length?console.error(e):console.error(e,t)}catch(e){}}},5463:(e,t,n)=>{var o=n(626);e.exports=o("document","documentElement")},2840:(e,t,n)=>{var o=n(5746),a=n(5981),r=n(1333);e.exports=!o&&!a((function(){return 7!=Object.defineProperty(r("div"),"a",{get:function(){return 7}}).a}))},7026:(e,t,n)=>{var o=n(5329),a=n(5981),r=n(2532),i=Object,s=o("".split);e.exports=a((function(){return!i("z").propertyIsEnumerable(0)}))?function(e){return"String"==r(e)?s(e,""):i(e)}:i},1302:(e,t,n)=>{var o=n(5329),a=n(7475),r=n(3030),i=o(Function.toString);a(r.inspectSource)||(r.inspectSource=function(e){return i(e)}),e.exports=r.inspectSource},3794:(e,t,n)=>{var o=n(941),a=n(2029);e.exports=function(e,t){o(t)&&"cause"in t&&a(e,"cause",t.cause)}},1647:(e,t,n)=>{var o=n(6887),a=n(5329),r=n(7748),i=n(941),s=n(953),l=n(5988).f,u=n(946),c=n(684),d=n(1584),E=n(9418),m=n(5602),T=!1,p=E("meta"),f=0,S=function(e){l(e,p,{value:{objectID:"O"+f++,weakData:{}}})},O=e.exports={enable:function(){O.enable=function(){},T=!0;var e=u.f,t=a([].splice),n={};n[p]=1,e(n).length&&(u.f=function(n){for(var o=e(n),a=0,r=o.length;a<r;a++)if(o[a]===p){t(o,a,1);break}return o},o({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:c.f}))},fastKey:function(e,t){if(!i(e))return"symbol"==typeof e?e:("string"==typeof e?"S":"P")+e;if(!s(e,p)){if(!d(e))return"F";if(!t)return"E";S(e)}return e[p].objectID},getWeakData:function(e,t){if(!s(e,p)){if(!d(e))return!0;if(!t)return!1;S(e)}return e[p].weakData},onFreeze:function(e){return m&&T&&d(e)&&!s(e,p)&&S(e),e}};r[p]=!0},5402:(e,t,n)=>{var o,a,r,i=n(7093),s=n(1899),l=n(941),u=n(2029),c=n(953),d=n(3030),E=n(4262),m=n(7748),T="Object already initialized",p=s.TypeError,f=s.WeakMap;if(i||d.state){var S=d.state||(d.state=new f);S.get=S.get,S.has=S.has,S.set=S.set,o=function(e,t){if(S.has(e))throw p(T);return t.facade=e,S.set(e,t),t},a=function(e){return S.get(e)||{}},r=function(e){return S.has(e)}}else{var O=E("state");m[O]=!0,o=function(e,t){if(c(e,O))throw p(T);return t.facade=e,u(e,O,t),t},a=function(e){return c(e,O)?e[O]:{}},r=function(e){return c(e,O)}}e.exports={set:o,get:a,has:r,enforce:function(e){return r(e)?a(e):o(e,{})},getterFor:function(e){return function(t){var n;if(!l(t)||(n=a(t)).type!==e)throw p("Incompatible receiver, "+e+" required");return n}}}},6782:(e,t,n)=>{var o=n(9813),a=n(2077),r=o("iterator"),i=Array.prototype;e.exports=function(e){return void 0!==e&&(a.Array===e||i[r]===e)}},1052:(e,t,n)=>{var o=n(2532);e.exports=Array.isArray||function(e){return"Array"==o(e)}},7475:(e,t,n)=>{var o=n(6616),a=o.all;e.exports=o.IS_HTMLDDA?function(e){return"function"==typeof e||e===a}:function(e){return"function"==typeof e}},4284:(e,t,n)=>{var o=n(5329),a=n(5981),r=n(7475),i=n(9697),s=n(626),l=n(1302),u=function(){},c=[],d=s("Reflect","construct"),E=/^\s*(?:class|function)\b/,m=o(E.exec),T=!E.exec(u),p=function(e){if(!r(e))return!1;try{return d(u,c,e),!0}catch(e){return!1}},f=function(e){if(!r(e))return!1;switch(i(e)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return!1}try{return T||!!m(E,l(e))}catch(e){return!0}};f.sham=!0,e.exports=!d||a((function(){var e;return p(p.call)||!p(Object)||!p((function(){e=!0}))||e}))?f:p},7252:(e,t,n)=>{var o=n(5981),a=n(7475),r=/#|\.prototype\./,i=function(e,t){var n=l[s(e)];return n==c||n!=u&&(a(t)?o(t):!!t)},s=i.normalize=function(e){return String(e).replace(r,".").toLowerCase()},l=i.data={},u=i.NATIVE="N",c=i.POLYFILL="P";e.exports=i},2119:e=>{e.exports=function(e){return null==e}},941:(e,t,n)=>{var o=n(7475),a=n(6616),r=a.all;e.exports=a.IS_HTMLDDA?function(e){return"object"==typeof e?null!==e:o(e)||e===r}:function(e){return"object"==typeof e?null!==e:o(e)}},2529:e=>{e.exports=!0},685:(e,t,n)=>{var o=n(941),a=n(2532),r=n(9813)("match");e.exports=function(e){var t;return o(e)&&(void 0!==(t=e[r])?!!t:"RegExp"==a(e))}},6664:(e,t,n)=>{var o=n(626),a=n(7475),r=n(7046),i=n(2302),s=Object;e.exports=i?function(e){return"symbol"==typeof e}:function(e){var t=o("Symbol");return a(t)&&r(t.prototype,s(e))}},3091:(e,t,n)=>{var o=n(6843),a=n(8834),r=n(6059),i=n(9826),s=n(6782),l=n(623),u=n(7046),c=n(3476),d=n(2902),E=n(7609),m=TypeError,T=function(e,t){this.stopped=e,this.result=t},p=T.prototype;e.exports=function(e,t,n){var f,S,O,A,I,v,_,N=n&&n.that,L=!(!n||!n.AS_ENTRIES),R=!(!n||!n.IS_RECORD),g=!(!n||!n.IS_ITERATOR),h=!(!n||!n.INTERRUPTED),y=o(t,N),M=function(e){return f&&E(f,"normal",e),new T(!0,e)},C=function(e){return L?(r(e),h?y(e[0],e[1],M):y(e[0],e[1])):h?y(e,M):y(e)};if(R)f=e.iterator;else if(g)f=e;else{if(!(S=d(e)))throw m(i(e)+" is not iterable");if(s(S)){for(O=0,A=l(e);A>O;O++)if((I=C(e[O]))&&u(p,I))return I;return new T(!1)}f=c(e,S)}for(v=R?e.next:f.next;!(_=a(v,f)).done;){try{I=C(_.value)}catch(e){E(f,"throw",e)}if("object"==typeof I&&I&&u(p,I))return I}return new T(!1)}},7609:(e,t,n)=>{var o=n(8834),a=n(6059),r=n(4229);e.exports=function(e,t,n){var i,s;a(e);try{if(!(i=r(e,"return"))){if("throw"===t)throw n;return n}i=o(i,e)}catch(e){s=!0,i=e}if("throw"===t)throw n;if(s)throw i;return a(i),n}},3847:(e,t,n)=>{"use strict";var o=n(5143).IteratorPrototype,a=n(9290),r=n(1887),i=n(904),s=n(2077),l=function(){return this};e.exports=function(e,t,n,u){var c=t+" Iterator";return e.prototype=a(o,{next:r(+!u,n)}),i(e,c,!1,!0),s[c]=l,e}},5105:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(2529),i=n(9417),s=n(7475),l=n(3847),u=n(249),c=n(8929),d=n(904),E=n(2029),m=n(5929),T=n(9813),p=n(2077),f=n(5143),S=i.PROPER,O=i.CONFIGURABLE,A=f.IteratorPrototype,I=f.BUGGY_SAFARI_ITERATORS,v=T("iterator"),_="keys",N="values",L="entries",R=function(){return this};e.exports=function(e,t,n,i,T,f,g){l(n,t,i);var h,y,M,C=function(e){if(e===T&&w)return w;if(!I&&e in P)return P[e];switch(e){case _:case N:case L:return function(){return new n(this,e)}}return function(){return new n(this)}},b=t+" Iterator",D=!1,P=e.prototype,k=P[v]||P["@@iterator"]||T&&P[T],w=!I&&k||C(T),U="Array"==t&&P.entries||k;if(U&&(h=u(U.call(new e)))!==Object.prototype&&h.next&&(r||u(h)===A||(c?c(h,A):s(h[v])||m(h,v,R)),d(h,b,!0,!0),r&&(p[b]=R)),S&&T==N&&k&&k.name!==N&&(!r&&O?E(P,"name",N):(D=!0,w=function(){return a(k,this)})),T)if(y={values:C(N),keys:f?w:C(_),entries:C(L)},g)for(M in y)(I||D||!(M in P))&&m(P,M,y[M]);else o({target:t,proto:!0,forced:I||D},y);return r&&!g||P[v]===w||m(P,v,w,{name:T}),p[t]=w,y}},5143:(e,t,n)=>{"use strict";var o,a,r,i=n(5981),s=n(7475),l=n(941),u=n(9290),c=n(249),d=n(5929),E=n(9813),m=n(2529),T=E("iterator"),p=!1;[].keys&&("next"in(r=[].keys())?(a=c(c(r)))!==Object.prototype&&(o=a):p=!0),!l(o)||i((function(){var e={};return o[T].call(e)!==e}))?o={}:m&&(o=u(o)),s(o[T])||d(o,T,(function(){return this})),e.exports={IteratorPrototype:o,BUGGY_SAFARI_ITERATORS:p}},2077:e=>{e.exports={}},623:(e,t,n)=>{var o=n(3057);e.exports=function(e){return o(e.length)}},5331:e=>{var t=Math.ceil,n=Math.floor;e.exports=Math.trunc||function(e){var o=+e;return(o>0?n:t)(o)}},6132:(e,t,n)=>{var o,a,r,i,s,l=n(1899),u=n(6843),c=n(9677).f,d=n(2941).set,E=n(8397),m=n(2749),T=n(4470),p=n(8045),f=n(6049),S=l.MutationObserver||l.WebKitMutationObserver,O=l.document,A=l.process,I=l.Promise,v=c(l,"queueMicrotask"),_=v&&v.value;if(!_){var N=new E,L=function(){var e,t;for(f&&(e=A.domain)&&e.exit();t=N.get();)try{t()}catch(e){throw N.head&&o(),e}e&&e.enter()};m||f||p||!S||!O?!T&&I&&I.resolve?((i=I.resolve(void 0)).constructor=I,s=u(i.then,i),o=function(){s(L)}):f?o=function(){A.nextTick(L)}:(d=u(d,l),o=function(){d(L)}):(a=!0,r=O.createTextNode(""),new S(L).observe(r,{characterData:!0}),o=function(){r.data=a=!a}),_=function(e){N.head||o(),N.add(e)}}e.exports=_},9520:(e,t,n)=>{"use strict";var o=n(4883),a=TypeError,r=function(e){var t,n;this.promise=new e((function(e,o){if(void 0!==t||void 0!==n)throw a("Bad Promise constructor");t=e,n=o})),this.resolve=o(t),this.reject=o(n)};e.exports.f=function(e){return new r(e)}},4649:(e,t,n)=>{var o=n(5803);e.exports=function(e,t){return void 0===e?arguments.length<2?"":t:o(e)}},344:(e,t,n)=>{var o=n(685),a=TypeError;e.exports=function(e){if(o(e))throw a("The method doesn't accept regular expressions");return e}},1942:(e,t,n)=>{var o=n(1899),a=n(5981),r=n(5329),i=n(5803),s=n(4853).trim,l=n(6218),u=r("".charAt),c=o.parseFloat,d=o.Symbol,E=d&&d.iterator,m=1/c(l+"-0")!=-1/0||E&&!a((function(){c(Object(E))}));e.exports=m?function(e){var t=s(i(e)),n=c(t);return 0===n&&"-"==u(t,0)?-0:n}:c},9806:(e,t,n)=>{var o=n(1899),a=n(5981),r=n(5329),i=n(5803),s=n(4853).trim,l=n(6218),u=o.parseInt,c=o.Symbol,d=c&&c.iterator,E=/^[+-]?0x/i,m=r(E.exec),T=8!==u(l+"08")||22!==u(l+"0x16")||d&&!a((function(){u(Object(d))}));e.exports=T?function(e,t){var n=s(i(e));return u(n,t>>>0||(m(E,n)?16:10))}:u},4420:(e,t,n)=>{"use strict";var o=n(5746),a=n(5329),r=n(8834),i=n(5981),s=n(4771),l=n(7857),u=n(6760),c=n(9678),d=n(7026),E=Object.assign,m=Object.defineProperty,T=a([].concat);e.exports=!E||i((function(){if(o&&1!==E({b:1},E(m({},"a",{enumerable:!0,get:function(){m(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var e={},t={},n=Symbol(),a="abcdefghijklmnopqrst";return e[n]=7,a.split("").forEach((function(e){t[e]=e})),7!=E({},e)[n]||s(E({},t)).join("")!=a}))?function(e,t){for(var n=c(e),a=arguments.length,i=1,E=l.f,m=u.f;a>i;)for(var p,f=d(arguments[i++]),S=E?T(s(f),E(f)):s(f),O=S.length,A=0;O>A;)p=S[A++],o&&!r(m,f,p)||(n[p]=f[p]);return n}:E},9290:(e,t,n)=>{var o,a=n(6059),r=n(9938),i=n(6759),s=n(7748),l=n(5463),u=n(1333),c=n(4262),d="prototype",E="script",m=c("IE_PROTO"),T=function(){},p=function(e){return"<"+E+">"+e+"</"+E+">"},f=function(e){e.write(p("")),e.close();var t=e.parentWindow.Object;return e=null,t},S=function(){try{o=new ActiveXObject("htmlfile")}catch(e){}var e,t,n;S="undefined"!=typeof document?document.domain&&o?f(o):(t=u("iframe"),n="java"+E+":",t.style.display="none",l.appendChild(t),t.src=String(n),(e=t.contentWindow.document).open(),e.write(p("document.F=Object")),e.close(),e.F):f(o);for(var a=i.length;a--;)delete S[d][i[a]];return S()};s[m]=!0,e.exports=Object.create||function(e,t){var n;return null!==e?(T[d]=a(e),n=new T,T[d]=null,n[m]=e):n=S(),void 0===t?n:r.f(n,t)}},9938:(e,t,n)=>{var o=n(5746),a=n(3937),r=n(5988),i=n(6059),s=n(4529),l=n(4771);t.f=o&&!a?Object.defineProperties:function(e,t){i(e);for(var n,o=s(t),a=l(t),u=a.length,c=0;u>c;)r.f(e,n=a[c++],o[n]);return e}},5988:(e,t,n)=>{var o=n(5746),a=n(2840),r=n(3937),i=n(6059),s=n(3894),l=TypeError,u=Object.defineProperty,c=Object.getOwnPropertyDescriptor,d="enumerable",E="configurable",m="writable";t.f=o?r?function(e,t,n){if(i(e),t=s(t),i(n),"function"==typeof e&&"prototype"===t&&"value"in n&&m in n&&!n[m]){var o=c(e,t);o&&o[m]&&(e[t]=n.value,n={configurable:E in n?n[E]:o[E],enumerable:d in n?n[d]:o[d],writable:!1})}return u(e,t,n)}:u:function(e,t,n){if(i(e),t=s(t),i(n),a)try{return u(e,t,n)}catch(e){}if("get"in n||"set"in n)throw l("Accessors not supported");return"value"in n&&(e[t]=n.value),e}},9677:(e,t,n)=>{var o=n(5746),a=n(8834),r=n(6760),i=n(1887),s=n(4529),l=n(3894),u=n(953),c=n(2840),d=Object.getOwnPropertyDescriptor;t.f=o?d:function(e,t){if(e=s(e),t=l(t),c)try{return d(e,t)}catch(e){}if(u(e,t))return i(!a(r.f,e,t),e[t])}},684:(e,t,n)=>{var o=n(2532),a=n(4529),r=n(946).f,i=n(5790),s="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];e.exports.f=function(e){return s&&"Window"==o(e)?function(e){try{return r(e)}catch(e){return i(s)}}(e):r(a(e))}},946:(e,t,n)=>{var o=n(5629),a=n(6759).concat("length","prototype");t.f=Object.getOwnPropertyNames||function(e){return o(e,a)}},7857:(e,t)=>{t.f=Object.getOwnPropertySymbols},249:(e,t,n)=>{var o=n(953),a=n(7475),r=n(9678),i=n(4262),s=n(4160),l=i("IE_PROTO"),u=Object,c=u.prototype;e.exports=s?u.getPrototypeOf:function(e){var t=r(e);if(o(t,l))return t[l];var n=t.constructor;return a(n)&&t instanceof n?n.prototype:t instanceof u?c:null}},1584:(e,t,n)=>{var o=n(5981),a=n(941),r=n(2532),i=n(7135),s=Object.isExtensible,l=o((function(){s(1)}));e.exports=l||i?function(e){return!!a(e)&&(!i||"ArrayBuffer"!=r(e))&&(!s||s(e))}:s},7046:(e,t,n)=>{var o=n(5329);e.exports=o({}.isPrototypeOf)},5629:(e,t,n)=>{var o=n(5329),a=n(953),r=n(4529),i=n(1692).indexOf,s=n(7748),l=o([].push);e.exports=function(e,t){var n,o=r(e),u=0,c=[];for(n in o)!a(s,n)&&a(o,n)&&l(c,n);for(;t.length>u;)a(o,n=t[u++])&&(~i(c,n)||l(c,n));return c}},4771:(e,t,n)=>{var o=n(5629),a=n(6759);e.exports=Object.keys||function(e){return o(e,a)}},6760:(e,t)=>{"use strict";var n={}.propertyIsEnumerable,o=Object.getOwnPropertyDescriptor,a=o&&!n.call({1:2},1);t.f=a?function(e){var t=o(this,e);return!!t&&t.enumerable}:n},8929:(e,t,n)=>{var o=n(5526),a=n(6059),r=n(1851);e.exports=Object.setPrototypeOf||("__proto__"in{}?function(){var e,t=!1,n={};try{(e=o(Object.prototype,"__proto__","set"))(n,[]),t=n instanceof Array}catch(e){}return function(n,o){return a(n),r(o),t?e(n,o):n.__proto__=o,n}}():void 0)},8810:(e,t,n)=>{var o=n(5746),a=n(5329),r=n(4771),i=n(4529),s=a(n(6760).f),l=a([].push),u=function(e){return function(t){for(var n,a=i(t),u=r(a),c=u.length,d=0,E=[];c>d;)n=u[d++],o&&!s(a,n)||l(E,e?[n,a[n]]:a[n]);return E}};e.exports={entries:u(!0),values:u(!1)}},5623:(e,t,n)=>{"use strict";var o=n(2885),a=n(9697);e.exports=o?{}.toString:function(){return"[object "+a(this)+"]"}},9811:(e,t,n)=>{var o=n(8834),a=n(7475),r=n(941),i=TypeError;e.exports=function(e,t){var n,s;if("string"===t&&a(n=e.toString)&&!r(s=o(n,e)))return s;if(a(n=e.valueOf)&&!r(s=o(n,e)))return s;if("string"!==t&&a(n=e.toString)&&!r(s=o(n,e)))return s;throw i("Can't convert object to primitive value")}},1136:(e,t,n)=>{var o=n(626),a=n(5329),r=n(946),i=n(7857),s=n(6059),l=a([].concat);e.exports=o("Reflect","ownKeys")||function(e){var t=r.f(s(e)),n=i.f;return n?l(t,n(e)):t}},4058:e=>{e.exports={}},2:e=>{e.exports=function(e){try{return{error:!1,value:e()}}catch(e){return{error:!0,value:e}}}},7742:(e,t,n)=>{var o=n(1899),a=n(6991),r=n(7475),i=n(7252),s=n(1302),l=n(9813),u=n(3321),c=n(8501),d=n(2529),E=n(3385),m=a&&a.prototype,T=l("species"),p=!1,f=r(o.PromiseRejectionEvent),S=i("Promise",(function(){var e=s(a),t=e!==String(a);if(!t&&66===E)return!0;if(d&&(!m.catch||!m.finally))return!0;if(!E||E<51||!/native code/.test(e)){var n=new a((function(e){e(1)})),o=function(e){e((function(){}),(function(){}))};if((n.constructor={})[T]=o,!(p=n.then((function(){}))instanceof o))return!0}return!t&&(u||c)&&!f}));e.exports={CONSTRUCTOR:S,REJECTION_EVENT:f,SUBCLASSING:p}},6991:(e,t,n)=>{var o=n(1899);e.exports=o.Promise},6584:(e,t,n)=>{var o=n(6059),a=n(941),r=n(9520);e.exports=function(e,t){if(o(e),a(t)&&t.constructor===e)return t;var n=r.f(e);return(0,n.resolve)(t),n.promise}},1542:(e,t,n)=>{var o=n(6991),a=n(1385),r=n(7742).CONSTRUCTOR;e.exports=r||!a((function(e){o.all(e).then(void 0,(function(){}))}))},8397:e=>{var t=function(){this.head=null,this.tail=null};t.prototype={add:function(e){var t={item:e,next:null},n=this.tail;n?n.next=t:this.head=t,this.tail=t},get:function(){var e=this.head;if(e)return null===(this.head=e.next)&&(this.tail=null),e.item}},e.exports=t},6777:(e,t,n)=>{"use strict";var o=n(6059);e.exports=function(){var e=o(this),t="";return e.hasIndices&&(t+="d"),e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.dotAll&&(t+="s"),e.unicode&&(t+="u"),e.unicodeSets&&(t+="v"),e.sticky&&(t+="y"),t}},3613:(e,t,n)=>{var o=n(8834),a=n(953),r=n(7046),i=n(6777),s=RegExp.prototype;e.exports=function(e){var t=e.flags;return void 0!==t||"flags"in s||a(e,"flags")||!r(s,e)?t:o(i,e)}},8219:(e,t,n)=>{var o=n(2119),a=TypeError;e.exports=function(e){if(o(e))throw a("Can't call method on "+e);return e}},4431:(e,t,n)=>{"use strict";var o=n(626),a=n(9202),r=n(9813),i=n(5746),s=r("species");e.exports=function(e){var t=o(e);i&&t&&!t[s]&&a(t,s,{configurable:!0,get:function(){return this}})}},904:(e,t,n)=>{var o=n(2885),a=n(5988).f,r=n(2029),i=n(953),s=n(5623),l=n(9813)("toStringTag");e.exports=function(e,t,n,u){if(e){var c=n?e:e.prototype;i(c,l)||a(c,l,{configurable:!0,value:t}),u&&!o&&r(c,"toString",s)}}},4262:(e,t,n)=>{var o=n(8726),a=n(9418),r=o("keys");e.exports=function(e){return r[e]||(r[e]=a(e))}},3030:(e,t,n)=>{var o=n(1899),a=n(5609),r="__core-js_shared__",i=o[r]||a(r,{});e.exports=i},8726:(e,t,n)=>{var o=n(2529),a=n(3030);(e.exports=function(e,t){return a[e]||(a[e]=void 0!==t?t:{})})("versions",[]).push({version:"3.29.1",mode:o?"pure":"global",copyright:"© 2014-2023 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.29.1/LICENSE",source:"https://github.com/zloirock/core-js"})},487:(e,t,n)=>{var o=n(6059),a=n(174),r=n(2119),i=n(9813)("species");e.exports=function(e,t){var n,s=o(e).constructor;return void 0===s||r(n=o(s)[i])?t:a(n)}},4620:(e,t,n)=>{var o=n(5329),a=n(2435),r=n(5803),i=n(8219),s=o("".charAt),l=o("".charCodeAt),u=o("".slice),c=function(e){return function(t,n){var o,c,d=r(i(t)),E=a(n),m=d.length;return E<0||E>=m?e?"":void 0:(o=l(d,E))<55296||o>56319||E+1===m||(c=l(d,E+1))<56320||c>57343?e?s(d,E):o:e?u(d,E,E+2):c-56320+(o-55296<<10)+65536}};e.exports={codeAt:c(!1),charAt:c(!0)}},6178:(e,t,n)=>{"use strict";var o=n(2435),a=n(5803),r=n(8219),i=RangeError;e.exports=function(e){var t=a(r(this)),n="",s=o(e);if(s<0||s==1/0)throw i("Wrong number of repetitions");for(;s>0;(s>>>=1)&&(t+=t))1&s&&(n+=t);return n}},4853:(e,t,n)=>{var o=n(5329),a=n(8219),r=n(5803),i=n(6218),s=o("".replace),l=RegExp("^["+i+"]+"),u=RegExp("(^|[^"+i+"])["+i+"]+$"),c=function(e){return function(t){var n=r(a(t));return 1&e&&(n=s(n,l,"")),2&e&&(n=s(n,u,"$1")),n}};e.exports={start:c(1),end:c(2),trim:c(3)}},3405:(e,t,n)=>{var o=n(3385),a=n(5981);e.exports=!!Object.getOwnPropertySymbols&&!a((function(){var e=Symbol();return!String(e)||!(Object(e)instanceof Symbol)||!Symbol.sham&&o&&o<41}))},2941:(e,t,n)=>{var o,a,r,i,s=n(1899),l=n(9730),u=n(6843),c=n(7475),d=n(953),E=n(5981),m=n(5463),T=n(3765),p=n(1333),f=n(8348),S=n(2749),O=n(6049),A=s.setImmediate,I=s.clearImmediate,v=s.process,_=s.Dispatch,N=s.Function,L=s.MessageChannel,R=s.String,g=0,h={},y="onreadystatechange";E((function(){o=s.location}));var M=function(e){if(d(h,e)){var t=h[e];delete h[e],t()}},C=function(e){return function(){M(e)}},b=function(e){M(e.data)},D=function(e){s.postMessage(R(e),o.protocol+"//"+o.host)};A&&I||(A=function(e){f(arguments.length,1);var t=c(e)?e:N(e),n=T(arguments,1);return h[++g]=function(){l(t,void 0,n)},a(g),g},I=function(e){delete h[e]},O?a=function(e){v.nextTick(C(e))}:_&&_.now?a=function(e){_.now(C(e))}:L&&!S?(i=(r=new L).port2,r.port1.onmessage=b,a=u(i.postMessage,i)):s.addEventListener&&c(s.postMessage)&&!s.importScripts&&o&&"file:"!==o.protocol&&!E(D)?(a=D,s.addEventListener("message",b,!1)):a=y in p("script")?function(e){m.appendChild(p("script"))[y]=function(){m.removeChild(this),M(e)}}:function(e){setTimeout(C(e),0)}),e.exports={set:A,clear:I}},9413:(e,t,n)=>{var o=n(2435),a=Math.max,r=Math.min;e.exports=function(e,t){var n=o(e);return n<0?a(n+t,0):r(n,t)}},4529:(e,t,n)=>{var o=n(7026),a=n(8219);e.exports=function(e){return o(a(e))}},2435:(e,t,n)=>{var o=n(5331);e.exports=function(e){var t=+e;return t!=t||0===t?0:o(t)}},3057:(e,t,n)=>{var o=n(2435),a=Math.min;e.exports=function(e){return e>0?a(o(e),9007199254740991):0}},9678:(e,t,n)=>{var o=n(8219),a=Object;e.exports=function(e){return a(o(e))}},6935:(e,t,n)=>{var o=n(8834),a=n(941),r=n(6664),i=n(4229),s=n(9811),l=n(9813),u=TypeError,c=l("toPrimitive");e.exports=function(e,t){if(!a(e)||r(e))return e;var n,l=i(e,c);if(l){if(void 0===t&&(t="default"),n=o(l,e,t),!a(n)||r(n))return n;throw u("Can't convert object to primitive value")}return void 0===t&&(t="number"),s(e,t)}},3894:(e,t,n)=>{var o=n(6935),a=n(6664);e.exports=function(e){var t=o(e,"string");return a(t)?t:t+""}},2885:(e,t,n)=>{var o={};o[n(9813)("toStringTag")]="z",e.exports="[object z]"===String(o)},5803:(e,t,n)=>{var o=n(9697),a=String;e.exports=function(e){if("Symbol"===o(e))throw TypeError("Cannot convert a Symbol value to a string");return a(e)}},9826:e=>{var t=String;e.exports=function(e){try{return t(e)}catch(e){return"Object"}}},9418:(e,t,n)=>{var o=n(5329),a=0,r=Math.random(),i=o(1..toString);e.exports=function(e){return"Symbol("+(void 0===e?"":e)+")_"+i(++a+r,36)}},4766:(e,t,n)=>{var o=n(5981),a=n(9813),r=n(5746),i=n(2529),s=a("iterator");e.exports=!o((function(){var e=new URL("b?a=1&b=2&c=3","http://a"),t=e.searchParams,n="";return e.pathname="c%20d",t.forEach((function(e,o){t.delete("b"),n+=o+e})),i&&!e.toJSON||!t.size&&(i||!r)||!t.sort||"http://a/c%20d?a=1&c=3"!==e.href||"3"!==t.get("c")||"a=1"!==String(new URLSearchParams("?a=1"))||!t[s]||"a"!==new URL("https://a@b").username||"b"!==new URLSearchParams(new URLSearchParams("a=b")).get("a")||"xn--e1aybc"!==new URL("http://тест").host||"#%D0%B1"!==new URL("http://a#б").hash||"a1c3"!==n||"x"!==new URL("http://x",void 0).host}))},2302:(e,t,n)=>{var o=n(3405);e.exports=o&&!Symbol.sham&&"symbol"==typeof Symbol.iterator},3937:(e,t,n)=>{var o=n(5746),a=n(5981);e.exports=o&&a((function(){return 42!=Object.defineProperty((function(){}),"prototype",{value:42,writable:!1}).prototype}))},8348:e=>{var t=TypeError;e.exports=function(e,n){if(e<n)throw t("Not enough arguments");return e}},7093:(e,t,n)=>{var o=n(1899),a=n(7475),r=o.WeakMap;e.exports=a(r)&&/native code/.test(String(r))},9813:(e,t,n)=>{var o=n(1899),a=n(8726),r=n(953),i=n(9418),s=n(3405),l=n(2302),u=o.Symbol,c=a("wks"),d=l?u.for||u:u&&u.withoutSetter||i;e.exports=function(e){return r(c,e)||(c[e]=s&&r(u,e)?u[e]:d("Symbol."+e)),c[e]}},6218:e=>{e.exports="\t\n\v\f\r                　\u2028\u2029\ufeff"},9812:(e,t,n)=>{"use strict";var o=n(6887),a=n(7046),r=n(249),i=n(8929),s=n(3489),l=n(9290),u=n(2029),c=n(1887),d=n(3794),E=n(9585),m=n(3091),T=n(4649),p=n(9813)("toStringTag"),f=Error,S=[].push,O=function(e,t){var n,o=a(A,this);i?n=i(f(),o?r(this):A):(n=o?this:l(A),u(n,p,"Error")),void 0!==t&&u(n,"message",T(t)),E(n,O,n.stack,1),arguments.length>2&&d(n,arguments[2]);var s=[];return m(e,S,{that:s}),u(n,"errors",s),n};i?i(O,f):s(O,f,{name:!0});var A=O.prototype=l(f.prototype,{constructor:c(1,O),message:c(1,""),name:c(1,"AggregateError")});o({global:!0,constructor:!0,arity:2},{AggregateError:O})},7627:(e,t,n)=>{n(9812)},5906:(e,t,n)=>{"use strict";var o=n(6887),a=n(5981),r=n(1052),i=n(941),s=n(9678),l=n(623),u=n(6796),c=n(5449),d=n(4692),E=n(568),m=n(9813),T=n(3385),p=m("isConcatSpreadable"),f=T>=51||!a((function(){var e=[];return e[p]=!1,e.concat()[0]!==e})),S=function(e){if(!i(e))return!1;var t=e[p];return void 0!==t?!!t:r(e)};o({target:"Array",proto:!0,arity:1,forced:!f||!E("concat")},{concat:function(e){var t,n,o,a,r,i=s(this),E=d(i,0),m=0;for(t=-1,o=arguments.length;t<o;t++)if(S(r=-1===t?i:arguments[t]))for(a=l(r),u(m+a),n=0;n<a;n++,m++)n in r&&c(E,m,r[n]);else u(m+1),c(E,m++,r);return E.length=m,E}})},1501:(e,t,n)=>{"use strict";var o=n(6887),a=n(3610).filter;o({target:"Array",proto:!0,forced:!n(568)("filter")},{filter:function(e){return a(this,e,arguments.length>1?arguments[1]:void 0)}})},4929:(e,t,n)=>{"use strict";var o=n(6887),a=n(3610).findIndex,r=n(8479),i="findIndex",s=!0;i in[]&&Array(1)[i]((function(){s=!1})),o({target:"Array",proto:!0,forced:s},{findIndex:function(e){return a(this,e,arguments.length>1?arguments[1]:void 0)}}),r(i)},833:(e,t,n)=>{"use strict";var o=n(6887),a=n(3610).find,r=n(8479),i="find",s=!0;i in[]&&Array(1)[i]((function(){s=!1})),o({target:"Array",proto:!0,forced:s},{find:function(e){return a(this,e,arguments.length>1?arguments[1]:void 0)}}),r(i)},3242:(e,t,n)=>{var o=n(6887),a=n(1354);o({target:"Array",stat:!0,forced:!n(1385)((function(e){Array.from(e)}))},{from:a})},7690:(e,t,n)=>{"use strict";var o=n(6887),a=n(1692).includes,r=n(5981),i=n(8479);o({target:"Array",proto:!0,forced:r((function(){return!Array(1).includes()}))},{includes:function(e){return a(this,e,arguments.length>1?arguments[1]:void 0)}}),i("includes")},6274:(e,t,n)=>{"use strict";var o=n(4529),a=n(8479),r=n(2077),i=n(5402),s=n(5988).f,l=n(5105),u=n(3538),c=n(2529),d=n(5746),E="Array Iterator",m=i.set,T=i.getterFor(E);e.exports=l(Array,"Array",(function(e,t){m(this,{type:E,target:o(e),index:0,kind:t})}),(function(){var e=T(this),t=e.target,n=e.kind,o=e.index++;return!t||o>=t.length?(e.target=void 0,u(void 0,!0)):u("keys"==n?o:"values"==n?t[o]:[o,t[o]],!1)}),"values");var p=r.Arguments=r.Array;if(a("keys"),a("values"),a("entries"),!c&&d&&"values"!==p.name)try{s(p,"name",{value:"values"})}catch(e){}},8787:(e,t,n)=>{"use strict";var o=n(6887),a=n(3610).map;o({target:"Array",proto:!0,forced:!n(568)("map")},{map:function(e){return a(this,e,arguments.length>1?arguments[1]:void 0)}})},186:(e,t,n)=>{"use strict";var o=n(6887),a=n(1052),r=n(4284),i=n(941),s=n(9413),l=n(623),u=n(4529),c=n(5449),d=n(9813),E=n(568),m=n(3765),T=E("slice"),p=d("species"),f=Array,S=Math.max;o({target:"Array",proto:!0,forced:!T},{slice:function(e,t){var n,o,d,E=u(this),T=l(E),O=s(e,T),A=s(void 0===t?T:t,T);if(a(E)&&(n=E.constructor,(r(n)&&(n===f||a(n.prototype))||i(n)&&null===(n=n[p]))&&(n=void 0),n===f||void 0===n))return m(E,O,A);for(o=new(void 0===n?f:n)(S(A-O,0)),d=0;O<A;O++,d++)O in E&&c(o,d,E[O]);return o.length=d,o}})},4115:(e,t,n)=>{"use strict";var o=n(6887),a=n(5329),r=n(4883),i=n(9678),s=n(623),l=n(5863),u=n(5803),c=n(5981),d=n(1388),E=n(4194),m=n(4342),T=n(1046),p=n(3385),f=n(8938),S=[],O=a(S.sort),A=a(S.push),I=c((function(){S.sort(void 0)})),v=c((function(){S.sort(null)})),_=E("sort"),N=!c((function(){if(p)return p<70;if(!(m&&m>3)){if(T)return!0;if(f)return f<603;var e,t,n,o,a="";for(e=65;e<76;e++){switch(t=String.fromCharCode(e),e){case 66:case 69:case 70:case 72:n=3;break;case 68:case 71:n=4;break;default:n=2}for(o=0;o<47;o++)S.push({k:t+o,v:n})}for(S.sort((function(e,t){return t.v-e.v})),o=0;o<S.length;o++)t=S[o].k.charAt(0),a.charAt(a.length-1)!==t&&(a+=t);return"DGBEFHACIJK"!==a}}));o({target:"Array",proto:!0,forced:I||!v||!_||!N},{sort:function(e){void 0!==e&&r(e);var t=i(this);if(N)return void 0===e?O(t):O(t,e);var n,o,a=[],c=s(t);for(o=0;o<c;o++)o in t&&A(a,t[o]);for(d(a,function(e){return function(t,n){return void 0===n?-1:void 0===t?1:void 0!==e?+e(t,n)||0:u(t)>u(n)?1:-1}}(e)),n=s(a),o=0;o<n;)t[o]=a[o++];for(;o<c;)l(t,o++);return t}})},8611:(e,t,n)=>{"use strict";var o=n(6887),a=n(9678),r=n(9413),i=n(2435),s=n(623),l=n(9779),u=n(6796),c=n(4692),d=n(5449),E=n(5863),m=n(568)("splice"),T=Math.max,p=Math.min;o({target:"Array",proto:!0,forced:!m},{splice:function(e,t){var n,o,m,f,S,O,A=a(this),I=s(A),v=r(e,I),_=arguments.length;for(0===_?n=o=0:1===_?(n=0,o=I-v):(n=_-2,o=p(T(i(t),0),I-v)),u(I+n-o),m=c(A,o),f=0;f<o;f++)(S=v+f)in A&&d(m,f,A[S]);if(m.length=o,n<o){for(f=v;f<I-o;f++)O=f+n,(S=f+o)in A?A[O]=A[S]:E(A,O);for(f=I;f>I-o+n;f--)E(A,f-1)}else if(n>o)for(f=I-o;f>v;f--)O=f+n-1,(S=f+o-1)in A?A[O]=A[S]:E(A,O);for(f=0;f<n;f++)A[f+v]=arguments[f+2];return l(A,I-o+n),m}})},2619:(e,t,n)=>{var o=n(6887),a=n(626),r=n(9730),i=n(8834),s=n(5329),l=n(5981),u=n(7475),c=n(6664),d=n(3765),E=n(3323),m=n(3405),T=String,p=a("JSON","stringify"),f=s(/./.exec),S=s("".charAt),O=s("".charCodeAt),A=s("".replace),I=s(1..toString),v=/[\uD800-\uDFFF]/g,_=/^[\uD800-\uDBFF]$/,N=/^[\uDC00-\uDFFF]$/,L=!m||l((function(){var e=a("Symbol")();return"[null]"!=p([e])||"{}"!=p({a:e})||"{}"!=p(Object(e))})),R=l((function(){return'"\\udf06\\ud834"'!==p("\udf06\ud834")||'"\\udead"'!==p("\udead")})),g=function(e,t){var n=d(arguments),o=E(t);if(u(o)||void 0!==e&&!c(e))return n[1]=function(e,t){if(u(o)&&(t=i(o,this,T(e),t)),!c(t))return t},r(p,null,n)},h=function(e,t,n){var o=S(n,t-1),a=S(n,t+1);return f(_,e)&&!f(N,a)||f(N,e)&&!f(_,o)?"\\u"+I(O(e,0),16):e};p&&o({target:"JSON",stat:!0,arity:3,forced:L||R},{stringify:function(e,t,n){var o=d(arguments),a=r(L?g:p,null,o);return R&&"string"==typeof a?A(a,v,h):a}})},3112:(e,t,n)=>{"use strict";n(4683)("Map",(function(e){return function(){return e(this,arguments.length?arguments[0]:void 0)}}),n(5616))},7501:(e,t,n)=>{n(3112)},9221:(e,t,n)=>{var o=n(6887),a=n(4420);o({target:"Object",stat:!0,arity:2,forced:Object.assign!==a},{assign:a})},1724:(e,t,n)=>{var o=n(6887),a=n(9678),r=n(4771);o({target:"Object",stat:!0,forced:n(5981)((function(){r(1)}))},{keys:function(e){return r(a(e))}})},5967:()=>{},6614:(e,t,n)=>{var o=n(6887),a=n(8810).values;o({target:"Object",stat:!0},{values:function(e){return a(e)}})},9718:(e,t,n)=>{var o=n(6887),a=n(1942);o({global:!0,forced:parseFloat!=a},{parseFloat:a})},4038:(e,t,n)=>{var o=n(6887),a=n(9806);o({global:!0,forced:parseInt!=a},{parseInt:a})},4560:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(4883),i=n(9520),s=n(2),l=n(3091);o({target:"Promise",stat:!0,forced:n(1542)},{allSettled:function(e){var t=this,n=i.f(t),o=n.resolve,u=n.reject,c=s((function(){var n=r(t.resolve),i=[],s=0,u=1;l(e,(function(e){var r=s++,l=!1;u++,a(n,t,e).then((function(e){l||(l=!0,i[r]={status:"fulfilled",value:e},--u||o(i))}),(function(e){l||(l=!0,i[r]={status:"rejected",reason:e},--u||o(i))}))})),--u||o(i)}));return c.error&&u(c.value),n.promise}})},6890:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(4883),i=n(9520),s=n(2),l=n(3091);o({target:"Promise",stat:!0,forced:n(1542)},{all:function(e){var t=this,n=i.f(t),o=n.resolve,u=n.reject,c=s((function(){var n=r(t.resolve),i=[],s=0,c=1;l(e,(function(e){var r=s++,l=!1;c++,a(n,t,e).then((function(e){l||(l=!0,i[r]=e,--c||o(i))}),u)})),--c||o(i)}));return c.error&&u(c.value),n.promise}})},7206:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(4883),i=n(626),s=n(9520),l=n(2),u=n(3091),c=n(1542),d="No one promise resolved";o({target:"Promise",stat:!0,forced:c},{any:function(e){var t=this,n=i("AggregateError"),o=s.f(t),c=o.resolve,E=o.reject,m=l((function(){var o=r(t.resolve),i=[],s=0,l=1,m=!1;u(e,(function(e){var r=s++,u=!1;l++,a(o,t,e).then((function(e){u||m||(m=!0,c(e))}),(function(e){u||m||(u=!0,i[r]=e,--l||E(new n(i,d)))}))})),--l||E(new n(i,d))}));return m.error&&E(m.value),o.promise}})},3376:(e,t,n)=>{"use strict";var o=n(6887),a=n(2529),r=n(7742).CONSTRUCTOR,i=n(6991),s=n(626),l=n(7475),u=n(5929),c=i&&i.prototype;if(o({target:"Promise",proto:!0,forced:r,real:!0},{catch:function(e){return this.then(void 0,e)}}),!a&&l(i)){var d=s("Promise").prototype.catch;c.catch!==d&&u(c,"catch",d,{unsafe:!0})}},6934:(e,t,n)=>{"use strict";var o,a,r,i=n(6887),s=n(2529),l=n(6049),u=n(1899),c=n(8834),d=n(5929),E=n(8929),m=n(904),T=n(4431),p=n(4883),f=n(7475),S=n(941),O=n(5743),A=n(487),I=n(2941).set,v=n(6132),_=n(4845),N=n(2),L=n(8397),R=n(5402),g=n(6991),h=n(7742),y=n(9520),M="Promise",C=h.CONSTRUCTOR,b=h.REJECTION_EVENT,D=h.SUBCLASSING,P=R.getterFor(M),k=R.set,w=g&&g.prototype,U=g,x=w,B=u.TypeError,G=u.document,F=u.process,z=y.f,Y=z,H=!!(G&&G.createEvent&&u.dispatchEvent),V="unhandledrejection",j=function(e){var t;return!(!S(e)||!f(t=e.then))&&t},W=function(e,t){var n,o,a,r=t.value,i=1==t.state,s=i?e.ok:e.fail,l=e.resolve,u=e.reject,d=e.domain;try{s?(i||(2===t.rejection&&Z(t),t.rejection=1),!0===s?n=r:(d&&d.enter(),n=s(r),d&&(d.exit(),a=!0)),n===e.promise?u(B("Promise-chain cycle")):(o=j(n))?c(o,n,l,u):l(n)):u(r)}catch(e){d&&!a&&d.exit(),u(e)}},K=function(e,t){e.notified||(e.notified=!0,v((function(){for(var n,o=e.reactions;n=o.get();)W(n,e);e.notified=!1,t&&!e.rejection&&q(e)})))},X=function(e,t,n){var o,a;H?((o=G.createEvent("Event")).promise=t,o.reason=n,o.initEvent(e,!1,!0),u.dispatchEvent(o)):o={promise:t,reason:n},!b&&(a=u["on"+e])?a(o):e===V&&_("Unhandled promise rejection",n)},q=function(e){c(I,u,(function(){var t,n=e.facade,o=e.value;if(Q(e)&&(t=N((function(){l?F.emit("unhandledRejection",o,n):X(V,n,o)})),e.rejection=l||Q(e)?2:1,t.error))throw t.value}))},Q=function(e){return 1!==e.rejection&&!e.parent},Z=function(e){c(I,u,(function(){var t=e.facade;l?F.emit("rejectionHandled",t):X("rejectionhandled",t,e.value)}))},$=function(e,t,n){return function(o){e(t,o,n)}},J=function(e,t,n){e.done||(e.done=!0,n&&(e=n),e.value=t,e.state=2,K(e,!0))},ee=function(e,t,n){if(!e.done){e.done=!0,n&&(e=n);try{if(e.facade===t)throw B("Promise can't be resolved itself");var o=j(t);o?v((function(){var n={done:!1};try{c(o,t,$(ee,n,e),$(J,n,e))}catch(t){J(n,t,e)}})):(e.value=t,e.state=1,K(e,!1))}catch(t){J({done:!1},t,e)}}};if(C&&(x=(U=function(e){O(this,x),p(e),c(o,this);var t=P(this);try{e($(ee,t),$(J,t))}catch(e){J(t,e)}}).prototype,(o=function(e){k(this,{type:M,done:!1,notified:!1,parent:!1,reactions:new L,rejection:!1,state:0,value:void 0})}).prototype=d(x,"then",(function(e,t){var n=P(this),o=z(A(this,U));return n.parent=!0,o.ok=!f(e)||e,o.fail=f(t)&&t,o.domain=l?F.domain:void 0,0==n.state?n.reactions.add(o):v((function(){W(o,n)})),o.promise})),a=function(){var e=new o,t=P(e);this.promise=e,this.resolve=$(ee,t),this.reject=$(J,t)},y.f=z=function(e){return e===U||void 0===e?new a(e):Y(e)},!s&&f(g)&&w!==Object.prototype)){r=w.then,D||d(w,"then",(function(e,t){var n=this;return new U((function(e,t){c(r,n,e,t)})).then(e,t)}),{unsafe:!0});try{delete w.constructor}catch(e){}E&&E(w,x)}i({global:!0,constructor:!0,wrap:!0,forced:C},{Promise:U}),m(U,M,!1,!0),T(M)},4349:(e,t,n)=>{"use strict";var o=n(6887),a=n(2529),r=n(6991),i=n(5981),s=n(626),l=n(7475),u=n(487),c=n(6584),d=n(5929),E=r&&r.prototype;if(o({target:"Promise",proto:!0,real:!0,forced:!!r&&i((function(){E.finally.call({then:function(){}},(function(){}))}))},{finally:function(e){var t=u(this,s("Promise")),n=l(e);return this.then(n?function(n){return c(t,e()).then((function(){return n}))}:e,n?function(n){return c(t,e()).then((function(){throw n}))}:e)}}),!a&&l(r)){var m=s("Promise").prototype.finally;E.finally!==m&&d(E,"finally",m,{unsafe:!0})}},8881:(e,t,n)=>{n(6934),n(6890),n(3376),n(5921),n(4069),n(4482)},5921:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(4883),i=n(9520),s=n(2),l=n(3091);o({target:"Promise",stat:!0,forced:n(1542)},{race:function(e){var t=this,n=i.f(t),o=n.reject,u=s((function(){var i=r(t.resolve);l(e,(function(e){a(i,t,e).then(n.resolve,o)}))}));return u.error&&o(u.value),n.promise}})},4069:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(9520);o({target:"Promise",stat:!0,forced:n(7742).CONSTRUCTOR},{reject:function(e){var t=r.f(this);return a(t.reject,void 0,e),t.promise}})},4482:(e,t,n)=>{"use strict";var o=n(6887),a=n(626),r=n(2529),i=n(6991),s=n(7742).CONSTRUCTOR,l=n(6584),u=a("Promise"),c=r&&!s;o({target:"Promise",stat:!0,forced:r||s},{resolve:function(e){return l(c&&this===u?i:this,e)}})},7091:()=>{},1293:(e,t,n)=>{"use strict";var o,a=n(6887),r=n(7484),i=n(9677).f,s=n(3057),l=n(5803),u=n(344),c=n(8219),d=n(7772),E=n(2529),m=r("".endsWith),T=r("".slice),p=Math.min,f=d("endsWith");a({target:"String",proto:!0,forced:!(!E&&!f&&(o=i(String.prototype,"endsWith"),o&&!o.writable)||f)},{endsWith:function(e){var t=l(c(this));u(e);var n=arguments.length>1?arguments[1]:void 0,o=t.length,a=void 0===n?o:p(s(n),o),r=l(e);return m?m(t,r,a):T(t,a-r.length,a)===r}})},1035:(e,t,n)=>{"use strict";var o=n(6887),a=n(5329),r=n(344),i=n(8219),s=n(5803),l=n(7772),u=a("".indexOf);o({target:"String",proto:!0,forced:!l("includes")},{includes:function(e){return!!~u(s(i(this)),s(r(e)),arguments.length>1?arguments[1]:void 0)}})},7971:(e,t,n)=>{"use strict";var o=n(4620).charAt,a=n(5803),r=n(5402),i=n(5105),s=n(3538),l="String Iterator",u=r.set,c=r.getterFor(l);i(String,"String",(function(e){u(this,{type:l,string:a(e),index:0})}),(function(){var e,t=c(this),n=t.string,a=t.index;return a>=n.length?s(void 0,!0):(e=o(n,a),t.index+=e.length,s(e,!1))}))},986:(e,t,n)=>{n(6887)({target:"String",proto:!0},{repeat:n(6178)})},6226:(e,t,n)=>{"use strict";var o=n(6887),a=n(8834),r=n(5329),i=n(8219),s=n(7475),l=n(2119),u=n(685),c=n(5803),d=n(4229),E=n(3613),m=n(5076),T=n(9813),p=n(2529),f=T("replace"),S=TypeError,O=r("".indexOf),A=r("".replace),I=r("".slice),v=Math.max,_=function(e,t,n){return n>e.length?-1:""===t?n:O(e,t,n)};o({target:"String",proto:!0},{replaceAll:function(e,t){var n,o,r,T,N,L,R,g,h,y=i(this),M=0,C=0,b="";if(!l(e)){if((n=u(e))&&(o=c(i(E(e))),!~O(o,"g")))throw S("`.replaceAll` does not allow non-global regexes");if(r=d(e,f))return a(r,e,y,t);if(p&&n)return A(c(y),e,t)}for(T=c(y),N=c(e),(L=s(t))||(t=c(t)),R=N.length,g=v(1,R),M=_(T,N,0);-1!==M;)h=L?c(t(N,M,T)):m(N,T,M,[],void 0,t),b+=I(T,C,M)+h,C=M+R,M=_(T,N,M+g);return C<T.length&&(b+=I(T,C)),b}})},3475:()=>{},4761:(e,t,n)=>{"use strict";var o,a=n(6887),r=n(7484),i=n(9677).f,s=n(3057),l=n(5803),u=n(344),c=n(8219),d=n(7772),E=n(2529),m=r("".startsWith),T=r("".slice),p=Math.min,f=d("startsWith");a({target:"String",proto:!0,forced:!(!E&&!f&&(o=i(String.prototype,"startsWith"),o&&!o.writable)||f)},{startsWith:function(e){var t=l(c(this));u(e);var n=s(p(arguments.length>1?arguments[1]:void 0,t.length)),o=l(e);return m?m(t,o,n):T(t,n,n+o.length)===o}})},3026:(e,t,n)=>{n(6226)},7634:(e,t,n)=>{n(6274);var o=n(3281),a=n(1899),r=n(9697),i=n(2029),s=n(2077),l=n(9813)("toStringTag");for(var u in o){var c=a[u],d=c&&c.prototype;d&&r(d)!==l&&i(d,l,u),s[u]=s.Array}},2524:(e,t,n)=>{"use strict";n(6274);var o=n(6887),a=n(1899),r=n(8834),i=n(5329),s=n(5746),l=n(4766),u=n(5929),c=n(9202),d=n(4380),E=n(904),m=n(3847),T=n(5402),p=n(5743),f=n(7475),S=n(953),O=n(6843),A=n(9697),I=n(6059),v=n(941),_=n(5803),N=n(9290),L=n(1887),R=n(3476),g=n(2902),h=n(8348),y=n(9813),M=n(1388),C=y("iterator"),b="URLSearchParams",D=b+"Iterator",P=T.set,k=T.getterFor(b),w=T.getterFor(D),U=Object.getOwnPropertyDescriptor,x=function(e){if(!s)return a[e];var t=U(a,e);return t&&t.value},B=x("fetch"),G=x("Request"),F=x("Headers"),z=G&&G.prototype,Y=F&&F.prototype,H=a.RegExp,V=a.TypeError,j=a.decodeURIComponent,W=a.encodeURIComponent,K=i("".charAt),X=i([].join),q=i([].push),Q=i("".replace),Z=i([].shift),$=i([].splice),J=i("".split),ee=i("".slice),te=/\+/g,ne=Array(4),oe=function(e){return ne[e-1]||(ne[e-1]=H("((?:%[\\da-f]{2}){"+e+"})","gi"))},ae=function(e){try{return j(e)}catch(t){return e}},re=function(e){var t=Q(e,te," "),n=4;try{return j(t)}catch(e){for(;n;)t=Q(t,oe(n--),ae);return t}},ie=/[!'()~]|%20/g,se={"!":"%21","'":"%27","(":"%28",")":"%29","~":"%7E","%20":"+"},le=function(e){return se[e]},ue=function(e){return Q(W(e),ie,le)},ce=m((function(e,t){P(this,{type:D,iterator:R(k(e).entries),kind:t})}),"Iterator",(function(){var e=w(this),t=e.kind,n=e.iterator.next(),o=n.value;return n.done||(n.value="keys"===t?o.key:"values"===t?o.value:[o.key,o.value]),n}),!0),de=function(e){this.entries=[],this.url=null,void 0!==e&&(v(e)?this.parseObject(e):this.parseQuery("string"==typeof e?"?"===K(e,0)?ee(e,1):e:_(e)))};de.prototype={type:b,bindURL:function(e){this.url=e,this.update()},parseObject:function(e){var t,n,o,a,i,s,l,u=g(e);if(u)for(n=(t=R(e,u)).next;!(o=r(n,t)).done;){if(i=(a=R(I(o.value))).next,(s=r(i,a)).done||(l=r(i,a)).done||!r(i,a).done)throw V("Expected sequence with length 2");q(this.entries,{key:_(s.value),value:_(l.value)})}else for(var c in e)S(e,c)&&q(this.entries,{key:c,value:_(e[c])})},parseQuery:function(e){if(e)for(var t,n,o=J(e,"&"),a=0;a<o.length;)(t=o[a++]).length&&(n=J(t,"="),q(this.entries,{key:re(Z(n)),value:re(X(n,"="))}))},serialize:function(){for(var e,t=this.entries,n=[],o=0;o<t.length;)e=t[o++],q(n,ue(e.key)+"="+ue(e.value));return X(n,"&")},update:function(){this.entries.length=0,this.parseQuery(this.url.query)},updateURL:function(){this.url&&this.url.update()}};var Ee=function(){p(this,me);var e=P(this,new de(arguments.length>0?arguments[0]:void 0));s||(this.length=e.entries.length)},me=Ee.prototype;if(d(me,{append:function(e,t){h(arguments.length,2);var n=k(this);q(n.entries,{key:_(e),value:_(t)}),s||this.length++,n.updateURL()},delete:function(e){h(arguments.length,1);for(var t=k(this),n=t.entries,o=_(e),a=0;a<n.length;)n[a].key===o?$(n,a,1):a++;s||(this.length=n.length),t.updateURL()},get:function(e){h(arguments.length,1);for(var t=k(this).entries,n=_(e),o=0;o<t.length;o++)if(t[o].key===n)return t[o].value;return null},getAll:function(e){h(arguments.length,1);for(var t=k(this).entries,n=_(e),o=[],a=0;a<t.length;a++)t[a].key===n&&q(o,t[a].value);return o},has:function(e){h(arguments.length,1);for(var t=k(this).entries,n=_(e),o=0;o<t.length;)if(t[o++].key===n)return!0;return!1},set:function(e,t){h(arguments.length,1);for(var n,o=k(this),a=o.entries,r=!1,i=_(e),l=_(t),u=0;u<a.length;u++)(n=a[u]).key===i&&(r?$(a,u--,1):(r=!0,n.value=l));r||q(a,{key:i,value:l}),s||(this.length=a.length),o.updateURL()},sort:function(){var e=k(this);M(e.entries,(function(e,t){return e.key>t.key?1:-1})),e.updateURL()},forEach:function(e){for(var t,n=k(this).entries,o=O(e,arguments.length>1?arguments[1]:void 0),a=0;a<n.length;)o((t=n[a++]).value,t.key,this)},keys:function(){return new ce(this,"keys")},values:function(){return new ce(this,"values")},entries:function(){return new ce(this,"entries")}},{enumerable:!0}),u(me,C,me.entries,{name:"entries"}),u(me,"toString",(function(){return k(this).serialize()}),{enumerable:!0}),s&&c(me,"size",{get:function(){return k(this).entries.length},configurable:!0,enumerable:!0}),E(Ee,b),o({global:!0,constructor:!0,forced:!l},{URLSearchParams:Ee}),!l&&f(F)){var Te=i(Y.has),pe=i(Y.set),fe=function(e){if(v(e)){var t,n=e.body;if(A(n)===b)return t=e.headers?new F(e.headers):new F,Te(t,"content-type")||pe(t,"content-type","application/x-www-form-urlencoded;charset=UTF-8"),N(e,{body:L(0,_(n)),headers:L(0,t)})}return e};if(f(B)&&o({global:!0,enumerable:!0,dontCallGetSet:!0,forced:!0},{fetch:function(e){return B(e,arguments.length>1?fe(arguments[1]):{})}}),f(G)){var Se=function(e){return p(this,z),new G(e,arguments.length>1?fe(arguments[1]):{})};z.constructor=Se,Se.prototype=z,o({global:!0,constructor:!0,dontCallGetSet:!0,forced:!0},{Request:Se})}}e.exports={URLSearchParams:Ee,getState:k}},5304:(e,t,n)=>{n(2524)},2337:()=>{},7698:(e,t,n)=>{var o=n(4493);e.exports=o},2908:(e,t,n)=>{var o=n(2710);e.exports=o},6668:(e,t,n)=>{var o=n(5909);e.exports=o},8065:(e,t,n)=>{var o=n(6043);e.exports=o},5247:(e,t,n)=>{var o=n(1727);e.exports=o},7448:(e,t,n)=>{n(7634);var o=n(9697),a=n(953),r=n(7046),i=n(2908),s=Array.prototype,l={DOMTokenList:!0,NodeList:!0};e.exports=function(e){var t=e.entries;return e===s||r(s,e)&&t===s.entries||a(l,o(e))?i:t}},1955:(e,t,n)=>{var o=n(2480);e.exports=o},6064:(e,t,n)=>{var o=n(7147);e.exports=o},1577:(e,t,n)=>{var o=n(2236);e.exports=o},3778:(e,t,n)=>{var o=n(8557);e.exports=o},3819:(e,t,n)=>{n(7634);var o=n(9697),a=n(953),r=n(7046),i=n(6668),s=Array.prototype,l={DOMTokenList:!0,NodeList:!0};e.exports=function(e){var t=e.keys;return e===s||r(s,e)&&t===s.keys||a(l,o(e))?i:t}},1798:(e,t,n)=>{var o=n(8287);e.exports=o},6857:(e,t,n)=>{var o=n(9257);e.exports=o},7145:(e,t,n)=>{var o=n(9279);e.exports=o},2073:(e,t,n)=>{var o=n(9601);e.exports=o},2856:(e,t,n)=>{var o=n(9355);e.exports=o},2348:(e,t,n)=>{var o=n(8339);e.exports=o},5178:(e,t,n)=>{var o=n(1611);e.exports=o},8933:(e,t,n)=>{var o=n(4426);e.exports=o},5868:(e,t,n)=>{var o=n(1018);n(7634),e.exports=o},7410:(e,t,n)=>{var o=n(5999);e.exports=o},3059:(e,t,n)=>{var o=n(8494);e.exports=o},7795:(e,t,n)=>{var o=n(8430);e.exports=o},6877:(e,t,n)=>{var o=n(7579);e.exports=o},4888:(e,t,n)=>{var o=n(8524);e.exports=o},7460:(e,t,n)=>{var o=n(2956);n(7634),e.exports=o},3926:(e,t,n)=>{var o=n(7610);n(7634),e.exports=o},7610:(e,t,n)=>{n(5304),n(2337);var o=n(4058);e.exports=o.URLSearchParams},8679:(e,t,n)=>{"use strict";var o=n(1296),a={childContextTypes:!0,contextType:!0,contextTypes:!0,defaultProps:!0,displayName:!0,getDefaultProps:!0,getDerivedStateFromError:!0,getDerivedStateFromProps:!0,mixins:!0,propTypes:!0,type:!0},r={name:!0,length:!0,prototype:!0,caller:!0,callee:!0,arguments:!0,arity:!0},i={$$typeof:!0,compare:!0,defaultProps:!0,displayName:!0,propTypes:!0,type:!0},s={};function l(e){return o.isMemo(e)?i:s[e.$$typeof]||a}s[o.ForwardRef]={$$typeof:!0,render:!0,defaultProps:!0,displayName:!0,propTypes:!0},s[o.Memo]=i;var u=Object.defineProperty,c=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols,E=Object.getOwnPropertyDescriptor,m=Object.getPrototypeOf,T=Object.prototype;e.exports=function e(t,n,o){if("string"!=typeof n){if(T){var a=m(n);a&&a!==T&&e(t,a,o)}var i=c(n);d&&(i=i.concat(d(n)));for(var s=l(t),p=l(n),f=0;f<i.length;++f){var S=i[f];if(!(r[S]||o&&o[S]||p&&p[S]||s&&s[S])){var O=E(n,S);try{u(t,S,O)}catch(e){}}}}return t}},6103:(e,t)=>{"use strict";var n="function"==typeof Symbol&&Symbol.for,o=n?Symbol.for("react.element"):60103,a=n?Symbol.for("react.portal"):60106,r=n?Symbol.for("react.fragment"):60107,i=n?Symbol.for("react.strict_mode"):60108,s=n?Symbol.for("react.profiler"):60114,l=n?Symbol.for("react.provider"):60109,u=n?Symbol.for("react.context"):60110,c=n?Symbol.for("react.async_mode"):60111,d=n?Symbol.for("react.concurrent_mode"):60111,E=n?Symbol.for("react.forward_ref"):60112,m=n?Symbol.for("react.suspense"):60113,T=n?Symbol.for("react.suspense_list"):60120,p=n?Symbol.for("react.memo"):60115,f=n?Symbol.for("react.lazy"):60116,S=n?Symbol.for("react.block"):60121,O=n?Symbol.for("react.fundamental"):60117,A=n?Symbol.for("react.responder"):60118,I=n?Symbol.for("react.scope"):60119;function v(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case o:switch(e=e.type){case c:case d:case r:case s:case i:case m:return e;default:switch(e=e&&e.$$typeof){case u:case E:case f:case p:case l:return e;default:return t}}case a:return t}}}function _(e){return v(e)===d}t.AsyncMode=c,t.ConcurrentMode=d,t.ContextConsumer=u,t.ContextProvider=l,t.Element=o,t.ForwardRef=E,t.Fragment=r,t.Lazy=f,t.Memo=p,t.Portal=a,t.Profiler=s,t.StrictMode=i,t.Suspense=m,t.isAsyncMode=function(e){return _(e)||v(e)===c},t.isConcurrentMode=_,t.isContextConsumer=function(e){return v(e)===u},t.isContextProvider=function(e){return v(e)===l},t.isElement=function(e){return"object"==typeof e&&null!==e&&e.$$typeof===o},t.isForwardRef=function(e){return v(e)===E},t.isFragment=function(e){return v(e)===r},t.isLazy=function(e){return v(e)===f},t.isMemo=function(e){return v(e)===p},t.isPortal=function(e){return v(e)===a},t.isProfiler=function(e){return v(e)===s},t.isStrictMode=function(e){return v(e)===i},t.isSuspense=function(e){return v(e)===m},t.isValidElementType=function(e){return"string"==typeof e||"function"==typeof e||e===r||e===d||e===s||e===i||e===m||e===T||"object"==typeof e&&null!==e&&(e.$$typeof===f||e.$$typeof===p||e.$$typeof===l||e.$$typeof===u||e.$$typeof===E||e.$$typeof===O||e.$$typeof===A||e.$$typeof===I||e.$$typeof===S)},t.typeOf=v},1296:(e,t,n)=>{"use strict";e.exports=n(6103)},1661:function(e,t,n){var o,a;o=function(){var e,t,n,o,a,r={},i={},s={currentLocale:"en",zeroFormat:null,nullFormat:null,defaultFormat:"0,0",scalePercentBy100:!0},l={currentLocale:s.currentLocale,zeroFormat:s.zeroFormat,nullFormat:s.nullFormat,defaultFormat:s.defaultFormat,scalePercentBy100:s.scalePercentBy100};function u(e,t){this._input=e,this._value=t}return(e=function(n){var o,a,i,s;if(e.isNumeral(n))o=n.value();else if(0===n||void 0===n)o=0;else if(null===n||t.isNaN(n))o=null;else if("string"==typeof n)if(l.zeroFormat&&n===l.zeroFormat)o=0;else if(l.nullFormat&&n===l.nullFormat||!n.replace(/[^0-9]+/g,"").length)o=null;else{for(a in r)if((s="function"==typeof r[a].regexps.unformat?r[a].regexps.unformat():r[a].regexps.unformat)&&n.match(s)){i=r[a].unformat;break}o=(i=i||e._.stringToNumber)(n)}else o=Number(n)||null;return new u(n,o)}).version="2.0.6",e.isNumeral=function(e){return e instanceof u},e._=t={numberToFormat:function(t,n,o){var a,r,s,l,u,c,d,E,m=i[e.options.currentLocale],T=!1,p=!1,f="",S=1e12,O=1e9,A=1e6,I="",v=!1;if(t=t||0,r=Math.abs(t),e._.includes(n,"(")?(T=!0,n=n.replace(/[\(|\)]/g,"")):(e._.includes(n,"+")||e._.includes(n,"-"))&&(u=e._.includes(n,"+")?n.indexOf("+"):t<0?n.indexOf("-"):-1,n=n.replace(/[\+|\-]/g,"")),e._.includes(n,"a")&&(a=!!(a=n.match(/a(k|m|b|t)?/))&&a[1],e._.includes(n," a")&&(f=" "),n=n.replace(new RegExp(f+"a[kmbt]?"),""),r>=S&&!a||"t"===a?(f+=m.abbreviations.trillion,t/=S):r<S&&r>=O&&!a||"b"===a?(f+=m.abbreviations.billion,t/=O):r<O&&r>=A&&!a||"m"===a?(f+=m.abbreviations.million,t/=A):(r<A&&r>=1e3&&!a||"k"===a)&&(f+=m.abbreviations.thousand,t/=1e3)),e._.includes(n,"[.]")&&(p=!0,n=n.replace("[.]",".")),s=t.toString().split(".")[0],l=n.split(".")[1],c=n.indexOf(","),E=(n.split(".")[0].split(",")[0].match(/0/g)||[]).length,l?(e._.includes(l,"[")?(l=(l=l.replace("]","")).split("["),I=e._.toFixed(t,l[0].length+l[1].length,o,l[1].length)):I=e._.toFixed(t,l.length,o),s=I.split(".")[0],I=e._.includes(I,".")?m.delimiters.decimal+I.split(".")[1]:"",p&&0===Number(I.slice(1))&&(I="")):s=e._.toFixed(t,0,o),f&&!a&&Number(s)>=1e3&&f!==m.abbreviations.trillion)switch(s=String(Number(s)/1e3),f){case m.abbreviations.thousand:f=m.abbreviations.million;break;case m.abbreviations.million:f=m.abbreviations.billion;break;case m.abbreviations.billion:f=m.abbreviations.trillion}if(e._.includes(s,"-")&&(s=s.slice(1),v=!0),s.length<E)for(var _=E-s.length;_>0;_--)s="0"+s;return c>-1&&(s=s.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g,"$1"+m.delimiters.thousands)),0===n.indexOf(".")&&(s=""),d=s+I+(f||""),T?d=(T&&v?"(":"")+d+(T&&v?")":""):u>=0?d=0===u?(v?"-":"+")+d:d+(v?"-":"+"):v&&(d="-"+d),d},stringToNumber:function(e){var t,n,o,a=i[l.currentLocale],r=e,s={thousand:3,million:6,billion:9,trillion:12};if(l.zeroFormat&&e===l.zeroFormat)n=0;else if(l.nullFormat&&e===l.nullFormat||!e.replace(/[^0-9]+/g,"").length)n=null;else{for(t in n=1,"."!==a.delimiters.decimal&&(e=e.replace(/\./g,"").replace(a.delimiters.decimal,".")),s)if(o=new RegExp("[^a-zA-Z]"+a.abbreviations[t]+"(?:\\)|(\\"+a.currency.symbol+")?(?:\\))?)?$"),r.match(o)){n*=Math.pow(10,s[t]);break}n*=(e.split("-").length+Math.min(e.split("(").length-1,e.split(")").length-1))%2?1:-1,e=e.replace(/[^0-9\.]+/g,""),n*=Number(e)}return n},isNaN:function(e){return"number"==typeof e&&isNaN(e)},includes:function(e,t){return-1!==e.indexOf(t)},insert:function(e,t,n){return e.slice(0,n)+t+e.slice(n)},reduce:function(e,t){if(null===this)throw new TypeError("Array.prototype.reduce called on null or undefined");if("function"!=typeof t)throw new TypeError(t+" is not a function");var n,o=Object(e),a=o.length>>>0,r=0;if(3===arguments.length)n=arguments[2];else{for(;r<a&&!(r in o);)r++;if(r>=a)throw new TypeError("Reduce of empty array with no initial value");n=o[r++]}for(;r<a;r++)r in o&&(n=t(n,o[r],r,o));return n},multiplier:function(e){var t=e.toString().split(".");return t.length<2?1:Math.pow(10,t[1].length)},correctionFactor:function(){return Array.prototype.slice.call(arguments).reduce((function(e,n){var o=t.multiplier(n);return e>o?e:o}),1)},toFixed:function(e,t,n,o){var a,r,i,s,l=e.toString().split("."),u=t-(o||0);return a=2===l.length?Math.min(Math.max(l[1].length,u),t):u,i=Math.pow(10,a),s=(n(e+"e+"+a)/i).toFixed(a),o>t-a&&(r=new RegExp("\\.?0{1,"+(o-(t-a))+"}$"),s=s.replace(r,"")),s}},e.options=l,e.formats=r,e.locales=i,e.locale=function(e){return e&&(l.currentLocale=e.toLowerCase()),l.currentLocale},e.localeData=function(e){if(!e)return i[l.currentLocale];if(e=e.toLowerCase(),!i[e])throw new Error("Unknown locale : "+e);return i[e]},e.reset=function(){for(var e in s)l[e]=s[e]},e.zeroFormat=function(e){l.zeroFormat="string"==typeof e?e:null},e.nullFormat=function(e){l.nullFormat="string"==typeof e?e:null},e.defaultFormat=function(e){l.defaultFormat="string"==typeof e?e:"0.0"},e.register=function(e,t,n){if(t=t.toLowerCase(),this[e+"s"][t])throw new TypeError(t+" "+e+" already registered.");return this[e+"s"][t]=n,n},e.validate=function(t,n){var o,a,r,i,s,l,u,c;if("string"!=typeof t&&(t+="",console.warn&&console.warn("Numeral.js: Value is not string. It has been co-erced to: ",t)),(t=t.trim()).match(/^\d+$/))return!0;if(""===t)return!1;try{u=e.localeData(n)}catch(t){u=e.localeData(e.locale())}return r=u.currency.symbol,s=u.abbreviations,o=u.delimiters.decimal,a="."===u.delimiters.thousands?"\\.":u.delimiters.thousands,!(null!==(c=t.match(/^[^\d]+/))&&(t=t.substr(1),c[0]!==r)||null!==(c=t.match(/[^\d]+$/))&&(t=t.slice(0,-1),c[0]!==s.thousand&&c[0]!==s.million&&c[0]!==s.billion&&c[0]!==s.trillion)||(l=new RegExp(a+"{2}"),t.match(/[^\d.,]/g)||(i=t.split(o)).length>2||(i.length<2?!i[0].match(/^\d+.*\d$/)||i[0].match(l):1===i[0].length?!i[0].match(/^\d+$/)||i[0].match(l)||!i[1].match(/^\d+$/):!i[0].match(/^\d+.*\d$/)||i[0].match(l)||!i[1].match(/^\d+$/))))},e.fn=u.prototype={clone:function(){return e(this)},format:function(t,n){var o,a,i,s=this._value,u=t||l.defaultFormat;if(n=n||Math.round,0===s&&null!==l.zeroFormat)a=l.zeroFormat;else if(null===s&&null!==l.nullFormat)a=l.nullFormat;else{for(o in r)if(u.match(r[o].regexps.format)){i=r[o].format;break}a=(i=i||e._.numberToFormat)(s,u,n)}return a},value:function(){return this._value},input:function(){return this._input},set:function(e){return this._value=Number(e),this},add:function(e){var n=t.correctionFactor.call(null,this._value,e);return this._value=t.reduce([this._value,e],(function(e,t,o,a){return e+Math.round(n*t)}),0)/n,this},subtract:function(e){var n=t.correctionFactor.call(null,this._value,e);return this._value=t.reduce([e],(function(e,t,o,a){return e-Math.round(n*t)}),Math.round(this._value*n))/n,this},multiply:function(e){return this._value=t.reduce([this._value,e],(function(e,n,o,a){var r=t.correctionFactor(e,n);return Math.round(e*r)*Math.round(n*r)/Math.round(r*r)}),1),this},divide:function(e){return this._value=t.reduce([this._value,e],(function(e,n,o,a){var r=t.correctionFactor(e,n);return Math.round(e*r)/Math.round(n*r)})),this},difference:function(t){return Math.abs(e(this._value).subtract(t).value())}},e.register("locale","en",{delimiters:{thousands:",",decimal:"."},abbreviations:{thousand:"k",million:"m",billion:"b",trillion:"t"},ordinal:function(e){var t=e%10;return 1==~~(e%100/10)?"th":1===t?"st":2===t?"nd":3===t?"rd":"th"},currency:{symbol:"$"}}),e.register("format","bps",{regexps:{format:/(BPS)/,unformat:/(BPS)/},format:function(t,n,o){var a,r=e._.includes(n," BPS")?" ":"";return t*=1e4,n=n.replace(/\s?BPS/,""),a=e._.numberToFormat(t,n,o),e._.includes(a,")")?((a=a.split("")).splice(-1,0,r+"BPS"),a=a.join("")):a=a+r+"BPS",a},unformat:function(t){return+(1e-4*e._.stringToNumber(t)).toFixed(15)}}),o={base:1024,suffixes:["B","KiB","MiB","GiB","TiB","PiB","EiB","ZiB","YiB"]},a="("+(a=(n={base:1e3,suffixes:["B","KB","MB","GB","TB","PB","EB","ZB","YB"]}).suffixes.concat(o.suffixes.filter((function(e){return n.suffixes.indexOf(e)<0}))).join("|")).replace("B","B(?!PS)")+")",e.register("format","bytes",{regexps:{format:/([0\s]i?b)/,unformat:new RegExp(a)},format:function(t,a,r){var i,s,l,u=e._.includes(a,"ib")?o:n,c=e._.includes(a," b")||e._.includes(a," ib")?" ":"";for(a=a.replace(/\s?i?b/,""),i=0;i<=u.suffixes.length;i++)if(s=Math.pow(u.base,i),l=Math.pow(u.base,i+1),null===t||0===t||t>=s&&t<l){c+=u.suffixes[i],s>0&&(t/=s);break}return e._.numberToFormat(t,a,r)+c},unformat:function(t){var a,r,i=e._.stringToNumber(t);if(i){for(a=n.suffixes.length-1;a>=0;a--){if(e._.includes(t,n.suffixes[a])){r=Math.pow(n.base,a);break}if(e._.includes(t,o.suffixes[a])){r=Math.pow(o.base,a);break}}i*=r||1}return i}}),e.register("format","currency",{regexps:{format:/(\$)/},format:function(t,n,o){var a,r,i=e.locales[e.options.currentLocale],s={before:n.match(/^([\+|\-|\(|\s|\$]*)/)[0],after:n.match(/([\+|\-|\)|\s|\$]*)$/)[0]};for(n=n.replace(/\s?\$\s?/,""),a=e._.numberToFormat(t,n,o),t>=0?(s.before=s.before.replace(/[\-\(]/,""),s.after=s.after.replace(/[\-\)]/,"")):t<0&&!e._.includes(s.before,"-")&&!e._.includes(s.before,"(")&&(s.before="-"+s.before),r=0;r<s.before.length;r++)switch(s.before[r]){case"$":a=e._.insert(a,i.currency.symbol,r);break;case" ":a=e._.insert(a," ",r+i.currency.symbol.length-1)}for(r=s.after.length-1;r>=0;r--)switch(s.after[r]){case"$":a=r===s.after.length-1?a+i.currency.symbol:e._.insert(a,i.currency.symbol,-(s.after.length-(1+r)));break;case" ":a=r===s.after.length-1?a+" ":e._.insert(a," ",-(s.after.length-(1+r)+i.currency.symbol.length-1))}return a}}),e.register("format","exponential",{regexps:{format:/(e\+|e-)/,unformat:/(e\+|e-)/},format:function(t,n,o){var a=("number"!=typeof t||e._.isNaN(t)?"0e+0":t.toExponential()).split("e");return n=n.replace(/e[\+|\-]{1}0/,""),e._.numberToFormat(Number(a[0]),n,o)+"e"+a[1]},unformat:function(t){var n=e._.includes(t,"e+")?t.split("e+"):t.split("e-"),o=Number(n[0]),a=Number(n[1]);return a=e._.includes(t,"e-")?a*=-1:a,e._.reduce([o,Math.pow(10,a)],(function(t,n,o,a){var r=e._.correctionFactor(t,n);return t*r*(n*r)/(r*r)}),1)}}),e.register("format","ordinal",{regexps:{format:/(o)/},format:function(t,n,o){var a=e.locales[e.options.currentLocale],r=e._.includes(n," o")?" ":"";return n=n.replace(/\s?o/,""),r+=a.ordinal(t),e._.numberToFormat(t,n,o)+r}}),e.register("format","percentage",{regexps:{format:/(%)/,unformat:/(%)/},format:function(t,n,o){var a,r=e._.includes(n," %")?" ":"";return e.options.scalePercentBy100&&(t*=100),n=n.replace(/\s?\%/,""),a=e._.numberToFormat(t,n,o),e._.includes(a,")")?((a=a.split("")).splice(-1,0,r+"%"),a=a.join("")):a=a+r+"%",a},unformat:function(t){var n=e._.stringToNumber(t);return e.options.scalePercentBy100?.01*n:n}}),e.register("format","time",{regexps:{format:/(:)/,unformat:/(:)/},format:function(e,t,n){var o=Math.floor(e/60/60),a=Math.floor((e-60*o*60)/60),r=Math.round(e-60*o*60-60*a);return o+":"+(a<10?"0"+a:a)+":"+(r<10?"0"+r:r)},unformat:function(e){var t=e.split(":"),n=0;return 3===t.length?(n+=60*Number(t[0])*60,n+=60*Number(t[1]),n+=Number(t[2])):2===t.length&&(n+=60*Number(t[0]),n+=Number(t[1])),Number(n)}}),e},void 0===(a=o.call(t,n,t,e))||(e.exports=a)},4779:(e,t,n)=>{var o=n(6173);e.exports=function e(t,n,a){return o(n)||(a=n||a,n=[]),a=a||{},t instanceof RegExp?function(e,t){var n=e.source.match(/\((?!\?)/g);if(n)for(var o=0;o<n.length;o++)t.push({name:o,prefix:null,delimiter:null,optional:!1,repeat:!1,partial:!1,asterisk:!1,pattern:null});return c(e,t)}(t,n):o(t)?function(t,n,o){for(var a=[],r=0;r<t.length;r++)a.push(e(t[r],n,o).source);return c(new RegExp("(?:"+a.join("|")+")",d(o)),n)}(t,n,a):function(e,t,n){return E(r(e,n),t,n)}(t,n,a)},e.exports.parse=r,e.exports.compile=function(e,t){return s(r(e,t),t)},e.exports.tokensToFunction=s,e.exports.tokensToRegExp=E;var a=new RegExp(["(\\\\.)","([\\/.])?(?:(?:\\:(\\w+)(?:\\(((?:\\\\.|[^\\\\()])+)\\))?|\\(((?:\\\\.|[^\\\\()])+)\\))([+*?])?|(\\*))"].join("|"),"g");function r(e,t){for(var n,o=[],r=0,i=0,s="",c=t&&t.delimiter||"/";null!=(n=a.exec(e));){var d=n[0],E=n[1],m=n.index;if(s+=e.slice(i,m),i=m+d.length,E)s+=E[1];else{var T=e[i],p=n[2],f=n[3],S=n[4],O=n[5],A=n[6],I=n[7];s&&(o.push(s),s="");var v=null!=p&&null!=T&&T!==p,_="+"===A||"*"===A,N="?"===A||"*"===A,L=n[2]||c,R=S||O;o.push({name:f||r++,prefix:p||"",delimiter:L,optional:N,repeat:_,partial:v,asterisk:!!I,pattern:R?u(R):I?".*":"[^"+l(L)+"]+?"})}}return i<e.length&&(s+=e.substr(i)),s&&o.push(s),o}function i(e){return encodeURI(e).replace(/[\/?#]/g,(function(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}))}function s(e,t){for(var n=new Array(e.length),a=0;a<e.length;a++)"object"==typeof e[a]&&(n[a]=new RegExp("^(?:"+e[a].pattern+")$",d(t)));return function(t,a){for(var r="",s=t||{},l=(a||{}).pretty?i:encodeURIComponent,u=0;u<e.length;u++){var c=e[u];if("string"!=typeof c){var d,E=s[c.name];if(null==E){if(c.optional){c.partial&&(r+=c.prefix);continue}throw new TypeError('Expected "'+c.name+'" to be defined')}if(o(E)){if(!c.repeat)throw new TypeError('Expected "'+c.name+'" to not repeat, but received `'+JSON.stringify(E)+"`");if(0===E.length){if(c.optional)continue;throw new TypeError('Expected "'+c.name+'" to not be empty')}for(var m=0;m<E.length;m++){if(d=l(E[m]),!n[u].test(d))throw new TypeError('Expected all "'+c.name+'" to match "'+c.pattern+'", but received `'+JSON.stringify(d)+"`");r+=(0===m?c.prefix:c.delimiter)+d}}else{if(d=c.asterisk?encodeURI(E).replace(/[?#]/g,(function(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()})):l(E),!n[u].test(d))throw new TypeError('Expected "'+c.name+'" to match "'+c.pattern+'", but received "'+d+'"');r+=c.prefix+d}}else r+=c}return r}}function l(e){return e.replace(/([.+*?=^!:${}()[\]|\/\\])/g,"\\$1")}function u(e){return e.replace(/([=!:$\/()])/g,"\\$1")}function c(e,t){return e.keys=t,e}function d(e){return e&&e.sensitive?"":"i"}function E(e,t,n){o(t)||(n=t||n,t=[]);for(var a=(n=n||{}).strict,r=!1!==n.end,i="",s=0;s<e.length;s++){var u=e[s];if("string"==typeof u)i+=l(u);else{var E=l(u.prefix),m="(?:"+u.pattern+")";t.push(u),u.repeat&&(m+="(?:"+E+m+")*"),i+=m=u.optional?u.partial?E+"("+m+")?":"(?:"+E+"("+m+"))?":E+"("+m+")"}}var T=l(n.delimiter||"/"),p=i.slice(-T.length)===T;return a||(i=(p?i.slice(0,-T.length):i)+"(?:"+T+"(?=$))?"),i+=r?"$":a&&p?"":"(?="+T+"|$)",c(new RegExp("^"+i,d(n)),t)}},6173:e=>{e.exports=Array.isArray||function(e){return"[object Array]"==Object.prototype.toString.call(e)}},2703:(e,t,n)=>{"use strict";var o=n(414);function a(){}function r(){}r.resetWarningCache=a,e.exports=function(){function e(e,t,n,a,r,i){if(i!==o){var s=new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");throw s.name="Invariant Violation",s}}function t(){return e}e.isRequired=e;var n={array:e,bigint:e,bool:e,func:e,number:e,object:e,string:e,symbol:e,any:e,arrayOf:t,element:e,elementType:e,instanceOf:t,node:e,objectOf:t,oneOf:t,oneOfType:t,shape:t,exact:t,checkPropTypes:r,resetWarningCache:a};return n.PropTypes=n,n}},5697:(e,t,n)=>{e.exports=n(2703)()},414:e=>{"use strict";e.exports="SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED"},4448:(e,t,n)=>{"use strict";var o=n(7294),a=n(3840);function r(e){for(var t="https://reactjs.org/docs/error-decoder.html?invariant="+e,n=1;n<arguments.length;n++)t+="&args[]="+encodeURIComponent(arguments[n]);return"Minified React error #"+e+"; visit "+t+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}var i=new Set,s={};function l(e,t){u(e,t),u(e+"Capture",t)}function u(e,t){for(s[e]=t,e=0;e<t.length;e++)i.add(t[e])}var c=!("undefined"==typeof window||void 0===window.document||void 0===window.document.createElement),d=Object.prototype.hasOwnProperty,E=/^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/,m={},T={};function p(e,t,n,o,a,r,i){this.acceptsBooleans=2===t||3===t||4===t,this.attributeName=o,this.attributeNamespace=a,this.mustUseProperty=n,this.propertyName=e,this.type=t,this.sanitizeURL=r,this.removeEmptyString=i}var f={};"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach((function(e){f[e]=new p(e,0,!1,e,null,!1,!1)})),[["acceptCharset","accept-charset"],["className","class"],["htmlFor","for"],["httpEquiv","http-equiv"]].forEach((function(e){var t=e[0];f[t]=new p(t,1,!1,e[1],null,!1,!1)})),["contentEditable","draggable","spellCheck","value"].forEach((function(e){f[e]=new p(e,2,!1,e.toLowerCase(),null,!1,!1)})),["autoReverse","externalResourcesRequired","focusable","preserveAlpha"].forEach((function(e){f[e]=new p(e,2,!1,e,null,!1,!1)})),"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach((function(e){f[e]=new p(e,3,!1,e.toLowerCase(),null,!1,!1)})),["checked","multiple","muted","selected"].forEach((function(e){f[e]=new p(e,3,!0,e,null,!1,!1)})),["capture","download"].forEach((function(e){f[e]=new p(e,4,!1,e,null,!1,!1)})),["cols","rows","size","span"].forEach((function(e){f[e]=new p(e,6,!1,e,null,!1,!1)})),["rowSpan","start"].forEach((function(e){f[e]=new p(e,5,!1,e.toLowerCase(),null,!1,!1)}));var S=/[\-:]([a-z])/g;function O(e){return e[1].toUpperCase()}function A(e,t,n,o){var a=f.hasOwnProperty(t)?f[t]:null;(null!==a?0!==a.type:o||!(2<t.length)||"o"!==t[0]&&"O"!==t[0]||"n"!==t[1]&&"N"!==t[1])&&(function(e,t,n,o){if(null==t||function(e,t,n,o){if(null!==n&&0===n.type)return!1;switch(typeof t){case"function":case"symbol":return!0;case"boolean":return!o&&(null!==n?!n.acceptsBooleans:"data-"!==(e=e.toLowerCase().slice(0,5))&&"aria-"!==e);default:return!1}}(e,t,n,o))return!0;if(o)return!1;if(null!==n)switch(n.type){case 3:return!t;case 4:return!1===t;case 5:return isNaN(t);case 6:return isNaN(t)||1>t}return!1}(t,n,a,o)&&(n=null),o||null===a?function(e){return!!d.call(T,e)||!d.call(m,e)&&(E.test(e)?T[e]=!0:(m[e]=!0,!1))}(t)&&(null===n?e.removeAttribute(t):e.setAttribute(t,""+n)):a.mustUseProperty?e[a.propertyName]=null===n?3!==a.type&&"":n:(t=a.attributeName,o=a.attributeNamespace,null===n?e.removeAttribute(t):(n=3===(a=a.type)||4===a&&!0===n?"":""+n,o?e.setAttributeNS(o,t,n):e.setAttribute(t,n))))}"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach((function(e){var t=e.replace(S,O);f[t]=new p(t,1,!1,e,null,!1,!1)})),"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach((function(e){var t=e.replace(S,O);f[t]=new p(t,1,!1,e,"http://www.w3.org/1999/xlink",!1,!1)})),["xml:base","xml:lang","xml:space"].forEach((function(e){var t=e.replace(S,O);f[t]=new p(t,1,!1,e,"http://www.w3.org/XML/1998/namespace",!1,!1)})),["tabIndex","crossOrigin"].forEach((function(e){f[e]=new p(e,1,!1,e.toLowerCase(),null,!1,!1)})),f.xlinkHref=new p("xlinkHref",1,!1,"xlink:href","http://www.w3.org/1999/xlink",!0,!1),["src","href","action","formAction"].forEach((function(e){f[e]=new p(e,1,!1,e.toLowerCase(),null,!0,!0)}));var I=o.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,v=Symbol.for("react.element"),_=Symbol.for("react.portal"),N=Symbol.for("react.fragment"),L=Symbol.for("react.strict_mode"),R=Symbol.for("react.profiler"),g=Symbol.for("react.provider"),h=Symbol.for("react.context"),y=Symbol.for("react.forward_ref"),M=Symbol.for("react.suspense"),C=Symbol.for("react.suspense_list"),b=Symbol.for("react.memo"),D=Symbol.for("react.lazy");Symbol.for("react.scope"),Symbol.for("react.debug_trace_mode");var P=Symbol.for("react.offscreen");Symbol.for("react.legacy_hidden"),Symbol.for("react.cache"),Symbol.for("react.tracing_marker");var k=Symbol.iterator;function w(e){return null===e||"object"!=typeof e?null:"function"==typeof(e=k&&e[k]||e["@@iterator"])?e:null}var U,x=Object.assign;function B(e){if(void 0===U)try{throw Error()}catch(e){var t=e.stack.trim().match(/\n( *(at )?)/);U=t&&t[1]||""}return"\n"+U+e}var G=!1;function F(e,t){if(!e||G)return"";G=!0;var n=Error.prepareStackTrace;Error.prepareStackTrace=void 0;try{if(t)if(t=function(){throw Error()},Object.defineProperty(t.prototype,"props",{set:function(){throw Error()}}),"object"==typeof Reflect&&Reflect.construct){try{Reflect.construct(t,[])}catch(e){var o=e}Reflect.construct(e,[],t)}else{try{t.call()}catch(e){o=e}e.call(t.prototype)}else{try{throw Error()}catch(e){o=e}e()}}catch(t){if(t&&o&&"string"==typeof t.stack){for(var a=t.stack.split("\n"),r=o.stack.split("\n"),i=a.length-1,s=r.length-1;1<=i&&0<=s&&a[i]!==r[s];)s--;for(;1<=i&&0<=s;i--,s--)if(a[i]!==r[s]){if(1!==i||1!==s)do{if(i--,0>--s||a[i]!==r[s]){var l="\n"+a[i].replace(" at new "," at ");return e.displayName&&l.includes("<anonymous>")&&(l=l.replace("<anonymous>",e.displayName)),l}}while(1<=i&&0<=s);break}}}finally{G=!1,Error.prepareStackTrace=n}return(e=e?e.displayName||e.name:"")?B(e):""}function z(e){switch(e.tag){case 5:return B(e.type);case 16:return B("Lazy");case 13:return B("Suspense");case 19:return B("SuspenseList");case 0:case 2:case 15:return F(e.type,!1);case 11:return F(e.type.render,!1);case 1:return F(e.type,!0);default:return""}}function Y(e){if(null==e)return null;if("function"==typeof e)return e.displayName||e.name||null;if("string"==typeof e)return e;switch(e){case N:return"Fragment";case _:return"Portal";case R:return"Profiler";case L:return"StrictMode";case M:return"Suspense";case C:return"SuspenseList"}if("object"==typeof e)switch(e.$$typeof){case h:return(e.displayName||"Context")+".Consumer";case g:return(e._context.displayName||"Context")+".Provider";case y:var t=e.render;return(e=e.displayName)||(e=""!==(e=t.displayName||t.name||"")?"ForwardRef("+e+")":"ForwardRef"),e;case b:return null!==(t=e.displayName||null)?t:Y(e.type)||"Memo";case D:t=e._payload,e=e._init;try{return Y(e(t))}catch(e){}}return null}function H(e){var t=e.type;switch(e.tag){case 24:return"Cache";case 9:return(t.displayName||"Context")+".Consumer";case 10:return(t._context.displayName||"Context")+".Provider";case 18:return"DehydratedFragment";case 11:return e=(e=t.render).displayName||e.name||"",t.displayName||(""!==e?"ForwardRef("+e+")":"ForwardRef");case 7:return"Fragment";case 5:return t;case 4:return"Portal";case 3:return"Root";case 6:return"Text";case 16:return Y(t);case 8:return t===L?"StrictMode":"Mode";case 22:return"Offscreen";case 12:return"Profiler";case 21:return"Scope";case 13:return"Suspense";case 19:return"SuspenseList";case 25:return"TracingMarker";case 1:case 0:case 17:case 2:case 14:case 15:if("function"==typeof t)return t.displayName||t.name||null;if("string"==typeof t)return t}return null}function V(e){switch(typeof e){case"boolean":case"number":case"string":case"undefined":case"object":return e;default:return""}}function j(e){var t=e.type;return(e=e.nodeName)&&"input"===e.toLowerCase()&&("checkbox"===t||"radio"===t)}function W(e){e._valueTracker||(e._valueTracker=function(e){var t=j(e)?"checked":"value",n=Object.getOwnPropertyDescriptor(e.constructor.prototype,t),o=""+e[t];if(!e.hasOwnProperty(t)&&void 0!==n&&"function"==typeof n.get&&"function"==typeof n.set){var a=n.get,r=n.set;return Object.defineProperty(e,t,{configurable:!0,get:function(){return a.call(this)},set:function(e){o=""+e,r.call(this,e)}}),Object.defineProperty(e,t,{enumerable:n.enumerable}),{getValue:function(){return o},setValue:function(e){o=""+e},stopTracking:function(){e._valueTracker=null,delete e[t]}}}}(e))}function K(e){if(!e)return!1;var t=e._valueTracker;if(!t)return!0;var n=t.getValue(),o="";return e&&(o=j(e)?e.checked?"true":"false":e.value),(e=o)!==n&&(t.setValue(e),!0)}function X(e){if(void 0===(e=e||("undefined"!=typeof document?document:void 0)))return null;try{return e.activeElement||e.body}catch(t){return e.body}}function q(e,t){var n=t.checked;return x({},t,{defaultChecked:void 0,defaultValue:void 0,value:void 0,checked:null!=n?n:e._wrapperState.initialChecked})}function Q(e,t){var n=null==t.defaultValue?"":t.defaultValue,o=null!=t.checked?t.checked:t.defaultChecked;n=V(null!=t.value?t.value:n),e._wrapperState={initialChecked:o,initialValue:n,controlled:"checkbox"===t.type||"radio"===t.type?null!=t.checked:null!=t.value}}function Z(e,t){null!=(t=t.checked)&&A(e,"checked",t,!1)}function $(e,t){Z(e,t);var n=V(t.value),o=t.type;if(null!=n)"number"===o?(0===n&&""===e.value||e.value!=n)&&(e.value=""+n):e.value!==""+n&&(e.value=""+n);else if("submit"===o||"reset"===o)return void e.removeAttribute("value");t.hasOwnProperty("value")?ee(e,t.type,n):t.hasOwnProperty("defaultValue")&&ee(e,t.type,V(t.defaultValue)),null==t.checked&&null!=t.defaultChecked&&(e.defaultChecked=!!t.defaultChecked)}function J(e,t,n){if(t.hasOwnProperty("value")||t.hasOwnProperty("defaultValue")){var o=t.type;if(!("submit"!==o&&"reset"!==o||void 0!==t.value&&null!==t.value))return;t=""+e._wrapperState.initialValue,n||t===e.value||(e.value=t),e.defaultValue=t}""!==(n=e.name)&&(e.name=""),e.defaultChecked=!!e._wrapperState.initialChecked,""!==n&&(e.name=n)}function ee(e,t,n){"number"===t&&X(e.ownerDocument)===e||(null==n?e.defaultValue=""+e._wrapperState.initialValue:e.defaultValue!==""+n&&(e.defaultValue=""+n))}var te=Array.isArray;function ne(e,t,n,o){if(e=e.options,t){t={};for(var a=0;a<n.length;a++)t["$"+n[a]]=!0;for(n=0;n<e.length;n++)a=t.hasOwnProperty("$"+e[n].value),e[n].selected!==a&&(e[n].selected=a),a&&o&&(e[n].defaultSelected=!0)}else{for(n=""+V(n),t=null,a=0;a<e.length;a++){if(e[a].value===n)return e[a].selected=!0,void(o&&(e[a].defaultSelected=!0));null!==t||e[a].disabled||(t=e[a])}null!==t&&(t.selected=!0)}}function oe(e,t){if(null!=t.dangerouslySetInnerHTML)throw Error(r(91));return x({},t,{value:void 0,defaultValue:void 0,children:""+e._wrapperState.initialValue})}function ae(e,t){var n=t.value;if(null==n){if(n=t.children,t=t.defaultValue,null!=n){if(null!=t)throw Error(r(92));if(te(n)){if(1<n.length)throw Error(r(93));n=n[0]}t=n}null==t&&(t=""),n=t}e._wrapperState={initialValue:V(n)}}function re(e,t){var n=V(t.value),o=V(t.defaultValue);null!=n&&((n=""+n)!==e.value&&(e.value=n),null==t.defaultValue&&e.defaultValue!==n&&(e.defaultValue=n)),null!=o&&(e.defaultValue=""+o)}function ie(e){var t=e.textContent;t===e._wrapperState.initialValue&&""!==t&&null!==t&&(e.value=t)}function se(e){switch(e){case"svg":return"http://www.w3.org/2000/svg";case"math":return"http://www.w3.org/1998/Math/MathML";default:return"http://www.w3.org/1999/xhtml"}}function le(e,t){return null==e||"http://www.w3.org/1999/xhtml"===e?se(t):"http://www.w3.org/2000/svg"===e&&"foreignObject"===t?"http://www.w3.org/1999/xhtml":e}var ue,ce,de=(ce=function(e,t){if("http://www.w3.org/2000/svg"!==e.namespaceURI||"innerHTML"in e)e.innerHTML=t;else{for((ue=ue||document.createElement("div")).innerHTML="<svg>"+t.valueOf().toString()+"</svg>",t=ue.firstChild;e.firstChild;)e.removeChild(e.firstChild);for(;t.firstChild;)e.appendChild(t.firstChild)}},"undefined"!=typeof MSApp&&MSApp.execUnsafeLocalFunction?function(e,t,n,o){MSApp.execUnsafeLocalFunction((function(){return ce(e,t)}))}:ce);function Ee(e,t){if(t){var n=e.firstChild;if(n&&n===e.lastChild&&3===n.nodeType)return void(n.nodeValue=t)}e.textContent=t}var me={animationIterationCount:!0,aspectRatio:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,columns:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridArea:!0,gridRow:!0,gridRowEnd:!0,gridRowSpan:!0,gridRowStart:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnSpan:!0,gridColumnStart:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,floodOpacity:!0,stopOpacity:!0,strokeDasharray:!0,strokeDashoffset:!0,strokeMiterlimit:!0,strokeOpacity:!0,strokeWidth:!0},Te=["Webkit","ms","Moz","O"];function pe(e,t,n){return null==t||"boolean"==typeof t||""===t?"":n||"number"!=typeof t||0===t||me.hasOwnProperty(e)&&me[e]?(""+t).trim():t+"px"}function fe(e,t){for(var n in e=e.style,t)if(t.hasOwnProperty(n)){var o=0===n.indexOf("--"),a=pe(n,t[n],o);"float"===n&&(n="cssFloat"),o?e.setProperty(n,a):e[n]=a}}Object.keys(me).forEach((function(e){Te.forEach((function(t){t=t+e.charAt(0).toUpperCase()+e.substring(1),me[t]=me[e]}))}));var Se=x({menuitem:!0},{area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,keygen:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0});function Oe(e,t){if(t){if(Se[e]&&(null!=t.children||null!=t.dangerouslySetInnerHTML))throw Error(r(137,e));if(null!=t.dangerouslySetInnerHTML){if(null!=t.children)throw Error(r(60));if("object"!=typeof t.dangerouslySetInnerHTML||!("__html"in t.dangerouslySetInnerHTML))throw Error(r(61))}if(null!=t.style&&"object"!=typeof t.style)throw Error(r(62))}}function Ae(e,t){if(-1===e.indexOf("-"))return"string"==typeof t.is;switch(e){case"annotation-xml":case"color-profile":case"font-face":case"font-face-src":case"font-face-uri":case"font-face-format":case"font-face-name":case"missing-glyph":return!1;default:return!0}}var Ie=null;function ve(e){return(e=e.target||e.srcElement||window).correspondingUseElement&&(e=e.correspondingUseElement),3===e.nodeType?e.parentNode:e}var _e=null,Ne=null,Le=null;function Re(e){if(e=Ia(e)){if("function"!=typeof _e)throw Error(r(280));var t=e.stateNode;t&&(t=_a(t),_e(e.stateNode,e.type,t))}}function ge(e){Ne?Le?Le.push(e):Le=[e]:Ne=e}function he(){if(Ne){var e=Ne,t=Le;if(Le=Ne=null,Re(e),t)for(e=0;e<t.length;e++)Re(t[e])}}function ye(e,t){return e(t)}function Me(){}var Ce=!1;function be(e,t,n){if(Ce)return e(t,n);Ce=!0;try{return ye(e,t,n)}finally{Ce=!1,(null!==Ne||null!==Le)&&(Me(),he())}}function De(e,t){var n=e.stateNode;if(null===n)return null;var o=_a(n);if(null===o)return null;n=o[t];e:switch(t){case"onClick":case"onClickCapture":case"onDoubleClick":case"onDoubleClickCapture":case"onMouseDown":case"onMouseDownCapture":case"onMouseMove":case"onMouseMoveCapture":case"onMouseUp":case"onMouseUpCapture":case"onMouseEnter":(o=!o.disabled)||(o=!("button"===(e=e.type)||"input"===e||"select"===e||"textarea"===e)),e=!o;break e;default:e=!1}if(e)return null;if(n&&"function"!=typeof n)throw Error(r(231,t,typeof n));return n}var Pe=!1;if(c)try{var ke={};Object.defineProperty(ke,"passive",{get:function(){Pe=!0}}),window.addEventListener("test",ke,ke),window.removeEventListener("test",ke,ke)}catch(ce){Pe=!1}function we(e,t,n,o,a,r,i,s,l){var u=Array.prototype.slice.call(arguments,3);try{t.apply(n,u)}catch(e){this.onError(e)}}var Ue=!1,xe=null,Be=!1,Ge=null,Fe={onError:function(e){Ue=!0,xe=e}};function ze(e,t,n,o,a,r,i,s,l){Ue=!1,xe=null,we.apply(Fe,arguments)}function Ye(e){var t=e,n=e;if(e.alternate)for(;t.return;)t=t.return;else{e=t;do{0!=(4098&(t=e).flags)&&(n=t.return),e=t.return}while(e)}return 3===t.tag?n:null}function He(e){if(13===e.tag){var t=e.memoizedState;if(null===t&&null!==(e=e.alternate)&&(t=e.memoizedState),null!==t)return t.dehydrated}return null}function Ve(e){if(Ye(e)!==e)throw Error(r(188))}function je(e){return null!==(e=function(e){var t=e.alternate;if(!t){if(null===(t=Ye(e)))throw Error(r(188));return t!==e?null:e}for(var n=e,o=t;;){var a=n.return;if(null===a)break;var i=a.alternate;if(null===i){if(null!==(o=a.return)){n=o;continue}break}if(a.child===i.child){for(i=a.child;i;){if(i===n)return Ve(a),e;if(i===o)return Ve(a),t;i=i.sibling}throw Error(r(188))}if(n.return!==o.return)n=a,o=i;else{for(var s=!1,l=a.child;l;){if(l===n){s=!0,n=a,o=i;break}if(l===o){s=!0,o=a,n=i;break}l=l.sibling}if(!s){for(l=i.child;l;){if(l===n){s=!0,n=i,o=a;break}if(l===o){s=!0,o=i,n=a;break}l=l.sibling}if(!s)throw Error(r(189))}}if(n.alternate!==o)throw Error(r(190))}if(3!==n.tag)throw Error(r(188));return n.stateNode.current===n?e:t}(e))?We(e):null}function We(e){if(5===e.tag||6===e.tag)return e;for(e=e.child;null!==e;){var t=We(e);if(null!==t)return t;e=e.sibling}return null}var Ke=a.unstable_scheduleCallback,Xe=a.unstable_cancelCallback,qe=a.unstable_shouldYield,Qe=a.unstable_requestPaint,Ze=a.unstable_now,$e=a.unstable_getCurrentPriorityLevel,Je=a.unstable_ImmediatePriority,et=a.unstable_UserBlockingPriority,tt=a.unstable_NormalPriority,nt=a.unstable_LowPriority,ot=a.unstable_IdlePriority,at=null,rt=null,it=Math.clz32?Math.clz32:function(e){return 0===(e>>>=0)?32:31-(st(e)/lt|0)|0},st=Math.log,lt=Math.LN2,ut=64,ct=4194304;function dt(e){switch(e&-e){case 1:return 1;case 2:return 2;case 4:return 4;case 8:return 8;case 16:return 16;case 32:return 32;case 64:case 128:case 256:case 512:case 1024:case 2048:case 4096:case 8192:case 16384:case 32768:case 65536:case 131072:case 262144:case 524288:case 1048576:case 2097152:return 4194240&e;case 4194304:case 8388608:case 16777216:case 33554432:case 67108864:return 130023424&e;case 134217728:return 134217728;case 268435456:return 268435456;case 536870912:return 536870912;case 1073741824:return 1073741824;default:return e}}function Et(e,t){var n=e.pendingLanes;if(0===n)return 0;var o=0,a=e.suspendedLanes,r=e.pingedLanes,i=268435455&n;if(0!==i){var s=i&~a;0!==s?o=dt(s):0!=(r&=i)&&(o=dt(r))}else 0!=(i=n&~a)?o=dt(i):0!==r&&(o=dt(r));if(0===o)return 0;if(0!==t&&t!==o&&0==(t&a)&&((a=o&-o)>=(r=t&-t)||16===a&&0!=(4194240&r)))return t;if(0!=(4&o)&&(o|=16&n),0!==(t=e.entangledLanes))for(e=e.entanglements,t&=o;0<t;)a=1<<(n=31-it(t)),o|=e[n],t&=~a;return o}function mt(e,t){switch(e){case 1:case 2:case 4:return t+250;case 8:case 16:case 32:case 64:case 128:case 256:case 512:case 1024:case 2048:case 4096:case 8192:case 16384:case 32768:case 65536:case 131072:case 262144:case 524288:case 1048576:case 2097152:return t+5e3;default:return-1}}function Tt(e){return 0!=(e=-1073741825&e.pendingLanes)?e:1073741824&e?1073741824:0}function pt(){var e=ut;return 0==(4194240&(ut<<=1))&&(ut=64),e}function ft(e){for(var t=[],n=0;31>n;n++)t.push(e);return t}function St(e,t,n){e.pendingLanes|=t,536870912!==t&&(e.suspendedLanes=0,e.pingedLanes=0),(e=e.eventTimes)[t=31-it(t)]=n}function Ot(e,t){var n=e.entangledLanes|=t;for(e=e.entanglements;n;){var o=31-it(n),a=1<<o;a&t|e[o]&t&&(e[o]|=t),n&=~a}}var At=0;function It(e){return 1<(e&=-e)?4<e?0!=(268435455&e)?16:536870912:4:1}var vt,_t,Nt,Lt,Rt,gt=!1,ht=[],yt=null,Mt=null,Ct=null,bt=new Map,Dt=new Map,Pt=[],kt="mousedown mouseup touchcancel touchend touchstart auxclick dblclick pointercancel pointerdown pointerup dragend dragstart drop compositionend compositionstart keydown keypress keyup input textInput copy cut paste click change contextmenu reset submit".split(" ");function wt(e,t){switch(e){case"focusin":case"focusout":yt=null;break;case"dragenter":case"dragleave":Mt=null;break;case"mouseover":case"mouseout":Ct=null;break;case"pointerover":case"pointerout":bt.delete(t.pointerId);break;case"gotpointercapture":case"lostpointercapture":Dt.delete(t.pointerId)}}function Ut(e,t,n,o,a,r){return null===e||e.nativeEvent!==r?(e={blockedOn:t,domEventName:n,eventSystemFlags:o,nativeEvent:r,targetContainers:[a]},null!==t&&null!==(t=Ia(t))&&_t(t),e):(e.eventSystemFlags|=o,t=e.targetContainers,null!==a&&-1===t.indexOf(a)&&t.push(a),e)}function xt(e){var t=Aa(e.target);if(null!==t){var n=Ye(t);if(null!==n)if(13===(t=n.tag)){if(null!==(t=He(n)))return e.blockedOn=t,void Rt(e.priority,(function(){Nt(n)}))}else if(3===t&&n.stateNode.current.memoizedState.isDehydrated)return void(e.blockedOn=3===n.tag?n.stateNode.containerInfo:null)}e.blockedOn=null}function Bt(e){if(null!==e.blockedOn)return!1;for(var t=e.targetContainers;0<t.length;){var n=qt(e.domEventName,e.eventSystemFlags,t[0],e.nativeEvent);if(null!==n)return null!==(t=Ia(n))&&_t(t),e.blockedOn=n,!1;var o=new(n=e.nativeEvent).constructor(n.type,n);Ie=o,n.target.dispatchEvent(o),Ie=null,t.shift()}return!0}function Gt(e,t,n){Bt(e)&&n.delete(t)}function Ft(){gt=!1,null!==yt&&Bt(yt)&&(yt=null),null!==Mt&&Bt(Mt)&&(Mt=null),null!==Ct&&Bt(Ct)&&(Ct=null),bt.forEach(Gt),Dt.forEach(Gt)}function zt(e,t){e.blockedOn===t&&(e.blockedOn=null,gt||(gt=!0,a.unstable_scheduleCallback(a.unstable_NormalPriority,Ft)))}function Yt(e){function t(t){return zt(t,e)}if(0<ht.length){zt(ht[0],e);for(var n=1;n<ht.length;n++){var o=ht[n];o.blockedOn===e&&(o.blockedOn=null)}}for(null!==yt&&zt(yt,e),null!==Mt&&zt(Mt,e),null!==Ct&&zt(Ct,e),bt.forEach(t),Dt.forEach(t),n=0;n<Pt.length;n++)(o=Pt[n]).blockedOn===e&&(o.blockedOn=null);for(;0<Pt.length&&null===(n=Pt[0]).blockedOn;)xt(n),null===n.blockedOn&&Pt.shift()}var Ht=I.ReactCurrentBatchConfig,Vt=!0;function jt(e,t,n,o){var a=At,r=Ht.transition;Ht.transition=null;try{At=1,Kt(e,t,n,o)}finally{At=a,Ht.transition=r}}function Wt(e,t,n,o){var a=At,r=Ht.transition;Ht.transition=null;try{At=4,Kt(e,t,n,o)}finally{At=a,Ht.transition=r}}function Kt(e,t,n,o){if(Vt){var a=qt(e,t,n,o);if(null===a)jo(e,t,o,Xt,n),wt(e,o);else if(function(e,t,n,o,a){switch(t){case"focusin":return yt=Ut(yt,e,t,n,o,a),!0;case"dragenter":return Mt=Ut(Mt,e,t,n,o,a),!0;case"mouseover":return Ct=Ut(Ct,e,t,n,o,a),!0;case"pointerover":var r=a.pointerId;return bt.set(r,Ut(bt.get(r)||null,e,t,n,o,a)),!0;case"gotpointercapture":return r=a.pointerId,Dt.set(r,Ut(Dt.get(r)||null,e,t,n,o,a)),!0}return!1}(a,e,t,n,o))o.stopPropagation();else if(wt(e,o),4&t&&-1<kt.indexOf(e)){for(;null!==a;){var r=Ia(a);if(null!==r&&vt(r),null===(r=qt(e,t,n,o))&&jo(e,t,o,Xt,n),r===a)break;a=r}null!==a&&o.stopPropagation()}else jo(e,t,o,null,n)}}var Xt=null;function qt(e,t,n,o){if(Xt=null,null!==(e=Aa(e=ve(o))))if(null===(t=Ye(e)))e=null;else if(13===(n=t.tag)){if(null!==(e=He(t)))return e;e=null}else if(3===n){if(t.stateNode.current.memoizedState.isDehydrated)return 3===t.tag?t.stateNode.containerInfo:null;e=null}else t!==e&&(e=null);return Xt=e,null}function Qt(e){switch(e){case"cancel":case"click":case"close":case"contextmenu":case"copy":case"cut":case"auxclick":case"dblclick":case"dragend":case"dragstart":case"drop":case"focusin":case"focusout":case"input":case"invalid":case"keydown":case"keypress":case"keyup":case"mousedown":case"mouseup":case"paste":case"pause":case"play":case"pointercancel":case"pointerdown":case"pointerup":case"ratechange":case"reset":case"resize":case"seeked":case"submit":case"touchcancel":case"touchend":case"touchstart":case"volumechange":case"change":case"selectionchange":case"textInput":case"compositionstart":case"compositionend":case"compositionupdate":case"beforeblur":case"afterblur":case"beforeinput":case"blur":case"fullscreenchange":case"focus":case"hashchange":case"popstate":case"select":case"selectstart":return 1;case"drag":case"dragenter":case"dragexit":case"dragleave":case"dragover":case"mousemove":case"mouseout":case"mouseover":case"pointermove":case"pointerout":case"pointerover":case"scroll":case"toggle":case"touchmove":case"wheel":case"mouseenter":case"mouseleave":case"pointerenter":case"pointerleave":return 4;case"message":switch($e()){case Je:return 1;case et:return 4;case tt:case nt:return 16;case ot:return 536870912;default:return 16}default:return 16}}var Zt=null,$t=null,Jt=null;function en(){if(Jt)return Jt;var e,t,n=$t,o=n.length,a="value"in Zt?Zt.value:Zt.textContent,r=a.length;for(e=0;e<o&&n[e]===a[e];e++);var i=o-e;for(t=1;t<=i&&n[o-t]===a[r-t];t++);return Jt=a.slice(e,1<t?1-t:void 0)}function tn(e){var t=e.keyCode;return"charCode"in e?0===(e=e.charCode)&&13===t&&(e=13):e=t,10===e&&(e=13),32<=e||13===e?e:0}function nn(){return!0}function on(){return!1}function an(e){function t(t,n,o,a,r){for(var i in this._reactName=t,this._targetInst=o,this.type=n,this.nativeEvent=a,this.target=r,this.currentTarget=null,e)e.hasOwnProperty(i)&&(t=e[i],this[i]=t?t(a):a[i]);return this.isDefaultPrevented=(null!=a.defaultPrevented?a.defaultPrevented:!1===a.returnValue)?nn:on,this.isPropagationStopped=on,this}return x(t.prototype,{preventDefault:function(){this.defaultPrevented=!0;var e=this.nativeEvent;e&&(e.preventDefault?e.preventDefault():"unknown"!=typeof e.returnValue&&(e.returnValue=!1),this.isDefaultPrevented=nn)},stopPropagation:function(){var e=this.nativeEvent;e&&(e.stopPropagation?e.stopPropagation():"unknown"!=typeof e.cancelBubble&&(e.cancelBubble=!0),this.isPropagationStopped=nn)},persist:function(){},isPersistent:nn}),t}var rn,sn,ln,un={eventPhase:0,bubbles:0,cancelable:0,timeStamp:function(e){return e.timeStamp||Date.now()},defaultPrevented:0,isTrusted:0},cn=an(un),dn=x({},un,{view:0,detail:0}),En=an(dn),mn=x({},dn,{screenX:0,screenY:0,clientX:0,clientY:0,pageX:0,pageY:0,ctrlKey:0,shiftKey:0,altKey:0,metaKey:0,getModifierState:Rn,button:0,buttons:0,relatedTarget:function(e){return void 0===e.relatedTarget?e.fromElement===e.srcElement?e.toElement:e.fromElement:e.relatedTarget},movementX:function(e){return"movementX"in e?e.movementX:(e!==ln&&(ln&&"mousemove"===e.type?(rn=e.screenX-ln.screenX,sn=e.screenY-ln.screenY):sn=rn=0,ln=e),rn)},movementY:function(e){return"movementY"in e?e.movementY:sn}}),Tn=an(mn),pn=an(x({},mn,{dataTransfer:0})),fn=an(x({},dn,{relatedTarget:0})),Sn=an(x({},un,{animationName:0,elapsedTime:0,pseudoElement:0})),On=x({},un,{clipboardData:function(e){return"clipboardData"in e?e.clipboardData:window.clipboardData}}),An=an(On),In=an(x({},un,{data:0})),vn={Esc:"Escape",Spacebar:" ",Left:"ArrowLeft",Up:"ArrowUp",Right:"ArrowRight",Down:"ArrowDown",Del:"Delete",Win:"OS",Menu:"ContextMenu",Apps:"ContextMenu",Scroll:"ScrollLock",MozPrintableKey:"Unidentified"},_n={8:"Backspace",9:"Tab",12:"Clear",13:"Enter",16:"Shift",17:"Control",18:"Alt",19:"Pause",20:"CapsLock",27:"Escape",32:" ",33:"PageUp",34:"PageDown",35:"End",36:"Home",37:"ArrowLeft",38:"ArrowUp",39:"ArrowRight",40:"ArrowDown",45:"Insert",46:"Delete",112:"F1",113:"F2",114:"F3",115:"F4",116:"F5",117:"F6",118:"F7",119:"F8",120:"F9",121:"F10",122:"F11",123:"F12",144:"NumLock",145:"ScrollLock",224:"Meta"},Nn={Alt:"altKey",Control:"ctrlKey",Meta:"metaKey",Shift:"shiftKey"};function Ln(e){var t=this.nativeEvent;return t.getModifierState?t.getModifierState(e):!!(e=Nn[e])&&!!t[e]}function Rn(){return Ln}var gn=x({},dn,{key:function(e){if(e.key){var t=vn[e.key]||e.key;if("Unidentified"!==t)return t}return"keypress"===e.type?13===(e=tn(e))?"Enter":String.fromCharCode(e):"keydown"===e.type||"keyup"===e.type?_n[e.keyCode]||"Unidentified":""},code:0,location:0,ctrlKey:0,shiftKey:0,altKey:0,metaKey:0,repeat:0,locale:0,getModifierState:Rn,charCode:function(e){return"keypress"===e.type?tn(e):0},keyCode:function(e){return"keydown"===e.type||"keyup"===e.type?e.keyCode:0},which:function(e){return"keypress"===e.type?tn(e):"keydown"===e.type||"keyup"===e.type?e.keyCode:0}}),hn=an(gn),yn=an(x({},mn,{pointerId:0,width:0,height:0,pressure:0,tangentialPressure:0,tiltX:0,tiltY:0,twist:0,pointerType:0,isPrimary:0})),Mn=an(x({},dn,{touches:0,targetTouches:0,changedTouches:0,altKey:0,metaKey:0,ctrlKey:0,shiftKey:0,getModifierState:Rn})),Cn=an(x({},un,{propertyName:0,elapsedTime:0,pseudoElement:0})),bn=x({},mn,{deltaX:function(e){return"deltaX"in e?e.deltaX:"wheelDeltaX"in e?-e.wheelDeltaX:0},deltaY:function(e){return"deltaY"in e?e.deltaY:"wheelDeltaY"in e?-e.wheelDeltaY:"wheelDelta"in e?-e.wheelDelta:0},deltaZ:0,deltaMode:0}),Dn=an(bn),Pn=[9,13,27,32],kn=c&&"CompositionEvent"in window,wn=null;c&&"documentMode"in document&&(wn=document.documentMode);var Un=c&&"TextEvent"in window&&!wn,xn=c&&(!kn||wn&&8<wn&&11>=wn),Bn=String.fromCharCode(32),Gn=!1;function Fn(e,t){switch(e){case"keyup":return-1!==Pn.indexOf(t.keyCode);case"keydown":return 229!==t.keyCode;case"keypress":case"mousedown":case"focusout":return!0;default:return!1}}function zn(e){return"object"==typeof(e=e.detail)&&"data"in e?e.data:null}var Yn=!1,Hn={color:!0,date:!0,datetime:!0,"datetime-local":!0,email:!0,month:!0,number:!0,password:!0,range:!0,search:!0,tel:!0,text:!0,time:!0,url:!0,week:!0};function Vn(e){var t=e&&e.nodeName&&e.nodeName.toLowerCase();return"input"===t?!!Hn[e.type]:"textarea"===t}function jn(e,t,n,o){ge(o),0<(t=Ko(t,"onChange")).length&&(n=new cn("onChange","change",null,n,o),e.push({event:n,listeners:t}))}var Wn=null,Kn=null;function Xn(e){Go(e,0)}function qn(e){if(K(va(e)))return e}function Qn(e,t){if("change"===e)return t}var Zn=!1;if(c){var $n;if(c){var Jn="oninput"in document;if(!Jn){var eo=document.createElement("div");eo.setAttribute("oninput","return;"),Jn="function"==typeof eo.oninput}$n=Jn}else $n=!1;Zn=$n&&(!document.documentMode||9<document.documentMode)}function to(){Wn&&(Wn.detachEvent("onpropertychange",no),Kn=Wn=null)}function no(e){if("value"===e.propertyName&&qn(Kn)){var t=[];jn(t,Kn,e,ve(e)),be(Xn,t)}}function oo(e,t,n){"focusin"===e?(to(),Kn=n,(Wn=t).attachEvent("onpropertychange",no)):"focusout"===e&&to()}function ao(e){if("selectionchange"===e||"keyup"===e||"keydown"===e)return qn(Kn)}function ro(e,t){if("click"===e)return qn(t)}function io(e,t){if("input"===e||"change"===e)return qn(t)}var so="function"==typeof Object.is?Object.is:function(e,t){return e===t&&(0!==e||1/e==1/t)||e!=e&&t!=t};function lo(e,t){if(so(e,t))return!0;if("object"!=typeof e||null===e||"object"!=typeof t||null===t)return!1;var n=Object.keys(e),o=Object.keys(t);if(n.length!==o.length)return!1;for(o=0;o<n.length;o++){var a=n[o];if(!d.call(t,a)||!so(e[a],t[a]))return!1}return!0}function uo(e){for(;e&&e.firstChild;)e=e.firstChild;return e}function co(e,t){var n,o=uo(e);for(e=0;o;){if(3===o.nodeType){if(n=e+o.textContent.length,e<=t&&n>=t)return{node:o,offset:t-e};e=n}e:{for(;o;){if(o.nextSibling){o=o.nextSibling;break e}o=o.parentNode}o=void 0}o=uo(o)}}function Eo(e,t){return!(!e||!t)&&(e===t||(!e||3!==e.nodeType)&&(t&&3===t.nodeType?Eo(e,t.parentNode):"contains"in e?e.contains(t):!!e.compareDocumentPosition&&!!(16&e.compareDocumentPosition(t))))}function mo(){for(var e=window,t=X();t instanceof e.HTMLIFrameElement;){try{var n="string"==typeof t.contentWindow.location.href}catch(e){n=!1}if(!n)break;t=X((e=t.contentWindow).document)}return t}function To(e){var t=e&&e.nodeName&&e.nodeName.toLowerCase();return t&&("input"===t&&("text"===e.type||"search"===e.type||"tel"===e.type||"url"===e.type||"password"===e.type)||"textarea"===t||"true"===e.contentEditable)}function po(e){var t=mo(),n=e.focusedElem,o=e.selectionRange;if(t!==n&&n&&n.ownerDocument&&Eo(n.ownerDocument.documentElement,n)){if(null!==o&&To(n))if(t=o.start,void 0===(e=o.end)&&(e=t),"selectionStart"in n)n.selectionStart=t,n.selectionEnd=Math.min(e,n.value.length);else if((e=(t=n.ownerDocument||document)&&t.defaultView||window).getSelection){e=e.getSelection();var a=n.textContent.length,r=Math.min(o.start,a);o=void 0===o.end?r:Math.min(o.end,a),!e.extend&&r>o&&(a=o,o=r,r=a),a=co(n,r);var i=co(n,o);a&&i&&(1!==e.rangeCount||e.anchorNode!==a.node||e.anchorOffset!==a.offset||e.focusNode!==i.node||e.focusOffset!==i.offset)&&((t=t.createRange()).setStart(a.node,a.offset),e.removeAllRanges(),r>o?(e.addRange(t),e.extend(i.node,i.offset)):(t.setEnd(i.node,i.offset),e.addRange(t)))}for(t=[],e=n;e=e.parentNode;)1===e.nodeType&&t.push({element:e,left:e.scrollLeft,top:e.scrollTop});for("function"==typeof n.focus&&n.focus(),n=0;n<t.length;n++)(e=t[n]).element.scrollLeft=e.left,e.element.scrollTop=e.top}}var fo=c&&"documentMode"in document&&11>=document.documentMode,So=null,Oo=null,Ao=null,Io=!1;function vo(e,t,n){var o=n.window===n?n.document:9===n.nodeType?n:n.ownerDocument;Io||null==So||So!==X(o)||(o="selectionStart"in(o=So)&&To(o)?{start:o.selectionStart,end:o.selectionEnd}:{anchorNode:(o=(o.ownerDocument&&o.ownerDocument.defaultView||window).getSelection()).anchorNode,anchorOffset:o.anchorOffset,focusNode:o.focusNode,focusOffset:o.focusOffset},Ao&&lo(Ao,o)||(Ao=o,0<(o=Ko(Oo,"onSelect")).length&&(t=new cn("onSelect","select",null,t,n),e.push({event:t,listeners:o}),t.target=So)))}function _o(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit"+e]="webkit"+t,n["Moz"+e]="moz"+t,n}var No={animationend:_o("Animation","AnimationEnd"),animationiteration:_o("Animation","AnimationIteration"),animationstart:_o("Animation","AnimationStart"),transitionend:_o("Transition","TransitionEnd")},Lo={},Ro={};function go(e){if(Lo[e])return Lo[e];if(!No[e])return e;var t,n=No[e];for(t in n)if(n.hasOwnProperty(t)&&t in Ro)return Lo[e]=n[t];return e}c&&(Ro=document.createElement("div").style,"AnimationEvent"in window||(delete No.animationend.animation,delete No.animationiteration.animation,delete No.animationstart.animation),"TransitionEvent"in window||delete No.transitionend.transition);var ho=go("animationend"),yo=go("animationiteration"),Mo=go("animationstart"),Co=go("transitionend"),bo=new Map,Do="abort auxClick cancel canPlay canPlayThrough click close contextMenu copy cut drag dragEnd dragEnter dragExit dragLeave dragOver dragStart drop durationChange emptied encrypted ended error gotPointerCapture input invalid keyDown keyPress keyUp load loadedData loadedMetadata loadStart lostPointerCapture mouseDown mouseMove mouseOut mouseOver mouseUp paste pause play playing pointerCancel pointerDown pointerMove pointerOut pointerOver pointerUp progress rateChange reset resize seeked seeking stalled submit suspend timeUpdate touchCancel touchEnd touchStart volumeChange scroll toggle touchMove waiting wheel".split(" ");function Po(e,t){bo.set(e,t),l(t,[e])}for(var ko=0;ko<Do.length;ko++){var wo=Do[ko];Po(wo.toLowerCase(),"on"+(wo[0].toUpperCase()+wo.slice(1)))}Po(ho,"onAnimationEnd"),Po(yo,"onAnimationIteration"),Po(Mo,"onAnimationStart"),Po("dblclick","onDoubleClick"),Po("focusin","onFocus"),Po("focusout","onBlur"),Po(Co,"onTransitionEnd"),u("onMouseEnter",["mouseout","mouseover"]),u("onMouseLeave",["mouseout","mouseover"]),u("onPointerEnter",["pointerout","pointerover"]),u("onPointerLeave",["pointerout","pointerover"]),l("onChange","change click focusin focusout input keydown keyup selectionchange".split(" ")),l("onSelect","focusout contextmenu dragend focusin keydown keyup mousedown mouseup selectionchange".split(" ")),l("onBeforeInput",["compositionend","keypress","textInput","paste"]),l("onCompositionEnd","compositionend focusout keydown keypress keyup mousedown".split(" ")),l("onCompositionStart","compositionstart focusout keydown keypress keyup mousedown".split(" ")),l("onCompositionUpdate","compositionupdate focusout keydown keypress keyup mousedown".split(" "));var Uo="abort canplay canplaythrough durationchange emptied encrypted ended error loadeddata loadedmetadata loadstart pause play playing progress ratechange resize seeked seeking stalled suspend timeupdate volumechange waiting".split(" "),xo=new Set("cancel close invalid load scroll toggle".split(" ").concat(Uo));function Bo(e,t,n){var o=e.type||"unknown-event";e.currentTarget=n,function(e,t,n,o,a,i,s,l,u){if(ze.apply(this,arguments),Ue){if(!Ue)throw Error(r(198));var c=xe;Ue=!1,xe=null,Be||(Be=!0,Ge=c)}}(o,t,void 0,e),e.currentTarget=null}function Go(e,t){t=0!=(4&t);for(var n=0;n<e.length;n++){var o=e[n],a=o.event;o=o.listeners;e:{var r=void 0;if(t)for(var i=o.length-1;0<=i;i--){var s=o[i],l=s.instance,u=s.currentTarget;if(s=s.listener,l!==r&&a.isPropagationStopped())break e;Bo(a,s,u),r=l}else for(i=0;i<o.length;i++){if(l=(s=o[i]).instance,u=s.currentTarget,s=s.listener,l!==r&&a.isPropagationStopped())break e;Bo(a,s,u),r=l}}}if(Be)throw e=Ge,Be=!1,Ge=null,e}function Fo(e,t){var n=t[fa];void 0===n&&(n=t[fa]=new Set);var o=e+"__bubble";n.has(o)||(Vo(t,e,2,!1),n.add(o))}function zo(e,t,n){var o=0;t&&(o|=4),Vo(n,e,o,t)}var Yo="_reactListening"+Math.random().toString(36).slice(2);function Ho(e){if(!e[Yo]){e[Yo]=!0,i.forEach((function(t){"selectionchange"!==t&&(xo.has(t)||zo(t,!1,e),zo(t,!0,e))}));var t=9===e.nodeType?e:e.ownerDocument;null===t||t[Yo]||(t[Yo]=!0,zo("selectionchange",!1,t))}}function Vo(e,t,n,o){switch(Qt(t)){case 1:var a=jt;break;case 4:a=Wt;break;default:a=Kt}n=a.bind(null,t,n,e),a=void 0,!Pe||"touchstart"!==t&&"touchmove"!==t&&"wheel"!==t||(a=!0),o?void 0!==a?e.addEventListener(t,n,{capture:!0,passive:a}):e.addEventListener(t,n,!0):void 0!==a?e.addEventListener(t,n,{passive:a}):e.addEventListener(t,n,!1)}function jo(e,t,n,o,a){var r=o;if(0==(1&t)&&0==(2&t)&&null!==o)e:for(;;){if(null===o)return;var i=o.tag;if(3===i||4===i){var s=o.stateNode.containerInfo;if(s===a||8===s.nodeType&&s.parentNode===a)break;if(4===i)for(i=o.return;null!==i;){var l=i.tag;if((3===l||4===l)&&((l=i.stateNode.containerInfo)===a||8===l.nodeType&&l.parentNode===a))return;i=i.return}for(;null!==s;){if(null===(i=Aa(s)))return;if(5===(l=i.tag)||6===l){o=r=i;continue e}s=s.parentNode}}o=o.return}be((function(){var o=r,a=ve(n),i=[];e:{var s=bo.get(e);if(void 0!==s){var l=cn,u=e;switch(e){case"keypress":if(0===tn(n))break e;case"keydown":case"keyup":l=hn;break;case"focusin":u="focus",l=fn;break;case"focusout":u="blur",l=fn;break;case"beforeblur":case"afterblur":l=fn;break;case"click":if(2===n.button)break e;case"auxclick":case"dblclick":case"mousedown":case"mousemove":case"mouseup":case"mouseout":case"mouseover":case"contextmenu":l=Tn;break;case"drag":case"dragend":case"dragenter":case"dragexit":case"dragleave":case"dragover":case"dragstart":case"drop":l=pn;break;case"touchcancel":case"touchend":case"touchmove":case"touchstart":l=Mn;break;case ho:case yo:case Mo:l=Sn;break;case Co:l=Cn;break;case"scroll":l=En;break;case"wheel":l=Dn;break;case"copy":case"cut":case"paste":l=An;break;case"gotpointercapture":case"lostpointercapture":case"pointercancel":case"pointerdown":case"pointermove":case"pointerout":case"pointerover":case"pointerup":l=yn}var c=0!=(4&t),d=!c&&"scroll"===e,E=c?null!==s?s+"Capture":null:s;c=[];for(var m,T=o;null!==T;){var p=(m=T).stateNode;if(5===m.tag&&null!==p&&(m=p,null!==E&&null!=(p=De(T,E))&&c.push(Wo(T,p,m))),d)break;T=T.return}0<c.length&&(s=new l(s,u,null,n,a),i.push({event:s,listeners:c}))}}if(0==(7&t)){if(l="mouseout"===e||"pointerout"===e,(!(s="mouseover"===e||"pointerover"===e)||n===Ie||!(u=n.relatedTarget||n.fromElement)||!Aa(u)&&!u[pa])&&(l||s)&&(s=a.window===a?a:(s=a.ownerDocument)?s.defaultView||s.parentWindow:window,l?(l=o,null!==(u=(u=n.relatedTarget||n.toElement)?Aa(u):null)&&(u!==(d=Ye(u))||5!==u.tag&&6!==u.tag)&&(u=null)):(l=null,u=o),l!==u)){if(c=Tn,p="onMouseLeave",E="onMouseEnter",T="mouse","pointerout"!==e&&"pointerover"!==e||(c=yn,p="onPointerLeave",E="onPointerEnter",T="pointer"),d=null==l?s:va(l),m=null==u?s:va(u),(s=new c(p,T+"leave",l,n,a)).target=d,s.relatedTarget=m,p=null,Aa(a)===o&&((c=new c(E,T+"enter",u,n,a)).target=m,c.relatedTarget=d,p=c),d=p,l&&u)e:{for(E=u,T=0,m=c=l;m;m=Xo(m))T++;for(m=0,p=E;p;p=Xo(p))m++;for(;0<T-m;)c=Xo(c),T--;for(;0<m-T;)E=Xo(E),m--;for(;T--;){if(c===E||null!==E&&c===E.alternate)break e;c=Xo(c),E=Xo(E)}c=null}else c=null;null!==l&&qo(i,s,l,c,!1),null!==u&&null!==d&&qo(i,d,u,c,!0)}if("select"===(l=(s=o?va(o):window).nodeName&&s.nodeName.toLowerCase())||"input"===l&&"file"===s.type)var f=Qn;else if(Vn(s))if(Zn)f=io;else{f=ao;var S=oo}else(l=s.nodeName)&&"input"===l.toLowerCase()&&("checkbox"===s.type||"radio"===s.type)&&(f=ro);switch(f&&(f=f(e,o))?jn(i,f,n,a):(S&&S(e,s,o),"focusout"===e&&(S=s._wrapperState)&&S.controlled&&"number"===s.type&&ee(s,"number",s.value)),S=o?va(o):window,e){case"focusin":(Vn(S)||"true"===S.contentEditable)&&(So=S,Oo=o,Ao=null);break;case"focusout":Ao=Oo=So=null;break;case"mousedown":Io=!0;break;case"contextmenu":case"mouseup":case"dragend":Io=!1,vo(i,n,a);break;case"selectionchange":if(fo)break;case"keydown":case"keyup":vo(i,n,a)}var O;if(kn)e:{switch(e){case"compositionstart":var A="onCompositionStart";break e;case"compositionend":A="onCompositionEnd";break e;case"compositionupdate":A="onCompositionUpdate";break e}A=void 0}else Yn?Fn(e,n)&&(A="onCompositionEnd"):"keydown"===e&&229===n.keyCode&&(A="onCompositionStart");A&&(xn&&"ko"!==n.locale&&(Yn||"onCompositionStart"!==A?"onCompositionEnd"===A&&Yn&&(O=en()):($t="value"in(Zt=a)?Zt.value:Zt.textContent,Yn=!0)),0<(S=Ko(o,A)).length&&(A=new In(A,e,null,n,a),i.push({event:A,listeners:S}),(O||null!==(O=zn(n)))&&(A.data=O))),(O=Un?function(e,t){switch(e){case"compositionend":return zn(t);case"keypress":return 32!==t.which?null:(Gn=!0,Bn);case"textInput":return(e=t.data)===Bn&&Gn?null:e;default:return null}}(e,n):function(e,t){if(Yn)return"compositionend"===e||!kn&&Fn(e,t)?(e=en(),Jt=$t=Zt=null,Yn=!1,e):null;switch(e){case"paste":default:return null;case"keypress":if(!(t.ctrlKey||t.altKey||t.metaKey)||t.ctrlKey&&t.altKey){if(t.char&&1<t.char.length)return t.char;if(t.which)return String.fromCharCode(t.which)}return null;case"compositionend":return xn&&"ko"!==t.locale?null:t.data}}(e,n))&&0<(o=Ko(o,"onBeforeInput")).length&&(a=new In("onBeforeInput","beforeinput",null,n,a),i.push({event:a,listeners:o}),a.data=O)}Go(i,t)}))}function Wo(e,t,n){return{instance:e,listener:t,currentTarget:n}}function Ko(e,t){for(var n=t+"Capture",o=[];null!==e;){var a=e,r=a.stateNode;5===a.tag&&null!==r&&(a=r,null!=(r=De(e,n))&&o.unshift(Wo(e,r,a)),null!=(r=De(e,t))&&o.push(Wo(e,r,a))),e=e.return}return o}function Xo(e){if(null===e)return null;do{e=e.return}while(e&&5!==e.tag);return e||null}function qo(e,t,n,o,a){for(var r=t._reactName,i=[];null!==n&&n!==o;){var s=n,l=s.alternate,u=s.stateNode;if(null!==l&&l===o)break;5===s.tag&&null!==u&&(s=u,a?null!=(l=De(n,r))&&i.unshift(Wo(n,l,s)):a||null!=(l=De(n,r))&&i.push(Wo(n,l,s))),n=n.return}0!==i.length&&e.push({event:t,listeners:i})}var Qo=/\r\n?/g,Zo=/\u0000|\uFFFD/g;function $o(e){return("string"==typeof e?e:""+e).replace(Qo,"\n").replace(Zo,"")}function Jo(e,t,n){if(t=$o(t),$o(e)!==t&&n)throw Error(r(425))}function ea(){}var ta=null,na=null;function oa(e,t){return"textarea"===e||"noscript"===e||"string"==typeof t.children||"number"==typeof t.children||"object"==typeof t.dangerouslySetInnerHTML&&null!==t.dangerouslySetInnerHTML&&null!=t.dangerouslySetInnerHTML.__html}var aa="function"==typeof setTimeout?setTimeout:void 0,ra="function"==typeof clearTimeout?clearTimeout:void 0,ia="function"==typeof Promise?Promise:void 0,sa="function"==typeof queueMicrotask?queueMicrotask:void 0!==ia?function(e){return ia.resolve(null).then(e).catch(la)}:aa;function la(e){setTimeout((function(){throw e}))}function ua(e,t){var n=t,o=0;do{var a=n.nextSibling;if(e.removeChild(n),a&&8===a.nodeType)if("/$"===(n=a.data)){if(0===o)return e.removeChild(a),void Yt(t);o--}else"$"!==n&&"$?"!==n&&"$!"!==n||o++;n=a}while(n);Yt(t)}function ca(e){for(;null!=e;e=e.nextSibling){var t=e.nodeType;if(1===t||3===t)break;if(8===t){if("$"===(t=e.data)||"$!"===t||"$?"===t)break;if("/$"===t)return null}}return e}function da(e){e=e.previousSibling;for(var t=0;e;){if(8===e.nodeType){var n=e.data;if("$"===n||"$!"===n||"$?"===n){if(0===t)return e;t--}else"/$"===n&&t++}e=e.previousSibling}return null}var Ea=Math.random().toString(36).slice(2),ma="__reactFiber$"+Ea,Ta="__reactProps$"+Ea,pa="__reactContainer$"+Ea,fa="__reactEvents$"+Ea,Sa="__reactListeners$"+Ea,Oa="__reactHandles$"+Ea;function Aa(e){var t=e[ma];if(t)return t;for(var n=e.parentNode;n;){if(t=n[pa]||n[ma]){if(n=t.alternate,null!==t.child||null!==n&&null!==n.child)for(e=da(e);null!==e;){if(n=e[ma])return n;e=da(e)}return t}n=(e=n).parentNode}return null}function Ia(e){return!(e=e[ma]||e[pa])||5!==e.tag&&6!==e.tag&&13!==e.tag&&3!==e.tag?null:e}function va(e){if(5===e.tag||6===e.tag)return e.stateNode;throw Error(r(33))}function _a(e){return e[Ta]||null}var Na=[],La=-1;function Ra(e){return{current:e}}function ga(e){0>La||(e.current=Na[La],Na[La]=null,La--)}function ha(e,t){La++,Na[La]=e.current,e.current=t}var ya={},Ma=Ra(ya),Ca=Ra(!1),ba=ya;function Da(e,t){var n=e.type.contextTypes;if(!n)return ya;var o=e.stateNode;if(o&&o.__reactInternalMemoizedUnmaskedChildContext===t)return o.__reactInternalMemoizedMaskedChildContext;var a,r={};for(a in n)r[a]=t[a];return o&&((e=e.stateNode).__reactInternalMemoizedUnmaskedChildContext=t,e.__reactInternalMemoizedMaskedChildContext=r),r}function Pa(e){return null!=e.childContextTypes}function ka(){ga(Ca),ga(Ma)}function wa(e,t,n){if(Ma.current!==ya)throw Error(r(168));ha(Ma,t),ha(Ca,n)}function Ua(e,t,n){var o=e.stateNode;if(t=t.childContextTypes,"function"!=typeof o.getChildContext)return n;for(var a in o=o.getChildContext())if(!(a in t))throw Error(r(108,H(e)||"Unknown",a));return x({},n,o)}function xa(e){return e=(e=e.stateNode)&&e.__reactInternalMemoizedMergedChildContext||ya,ba=Ma.current,ha(Ma,e),ha(Ca,Ca.current),!0}function Ba(e,t,n){var o=e.stateNode;if(!o)throw Error(r(169));n?(e=Ua(e,t,ba),o.__reactInternalMemoizedMergedChildContext=e,ga(Ca),ga(Ma),ha(Ma,e)):ga(Ca),ha(Ca,n)}var Ga=null,Fa=!1,za=!1;function Ya(e){null===Ga?Ga=[e]:Ga.push(e)}function Ha(){if(!za&&null!==Ga){za=!0;var e=0,t=At;try{var n=Ga;for(At=1;e<n.length;e++){var o=n[e];do{o=o(!0)}while(null!==o)}Ga=null,Fa=!1}catch(t){throw null!==Ga&&(Ga=Ga.slice(e+1)),Ke(Je,Ha),t}finally{At=t,za=!1}}return null}var Va=[],ja=0,Wa=null,Ka=0,Xa=[],qa=0,Qa=null,Za=1,$a="";function Ja(e,t){Va[ja++]=Ka,Va[ja++]=Wa,Wa=e,Ka=t}function er(e,t,n){Xa[qa++]=Za,Xa[qa++]=$a,Xa[qa++]=Qa,Qa=e;var o=Za;e=$a;var a=32-it(o)-1;o&=~(1<<a),n+=1;var r=32-it(t)+a;if(30<r){var i=a-a%5;r=(o&(1<<i)-1).toString(32),o>>=i,a-=i,Za=1<<32-it(t)+a|n<<a|o,$a=r+e}else Za=1<<r|n<<a|o,$a=e}function tr(e){null!==e.return&&(Ja(e,1),er(e,1,0))}function nr(e){for(;e===Wa;)Wa=Va[--ja],Va[ja]=null,Ka=Va[--ja],Va[ja]=null;for(;e===Qa;)Qa=Xa[--qa],Xa[qa]=null,$a=Xa[--qa],Xa[qa]=null,Za=Xa[--qa],Xa[qa]=null}var or=null,ar=null,rr=!1,ir=null;function sr(e,t){var n=Du(5,null,null,0);n.elementType="DELETED",n.stateNode=t,n.return=e,null===(t=e.deletions)?(e.deletions=[n],e.flags|=16):t.push(n)}function lr(e,t){switch(e.tag){case 5:var n=e.type;return null!==(t=1!==t.nodeType||n.toLowerCase()!==t.nodeName.toLowerCase()?null:t)&&(e.stateNode=t,or=e,ar=ca(t.firstChild),!0);case 6:return null!==(t=""===e.pendingProps||3!==t.nodeType?null:t)&&(e.stateNode=t,or=e,ar=null,!0);case 13:return null!==(t=8!==t.nodeType?null:t)&&(n=null!==Qa?{id:Za,overflow:$a}:null,e.memoizedState={dehydrated:t,treeContext:n,retryLane:1073741824},(n=Du(18,null,null,0)).stateNode=t,n.return=e,e.child=n,or=e,ar=null,!0);default:return!1}}function ur(e){return 0!=(1&e.mode)&&0==(128&e.flags)}function cr(e){if(rr){var t=ar;if(t){var n=t;if(!lr(e,t)){if(ur(e))throw Error(r(418));t=ca(n.nextSibling);var o=or;t&&lr(e,t)?sr(o,n):(e.flags=-4097&e.flags|2,rr=!1,or=e)}}else{if(ur(e))throw Error(r(418));e.flags=-4097&e.flags|2,rr=!1,or=e}}}function dr(e){for(e=e.return;null!==e&&5!==e.tag&&3!==e.tag&&13!==e.tag;)e=e.return;or=e}function Er(e){if(e!==or)return!1;if(!rr)return dr(e),rr=!0,!1;var t;if((t=3!==e.tag)&&!(t=5!==e.tag)&&(t="head"!==(t=e.type)&&"body"!==t&&!oa(e.type,e.memoizedProps)),t&&(t=ar)){if(ur(e))throw mr(),Error(r(418));for(;t;)sr(e,t),t=ca(t.nextSibling)}if(dr(e),13===e.tag){if(!(e=null!==(e=e.memoizedState)?e.dehydrated:null))throw Error(r(317));e:{for(e=e.nextSibling,t=0;e;){if(8===e.nodeType){var n=e.data;if("/$"===n){if(0===t){ar=ca(e.nextSibling);break e}t--}else"$"!==n&&"$!"!==n&&"$?"!==n||t++}e=e.nextSibling}ar=null}}else ar=or?ca(e.stateNode.nextSibling):null;return!0}function mr(){for(var e=ar;e;)e=ca(e.nextSibling)}function Tr(){ar=or=null,rr=!1}function pr(e){null===ir?ir=[e]:ir.push(e)}var fr=I.ReactCurrentBatchConfig;function Sr(e,t){if(e&&e.defaultProps){for(var n in t=x({},t),e=e.defaultProps)void 0===t[n]&&(t[n]=e[n]);return t}return t}var Or=Ra(null),Ar=null,Ir=null,vr=null;function _r(){vr=Ir=Ar=null}function Nr(e){var t=Or.current;ga(Or),e._currentValue=t}function Lr(e,t,n){for(;null!==e;){var o=e.alternate;if((e.childLanes&t)!==t?(e.childLanes|=t,null!==o&&(o.childLanes|=t)):null!==o&&(o.childLanes&t)!==t&&(o.childLanes|=t),e===n)break;e=e.return}}function Rr(e,t){Ar=e,vr=Ir=null,null!==(e=e.dependencies)&&null!==e.firstContext&&(0!=(e.lanes&t)&&(Is=!0),e.firstContext=null)}function gr(e){var t=e._currentValue;if(vr!==e)if(e={context:e,memoizedValue:t,next:null},null===Ir){if(null===Ar)throw Error(r(308));Ir=e,Ar.dependencies={lanes:0,firstContext:e}}else Ir=Ir.next=e;return t}var hr=null;function yr(e){null===hr?hr=[e]:hr.push(e)}function Mr(e,t,n,o){var a=t.interleaved;return null===a?(n.next=n,yr(t)):(n.next=a.next,a.next=n),t.interleaved=n,Cr(e,o)}function Cr(e,t){e.lanes|=t;var n=e.alternate;for(null!==n&&(n.lanes|=t),n=e,e=e.return;null!==e;)e.childLanes|=t,null!==(n=e.alternate)&&(n.childLanes|=t),n=e,e=e.return;return 3===n.tag?n.stateNode:null}var br=!1;function Dr(e){e.updateQueue={baseState:e.memoizedState,firstBaseUpdate:null,lastBaseUpdate:null,shared:{pending:null,interleaved:null,lanes:0},effects:null}}function Pr(e,t){e=e.updateQueue,t.updateQueue===e&&(t.updateQueue={baseState:e.baseState,firstBaseUpdate:e.firstBaseUpdate,lastBaseUpdate:e.lastBaseUpdate,shared:e.shared,effects:e.effects})}function kr(e,t){return{eventTime:e,lane:t,tag:0,payload:null,callback:null,next:null}}function wr(e,t,n){var o=e.updateQueue;if(null===o)return null;if(o=o.shared,0!=(2&Ml)){var a=o.pending;return null===a?t.next=t:(t.next=a.next,a.next=t),o.pending=t,Cr(e,n)}return null===(a=o.interleaved)?(t.next=t,yr(o)):(t.next=a.next,a.next=t),o.interleaved=t,Cr(e,n)}function Ur(e,t,n){if(null!==(t=t.updateQueue)&&(t=t.shared,0!=(4194240&n))){var o=t.lanes;n|=o&=e.pendingLanes,t.lanes=n,Ot(e,n)}}function xr(e,t){var n=e.updateQueue,o=e.alternate;if(null!==o&&n===(o=o.updateQueue)){var a=null,r=null;if(null!==(n=n.firstBaseUpdate)){do{var i={eventTime:n.eventTime,lane:n.lane,tag:n.tag,payload:n.payload,callback:n.callback,next:null};null===r?a=r=i:r=r.next=i,n=n.next}while(null!==n);null===r?a=r=t:r=r.next=t}else a=r=t;return n={baseState:o.baseState,firstBaseUpdate:a,lastBaseUpdate:r,shared:o.shared,effects:o.effects},void(e.updateQueue=n)}null===(e=n.lastBaseUpdate)?n.firstBaseUpdate=t:e.next=t,n.lastBaseUpdate=t}function Br(e,t,n,o){var a=e.updateQueue;br=!1;var r=a.firstBaseUpdate,i=a.lastBaseUpdate,s=a.shared.pending;if(null!==s){a.shared.pending=null;var l=s,u=l.next;l.next=null,null===i?r=u:i.next=u,i=l;var c=e.alternate;null!==c&&(s=(c=c.updateQueue).lastBaseUpdate)!==i&&(null===s?c.firstBaseUpdate=u:s.next=u,c.lastBaseUpdate=l)}if(null!==r){var d=a.baseState;for(i=0,c=u=l=null,s=r;;){var E=s.lane,m=s.eventTime;if((o&E)===E){null!==c&&(c=c.next={eventTime:m,lane:0,tag:s.tag,payload:s.payload,callback:s.callback,next:null});e:{var T=e,p=s;switch(E=t,m=n,p.tag){case 1:if("function"==typeof(T=p.payload)){d=T.call(m,d,E);break e}d=T;break e;case 3:T.flags=-65537&T.flags|128;case 0:if(null==(E="function"==typeof(T=p.payload)?T.call(m,d,E):T))break e;d=x({},d,E);break e;case 2:br=!0}}null!==s.callback&&0!==s.lane&&(e.flags|=64,null===(E=a.effects)?a.effects=[s]:E.push(s))}else m={eventTime:m,lane:E,tag:s.tag,payload:s.payload,callback:s.callback,next:null},null===c?(u=c=m,l=d):c=c.next=m,i|=E;if(null===(s=s.next)){if(null===(s=a.shared.pending))break;s=(E=s).next,E.next=null,a.lastBaseUpdate=E,a.shared.pending=null}}if(null===c&&(l=d),a.baseState=l,a.firstBaseUpdate=u,a.lastBaseUpdate=c,null!==(t=a.shared.interleaved)){a=t;do{i|=a.lane,a=a.next}while(a!==t)}else null===r&&(a.shared.lanes=0);xl|=i,e.lanes=i,e.memoizedState=d}}function Gr(e,t,n){if(e=t.effects,t.effects=null,null!==e)for(t=0;t<e.length;t++){var o=e[t],a=o.callback;if(null!==a){if(o.callback=null,o=n,"function"!=typeof a)throw Error(r(191,a));a.call(o)}}}var Fr=(new o.Component).refs;function zr(e,t,n,o){n=null==(n=n(o,t=e.memoizedState))?t:x({},t,n),e.memoizedState=n,0===e.lanes&&(e.updateQueue.baseState=n)}var Yr={isMounted:function(e){return!!(e=e._reactInternals)&&Ye(e)===e},enqueueSetState:function(e,t,n){e=e._reactInternals;var o=tu(),a=nu(e),r=kr(o,a);r.payload=t,null!=n&&(r.callback=n),null!==(t=wr(e,r,a))&&(ou(t,e,a,o),Ur(t,e,a))},enqueueReplaceState:function(e,t,n){e=e._reactInternals;var o=tu(),a=nu(e),r=kr(o,a);r.tag=1,r.payload=t,null!=n&&(r.callback=n),null!==(t=wr(e,r,a))&&(ou(t,e,a,o),Ur(t,e,a))},enqueueForceUpdate:function(e,t){e=e._reactInternals;var n=tu(),o=nu(e),a=kr(n,o);a.tag=2,null!=t&&(a.callback=t),null!==(t=wr(e,a,o))&&(ou(t,e,o,n),Ur(t,e,o))}};function Hr(e,t,n,o,a,r,i){return"function"==typeof(e=e.stateNode).shouldComponentUpdate?e.shouldComponentUpdate(o,r,i):!(t.prototype&&t.prototype.isPureReactComponent&&lo(n,o)&&lo(a,r))}function Vr(e,t,n){var o=!1,a=ya,r=t.contextType;return"object"==typeof r&&null!==r?r=gr(r):(a=Pa(t)?ba:Ma.current,r=(o=null!=(o=t.contextTypes))?Da(e,a):ya),t=new t(n,r),e.memoizedState=null!==t.state&&void 0!==t.state?t.state:null,t.updater=Yr,e.stateNode=t,t._reactInternals=e,o&&((e=e.stateNode).__reactInternalMemoizedUnmaskedChildContext=a,e.__reactInternalMemoizedMaskedChildContext=r),t}function jr(e,t,n,o){e=t.state,"function"==typeof t.componentWillReceiveProps&&t.componentWillReceiveProps(n,o),"function"==typeof t.UNSAFE_componentWillReceiveProps&&t.UNSAFE_componentWillReceiveProps(n,o),t.state!==e&&Yr.enqueueReplaceState(t,t.state,null)}function Wr(e,t,n,o){var a=e.stateNode;a.props=n,a.state=e.memoizedState,a.refs=Fr,Dr(e);var r=t.contextType;"object"==typeof r&&null!==r?a.context=gr(r):(r=Pa(t)?ba:Ma.current,a.context=Da(e,r)),a.state=e.memoizedState,"function"==typeof(r=t.getDerivedStateFromProps)&&(zr(e,t,r,n),a.state=e.memoizedState),"function"==typeof t.getDerivedStateFromProps||"function"==typeof a.getSnapshotBeforeUpdate||"function"!=typeof a.UNSAFE_componentWillMount&&"function"!=typeof a.componentWillMount||(t=a.state,"function"==typeof a.componentWillMount&&a.componentWillMount(),"function"==typeof a.UNSAFE_componentWillMount&&a.UNSAFE_componentWillMount(),t!==a.state&&Yr.enqueueReplaceState(a,a.state,null),Br(e,n,a,o),a.state=e.memoizedState),"function"==typeof a.componentDidMount&&(e.flags|=4194308)}function Kr(e,t,n){if(null!==(e=n.ref)&&"function"!=typeof e&&"object"!=typeof e){if(n._owner){if(n=n._owner){if(1!==n.tag)throw Error(r(309));var o=n.stateNode}if(!o)throw Error(r(147,e));var a=o,i=""+e;return null!==t&&null!==t.ref&&"function"==typeof t.ref&&t.ref._stringRef===i?t.ref:(t=function(e){var t=a.refs;t===Fr&&(t=a.refs={}),null===e?delete t[i]:t[i]=e},t._stringRef=i,t)}if("string"!=typeof e)throw Error(r(284));if(!n._owner)throw Error(r(290,e))}return e}function Xr(e,t){throw e=Object.prototype.toString.call(t),Error(r(31,"[object Object]"===e?"object with keys {"+Object.keys(t).join(", ")+"}":e))}function qr(e){return(0,e._init)(e._payload)}function Qr(e){function t(t,n){if(e){var o=t.deletions;null===o?(t.deletions=[n],t.flags|=16):o.push(n)}}function n(n,o){if(!e)return null;for(;null!==o;)t(n,o),o=o.sibling;return null}function o(e,t){for(e=new Map;null!==t;)null!==t.key?e.set(t.key,t):e.set(t.index,t),t=t.sibling;return e}function a(e,t){return(e=ku(e,t)).index=0,e.sibling=null,e}function i(t,n,o){return t.index=o,e?null!==(o=t.alternate)?(o=o.index)<n?(t.flags|=2,n):o:(t.flags|=2,n):(t.flags|=1048576,n)}function s(t){return e&&null===t.alternate&&(t.flags|=2),t}function l(e,t,n,o){return null===t||6!==t.tag?((t=Bu(n,e.mode,o)).return=e,t):((t=a(t,n)).return=e,t)}function u(e,t,n,o){var r=n.type;return r===N?d(e,t,n.props.children,o,n.key):null!==t&&(t.elementType===r||"object"==typeof r&&null!==r&&r.$$typeof===D&&qr(r)===t.type)?((o=a(t,n.props)).ref=Kr(e,t,n),o.return=e,o):((o=wu(n.type,n.key,n.props,null,e.mode,o)).ref=Kr(e,t,n),o.return=e,o)}function c(e,t,n,o){return null===t||4!==t.tag||t.stateNode.containerInfo!==n.containerInfo||t.stateNode.implementation!==n.implementation?((t=Gu(n,e.mode,o)).return=e,t):((t=a(t,n.children||[])).return=e,t)}function d(e,t,n,o,r){return null===t||7!==t.tag?((t=Uu(n,e.mode,o,r)).return=e,t):((t=a(t,n)).return=e,t)}function E(e,t,n){if("string"==typeof t&&""!==t||"number"==typeof t)return(t=Bu(""+t,e.mode,n)).return=e,t;if("object"==typeof t&&null!==t){switch(t.$$typeof){case v:return(n=wu(t.type,t.key,t.props,null,e.mode,n)).ref=Kr(e,null,t),n.return=e,n;case _:return(t=Gu(t,e.mode,n)).return=e,t;case D:return E(e,(0,t._init)(t._payload),n)}if(te(t)||w(t))return(t=Uu(t,e.mode,n,null)).return=e,t;Xr(e,t)}return null}function m(e,t,n,o){var a=null!==t?t.key:null;if("string"==typeof n&&""!==n||"number"==typeof n)return null!==a?null:l(e,t,""+n,o);if("object"==typeof n&&null!==n){switch(n.$$typeof){case v:return n.key===a?u(e,t,n,o):null;case _:return n.key===a?c(e,t,n,o):null;case D:return m(e,t,(a=n._init)(n._payload),o)}if(te(n)||w(n))return null!==a?null:d(e,t,n,o,null);Xr(e,n)}return null}function T(e,t,n,o,a){if("string"==typeof o&&""!==o||"number"==typeof o)return l(t,e=e.get(n)||null,""+o,a);if("object"==typeof o&&null!==o){switch(o.$$typeof){case v:return u(t,e=e.get(null===o.key?n:o.key)||null,o,a);case _:return c(t,e=e.get(null===o.key?n:o.key)||null,o,a);case D:return T(e,t,n,(0,o._init)(o._payload),a)}if(te(o)||w(o))return d(t,e=e.get(n)||null,o,a,null);Xr(t,o)}return null}function p(a,r,s,l){for(var u=null,c=null,d=r,p=r=0,f=null;null!==d&&p<s.length;p++){d.index>p?(f=d,d=null):f=d.sibling;var S=m(a,d,s[p],l);if(null===S){null===d&&(d=f);break}e&&d&&null===S.alternate&&t(a,d),r=i(S,r,p),null===c?u=S:c.sibling=S,c=S,d=f}if(p===s.length)return n(a,d),rr&&Ja(a,p),u;if(null===d){for(;p<s.length;p++)null!==(d=E(a,s[p],l))&&(r=i(d,r,p),null===c?u=d:c.sibling=d,c=d);return rr&&Ja(a,p),u}for(d=o(a,d);p<s.length;p++)null!==(f=T(d,a,p,s[p],l))&&(e&&null!==f.alternate&&d.delete(null===f.key?p:f.key),r=i(f,r,p),null===c?u=f:c.sibling=f,c=f);return e&&d.forEach((function(e){return t(a,e)})),rr&&Ja(a,p),u}function f(a,s,l,u){var c=w(l);if("function"!=typeof c)throw Error(r(150));if(null==(l=c.call(l)))throw Error(r(151));for(var d=c=null,p=s,f=s=0,S=null,O=l.next();null!==p&&!O.done;f++,O=l.next()){p.index>f?(S=p,p=null):S=p.sibling;var A=m(a,p,O.value,u);if(null===A){null===p&&(p=S);break}e&&p&&null===A.alternate&&t(a,p),s=i(A,s,f),null===d?c=A:d.sibling=A,d=A,p=S}if(O.done)return n(a,p),rr&&Ja(a,f),c;if(null===p){for(;!O.done;f++,O=l.next())null!==(O=E(a,O.value,u))&&(s=i(O,s,f),null===d?c=O:d.sibling=O,d=O);return rr&&Ja(a,f),c}for(p=o(a,p);!O.done;f++,O=l.next())null!==(O=T(p,a,f,O.value,u))&&(e&&null!==O.alternate&&p.delete(null===O.key?f:O.key),s=i(O,s,f),null===d?c=O:d.sibling=O,d=O);return e&&p.forEach((function(e){return t(a,e)})),rr&&Ja(a,f),c}return function e(o,r,i,l){if("object"==typeof i&&null!==i&&i.type===N&&null===i.key&&(i=i.props.children),"object"==typeof i&&null!==i){switch(i.$$typeof){case v:e:{for(var u=i.key,c=r;null!==c;){if(c.key===u){if((u=i.type)===N){if(7===c.tag){n(o,c.sibling),(r=a(c,i.props.children)).return=o,o=r;break e}}else if(c.elementType===u||"object"==typeof u&&null!==u&&u.$$typeof===D&&qr(u)===c.type){n(o,c.sibling),(r=a(c,i.props)).ref=Kr(o,c,i),r.return=o,o=r;break e}n(o,c);break}t(o,c),c=c.sibling}i.type===N?((r=Uu(i.props.children,o.mode,l,i.key)).return=o,o=r):((l=wu(i.type,i.key,i.props,null,o.mode,l)).ref=Kr(o,r,i),l.return=o,o=l)}return s(o);case _:e:{for(c=i.key;null!==r;){if(r.key===c){if(4===r.tag&&r.stateNode.containerInfo===i.containerInfo&&r.stateNode.implementation===i.implementation){n(o,r.sibling),(r=a(r,i.children||[])).return=o,o=r;break e}n(o,r);break}t(o,r),r=r.sibling}(r=Gu(i,o.mode,l)).return=o,o=r}return s(o);case D:return e(o,r,(c=i._init)(i._payload),l)}if(te(i))return p(o,r,i,l);if(w(i))return f(o,r,i,l);Xr(o,i)}return"string"==typeof i&&""!==i||"number"==typeof i?(i=""+i,null!==r&&6===r.tag?(n(o,r.sibling),(r=a(r,i)).return=o,o=r):(n(o,r),(r=Bu(i,o.mode,l)).return=o,o=r),s(o)):n(o,r)}}var Zr=Qr(!0),$r=Qr(!1),Jr={},ei=Ra(Jr),ti=Ra(Jr),ni=Ra(Jr);function oi(e){if(e===Jr)throw Error(r(174));return e}function ai(e,t){switch(ha(ni,t),ha(ti,e),ha(ei,Jr),e=t.nodeType){case 9:case 11:t=(t=t.documentElement)?t.namespaceURI:le(null,"");break;default:t=le(t=(e=8===e?t.parentNode:t).namespaceURI||null,e=e.tagName)}ga(ei),ha(ei,t)}function ri(){ga(ei),ga(ti),ga(ni)}function ii(e){oi(ni.current);var t=oi(ei.current),n=le(t,e.type);t!==n&&(ha(ti,e),ha(ei,n))}function si(e){ti.current===e&&(ga(ei),ga(ti))}var li=Ra(0);function ui(e){for(var t=e;null!==t;){if(13===t.tag){var n=t.memoizedState;if(null!==n&&(null===(n=n.dehydrated)||"$?"===n.data||"$!"===n.data))return t}else if(19===t.tag&&void 0!==t.memoizedProps.revealOrder){if(0!=(128&t.flags))return t}else if(null!==t.child){t.child.return=t,t=t.child;continue}if(t===e)break;for(;null===t.sibling;){if(null===t.return||t.return===e)return null;t=t.return}t.sibling.return=t.return,t=t.sibling}return null}var ci=[];function di(){for(var e=0;e<ci.length;e++)ci[e]._workInProgressVersionPrimary=null;ci.length=0}var Ei=I.ReactCurrentDispatcher,mi=I.ReactCurrentBatchConfig,Ti=0,pi=null,fi=null,Si=null,Oi=!1,Ai=!1,Ii=0,vi=0;function _i(){throw Error(r(321))}function Ni(e,t){if(null===t)return!1;for(var n=0;n<t.length&&n<e.length;n++)if(!so(e[n],t[n]))return!1;return!0}function Li(e,t,n,o,a,i){if(Ti=i,pi=t,t.memoizedState=null,t.updateQueue=null,t.lanes=0,Ei.current=null===e||null===e.memoizedState?ss:ls,e=n(o,a),Ai){i=0;do{if(Ai=!1,Ii=0,25<=i)throw Error(r(301));i+=1,Si=fi=null,t.updateQueue=null,Ei.current=us,e=n(o,a)}while(Ai)}if(Ei.current=is,t=null!==fi&&null!==fi.next,Ti=0,Si=fi=pi=null,Oi=!1,t)throw Error(r(300));return e}function Ri(){var e=0!==Ii;return Ii=0,e}function gi(){var e={memoizedState:null,baseState:null,baseQueue:null,queue:null,next:null};return null===Si?pi.memoizedState=Si=e:Si=Si.next=e,Si}function hi(){if(null===fi){var e=pi.alternate;e=null!==e?e.memoizedState:null}else e=fi.next;var t=null===Si?pi.memoizedState:Si.next;if(null!==t)Si=t,fi=e;else{if(null===e)throw Error(r(310));e={memoizedState:(fi=e).memoizedState,baseState:fi.baseState,baseQueue:fi.baseQueue,queue:fi.queue,next:null},null===Si?pi.memoizedState=Si=e:Si=Si.next=e}return Si}function yi(e,t){return"function"==typeof t?t(e):t}function Mi(e){var t=hi(),n=t.queue;if(null===n)throw Error(r(311));n.lastRenderedReducer=e;var o=fi,a=o.baseQueue,i=n.pending;if(null!==i){if(null!==a){var s=a.next;a.next=i.next,i.next=s}o.baseQueue=a=i,n.pending=null}if(null!==a){i=a.next,o=o.baseState;var l=s=null,u=null,c=i;do{var d=c.lane;if((Ti&d)===d)null!==u&&(u=u.next={lane:0,action:c.action,hasEagerState:c.hasEagerState,eagerState:c.eagerState,next:null}),o=c.hasEagerState?c.eagerState:e(o,c.action);else{var E={lane:d,action:c.action,hasEagerState:c.hasEagerState,eagerState:c.eagerState,next:null};null===u?(l=u=E,s=o):u=u.next=E,pi.lanes|=d,xl|=d}c=c.next}while(null!==c&&c!==i);null===u?s=o:u.next=l,so(o,t.memoizedState)||(Is=!0),t.memoizedState=o,t.baseState=s,t.baseQueue=u,n.lastRenderedState=o}if(null!==(e=n.interleaved)){a=e;do{i=a.lane,pi.lanes|=i,xl|=i,a=a.next}while(a!==e)}else null===a&&(n.lanes=0);return[t.memoizedState,n.dispatch]}function Ci(e){var t=hi(),n=t.queue;if(null===n)throw Error(r(311));n.lastRenderedReducer=e;var o=n.dispatch,a=n.pending,i=t.memoizedState;if(null!==a){n.pending=null;var s=a=a.next;do{i=e(i,s.action),s=s.next}while(s!==a);so(i,t.memoizedState)||(Is=!0),t.memoizedState=i,null===t.baseQueue&&(t.baseState=i),n.lastRenderedState=i}return[i,o]}function bi(){}function Di(e,t){var n=pi,o=hi(),a=t(),i=!so(o.memoizedState,a);if(i&&(o.memoizedState=a,Is=!0),o=o.queue,Vi(wi.bind(null,n,o,e),[e]),o.getSnapshot!==t||i||null!==Si&&1&Si.memoizedState.tag){if(n.flags|=2048,Gi(9,ki.bind(null,n,o,a,t),void 0,null),null===Cl)throw Error(r(349));0!=(30&Ti)||Pi(n,t,a)}return a}function Pi(e,t,n){e.flags|=16384,e={getSnapshot:t,value:n},null===(t=pi.updateQueue)?(t={lastEffect:null,stores:null},pi.updateQueue=t,t.stores=[e]):null===(n=t.stores)?t.stores=[e]:n.push(e)}function ki(e,t,n,o){t.value=n,t.getSnapshot=o,Ui(t)&&xi(e)}function wi(e,t,n){return n((function(){Ui(t)&&xi(e)}))}function Ui(e){var t=e.getSnapshot;e=e.value;try{var n=t();return!so(e,n)}catch(e){return!0}}function xi(e){var t=Cr(e,1);null!==t&&ou(t,e,1,-1)}function Bi(e){var t=gi();return"function"==typeof e&&(e=e()),t.memoizedState=t.baseState=e,e={pending:null,interleaved:null,lanes:0,dispatch:null,lastRenderedReducer:yi,lastRenderedState:e},t.queue=e,e=e.dispatch=ns.bind(null,pi,e),[t.memoizedState,e]}function Gi(e,t,n,o){return e={tag:e,create:t,destroy:n,deps:o,next:null},null===(t=pi.updateQueue)?(t={lastEffect:null,stores:null},pi.updateQueue=t,t.lastEffect=e.next=e):null===(n=t.lastEffect)?t.lastEffect=e.next=e:(o=n.next,n.next=e,e.next=o,t.lastEffect=e),e}function Fi(){return hi().memoizedState}function zi(e,t,n,o){var a=gi();pi.flags|=e,a.memoizedState=Gi(1|t,n,void 0,void 0===o?null:o)}function Yi(e,t,n,o){var a=hi();o=void 0===o?null:o;var r=void 0;if(null!==fi){var i=fi.memoizedState;if(r=i.destroy,null!==o&&Ni(o,i.deps))return void(a.memoizedState=Gi(t,n,r,o))}pi.flags|=e,a.memoizedState=Gi(1|t,n,r,o)}function Hi(e,t){return zi(8390656,8,e,t)}function Vi(e,t){return Yi(2048,8,e,t)}function ji(e,t){return Yi(4,2,e,t)}function Wi(e,t){return Yi(4,4,e,t)}function Ki(e,t){return"function"==typeof t?(e=e(),t(e),function(){t(null)}):null!=t?(e=e(),t.current=e,function(){t.current=null}):void 0}function Xi(e,t,n){return n=null!=n?n.concat([e]):null,Yi(4,4,Ki.bind(null,t,e),n)}function qi(){}function Qi(e,t){var n=hi();t=void 0===t?null:t;var o=n.memoizedState;return null!==o&&null!==t&&Ni(t,o[1])?o[0]:(n.memoizedState=[e,t],e)}function Zi(e,t){var n=hi();t=void 0===t?null:t;var o=n.memoizedState;return null!==o&&null!==t&&Ni(t,o[1])?o[0]:(e=e(),n.memoizedState=[e,t],e)}function $i(e,t,n){return 0==(21&Ti)?(e.baseState&&(e.baseState=!1,Is=!0),e.memoizedState=n):(so(n,t)||(n=pt(),pi.lanes|=n,xl|=n,e.baseState=!0),t)}function Ji(e,t){var n=At;At=0!==n&&4>n?n:4,e(!0);var o=mi.transition;mi.transition={};try{e(!1),t()}finally{At=n,mi.transition=o}}function es(){return hi().memoizedState}function ts(e,t,n){var o=nu(e);n={lane:o,action:n,hasEagerState:!1,eagerState:null,next:null},os(e)?as(t,n):null!==(n=Mr(e,t,n,o))&&(ou(n,e,o,tu()),rs(n,t,o))}function ns(e,t,n){var o=nu(e),a={lane:o,action:n,hasEagerState:!1,eagerState:null,next:null};if(os(e))as(t,a);else{var r=e.alternate;if(0===e.lanes&&(null===r||0===r.lanes)&&null!==(r=t.lastRenderedReducer))try{var i=t.lastRenderedState,s=r(i,n);if(a.hasEagerState=!0,a.eagerState=s,so(s,i)){var l=t.interleaved;return null===l?(a.next=a,yr(t)):(a.next=l.next,l.next=a),void(t.interleaved=a)}}catch(e){}null!==(n=Mr(e,t,a,o))&&(ou(n,e,o,a=tu()),rs(n,t,o))}}function os(e){var t=e.alternate;return e===pi||null!==t&&t===pi}function as(e,t){Ai=Oi=!0;var n=e.pending;null===n?t.next=t:(t.next=n.next,n.next=t),e.pending=t}function rs(e,t,n){if(0!=(4194240&n)){var o=t.lanes;n|=o&=e.pendingLanes,t.lanes=n,Ot(e,n)}}var is={readContext:gr,useCallback:_i,useContext:_i,useEffect:_i,useImperativeHandle:_i,useInsertionEffect:_i,useLayoutEffect:_i,useMemo:_i,useReducer:_i,useRef:_i,useState:_i,useDebugValue:_i,useDeferredValue:_i,useTransition:_i,useMutableSource:_i,useSyncExternalStore:_i,useId:_i,unstable_isNewReconciler:!1},ss={readContext:gr,useCallback:function(e,t){return gi().memoizedState=[e,void 0===t?null:t],e},useContext:gr,useEffect:Hi,useImperativeHandle:function(e,t,n){return n=null!=n?n.concat([e]):null,zi(4194308,4,Ki.bind(null,t,e),n)},useLayoutEffect:function(e,t){return zi(4194308,4,e,t)},useInsertionEffect:function(e,t){return zi(4,2,e,t)},useMemo:function(e,t){var n=gi();return t=void 0===t?null:t,e=e(),n.memoizedState=[e,t],e},useReducer:function(e,t,n){var o=gi();return t=void 0!==n?n(t):t,o.memoizedState=o.baseState=t,e={pending:null,interleaved:null,lanes:0,dispatch:null,lastRenderedReducer:e,lastRenderedState:t},o.queue=e,e=e.dispatch=ts.bind(null,pi,e),[o.memoizedState,e]},useRef:function(e){return e={current:e},gi().memoizedState=e},useState:Bi,useDebugValue:qi,useDeferredValue:function(e){return gi().memoizedState=e},useTransition:function(){var e=Bi(!1),t=e[0];return e=Ji.bind(null,e[1]),gi().memoizedState=e,[t,e]},useMutableSource:function(){},useSyncExternalStore:function(e,t,n){var o=pi,a=gi();if(rr){if(void 0===n)throw Error(r(407));n=n()}else{if(n=t(),null===Cl)throw Error(r(349));0!=(30&Ti)||Pi(o,t,n)}a.memoizedState=n;var i={value:n,getSnapshot:t};return a.queue=i,Hi(wi.bind(null,o,i,e),[e]),o.flags|=2048,Gi(9,ki.bind(null,o,i,n,t),void 0,null),n},useId:function(){var e=gi(),t=Cl.identifierPrefix;if(rr){var n=$a;t=":"+t+"R"+(n=(Za&~(1<<32-it(Za)-1)).toString(32)+n),0<(n=Ii++)&&(t+="H"+n.toString(32)),t+=":"}else t=":"+t+"r"+(n=vi++).toString(32)+":";return e.memoizedState=t},unstable_isNewReconciler:!1},ls={readContext:gr,useCallback:Qi,useContext:gr,useEffect:Vi,useImperativeHandle:Xi,useInsertionEffect:ji,useLayoutEffect:Wi,useMemo:Zi,useReducer:Mi,useRef:Fi,useState:function(){return Mi(yi)},useDebugValue:qi,useDeferredValue:function(e){return $i(hi(),fi.memoizedState,e)},useTransition:function(){return[Mi(yi)[0],hi().memoizedState]},useMutableSource:bi,useSyncExternalStore:Di,useId:es,unstable_isNewReconciler:!1},us={readContext:gr,useCallback:Qi,useContext:gr,useEffect:Vi,useImperativeHandle:Xi,useInsertionEffect:ji,useLayoutEffect:Wi,useMemo:Zi,useReducer:Ci,useRef:Fi,useState:function(){return Ci(yi)},useDebugValue:qi,useDeferredValue:function(e){var t=hi();return null===fi?t.memoizedState=e:$i(t,fi.memoizedState,e)},useTransition:function(){return[Ci(yi)[0],hi().memoizedState]},useMutableSource:bi,useSyncExternalStore:Di,useId:es,unstable_isNewReconciler:!1};function cs(e,t){try{var n="",o=t;do{n+=z(o),o=o.return}while(o);var a=n}catch(e){a="\nError generating stack: "+e.message+"\n"+e.stack}return{value:e,source:t,stack:a,digest:null}}function ds(e,t,n){return{value:e,source:null,stack:null!=n?n:null,digest:null!=t?t:null}}function Es(e,t){try{console.error(t.value)}catch(e){setTimeout((function(){throw e}))}}var ms="function"==typeof WeakMap?WeakMap:Map;function Ts(e,t,n){(n=kr(-1,n)).tag=3,n.payload={element:null};var o=t.value;return n.callback=function(){jl||(jl=!0,Wl=o),Es(0,t)},n}function ps(e,t,n){(n=kr(-1,n)).tag=3;var o=e.type.getDerivedStateFromError;if("function"==typeof o){var a=t.value;n.payload=function(){return o(a)},n.callback=function(){Es(0,t)}}var r=e.stateNode;return null!==r&&"function"==typeof r.componentDidCatch&&(n.callback=function(){Es(0,t),"function"!=typeof o&&(null===Kl?Kl=new Set([this]):Kl.add(this));var e=t.stack;this.componentDidCatch(t.value,{componentStack:null!==e?e:""})}),n}function fs(e,t,n){var o=e.pingCache;if(null===o){o=e.pingCache=new ms;var a=new Set;o.set(t,a)}else void 0===(a=o.get(t))&&(a=new Set,o.set(t,a));a.has(n)||(a.add(n),e=gu.bind(null,e,t,n),t.then(e,e))}function Ss(e){do{var t;if((t=13===e.tag)&&(t=null===(t=e.memoizedState)||null!==t.dehydrated),t)return e;e=e.return}while(null!==e);return null}function Os(e,t,n,o,a){return 0==(1&e.mode)?(e===t?e.flags|=65536:(e.flags|=128,n.flags|=131072,n.flags&=-52805,1===n.tag&&(null===n.alternate?n.tag=17:((t=kr(-1,1)).tag=2,wr(n,t,1))),n.lanes|=1),e):(e.flags|=65536,e.lanes=a,e)}var As=I.ReactCurrentOwner,Is=!1;function vs(e,t,n,o){t.child=null===e?$r(t,null,n,o):Zr(t,e.child,n,o)}function _s(e,t,n,o,a){n=n.render;var r=t.ref;return Rr(t,a),o=Li(e,t,n,o,r,a),n=Ri(),null===e||Is?(rr&&n&&tr(t),t.flags|=1,vs(e,t,o,a),t.child):(t.updateQueue=e.updateQueue,t.flags&=-2053,e.lanes&=~a,js(e,t,a))}function Ns(e,t,n,o,a){if(null===e){var r=n.type;return"function"!=typeof r||Pu(r)||void 0!==r.defaultProps||null!==n.compare||void 0!==n.defaultProps?((e=wu(n.type,null,o,t,t.mode,a)).ref=t.ref,e.return=t,t.child=e):(t.tag=15,t.type=r,Ls(e,t,r,o,a))}if(r=e.child,0==(e.lanes&a)){var i=r.memoizedProps;if((n=null!==(n=n.compare)?n:lo)(i,o)&&e.ref===t.ref)return js(e,t,a)}return t.flags|=1,(e=ku(r,o)).ref=t.ref,e.return=t,t.child=e}function Ls(e,t,n,o,a){if(null!==e){var r=e.memoizedProps;if(lo(r,o)&&e.ref===t.ref){if(Is=!1,t.pendingProps=o=r,0==(e.lanes&a))return t.lanes=e.lanes,js(e,t,a);0!=(131072&e.flags)&&(Is=!0)}}return hs(e,t,n,o,a)}function Rs(e,t,n){var o=t.pendingProps,a=o.children,r=null!==e?e.memoizedState:null;if("hidden"===o.mode)if(0==(1&t.mode))t.memoizedState={baseLanes:0,cachePool:null,transitions:null},ha(kl,Pl),Pl|=n;else{if(0==(1073741824&n))return e=null!==r?r.baseLanes|n:n,t.lanes=t.childLanes=1073741824,t.memoizedState={baseLanes:e,cachePool:null,transitions:null},t.updateQueue=null,ha(kl,Pl),Pl|=e,null;t.memoizedState={baseLanes:0,cachePool:null,transitions:null},o=null!==r?r.baseLanes:n,ha(kl,Pl),Pl|=o}else null!==r?(o=r.baseLanes|n,t.memoizedState=null):o=n,ha(kl,Pl),Pl|=o;return vs(e,t,a,n),t.child}function gs(e,t){var n=t.ref;(null===e&&null!==n||null!==e&&e.ref!==n)&&(t.flags|=512,t.flags|=2097152)}function hs(e,t,n,o,a){var r=Pa(n)?ba:Ma.current;return r=Da(t,r),Rr(t,a),n=Li(e,t,n,o,r,a),o=Ri(),null===e||Is?(rr&&o&&tr(t),t.flags|=1,vs(e,t,n,a),t.child):(t.updateQueue=e.updateQueue,t.flags&=-2053,e.lanes&=~a,js(e,t,a))}function ys(e,t,n,o,a){if(Pa(n)){var r=!0;xa(t)}else r=!1;if(Rr(t,a),null===t.stateNode)Vs(e,t),Vr(t,n,o),Wr(t,n,o,a),o=!0;else if(null===e){var i=t.stateNode,s=t.memoizedProps;i.props=s;var l=i.context,u=n.contextType;u="object"==typeof u&&null!==u?gr(u):Da(t,u=Pa(n)?ba:Ma.current);var c=n.getDerivedStateFromProps,d="function"==typeof c||"function"==typeof i.getSnapshotBeforeUpdate;d||"function"!=typeof i.UNSAFE_componentWillReceiveProps&&"function"!=typeof i.componentWillReceiveProps||(s!==o||l!==u)&&jr(t,i,o,u),br=!1;var E=t.memoizedState;i.state=E,Br(t,o,i,a),l=t.memoizedState,s!==o||E!==l||Ca.current||br?("function"==typeof c&&(zr(t,n,c,o),l=t.memoizedState),(s=br||Hr(t,n,s,o,E,l,u))?(d||"function"!=typeof i.UNSAFE_componentWillMount&&"function"!=typeof i.componentWillMount||("function"==typeof i.componentWillMount&&i.componentWillMount(),"function"==typeof i.UNSAFE_componentWillMount&&i.UNSAFE_componentWillMount()),"function"==typeof i.componentDidMount&&(t.flags|=4194308)):("function"==typeof i.componentDidMount&&(t.flags|=4194308),t.memoizedProps=o,t.memoizedState=l),i.props=o,i.state=l,i.context=u,o=s):("function"==typeof i.componentDidMount&&(t.flags|=4194308),o=!1)}else{i=t.stateNode,Pr(e,t),s=t.memoizedProps,u=t.type===t.elementType?s:Sr(t.type,s),i.props=u,d=t.pendingProps,E=i.context,l="object"==typeof(l=n.contextType)&&null!==l?gr(l):Da(t,l=Pa(n)?ba:Ma.current);var m=n.getDerivedStateFromProps;(c="function"==typeof m||"function"==typeof i.getSnapshotBeforeUpdate)||"function"!=typeof i.UNSAFE_componentWillReceiveProps&&"function"!=typeof i.componentWillReceiveProps||(s!==d||E!==l)&&jr(t,i,o,l),br=!1,E=t.memoizedState,i.state=E,Br(t,o,i,a);var T=t.memoizedState;s!==d||E!==T||Ca.current||br?("function"==typeof m&&(zr(t,n,m,o),T=t.memoizedState),(u=br||Hr(t,n,u,o,E,T,l)||!1)?(c||"function"!=typeof i.UNSAFE_componentWillUpdate&&"function"!=typeof i.componentWillUpdate||("function"==typeof i.componentWillUpdate&&i.componentWillUpdate(o,T,l),"function"==typeof i.UNSAFE_componentWillUpdate&&i.UNSAFE_componentWillUpdate(o,T,l)),"function"==typeof i.componentDidUpdate&&(t.flags|=4),"function"==typeof i.getSnapshotBeforeUpdate&&(t.flags|=1024)):("function"!=typeof i.componentDidUpdate||s===e.memoizedProps&&E===e.memoizedState||(t.flags|=4),"function"!=typeof i.getSnapshotBeforeUpdate||s===e.memoizedProps&&E===e.memoizedState||(t.flags|=1024),t.memoizedProps=o,t.memoizedState=T),i.props=o,i.state=T,i.context=l,o=u):("function"!=typeof i.componentDidUpdate||s===e.memoizedProps&&E===e.memoizedState||(t.flags|=4),"function"!=typeof i.getSnapshotBeforeUpdate||s===e.memoizedProps&&E===e.memoizedState||(t.flags|=1024),o=!1)}return Ms(e,t,n,o,r,a)}function Ms(e,t,n,o,a,r){gs(e,t);var i=0!=(128&t.flags);if(!o&&!i)return a&&Ba(t,n,!1),js(e,t,r);o=t.stateNode,As.current=t;var s=i&&"function"!=typeof n.getDerivedStateFromError?null:o.render();return t.flags|=1,null!==e&&i?(t.child=Zr(t,e.child,null,r),t.child=Zr(t,null,s,r)):vs(e,t,s,r),t.memoizedState=o.state,a&&Ba(t,n,!0),t.child}function Cs(e){var t=e.stateNode;t.pendingContext?wa(0,t.pendingContext,t.pendingContext!==t.context):t.context&&wa(0,t.context,!1),ai(e,t.containerInfo)}function bs(e,t,n,o,a){return Tr(),pr(a),t.flags|=256,vs(e,t,n,o),t.child}var Ds,Ps,ks,ws,Us={dehydrated:null,treeContext:null,retryLane:0};function xs(e){return{baseLanes:e,cachePool:null,transitions:null}}function Bs(e,t,n){var o,a=t.pendingProps,i=li.current,s=!1,l=0!=(128&t.flags);if((o=l)||(o=(null===e||null!==e.memoizedState)&&0!=(2&i)),o?(s=!0,t.flags&=-129):null!==e&&null===e.memoizedState||(i|=1),ha(li,1&i),null===e)return cr(t),null!==(e=t.memoizedState)&&null!==(e=e.dehydrated)?(0==(1&t.mode)?t.lanes=1:"$!"===e.data?t.lanes=8:t.lanes=1073741824,null):(l=a.children,e=a.fallback,s?(a=t.mode,s=t.child,l={mode:"hidden",children:l},0==(1&a)&&null!==s?(s.childLanes=0,s.pendingProps=l):s=xu(l,a,0,null),e=Uu(e,a,n,null),s.return=t,e.return=t,s.sibling=e,t.child=s,t.child.memoizedState=xs(n),t.memoizedState=Us,e):Gs(t,l));if(null!==(i=e.memoizedState)&&null!==(o=i.dehydrated))return function(e,t,n,o,a,i,s){if(n)return 256&t.flags?(t.flags&=-257,Fs(e,t,s,o=ds(Error(r(422))))):null!==t.memoizedState?(t.child=e.child,t.flags|=128,null):(i=o.fallback,a=t.mode,o=xu({mode:"visible",children:o.children},a,0,null),(i=Uu(i,a,s,null)).flags|=2,o.return=t,i.return=t,o.sibling=i,t.child=o,0!=(1&t.mode)&&Zr(t,e.child,null,s),t.child.memoizedState=xs(s),t.memoizedState=Us,i);if(0==(1&t.mode))return Fs(e,t,s,null);if("$!"===a.data){if(o=a.nextSibling&&a.nextSibling.dataset)var l=o.dgst;return o=l,Fs(e,t,s,o=ds(i=Error(r(419)),o,void 0))}if(l=0!=(s&e.childLanes),Is||l){if(null!==(o=Cl)){switch(s&-s){case 4:a=2;break;case 16:a=8;break;case 64:case 128:case 256:case 512:case 1024:case 2048:case 4096:case 8192:case 16384:case 32768:case 65536:case 131072:case 262144:case 524288:case 1048576:case 2097152:case 4194304:case 8388608:case 16777216:case 33554432:case 67108864:a=32;break;case 536870912:a=268435456;break;default:a=0}0!==(a=0!=(a&(o.suspendedLanes|s))?0:a)&&a!==i.retryLane&&(i.retryLane=a,Cr(e,a),ou(o,e,a,-1))}return fu(),Fs(e,t,s,o=ds(Error(r(421))))}return"$?"===a.data?(t.flags|=128,t.child=e.child,t=yu.bind(null,e),a._reactRetry=t,null):(e=i.treeContext,ar=ca(a.nextSibling),or=t,rr=!0,ir=null,null!==e&&(Xa[qa++]=Za,Xa[qa++]=$a,Xa[qa++]=Qa,Za=e.id,$a=e.overflow,Qa=t),(t=Gs(t,o.children)).flags|=4096,t)}(e,t,l,a,o,i,n);if(s){s=a.fallback,l=t.mode,o=(i=e.child).sibling;var u={mode:"hidden",children:a.children};return 0==(1&l)&&t.child!==i?((a=t.child).childLanes=0,a.pendingProps=u,t.deletions=null):(a=ku(i,u)).subtreeFlags=14680064&i.subtreeFlags,null!==o?s=ku(o,s):(s=Uu(s,l,n,null)).flags|=2,s.return=t,a.return=t,a.sibling=s,t.child=a,a=s,s=t.child,l=null===(l=e.child.memoizedState)?xs(n):{baseLanes:l.baseLanes|n,cachePool:null,transitions:l.transitions},s.memoizedState=l,s.childLanes=e.childLanes&~n,t.memoizedState=Us,a}return e=(s=e.child).sibling,a=ku(s,{mode:"visible",children:a.children}),0==(1&t.mode)&&(a.lanes=n),a.return=t,a.sibling=null,null!==e&&(null===(n=t.deletions)?(t.deletions=[e],t.flags|=16):n.push(e)),t.child=a,t.memoizedState=null,a}function Gs(e,t){return(t=xu({mode:"visible",children:t},e.mode,0,null)).return=e,e.child=t}function Fs(e,t,n,o){return null!==o&&pr(o),Zr(t,e.child,null,n),(e=Gs(t,t.pendingProps.children)).flags|=2,t.memoizedState=null,e}function zs(e,t,n){e.lanes|=t;var o=e.alternate;null!==o&&(o.lanes|=t),Lr(e.return,t,n)}function Ys(e,t,n,o,a){var r=e.memoizedState;null===r?e.memoizedState={isBackwards:t,rendering:null,renderingStartTime:0,last:o,tail:n,tailMode:a}:(r.isBackwards=t,r.rendering=null,r.renderingStartTime=0,r.last=o,r.tail=n,r.tailMode=a)}function Hs(e,t,n){var o=t.pendingProps,a=o.revealOrder,r=o.tail;if(vs(e,t,o.children,n),0!=(2&(o=li.current)))o=1&o|2,t.flags|=128;else{if(null!==e&&0!=(128&e.flags))e:for(e=t.child;null!==e;){if(13===e.tag)null!==e.memoizedState&&zs(e,n,t);else if(19===e.tag)zs(e,n,t);else if(null!==e.child){e.child.return=e,e=e.child;continue}if(e===t)break e;for(;null===e.sibling;){if(null===e.return||e.return===t)break e;e=e.return}e.sibling.return=e.return,e=e.sibling}o&=1}if(ha(li,o),0==(1&t.mode))t.memoizedState=null;else switch(a){case"forwards":for(n=t.child,a=null;null!==n;)null!==(e=n.alternate)&&null===ui(e)&&(a=n),n=n.sibling;null===(n=a)?(a=t.child,t.child=null):(a=n.sibling,n.sibling=null),Ys(t,!1,a,n,r);break;case"backwards":for(n=null,a=t.child,t.child=null;null!==a;){if(null!==(e=a.alternate)&&null===ui(e)){t.child=a;break}e=a.sibling,a.sibling=n,n=a,a=e}Ys(t,!0,n,null,r);break;case"together":Ys(t,!1,null,null,void 0);break;default:t.memoizedState=null}return t.child}function Vs(e,t){0==(1&t.mode)&&null!==e&&(e.alternate=null,t.alternate=null,t.flags|=2)}function js(e,t,n){if(null!==e&&(t.dependencies=e.dependencies),xl|=t.lanes,0==(n&t.childLanes))return null;if(null!==e&&t.child!==e.child)throw Error(r(153));if(null!==t.child){for(n=ku(e=t.child,e.pendingProps),t.child=n,n.return=t;null!==e.sibling;)e=e.sibling,(n=n.sibling=ku(e,e.pendingProps)).return=t;n.sibling=null}return t.child}function Ws(e,t){if(!rr)switch(e.tailMode){case"hidden":t=e.tail;for(var n=null;null!==t;)null!==t.alternate&&(n=t),t=t.sibling;null===n?e.tail=null:n.sibling=null;break;case"collapsed":n=e.tail;for(var o=null;null!==n;)null!==n.alternate&&(o=n),n=n.sibling;null===o?t||null===e.tail?e.tail=null:e.tail.sibling=null:o.sibling=null}}function Ks(e){var t=null!==e.alternate&&e.alternate.child===e.child,n=0,o=0;if(t)for(var a=e.child;null!==a;)n|=a.lanes|a.childLanes,o|=14680064&a.subtreeFlags,o|=14680064&a.flags,a.return=e,a=a.sibling;else for(a=e.child;null!==a;)n|=a.lanes|a.childLanes,o|=a.subtreeFlags,o|=a.flags,a.return=e,a=a.sibling;return e.subtreeFlags|=o,e.childLanes=n,t}function Xs(e,t,n){var o=t.pendingProps;switch(nr(t),t.tag){case 2:case 16:case 15:case 0:case 11:case 7:case 8:case 12:case 9:case 14:return Ks(t),null;case 1:case 17:return Pa(t.type)&&ka(),Ks(t),null;case 3:return o=t.stateNode,ri(),ga(Ca),ga(Ma),di(),o.pendingContext&&(o.context=o.pendingContext,o.pendingContext=null),null!==e&&null!==e.child||(Er(t)?t.flags|=4:null===e||e.memoizedState.isDehydrated&&0==(256&t.flags)||(t.flags|=1024,null!==ir&&(su(ir),ir=null))),Ps(e,t),Ks(t),null;case 5:si(t);var a=oi(ni.current);if(n=t.type,null!==e&&null!=t.stateNode)ks(e,t,n,o,a),e.ref!==t.ref&&(t.flags|=512,t.flags|=2097152);else{if(!o){if(null===t.stateNode)throw Error(r(166));return Ks(t),null}if(e=oi(ei.current),Er(t)){o=t.stateNode,n=t.type;var i=t.memoizedProps;switch(o[ma]=t,o[Ta]=i,e=0!=(1&t.mode),n){case"dialog":Fo("cancel",o),Fo("close",o);break;case"iframe":case"object":case"embed":Fo("load",o);break;case"video":case"audio":for(a=0;a<Uo.length;a++)Fo(Uo[a],o);break;case"source":Fo("error",o);break;case"img":case"image":case"link":Fo("error",o),Fo("load",o);break;case"details":Fo("toggle",o);break;case"input":Q(o,i),Fo("invalid",o);break;case"select":o._wrapperState={wasMultiple:!!i.multiple},Fo("invalid",o);break;case"textarea":ae(o,i),Fo("invalid",o)}for(var l in Oe(n,i),a=null,i)if(i.hasOwnProperty(l)){var u=i[l];"children"===l?"string"==typeof u?o.textContent!==u&&(!0!==i.suppressHydrationWarning&&Jo(o.textContent,u,e),a=["children",u]):"number"==typeof u&&o.textContent!==""+u&&(!0!==i.suppressHydrationWarning&&Jo(o.textContent,u,e),a=["children",""+u]):s.hasOwnProperty(l)&&null!=u&&"onScroll"===l&&Fo("scroll",o)}switch(n){case"input":W(o),J(o,i,!0);break;case"textarea":W(o),ie(o);break;case"select":case"option":break;default:"function"==typeof i.onClick&&(o.onclick=ea)}o=a,t.updateQueue=o,null!==o&&(t.flags|=4)}else{l=9===a.nodeType?a:a.ownerDocument,"http://www.w3.org/1999/xhtml"===e&&(e=se(n)),"http://www.w3.org/1999/xhtml"===e?"script"===n?((e=l.createElement("div")).innerHTML="<script><\/script>",e=e.removeChild(e.firstChild)):"string"==typeof o.is?e=l.createElement(n,{is:o.is}):(e=l.createElement(n),"select"===n&&(l=e,o.multiple?l.multiple=!0:o.size&&(l.size=o.size))):e=l.createElementNS(e,n),e[ma]=t,e[Ta]=o,Ds(e,t,!1,!1),t.stateNode=e;e:{switch(l=Ae(n,o),n){case"dialog":Fo("cancel",e),Fo("close",e),a=o;break;case"iframe":case"object":case"embed":Fo("load",e),a=o;break;case"video":case"audio":for(a=0;a<Uo.length;a++)Fo(Uo[a],e);a=o;break;case"source":Fo("error",e),a=o;break;case"img":case"image":case"link":Fo("error",e),Fo("load",e),a=o;break;case"details":Fo("toggle",e),a=o;break;case"input":Q(e,o),a=q(e,o),Fo("invalid",e);break;case"option":default:a=o;break;case"select":e._wrapperState={wasMultiple:!!o.multiple},a=x({},o,{value:void 0}),Fo("invalid",e);break;case"textarea":ae(e,o),a=oe(e,o),Fo("invalid",e)}for(i in Oe(n,a),u=a)if(u.hasOwnProperty(i)){var c=u[i];"style"===i?fe(e,c):"dangerouslySetInnerHTML"===i?null!=(c=c?c.__html:void 0)&&de(e,c):"children"===i?"string"==typeof c?("textarea"!==n||""!==c)&&Ee(e,c):"number"==typeof c&&Ee(e,""+c):"suppressContentEditableWarning"!==i&&"suppressHydrationWarning"!==i&&"autoFocus"!==i&&(s.hasOwnProperty(i)?null!=c&&"onScroll"===i&&Fo("scroll",e):null!=c&&A(e,i,c,l))}switch(n){case"input":W(e),J(e,o,!1);break;case"textarea":W(e),ie(e);break;case"option":null!=o.value&&e.setAttribute("value",""+V(o.value));break;case"select":e.multiple=!!o.multiple,null!=(i=o.value)?ne(e,!!o.multiple,i,!1):null!=o.defaultValue&&ne(e,!!o.multiple,o.defaultValue,!0);break;default:"function"==typeof a.onClick&&(e.onclick=ea)}switch(n){case"button":case"input":case"select":case"textarea":o=!!o.autoFocus;break e;case"img":o=!0;break e;default:o=!1}}o&&(t.flags|=4)}null!==t.ref&&(t.flags|=512,t.flags|=2097152)}return Ks(t),null;case 6:if(e&&null!=t.stateNode)ws(e,t,e.memoizedProps,o);else{if("string"!=typeof o&&null===t.stateNode)throw Error(r(166));if(n=oi(ni.current),oi(ei.current),Er(t)){if(o=t.stateNode,n=t.memoizedProps,o[ma]=t,(i=o.nodeValue!==n)&&null!==(e=or))switch(e.tag){case 3:Jo(o.nodeValue,n,0!=(1&e.mode));break;case 5:!0!==e.memoizedProps.suppressHydrationWarning&&Jo(o.nodeValue,n,0!=(1&e.mode))}i&&(t.flags|=4)}else(o=(9===n.nodeType?n:n.ownerDocument).createTextNode(o))[ma]=t,t.stateNode=o}return Ks(t),null;case 13:if(ga(li),o=t.memoizedState,null===e||null!==e.memoizedState&&null!==e.memoizedState.dehydrated){if(rr&&null!==ar&&0!=(1&t.mode)&&0==(128&t.flags))mr(),Tr(),t.flags|=98560,i=!1;else if(i=Er(t),null!==o&&null!==o.dehydrated){if(null===e){if(!i)throw Error(r(318));if(!(i=null!==(i=t.memoizedState)?i.dehydrated:null))throw Error(r(317));i[ma]=t}else Tr(),0==(128&t.flags)&&(t.memoizedState=null),t.flags|=4;Ks(t),i=!1}else null!==ir&&(su(ir),ir=null),i=!0;if(!i)return 65536&t.flags?t:null}return 0!=(128&t.flags)?(t.lanes=n,t):((o=null!==o)!=(null!==e&&null!==e.memoizedState)&&o&&(t.child.flags|=8192,0!=(1&t.mode)&&(null===e||0!=(1&li.current)?0===wl&&(wl=3):fu())),null!==t.updateQueue&&(t.flags|=4),Ks(t),null);case 4:return ri(),Ps(e,t),null===e&&Ho(t.stateNode.containerInfo),Ks(t),null;case 10:return Nr(t.type._context),Ks(t),null;case 19:if(ga(li),null===(i=t.memoizedState))return Ks(t),null;if(o=0!=(128&t.flags),null===(l=i.rendering))if(o)Ws(i,!1);else{if(0!==wl||null!==e&&0!=(128&e.flags))for(e=t.child;null!==e;){if(null!==(l=ui(e))){for(t.flags|=128,Ws(i,!1),null!==(o=l.updateQueue)&&(t.updateQueue=o,t.flags|=4),t.subtreeFlags=0,o=n,n=t.child;null!==n;)e=o,(i=n).flags&=14680066,null===(l=i.alternate)?(i.childLanes=0,i.lanes=e,i.child=null,i.subtreeFlags=0,i.memoizedProps=null,i.memoizedState=null,i.updateQueue=null,i.dependencies=null,i.stateNode=null):(i.childLanes=l.childLanes,i.lanes=l.lanes,i.child=l.child,i.subtreeFlags=0,i.deletions=null,i.memoizedProps=l.memoizedProps,i.memoizedState=l.memoizedState,i.updateQueue=l.updateQueue,i.type=l.type,e=l.dependencies,i.dependencies=null===e?null:{lanes:e.lanes,firstContext:e.firstContext}),n=n.sibling;return ha(li,1&li.current|2),t.child}e=e.sibling}null!==i.tail&&Ze()>Hl&&(t.flags|=128,o=!0,Ws(i,!1),t.lanes=4194304)}else{if(!o)if(null!==(e=ui(l))){if(t.flags|=128,o=!0,null!==(n=e.updateQueue)&&(t.updateQueue=n,t.flags|=4),Ws(i,!0),null===i.tail&&"hidden"===i.tailMode&&!l.alternate&&!rr)return Ks(t),null}else 2*Ze()-i.renderingStartTime>Hl&&1073741824!==n&&(t.flags|=128,o=!0,Ws(i,!1),t.lanes=4194304);i.isBackwards?(l.sibling=t.child,t.child=l):(null!==(n=i.last)?n.sibling=l:t.child=l,i.last=l)}return null!==i.tail?(t=i.tail,i.rendering=t,i.tail=t.sibling,i.renderingStartTime=Ze(),t.sibling=null,n=li.current,ha(li,o?1&n|2:1&n),t):(Ks(t),null);case 22:case 23:return Eu(),o=null!==t.memoizedState,null!==e&&null!==e.memoizedState!==o&&(t.flags|=8192),o&&0!=(1&t.mode)?0!=(1073741824&Pl)&&(Ks(t),6&t.subtreeFlags&&(t.flags|=8192)):Ks(t),null;case 24:case 25:return null}throw Error(r(156,t.tag))}function qs(e,t){switch(nr(t),t.tag){case 1:return Pa(t.type)&&ka(),65536&(e=t.flags)?(t.flags=-65537&e|128,t):null;case 3:return ri(),ga(Ca),ga(Ma),di(),0!=(65536&(e=t.flags))&&0==(128&e)?(t.flags=-65537&e|128,t):null;case 5:return si(t),null;case 13:if(ga(li),null!==(e=t.memoizedState)&&null!==e.dehydrated){if(null===t.alternate)throw Error(r(340));Tr()}return 65536&(e=t.flags)?(t.flags=-65537&e|128,t):null;case 19:return ga(li),null;case 4:return ri(),null;case 10:return Nr(t.type._context),null;case 22:case 23:return Eu(),null;default:return null}}Ds=function(e,t){for(var n=t.child;null!==n;){if(5===n.tag||6===n.tag)e.appendChild(n.stateNode);else if(4!==n.tag&&null!==n.child){n.child.return=n,n=n.child;continue}if(n===t)break;for(;null===n.sibling;){if(null===n.return||n.return===t)return;n=n.return}n.sibling.return=n.return,n=n.sibling}},Ps=function(){},ks=function(e,t,n,o){var a=e.memoizedProps;if(a!==o){e=t.stateNode,oi(ei.current);var r,i=null;switch(n){case"input":a=q(e,a),o=q(e,o),i=[];break;case"select":a=x({},a,{value:void 0}),o=x({},o,{value:void 0}),i=[];break;case"textarea":a=oe(e,a),o=oe(e,o),i=[];break;default:"function"!=typeof a.onClick&&"function"==typeof o.onClick&&(e.onclick=ea)}for(c in Oe(n,o),n=null,a)if(!o.hasOwnProperty(c)&&a.hasOwnProperty(c)&&null!=a[c])if("style"===c){var l=a[c];for(r in l)l.hasOwnProperty(r)&&(n||(n={}),n[r]="")}else"dangerouslySetInnerHTML"!==c&&"children"!==c&&"suppressContentEditableWarning"!==c&&"suppressHydrationWarning"!==c&&"autoFocus"!==c&&(s.hasOwnProperty(c)?i||(i=[]):(i=i||[]).push(c,null));for(c in o){var u=o[c];if(l=null!=a?a[c]:void 0,o.hasOwnProperty(c)&&u!==l&&(null!=u||null!=l))if("style"===c)if(l){for(r in l)!l.hasOwnProperty(r)||u&&u.hasOwnProperty(r)||(n||(n={}),n[r]="");for(r in u)u.hasOwnProperty(r)&&l[r]!==u[r]&&(n||(n={}),n[r]=u[r])}else n||(i||(i=[]),i.push(c,n)),n=u;else"dangerouslySetInnerHTML"===c?(u=u?u.__html:void 0,l=l?l.__html:void 0,null!=u&&l!==u&&(i=i||[]).push(c,u)):"children"===c?"string"!=typeof u&&"number"!=typeof u||(i=i||[]).push(c,""+u):"suppressContentEditableWarning"!==c&&"suppressHydrationWarning"!==c&&(s.hasOwnProperty(c)?(null!=u&&"onScroll"===c&&Fo("scroll",e),i||l===u||(i=[])):(i=i||[]).push(c,u))}n&&(i=i||[]).push("style",n);var c=i;(t.updateQueue=c)&&(t.flags|=4)}},ws=function(e,t,n,o){n!==o&&(t.flags|=4)};var Qs=!1,Zs=!1,$s="function"==typeof WeakSet?WeakSet:Set,Js=null;function el(e,t){var n=e.ref;if(null!==n)if("function"==typeof n)try{n(null)}catch(n){Ru(e,t,n)}else n.current=null}function tl(e,t,n){try{n()}catch(n){Ru(e,t,n)}}var nl=!1;function ol(e,t,n){var o=t.updateQueue;if(null!==(o=null!==o?o.lastEffect:null)){var a=o=o.next;do{if((a.tag&e)===e){var r=a.destroy;a.destroy=void 0,void 0!==r&&tl(t,n,r)}a=a.next}while(a!==o)}}function al(e,t){if(null!==(t=null!==(t=t.updateQueue)?t.lastEffect:null)){var n=t=t.next;do{if((n.tag&e)===e){var o=n.create;n.destroy=o()}n=n.next}while(n!==t)}}function rl(e){var t=e.ref;if(null!==t){var n=e.stateNode;e.tag,e=n,"function"==typeof t?t(e):t.current=e}}function il(e){var t=e.alternate;null!==t&&(e.alternate=null,il(t)),e.child=null,e.deletions=null,e.sibling=null,5===e.tag&&null!==(t=e.stateNode)&&(delete t[ma],delete t[Ta],delete t[fa],delete t[Sa],delete t[Oa]),e.stateNode=null,e.return=null,e.dependencies=null,e.memoizedProps=null,e.memoizedState=null,e.pendingProps=null,e.stateNode=null,e.updateQueue=null}function sl(e){return 5===e.tag||3===e.tag||4===e.tag}function ll(e){e:for(;;){for(;null===e.sibling;){if(null===e.return||sl(e.return))return null;e=e.return}for(e.sibling.return=e.return,e=e.sibling;5!==e.tag&&6!==e.tag&&18!==e.tag;){if(2&e.flags)continue e;if(null===e.child||4===e.tag)continue e;e.child.return=e,e=e.child}if(!(2&e.flags))return e.stateNode}}function ul(e,t,n){var o=e.tag;if(5===o||6===o)e=e.stateNode,t?8===n.nodeType?n.parentNode.insertBefore(e,t):n.insertBefore(e,t):(8===n.nodeType?(t=n.parentNode).insertBefore(e,n):(t=n).appendChild(e),null!=(n=n._reactRootContainer)||null!==t.onclick||(t.onclick=ea));else if(4!==o&&null!==(e=e.child))for(ul(e,t,n),e=e.sibling;null!==e;)ul(e,t,n),e=e.sibling}function cl(e,t,n){var o=e.tag;if(5===o||6===o)e=e.stateNode,t?n.insertBefore(e,t):n.appendChild(e);else if(4!==o&&null!==(e=e.child))for(cl(e,t,n),e=e.sibling;null!==e;)cl(e,t,n),e=e.sibling}var dl=null,El=!1;function ml(e,t,n){for(n=n.child;null!==n;)Tl(e,t,n),n=n.sibling}function Tl(e,t,n){if(rt&&"function"==typeof rt.onCommitFiberUnmount)try{rt.onCommitFiberUnmount(at,n)}catch(e){}switch(n.tag){case 5:Zs||el(n,t);case 6:var o=dl,a=El;dl=null,ml(e,t,n),El=a,null!==(dl=o)&&(El?(e=dl,n=n.stateNode,8===e.nodeType?e.parentNode.removeChild(n):e.removeChild(n)):dl.removeChild(n.stateNode));break;case 18:null!==dl&&(El?(e=dl,n=n.stateNode,8===e.nodeType?ua(e.parentNode,n):1===e.nodeType&&ua(e,n),Yt(e)):ua(dl,n.stateNode));break;case 4:o=dl,a=El,dl=n.stateNode.containerInfo,El=!0,ml(e,t,n),dl=o,El=a;break;case 0:case 11:case 14:case 15:if(!Zs&&null!==(o=n.updateQueue)&&null!==(o=o.lastEffect)){a=o=o.next;do{var r=a,i=r.destroy;r=r.tag,void 0!==i&&(0!=(2&r)||0!=(4&r))&&tl(n,t,i),a=a.next}while(a!==o)}ml(e,t,n);break;case 1:if(!Zs&&(el(n,t),"function"==typeof(o=n.stateNode).componentWillUnmount))try{o.props=n.memoizedProps,o.state=n.memoizedState,o.componentWillUnmount()}catch(e){Ru(n,t,e)}ml(e,t,n);break;case 21:ml(e,t,n);break;case 22:1&n.mode?(Zs=(o=Zs)||null!==n.memoizedState,ml(e,t,n),Zs=o):ml(e,t,n);break;default:ml(e,t,n)}}function pl(e){var t=e.updateQueue;if(null!==t){e.updateQueue=null;var n=e.stateNode;null===n&&(n=e.stateNode=new $s),t.forEach((function(t){var o=Mu.bind(null,e,t);n.has(t)||(n.add(t),t.then(o,o))}))}}function fl(e,t){var n=t.deletions;if(null!==n)for(var o=0;o<n.length;o++){var a=n[o];try{var i=e,s=t,l=s;e:for(;null!==l;){switch(l.tag){case 5:dl=l.stateNode,El=!1;break e;case 3:case 4:dl=l.stateNode.containerInfo,El=!0;break e}l=l.return}if(null===dl)throw Error(r(160));Tl(i,s,a),dl=null,El=!1;var u=a.alternate;null!==u&&(u.return=null),a.return=null}catch(e){Ru(a,t,e)}}if(12854&t.subtreeFlags)for(t=t.child;null!==t;)Sl(t,e),t=t.sibling}function Sl(e,t){var n=e.alternate,o=e.flags;switch(e.tag){case 0:case 11:case 14:case 15:if(fl(t,e),Ol(e),4&o){try{ol(3,e,e.return),al(3,e)}catch(t){Ru(e,e.return,t)}try{ol(5,e,e.return)}catch(t){Ru(e,e.return,t)}}break;case 1:fl(t,e),Ol(e),512&o&&null!==n&&el(n,n.return);break;case 5:if(fl(t,e),Ol(e),512&o&&null!==n&&el(n,n.return),32&e.flags){var a=e.stateNode;try{Ee(a,"")}catch(t){Ru(e,e.return,t)}}if(4&o&&null!=(a=e.stateNode)){var i=e.memoizedProps,s=null!==n?n.memoizedProps:i,l=e.type,u=e.updateQueue;if(e.updateQueue=null,null!==u)try{"input"===l&&"radio"===i.type&&null!=i.name&&Z(a,i),Ae(l,s);var c=Ae(l,i);for(s=0;s<u.length;s+=2){var d=u[s],E=u[s+1];"style"===d?fe(a,E):"dangerouslySetInnerHTML"===d?de(a,E):"children"===d?Ee(a,E):A(a,d,E,c)}switch(l){case"input":$(a,i);break;case"textarea":re(a,i);break;case"select":var m=a._wrapperState.wasMultiple;a._wrapperState.wasMultiple=!!i.multiple;var T=i.value;null!=T?ne(a,!!i.multiple,T,!1):m!==!!i.multiple&&(null!=i.defaultValue?ne(a,!!i.multiple,i.defaultValue,!0):ne(a,!!i.multiple,i.multiple?[]:"",!1))}a[Ta]=i}catch(t){Ru(e,e.return,t)}}break;case 6:if(fl(t,e),Ol(e),4&o){if(null===e.stateNode)throw Error(r(162));a=e.stateNode,i=e.memoizedProps;try{a.nodeValue=i}catch(t){Ru(e,e.return,t)}}break;case 3:if(fl(t,e),Ol(e),4&o&&null!==n&&n.memoizedState.isDehydrated)try{Yt(t.containerInfo)}catch(t){Ru(e,e.return,t)}break;case 4:default:fl(t,e),Ol(e);break;case 13:fl(t,e),Ol(e),8192&(a=e.child).flags&&(i=null!==a.memoizedState,a.stateNode.isHidden=i,!i||null!==a.alternate&&null!==a.alternate.memoizedState||(Yl=Ze())),4&o&&pl(e);break;case 22:if(d=null!==n&&null!==n.memoizedState,1&e.mode?(Zs=(c=Zs)||d,fl(t,e),Zs=c):fl(t,e),Ol(e),8192&o){if(c=null!==e.memoizedState,(e.stateNode.isHidden=c)&&!d&&0!=(1&e.mode))for(Js=e,d=e.child;null!==d;){for(E=Js=d;null!==Js;){switch(T=(m=Js).child,m.tag){case 0:case 11:case 14:case 15:ol(4,m,m.return);break;case 1:el(m,m.return);var p=m.stateNode;if("function"==typeof p.componentWillUnmount){o=m,n=m.return;try{t=o,p.props=t.memoizedProps,p.state=t.memoizedState,p.componentWillUnmount()}catch(e){Ru(o,n,e)}}break;case 5:el(m,m.return);break;case 22:if(null!==m.memoizedState){_l(E);continue}}null!==T?(T.return=m,Js=T):_l(E)}d=d.sibling}e:for(d=null,E=e;;){if(5===E.tag){if(null===d){d=E;try{a=E.stateNode,c?"function"==typeof(i=a.style).setProperty?i.setProperty("display","none","important"):i.display="none":(l=E.stateNode,s=null!=(u=E.memoizedProps.style)&&u.hasOwnProperty("display")?u.display:null,l.style.display=pe("display",s))}catch(t){Ru(e,e.return,t)}}}else if(6===E.tag){if(null===d)try{E.stateNode.nodeValue=c?"":E.memoizedProps}catch(t){Ru(e,e.return,t)}}else if((22!==E.tag&&23!==E.tag||null===E.memoizedState||E===e)&&null!==E.child){E.child.return=E,E=E.child;continue}if(E===e)break e;for(;null===E.sibling;){if(null===E.return||E.return===e)break e;d===E&&(d=null),E=E.return}d===E&&(d=null),E.sibling.return=E.return,E=E.sibling}}break;case 19:fl(t,e),Ol(e),4&o&&pl(e);case 21:}}function Ol(e){var t=e.flags;if(2&t){try{e:{for(var n=e.return;null!==n;){if(sl(n)){var o=n;break e}n=n.return}throw Error(r(160))}switch(o.tag){case 5:var a=o.stateNode;32&o.flags&&(Ee(a,""),o.flags&=-33),cl(e,ll(e),a);break;case 3:case 4:var i=o.stateNode.containerInfo;ul(e,ll(e),i);break;default:throw Error(r(161))}}catch(t){Ru(e,e.return,t)}e.flags&=-3}4096&t&&(e.flags&=-4097)}function Al(e,t,n){Js=e,Il(e,t,n)}function Il(e,t,n){for(var o=0!=(1&e.mode);null!==Js;){var a=Js,r=a.child;if(22===a.tag&&o){var i=null!==a.memoizedState||Qs;if(!i){var s=a.alternate,l=null!==s&&null!==s.memoizedState||Zs;s=Qs;var u=Zs;if(Qs=i,(Zs=l)&&!u)for(Js=a;null!==Js;)l=(i=Js).child,22===i.tag&&null!==i.memoizedState?Nl(a):null!==l?(l.return=i,Js=l):Nl(a);for(;null!==r;)Js=r,Il(r,t,n),r=r.sibling;Js=a,Qs=s,Zs=u}vl(e)}else 0!=(8772&a.subtreeFlags)&&null!==r?(r.return=a,Js=r):vl(e)}}function vl(e){for(;null!==Js;){var t=Js;if(0!=(8772&t.flags)){var n=t.alternate;try{if(0!=(8772&t.flags))switch(t.tag){case 0:case 11:case 15:Zs||al(5,t);break;case 1:var o=t.stateNode;if(4&t.flags&&!Zs)if(null===n)o.componentDidMount();else{var a=t.elementType===t.type?n.memoizedProps:Sr(t.type,n.memoizedProps);o.componentDidUpdate(a,n.memoizedState,o.__reactInternalSnapshotBeforeUpdate)}var i=t.updateQueue;null!==i&&Gr(t,i,o);break;case 3:var s=t.updateQueue;if(null!==s){if(n=null,null!==t.child)switch(t.child.tag){case 5:case 1:n=t.child.stateNode}Gr(t,s,n)}break;case 5:var l=t.stateNode;if(null===n&&4&t.flags){n=l;var u=t.memoizedProps;switch(t.type){case"button":case"input":case"select":case"textarea":u.autoFocus&&n.focus();break;case"img":u.src&&(n.src=u.src)}}break;case 6:case 4:case 12:case 19:case 17:case 21:case 22:case 23:case 25:break;case 13:if(null===t.memoizedState){var c=t.alternate;if(null!==c){var d=c.memoizedState;if(null!==d){var E=d.dehydrated;null!==E&&Yt(E)}}}break;default:throw Error(r(163))}Zs||512&t.flags&&rl(t)}catch(e){Ru(t,t.return,e)}}if(t===e){Js=null;break}if(null!==(n=t.sibling)){n.return=t.return,Js=n;break}Js=t.return}}function _l(e){for(;null!==Js;){var t=Js;if(t===e){Js=null;break}var n=t.sibling;if(null!==n){n.return=t.return,Js=n;break}Js=t.return}}function Nl(e){for(;null!==Js;){var t=Js;try{switch(t.tag){case 0:case 11:case 15:var n=t.return;try{al(4,t)}catch(e){Ru(t,n,e)}break;case 1:var o=t.stateNode;if("function"==typeof o.componentDidMount){var a=t.return;try{o.componentDidMount()}catch(e){Ru(t,a,e)}}var r=t.return;try{rl(t)}catch(e){Ru(t,r,e)}break;case 5:var i=t.return;try{rl(t)}catch(e){Ru(t,i,e)}}}catch(e){Ru(t,t.return,e)}if(t===e){Js=null;break}var s=t.sibling;if(null!==s){s.return=t.return,Js=s;break}Js=t.return}}var Ll,Rl=Math.ceil,gl=I.ReactCurrentDispatcher,hl=I.ReactCurrentOwner,yl=I.ReactCurrentBatchConfig,Ml=0,Cl=null,bl=null,Dl=0,Pl=0,kl=Ra(0),wl=0,Ul=null,xl=0,Bl=0,Gl=0,Fl=null,zl=null,Yl=0,Hl=1/0,Vl=null,jl=!1,Wl=null,Kl=null,Xl=!1,ql=null,Ql=0,Zl=0,$l=null,Jl=-1,eu=0;function tu(){return 0!=(6&Ml)?Ze():-1!==Jl?Jl:Jl=Ze()}function nu(e){return 0==(1&e.mode)?1:0!=(2&Ml)&&0!==Dl?Dl&-Dl:null!==fr.transition?(0===eu&&(eu=pt()),eu):0!==(e=At)?e:e=void 0===(e=window.event)?16:Qt(e.type)}function ou(e,t,n,o){if(50<Zl)throw Zl=0,$l=null,Error(r(185));St(e,n,o),0!=(2&Ml)&&e===Cl||(e===Cl&&(0==(2&Ml)&&(Bl|=n),4===wl&&lu(e,Dl)),au(e,o),1===n&&0===Ml&&0==(1&t.mode)&&(Hl=Ze()+500,Fa&&Ha()))}function au(e,t){var n=e.callbackNode;!function(e,t){for(var n=e.suspendedLanes,o=e.pingedLanes,a=e.expirationTimes,r=e.pendingLanes;0<r;){var i=31-it(r),s=1<<i,l=a[i];-1===l?0!=(s&n)&&0==(s&o)||(a[i]=mt(s,t)):l<=t&&(e.expiredLanes|=s),r&=~s}}(e,t);var o=Et(e,e===Cl?Dl:0);if(0===o)null!==n&&Xe(n),e.callbackNode=null,e.callbackPriority=0;else if(t=o&-o,e.callbackPriority!==t){if(null!=n&&Xe(n),1===t)0===e.tag?function(e){Fa=!0,Ya(e)}(uu.bind(null,e)):Ya(uu.bind(null,e)),sa((function(){0==(6&Ml)&&Ha()})),n=null;else{switch(It(o)){case 1:n=Je;break;case 4:n=et;break;case 16:default:n=tt;break;case 536870912:n=ot}n=Cu(n,ru.bind(null,e))}e.callbackPriority=t,e.callbackNode=n}}function ru(e,t){if(Jl=-1,eu=0,0!=(6&Ml))throw Error(r(327));var n=e.callbackNode;if(Nu()&&e.callbackNode!==n)return null;var o=Et(e,e===Cl?Dl:0);if(0===o)return null;if(0!=(30&o)||0!=(o&e.expiredLanes)||t)t=Su(e,o);else{t=o;var a=Ml;Ml|=2;var i=pu();for(Cl===e&&Dl===t||(Vl=null,Hl=Ze()+500,mu(e,t));;)try{Au();break}catch(t){Tu(e,t)}_r(),gl.current=i,Ml=a,null!==bl?t=0:(Cl=null,Dl=0,t=wl)}if(0!==t){if(2===t&&0!==(a=Tt(e))&&(o=a,t=iu(e,a)),1===t)throw n=Ul,mu(e,0),lu(e,o),au(e,Ze()),n;if(6===t)lu(e,o);else{if(a=e.current.alternate,0==(30&o)&&!function(e){for(var t=e;;){if(16384&t.flags){var n=t.updateQueue;if(null!==n&&null!==(n=n.stores))for(var o=0;o<n.length;o++){var a=n[o],r=a.getSnapshot;a=a.value;try{if(!so(r(),a))return!1}catch(e){return!1}}}if(n=t.child,16384&t.subtreeFlags&&null!==n)n.return=t,t=n;else{if(t===e)break;for(;null===t.sibling;){if(null===t.return||t.return===e)return!0;t=t.return}t.sibling.return=t.return,t=t.sibling}}return!0}(a)&&(2===(t=Su(e,o))&&0!==(i=Tt(e))&&(o=i,t=iu(e,i)),1===t))throw n=Ul,mu(e,0),lu(e,o),au(e,Ze()),n;switch(e.finishedWork=a,e.finishedLanes=o,t){case 0:case 1:throw Error(r(345));case 2:case 5:_u(e,zl,Vl);break;case 3:if(lu(e,o),(130023424&o)===o&&10<(t=Yl+500-Ze())){if(0!==Et(e,0))break;if(((a=e.suspendedLanes)&o)!==o){tu(),e.pingedLanes|=e.suspendedLanes&a;break}e.timeoutHandle=aa(_u.bind(null,e,zl,Vl),t);break}_u(e,zl,Vl);break;case 4:if(lu(e,o),(4194240&o)===o)break;for(t=e.eventTimes,a=-1;0<o;){var s=31-it(o);i=1<<s,(s=t[s])>a&&(a=s),o&=~i}if(o=a,10<(o=(120>(o=Ze()-o)?120:480>o?480:1080>o?1080:1920>o?1920:3e3>o?3e3:4320>o?4320:1960*Rl(o/1960))-o)){e.timeoutHandle=aa(_u.bind(null,e,zl,Vl),o);break}_u(e,zl,Vl);break;default:throw Error(r(329))}}}return au(e,Ze()),e.callbackNode===n?ru.bind(null,e):null}function iu(e,t){var n=Fl;return e.current.memoizedState.isDehydrated&&(mu(e,t).flags|=256),2!==(e=Su(e,t))&&(t=zl,zl=n,null!==t&&su(t)),e}function su(e){null===zl?zl=e:zl.push.apply(zl,e)}function lu(e,t){for(t&=~Gl,t&=~Bl,e.suspendedLanes|=t,e.pingedLanes&=~t,e=e.expirationTimes;0<t;){var n=31-it(t),o=1<<n;e[n]=-1,t&=~o}}function uu(e){if(0!=(6&Ml))throw Error(r(327));Nu();var t=Et(e,0);if(0==(1&t))return au(e,Ze()),null;var n=Su(e,t);if(0!==e.tag&&2===n){var o=Tt(e);0!==o&&(t=o,n=iu(e,o))}if(1===n)throw n=Ul,mu(e,0),lu(e,t),au(e,Ze()),n;if(6===n)throw Error(r(345));return e.finishedWork=e.current.alternate,e.finishedLanes=t,_u(e,zl,Vl),au(e,Ze()),null}function cu(e,t){var n=Ml;Ml|=1;try{return e(t)}finally{0===(Ml=n)&&(Hl=Ze()+500,Fa&&Ha())}}function du(e){null!==ql&&0===ql.tag&&0==(6&Ml)&&Nu();var t=Ml;Ml|=1;var n=yl.transition,o=At;try{if(yl.transition=null,At=1,e)return e()}finally{At=o,yl.transition=n,0==(6&(Ml=t))&&Ha()}}function Eu(){Pl=kl.current,ga(kl)}function mu(e,t){e.finishedWork=null,e.finishedLanes=0;var n=e.timeoutHandle;if(-1!==n&&(e.timeoutHandle=-1,ra(n)),null!==bl)for(n=bl.return;null!==n;){var o=n;switch(nr(o),o.tag){case 1:null!=(o=o.type.childContextTypes)&&ka();break;case 3:ri(),ga(Ca),ga(Ma),di();break;case 5:si(o);break;case 4:ri();break;case 13:case 19:ga(li);break;case 10:Nr(o.type._context);break;case 22:case 23:Eu()}n=n.return}if(Cl=e,bl=e=ku(e.current,null),Dl=Pl=t,wl=0,Ul=null,Gl=Bl=xl=0,zl=Fl=null,null!==hr){for(t=0;t<hr.length;t++)if(null!==(o=(n=hr[t]).interleaved)){n.interleaved=null;var a=o.next,r=n.pending;if(null!==r){var i=r.next;r.next=a,o.next=i}n.pending=o}hr=null}return e}function Tu(e,t){for(;;){var n=bl;try{if(_r(),Ei.current=is,Oi){for(var o=pi.memoizedState;null!==o;){var a=o.queue;null!==a&&(a.pending=null),o=o.next}Oi=!1}if(Ti=0,Si=fi=pi=null,Ai=!1,Ii=0,hl.current=null,null===n||null===n.return){wl=1,Ul=t,bl=null;break}e:{var i=e,s=n.return,l=n,u=t;if(t=Dl,l.flags|=32768,null!==u&&"object"==typeof u&&"function"==typeof u.then){var c=u,d=l,E=d.tag;if(0==(1&d.mode)&&(0===E||11===E||15===E)){var m=d.alternate;m?(d.updateQueue=m.updateQueue,d.memoizedState=m.memoizedState,d.lanes=m.lanes):(d.updateQueue=null,d.memoizedState=null)}var T=Ss(s);if(null!==T){T.flags&=-257,Os(T,s,l,0,t),1&T.mode&&fs(i,c,t),u=c;var p=(t=T).updateQueue;if(null===p){var f=new Set;f.add(u),t.updateQueue=f}else p.add(u);break e}if(0==(1&t)){fs(i,c,t),fu();break e}u=Error(r(426))}else if(rr&&1&l.mode){var S=Ss(s);if(null!==S){0==(65536&S.flags)&&(S.flags|=256),Os(S,s,l,0,t),pr(cs(u,l));break e}}i=u=cs(u,l),4!==wl&&(wl=2),null===Fl?Fl=[i]:Fl.push(i),i=s;do{switch(i.tag){case 3:i.flags|=65536,t&=-t,i.lanes|=t,xr(i,Ts(0,u,t));break e;case 1:l=u;var O=i.type,A=i.stateNode;if(0==(128&i.flags)&&("function"==typeof O.getDerivedStateFromError||null!==A&&"function"==typeof A.componentDidCatch&&(null===Kl||!Kl.has(A)))){i.flags|=65536,t&=-t,i.lanes|=t,xr(i,ps(i,l,t));break e}}i=i.return}while(null!==i)}vu(n)}catch(e){t=e,bl===n&&null!==n&&(bl=n=n.return);continue}break}}function pu(){var e=gl.current;return gl.current=is,null===e?is:e}function fu(){0!==wl&&3!==wl&&2!==wl||(wl=4),null===Cl||0==(268435455&xl)&&0==(268435455&Bl)||lu(Cl,Dl)}function Su(e,t){var n=Ml;Ml|=2;var o=pu();for(Cl===e&&Dl===t||(Vl=null,mu(e,t));;)try{Ou();break}catch(t){Tu(e,t)}if(_r(),Ml=n,gl.current=o,null!==bl)throw Error(r(261));return Cl=null,Dl=0,wl}function Ou(){for(;null!==bl;)Iu(bl)}function Au(){for(;null!==bl&&!qe();)Iu(bl)}function Iu(e){var t=Ll(e.alternate,e,Pl);e.memoizedProps=e.pendingProps,null===t?vu(e):bl=t,hl.current=null}function vu(e){var t=e;do{var n=t.alternate;if(e=t.return,0==(32768&t.flags)){if(null!==(n=Xs(n,t,Pl)))return void(bl=n)}else{if(null!==(n=qs(n,t)))return n.flags&=32767,void(bl=n);if(null===e)return wl=6,void(bl=null);e.flags|=32768,e.subtreeFlags=0,e.deletions=null}if(null!==(t=t.sibling))return void(bl=t);bl=t=e}while(null!==t);0===wl&&(wl=5)}function _u(e,t,n){var o=At,a=yl.transition;try{yl.transition=null,At=1,function(e,t,n,o){do{Nu()}while(null!==ql);if(0!=(6&Ml))throw Error(r(327));n=e.finishedWork;var a=e.finishedLanes;if(null===n)return null;if(e.finishedWork=null,e.finishedLanes=0,n===e.current)throw Error(r(177));e.callbackNode=null,e.callbackPriority=0;var i=n.lanes|n.childLanes;if(function(e,t){var n=e.pendingLanes&~t;e.pendingLanes=t,e.suspendedLanes=0,e.pingedLanes=0,e.expiredLanes&=t,e.mutableReadLanes&=t,e.entangledLanes&=t,t=e.entanglements;var o=e.eventTimes;for(e=e.expirationTimes;0<n;){var a=31-it(n),r=1<<a;t[a]=0,o[a]=-1,e[a]=-1,n&=~r}}(e,i),e===Cl&&(bl=Cl=null,Dl=0),0==(2064&n.subtreeFlags)&&0==(2064&n.flags)||Xl||(Xl=!0,Cu(tt,(function(){return Nu(),null}))),i=0!=(15990&n.flags),0!=(15990&n.subtreeFlags)||i){i=yl.transition,yl.transition=null;var s=At;At=1;var l=Ml;Ml|=4,hl.current=null,function(e,t){if(ta=Vt,To(e=mo())){if("selectionStart"in e)var n={start:e.selectionStart,end:e.selectionEnd};else e:{var o=(n=(n=e.ownerDocument)&&n.defaultView||window).getSelection&&n.getSelection();if(o&&0!==o.rangeCount){n=o.anchorNode;var a=o.anchorOffset,i=o.focusNode;o=o.focusOffset;try{n.nodeType,i.nodeType}catch(e){n=null;break e}var s=0,l=-1,u=-1,c=0,d=0,E=e,m=null;t:for(;;){for(var T;E!==n||0!==a&&3!==E.nodeType||(l=s+a),E!==i||0!==o&&3!==E.nodeType||(u=s+o),3===E.nodeType&&(s+=E.nodeValue.length),null!==(T=E.firstChild);)m=E,E=T;for(;;){if(E===e)break t;if(m===n&&++c===a&&(l=s),m===i&&++d===o&&(u=s),null!==(T=E.nextSibling))break;m=(E=m).parentNode}E=T}n=-1===l||-1===u?null:{start:l,end:u}}else n=null}n=n||{start:0,end:0}}else n=null;for(na={focusedElem:e,selectionRange:n},Vt=!1,Js=t;null!==Js;)if(e=(t=Js).child,0!=(1028&t.subtreeFlags)&&null!==e)e.return=t,Js=e;else for(;null!==Js;){t=Js;try{var p=t.alternate;if(0!=(1024&t.flags))switch(t.tag){case 0:case 11:case 15:case 5:case 6:case 4:case 17:break;case 1:if(null!==p){var f=p.memoizedProps,S=p.memoizedState,O=t.stateNode,A=O.getSnapshotBeforeUpdate(t.elementType===t.type?f:Sr(t.type,f),S);O.__reactInternalSnapshotBeforeUpdate=A}break;case 3:var I=t.stateNode.containerInfo;1===I.nodeType?I.textContent="":9===I.nodeType&&I.documentElement&&I.removeChild(I.documentElement);break;default:throw Error(r(163))}}catch(e){Ru(t,t.return,e)}if(null!==(e=t.sibling)){e.return=t.return,Js=e;break}Js=t.return}p=nl,nl=!1}(e,n),Sl(n,e),po(na),Vt=!!ta,na=ta=null,e.current=n,Al(n,e,a),Qe(),Ml=l,At=s,yl.transition=i}else e.current=n;if(Xl&&(Xl=!1,ql=e,Ql=a),0===(i=e.pendingLanes)&&(Kl=null),function(e){if(rt&&"function"==typeof rt.onCommitFiberRoot)try{rt.onCommitFiberRoot(at,e,void 0,128==(128&e.current.flags))}catch(e){}}(n.stateNode),au(e,Ze()),null!==t)for(o=e.onRecoverableError,n=0;n<t.length;n++)o((a=t[n]).value,{componentStack:a.stack,digest:a.digest});if(jl)throw jl=!1,e=Wl,Wl=null,e;0!=(1&Ql)&&0!==e.tag&&Nu(),0!=(1&(i=e.pendingLanes))?e===$l?Zl++:(Zl=0,$l=e):Zl=0,Ha()}(e,t,n,o)}finally{yl.transition=a,At=o}return null}function Nu(){if(null!==ql){var e=It(Ql),t=yl.transition,n=At;try{if(yl.transition=null,At=16>e?16:e,null===ql)var o=!1;else{if(e=ql,ql=null,Ql=0,0!=(6&Ml))throw Error(r(331));var a=Ml;for(Ml|=4,Js=e.current;null!==Js;){var i=Js,s=i.child;if(0!=(16&Js.flags)){var l=i.deletions;if(null!==l){for(var u=0;u<l.length;u++){var c=l[u];for(Js=c;null!==Js;){var d=Js;switch(d.tag){case 0:case 11:case 15:ol(8,d,i)}var E=d.child;if(null!==E)E.return=d,Js=E;else for(;null!==Js;){var m=(d=Js).sibling,T=d.return;if(il(d),d===c){Js=null;break}if(null!==m){m.return=T,Js=m;break}Js=T}}}var p=i.alternate;if(null!==p){var f=p.child;if(null!==f){p.child=null;do{var S=f.sibling;f.sibling=null,f=S}while(null!==f)}}Js=i}}if(0!=(2064&i.subtreeFlags)&&null!==s)s.return=i,Js=s;else e:for(;null!==Js;){if(0!=(2048&(i=Js).flags))switch(i.tag){case 0:case 11:case 15:ol(9,i,i.return)}var O=i.sibling;if(null!==O){O.return=i.return,Js=O;break e}Js=i.return}}var A=e.current;for(Js=A;null!==Js;){var I=(s=Js).child;if(0!=(2064&s.subtreeFlags)&&null!==I)I.return=s,Js=I;else e:for(s=A;null!==Js;){if(0!=(2048&(l=Js).flags))try{switch(l.tag){case 0:case 11:case 15:al(9,l)}}catch(e){Ru(l,l.return,e)}if(l===s){Js=null;break e}var v=l.sibling;if(null!==v){v.return=l.return,Js=v;break e}Js=l.return}}if(Ml=a,Ha(),rt&&"function"==typeof rt.onPostCommitFiberRoot)try{rt.onPostCommitFiberRoot(at,e)}catch(e){}o=!0}return o}finally{At=n,yl.transition=t}}return!1}function Lu(e,t,n){e=wr(e,t=Ts(0,t=cs(n,t),1),1),t=tu(),null!==e&&(St(e,1,t),au(e,t))}function Ru(e,t,n){if(3===e.tag)Lu(e,e,n);else for(;null!==t;){if(3===t.tag){Lu(t,e,n);break}if(1===t.tag){var o=t.stateNode;if("function"==typeof t.type.getDerivedStateFromError||"function"==typeof o.componentDidCatch&&(null===Kl||!Kl.has(o))){t=wr(t,e=ps(t,e=cs(n,e),1),1),e=tu(),null!==t&&(St(t,1,e),au(t,e));break}}t=t.return}}function gu(e,t,n){var o=e.pingCache;null!==o&&o.delete(t),t=tu(),e.pingedLanes|=e.suspendedLanes&n,Cl===e&&(Dl&n)===n&&(4===wl||3===wl&&(130023424&Dl)===Dl&&500>Ze()-Yl?mu(e,0):Gl|=n),au(e,t)}function hu(e,t){0===t&&(0==(1&e.mode)?t=1:(t=ct,0==(130023424&(ct<<=1))&&(ct=4194304)));var n=tu();null!==(e=Cr(e,t))&&(St(e,t,n),au(e,n))}function yu(e){var t=e.memoizedState,n=0;null!==t&&(n=t.retryLane),hu(e,n)}function Mu(e,t){var n=0;switch(e.tag){case 13:var o=e.stateNode,a=e.memoizedState;null!==a&&(n=a.retryLane);break;case 19:o=e.stateNode;break;default:throw Error(r(314))}null!==o&&o.delete(t),hu(e,n)}function Cu(e,t){return Ke(e,t)}function bu(e,t,n,o){this.tag=e,this.key=n,this.sibling=this.child=this.return=this.stateNode=this.type=this.elementType=null,this.index=0,this.ref=null,this.pendingProps=t,this.dependencies=this.memoizedState=this.updateQueue=this.memoizedProps=null,this.mode=o,this.subtreeFlags=this.flags=0,this.deletions=null,this.childLanes=this.lanes=0,this.alternate=null}function Du(e,t,n,o){return new bu(e,t,n,o)}function Pu(e){return!(!(e=e.prototype)||!e.isReactComponent)}function ku(e,t){var n=e.alternate;return null===n?((n=Du(e.tag,t,e.key,e.mode)).elementType=e.elementType,n.type=e.type,n.stateNode=e.stateNode,n.alternate=e,e.alternate=n):(n.pendingProps=t,n.type=e.type,n.flags=0,n.subtreeFlags=0,n.deletions=null),n.flags=14680064&e.flags,n.childLanes=e.childLanes,n.lanes=e.lanes,n.child=e.child,n.memoizedProps=e.memoizedProps,n.memoizedState=e.memoizedState,n.updateQueue=e.updateQueue,t=e.dependencies,n.dependencies=null===t?null:{lanes:t.lanes,firstContext:t.firstContext},n.sibling=e.sibling,n.index=e.index,n.ref=e.ref,n}function wu(e,t,n,o,a,i){var s=2;if(o=e,"function"==typeof e)Pu(e)&&(s=1);else if("string"==typeof e)s=5;else e:switch(e){case N:return Uu(n.children,a,i,t);case L:s=8,a|=8;break;case R:return(e=Du(12,n,t,2|a)).elementType=R,e.lanes=i,e;case M:return(e=Du(13,n,t,a)).elementType=M,e.lanes=i,e;case C:return(e=Du(19,n,t,a)).elementType=C,e.lanes=i,e;case P:return xu(n,a,i,t);default:if("object"==typeof e&&null!==e)switch(e.$$typeof){case g:s=10;break e;case h:s=9;break e;case y:s=11;break e;case b:s=14;break e;case D:s=16,o=null;break e}throw Error(r(130,null==e?e:typeof e,""))}return(t=Du(s,n,t,a)).elementType=e,t.type=o,t.lanes=i,t}function Uu(e,t,n,o){return(e=Du(7,e,o,t)).lanes=n,e}function xu(e,t,n,o){return(e=Du(22,e,o,t)).elementType=P,e.lanes=n,e.stateNode={isHidden:!1},e}function Bu(e,t,n){return(e=Du(6,e,null,t)).lanes=n,e}function Gu(e,t,n){return(t=Du(4,null!==e.children?e.children:[],e.key,t)).lanes=n,t.stateNode={containerInfo:e.containerInfo,pendingChildren:null,implementation:e.implementation},t}function Fu(e,t,n,o,a){this.tag=t,this.containerInfo=e,this.finishedWork=this.pingCache=this.current=this.pendingChildren=null,this.timeoutHandle=-1,this.callbackNode=this.pendingContext=this.context=null,this.callbackPriority=0,this.eventTimes=ft(0),this.expirationTimes=ft(-1),this.entangledLanes=this.finishedLanes=this.mutableReadLanes=this.expiredLanes=this.pingedLanes=this.suspendedLanes=this.pendingLanes=0,this.entanglements=ft(0),this.identifierPrefix=o,this.onRecoverableError=a,this.mutableSourceEagerHydrationData=null}function zu(e,t,n,o,a,r,i,s,l){return e=new Fu(e,t,n,s,l),1===t?(t=1,!0===r&&(t|=8)):t=0,r=Du(3,null,null,t),e.current=r,r.stateNode=e,r.memoizedState={element:o,isDehydrated:n,cache:null,transitions:null,pendingSuspenseBoundaries:null},Dr(r),e}function Yu(e){if(!e)return ya;e:{if(Ye(e=e._reactInternals)!==e||1!==e.tag)throw Error(r(170));var t=e;do{switch(t.tag){case 3:t=t.stateNode.context;break e;case 1:if(Pa(t.type)){t=t.stateNode.__reactInternalMemoizedMergedChildContext;break e}}t=t.return}while(null!==t);throw Error(r(171))}if(1===e.tag){var n=e.type;if(Pa(n))return Ua(e,n,t)}return t}function Hu(e,t,n,o,a,r,i,s,l){return(e=zu(n,o,!0,e,0,r,0,s,l)).context=Yu(null),n=e.current,(r=kr(o=tu(),a=nu(n))).callback=null!=t?t:null,wr(n,r,a),e.current.lanes=a,St(e,a,o),au(e,o),e}function Vu(e,t,n,o){var a=t.current,r=tu(),i=nu(a);return n=Yu(n),null===t.context?t.context=n:t.pendingContext=n,(t=kr(r,i)).payload={element:e},null!==(o=void 0===o?null:o)&&(t.callback=o),null!==(e=wr(a,t,i))&&(ou(e,a,i,r),Ur(e,a,i)),i}function ju(e){return(e=e.current).child?(e.child.tag,e.child.stateNode):null}function Wu(e,t){if(null!==(e=e.memoizedState)&&null!==e.dehydrated){var n=e.retryLane;e.retryLane=0!==n&&n<t?n:t}}function Ku(e,t){Wu(e,t),(e=e.alternate)&&Wu(e,t)}Ll=function(e,t,n){if(null!==e)if(e.memoizedProps!==t.pendingProps||Ca.current)Is=!0;else{if(0==(e.lanes&n)&&0==(128&t.flags))return Is=!1,function(e,t,n){switch(t.tag){case 3:Cs(t),Tr();break;case 5:ii(t);break;case 1:Pa(t.type)&&xa(t);break;case 4:ai(t,t.stateNode.containerInfo);break;case 10:var o=t.type._context,a=t.memoizedProps.value;ha(Or,o._currentValue),o._currentValue=a;break;case 13:if(null!==(o=t.memoizedState))return null!==o.dehydrated?(ha(li,1&li.current),t.flags|=128,null):0!=(n&t.child.childLanes)?Bs(e,t,n):(ha(li,1&li.current),null!==(e=js(e,t,n))?e.sibling:null);ha(li,1&li.current);break;case 19:if(o=0!=(n&t.childLanes),0!=(128&e.flags)){if(o)return Hs(e,t,n);t.flags|=128}if(null!==(a=t.memoizedState)&&(a.rendering=null,a.tail=null,a.lastEffect=null),ha(li,li.current),o)break;return null;case 22:case 23:return t.lanes=0,Rs(e,t,n)}return js(e,t,n)}(e,t,n);Is=0!=(131072&e.flags)}else Is=!1,rr&&0!=(1048576&t.flags)&&er(t,Ka,t.index);switch(t.lanes=0,t.tag){case 2:var o=t.type;Vs(e,t),e=t.pendingProps;var a=Da(t,Ma.current);Rr(t,n),a=Li(null,t,o,e,a,n);var i=Ri();return t.flags|=1,"object"==typeof a&&null!==a&&"function"==typeof a.render&&void 0===a.$$typeof?(t.tag=1,t.memoizedState=null,t.updateQueue=null,Pa(o)?(i=!0,xa(t)):i=!1,t.memoizedState=null!==a.state&&void 0!==a.state?a.state:null,Dr(t),a.updater=Yr,t.stateNode=a,a._reactInternals=t,Wr(t,o,e,n),t=Ms(null,t,o,!0,i,n)):(t.tag=0,rr&&i&&tr(t),vs(null,t,a,n),t=t.child),t;case 16:o=t.elementType;e:{switch(Vs(e,t),e=t.pendingProps,o=(a=o._init)(o._payload),t.type=o,a=t.tag=function(e){if("function"==typeof e)return Pu(e)?1:0;if(null!=e){if((e=e.$$typeof)===y)return 11;if(e===b)return 14}return 2}(o),e=Sr(o,e),a){case 0:t=hs(null,t,o,e,n);break e;case 1:t=ys(null,t,o,e,n);break e;case 11:t=_s(null,t,o,e,n);break e;case 14:t=Ns(null,t,o,Sr(o.type,e),n);break e}throw Error(r(306,o,""))}return t;case 0:return o=t.type,a=t.pendingProps,hs(e,t,o,a=t.elementType===o?a:Sr(o,a),n);case 1:return o=t.type,a=t.pendingProps,ys(e,t,o,a=t.elementType===o?a:Sr(o,a),n);case 3:e:{if(Cs(t),null===e)throw Error(r(387));o=t.pendingProps,a=(i=t.memoizedState).element,Pr(e,t),Br(t,o,null,n);var s=t.memoizedState;if(o=s.element,i.isDehydrated){if(i={element:o,isDehydrated:!1,cache:s.cache,pendingSuspenseBoundaries:s.pendingSuspenseBoundaries,transitions:s.transitions},t.updateQueue.baseState=i,t.memoizedState=i,256&t.flags){t=bs(e,t,o,n,a=cs(Error(r(423)),t));break e}if(o!==a){t=bs(e,t,o,n,a=cs(Error(r(424)),t));break e}for(ar=ca(t.stateNode.containerInfo.firstChild),or=t,rr=!0,ir=null,n=$r(t,null,o,n),t.child=n;n;)n.flags=-3&n.flags|4096,n=n.sibling}else{if(Tr(),o===a){t=js(e,t,n);break e}vs(e,t,o,n)}t=t.child}return t;case 5:return ii(t),null===e&&cr(t),o=t.type,a=t.pendingProps,i=null!==e?e.memoizedProps:null,s=a.children,oa(o,a)?s=null:null!==i&&oa(o,i)&&(t.flags|=32),gs(e,t),vs(e,t,s,n),t.child;case 6:return null===e&&cr(t),null;case 13:return Bs(e,t,n);case 4:return ai(t,t.stateNode.containerInfo),o=t.pendingProps,null===e?t.child=Zr(t,null,o,n):vs(e,t,o,n),t.child;case 11:return o=t.type,a=t.pendingProps,_s(e,t,o,a=t.elementType===o?a:Sr(o,a),n);case 7:return vs(e,t,t.pendingProps,n),t.child;case 8:case 12:return vs(e,t,t.pendingProps.children,n),t.child;case 10:e:{if(o=t.type._context,a=t.pendingProps,i=t.memoizedProps,s=a.value,ha(Or,o._currentValue),o._currentValue=s,null!==i)if(so(i.value,s)){if(i.children===a.children&&!Ca.current){t=js(e,t,n);break e}}else for(null!==(i=t.child)&&(i.return=t);null!==i;){var l=i.dependencies;if(null!==l){s=i.child;for(var u=l.firstContext;null!==u;){if(u.context===o){if(1===i.tag){(u=kr(-1,n&-n)).tag=2;var c=i.updateQueue;if(null!==c){var d=(c=c.shared).pending;null===d?u.next=u:(u.next=d.next,d.next=u),c.pending=u}}i.lanes|=n,null!==(u=i.alternate)&&(u.lanes|=n),Lr(i.return,n,t),l.lanes|=n;break}u=u.next}}else if(10===i.tag)s=i.type===t.type?null:i.child;else if(18===i.tag){if(null===(s=i.return))throw Error(r(341));s.lanes|=n,null!==(l=s.alternate)&&(l.lanes|=n),Lr(s,n,t),s=i.sibling}else s=i.child;if(null!==s)s.return=i;else for(s=i;null!==s;){if(s===t){s=null;break}if(null!==(i=s.sibling)){i.return=s.return,s=i;break}s=s.return}i=s}vs(e,t,a.children,n),t=t.child}return t;case 9:return a=t.type,o=t.pendingProps.children,Rr(t,n),o=o(a=gr(a)),t.flags|=1,vs(e,t,o,n),t.child;case 14:return a=Sr(o=t.type,t.pendingProps),Ns(e,t,o,a=Sr(o.type,a),n);case 15:return Ls(e,t,t.type,t.pendingProps,n);case 17:return o=t.type,a=t.pendingProps,a=t.elementType===o?a:Sr(o,a),Vs(e,t),t.tag=1,Pa(o)?(e=!0,xa(t)):e=!1,Rr(t,n),Vr(t,o,a),Wr(t,o,a,n),Ms(null,t,o,!0,e,n);case 19:return Hs(e,t,n);case 22:return Rs(e,t,n)}throw Error(r(156,t.tag))};var Xu="function"==typeof reportError?reportError:function(e){console.error(e)};function qu(e){this._internalRoot=e}function Qu(e){this._internalRoot=e}function Zu(e){return!(!e||1!==e.nodeType&&9!==e.nodeType&&11!==e.nodeType)}function $u(e){return!(!e||1!==e.nodeType&&9!==e.nodeType&&11!==e.nodeType&&(8!==e.nodeType||" react-mount-point-unstable "!==e.nodeValue))}function Ju(){}function ec(e,t,n,o,a){var r=n._reactRootContainer;if(r){var i=r;if("function"==typeof a){var s=a;a=function(){var e=ju(i);s.call(e)}}Vu(t,i,e,a)}else i=function(e,t,n,o,a){if(a){if("function"==typeof o){var r=o;o=function(){var e=ju(i);r.call(e)}}var i=Hu(t,o,e,0,null,!1,0,"",Ju);return e._reactRootContainer=i,e[pa]=i.current,Ho(8===e.nodeType?e.parentNode:e),du(),i}for(;a=e.lastChild;)e.removeChild(a);if("function"==typeof o){var s=o;o=function(){var e=ju(l);s.call(e)}}var l=zu(e,0,!1,null,0,!1,0,"",Ju);return e._reactRootContainer=l,e[pa]=l.current,Ho(8===e.nodeType?e.parentNode:e),du((function(){Vu(t,l,n,o)})),l}(n,t,e,a,o);return ju(i)}Qu.prototype.render=qu.prototype.render=function(e){var t=this._internalRoot;if(null===t)throw Error(r(409));Vu(e,t,null,null)},Qu.prototype.unmount=qu.prototype.unmount=function(){var e=this._internalRoot;if(null!==e){this._internalRoot=null;var t=e.containerInfo;du((function(){Vu(null,e,null,null)})),t[pa]=null}},Qu.prototype.unstable_scheduleHydration=function(e){if(e){var t=Lt();e={blockedOn:null,target:e,priority:t};for(var n=0;n<Pt.length&&0!==t&&t<Pt[n].priority;n++);Pt.splice(n,0,e),0===n&&xt(e)}},vt=function(e){switch(e.tag){case 3:var t=e.stateNode;if(t.current.memoizedState.isDehydrated){var n=dt(t.pendingLanes);0!==n&&(Ot(t,1|n),au(t,Ze()),0==(6&Ml)&&(Hl=Ze()+500,Ha()))}break;case 13:du((function(){var t=Cr(e,1);if(null!==t){var n=tu();ou(t,e,1,n)}})),Ku(e,1)}},_t=function(e){if(13===e.tag){var t=Cr(e,134217728);null!==t&&ou(t,e,134217728,tu()),Ku(e,134217728)}},Nt=function(e){if(13===e.tag){var t=nu(e),n=Cr(e,t);null!==n&&ou(n,e,t,tu()),Ku(e,t)}},Lt=function(){return At},Rt=function(e,t){var n=At;try{return At=e,t()}finally{At=n}},_e=function(e,t,n){switch(t){case"input":if($(e,n),t=n.name,"radio"===n.type&&null!=t){for(n=e;n.parentNode;)n=n.parentNode;for(n=n.querySelectorAll("input[name="+JSON.stringify(""+t)+'][type="radio"]'),t=0;t<n.length;t++){var o=n[t];if(o!==e&&o.form===e.form){var a=_a(o);if(!a)throw Error(r(90));K(o),$(o,a)}}}break;case"textarea":re(e,n);break;case"select":null!=(t=n.value)&&ne(e,!!n.multiple,t,!1)}},ye=cu,Me=du;var tc={usingClientEntryPoint:!1,Events:[Ia,va,_a,ge,he,cu]},nc={findFiberByHostInstance:Aa,bundleType:0,version:"18.2.0",rendererPackageName:"react-dom"},oc={bundleType:nc.bundleType,version:nc.version,rendererPackageName:nc.rendererPackageName,rendererConfig:nc.rendererConfig,overrideHookState:null,overrideHookStateDeletePath:null,overrideHookStateRenamePath:null,overrideProps:null,overridePropsDeletePath:null,overridePropsRenamePath:null,setErrorHandler:null,setSuspenseHandler:null,scheduleUpdate:null,currentDispatcherRef:I.ReactCurrentDispatcher,findHostInstanceByFiber:function(e){return null===(e=je(e))?null:e.stateNode},findFiberByHostInstance:nc.findFiberByHostInstance||function(){return null},findHostInstancesForRefresh:null,scheduleRefresh:null,scheduleRoot:null,setRefreshHandler:null,getCurrentFiber:null,reconcilerVersion:"18.2.0-next-9e3b772b8-20220608"};if("undefined"!=typeof __REACT_DEVTOOLS_GLOBAL_HOOK__){var ac=__REACT_DEVTOOLS_GLOBAL_HOOK__;if(!ac.isDisabled&&ac.supportsFiber)try{at=ac.inject(oc),rt=ac}catch(ce){}}t.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED=tc,t.createPortal=function(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:null;if(!Zu(t))throw Error(r(200));return function(e,t,n){var o=3<arguments.length&&void 0!==arguments[3]?arguments[3]:null;return{$$typeof:_,key:null==o?null:""+o,children:e,containerInfo:t,implementation:n}}(e,t,null,n)},t.createRoot=function(e,t){if(!Zu(e))throw Error(r(299));var n=!1,o="",a=Xu;return null!=t&&(!0===t.unstable_strictMode&&(n=!0),void 0!==t.identifierPrefix&&(o=t.identifierPrefix),void 0!==t.onRecoverableError&&(a=t.onRecoverableError)),t=zu(e,1,!1,null,0,n,0,o,a),e[pa]=t.current,Ho(8===e.nodeType?e.parentNode:e),new qu(t)},t.findDOMNode=function(e){if(null==e)return null;if(1===e.nodeType)return e;var t=e._reactInternals;if(void 0===t){if("function"==typeof e.render)throw Error(r(188));throw e=Object.keys(e).join(","),Error(r(268,e))}return null===(e=je(t))?null:e.stateNode},t.flushSync=function(e){return du(e)},t.hydrate=function(e,t,n){if(!$u(t))throw Error(r(200));return ec(null,e,t,!0,n)},t.hydrateRoot=function(e,t,n){if(!Zu(e))throw Error(r(405));var o=null!=n&&n.hydratedSources||null,a=!1,i="",s=Xu;if(null!=n&&(!0===n.unstable_strictMode&&(a=!0),void 0!==n.identifierPrefix&&(i=n.identifierPrefix),void 0!==n.onRecoverableError&&(s=n.onRecoverableError)),t=Hu(t,null,e,1,null!=n?n:null,a,0,i,s),e[pa]=t.current,Ho(e),o)for(e=0;e<o.length;e++)a=(a=(n=o[e])._getVersion)(n._source),null==t.mutableSourceEagerHydrationData?t.mutableSourceEagerHydrationData=[n,a]:t.mutableSourceEagerHydrationData.push(n,a);return new Qu(t)},t.render=function(e,t,n){if(!$u(t))throw Error(r(200));return ec(null,e,t,!1,n)},t.unmountComponentAtNode=function(e){if(!$u(e))throw Error(r(40));return!!e._reactRootContainer&&(du((function(){ec(null,null,e,!1,(function(){e._reactRootContainer=null,e[pa]=null}))})),!0)},t.unstable_batchedUpdates=cu,t.unstable_renderSubtreeIntoContainer=function(e,t,n,o){if(!$u(n))throw Error(r(200));if(null==e||void 0===e._reactInternals)throw Error(r(38));return ec(e,t,n,!1,o)},t.version="18.2.0-next-9e3b772b8-20220608"},745:(e,t,n)=>{"use strict";var o=n(3935);t.s=o.createRoot,o.hydrateRoot},3935:(e,t,n)=>{"use strict";!function e(){if("undefined"!=typeof __REACT_DEVTOOLS_GLOBAL_HOOK__&&"function"==typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE)try{__REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE(e)}catch(e){console.error(e)}}(),e.exports=n(4448)},86:(e,t)=>{"use strict";var n="function"==typeof Symbol&&Symbol.for;n&&Symbol.for("react.element"),n&&Symbol.for("react.portal"),n&&Symbol.for("react.fragment"),n&&Symbol.for("react.strict_mode"),n&&Symbol.for("react.profiler"),n&&Symbol.for("react.provider"),n&&Symbol.for("react.context"),n&&Symbol.for("react.async_mode"),n&&Symbol.for("react.concurrent_mode"),n&&Symbol.for("react.forward_ref"),n&&Symbol.for("react.suspense"),n&&Symbol.for("react.suspense_list"),n&&Symbol.for("react.memo"),n&&Symbol.for("react.lazy"),n&&Symbol.for("react.block"),n&&Symbol.for("react.fundamental"),n&&Symbol.for("react.responder"),n&&Symbol.for("react.scope")},663:(e,t,n)=>{"use strict";n(86)},2408:(e,t)=>{"use strict";var n=Symbol.for("react.element"),o=Symbol.for("react.portal"),a=Symbol.for("react.fragment"),r=Symbol.for("react.strict_mode"),i=Symbol.for("react.profiler"),s=Symbol.for("react.provider"),l=Symbol.for("react.context"),u=Symbol.for("react.forward_ref"),c=Symbol.for("react.suspense"),d=Symbol.for("react.memo"),E=Symbol.for("react.lazy"),m=Symbol.iterator,T={isMounted:function(){return!1},enqueueForceUpdate:function(){},enqueueReplaceState:function(){},enqueueSetState:function(){}},p=Object.assign,f={};function S(e,t,n){this.props=e,this.context=t,this.refs=f,this.updater=n||T}function O(){}function A(e,t,n){this.props=e,this.context=t,this.refs=f,this.updater=n||T}S.prototype.isReactComponent={},S.prototype.setState=function(e,t){if("object"!=typeof e&&"function"!=typeof e&&null!=e)throw Error("setState(...): takes an object of state variables to update or a function which returns an object of state variables.");this.updater.enqueueSetState(this,e,t,"setState")},S.prototype.forceUpdate=function(e){this.updater.enqueueForceUpdate(this,e,"forceUpdate")},O.prototype=S.prototype;var I=A.prototype=new O;I.constructor=A,p(I,S.prototype),I.isPureReactComponent=!0;var v=Array.isArray,_=Object.prototype.hasOwnProperty,N={current:null},L={key:!0,ref:!0,__self:!0,__source:!0};function R(e,t,o){var a,r={},i=null,s=null;if(null!=t)for(a in void 0!==t.ref&&(s=t.ref),void 0!==t.key&&(i=""+t.key),t)_.call(t,a)&&!L.hasOwnProperty(a)&&(r[a]=t[a]);var l=arguments.length-2;if(1===l)r.children=o;else if(1<l){for(var u=Array(l),c=0;c<l;c++)u[c]=arguments[c+2];r.children=u}if(e&&e.defaultProps)for(a in l=e.defaultProps)void 0===r[a]&&(r[a]=l[a]);return{$$typeof:n,type:e,key:i,ref:s,props:r,_owner:N.current}}function g(e){return"object"==typeof e&&null!==e&&e.$$typeof===n}var h=/\/+/g;function y(e,t){return"object"==typeof e&&null!==e&&null!=e.key?function(e){var t={"=":"=0",":":"=2"};return"$"+e.replace(/[=:]/g,(function(e){return t[e]}))}(""+e.key):t.toString(36)}function M(e,t,a,r,i){var s=typeof e;"undefined"!==s&&"boolean"!==s||(e=null);var l=!1;if(null===e)l=!0;else switch(s){case"string":case"number":l=!0;break;case"object":switch(e.$$typeof){case n:case o:l=!0}}if(l)return i=i(l=e),e=""===r?"."+y(l,0):r,v(i)?(a="",null!=e&&(a=e.replace(h,"$&/")+"/"),M(i,t,a,"",(function(e){return e}))):null!=i&&(g(i)&&(i=function(e,t){return{$$typeof:n,type:e.type,key:t,ref:e.ref,props:e.props,_owner:e._owner}}(i,a+(!i.key||l&&l.key===i.key?"":(""+i.key).replace(h,"$&/")+"/")+e)),t.push(i)),1;if(l=0,r=""===r?".":r+":",v(e))for(var u=0;u<e.length;u++){var c=r+y(s=e[u],u);l+=M(s,t,a,c,i)}else if(c=function(e){return null===e||"object"!=typeof e?null:"function"==typeof(e=m&&e[m]||e["@@iterator"])?e:null}(e),"function"==typeof c)for(e=c.call(e),u=0;!(s=e.next()).done;)l+=M(s=s.value,t,a,c=r+y(s,u++),i);else if("object"===s)throw t=String(e),Error("Objects are not valid as a React child (found: "+("[object Object]"===t?"object with keys {"+Object.keys(e).join(", ")+"}":t)+"). If you meant to render a collection of children, use an array instead.");return l}function C(e,t,n){if(null==e)return e;var o=[],a=0;return M(e,o,"","",(function(e){return t.call(n,e,a++)})),o}function b(e){if(-1===e._status){var t=e._result;(t=t()).then((function(t){0!==e._status&&-1!==e._status||(e._status=1,e._result=t)}),(function(t){0!==e._status&&-1!==e._status||(e._status=2,e._result=t)})),-1===e._status&&(e._status=0,e._result=t)}if(1===e._status)return e._result.default;throw e._result}var D={current:null},P={transition:null},k={ReactCurrentDispatcher:D,ReactCurrentBatchConfig:P,ReactCurrentOwner:N};t.Children={map:C,forEach:function(e,t,n){C(e,(function(){t.apply(this,arguments)}),n)},count:function(e){var t=0;return C(e,(function(){t++})),t},toArray:function(e){return C(e,(function(e){return e}))||[]},only:function(e){if(!g(e))throw Error("React.Children.only expected to receive a single React element child.");return e}},t.Component=S,t.Fragment=a,t.Profiler=i,t.PureComponent=A,t.StrictMode=r,t.Suspense=c,t.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED=k,t.cloneElement=function(e,t,o){if(null==e)throw Error("React.cloneElement(...): The argument must be a React element, but you passed "+e+".");var a=p({},e.props),r=e.key,i=e.ref,s=e._owner;if(null!=t){if(void 0!==t.ref&&(i=t.ref,s=N.current),void 0!==t.key&&(r=""+t.key),e.type&&e.type.defaultProps)var l=e.type.defaultProps;for(u in t)_.call(t,u)&&!L.hasOwnProperty(u)&&(a[u]=void 0===t[u]&&void 0!==l?l[u]:t[u])}var u=arguments.length-2;if(1===u)a.children=o;else if(1<u){l=Array(u);for(var c=0;c<u;c++)l[c]=arguments[c+2];a.children=l}return{$$typeof:n,type:e.type,key:r,ref:i,props:a,_owner:s}},t.createContext=function(e){return(e={$$typeof:l,_currentValue:e,_currentValue2:e,_threadCount:0,Provider:null,Consumer:null,_defaultValue:null,_globalName:null}).Provider={$$typeof:s,_context:e},e.Consumer=e},t.createElement=R,t.createFactory=function(e){var t=R.bind(null,e);return t.type=e,t},t.createRef=function(){return{current:null}},t.forwardRef=function(e){return{$$typeof:u,render:e}},t.isValidElement=g,t.lazy=function(e){return{$$typeof:E,_payload:{_status:-1,_result:e},_init:b}},t.memo=function(e,t){return{$$typeof:d,type:e,compare:void 0===t?null:t}},t.startTransition=function(e){var t=P.transition;P.transition={};try{e()}finally{P.transition=t}},t.unstable_act=function(){throw Error("act(...) is not supported in production builds of React.")},t.useCallback=function(e,t){return D.current.useCallback(e,t)},t.useContext=function(e){return D.current.useContext(e)},t.useDebugValue=function(){},t.useDeferredValue=function(e){return D.current.useDeferredValue(e)},t.useEffect=function(e,t){return D.current.useEffect(e,t)},t.useId=function(){return D.current.useId()},t.useImperativeHandle=function(e,t,n){return D.current.useImperativeHandle(e,t,n)},t.useInsertionEffect=function(e,t){return D.current.useInsertionEffect(e,t)},t.useLayoutEffect=function(e,t){return D.current.useLayoutEffect(e,t)},t.useMemo=function(e,t){return D.current.useMemo(e,t)},t.useReducer=function(e,t,n){return D.current.useReducer(e,t,n)},t.useRef=function(e){return D.current.useRef(e)},t.useState=function(e){return D.current.useState(e)},t.useSyncExternalStore=function(e,t,n){return D.current.useSyncExternalStore(e,t,n)},t.useTransition=function(){return D.current.useTransition()},t.version="18.2.0"},7294:(e,t,n)=>{"use strict";e.exports=n(2408)},53:(e,t)=>{"use strict";function n(e,t){var n=e.length;e.push(t);e:for(;0<n;){var o=n-1>>>1,a=e[o];if(!(0<r(a,t)))break e;e[o]=t,e[n]=a,n=o}}function o(e){return 0===e.length?null:e[0]}function a(e){if(0===e.length)return null;var t=e[0],n=e.pop();if(n!==t){e[0]=n;e:for(var o=0,a=e.length,i=a>>>1;o<i;){var s=2*(o+1)-1,l=e[s],u=s+1,c=e[u];if(0>r(l,n))u<a&&0>r(c,l)?(e[o]=c,e[u]=n,o=u):(e[o]=l,e[s]=n,o=s);else{if(!(u<a&&0>r(c,n)))break e;e[o]=c,e[u]=n,o=u}}}return t}function r(e,t){var n=e.sortIndex-t.sortIndex;return 0!==n?n:e.id-t.id}if("object"==typeof performance&&"function"==typeof performance.now){var i=performance;t.unstable_now=function(){return i.now()}}else{var s=Date,l=s.now();t.unstable_now=function(){return s.now()-l}}var u=[],c=[],d=1,E=null,m=3,T=!1,p=!1,f=!1,S="function"==typeof setTimeout?setTimeout:null,O="function"==typeof clearTimeout?clearTimeout:null,A="undefined"!=typeof setImmediate?setImmediate:null;function I(e){for(var t=o(c);null!==t;){if(null===t.callback)a(c);else{if(!(t.startTime<=e))break;a(c),t.sortIndex=t.expirationTime,n(u,t)}t=o(c)}}function v(e){if(f=!1,I(e),!p)if(null!==o(u))p=!0,P(_);else{var t=o(c);null!==t&&k(v,t.startTime-e)}}function _(e,n){p=!1,f&&(f=!1,O(g),g=-1),T=!0;var r=m;try{for(I(n),E=o(u);null!==E&&(!(E.expirationTime>n)||e&&!M());){var i=E.callback;if("function"==typeof i){E.callback=null,m=E.priorityLevel;var s=i(E.expirationTime<=n);n=t.unstable_now(),"function"==typeof s?E.callback=s:E===o(u)&&a(u),I(n)}else a(u);E=o(u)}if(null!==E)var l=!0;else{var d=o(c);null!==d&&k(v,d.startTime-n),l=!1}return l}finally{E=null,m=r,T=!1}}"undefined"!=typeof navigator&&void 0!==navigator.scheduling&&void 0!==navigator.scheduling.isInputPending&&navigator.scheduling.isInputPending.bind(navigator.scheduling);var N,L=!1,R=null,g=-1,h=5,y=-1;function M(){return!(t.unstable_now()-y<h)}function C(){if(null!==R){var e=t.unstable_now();y=e;var n=!0;try{n=R(!0,e)}finally{n?N():(L=!1,R=null)}}else L=!1}if("function"==typeof A)N=function(){A(C)};else if("undefined"!=typeof MessageChannel){var b=new MessageChannel,D=b.port2;b.port1.onmessage=C,N=function(){D.postMessage(null)}}else N=function(){S(C,0)};function P(e){R=e,L||(L=!0,N())}function k(e,n){g=S((function(){e(t.unstable_now())}),n)}t.unstable_IdlePriority=5,t.unstable_ImmediatePriority=1,t.unstable_LowPriority=4,t.unstable_NormalPriority=3,t.unstable_Profiling=null,t.unstable_UserBlockingPriority=2,t.unstable_cancelCallback=function(e){e.callback=null},t.unstable_continueExecution=function(){p||T||(p=!0,P(_))},t.unstable_forceFrameRate=function(e){0>e||125<e?console.error("forceFrameRate takes a positive int between 0 and 125, forcing frame rates higher than 125 fps is not supported"):h=0<e?Math.floor(1e3/e):5},t.unstable_getCurrentPriorityLevel=function(){return m},t.unstable_getFirstCallbackNode=function(){return o(u)},t.unstable_next=function(e){switch(m){case 1:case 2:case 3:var t=3;break;default:t=m}var n=m;m=t;try{return e()}finally{m=n}},t.unstable_pauseExecution=function(){},t.unstable_requestPaint=function(){},t.unstable_runWithPriority=function(e,t){switch(e){case 1:case 2:case 3:case 4:case 5:break;default:e=3}var n=m;m=e;try{return t()}finally{m=n}},t.unstable_scheduleCallback=function(e,a,r){var i=t.unstable_now();switch(r="object"==typeof r&&null!==r&&"number"==typeof(r=r.delay)&&0<r?i+r:i,e){case 1:var s=-1;break;case 2:s=250;break;case 5:s=1073741823;break;case 4:s=1e4;break;default:s=5e3}return e={id:d++,callback:a,priorityLevel:e,startTime:r,expirationTime:s=r+s,sortIndex:-1},r>i?(e.sortIndex=r,n(c,e),null===o(u)&&e===o(c)&&(f?(O(g),g=-1):f=!0,k(v,r-i))):(e.sortIndex=s,n(u,e),p||T||(p=!0,P(_))),e},t.unstable_shouldYield=M,t.unstable_wrapCallback=function(e){var t=m;return function(){var n=m;m=t;try{return e.apply(this,arguments)}finally{m=n}}}},3840:(e,t,n)=>{"use strict";e.exports=n(53)},1739:e=>{e.exports={area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0}},6075:(e,t,n)=>{var o={"./arrow-down.svg":4746,"./arrow-left.svg":1833,"./arrow-right-black.svg":4659,"./arrow-right.svg":153,"./arrow-up.svg":9689,"./banned.svg":8023,"./check-green.svg":5172,"./check-white.svg":2315,"./check.svg":706,"./chevron-left-dark.svg":4487,"./chevron-left.svg":7806,"./circle-active.svg":3441,"./circle-cross-grey.svg":7650,"./circle-play-hover.svg":6350,"./circle-play.svg":3312,"./circle-with-plus-alternative.svg":9992,"./circle-with-plus-grey.svg":2847,"./circle-with-plus-solid.svg":2218,"./circle-with-plus.svg":6423,"./circle.svg":2389,"./cross-green.svg":8203,"./cross.svg":5309,"./dot-single.svg":9190,"./edit.svg":8377,"./error.svg":9687,"./flag.svg":9866,"./hour-glass.svg":8849,"./install.svg":3512,"./link-out.svg":7622,"./local.svg":2413,"./local_disabled.svg":3483,"./meh.svg":4072,"./menu-white.svg":3027,"./menu.svg":5674,"./os-linux.svg":6671,"./os-macos.svg":3931,"./os-windows.svg":5710,"./platypus.svg":5888,"./plus-black.svg":7380,"./plus.svg":3189,"./reply.svg":1877,"./reset-disabled.svg":3037,"./reset.svg":7138,"./search.svg":9262,"./select-arrow-pc.svg":8951,"./select-arrows-disabled.svg":6988,"./select-arrows-green.svg":1659,"./select-arrows.svg":5427,"./server.svg":8455,"./server_disabled.svg":6610,"./star-gold.svg":4846,"./star-green.svg":6830,"./star-grey.svg":2299,"./star-outlined.svg":5926,"./star-small-outlined.svg":3309,"./star-small-white.svg":4777,"./star.svg":3740,"./subscribed.svg":5057,"./subscribed_disabled.svg":6690,"./thumbs-up-dark.svg":6262,"./thumbs-up.svg":7515,"./trash-red.svg":2449,"./trash-white.svg":3802,"./trash.svg":967,"./unmanaged-cross.svg":3771,"./unmanaged.svg":4215,"./unmanaged_disabled.svg":5944,"./user.svg":1816,"./warning-triangle-black.svg":5976,"./warning-triangle-yellow.svg":8792,"./warning-triangle.svg":5758,"./white-circle.svg":6651,"./workinprogress.svg":8270,"./workinprogress_disabled.svg":6439};function a(e){var t=r(e);return n(t)}function r(e){if(!n.o(o,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return o[e]}a.keys=function(){return Object.keys(o)},a.resolve=r,e.exports=a,a.id=6075},7254:(e,t,n)=>{var o={"./arrow-down.svg":4746,"./arrow-left.svg":1833,"./arrow-right-black.svg":4659,"./arrow-right.svg":153,"./arrow-up.svg":9689,"./banned.svg":8023,"./check-green.svg":5172,"./check-white.svg":2315,"./check.svg":706,"./chevron-left-dark.svg":4487,"./chevron-left.svg":7806,"./circle-active.svg":3441,"./circle-cross-grey.svg":7650,"./circle-play-hover.svg":6350,"./circle-play.svg":3312,"./circle-with-plus-alternative.svg":9992,"./circle-with-plus-grey.svg":2847,"./circle-with-plus-solid.svg":2218,"./circle-with-plus.svg":6423,"./circle.svg":2389,"./cross-green.svg":8203,"./cross.svg":5309,"./dot-single.svg":9190,"./edit.svg":8377,"./error.svg":9687,"./flag.svg":9866,"./hour-glass.svg":8849,"./install.svg":3512,"./link-out.svg":7622,"./local.svg":2413,"./local_disabled.svg":3483,"./meh.svg":4072,"./menu-white.svg":3027,"./menu.svg":5674,"./os-linux.svg":6671,"./os-macos.svg":3931,"./os-windows.svg":5710,"./platypus.svg":5888,"./plus-black.svg":7380,"./plus.svg":3189,"./reply.svg":1877,"./reset-disabled.svg":3037,"./reset.svg":7138,"./search.svg":9262,"./select-arrow-pc.svg":8951,"./select-arrows-disabled.svg":6988,"./select-arrows-green.svg":1659,"./select-arrows.svg":5427,"./server.svg":8455,"./server_disabled.svg":6610,"./star-gold.svg":4846,"./star-green.svg":6830,"./star-grey.svg":2299,"./star-outlined.svg":5926,"./star-small-outlined.svg":3309,"./star-small-white.svg":4777,"./star.svg":3740,"./subscribed.svg":5057,"./subscribed_disabled.svg":6690,"./thumbs-up-dark.svg":6262,"./thumbs-up.svg":7515,"./trash-red.svg":2449,"./trash-white.svg":3802,"./trash.svg":967,"./unmanaged-cross.svg":3771,"./unmanaged.svg":4215,"./unmanaged_disabled.svg":5944,"./user.svg":1816,"./warning-triangle-black.svg":5976,"./warning-triangle-yellow.svg":8792,"./warning-triangle.svg":5758,"./white-circle.svg":6651,"./workinprogress.svg":8270,"./workinprogress_disabled.svg":6439};function a(e){var t=r(e);return n(t)}function r(e){if(!n.o(o,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return o[e]}a.keys=function(){return Object.keys(o)},a.resolve=r,e.exports=a,a.id=7254},5234:(e,t,n)=>{var o={"./arrow-down.svg":4746,"./arrow-left.svg":1833,"./arrow-right-black.svg":4659,"./arrow-right.svg":153,"./arrow-up.svg":9689,"./banned.svg":8023,"./check-green.svg":5172,"./check-white.svg":2315,"./check.svg":706,"./chevron-left-dark.svg":4487,"./chevron-left.svg":7806,"./circle-active.svg":3441,"./circle-cross-grey.svg":7650,"./circle-play-hover.svg":6350,"./circle-play.svg":3312,"./circle-with-plus-alternative.svg":9992,"./circle-with-plus-grey.svg":2847,"./circle-with-plus-solid.svg":2218,"./circle-with-plus.svg":6423,"./circle.svg":2389,"./cross-green.svg":8203,"./cross.svg":5309,"./dot-single.svg":9190,"./edit.svg":8377,"./error.svg":9687,"./flag.svg":9866,"./hour-glass.svg":8849,"./install.svg":3512,"./link-out.svg":7622,"./local.svg":2413,"./local_disabled.svg":3483,"./meh.svg":4072,"./menu-white.svg":3027,"./menu.svg":5674,"./os-linux.svg":6671,"./os-macos.svg":3931,"./os-windows.svg":5710,"./platypus.svg":5888,"./plus-black.svg":7380,"./plus.svg":3189,"./reply.svg":1877,"./reset-disabled.svg":3037,"./reset.svg":7138,"./search.svg":9262,"./select-arrow-pc.svg":8951,"./select-arrows-disabled.svg":6988,"./select-arrows-green.svg":1659,"./select-arrows.svg":5427,"./server.svg":8455,"./server_disabled.svg":6610,"./star-gold.svg":4846,"./star-green.svg":6830,"./star-grey.svg":2299,"./star-outlined.svg":5926,"./star-small-outlined.svg":3309,"./star-small-white.svg":4777,"./star.svg":3740,"./subscribed.svg":5057,"./subscribed_disabled.svg":6690,"./thumbs-up-dark.svg":6262,"./thumbs-up.svg":7515,"./trash-red.svg":2449,"./trash-white.svg":3802,"./trash.svg":967,"./unmanaged-cross.svg":3771,"./unmanaged.svg":4215,"./unmanaged_disabled.svg":5944,"./user.svg":1816,"./warning-triangle-black.svg":5976,"./warning-triangle-yellow.svg":8792,"./warning-triangle.svg":5758,"./white-circle.svg":6651,"./workinprogress.svg":8270,"./workinprogress_disabled.svg":6439};function a(e){var t=r(e);return n(t)}function r(e){if(!n.o(o,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return o[e]}a.keys=function(){return Object.keys(o)},a.resolve=r,e.exports=a,a.id=5234},4233:(e,t,n)=>{var o={"./Down.svg":7884,"./L.svg":3383,"./L1.svg":4192,"./L2.svg":2925,"./L2Dark.svg":1890,"./L3.svg":4180,"./Left.svg":1847,"./LeftJoystick.svg":2129,"./Options.svg":244,"./Pad.svg":3227,"./R.svg":4917,"./R1.svg":3339,"./R2.svg":8275,"./R2Dark.svg":5128,"./R3.svg":632,"./Right.svg":2548,"./RightJoystick.svg":2308,"./Share.svg":9934,"./Up.svg":8201,"./circle.svg":5507,"./cross.svg":4238,"./square.svg":9104,"./triangle.svg":6736};function a(e){var t=r(e);return n(t)}function r(e){if(!n.o(o,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return o[e]}a.keys=function(){return Object.keys(o)},a.resolve=r,e.exports=a,a.id=4233},9455:(e,t,n)=>{var o={"./A.svg":1491,"./B.svg":8449,"./Down.svg":1613,"./LT.svg":1462,"./LTDark.svg":4286,"./Left.svg":5261,"./LeftBumper.svg":9881,"./LeftStick.svg":8924,"./LeftStickClick.svg":7500,"./Menu.svg":4138,"./RT.svg":9587,"./RTDark.svg":316,"./Right.svg":7943,"./RightBumper.svg":1733,"./RightStick.svg":9845,"./RightStickClick.svg":1933,"./Up.svg":1876,"./View.svg":9286,"./X.svg":9632,"./Y.svg":9792};function a(e){var t=r(e);return n(t)}function r(e){if(!n.o(o,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return o[e]}a.keys=function(){return Object.keys(o)},a.resolve=r,e.exports=a,a.id=9455},4746:(e,t,n)=>{"use strict";e.exports=n.p+"assets/7e696748d6c40d1d26ba.svg"},1833:(e,t,n)=>{"use strict";e.exports=n.p+"assets/992714f2e52449287044.svg"},4659:(e,t,n)=>{"use strict";e.exports=n.p+"assets/dc9046781ec1b05e1412.svg"},153:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f7af07d8b6f625e75bfc.svg"},9689:(e,t,n)=>{"use strict";e.exports=n.p+"assets/48c00af0bd2d117a4147.svg"},8023:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b853f862ee4f57f2b21a.svg"},5172:(e,t,n)=>{"use strict";e.exports=n.p+"assets/e2cc08cdc454c7ff5302.svg"},2315:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f6fbec0ac241bed59a43.svg"},706:(e,t,n)=>{"use strict";e.exports=n.p+"assets/8c38bc9173a8dc919fd7.svg"},4487:(e,t,n)=>{"use strict";e.exports=n.p+"assets/ab45ad4559d848b6eb64.svg"},7806:(e,t,n)=>{"use strict";e.exports=n.p+"assets/a6754ba14140d10dd707.svg"},3441:(e,t,n)=>{"use strict";e.exports=n.p+"assets/97326b54dd063b2a74a5.svg"},7650:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bcddf4891a515e7f6461.svg"},6350:(e,t,n)=>{"use strict";e.exports=n.p+"assets/83ffce8c77113d9b9a43.svg"},3312:(e,t,n)=>{"use strict";e.exports=n.p+"assets/2d59acac41f41119b171.svg"},9992:(e,t,n)=>{"use strict";e.exports=n.p+"assets/61f29b365bbefebc7ec0.svg"},2847:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d9f6f498208805d52fa8.svg"},2218:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d574ee16b0955750998e.svg"},6423:(e,t,n)=>{"use strict";e.exports=n.p+"assets/df49c6589dc2d35fea72.svg"},2389:(e,t,n)=>{"use strict";e.exports=n.p+"assets/571695ee5153973f6ee2.svg"},8203:(e,t,n)=>{"use strict";e.exports=n.p+"assets/2c079d0976c0430c3846.svg"},5309:(e,t,n)=>{"use strict";e.exports=n.p+"assets/9883783895a998351b7a.svg"},9190:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f0ff0009cd8cf7cc170a.svg"},8377:(e,t,n)=>{"use strict";e.exports=n.p+"assets/3757f373baff67ebff1f.svg"},9687:(e,t,n)=>{"use strict";e.exports=n.p+"assets/5e3f1fb5d80207aa1b1c.svg"},9866:(e,t,n)=>{"use strict";e.exports=n.p+"assets/318785d740bff9e2dd9f.svg"},8849:(e,t,n)=>{"use strict";e.exports=n.p+"assets/8ba7b0584a1f781b9e0f.svg"},3512:(e,t,n)=>{"use strict";e.exports=n.p+"assets/59f2e82f2647aab78a56.svg"},7622:(e,t,n)=>{"use strict";e.exports=n.p+"assets/8f7ceb11dfbe6b17d5ea.svg"},2413:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f3f67dbec4df5b6cf14c.svg"},3483:(e,t,n)=>{"use strict";e.exports=n.p+"assets/0fb50b0858d3fc52d864.svg"},4072:(e,t,n)=>{"use strict";e.exports=n.p+"assets/ae9fae421efbe474194a.svg"},3027:(e,t,n)=>{"use strict";e.exports=n.p+"assets/13cd57ba654978988df0.svg"},5674:(e,t,n)=>{"use strict";e.exports=n.p+"assets/1018bbabfc77573c7696.svg"},6671:(e,t,n)=>{"use strict";e.exports=n.p+"assets/74c867afb556cd012db3.svg"},3931:(e,t,n)=>{"use strict";e.exports=n.p+"assets/85da33c72d003081628e.svg"},5710:(e,t,n)=>{"use strict";e.exports=n.p+"assets/0e1fd8bd23972a0c4093.svg"},5888:(e,t,n)=>{"use strict";e.exports=n.p+"assets/5fc03d18bb960819d2e9.svg"},7380:(e,t,n)=>{"use strict";e.exports=n.p+"assets/85cc43f86cbd3e6dc2f7.svg"},3189:(e,t,n)=>{"use strict";e.exports=n.p+"assets/9c43123e23253c825043.svg"},1877:(e,t,n)=>{"use strict";e.exports=n.p+"assets/6664717135d1031e2991.svg"},3037:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d060d094f8742b3e0678.svg"},7138:(e,t,n)=>{"use strict";e.exports=n.p+"assets/4bd79de8a11636a8e5dc.svg"},9262:(e,t,n)=>{"use strict";e.exports=n.p+"assets/fb3b686e54e5ea24e0ce.svg"},8951:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d522acccc46dd3f69ecc.svg"},6988:(e,t,n)=>{"use strict";e.exports=n.p+"assets/195609f3f311013f1a83.svg"},1659:(e,t,n)=>{"use strict";e.exports=n.p+"assets/e7c832f1374c2fc0b30a.svg"},5427:(e,t,n)=>{"use strict";e.exports=n.p+"assets/9706da2d418fdff7012d.svg"},8455:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b5a818ae00a5758edc64.svg"},6610:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d101a1bd704c139c4c08.svg"},4846:(e,t,n)=>{"use strict";e.exports=n.p+"assets/cc0b490bb0e13cf39d57.svg"},6830:(e,t,n)=>{"use strict";e.exports=n.p+"assets/7718726fd951a0ef844a.svg"},2299:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d8a05ca164429a1ca84d.svg"},5926:(e,t,n)=>{"use strict";e.exports=n.p+"assets/3f26fe455239cbc22c95.svg"},3309:(e,t,n)=>{"use strict";e.exports=n.p+"assets/135adab7f6cca0c28bd1.svg"},4777:(e,t,n)=>{"use strict";e.exports=n.p+"assets/8e91bda5386898ffa0b5.svg"},3740:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bf2ec7b514cbd3a30a2c.svg"},5057:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b5a818ae00a5758edc64.svg"},6690:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d101a1bd704c139c4c08.svg"},6262:(e,t,n)=>{"use strict";e.exports=n.p+"assets/d4131ac8bb5a74b933dc.svg"},7515:(e,t,n)=>{"use strict";e.exports=n.p+"assets/19867a6d7e4f83893956.svg"},2449:(e,t,n)=>{"use strict";e.exports=n.p+"assets/7b23f75aac9abb4a55b4.svg"},3802:(e,t,n)=>{"use strict";e.exports=n.p+"assets/6aeb3b29bae85c5926de.svg"},967:(e,t,n)=>{"use strict";e.exports=n.p+"assets/6770f7645c40a8d812ab.svg"},3771:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bd35b514ad19e15ff726.svg"},4215:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f3f67dbec4df5b6cf14c.svg"},5944:(e,t,n)=>{"use strict";e.exports=n.p+"assets/0fb50b0858d3fc52d864.svg"},1816:(e,t,n)=>{"use strict";e.exports=n.p+"assets/3255b615a82fefbf9010.svg"},5976:(e,t,n)=>{"use strict";e.exports=n.p+"assets/866a55252eda3de04a53.svg"},8792:(e,t,n)=>{"use strict";e.exports=n.p+"assets/860e72ec191729bc949d.svg"},5758:(e,t,n)=>{"use strict";e.exports=n.p+"assets/53026a9e108cdf109147.svg"},6651:(e,t,n)=>{"use strict";e.exports=n.p+"assets/44b9ac58e43bec1b1edd.svg"},8270:(e,t,n)=>{"use strict";e.exports=n.p+"assets/7bdd85559d58e6163831.svg"},6439:(e,t,n)=>{"use strict";e.exports=n.p+"assets/2f752f49bd2aa46ec3a8.svg"},7275:(e,t,n)=>{"use strict";e.exports=n.p+"assets/c98b888330956b2ccf42.svg"},7884:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b9c8f9e7f6c91410c58f.svg"},3383:(e,t,n)=>{"use strict";e.exports=n.p+"assets/2a78b3bfdbf7bcaff9b6.svg"},4192:(e,t,n)=>{"use strict";e.exports=n.p+"assets/43b64b209862042c3d56.svg"},2925:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bcd7ce99410441e9c1a6.svg"},1890:(e,t,n)=>{"use strict";e.exports=n.p+"assets/50cdb39832d6fa0c76ee.svg"},4180:(e,t,n)=>{"use strict";e.exports=n.p+"assets/ccb9dfc770ace3e806f7.svg"},1847:(e,t,n)=>{"use strict";e.exports=n.p+"assets/ce32b51c76045e437ca4.svg"},2129:(e,t,n)=>{"use strict";e.exports=n.p+"assets/2a78b3bfdbf7bcaff9b6.svg"},244:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bc2941ec3c5728fa8a9b.svg"},3227:(e,t,n)=>{"use strict";e.exports=n.p+"assets/61214fa4535eb1bda2d0.svg"},4917:(e,t,n)=>{"use strict";e.exports=n.p+"assets/40b36e7a58a7d7ce36f0.svg"},3339:(e,t,n)=>{"use strict";e.exports=n.p+"assets/559503465d40b7116f4e.svg"},8275:(e,t,n)=>{"use strict";e.exports=n.p+"assets/0bd3bddbb28e4603fd7e.svg"},5128:(e,t,n)=>{"use strict";e.exports=n.p+"assets/89943fd08c4d0796ce32.svg"},632:(e,t,n)=>{"use strict";e.exports=n.p+"assets/a56f2c132c08607ed042.svg"},2548:(e,t,n)=>{"use strict";e.exports=n.p+"assets/0790211544d4e7f426a4.svg"},2308:(e,t,n)=>{"use strict";e.exports=n.p+"assets/40b36e7a58a7d7ce36f0.svg"},9934:(e,t,n)=>{"use strict";e.exports=n.p+"assets/36a84d08b1b6c8b2741c.svg"},8201:(e,t,n)=>{"use strict";e.exports=n.p+"assets/45334d7ad7b5e18d008e.svg"},5507:(e,t,n)=>{"use strict";e.exports=n.p+"assets/e195591fe868a3751336.svg"},4238:(e,t,n)=>{"use strict";e.exports=n.p+"assets/27ae64d8236b4ade9412.svg"},9104:(e,t,n)=>{"use strict";e.exports=n.p+"assets/87c8615cb3c0a8134731.svg"},6736:(e,t,n)=>{"use strict";e.exports=n.p+"assets/00cdcd948a35a9bd80c5.svg"},1491:(e,t,n)=>{"use strict";e.exports=n.p+"assets/1106e9666d63f07eb75e.svg"},8449:(e,t,n)=>{"use strict";e.exports=n.p+"assets/3dad7a5953ffbdda9e72.svg"},1613:(e,t,n)=>{"use strict";e.exports=n.p+"assets/4fecd7a1ccb5110542fc.svg"},1462:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b5b29d4930822a46fb48.svg"},4286:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b904cf216b25311a0f9c.svg"},5261:(e,t,n)=>{"use strict";e.exports=n.p+"assets/6cefc9d85d8cb9a96e78.svg"},9881:(e,t,n)=>{"use strict";e.exports=n.p+"assets/31fc06b72a2b7a938b30.svg"},8924:(e,t,n)=>{"use strict";e.exports=n.p+"assets/205db85eb21b01f5759d.svg"},7500:(e,t,n)=>{"use strict";e.exports=n.p+"assets/ccbf9f3f61607f52bf16.svg"},4138:(e,t,n)=>{"use strict";e.exports=n.p+"assets/a3ba4398ac31f01a0e15.svg"},9587:(e,t,n)=>{"use strict";e.exports=n.p+"assets/f22316b1d851145eb552.svg"},316:(e,t,n)=>{"use strict";e.exports=n.p+"assets/1db5efa2b7f1edbee1ca.svg"},7943:(e,t,n)=>{"use strict";e.exports=n.p+"assets/b0836b7910e82a98981f.svg"},1733:(e,t,n)=>{"use strict";e.exports=n.p+"assets/97ddd983e2232ad18d05.svg"},9845:(e,t,n)=>{"use strict";e.exports=n.p+"assets/bc5dc9f71d36ae0dcb29.svg"},1933:(e,t,n)=>{"use strict";e.exports=n.p+"assets/08ce11335e8fee70886b.svg"},1876:(e,t,n)=>{"use strict";e.exports=n.p+"assets/486a898ac1b12308534b.svg"},9286:(e,t,n)=>{"use strict";e.exports=n.p+"assets/896ebca4f45aacd6d4f9.svg"},9632:(e,t,n)=>{"use strict";e.exports=n.p+"assets/631557e8ef76641b2f74.svg"},9792:(e,t,n)=>{"use strict";e.exports=n.p+"assets/38ea5e3fba47969cef3a.svg"}},t={};function n(o){var a=t[o];if(void 0!==a)return a.exports;var r=t[o]={exports:{}};return e[o].call(r.exports,r,r.exports,n),r.exports}n.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return n.d(t,{a:t}),t},n.d=(e,t)=>{for(var o in t)n.o(t,o)&&!n.o(e,o)&&Object.defineProperty(e,o,{enumerable:!0,get:t[o]})},n.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),n.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),n.p="./",(()=>{"use strict";var e=n(7294),t=n(745);function o(e){if(Array.isArray(e))return e}function a(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,o=new Array(t);n<t;n++)o[n]=e[n];return o}function r(e,t){if(e){if("string"==typeof e)return a(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?a(e,t):void 0}}function i(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function s(e,t){return o(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var o,a,r,i,s=[],l=!0,u=!1;try{if(r=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(o=r.call(n)).done)&&(s.push(o.value),s.length!==t);l=!0);}catch(e){u=!0,a=e}finally{try{if(!l&&null!=n.return&&(i=n.return(),Object(i)!==i))return}finally{if(u)throw a}}return s}}(e,t)||r(e,t)||i()}var l=n(8065),u=n.n(l);function c(e,t){return c=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},c(e,t)}function d(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,c(e,t)}var E=n(5697),m=n.n(E);function T(){return T=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},T.apply(this,arguments)}function p(e){return"/"===e.charAt(0)}function f(e,t){for(var n=t,o=n+1,a=e.length;o<a;n+=1,o+=1)e[n]=e[o];e.pop()}function S(e){var t=e.pathname,n=e.search,o=e.hash,a=t||"/";return n&&"?"!==n&&(a+="?"===n.charAt(0)?n:"?"+n),o&&"#"!==o&&(a+="#"===o.charAt(0)?o:"#"+o),a}function O(e,t,n,o){var a;"string"==typeof e?(a=function(e){var t=e||"/",n="",o="",a=t.indexOf("#");-1!==a&&(o=t.substr(a),t=t.substr(0,a));var r=t.indexOf("?");return-1!==r&&(n=t.substr(r),t=t.substr(0,r)),{pathname:t,search:"?"===n?"":n,hash:"#"===o?"":o}}(e),a.state=t):(void 0===(a=T({},e)).pathname&&(a.pathname=""),a.search?"?"!==a.search.charAt(0)&&(a.search="?"+a.search):a.search="",a.hash?"#"!==a.hash.charAt(0)&&(a.hash="#"+a.hash):a.hash="",void 0!==t&&void 0===a.state&&(a.state=t));try{a.pathname=decodeURI(a.pathname)}catch(e){throw e instanceof URIError?new URIError('Pathname "'+a.pathname+'" could not be decoded. This is likely caused by an invalid percent-encoding.'):e}return n&&(a.key=n),o?a.pathname?"/"!==a.pathname.charAt(0)&&(a.pathname=function(e,t){void 0===t&&(t="");var n,o=e&&e.split("/")||[],a=t&&t.split("/")||[],r=e&&p(e),i=t&&p(t),s=r||i;if(e&&p(e)?a=o:o.length&&(a.pop(),a=a.concat(o)),!a.length)return"/";if(a.length){var l=a[a.length-1];n="."===l||".."===l||""===l}else n=!1;for(var u=0,c=a.length;c>=0;c--){var d=a[c];"."===d?f(a,c):".."===d?(f(a,c),u++):u&&(f(a,c),u--)}if(!s)for(;u--;u)a.unshift("..");!s||""===a[0]||a[0]&&p(a[0])||a.unshift("");var E=a.join("/");return n&&"/"!==E.substr(-1)&&(E+="/"),E}(a.pathname,o.pathname)):a.pathname=o.pathname:a.pathname||(a.pathname="/"),a}function A(e,t,n){return Math.min(Math.max(e,t),n)}"undefined"==typeof window||!window.document||window.document.createElement;var I=!0,v="Invariant failed";function _(e,t){if(!e){if(I)throw new Error(v);var n="function"==typeof t?t():t,o=n?"".concat(v,": ").concat(n):v;throw new Error(o)}}var N=n(4779),L=n.n(N);n(663),n(8679);var R=1073741823,g="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:void 0!==n.g?n.g:{},h=e.createContext||function(t,n){var o,a,r,i="__create-react-context-"+((g[r="__global_unique_id__"]=(g[r]||0)+1)+"__"),s=function(e){function t(){for(var t,n,o,a=arguments.length,r=new Array(a),i=0;i<a;i++)r[i]=arguments[i];return(t=e.call.apply(e,[this].concat(r))||this).emitter=(n=t.props.value,o=[],{on:function(e){o.push(e)},off:function(e){o=o.filter((function(t){return t!==e}))},get:function(){return n},set:function(e,t){n=e,o.forEach((function(e){return e(n,t)}))}}),t}d(t,e);var o=t.prototype;return o.getChildContext=function(){var e;return(e={})[i]=this.emitter,e},o.componentWillReceiveProps=function(e){if(this.props.value!==e.value){var t,o=this.props.value,a=e.value;!function(e,t){return e===t?0!==e||1/e==1/t:e!=e&&t!=t}(o,a)?(t="function"==typeof n?n(o,a):R,0!=(t|=0)&&this.emitter.set(e.value,t)):t=0}},o.render=function(){return this.props.children},t}(e.Component);s.childContextTypes=((o={})[i]=m().object.isRequired,o);var l=function(e){function n(){for(var t,n=arguments.length,o=new Array(n),a=0;a<n;a++)o[a]=arguments[a];return(t=e.call.apply(e,[this].concat(o))||this).observedBits=void 0,t.state={value:t.getValue()},t.onUpdate=function(e,n){0!=((0|t.observedBits)&n)&&t.setState({value:t.getValue()})},t}d(n,e);var o=n.prototype;return o.componentWillReceiveProps=function(e){var t=e.observedBits;this.observedBits=null==t?R:t},o.componentDidMount=function(){this.context[i]&&this.context[i].on(this.onUpdate);var e=this.props.observedBits;this.observedBits=null==e?R:e},o.componentWillUnmount=function(){this.context[i]&&this.context[i].off(this.onUpdate)},o.getValue=function(){return this.context[i]?this.context[i].get():t},o.render=function(){return(e=this.props.children,Array.isArray(e)?e[0]:e)(this.state.value);var e},n}(e.Component);return l.contextTypes=((a={})[i]=m().object,a),{Provider:s,Consumer:l}},y=function(e){var t=h();return t.displayName=e,t},M=y("Router-History"),C=y("Router"),b=function(t){function n(e){var n;return(n=t.call(this,e)||this).state={location:e.history.location},n._isMounted=!1,n._pendingLocation=null,e.staticContext||(n.unlisten=e.history.listen((function(e){n._pendingLocation=e}))),n}d(n,t),n.computeRootMatch=function(e){return{path:"/",url:"/",params:{},isExact:"/"===e}};var o=n.prototype;return o.componentDidMount=function(){var e=this;this._isMounted=!0,this.unlisten&&this.unlisten(),this.props.staticContext||(this.unlisten=this.props.history.listen((function(t){e._isMounted&&e.setState({location:t})}))),this._pendingLocation&&this.setState({location:this._pendingLocation})},o.componentWillUnmount=function(){this.unlisten&&(this.unlisten(),this._isMounted=!1,this._pendingLocation=null)},o.render=function(){return e.createElement(C.Provider,{value:{history:this.props.history,location:this.state.location,match:n.computeRootMatch(this.state.location.pathname),staticContext:this.props.staticContext}},e.createElement(M.Provider,{children:this.props.children||null,value:this.props.history}))},n}(e.Component),D=function(t){function n(){for(var e,n=arguments.length,o=new Array(n),a=0;a<n;a++)o[a]=arguments[a];return(e=t.call.apply(t,[this].concat(o))||this).history=function(e){void 0===e&&(e={});var t,n,o=e,a=o.getUserConfirmation,r=o.initialEntries,i=void 0===r?["/"]:r,s=o.initialIndex,l=void 0===s?0:s,u=o.keyLength,c=void 0===u?6:u,d=(t=null,n=[],{setPrompt:function(e){return t=e,function(){t===e&&(t=null)}},confirmTransitionTo:function(e,n,o,a){if(null!=t){var r="function"==typeof t?t(e,n):t;"string"==typeof r?"function"==typeof o?o(r,a):a(!0):a(!1!==r)}else a(!0)},appendListener:function(e){var t=!0;function o(){t&&e.apply(void 0,arguments)}return n.push(o),function(){t=!1,n=n.filter((function(e){return e!==o}))}},notifyListeners:function(){for(var e=arguments.length,t=new Array(e),o=0;o<e;o++)t[o]=arguments[o];n.forEach((function(e){return e.apply(void 0,t)}))}});function E(e){T(_,e),_.length=_.entries.length,d.notifyListeners(_.location,_.action)}function m(){return Math.random().toString(36).substr(2,c)}var p=A(l,0,i.length-1),f=i.map((function(e){return O(e,void 0,"string"==typeof e?m():e.key||m())})),I=S;function v(e){var t=A(_.index+e,0,_.entries.length-1),n=_.entries[t];d.confirmTransitionTo(n,"POP",a,(function(e){e?E({action:"POP",location:n,index:t}):E()}))}var _={length:f.length,action:"POP",location:f[p],index:p,entries:f,createHref:I,push:function(e,t){var n="PUSH",o=O(e,t,m(),_.location);d.confirmTransitionTo(o,n,a,(function(e){if(e){var t=_.index+1,a=_.entries.slice(0);a.length>t?a.splice(t,a.length-t,o):a.push(o),E({action:n,location:o,index:t,entries:a})}}))},replace:function(e,t){var n="REPLACE",o=O(e,t,m(),_.location);d.confirmTransitionTo(o,n,a,(function(e){e&&(_.entries[_.index]=o,E({action:n,location:o}))}))},go:v,goBack:function(){v(-1)},goForward:function(){v(1)},canGo:function(e){var t=_.index+e;return t>=0&&t<_.entries.length},block:function(e){return void 0===e&&(e=!1),d.setPrompt(e)},listen:function(e){return d.appendListener(e)}};return _}(e.props),e}return d(n,t),n.prototype.render=function(){return e.createElement(b,{history:this.history,children:this.props.children})},n}(e.Component);e.Component;var P={},k=0;function w(e,t){void 0===t&&(t={}),("string"==typeof t||Array.isArray(t))&&(t={path:t});var n=t,o=n.path,a=n.exact,r=void 0!==a&&a,i=n.strict,s=void 0!==i&&i,l=n.sensitive,u=void 0!==l&&l;return[].concat(o).reduce((function(t,n){if(!n&&""!==n)return null;if(t)return t;var o=function(e,t){var n=""+t.end+t.strict+t.sensitive,o=P[n]||(P[n]={});if(o[e])return o[e];var a=[],r={regexp:L()(e,a,t),keys:a};return k<1e4&&(o[e]=r,k++),r}(n,{end:r,strict:s,sensitive:u}),a=o.regexp,i=o.keys,l=a.exec(e);if(!l)return null;var c=l[0],d=l.slice(1),E=e===c;return r&&!E?null:{path:n,url:"/"===n&&""===c?"/":c,isExact:E,params:i.reduce((function(e,t,n){return e[t.name]=d[n],e}),{})}}),null)}var U=function(t){function n(){return t.apply(this,arguments)||this}return d(n,t),n.prototype.render=function(){var t=this;return e.createElement(C.Consumer,null,(function(n){n||_(!1);var o=t.props.location||n.location,a=T({},n,{location:o,match:t.props.computedMatch?t.props.computedMatch:t.props.path?w(o.pathname,t.props):n.match}),r=t.props,i=r.children,s=r.component,l=r.render;return Array.isArray(i)&&function(t){return 0===e.Children.count(t)}(i)&&(i=null),e.createElement(C.Provider,{value:a},a.match?i?"function"==typeof i?i(a):i:s?e.createElement(s,a):l?l(a):null:"function"==typeof i?i(a):null)}))},n}(e.Component);e.Component,e.Component;var x=e.useContext;function B(){return x(M)}function G(){return x(C).location}var F=function(){},z="readwrite",Y="read",H="initiate",V="pending",j="patch",W="success",K="error",X="workinprogress",q="subscribed",Q="outdated",Z="startwarningscreen",$="exitwarningscreen",J="featuredmods",ee={ASCENDING:"Ascending",DESCENDING:"Descending"},te={CREATED:"Created",RATING:"Rating",POPULARITY:"Popularity",DISPLAYNAME:"DisplayName",UPDATED:"Updated",BEST:"Best"},ne={RECENT_FIRST:"RecentFirst",OLDEST_FIRST:"OldestFirst",ASCENDING_NAME:"AscendingName",DESCENDING_NAME:"DescendingName",MOST_PLAYSETS:"MostPlaysets",LEAST_PLAYSETS:"LeastPlaysets"},oe="internal",ae={DRAFT:"draft",PUBLISHED:"published",ARCHIVED:"archived"},re="pdx",ie="/start",se="/",le="/playsets",ue="/installed-mods",ce="A",de="js_event_close",Ee=n(7795),me=n.n(Ee),Te=n(1955),pe=n.n(Te),fe=n(1577),Se=n.n(fe),Oe=n(1798),Ae=n.n(Oe),Ie=n(4888),ve=n.n(Ie);function _e(e){return _e="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},_e(e)}function Ne(e){var t=function(e,t){if("object"!==_e(e)||null===e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var o=n.call(e,"string");if("object"!==_e(o))return o;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"===_e(t)?t:String(t)}function Le(e,t,n){return(t=Ne(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Re(e,t){if(null==e)return{};var n,o,a=function(e,t){if(null==e)return{};var n,o,a={},r=Object.keys(e);for(o=0;o<r.length;o++)n=r[o],t.indexOf(n)>=0||(a[n]=e[n]);return a}(e,t);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);for(o=0;o<r.length;o++)n=r[o],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(a[n]=e[n])}return a}var ge=n(1739),he=n.n(ge),ye=/\s([^'"/\s><]+?)[\s/>]|([^\s=]+)=\s?(".*?"|'.*?')/g;function Me(e){var t={type:"tag",name:"",voidElement:!1,attrs:{},children:[]},n=e.match(/<\/?([^\s]+?)[/\s>]/);if(n&&(t.name=n[1],(he()[n[1]]||"/"===e.charAt(e.length-2))&&(t.voidElement=!0),t.name.startsWith("!--"))){var o=e.indexOf("--\x3e");return{type:"comment",comment:-1!==o?e.slice(4,o):""}}for(var a=new RegExp(ye),r=null;null!==(r=a.exec(e));)if(r[0].trim())if(r[1]){var i=r[1].trim(),s=[i,""];i.indexOf("=")>-1&&(s=i.split("=")),t.attrs[s[0]]=s[1],a.lastIndex--}else r[2]&&(t.attrs[r[2]]=r[3].trim().substring(1,r[3].length-1));return t}var Ce=/<[a-zA-Z0-9\-\!\/](?:"[^"]*"|'[^']*'|[^'">])*>/g,be=/^\s*$/,De=Object.create(null);function Pe(e,t){switch(t.type){case"text":return e+t.content;case"tag":return e+="<"+t.name+(t.attrs?function(e){var t=[];for(var n in e)t.push(n+'="'+e[n]+'"');return t.length?" "+t.join(" "):""}(t.attrs):"")+(t.voidElement?"/>":">"),t.voidElement?e:e+t.children.reduce(Pe,"")+"</"+t.name+">";case"comment":return e+"\x3c!--"+t.comment+"--\x3e"}}var ke={parse:function(e,t){t||(t={}),t.components||(t.components=De);var n,o=[],a=[],r=-1,i=!1;if(0!==e.indexOf("<")){var s=e.indexOf("<");o.push({type:"text",content:-1===s?e:e.substring(0,s)})}return e.replace(Ce,(function(s,l){if(i){if(s!=="</"+n.name+">")return;i=!1}var u,c="/"!==s.charAt(1),d=s.startsWith("\x3c!--"),E=l+s.length,m=e.charAt(E);if(d){var T=Me(s);return r<0?(o.push(T),o):((u=a[r]).children.push(T),o)}if(c&&(r++,"tag"===(n=Me(s)).type&&t.components[n.name]&&(n.type="component",i=!0),n.voidElement||i||!m||"<"===m||n.children.push({type:"text",content:e.slice(E,e.indexOf("<",E))}),0===r&&o.push(n),(u=a[r-1])&&u.children.push(n),a[r]=n),(!c||n.voidElement)&&(r>-1&&(n.voidElement||n.name===s.slice(2,-1))&&(r--,n=-1===r?o:a[r]),!i&&"<"!==m&&m)){u=-1===r?o:a[r].children;var p=e.indexOf("<",E),f=e.slice(E,-1===p?void 0:p);be.test(f)&&(f=" "),(p>-1&&r+u.length>=0||" "!==f)&&u.push({type:"text",content:f})}})),o},stringify:function(e){return e.reduce((function(e,t){return e+Pe("",t)}),"")}};const we=ke;function Ue(){if(console&&console.warn){for(var e,t=arguments.length,n=new Array(t),o=0;o<t;o++)n[o]=arguments[o];"string"==typeof n[0]&&(n[0]="react-i18next:: ".concat(n[0])),(e=console).warn.apply(e,n)}}var xe={};function Be(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];"string"==typeof t[0]&&xe[t[0]]||("string"==typeof t[0]&&(xe[t[0]]=new Date),Ue.apply(void 0,t))}function Ge(e,t,n){e.loadNamespaces(t,(function(){e.isInitialized?n():e.on("initialized",(function t(){setTimeout((function(){e.off("initialized",t)}),0),n()}))}))}var Fe=/&(?:amp|#38|lt|#60|gt|#62|apos|#39|quot|#34|nbsp|#160|copy|#169|reg|#174|hellip|#8230|#x2F|#47);/g,ze={"&amp;":"&","&#38;":"&","&lt;":"<","&#60;":"<","&gt;":">","&#62;":">","&apos;":"'","&#39;":"'","&quot;":'"',"&#34;":'"',"&nbsp;":" ","&#160;":" ","&copy;":"©","&#169;":"©","&reg;":"®","&#174;":"®","&hellip;":"…","&#8230;":"…","&#x2F;":"/","&#47;":"/"},Ye=function(e){return ze[e]};function He(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Ve(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?He(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):He(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var je,We={bindI18n:"languageChanged",bindI18nStore:"",transEmptyNodeValue:"",transSupportBasicHtmlNodes:!0,transWrapTextNodes:"",transKeepBasicHtmlNodesFor:["br","strong","i","p"],useSuspense:!0,unescape:function(e){return e.replace(Fe,Ye)}};function Ke(){return We}function Xe(){return je}var qe=["format"],Qe=["children","count","parent","i18nKey","context","tOptions","values","defaults","components","ns","i18n","t","shouldUnescape"];function Ze(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function $e(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?Ze(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):Ze(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function Je(e,t){if(!e)return!1;var n=e.props?e.props.children:e.children;return t?n.length>0:!!n}function et(e){return e?e.props?e.props.children:e.children:[]}function tt(e){return Array.isArray(e)?e:[e]}function nt(t,n){if(!t)return"";var o="",a=tt(t),r=n.transSupportBasicHtmlNodes&&n.transKeepBasicHtmlNodesFor?n.transKeepBasicHtmlNodesFor:[];return a.forEach((function(t,a){if("string"==typeof t)o+="".concat(t);else if((0,e.isValidElement)(t)){var i=Object.keys(t.props).length,s=r.indexOf(t.type)>-1,l=t.props.children;if(!l&&s&&0===i)o+="<".concat(t.type,"/>");else if(l||s&&0===i)if(t.props.i18nIsDynamicList)o+="<".concat(a,"></").concat(a,">");else if(s&&1===i&&"string"==typeof l)o+="<".concat(t.type,">").concat(l,"</").concat(t.type,">");else{var u=nt(l,n);o+="<".concat(a,">").concat(u,"</").concat(a,">")}else o+="<".concat(a,"></").concat(a,">")}else if(null===t)Ue("Trans: the passed in value is invalid - seems you passed in a null child.");else if("object"===_e(t)){var c=t.format,d=Re(t,qe),E=Object.keys(d);if(1===E.length){var m=c?"".concat(E[0],", ").concat(c):E[0];o+="{{".concat(m,"}}")}else Ue("react-i18next: the passed in object contained more than one variable - the object should look like {{ value, format }} where format is optional.",t)}else Ue("Trans: the passed in value is invalid - seems you passed in a variable like {number} - please pass in variables for interpolation as full objects like {{number}}.",t)})),o}function ot(t){var n=t.children,o=t.count,a=t.parent,r=t.i18nKey,i=t.context,s=t.tOptions,l=void 0===s?{}:s,u=t.values,c=t.defaults,d=t.components,E=t.ns,m=t.i18n,T=t.t,p=t.shouldUnescape,f=Re(t,Qe),S=m||Xe();if(!S)return Be("You will need to pass in an i18next instance by using i18nextReactModule"),n;var O=T||S.t.bind(S)||function(e){return e};i&&(l.context=i);var A=$e($e({},Ke()),S.options&&S.options.react),I=E||O.ns||S.options&&S.options.defaultNS;I="string"==typeof I?[I]:I||["translation"];var v=c||nt(n,A)||A.transEmptyNodeValue||r,_=A.hashTransKey,N=r||(_?_(v):v),L=u?l.interpolation:{interpolation:$e($e({},l.interpolation),{},{prefix:"#$?",suffix:"?$#"})},R=$e($e($e($e({},l),{},{count:o},u),L),{},{defaultValue:v,ns:I}),g=function(t,n,o,a,r,i){if(""===n)return[];var s=a.transKeepBasicHtmlNodesFor||[],l=n&&new RegExp(s.join("|")).test(n);if(!t&&!l)return[n];var u={};!function t(n){tt(n).forEach((function(n){"string"!=typeof n&&(Je(n)?t(et(n)):"object"!==_e(n)||(0,e.isValidElement)(n)||Object.assign(u,n))}))}(t);var c=we.parse("<0>".concat(n,"</0>")),d=$e($e({},u),r);function E(t,n,o){var a=et(t),r=T(a,n.children,o);return function(t){return"[object Array]"===Object.prototype.toString.call(t)&&t.every((function(t){return(0,e.isValidElement)(t)}))}(a)&&0===r.length?a:r}function m(t,n,o,a,r){t.dummy&&(t.children=n),o.push((0,e.cloneElement)(t,$e($e({},t.props),{},{key:a}),r?void 0:n))}function T(n,r,u){var c=tt(n);return tt(r).reduce((function(n,r,p){var f,S,O,A=r.children&&r.children[0]&&r.children[0].content&&o.services.interpolator.interpolate(r.children[0].content,d,o.language);if("tag"===r.type){var I=c[parseInt(r.name,10)];!I&&1===u.length&&u[0][r.name]&&(I=u[0][r.name]),I||(I={});var v=0!==Object.keys(r.attrs).length?(f={props:r.attrs},(O=$e({},S=I)).props=Object.assign(f.props,S.props),O):I,_=(0,e.isValidElement)(v),N=_&&Je(r,!0)&&!r.voidElement,L=l&&"object"===_e(v)&&v.dummy&&!_,R="object"===_e(t)&&null!==t&&Object.hasOwnProperty.call(t,r.name);if("string"==typeof v){var g=o.services.interpolator.interpolate(v,d,o.language);n.push(g)}else if(Je(v)||N)m(v,E(v,r,u),n,p);else if(L){var h=T(c,r.children,u);n.push((0,e.cloneElement)(v,$e($e({},v.props),{},{key:p}),h))}else if(Number.isNaN(parseFloat(r.name)))if(R)m(v,E(v,r,u),n,p,r.voidElement);else if(a.transSupportBasicHtmlNodes&&s.indexOf(r.name)>-1)if(r.voidElement)n.push((0,e.createElement)(r.name,{key:"".concat(r.name,"-").concat(p)}));else{var y=T(c,r.children,u);n.push((0,e.createElement)(r.name,{key:"".concat(r.name,"-").concat(p)},y))}else if(r.voidElement)n.push("<".concat(r.name," />"));else{var M=T(c,r.children,u);n.push("<".concat(r.name,">").concat(M,"</").concat(r.name,">"))}else if("object"!==_e(v)||_)1===r.children.length&&A?n.push((0,e.cloneElement)(v,$e($e({},v.props),{},{key:p}),A)):n.push((0,e.cloneElement)(v,$e($e({},v.props),{},{key:p})));else{var C=r.children[0]?A:null;C&&n.push(C)}}else if("text"===r.type){var b=a.transWrapTextNodes,D=i?a.unescape(o.services.interpolator.interpolate(r.content,d,o.language)):o.services.interpolator.interpolate(r.content,d,o.language);b?n.push((0,e.createElement)(b,{key:"".concat(r.name,"-").concat(p)},D)):n.push(D)}return n}),[])}return et(T([{dummy:!0,children:t||[]}],c,tt(t||[]))[0])}(d||n,N?O(N,R):v,S,A,R,p),h=void 0!==a?a:A.defaultTransParent;return h?(0,e.createElement)(h,f,g):g}function at(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function rt(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,Ne(o.key),o)}}function it(e,t,n){return t&&rt(e.prototype,t),n&&rt(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}var st={type:"3rdParty",init:function(e){!function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};We=Ve(Ve({},We),e)}(e.options.react),function(e){je=e}(e)}},lt=(0,e.createContext)(),ut=function(){function e(){at(this,e),this.usedNamespaces={}}return it(e,[{key:"addUsedNamespaces",value:function(e){var t=this;e.forEach((function(e){t.usedNamespaces[e]||(t.usedNamespaces[e]=!0)}))}},{key:"getUsedNamespaces",value:function(){return Object.keys(this.usedNamespaces)}}]),e}(),ct=["children","count","parent","i18nKey","context","tOptions","values","defaults","components","ns","i18n","t","shouldUnescape"];function dt(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Et(t){var n=t.children,o=t.count,a=t.parent,r=t.i18nKey,i=t.context,s=t.tOptions,l=void 0===s?{}:s,u=t.values,c=t.defaults,d=t.components,E=t.ns,m=t.i18n,T=t.t,p=t.shouldUnescape,f=Re(t,ct),S=(0,e.useContext)(lt)||{},O=S.i18n,A=S.defaultNS,I=m||O||Xe(),v=T||I&&I.t.bind(I);return ot(function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?dt(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):dt(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}({children:n,count:o,parent:a,i18nKey:r,context:i,tOptions:l,values:u,defaults:c,components:d,ns:E||v&&v.ns||A||I&&I.options&&I.options.defaultNS,i18n:I,t:T,shouldUnescape:p},f))}function mt(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Tt(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?mt(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):mt(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function pt(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},o=n.i18n,a=(0,e.useContext)(lt)||{},r=a.i18n,i=a.defaultNS,l=o||r||Xe();if(l&&!l.reportNamespaces&&(l.reportNamespaces=new ut),!l){Be("You will need to pass in an i18next instance by using initReactI18next");var u=function(e,t){return"string"==typeof t?t:t&&"object"===_e(t)&&"string"==typeof t.defaultValue?t.defaultValue:Array.isArray(e)?e[e.length-1]:e},c=[u,{},!1];return c.t=u,c.i18n={},c.ready=!1,c}l.options.react&&void 0!==l.options.react.wait&&Be("It seems you are still using the old wait option, you may migrate to the new useSuspense behaviour.");var d=Tt(Tt(Tt({},Ke()),l.options.react),n),E=d.useSuspense,m=d.keyPrefix,T=t||i||l.options&&l.options.defaultNS;T="string"==typeof T?[T]:T||["translation"],l.reportNamespaces.addUsedNamespaces&&l.reportNamespaces.addUsedNamespaces(T);var p=(l.isInitialized||l.initializedStoreOnce)&&T.every((function(e){return function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return t.languages&&t.languages.length?void 0!==t.options.ignoreJSONStructure?t.hasLoadedNamespace(e,{precheck:function(t,o){if(n.bindI18n&&n.bindI18n.indexOf("languageChanging")>-1&&t.services.backendConnector.backend&&t.isLanguageChangingTo&&!o(t.isLanguageChangingTo,e))return!1}}):function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=t.languages[0],a=!!t.options&&t.options.fallbackLng,r=t.languages[t.languages.length-1];if("cimode"===o.toLowerCase())return!0;var i=function(e,n){var o=t.services.backendConnector.state["".concat(e,"|").concat(n)];return-1===o||2===o};return!(n.bindI18n&&n.bindI18n.indexOf("languageChanging")>-1&&t.services.backendConnector.backend&&t.isLanguageChangingTo&&!i(t.isLanguageChangingTo,e)||!t.hasResourceBundle(o,e)&&t.services.backendConnector.backend&&(!t.options.resources||t.options.partialBundledLanguages)&&(!i(o,e)||a&&!i(r,e)))}(e,t,n):(Be("i18n.languages were undefined or empty",t.languages),!0)}(e,l,d)}));function f(){return l.getFixedT(null,"fallback"===d.nsMode?T:T[0],m)}var S,O,A,I=s((0,e.useState)(f),2),v=I[0],_=I[1],N=T.join(),L=(S=N,A=(0,e.useRef)(),(0,e.useEffect)((function(){A.current=S}),[S,O]),A.current),R=(0,e.useRef)(!0);(0,e.useEffect)((function(){var e=d.bindI18n,t=d.bindI18nStore;function n(){R.current&&_(f)}return R.current=!0,p||E||Ge(l,T,(function(){R.current&&_(f)})),p&&L&&L!==N&&R.current&&_(f),e&&l&&l.on(e,n),t&&l&&l.store.on(t,n),function(){R.current=!1,e&&l&&e.split(" ").forEach((function(e){return l.off(e,n)})),t&&l&&t.split(" ").forEach((function(e){return l.store.off(e,n)}))}}),[l,N]);var g=(0,e.useRef)(!0);(0,e.useEffect)((function(){R.current&&!g.current&&_(f),g.current=!1}),[l,m]);var h=[v,l,p];if(h.t=v,h.i18n=l,h.ready=p,p)return h;if(!p&&!E)return h;throw new Promise((function(e){Ge(l,T,(function(){e()}))}))}const ft=function(){window.engine.trigger(de),!window.engine.isAttached&&console.log("Closing the GUI")};function St(){St=function(){return e};var e={},t=Object.prototype,n=t.hasOwnProperty,o=Object.defineProperty||function(e,t,n){e[t]=n.value},a="function"==typeof Symbol?Symbol:{},r=a.iterator||"@@iterator",i=a.asyncIterator||"@@asyncIterator",s=a.toStringTag||"@@toStringTag";function l(e,t,n){return Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{l({},"")}catch(e){l=function(e,t,n){return e[t]=n}}function u(e,t,n,a){var r=t&&t.prototype instanceof E?t:E,i=Object.create(r.prototype),s=new R(a||[]);return o(i,"_invoke",{value:v(e,n,s)}),i}function c(e,t,n){try{return{type:"normal",arg:e.call(t,n)}}catch(e){return{type:"throw",arg:e}}}e.wrap=u;var d={};function E(){}function m(){}function T(){}var p={};l(p,r,(function(){return this}));var f=Object.getPrototypeOf,S=f&&f(f(g([])));S&&S!==t&&n.call(S,r)&&(p=S);var O=T.prototype=E.prototype=Object.create(p);function A(e){["next","throw","return"].forEach((function(t){l(e,t,(function(e){return this._invoke(t,e)}))}))}function I(e,t){function a(o,r,i,s){var l=c(e[o],e,r);if("throw"!==l.type){var u=l.arg,d=u.value;return d&&"object"==_e(d)&&n.call(d,"__await")?t.resolve(d.__await).then((function(e){a("next",e,i,s)}),(function(e){a("throw",e,i,s)})):t.resolve(d).then((function(e){u.value=e,i(u)}),(function(e){return a("throw",e,i,s)}))}s(l.arg)}var r;o(this,"_invoke",{value:function(e,n){function o(){return new t((function(t,o){a(e,n,t,o)}))}return r=r?r.then(o,o):o()}})}function v(e,t,n){var o="suspendedStart";return function(a,r){if("executing"===o)throw new Error("Generator is already running");if("completed"===o){if("throw"===a)throw r;return{value:void 0,done:!0}}for(n.method=a,n.arg=r;;){var i=n.delegate;if(i){var s=_(i,n);if(s){if(s===d)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if("suspendedStart"===o)throw o="completed",n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);o="executing";var l=c(e,t,n);if("normal"===l.type){if(o=n.done?"completed":"suspendedYield",l.arg===d)continue;return{value:l.arg,done:n.done}}"throw"===l.type&&(o="completed",n.method="throw",n.arg=l.arg)}}}function _(e,t){var n=t.method,o=e.iterator[n];if(void 0===o)return t.delegate=null,"throw"===n&&e.iterator.return&&(t.method="return",t.arg=void 0,_(e,t),"throw"===t.method)||"return"!==n&&(t.method="throw",t.arg=new TypeError("The iterator does not provide a '"+n+"' method")),d;var a=c(o,e.iterator,t.arg);if("throw"===a.type)return t.method="throw",t.arg=a.arg,t.delegate=null,d;var r=a.arg;return r?r.done?(t[e.resultName]=r.value,t.next=e.nextLoc,"return"!==t.method&&(t.method="next",t.arg=void 0),t.delegate=null,d):r:(t.method="throw",t.arg=new TypeError("iterator result is not an object"),t.delegate=null,d)}function N(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function L(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function R(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(N,this),this.reset(!0)}function g(e){if(e){var t=e[r];if(t)return t.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var o=-1,a=function t(){for(;++o<e.length;)if(n.call(e,o))return t.value=e[o],t.done=!1,t;return t.value=void 0,t.done=!0,t};return a.next=a}}return{next:h}}function h(){return{value:void 0,done:!0}}return m.prototype=T,o(O,"constructor",{value:T,configurable:!0}),o(T,"constructor",{value:m,configurable:!0}),m.displayName=l(T,s,"GeneratorFunction"),e.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===m||"GeneratorFunction"===(t.displayName||t.name))},e.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,T):(e.__proto__=T,l(e,s,"GeneratorFunction")),e.prototype=Object.create(O),e},e.awrap=function(e){return{__await:e}},A(I.prototype),l(I.prototype,i,(function(){return this})),e.AsyncIterator=I,e.async=function(t,n,o,a,r){void 0===r&&(r=Promise);var i=new I(u(t,n,o,a),r);return e.isGeneratorFunction(n)?i:i.next().then((function(e){return e.done?e.value:i.next()}))},A(O),l(O,s,"Generator"),l(O,r,(function(){return this})),l(O,"toString",(function(){return"[object Generator]"})),e.keys=function(e){var t=Object(e),n=[];for(var o in t)n.push(o);return n.reverse(),function e(){for(;n.length;){var o=n.pop();if(o in t)return e.value=o,e.done=!1,e}return e.done=!0,e}},e.values=g,R.prototype={constructor:R,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=void 0,this.done=!1,this.delegate=null,this.method="next",this.arg=void 0,this.tryEntries.forEach(L),!e)for(var t in this)"t"===t.charAt(0)&&n.call(this,t)&&!isNaN(+t.slice(1))&&(this[t]=void 0)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var t=this;function o(n,o){return i.type="throw",i.arg=e,t.next=n,o&&(t.method="next",t.arg=void 0),!!o}for(var a=this.tryEntries.length-1;a>=0;--a){var r=this.tryEntries[a],i=r.completion;if("root"===r.tryLoc)return o("end");if(r.tryLoc<=this.prev){var s=n.call(r,"catchLoc"),l=n.call(r,"finallyLoc");if(s&&l){if(this.prev<r.catchLoc)return o(r.catchLoc,!0);if(this.prev<r.finallyLoc)return o(r.finallyLoc)}else if(s){if(this.prev<r.catchLoc)return o(r.catchLoc,!0)}else{if(!l)throw new Error("try statement without catch or finally");if(this.prev<r.finallyLoc)return o(r.finallyLoc)}}}},abrupt:function(e,t){for(var o=this.tryEntries.length-1;o>=0;--o){var a=this.tryEntries[o];if(a.tryLoc<=this.prev&&n.call(a,"finallyLoc")&&this.prev<a.finallyLoc){var r=a;break}}r&&("break"===e||"continue"===e)&&r.tryLoc<=t&&t<=r.finallyLoc&&(r=null);var i=r?r.completion:{};return i.type=e,i.arg=t,r?(this.method="next",this.next=r.finallyLoc,d):this.complete(i)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),d},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.finallyLoc===e)return this.complete(n.completion,n.afterLoc),L(n),d}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.tryLoc===e){var o=n.completion;if("throw"===o.type){var a=o.arg;L(n)}return a}}throw new Error("illegal catch attempt")},delegateYield:function(e,t,n){return this.delegate={iterator:g(e),resultName:t,nextLoc:n},"next"===this.method&&(this.arg=void 0),d}},e}function Ot(e,t,n,o,a,r,i){try{var s=e[r](i),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(o,a)}function At(e){return function(){var t=this,n=arguments;return new Promise((function(o,a){var r=e.apply(t,n);function i(e){Ot(r,o,a,i,s,"next",e)}function s(e){Ot(r,o,a,i,s,"throw",e)}i(void 0)}))}}var It=n(4184),vt=n.n(It),_t=n(3935);const Nt={focused:"Modal-module__focused--DWWQQ","modal-background":"Modal-module__modal-background--jTMsD",sync:"Modal-module__sync--R3dh4",modal:"Modal-module__modal--ufBCd","modal-tall":"Modal-module__modal-tall--gSzZy","modal-xbox":"Modal-module__modal-xbox--YTDz7","modal-xbox-tall":"Modal-module__modal-xbox-tall--HGqo5",close:"Modal-module__close--Phidw",expandable:"Modal-module__expandable--bFJIu",high:"Modal-module__high--L0npB",medium:"Modal-module__medium--eQBlr",low:"Modal-module__low--IY8KO"};var Lt=n(7460),Rt=n.n(Lt);const gt=function(){return new(Rt())((function(e,t){try{requestAnimationFrame((function(){requestAnimationFrame((function(){requestAnimationFrame((function(){e(!0)}))}))}))}catch(e){t(e)}}))};var ht=n(5868),yt=n.n(ht),Mt=n(2073),Ct=n.n(Mt);function bt(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Dt(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?bt(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):bt(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function Pt(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function kt(e){return function(e){if(Array.isArray(e))return a(e)}(e)||Pt(e)||r(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var wt=n(2856),Ut=n.n(wt),xt=n(7448),Bt=n.n(xt),Gt=n(3778),Ft=n.n(Gt),zt=n(3059),Yt=n.n(zt),Ht=function(e,t){return Math.abs(e.distY)<Math.abs(t.distY)?-1:Math.abs(e.distY)>Math.abs(t.distY)?1:Math.abs(e.distX)<Math.abs(t.distX)?-1:1},Vt=function(e,t){return Math.abs(e.distX)<Math.abs(t.distX)?-1:Math.abs(e.distX)>Math.abs(t.distX)?1:Math.abs(e.distY)<Math.abs(t.distY)?-1:1},jt={north:{direction:"N",cond:function(e,t){return e.y<t.y},filterAxis:"x",sortingFn:Ht},east:{direction:"E",cond:function(e,t){return e.x>t.x},filterAxis:"y",sortingFn:Vt},south:{direction:"S",cond:function(e,t){return e.y>t.y},filterAxis:"x",sortingFn:Ht},west:{direction:"W",cond:function(e,t){return e.x<t.x},filterAxis:"y",sortingFn:Vt}},Wt=function(e,t){return function(n){return n>=t[e]&&n<=t[e]+t["x"===e?"width":"height"]}},Kt={N:"boundedTop",S:"boundedBottom",W:"boundedWest",E:"boundedEast"},Xt=function e(t,n){return kt(Bt()(t).call(t)).reduce((function(o,a){var r,i=s(a,2),l=i[0];return i[1]===n?u()(r=[]).call(r,kt(o),[l],kt(e(t,l))):o}),[])},qt=function e(t,n,o,a,r){var i,s,l,c,d,E,m=u()(i=[a]).call(i,kt(Xt(t.scopeAncestorsMapRef,a))),T=pe()(n).call(n,(function(e){return Ft()(m).call(m,e.scope)})),p=(s=o,l=T,c=r.sortingFn,(E=Ut()(d=Ae()(l).call(l,(function(e){var t=e.element.getBoundingClientRect();return{component:e,distX:Math.abs(t.x-s.x),distY:Math.abs(t.y-s.y)}}))).call(d,c))[0]?E[0].component.element:null);if(p)return p;var f=t.scopesPropertiesRef.get(a),S=f.boundedAllDirections||f[Kt[r.direction]],O=t.scopeAncestorsMapRef.get(a);return!S&&O?e(t,n,o,O,r):null};const Qt=function(e,t){var n,o,a,r,i,l=Ae()(n=Yt()(jt)).call(n,(function(e){return t=jt[e],function(e,n){var o,a,r=n.current.getBoundingClientRect(),i=pe()(o=e.focusableComponents).call(o,function(e,t){return function(n){var o=n.element.getBoundingClientRect(),a=e.filterAxis,r="x"===a?"width":"height",i=Wt(a,t),s=Wt(a,o);return e.cond(o,t)&&(i(o[a])||!i(o[a])&&i(o[a]+o[r])||!i(o[a])&&!i(o[a]+o[r])&&s(t[a])&&s(t[a]+t[r]))}}(t,r)),s=Se()(a=e.focusableComponents).call(a,(function(e){return e.element===n.current}));return s&&qt(e,i,r,s.scope,t)||n.current};var t})),c=s(l,4),d=c[0],E=c[1],m=c[2],T=c[3];switch(t.type){case"SET_FOCUSABLE_COMPONENT":return Dt(Dt({},e),{},{focusableComponents:u()(o=[]).call(o,kt(e.focusableComponents),[t.payload])});case"REMOVE_FOCUSABLE_COMPONENT":return Dt(Dt({},e),{},{focusableComponents:pe()(a=e.focusableComponents).call(a,(function(e){return e.name!==t.payload.name}))});case"SET_FOCUS":return Dt(Dt({},e),{},{currentFocus:(null===(r=t.payload)||void 0===r?void 0:r.current)||null});case"SET_FOCUS_BY_NAME":var p=Se()(i=e.focusableComponents).call(i,(function(e){return e.name===t.payload}));return Dt(Dt({},e),{},{currentFocus:p?p.element:e.currentFocus});case"NAVIGATE_OUTSIDE_SELF_DOWN":return Dt(Dt({},e),{},{currentFocus:m(e,t.payload)});case"NAVIGATE_OUTSIDE_SELF_UP":return Dt(Dt({},e),{},{currentFocus:d(e,t.payload)});case"NAVIGATE_OUTSIDE_SELF_RIGHT":return Dt(Dt({},e),{},{currentFocus:E(e,t.payload)});case"NAVIGATE_OUTSIDE_SELF_LEFT":return Dt(Dt({},e),{},{currentFocus:T(e,t.payload)});default:return e}};var Zt=e.createContext(),$t=function(t){var n=t.children,o={focusableComponents:[],currentFocus:null,scopesPropertiesRef:new(yt()),scopeAncestorsMapRef:new(yt())},a=(0,e.useRef)([]),r=s((0,e.useState)({}),2),i=r[0],l=r[1],u=s((0,e.useReducer)(Qt,o),2),c=u[0],d=u[1],E=e.useRef(0);e.useEffect((function(){var e,t,n;if(!c.currentFocus||!c.currentFocus.isConnected){a.current=pe()(e=a.current).call(e,(function(e){return e.isConnected}));var o=Ct()(t=a.current).call(t,-1)[0];if(o)return d({type:"SET_FOCUS",payload:{current:o}});var r=Se()(n=c.focusableComponents).call(n,(function(e){return e.autofocus}));if(r)return d({type:"SET_FOCUS_BY_NAME",payload:r.name});d({type:"SET_FOCUS_BY_NAME",payload:"CLOSE_BUTTON"})}}),[c.currentFocus,c.focusableComponents]);var m=e.useCallback((function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};c.scopesPropertiesRef.has(e)&&console.error("Focus scope with '".concat(e,"' name already exists!")),c.scopesPropertiesRef.set(e,n),t&&c.scopeAncestorsMapRef.set(e,t)}),[c.scopeAncestorsMapRef,c.scopesPropertiesRef]),T=e.useCallback((function(e){c.scopesPropertiesRef.delete(e),c.scopeAncestorsMapRef.delete(e)}),[c.scopeAncestorsMapRef,c.scopesPropertiesRef]);return e.useEffect((function(){var e;c.currentFocus&&a.current[a.current.length-1]!==c.currentFocus&&(a.current.push(c.currentFocus),a.current=Ct()(e=a.current).call(e,-64))}),[c.currentFocus]),e.createElement(Zt.Provider,{value:{focusState:c,focusDispatch:d,setFooterButtons:l,footerButtons:i,focusStackRef:a,autofocusBlockerCounterRef:E,registerScope:m,unregisterScope:T}},n)},Jt=n(5178),en=n.n(Jt),tn=n(8933),nn=n.n(tn),on="info",an="warn",rn="debug",sn="error",ln={L0_Info:on,L1_Debug:rn,L2_Warning:an,L3_Error:sn,L4_Fatal:sn};const un=(cn=function(e,t){for(var n,o=arguments.length,a=new Array(o>2?o-2:0),r=2;r<o;r++)a[r-2]=arguments[r];var i={message:e,level:"log"!==t?t:"debug",timestamp:Date.now(),args:u()(n=[]).call(n,a)};console[t](nn()(i))},dn=function(){return e=window.REACT_APP_LOG_LEVEL,ln[e];var e},{debug:function(e){if(dn()===rn){for(var t,n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];cn.apply(void 0,u()(t=[e,"log"]).call(t,o))}},info:function(e){if(dn()===rn||dn()===on){for(var t,n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];cn.apply(void 0,u()(t=[e,on]).call(t,o))}},warn:function(e){if(dn()===rn||dn()===on||dn()===an){for(var t,n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];cn.apply(void 0,u()(t=[e,an]).call(t,o))}},error:function(e){if(dn()===rn||dn()===on||dn()===an||dn()===sn){for(var t,n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];cn.apply(void 0,u()(t=[e,sn]).call(t,o))}},test:function(e){}});var cn,dn,En=e.createContext({}),mn=function(t){var n=t.children,o=t.uiState,a=e.useRef({}),r=e.useRef(-1),i=e.useRef({}),l=e.useRef(null),u=s(e.useState(0),2),c=u[0],d=u[1],E=s(e.useState(),2),m=E[0],T=E[1],p=s(e.useState({}),2),f=p[0],S=p[1],O=s(e.useState({}),2),A=O[0],I=O[1],v=s(e.useState(!1),2),_=v[0],N=v[1];return e.createElement(En.Provider,{value:{apiCallbackRef:a,lastActiveModRef:r,progressTrackerRef:i,apiEventsReady:c,setApiEventsReady:d,uiState:o,error:m,setError:T,modals:f,setModals:S,dependencies:A,setDependencies:I,gamepadRef:l,delayedStartWarning:_,setDelayedStartWarning:N}},n)};const Tn=function(){var t=e.useContext(En);return{apiCallbackRef:t.apiCallbackRef,lastActiveModRef:t.lastActiveModRef,progressTrackerRef:t.progressTrackerRef,apiEventsReady:t.apiEventsReady,setApiEventsReady:t.setApiEventsReady,uiState:t.uiState,error:t.error,setError:t.setError,setModals:t.setModals,delayedStartWarning:t.delayedStartWarning,setDelayedStartWarning:t.setDelayedStartWarning}},pn=function(){var t=Tn().setError;return{showErrorModal:e.useCallback((function(e){var n=e.title,o=e.message,a=e.error,r=e.trigger,i=e.type,s=e.showDetails;t({title:n,message:o,error:a,trigger:r,type:i,showDetails:void 0!==s&&s})}),[t]),closeErrorModal:e.useCallback((function(){t(void 0)}),[t])}};var fn="unspecified",Sn="browse_all",On="installed_mods",An="playsets",In="playset_detail",vn="mod_detail";const _n={firstButton:"AlertModal-module__firstButton--Zk5Me",firstButtonConsole:"AlertModal-module__firstButtonConsole--kocgu",contentContainer:"AlertModal-module__contentContainer--wRCba",contentContainerConsole:"AlertModal-module__contentContainerConsole--hQIJh",buttonsContainer:"AlertModal-module__buttonsContainer--hV_yX",title:"AlertModal-module__title--pw3A2",titleConsole:"AlertModal-module__titleConsole--GbhCE",text:"AlertModal-module__text--pDrrR",textConsole:"AlertModal-module__textConsole--YJS3Y"},Nn=window.engine.isAttached,Ln={white:Nn?"1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0":"brightness(1) sepia(0) hue-rotate(0deg) saturate(0)",black:Nn?"0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0":"brightness(0) sepia(0) hue-rotate(0deg) saturate(0)",green:Nn?"0.34901960784313724, 0, 0, 0, 0, 0, 0.7490196078431373, 0, 0, 0, 0, 0, 0.25098039215686274, 0, 0, 0, 0, 0, 1, 0":"brightness(0) invert(72%) sepia(10%) saturate(2801%) hue-rotate(61deg) brightness(89%) contrast(82%)"},Rn={icon:"Icon-module__icon--tIfrV","size-tiny":"Icon-module__size-tiny--xHC3W","size-small":"Icon-module__size-small--jo0NJ","size-medium":"Icon-module__size-medium--gsxl1","size-large":"Icon-module__size-large--JOjXe","size-x-large":"Icon-module__size-x-large--Thid8"},gn=function(t){var o=t.variant,a=t.size,r=void 0===a?"small":a,i=t.color,s=void 0===i?"white":i;return e.createElement("div",{style:{backgroundImage:"url(".concat(n(7254)("./".concat(o,".svg")),")"),filter:Nn?"coh-color-matrix(".concat(Ln[s],")"):"".concat(Ln[s])},className:vt()(Rn.icon,Rn["size-".concat(r)],{})})},hn={"ghost-focused":"Button-module__ghost-focused--E05Ta","ghost-select-focused":"Button-module__ghost-select-focused--lQZKv",root:"Button-module__root--FnOVF","width-mode-auto":"Button-module__width-mode-auto--HJDfO","width-mode-max":"Button-module__width-mode-max--SQliK","children-left-aligned":"Button-module__children-left-aligned--df6Kv",small:"Button-module__small--lU90M",medium:"Button-module__medium--VMSkf",large:"Button-module__large--Q3h1f","x-large":"Button-module__x-large--g7ki7","padding-for-icon-left-small":"Button-module__padding-for-icon-left-small--WlhUY","padding-for-icon-left-medium":"Button-module__padding-for-icon-left-medium--G0oPA","padding-for-icon-left-large":"Button-module__padding-for-icon-left-large--tm6nj","padding-for-icon-left-x-large":"Button-module__padding-for-icon-left-x-large--f9ZH1","padding-for-icon-right-small":"Button-module__padding-for-icon-right-small--rNafe","padding-for-icon-right-medium":"Button-module__padding-for-icon-right-medium--O95id","padding-for-icon-right-large":"Button-module__padding-for-icon-right-large--ScN5R","padding-for-icon-right-x-large":"Button-module__padding-for-icon-right-x-large--I7oop",icon:"Button-module__icon--EKm97","icon-position-left":"Button-module__icon-position-left--J5sHw","icon-position-right":"Button-module__icon-position-right--5AuXo","icon-position-center":"Button-module__icon-position-center--GLEIK",primary:"Button-module__primary--uwiXS","primary-focused":"Button-module__primary-focused--t3bw8","primary-disabled":"Button-module__primary-disabled--clL9n",ghost:"Button-module__ghost--jb79b","ghost-disabled":"Button-module__ghost-disabled--Lg6dn",danger:"Button-module__danger--HQo5F","danger-focused":"Button-module__danger-focused--vEqjO","danger-alt":"Button-module__danger-alt--idlDd","danger-alt-focused":"Button-module__danger-alt-focused--f8DCc","primary-alt":"Button-module__primary-alt--g_wZF","primary-alt-focused":"Button-module__primary-alt-focused--twwRI",select:"Button-module__select--sbu2p","select-arrow":"Button-module__select-arrow--Lbbas","ghost-select":"Button-module__ghost-select--4V57Z",transparent:"Button-module__transparent--kNufj","transparent-circle":"Button-module__transparent-circle--A5eOh"};var yn=function(t){var n,o=t.type,a=t.onClick,r=t.children,i=t.focused,l=t.className,c=t.size,d=void 0===c?"large":c,E=t.disabled,m=void 0!==E&&E,T=t.icon,p=t.iconPosition,f=void 0===p?"left":p,S=t.widthMode,O=void 0===S?"auto":S,A=t.onMouseEnter,I=void 0===A?F:A,v=t.onMouseLeave,_=void 0===v?F:v,N=s(e.useState(!1),2),L=N[0],R=N[1],g=s(e.useState(!1),2),h=g[0],y=g[1],M=vt()(hn.root,hn[d],hn["width-mode-".concat(O)],{[hn[o]]:!m,[hn["".concat(o,"-focused")]]:i,[hn["".concat(o,"-disabled")]]:m,[hn[u()(n="padding-for-icon-".concat(f,"-")).call(n,d)]]:T,[hn["children-left-aligned"]]:T},l),C=e.useMemo((function(){switch(o){case"primary":return L&&!h?"green":"black";case"ghost":return i?"green":L||h?"black":"white";case"transparent":case"transparent-circle":return"white";default:return"black"}}),[i,L,h,o]);return e.createElement("button",{className:M,onClick:m?void 0:a,onMouseEnter:function(){R(!0),I()},onMouseLeave:function(){R(!1),y(!1),_()},onMouseDown:function(){return y(!0)},onMouseUp:function(){return y(!1)}},T&&r?e.createElement(e.Fragment,null,e.createElement("div",{className:vt()(hn.icon,hn["icon-position-".concat(f)])},e.createElement(gn,{variant:T,size:d,color:C})),e.createElement("div",null,r)):T?e.createElement("div",{className:vt()(hn.icon,hn["icon-position-".concat(f)])},e.createElement(gn,{variant:T,size:d,color:C})):r)};const Mn=e.memo(yn),Cn=function(){var t=e.useContext(Zt),n=t.setFooterButtons,o=t.footerButtons,a=e.useCallback((function(e){n(e)}),[n]);return{updateFooterButtons:a,footerButtons:o}},bn={xboxOne:{keyNumber:{A:0,B:1,X:2,Y:3,LB:4,RB:5,LT:6,RT:7,VIEW_BUTTON:8,MENU_BUTTON:9,LEFT_STICK_PRESS:10,RIGHT_STICK_PRESS:11,LEFT_STICK_UP:12,LEFT_STICK_DOWN:13,LEFT_STICK_LEFT:14,LEFT_STICK_RIGHT:15,RIGHT_STICK_UP:16,RIGHT_STICK_DOWN:17,RIGHT_STICK_LEFT:18,RIGHT_STICK_RIGHT:19},buttonName:{0:"A",1:"B",2:"X",3:"Y",4:"LB",5:"RB",6:"LT",7:"RT",8:"VIEW_BUTTON",9:"MENU_BUTTON",10:"LEFT_STICK_PRESS",11:"RIGHT_STICK_PRESS",12:"LEFT_STICK_UP",13:"LEFT_STICK_DOWN",14:"LEFT_STICK_LEFT",15:"LEFT_STICK_RIGHT",16:"RIGHT_STICK_UP",17:"RIGHT_STICK_DOWN",18:"RIGHT_STICK_LEFT",19:"RIGHT_STICK_RIGHT"}},xboxOneBrowser:{keyNumber:{A:0,B:1,X:2,Y:3,LB:4,RB:5,LT:6,RT:7,VIEW_BUTTON:8,MENU_BUTTON:9,LEFT_STICK_PRESS:10,RIGHT_STICK_PRESS:11,LEFT_STICK_UP:13,LEFT_STICK_DOWN:12,LEFT_STICK_LEFT:14,LEFT_STICK_RIGHT:15,RIGHT_STICK_UP:17,RIGHT_STICK_DOWN:16,RIGHT_STICK_LEFT:18,RIGHT_STICK_RIGHT:19},buttonName:{0:"A",1:"B",2:"X",3:"Y",4:"LB",5:"RB",6:"LT",7:"RT",8:"VIEW_BUTTON",9:"MENU_BUTTON",10:"LEFT_STICK_PRESS",11:"RIGHT_STICK_PRESS",12:"LEFT_STICK_UP",13:"LEFT_STICK_DOWN",14:"LEFT_STICK_LEFT",15:"LEFT_STICK_RIGHT",16:"RIGHT_STICK_UP",17:"RIGHT_STICK_DOWN",18:"RIGHT_STICK_LEFT",19:"RIGHT_STICK_RIGHT"}}},Dn=function(t,n){var o=t.callbackPressed,a=t.callbackReleased;(0,e.useEffect)((function(){return n?(o&&window.addEventListener("gamepadbuttondown",o),a&&window.addEventListener("gamepadbuttonup",a)):(window.removeEventListener("gamepadbuttondown",o),window.removeEventListener("gamepadbuttonup",a)),function(){window.removeEventListener("gamepadbuttondown",o),window.removeEventListener("gamepadbuttonup",a)}}),[o,a,n])};var Pn=function(t){var n=t.children,o=t.name,a=t.boundedTop,r=void 0!==a&&a,i=t.boundedRight,s=void 0!==i&&i,l=t.boundedBottom,u=void 0!==l&&l,c=t.boundedLeft,d=void 0!==c&&c,E=t.boundedAllDirections,m=void 0!==E&&E,T=t.boundedAutofocus,p=void 0!==T&&T,f=t.startElement,S=void 0===f?"default":f,O=e.useContext(Zt),A=O.registerScope,I=O.unregisterScope,v=wn();return e.useEffect((function(){return A(o,v,{boundedTop:r,boundedRight:s,boundedBottom:u,boundedLeft:d,boundedAllDirections:m,boundedAutofocus:p,startElement:S}),function(){I(o)}}),[r,s,u,d,m,p,S,o,v,A,I]),e.createElement(kn.Provider,{value:o},n)},kn=e.createContext(),wn=function(){return e.useContext(kn)};const Un=function(){var t=e.useContext(Hn);return{offline:t.offline,loggedIn:t.loggedIn,hasInitFailed:t.hasInitFailed,features:t.features,language:t.language,exitWarning:t.exitWarning}},xn=function(t){var n=t.ref,o=t.name,a=void 0===o?"":o,r=t.enabled,i=void 0===r||r,s=t.autofocus,l=void 0!==s&&s,u=Wn(),c=u.hasFocus,d=u.setFocus,E=Un().exitWarning,m=function(){var t=Wn(),n=t.setFocus,o=t.autofocusBlockerCounterRef,a=t.isCurrentScopeBounded,r=0===o.current&&!a;return e.useCallback((function(e){r&&requestAnimationFrame((function(){return n({type:"SET_FOCUS",payload:{current:e}})}))}),[r,n])}(),T=e.useRef(!1),p=wn();return e.useEffect((function(){if(i&&n.current){var e=n.current;return d({type:"SET_FOCUSABLE_COMPONENT",payload:{element:e,name:a,autofocus:l,scope:p}}),!l||T.current||E||(m(e),T.current=!0),function(){d({type:"REMOVE_FOCUSABLE_COMPONENT",payload:{element:e,name:a,autofocus:l,scope:p}})}}}),[l,a,n,d,i,m,p,E]),c(n)};var Bn=e.forwardRef((function(t,n){var o=t.modalName,a=t.closeHandler,r=t.title,i=t.text,l=t.acceptText,u=t.children,c=e.useRef(),d=jn().consoleMode,E=Wn().setFocus,m=Cn().updateFooterButtons,T=s(pt(),1)[0],p=xn({ref:c,name:"ALERT_".concat(o)});e.useEffect((function(){return c.current&&E({type:"SET_FOCUS",payload:c}),function(){n&&E({type:"SET_FOCUS",payload:n})}}),[n,E]),e.useEffect((function(){if(p)return m({A:{name:"A",text:"CONSOLE_FOOTER.CONFIRM",position:"right"}})}),[m,p]);var f=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:case t.B:a()}}),[a]);return Dn({callbackPressed:f},p),e.createElement(qn,{closeHandler:a,modalName:o,consoleMode:d,priority:"medium"},e.createElement("div",{className:d?_n.contentContainerConsole:_n.contentContainer},u||e.createElement(e.Fragment,null,e.createElement("div",{className:d?_n.titleConsole:_n.title},r),e.createElement("div",{className:d?_n.textConsole:_n.text},i))),e.createElement("div",{className:_n.buttonsContainer,ref:c},e.createElement(Mn,{type:"primary",size:d?"x-large":"small",onClick:a,focused:d,className:d?_n.secondButtonConsole:_n.secondButton},l||T("ALERT_MODAL.CONFIRM"))))}));const Gn=Bn;var Fn=e.createContext({}),zn=function(t){var n=t.children;un.debug("LockProvider");var o=s(e.useState([]),2),a=o[0],r=o[1],i=s(e.useState([]),2),l=i[0],u=i[1];return e.createElement(Fn.Provider,{value:{readLocks:a,setReadLocks:r,readWriteLocks:l,setReadWriteLocks:u}},n)};const Yn=function(){var t=e.useContext(Fn),n=t.readLocks,o=t.setReadLocks,a=t.readWriteLocks,r=t.setReadWriteLocks,i=e.useCallback((function(e){o((function(t){var n;return u()(n=[]).call(n,kt(t),[e])}))}),[o]),s=e.useCallback((function(e){r((function(t){var n;return u()(n=[]).call(n,kt(t),[e])}))}),[r]),l=e.useCallback((function(e){o((function(t){return pe()(t).call(t,(function(t){return t!==e}))}))}),[o]),c=e.useCallback((function(e){r((function(t){return pe()(t).call(t,(function(t){return t!==e}))}))}),[r]),d=e.useCallback((function(e){return-1!==n.indexOf(e)}),[n]),E=e.useCallback((function(e){return-1!==a.indexOf(e)}),[a]),m=e.useCallback((function(e){return d(e)||E(e)}),[d,E]),T=e.useCallback((function(e){var t=e.initialReadLocks,n=void 0===t?[]:t,a=e.initialWriteLocks,i=void 0===a?[]:a;o(n),r(i)}),[o,r]),p=Boolean(null==n?void 0:n.length),f=Boolean(null==a?void 0:a.length);return{addReadLock:i,addReadWriteLock:s,removeReadLock:l,removeReadWriteLock:c,readLocked:p,readWriteLocked:f,readOrWriteLocked:Boolean(p||f),hasAnyLock:m,hasReadLock:d,hasReadWriteLock:E,resetLocks:T}};var Hn=e.createContext({}),Vn=function(t){var n,o,a,r,i=t.children;un.info("UiProvider");var l=Tn(),c=l.apiCallbackRef,d=l.lastActiveModRef,E=l.progressTrackerRef,m=l.setApiEventsReady,T=l.uiState,p=l.setError,f=l.setModals,S=Yn().resetLocks,O=s(e.useState(T.features),1)[0],A=s(e.useState(T.actions),1)[0],I=s(e.useState(!T.isOnline),2),v=I[0],_=I[1],N=s(e.useState(T.isLoggedIn),2),L=N[0],R=N[1],g=s(e.useState(T.hasFailed),1)[0],h=s(e.useState("keyboardandmouse"!==(null===(n=T.inputMode)||void 0===n?void 0:n.toLowerCase())),2),y=h[0],M=h[1],C=s(e.useState("xboxseriesxs"===(null===(o=T.platform)||void 0===o?void 0:o.toLowerCase())),1)[0],b=s(e.useState("playstation5"===(null===(a=T.platform)||void 0===a?void 0:a.toLowerCase())),1)[0],D=s(e.useState(T.inputMode),2),P=D[0],k=D[1],w=s(e.useState(T.language),2),U=w[0],x=w[1],F=s(e.useState(!1),2),z=F[0],Y=F[1],H=s(pt(),2),V=H[0],j=H[1],W=B(),K=pn().showErrorModal;e.useEffect((function(){var e=window.engine.on("".concat("network_status_update"),(function(e){un.info("Engine On: EVENT_NETWORK_STATUS_UPDATE"),_(!e.online)})).clear;return function(){return e()}}),[_]),e.useEffect((function(){var e=window.engine.on("logged_in_status_update",(function(e){un.info("Engine On: EVENT_LOGGED_IN_STATUS_UPDATE"),R(e)})).clear;return function(){return e()}}),[R]),e.useEffect((function(){var e=window.engine.on("input_mode_update",(function(e){un.info("Engine On: EVENT_INPUT_MODE_UPDATE"),k(e),M("PS4"===e||"PS5"===e||"XboxOne"===e||"XboxSeriesXS"===e)})),t=e.clear;return function(){return t()}}),[k,M]),e.useEffect((function(){g?K({title:"ERROR.GENERIC.DEFAULT.TITLE",message:"ERROR.GENERIC.DEFAULT.MESSAGE"}):v&&K({title:V("ERROR.GENERIC.OFFLINE.TITLE"),message:V("ERROR.GENERIC.OFFLINE.MESSAGE"),type:oe})}),[g,v,L,V,K]),e.useEffect((function(){var e=function(e){var t,n=e.screen,o=e.id,a=e.parameters,r="/";switch(n){case"InstalledMods":r="/installed-mods";break;case"ModDetails":o&&(r="/mod/".concat(o));break;case"Playsets":r="/playsets";break;case"PlaysetDetails":r="/playsets/".concat(o);break;case"Start":r="/start"}return a&&(r=u()(t="".concat(r,"?")).call(t,a)),r},t=window.engine.on("redirect_to_screen",(function(t){var n=t.screen,o=t.id,a=t.parameters;un.info("Engine On: REDIRECT_TO_SCREEN"),W.push(e({screen:n,id:o,parameters:a}))})).clear;return W.push(e(T.defaultScreen)),function(){return t()}}),[W,T.defaultScreen]);var X=G().pathname,q=s(e.useState("/"),2),Q=q[0],Z=q[1],$=s([e.useCallback((function(e){window.engine.trigger("telemetry",e)}),[])],1)[0];e.useEffect((function(){var e;if(window.engine.isAttached&&Q!==X){Z(X);var t={"/installed-mods":On,"/mod/":vn,"/playsets/":In,"/playsets":An,"/":Sn},n=Se()(e=Yt()(t)).call(e,(function(e){var t;return e===X.toLowerCase()||en()(t=X.toLowerCase()).call(t,e)}));$({screen:t[n]||fn})}}),[Q,X,$]);var J=vt()("UiContext-module__root--RIGq1",{console:y,desktop:!y},null===(r=T.platform)||void 0===r?void 0:r.toLowerCase()),ee=s(e.useState(!1),2),te=ee[0],ne=ee[1];return e.useEffect((function(){var e=window.engine.on("".concat(de),(function(){d.current=-1,c.current={},E.current={},m(0),p(void 0),f({}),Y(!1),ne(!0)})).clear;return function(){return e()}}),[c,d,E,m,ne,p,f]),e.useEffect((function(){var e=window.engine.on("".concat("js_event_show"),(function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};S({initialReadLocks:e.readLocks,initialWriteLocks:e.writeLocks}),x(e.language),j.language!==e.language?j.changeLanguage(e.language).then((function(){ne(!1)})):ne(!1)})),t=e.clear;return function(){return t()}}),[j,S]),e.createElement(Hn.Provider,{value:{language:U,features:O,offline:v,loggedIn:L,hasInitFailed:g,consoleMode:y,isXbox:C,isPlaystation:b,inputMode:P,actions:A,exitWarning:z,setExitWarning:Y}},!te&&e.createElement("div",{className:J},i))};const jn=function(){var t=e.useContext(Hn),n=t.consoleMode,o=t.isXbox,a=t.isPlaystation;return{consoleMode:n,isXbox:o,isPlaystation:a,inputMode:t.inputMode,isConsole:o||a,platform:o?"xboxlive":a?"psn":void 0}},Wn=function(){var t=jn().consoleMode,n=e.useContext(Zt),o=n.focusState,a=n.focusDispatch,r=n.autofocusBlockerCounterRef,i=e.useCallback((function(e){return!!t&&o.currentFocus===e.current}),[t,o.currentFocus]),s=e.useCallback((function(e){return a(e)}),[a]),l=e.useCallback((function(e){var t,n=Se()(t=o.focusableComponents).call(t,(function(t){return t.name===e}));return i(n)}),[o.focusableComponents,i]),u=e.useMemo((function(){var e,t,n;if(!o.currentFocus)return!1;var a=null===(e=Se()(t=o.focusableComponents).call(t,(function(e){return e.element===o.currentFocus})))||void 0===e?void 0:e.scope;return a&&(null===(n=o.scopesPropertiesRef.get(a))||void 0===n?void 0:n.boundedAutofocus)||!1}),[o.currentFocus,o.focusableComponents,o.scopesPropertiesRef]);return{hasFocus:i,setFocus:s,componentNameHasFocus:l,currentFocus:o.currentFocus,focusableComponents:o.focusableComponents,autofocusBlockerCounterRef:r,isCurrentScopeBounded:u}},Kn=function(){var t=!(arguments.length>0&&void 0!==arguments[0])||arguments[0],n=Wn().autofocusBlockerCounterRef;e.useEffect((function(){if(t)return n.current=n.current+1,function(){n.current=n.current-1}}),[t,n])};var Xn=function(t){var n,o=t.children,a=t.closeHandler,r=t.modalName,i=t.consoleMode,s=t.tall,l=t.variant,c=t.priority,d=void 0===c?"low":c,E=e.useCallback(At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:a();case 3:case"end":return e.stop()}}),e)}))),[a]);return e.useEffect((function(){var e=function(e){27===(e.keyCode||e.which)&&E()};return window.addEventListener("keydown",e),function(){window.removeEventListener("keydown",e)}}),[i,E]),Kn(),e.createElement(e.Fragment,null,e.createElement("div",{className:Nt["modal-background"],onClick:i?void 0:a}),e.createElement("div",{className:vt()(Nt[u()(n="modal".concat(i?"-xbox":"")).call(n,s?"-tall":"")],{[Nt[l]]:l},Nt[d]),id:"modal_".concat(r)},a&&!i&&e.createElement("div",{className:"".concat(Nt.close),onClick:a}),o))},qn=e.memo((function(t){var n=t.children,o=t.closeHandler,a=t.modalName,r=t.consoleMode,i=t.tall,s=t.variant,l=t.priority;return _t.createPortal(e.createElement(Xn,{closeHandler:o,modalName:a,consoleMode:r,tall:i,variant:s,priority:l},n),document.getElementById("root"))}));const Qn="ConfirmModal-module__firstButton--avueV",Zn="ConfirmModal-module__secondButton--PmJWN",$n="ConfirmModal-module__firstButtonConsole--TXAOg",Jn="ConfirmModal-module__secondButtonConsole--J_8IX",eo="ConfirmModal-module__contentContainer--TZDOs",to="ConfirmModal-module__contentContainerConsole--HR8Vv",no="ConfirmModal-module__buttonsContainer--BGRj1",oo="ConfirmModal-module__title--BEQXs",ao="ConfirmModal-module__titleConsole--qigaL",ro="ConfirmModal-module__text--OpOk6",io="ConfirmModal-module__textConsole--Jh5oJ";var so="cancel",lo="confirm",uo=e.forwardRef((function(t,n){var o=t.modalName,a=t.title,r=t.text,i=t.children,l=t.submitHandler,u=t.closeHandler,c=t.cancelText,d=t.confirmText,E=s(pt(),1)[0],m=e.useRef(),T=Wn(),p=T.hasFocus,f=T.setFocus,S=jn().consoleMode,O=Cn().updateFooterButtons,A=s(e.useState(so),2),I=A[0],v=A[1],_=p(m);e.useEffect((function(){return m.current&&f({type:"SET_FOCUS",payload:m}),function(){f({type:"SET_FOCUS",payload:n})}}),[n,f]),e.useEffect((function(){if(_)return O({A:{name:"A",text:"CONSOLE_FOOTER.CONFIRM",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.CANCEL",position:"right"}})}),[O,_]);var N=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LEFT_STICK_LEFT:if(I===so)break;v(so);break;case t.LEFT_STICK_RIGHT:if(I===lo)break;v(lo);break;case t.A:if(I===lo){l();break}if(I===so){u();break}break;case t.B:u()}}),[I,u,l]);return Dn({callbackPressed:N},_),e.createElement(qn,{closeHandler:u,modalName:o,consoleMode:S},e.createElement("div",{className:S?to:eo},i||e.createElement(e.Fragment,null,e.createElement("div",{className:S?ao:oo},a),e.createElement("div",{className:S?io:ro},r))),e.createElement("div",{className:no,ref:m},e.createElement(Mn,{type:"ghost",size:S?"x-large":"small",onClick:u,focused:S&&I===so,className:S?$n:Qn},c||E("CONFIRM_MODAL.CANCEL")),e.createElement(Mn,{type:"primary",size:S?"x-large":"small",onClick:l,focused:S&&I===lo,className:S?Jn:Zn},d||E("CONFIRM_MODAL.CONFIRM"))))}));const co=e.memo(uo);var Eo=function(t){var o,a=t.size,r=t.style,i=t.extraClasses,s=void 0===i?"":i;return e.createElement("div",{className:u()(o="".concat("Spinner-module__wrapper--JVQQA"," ")).call(o,s),style:Dt({width:a,height:a},r)},e.createElement("img",{className:"Spinner-module__logo--hv7Yn",src:n(7275),alt:"spinner"}),e.createElement("div",{className:"Spinner-module__arc--TwFMn"}))};const mo=e.memo(Eo),To={dotLoader:"Loader-module__dotLoader--qmHil",dot1:"Loader-module__dot1--GTOHG",dotFlashing:"Loader-module__dotFlashing--Axc00",dot2:"Loader-module__dot2--ovt4W",dot3:"Loader-module__dot3--V6sk_",center:"Loader-module__center--kWloL"};var po=function(t){var n=t.align,o=t.className,a=vt()(To.dotLoader,{[To[n]]:n},o);return e.createElement("div",{className:a},e.createElement("div",{className:vt()(To.dot,To.dot1)},"."),e.createElement("div",{className:vt()(To.dot,To.dot2)},"."),e.createElement("div",{className:vt()(To.dot,To.dot3)},"."))};const fo=function(t){var n=t.align,o=t.variant,a=void 0===o?"dot":o,r=t.size,i=t.className;switch(a){case"spinner":default:return e.createElement(mo,{size:r,extraClasses:i});case"dot":return e.createElement(po,{align:n,className:i})}};function So(e){return e?(e^16*Math.random()>>e/4).toString(16):([1e7]+-1e3+-4e3+-8e3+-1e11).replace(/[018]/g,So)}const Oo=function(t){var n=Yn(),o=n.addReadLock,a=n.addReadWriteLock,r=Tn().apiCallbackRef,i=e.useCallback((function(){var e,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0,s=So(),l=u()(e="".concat(re,".")).call(e,t.name,":request"),c=Dt({},t.defaults),d=Dt(Dt({},n),{},{requestId:s});window.engine.trigger(l,Dt(Dt({},c),d)),r.current=Dt(Dt({},r.current),{},{[s]:{callback:i}}),t.lock===Y&&o(s),t.lock===z&&a(s)}),[o,a,t.defaults,t.lock,t.name]);return[i]};var Ao={name:"set_activation_order",defaults:{__Type:"PDX.ModsUI.UITypes.SetActivationOrderRequest",playsetId:0,modOrderList:[]},error:{title:"ERROR.SET_ACTIVATION_ORDER.TITLE",message:"ERROR.SET_ACTIVATION_ORDER.MESSAGE"},lock:z},Io={name:"reset_activation_order",defaults:{__Type:"PDX.ModsUI.UITypes.ResetActivationOrderRequest",playsetId:0},error:{title:"ERROR.RESET_ACTIVATION_ORDER.TITLE",message:"ERROR.RESET_ACTIVATION_ORDER.MESSAGE"},lock:z};var vo=["requestId","__Type","callback"],_o=function(e,t){switch(t.type){case W:case K:case V:case j:case H:return Dt(Dt({},e),t.payload)}};const No=function(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:_o,o=arguments.length>2?arguments[2]:void 0,a=s(e.useReducer(n,o),2),r=a[0],i=a[1],l=Yn(),c=l.removeReadLock,d=l.removeReadWriteLock,E=Tn(),m=E.apiCallbackRef,T=E.setApiEventsReady,p=pn().showErrorModal;return e.useEffect((function(){var e,n=u()(e="".concat(re,".")).call(e,t.name,":request");un.debug("".concat(n," added."));var o=window.engine.on(n,(function(e){un.info("".concat(n," request"),e);var t=e.requestId,o=(e.__Type,e.callback),a=Re(e,vo);i({type:H,requestId:t,payload:{status:V,data:a},callback:o})})).clear;return T((function(e){return e+1})),function(){return o()}}),[t.name,T]),e.useEffect((function(){var e,n=u()(e="".concat(re,".")).call(e,t.name,":response");un.debug("".concat(n," added."));var o=window.engine.on(n,(function(e){setTimeout((function(){var o,a;un.info("".concat(n," response"),e),i({type:e.status,payload:e}),(null==m||null===(o=m.current[e.requestId])||void 0===o?void 0:o.callback)&&(null==m||null===(a=m.current[e.requestId])||void 0===a||a.callback(e)),null==m||delete m.current[e.requestId],e.status!==V&&(t.lock===Y&&c(e.requestId),t.lock===z&&d(e.requestId),e.status===K&&p({title:t.error.title,message:t.error.message,error:e.error,trigger:t.name,showDetails:t.error.showDetails}))}),10)})).clear;return T((function(e){return e+1})),function(){return o()}}),[t.error.message,t.error.title,t.lock,t.name,c,d,p,T]),[r,i]};var Lo={name:"disable_mod",defaults:{__Type:"PDX.ModsUI.UITypes.DisableModRequest",modId:0,playsetId:0},error:{title:"ERROR.DISABLE.TITLE",message:"ERROR.DISABLE.MESSAGE"},lock:z},Ro={name:"disable_wip_mod",defaults:{__Type:"PDX.ModsUI.UITypes.DisableWipModRequest",modName:"",playsetId:0},error:{title:"ERROR.DISABLE.TITLE",message:"ERROR.DISABLE.MESSAGE"},lock:z};var go={name:"enable_mod",defaults:{__Type:"PDX.ModsUI.UITypes.EnableModRequest",modId:0,playsetId:0},error:{title:"ERROR.ENABLE.TITLE",message:"ERROR.ENABLE.MESSAGE"},lock:z},ho={name:"enable_wip_mod",defaults:{__Type:"PDX.ModsUI.UITypes.EnableWipModRequest",modName:"",playsetId:0},error:{title:"ERROR.ENABLE.TITLE",message:"ERROR.ENABLE.MESSAGE"},lock:z};var yo={name:"mod_details",defaults:{__Type:"PDX.ModsUI.UITypes.GetModDetailsRequest",modId:0},error:{title:"ERROR.MOD_DETAILS.TITLE",message:"ERROR.MOD_DETAILS.MESSAGE"}},Mo={name:"wip_mod_details",defaults:{__Type:"PDX.ModsUI.UITypes.GetWipModRequest",name:""},error:{title:"ERROR.WIP.GET.TITLE",message:"ERROR.WIP.GET.MESSAGE"}},Co={name:"get_mod_dependencies",defaults:{__Type:"PDX.ModsUI.UITypes.GetAllDependenciesRequest",modIds:[],playsetId:0},error:{title:"ERROR.GET_ALL_DEPENDENCIES.TITLE",message:"ERROR.GET_ALL_DEPENDENCIES.MESSAGE"},lock:Y};const bo=function(){var t=s(Oo(yo),1)[0],n=s(Oo(Mo),1)[0],o=s(Oo(Co),1)[0],a=e.useContext(Ka),r=a.modDetailsState,i=a.wipModDetailsState,l=a.modDependenciesData,u=a.dispatchModDetails,c=e.useCallback((function(e){var n=e.modId;t({modId:ve()(n)})}),[t]),d=e.useCallback((function(e){var t=e.name;n({name:t})}),[n]),E=e.useCallback((function(e,t){var n=e.modIds,a=void 0===n?[]:n,r=e.playsetId;o({modIds:Ae()(a).call(a,ve()),playsetId:r},t)}),[o]),m=e.useCallback((function(){u({type:"clear"})}),[u]),T=Do(null==r?void 0:r.data),p=Do(null==i?void 0:i.data);return{getModDetails:c,getWipModDetails:d,getDependencies:E,clearModDetails:m,modDetails:T,modDetailsLoading:(null==r?void 0:r.status)===V||!r,wipModDetails:p,wipModDetailsLoading:(null==i?void 0:i.status)===V||!i,modDependencies:null==l?void 0:l.data}};var Do=function(t){return e.useMemo((function(){return t&&Dt(Dt({},t),{},{changelog:t.changelog||[],dependencies:t.dependencies||[],externalLinks:t.externalLinks||[],forumLinks:t.forumLinks||[],screenshots:t.screenshots||[],tags:t.tags||[]})}),[t])},Po={name:"playset_details",defaults:{__Type:"PDX.ModsUI.UITypes.GetPlaysetDetailsRequest",playsetId:0},error:{title:"ERROR.PLAYSET_DETAILS.TITLE",message:"ERROR.PLAYSET_DETAILS.MESSAGE"},lock:z},ko={name:"playset_rename",defaults:{__Type:"PDX.ModsUI.UITypes.RenamePlaysetRequest",name:"",playsetId:0},error:{title:"ERROR.PLAYSET_RENAME.TITLE",message:"ERROR.PLAYSET_RENAME.MESSAGE"},lock:z},wo=function(e,t){switch(t.type){case"request":default:return t.payload;case"rename":return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{name:t.payload.name})})}};var Uo={name:"playset_mods",defaults:{__Type:"PDX.ModsUI.UITypes.GetPlaysetModsRequest",playsetId:0,page:1,limit:20},error:{title:"ERROR.PLAYSET_MODS.TITLE",message:"ERROR.PLAYSET_MODS.MESSAGE"},lock:Y},xo={name:"playset_has_enabled_mods",defaults:{__Type:"PDX.ModsUI.UITypes.PlaysetHasEnabledModsRequest"},error:{title:"ERROR.PLAYSET_HAS_ENABLED_MODS.TITLE",message:"ERROR.PLAYSET_HAS_ENABLED_MODS.MESSAGE"},lock:Y};var Bo={name:"sync_mods",defaults:{__Type:"PDX.ModsUI.UITypes.SyncModsRequest",syncDirection:""},error:{title:"ERROR.GENERIC.SYNC.TITLE",message:"ERROR.GENERIC.SYNC.MESSAGE"},lock:z},Go=function(e,t){return"merge"===t.type?Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{merge:!0})}):Dt(Dt({},e),t.payload)};const Fo=function(){var t,n,o,a,r=s(Oo(Bo),1)[0],i=e.useContext(Ka),l=i.syncModsState,u=i.dispatchSync;return{syncModsAndPlaysets:e.useCallback((function(e){var t=e.syncDirection;r({syncDirection:void 0===t?"":t})}),[r]),dispatchSync:u,syncModsData:l,syncConflicts:"prompt"===(null==l||null===(t=l.data)||void 0===t?void 0:t.syncResult),syncOngoing:(null==l?void 0:l.status)===V||!l,syncCompleted:(null==l?void 0:l.status)===W,syncOutOfSpace:"outofspace"===(null==l||null===(n=l.data)||void 0===n?void 0:n.syncResult),syncError:"error"===(null==l||null===(o=l.data)||void 0===o?void 0:o.syncResult),syncMerge:null==l||null===(a=l.data)||void 0===a?void 0:a.merge}};var zo={name:"get_playsets",defaults:{__Type:"PDX.ModsUI.UITypes.GetPlaysetsRequest"},error:{title:"ERROR.PLAYSETS.TITLE",message:"ERROR.PLAYSETS.MESSAGE"},lock:Y},Yo={name:"delete_playset",defaults:{__Type:"PDX.ModsUI.UITypes.DeletePlaysetRequest",playsetId:0},error:{title:"ERROR.PLAYSET_DELETE.TITLE",message:"ERROR.PLAYSET_DELETE.MESSAGE"},lock:z},Ho={name:"create_playset",defaults:{__Type:"PDX.ModsUI.UITypes.CreatePlaysetRequest",name:""},error:{title:"ERROR.CREATE_PLAYSET.TITLE",message:"ERROR.CREATE_PLAYSET.MESSAGE"},lock:z},Vo={name:"activate_playset",defaults:{__Type:"PDX.ModsUI.UITypes.ActivatePlaysetRequest",playsetId:0},error:{title:"ERROR.ACTIVATE_PLAYSET.TITLE",message:"ERROR.ACTIVATE_PLAYSET.MESSAGE"}},jo={name:"deactivate_playset",defaults:{__Type:"PDX.ModsUI.UITypes.DeactivatePlaysetRequest"},error:{title:"ERROR.DEACTIVATE_PLAYSET.TITLE",message:"ERROR.DEACTIVATE_PLAYSET.MESSAGE"}},Wo={name:"enable_playset_mods",defaults:{__Type:"PDX.ModsUI.UITypes.EnablePlaysetModsRequest",playsetId:0},error:{title:"ERROR.ENABLE_PLAYSET_MODS.TITLE",message:"ERROR.ENABLE_PLAYSET_MODS.MESSAGE"},lock:z},Ko={name:"disable_playset_mods",defaults:{__Type:"PDX.ModsUI.UITypes.DisablePlaysetModsRequest",playsetId:0},error:{title:"ERROR.DISABLE_PLAYSET_MODS.TITLE",message:"ERROR.DISABLE_PLAYSET_MODS.MESSAGE"},lock:z};const Xo=function(){var t,n=Yn().readWriteLocked,o=s(Oo(zo),1)[0],a=s(Oo(Yo),1)[0],r=s(Oo(Ho),1)[0],i=s(Oo(Vo),1)[0],l=s(Oo(jo),1)[0],u=s(Oo(Wo),1)[0],c=s(Oo(Ko),1)[0],d=Fo().syncModsAndPlaysets,E=e.useContext(Ka).playsetsState;return{getPlaysets:e.useCallback((function(){n||o({})}),[n,o]),deletePlayset:e.useCallback((function(e){var t=e.playsetId;n||a({playsetId:ve()(t)})}),[n,a]),createPlayset:e.useCallback((function(e){var t=e.name;n||r({name:t})}),[n,r]),activatePlayset:e.useCallback((function(e){var t=e.playsetId;i({playsetId:ve()(t)})}),[i]),deactivatePlayset:e.useCallback((function(e){l({},e)}),[l]),enablePlaysetMods:e.useCallback((function(e){var t=e.playsetId;n||u({playsetId:ve()(t)},(function(){d({})}))}),[n,d,u]),disablePlaysetMods:e.useCallback((function(e){var t=e.playsetId;n||c({playsetId:ve()(t)},(function(){d({})}))}),[n,d,c]),playsets:null==E||null===(t=E.data)||void 0===t?void 0:t.playsets,playsetsLoading:(null==E?void 0:E.status)===V||!E}};var qo={name:"report_mod",defaults:{__Type:"PDX.ModsUI.UITypes.ReportModRequest",modId:0,reason:"",description:""},error:{title:"ERROR.REPORT_MOD.TITLE",message:"ERROR.REPORT_MOD.MESSAGE"}};const Qo=function(){var t=s(Oo(qo),1)[0],n=e.useContext(Ka),o=n.reportModState,a=n.reportedMods;return{reportMod:e.useCallback((function(e){var n=e.modId,o=e.reason,a=e.description;t({modId:ve()(n),reason:o,description:a})}),[t]),reportedMods:a,reportModLoading:(null==o?void 0:o.status)===V}};var Zo={name:"subscribe_mod",defaults:{__Type:"PDX.ModsUI.UITypes.SubscribeModRequest",modId:0,playsetId:0,version:"",telemetry:{}},error:{title:"ERROR.SUBSCRIBE.TITLE",message:"ERROR.SUBSCRIBE.MESSAGE"},lock:Y},$o={name:"subscribe_wip_mod",defaults:{__Type:"PDX.ModsUI.UITypes.SubscribeWipModRequest",modName:"",playsetId:0},error:{title:"ERROR.SUBSCRIBE.TITLE",message:"ERROR.SUBSCRIBE.MESSAGE"},lock:Y};var Jo={name:"unsubscribe_mod",defaults:{__Type:"PDX.ModsUI.UITypes.UnsubscribeModRequest",modId:0,playsetId:0,telemetry:{}},error:{title:"ERROR.UNSUBSCRIBE.TITLE",message:"ERROR.UNSUBSCRIBE.MESSAGE"},lock:Y},ea={name:"unsubscribe_wip_mod",defaults:{__Type:"PDX.ModsUI.UITypes.UnsubscribeWipModRequest",modName:"",playsetId:0},error:{title:"ERROR.UNSUBSCRIBE.TITLE",message:"ERROR.UNSUBSCRIBE.MESSAGE"},lock:Y};const ta=function(){var t=s(Oo(Jo),1)[0],n=s(Oo(ea),1)[0],o=$a().progressTracker,a=Yn().readWriteLocked;return{unsubscribeMod:e.useCallback((function(e){var n=e.modId,r=e.playsetId,i=e.telemetry,s=void 0===i?{}:i;if(!a)return o[n]&&delete o[n],new(Rt())((function(e){return t({modId:ve()(n),playsetId:ve()(r),telemetry:s},e)}))}),[o,a,t]),unsubscribeWipMod:e.useCallback((function(e){var t=e.modName,o=e.playsetId;if(!a)return new(Rt())((function(e){return n({modName:t,playsetId:ve()(o)},e)}))}),[a,n])}};var na={name:"set_user_rating",defaults:{__Type:"PDX.ModsUI.UITypes.SetUserRatingRequest",modId:0,rating:0},error:{title:"ERROR.SET_USER_RATING.TITLE",message:"ERROR.SET_USER_RATING.MESSAGE"},lock:z},oa={name:"get_user_rating",defaults:{__Type:"PDX.ModsUI.UITypes.GetUserRatingRequest",modId:0},error:{title:"ERROR.GET_USER_RATING.TITLE",message:"ERROR.GET_USER_RATING.MESSAGE"},lock:Y};var aa=n(6064),ra=n.n(aa),ia=n(2348),sa=n.n(ia),la={name:"get_all_subscribed_mods",defaults:{__Type:"PDX.ModsUI.UITypes.GetAllSubscribedRequest",text:"",page:0,pageSize:18,tags:[],sortBy:"RecentFirst"},error:{title:"ERROR.GETSUBSCRIBED.TITLE",message:"ERROR.GETSUBSCRIBED.MESSAGE"},lock:Y},ua=function(e,t){switch(t.type){case"removeFromPlayset":var n,o,a,r,i,s=t.payload,l=s.modId,u=s.playsetId,c=null==e||null===(n=e.data)||void 0===n||null===(o=n.mods)||void 0===o?void 0:ra()(o).call(o,(function(e){var t,n;return e.modId===l&&(null==e||null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())===q}));if(-1===c||void 0===c)return e;var d=null===(a=e.data)||void 0===a||null===(r=a.mods[c])||void 0===r||null===(i=r.playsets)||void 0===i?void 0:pe()(i).call(i,(function(e){return e.playsetId!==u})),E=kt(e.data.mods);return d.length?E[c].playsets=d:sa()(E).call(E,c,1),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:E})});case"removeWipFromPlayset":var m,T,p,f,S,O=t.payload,A=O.name,I=O.playsetId,v=null==e||null===(m=e.data)||void 0===m||null===(T=m.mods)||void 0===T?void 0:ra()(T).call(T,(function(e){var t,n;return e.name===A&&(null==e||null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())!==q}));if(-1===v||void 0===v)return e;var _=null===(p=e.data)||void 0===p||null===(f=p.mods[v])||void 0===f||null===(S=f.playsets)||void 0===S?void 0:pe()(S).call(S,(function(e){return e.playsetId!==I})),N=kt(e.data.mods);return N[v].playsets=_,Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:N})});case"addToPlayset":var L,R,g;if(null==e||null===(L=e.data)||void 0===L||!L.mods)return e;var h=t.payload,y=h.modId,M=h.playsets,C=h.localData,b=null==e||null===(R=e.data)||void 0===R||null===(g=R.mods)||void 0===g?void 0:ra()(g).call(g,(function(e){var t,n;return e.modId===y&&(null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())===q}));if(-1===b||void 0===b)return e;var D=kt(e.data.mods);return D[b].playsets=M,D[b].localData=C,Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:D})});case"addWipToPlayset":var P,k,w=t.payload,U=w.name,x=w.playsets,B=null==e||null===(P=e.data)||void 0===P||null===(k=P.mods)||void 0===k?void 0:ra()(k).call(k,(function(e){return e.name===U&&e.localData.localType.toLowerCase()!==q}));if(-1===B||void 0===B)return e;var G=kt(e.data.mods);return G[B].playsets=x,Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:G})});case W:var F,z,Y,X;return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:(null===(F=t.payload.data)||void 0===F?void 0:F.mods)||[],modsCount:(null===(z=t.payload.data)||void 0===z?void 0:z.modsCount)||0,page:(null===(Y=t.payload.data)||void 0===Y?void 0:Y.page)||(null===(X=e.data)||void 0===X?void 0:X.page)||0}),status:W});case V:case K:case j:case H:return Dt(Dt({},e),{},{data:Dt(Dt(Dt({},null==e?void 0:e.data),t.payload.data),{},{mods:void 0}),status:t.payload.status});default:return Dt(Dt({},e),t.payload)}};const ca={root:"Alert-module__root--E8VLx",console:"Alert-module__console--i7Y9V",warning:"Alert-module__warning--X5gR8",info:"Alert-module__info--qBnOG",error:"Alert-module__error--A8ov5",success:"Alert-module__success--fj58M"},da=function(t){var n=t.severity,o=void 0===n?"info":n,a=t.children,r=jn().consoleMode,i=vt()(ca.root,ca[o],{[ca.console]:r});return e.createElement("div",{className:i},a)},Ea=function(t){var n=t.children,o=vt()("Toast-module__root--Rumek");return e.createElement("div",{className:o},n)},ma=function(){var t=Un().features;return{hasFeature:e.useCallback((function(e){return Boolean(t&&e&&t[e])}),[t])}};var Ta=n(3893),pa=n.n(Ta);const fa={InternalError:["DiskFullError","ThirdPartyException","DBError","DiskPermissionError","FileIOError","RemoteLogoutFailed","InternalError"],InvalidNetworkResponse:["MalformedJSON","HttpRequestError","NetworkSendError","TaskTimeoutError","UnexpectedResponseError","NoResponseBody","ModDownloadFailedError"],NotFound:["NoAccount","NoDocument","NoMergeTask","NoMod","NoModVersion","NoModPlayset","NoProfile","NoAchievement","NoResource"],InvalidState:["NotLoggedIn","ModDisabled"],Mods:["SyncOngoing","OperationsOngoing","LocalError"],NotAuthorized:["ExpiredRefreshToken","ExpiredSessionToken","SessionTooLowTrustLevel","InvalidAuthentication","RejectedByThirdParty","ForbiddenAccess"],ModsUI:["DeleteActivePlayset","ReportModBlockedTimeLimit","TooManyPlaysets"]},Sa=function(){return{offline:Un().offline}},Oa=function(t){var n=t.size;return e.createElement("div",{className:vt()("Space-module__root--m3v3D"),style:{width:"".concat(n,"rem"),height:"".concat(n,"rem")}})},Aa=function(t){var n=t.size,o=t.withSpaceBefore,a=void 0!==o&&o,r=t.withSpaceAfter,i=void 0!==r&&r,s=t.children,l=Array.isArray(s)?pe()(s).call(s,(function(e){return Boolean(e)})).reduce((function(t,o,a){var r;return a>0?u()(r=[]).call(r,kt(t),[e.createElement(Oa,{key:a,size:n}),o]):[o]}),[]):s;return e.createElement(e.Fragment,null,a&&e.createElement(Oa,{size:n}),l,i&&e.createElement(Oa,{size:n}))};var Ia=function(t){var n,o,a=t.error,r=e.useRef(),i=s(pt(),1)[0],l=pn().closeErrorModal,c=jn().consoleMode,d=Wn(),E=d.setFocus,m=d.currentFocus,T=d.focusableComponents,p=e.useRef(m),f=Sa().offline,S=Un(),O=S.hasInitFailed,A=S.loggedIn,I=xn({ref:r,name:"ERROR_MODAL"}),v=e.useCallback((function(){O||"sync_mods"===(null==a?void 0:a.trigger)?ft():l()}),[O,null==a?void 0:a.trigger,l]);e.useEffect((function(){var e;return a&&r.current&&E({type:"SET_FOCUS",payload:r}),p.current&&(e=p),function(){e&&e.current&&Se()(T).call(T,(function(t){return t.element===e.current}))&&E({type:"SET_FOCUS",payload:e})}}),[a,E,T]),Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:case t.B:return v()}}},a&&I);var _=e.useCallback((function(e){if(e&&e.error&&e.error.Category&&e.error.SubCategory){var t=e.error.Category,n=e.error.SubCategory,o=fa[t];return o&&Ft()(o).call(o,n)}}),[]),N=vt()("Error-module__title--kaBrK",{"Error-module__title-console--Sg1rB":c}),L=vt()("Error-module__information--Iz31c",{"Error-module__information-console--SwTVM":c}),R=vt()("Error-module__button--QhMlI",{"Error-module__button-console--fgru8":c});return e.createElement(qn,{consoleMode:c,closeHandler:v,priority:"high",modalName:"ERROR"},e.createElement("div",{className:"".concat("Error-module__root--X7neZ"),ref:r},f||A?e.createElement(e.Fragment,null,e.createElement("h1",{className:N},i(a.title)),a.type!==oe&&e.createElement("div",{className:c?"Error-module__sorry-console--T9EHe":"Error-module__sorry--XIljO"},i("ERROR.PARADOX_SERVICES_DOWN")),e.createElement("div",{className:L},_(a)?e.createElement(Aa,{size:1.6},i(u()(n="ERROR.FROM_SERVER.".concat(a.error.Category.toUpperCase(),".")).call(n,a.error.SubCategory.toUpperCase())),a.showDetails&&i("ERROR.FROM_SERVER.__DETAILS.".concat(pa()(o=a.error.Details).call(o,/\W/g,"_").toUpperCase()),a.error.Details)):i(a.message))):e.createElement(va,{t:i,informationClasses:L,titleClasses:N}),e.createElement(Mn,{type:"ghost",onClick:v,size:c?"x-large":"small",focused:c,className:R},i("ERROR.BUTTONS.CLOSE").toUpperCase())))},va=e.memo((function(t){var n=t.titleClasses,o=t.informationClasses,a=t.t;return e.createElement(e.Fragment,null,e.createElement("h1",{className:n},a("ERROR.GENERIC.NOTLOGGEDIN.TITLE")),e.createElement("div",{className:o},a("ERROR.GENERIC.NOTLOGGEDIN.MESSAGE")))}));const _a=e.memo(Ia),Na=function(){var t,n=e.useContext(Ka).activePlaysetState;return(null==n||null===(t=n.data)||void 0===t?void 0:t.activePlaysetId)||0},La=function(){var t=e.useContext(Hn),n=t.exitWarning,o=t.setExitWarning,a=ma().hasFeature,r=Na();return{exitWarning:n,triggerUIClosingFlow:e.useCallback(At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(a($)&&r){e.next=2;break}return e.abrupt("return",ft());case 2:o(!0);case 3:case"end":return e.stop()}}),e)}))),[r,a,o]),closeExitWarning:e.useCallback((function(){o(!1)}),[o]),closeUI:e.useCallback((function(){return ft()}),[])}};var Ra="cancel",ga="confirm",ha=function(){var t,n,o=e.useRef(),a=jn(),r=a.isXbox,i=a.isPlaystation,l=s(pt(),1)[0],u=Un().features,c=La(),d=c.closeExitWarning,E=c.closeUI,m=Un().exitWarning,T=e.useCallback((function(){d()}),[d]),p=Wn(),f=p.hasFocus,S=p.setFocus,O=jn().consoleMode,A=Cn().updateFooterButtons;xn({ref:o,name:"EXIT_MODAL"});var I=s(e.useState(Ra),2),v=I[0],_=I[1],N=f(o);e.useEffect((function(){m&&o.current&&S({type:"SET_FOCUS",payload:o})}),[m,S]),e.useEffect((function(){return o.current&&S({type:"SET_FOCUS",payload:o}),function(){S({type:"SET_FOCUS",payload:o})}}),[o,S]),e.useEffect((function(){if(N)return A({A:{name:"A",text:"CONSOLE_FOOTER.CONFIRM",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.CANCEL",position:"right"}})}),[A,N]);var L=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LEFT_STICK_LEFT:if(v===Ra)break;_(Ra);break;case t.LEFT_STICK_RIGHT:if(v===ga)break;_(ga);break;case t.A:if(v===ga){E();break}if(v===Ra){T();break}break;case t.B:T()}}),[T,E,v]);return Dn({callbackPressed:L},N),e.createElement(qn,{closeHandler:T,modalName:"EXIT_WARNING",consoleMode:O},e.createElement("div",{className:O?"ExitWarning-module__contentContainerConsole--XIdGw":"ExitWarning-module__contentContainer--c3jPQ"},e.createElement(e.Fragment,null,e.createElement("div",{className:O?"ExitWarning-module__titleConsole--hd9kh":"ExitWarning-module__title--IBnYi"},null!==(t=u.exitwarningscreen)&&void 0!==t&&t.title?u.exitwarningscreen.title:l("WARNING.EXIT.TITLE")),e.createElement("div",{className:O?"ExitWarning-module__textConsole--gg5Nq":"ExitWarning-module__text--Aq68j"},null!==(n=u.exitwarningscreen)&&void 0!==n&&n.text?u.exitwarningscreen.text:l("WARNING.EXIT.".concat(r?"XBOX":i?"PLAYSTATION":"DEFAULT"))))),e.createElement("div",{className:"ExitWarning-module__buttonsContainer--fWm7s",ref:o},e.createElement(Mn,{type:"ghost",size:O?"x-large":"small",onClick:T,focused:O&&v===Ra,className:O?"ExitWarning-module__firstButtonConsole--hwlG7":"ExitWarning-module__firstButton--xe9bC"},l("WARNING.EXIT.CANCEL")),e.createElement(Mn,{type:"primary",size:O?"x-large":"small",onClick:E,focused:O&&v===ga,className:O?"ExitWarning-module__secondButtonConsole--zD8Iy":"ExitWarning-module__secondButton--lSxj4"},l("WARNING.EXIT.CONFIRM"))))};const ya=e.memo(ha);var Ma=e.createContext({}),Ca=function(t){var n,o=t.children;un.debug("NotificationContext");var a=s(e.useState({}),2),r=a[0],i=a[1],l=e.useContext(En),u=l.error,c=l.modals,d=l.dependencies,E=l.setDependencies,m=e.useContext(Hn).exitWarning,T=Wn().setFocus;return e.useEffect((function(){var e=function(e){return 0===Yt()(e).length};e(r)&&e(d)&&e(c)&&!u&&!m||(m?T({type:"SET_FOCUS_BY_NAME",payload:"EXIT_MODAL"}):u?T({type:"SET_FOCUS_BY_NAME",payload:"ERROR_MODAL"}):e(c)?e(d)||T({type:"SET_FOCUS_BY_NAME",payload:"DEPENDENCIES_MODAL_".concat(Yt()(d)[0])}):T({type:"SET_FOCUS_BY_NAME",payload:"".concat(Yt()(c)[0])}))}),[d,u,m,c,T,r]),e.createElement(Ma.Provider,{value:{setToasts:i,hasModals:Yt()(c).length>0,dependencies:d,setDependencies:E}},o,Ae()(n=me()(r)).call(n,(function(e){return e})),e.createElement(ba,null))},ba=function(){var t=ma().hasFeature,n=e.useContext(Hn).exitWarning,o=e.useContext(En),a=o.error,r=o.modals,i=o.dependencies;return t($)&&n?e.createElement(ya,null):a?e.createElement(_a,{error:a}):me()(i)[0]||me()(r)[0]||null};const Da=function(){var t=e.useContext(Ma).setToasts;return{enqueueToast:e.useCallback((function(e){t([e])}),[t]),toastAlert:e.useCallback((function(n){var o=n.severity,a=void 0===o?"success":o,r=n.message,i=void 0===r?"":r,s=So();t((function(t){return Dt(Dt({},t),{[s]:e.createElement(Ea,{key:s},e.createElement(da,{severity:a},i))})})),setTimeout((function(){t((function(e){return Yt()(e).reduce((function(t,n){return n===s||(t[n]=e[n]),t}),{})}))}),2e3)}),[t])}};var Pa={name:"game_data",defaults:{__Type:"PDX.ModsUI.UITypes.GetGameDataRequest"},error:{title:"ERROR.GET_GAME_DATA.TITLE",message:"ERROR.GET_GAME_DATA.MESSAGE"}};const ka=function(){var t=s(Oo(Pa),1)[0],n=e.useContext(Ka).gameDataState;return{getGameData:e.useCallback((function(){t()}),[t]),gameData:null==n?void 0:n.data,gameDataLoading:(null==n?void 0:n.status)===V||!n}};var wa={name:"search",defaults:{__Type:"PDX.ModsUI.UITypes.SearchModsRequest",text:"",page:0,pageSize:18,tags:[],sortBy:"Best",orderBy:"Descending",author:"",requiredVersion:"",onlyModsByMe:!1},error:{title:"ERROR.SEARCH.TITLE",message:"ERROR.SEARCH.TITLE"},lock:Y};var Ua={name:"get_screen_keyboard_input",defaults:{__Type:"PDX.ModsUI.UITypes.GetScreenKeyboardInputRequest",title:"Input",placeholder:"",description:"",maxLength:1024},error:{title:"ERROR.SCREEN_KEYBOARD.TITLE",message:"ERROR.SCREEN_KEYBOARD.TITLE"}};var xa=function(e,t){switch(t.type){case"addToPlayset":var n;if(null==e||null===(n=e.data)||void 0===n||!n.mods)return e;var o=kt(e.data.mods);return o.forEach((function(e){e.modId===t.payload.modId&&(e.playsets=t.payload.playsets)})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:o})});case"removeFromPlayset":var a;if(null==e||null===(a=e.data)||void 0===a||!a.mods)return e;var r=kt(e.data.mods);return r.forEach((function(e){var n;e.modId===t.payload.modId&&(e.playsets=null===(n=e.playsets)||void 0===n?void 0:pe()(n).call(n,(function(e){return e.playsetId!==t.payload.playsetId})))})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:r})});case W:var i,s,l,c,d,E,m=[];null!=e&&null!==(i=e.data)&&void 0!==i&&i.mods&&(m=kt(e.data.mods));var T=kt((null===(s=t.payload.data)||void 0===s?void 0:s.mods)||[]),p=Ae()(m).call(m,(function(e){var t=ra()(T).call(T,(function(t){return t.modId===e.modId}));return-1!==t?sa()(T).call(T,t,1)[0]:e}));return m=u()(l=[]).call(l,kt(p),kt(T)),Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{mods:m,modsCount:(null===(c=t.payload.data)||void 0===c?void 0:c.modsCount)||0,page:(null===(d=t.payload.data)||void 0===d?void 0:d.page)||(null==e||null===(E=e.data)||void 0===E?void 0:E.page)||0}),status:W});case V:case K:case j:case H:var f=(null==e?void 0:e.data)||{},S=f.text,O=f.tags,A=f.sortBy,I=f.orderBy,v=t.payload.data,_=v.text,N=v.tags,L=v.page,R=v.sortBy,g=v.orderBy,h=Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),t.payload.data),status:t.payload.status});return(S!==_||(null==O?void 0:O.length)!==(null==N?void 0:N.length)||O&&!O.every((function(e){return Ft()(N).call(N,e)}))||A!==R||I!==g)&&(delete h.data.mods,h.data.page=L||0),h}},Ba=function(e,t){switch(t.type){case"rename":var n,o=Ae()(n=e.data.playsets).call(n,(function(e){return e.id===t.payload.playsetId?Dt(Dt({},e),{},{name:t.payload.name}):Dt({},e)}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{playsets:o})});case"delete":var a,r=pe()(a=e.data.playsets).call(a,(function(e){return e.id!==t.payload.playsetId}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{playsets:r})});case"create":var i,s=u()(i=[]).call(i,kt(e.data.playsets),[t.payload]);return Ut()(s).call(s,(function(e,t){var n=e.name.replace(/\s/g,"").toLowerCase(),o=t.name.replace(/\s/g,"").toLowerCase();return n<o?-1:n>o?1:0})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{playsets:s})});case W:return t.payload;default:return e?Dt(Dt(Dt({},e),t.payload),{},{data:Dt(Dt({},e.data),t.payload.data)}):t.payload}},Ga=function(e,t){switch(t.type){case H:var n;return null!=e&&null!==(n=e.data)&&void 0!==n&&n.activePlaysetId?e:Dt(Dt({},e),t.payload);case"deactivate":return null;default:return Dt(Dt({},e),t.payload)}},Fa=function(e,t){switch(t.type){case"clear":return;case"removeFromPlayset":var n,o;if(!e)return;var a=null==e||null===(n=e.data)||void 0===n||null===(o=n.playsets)||void 0===o?void 0:pe()(o).call(o,(function(e){return e.playsetId!==t.payload.playsetId}));return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{playsets:a})});case"addToPlayset":var r,i,s,l,u;if(!e)return;return(null==e||null===(r=e.data)||void 0===r?void 0:r.modId)!==t.payload.modId||(null==e||null===(i=e.data)||void 0===i?void 0:i.modId)===t.payload.modId&&(null==e||null===(s=e.data)||void 0===s||null===(l=s.localData)||void 0===l||null===(u=l.localType)||void 0===u?void 0:u.toLowerCase())!==q?e:Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{playsets:t.payload.playsets,localData:t.payload.localData})});case"addWipToPlayset":var c,d,E,m,T;if(!e)return;return(null==e||null===(c=e.data)||void 0===c?void 0:c.name)!==t.payload.modName||(null==e||null===(d=e.data)||void 0===d?void 0:d.name)===t.payload.modName&&(null==e||null===(E=e.data)||void 0===E||null===(m=E.localData)||void 0===m||null===(T=m.localType)||void 0===T?void 0:T.toLowerCase())===q?e:Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{playsets:t.payload.playsets})});case"enableMod":var p,f;if(!e)return;var S=null==e||null===(p=e.data)||void 0===p||null===(f=p.playsets)||void 0===f?void 0:Ae()(f).call(f,(function(e){return e.playsetId!==t.payload.playsetId||(e.modIsEnabled=!0),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{playsets:S})});case"disableMod":var O,A;if(!e)return;var I=null==e||null===(O=e.data)||void 0===O||null===(A=O.playsets)||void 0===A?void 0:Ae()(A).call(A,(function(e){return e.playsetId!==t.payload.playsetId||(e.modIsEnabled=!1),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{playsets:I})});default:return t.payload}},za={name:"get_featured_mods_lists",defaults:{__Type:"PDX.ModsUI.UITypes.GetFeaturedModsRequest"},error:{title:"ERROR.GET_FEATURED_MODS_LISTS.TITLE",message:"ERROR.GET_FEATURED_MODS_LISTS.MESSAGE"}},Ya=function(e,t){switch(t.type){case"addToPlayset":var n;if(null==e||null===(n=e.data)||void 0===n||!n.lists)return e;var o=kt(e.data.lists);return o.forEach((function(e){e.mods&&e.mods.length&&e.mods.forEach((function(e){e.id===t.payload.modId&&(e.playsets=t.payload.playsets)}))})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{lists:o})});case"removeFromPlayset":var a;if(null==e||null===(a=e.data)||void 0===a||!a.lists)return e;var r=kt(e.data.lists);return r.forEach((function(e){e.mods&&e.mods.length&&e.mods.forEach((function(e){var n;e.id===t.payload.modId&&(e.playsets=null===(n=e.playsets)||void 0===n?void 0:pe()(n).call(n,(function(e){return e.playsetId!==t.payload.playsetId})))}))})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{lists:r})});default:return Dt(Dt({},e),t.payload)}};var Ha=function(e,t){switch(t.type){case"clearSuccessfulSubscriptions":return Dt(Dt({},e),{},{successfulSubscriptions:[]});case K:case W:var n,o=null!=e&&e.successfulSubscriptions?u()(n=[]).call(n,kt(e.successfulSubscriptions),[t.payload]):[t.payload];return Dt(Dt(Dt({},e),t.payload),{},{successfulSubscriptions:o});default:return Dt(Dt({},e),t.payload)}},Va=function(e,t){switch(t.type){case W:var n,o,a,r,i,s;if((null==e||null===(n=e.data)||void 0===n?void 0:n.playsetId)!==t.payload.data.playsetId)return e;var l=kt(t.payload.data.mods),c=Ae()(o=e.data.mods).call(o,(function(e){var t=ra()(l).call(l,(function(t){return e.modId>0?t.modId===e.modId:t.modName===e.name}));return-1!==t?sa()(l).call(l,t,1)[0]:e}));return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{mods:u()(a=[]).call(a,kt(c),kt(l)),count:(null===(r=t.payload.data)||void 0===r?void 0:r.totalCount)||0,page:(null===(i=t.payload.data)||void 0===i?void 0:i.page)||(null==e||null===(s=e.data)||void 0===s?void 0:s.page)||1}),status:W});case V:case K:case j:case H:var d;return Dt(Dt({},e),{},{data:Dt(Dt(Dt({},null==e?void 0:e.data),t.payload.data),{},{mods:(null==e||null===(d=e.data)||void 0===d?void 0:d.mods)||[]}),status:t.payload.status});case"request":return t.payload;case"enableMod":var E;if(!e)return;var m=Ae()(E=e.data.mods).call(E,(function(e){return e.modId!==t.payload.modId||(e.enabled=!0),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:m})});case"enableWipMod":var T;if(!e)return;var p=Ae()(T=e.data.mods).call(T,(function(e){return e.name!==t.payload.modName||(e.enabled=!0),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:p})});case"disableMod":var f;if(!e)return;var S=Ae()(f=e.data.mods).call(f,(function(e){return e.modId!==t.payload.modId||(e.enabled=!1),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:S})});case"disableWipMod":var O;if(!e)return;var A=Ae()(O=e.data.mods).call(O,(function(e){return e.name!==t.payload.modName||(e.enabled=!1),e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:A})});case"enableAllMods":var I;if(!e)return;var v=Ae()(I=e.data.mods).call(I,(function(e){return e.enabled=!0,e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:v})});case"disableAllMods":var _;if(!e)return;var N=Ae()(_=e.data.mods).call(_,(function(e){return e.enabled=!1,e}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:N})});case"subscribe":var L,R;if(!e)return;var g=t.payload.modId,h=null==e||null===(L=e.data)||void 0===L||null===(R=L.mods)||void 0===R?void 0:ra()(R).call(R,(function(e){return e.modId>0&&e.modId===g})),y=kt(e.data.mods);return-1===h?(y.push(t.payload),Ut()(y).call(y,(function(e,t){return e.activationOrder-t.activationOrder}))):y[h]=t.payload,Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:y})});case"subscribeWip":var M;if(!e)return;var C=u()(M=[]).call(M,kt(e.data.mods),[t.payload]);return Ut()(C).call(C,(function(e,t){return e.activationOrder-t.activationOrder})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:C})});case"unsubscribe":var b,D;if(!e)return;var P=null===(b=e.data)||void 0===b||null===(D=b.mods)||void 0===D?void 0:pe()(D).call(D,(function(e){return e.modId!==t.payload.modId}));return Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:P})});case"unsubscribeWip":var k,w;if(!e)return;var U=null===(k=e.data)||void 0===k||null===(w=k.mods)||void 0===w?void 0:pe()(w).call(w,(function(e){return e.name!==t.payload.name}));return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{mods:U})});case"setActivationOrder":if(!e)return;var x=Dt({},e.data).mods;return x.forEach((function(e){var n,o=Se()(n=t.payload.modOrderList).call(n,(function(t){var n=t.modId,o=t.modName;return n>0?e.modId===n:e.name===o}));e.activationOrder=o?o.activationOrder:e.activationOrder})),Ut()(x).call(x,(function(e,t){return e.activationOrder-t.activationOrder})),Dt(Dt({},e),{},{data:Dt(Dt({},e.data),{},{mods:x})});case"clear":return;default:return t.payload}},ja=function(e,t){switch(t.type){case W:var n,o,a,r,i,s;return Dt(Dt({},e),{},{data:Dt(Dt({},null==e?void 0:e.data),{},{posts:u()(n=[]).call(n,kt(e.data.posts),kt(t.payload.data.posts)),count:(null===(o=t.payload.data)||void 0===o?void 0:o.count)||0,page:(null===(a=t.payload.data)||void 0===a?void 0:a.page)||(null==e||null===(r=e.data)||void 0===r?void 0:r.page)||1,canPost:null==t||null===(i=t.payload)||void 0===i||null===(s=i.data)||void 0===s?void 0:s.canPost}),status:W});case V:case K:case j:case H:return Dt(Dt({},e),{},{data:Dt({posts:[]},null==e?void 0:e.data),status:t.payload.status});default:return t.payload}},Wa={name:"get_forum_posts",defaults:{__Type:"PDX.ModsUI.UITypes.GetForumPostsRequest",modId:0,threadId:0,modVersion:"",page:1,limit:20},error:{title:"ERROR.GET_FORUM_POSTS.TITLE",message:"ERROR.GET_FORUM_POSTS.MESSAGE"},lock:Y};var Ka=e.createContext({}),Xa=function(t){var n,o,a,r,i=t.children;un.debug("apiProvider");var l=Tn().apiEventsReady,u=Da().toastAlert,c=s(pt(),1)[0],d=s(e.useState(),2),E=d[0],m=d[1],T=s(e.useState({}),2),p=T[0],f=T[1],S=s(e.useState(),2),O=S[0],A=S[1],I=s(e.useState({text:"",page:0,tags:[],sortBy:"Best",orderBy:"Descending"}),2),v=I[0],_=I[1],N=s(e.useState({text:"",page:0,tags:[],sortBy:"RecentFirst"}),2),L=N[0],R=N[1];No(Ua);var g=s(No(za,Ya),2),h=g[0],y=g[1],M=s(No(wa,xa),2),C=M[0],b=M[1],D=s(No(Pa),1)[0],P=s(No(Mo),1)[0],k=s(No(la,ua),2),w=k[0],U=k[1],x=s(No(qa,Za,{}),2),B=x[0],G=x[1],F=s(No(Bo,Go),2),z=F[0],Y=F[1],H=s(No(qo),1)[0],j=s(No(Jo),1)[0],q=s(No(ea),1)[0],Q=s(No(Zo,Ha),2),Z=Q[0],$=Q[1],J=s(No($o),1)[0],ee=s(No(go),1)[0],te=s(No(ho),1)[0],ne=s(No(Wo),1)[0],oe=s(No(Ko),1)[0],ae=s(No(Lo),1)[0],re=s(No(Ro),1)[0],ie=s(No(Ao),1)[0],se=s(No(Io),1)[0],le=s(No(Ho),1)[0],ue=s(No(Yo),1)[0],ce=s(No(Vo,Ga),2),de=ce[0],Ee=ce[1],me=s(No(jo),1)[0],Te=s(No(Po,wo),2),fe=Te[0],Se=Te[1],Oe=s(No(ko),1)[0],Ae=s(No(Uo,Va),2),Ie=Ae[0],ve=Ae[1],_e=s(No(xo),1)[0],Ne=s(No(zo,Ba),2),Le=Ne[0],Re=Ne[1],ge=s(No(yo,Fa),2),he=ge[0],ye=ge[1],Me=s(No(oa),1)[0],Ce=s(No(na),1)[0],be=s(No(Co),1)[0],De=s(No(Wa),1)[0];return e.useEffect((function(){if((null==C?void 0:C.status)===V){var e=(null==C?void 0:C.data)||{},t=e.text,n=e.page,o=e.tags,a=e.sortBy,r=e.orderBy;v.text===t&&v.page===n&&o.length===v.tags.length&&o.every((function(e){var t;return Ft()(t=v.tags).call(t,e)}))&&v.sortBy===a&&v.orderBy===r||_({text:t,page:n,tags:o,sortBy:a,orderBy:r})}}),[v.page,v.orderBy,v.sortBy,v.tags,v.text,null==C?void 0:C.data,null==C?void 0:C.status]),e.useEffect((function(){if((null==w?void 0:w.status)===V){var e=(null==w?void 0:w.data)||{},t=e.text,n=e.page,o=e.tags,a=e.sortBy,r=e.orderBy;L.text===t&&L.page===n&&o.length===L.tags.length&&o.every((function(e){var t;return Ft()(t=L.tags).call(t,e)}))&&L.sortBy===a&&L.orderBy===r||R({text:t,page:n,tags:o,sortBy:a,orderBy:r})}}),[L.page,L.orderBy,L.sortBy,L.tags,L.text,null==w?void 0:w.data,null==w?void 0:w.status]),e.useEffect((function(){var e,t;(null==w?void 0:w.status)===W&&A({data:{mods:null==w||null===(e=w.data)||void 0===e||null===(t=e.mods)||void 0===t?void 0:pe()(t).call(t,(function(e){var t,n;return(null==e||null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())===X}))}})}),[null==w||null===(n=w.data)||void 0===n?void 0:n.mods,null==w?void 0:w.status]),e.useEffect((function(){(null==H?void 0:H.status)===W&&f((function(e){return Dt(Dt({},e),{},{[H.data.modId]:!0})}))}),[H]),e.useEffect((function(){m(Ce)}),[Ce]),e.useEffect((function(){m(Me)}),[Me]),e.useEffect((function(){(null==J?void 0:J.status)===W&&(U({payload:J.data,type:"addWipToPlayset"}),ye({payload:J.data,type:"addWipToPlayset"}),ve({type:"subscribeWip",payload:J.data}))}),[J,U,ye,ve]),e.useEffect((function(){var e;null!=Z&&Z.status&&((null==Z?void 0:Z.status)===V&&G({payload:Z,type:"add"}),(null===(e=Z.successfulSubscriptions)||void 0===e?void 0:e.length)>0&&(Z.successfulSubscriptions.forEach((function(e){U({payload:e.data,type:"addToPlayset"}),ye({payload:e.data,type:"addToPlayset"}),ve({type:"subscribe",payload:e.data}),G({payload:e,type:"remove"}),b({type:"addToPlayset",payload:e.data}),y({type:"addToPlayset",payload:e.data})})),$({type:"clearSuccessfulSubscriptions"})),(null==Z?void 0:Z.status)===K&&G({payload:Z,type:"remove"}))}),[G,ye,ve,U,Z,y,b,$]),e.useEffect((function(){(null==le?void 0:le.status)===W&&Re({type:"create",payload:le.data})}),[null==le?void 0:le.data,null==le?void 0:le.status,Re]),e.useEffect((function(){(null==ue?void 0:ue.status)===W&&Re({type:"delete",payload:{playsetId:ue.data.playsetId}})}),[null==ue?void 0:ue.status,null==ue?void 0:ue.data,null==Oe||null===(o=Oe.data)||void 0===o?void 0:o.playsetId,Re]),e.useEffect((function(){(null==Oe?void 0:Oe.status)===W&&(Se({type:"rename",payload:{name:Oe.data.name}}),Re({type:"rename",payload:{name:Oe.data.name,playsetId:Oe.data.playsetId}}))}),[Re,Se,Oe]),e.useEffect((function(){(null==ie?void 0:ie.status)===W&&ve({type:"setActivationOrder",payload:{modOrderList:ie.data.modOrderList}})}),[null==Ie||null===(a=Ie.data)||void 0===a?void 0:a.modOrderList,null==ie?void 0:ie.data,null==ie?void 0:ie.status,ve]),e.useEffect((function(){(null==se?void 0:se.status)===W&&ve({type:"setActivationOrder",payload:{modOrderList:se.data.modOrderList}})}),[ve,null==se?void 0:se.data,null==se?void 0:se.status,null==se||null===(r=se.data)||void 0===r?void 0:r.modOrderList]),e.useEffect((function(){(null==ee?void 0:ee.status)===W&&(ve({type:"enableMod",payload:{modId:ee.data.modId}}),ye({payload:ee.data,type:"enableMod"}))}),[null==ee?void 0:ee.data,null==ee?void 0:ee.status,ve,ye]),e.useEffect((function(){(null==te?void 0:te.status)===W&&ve({type:"enableWipMod",payload:{modName:te.data.modName}})}),[null==te?void 0:te.data,null==te?void 0:te.status,ve]),e.useEffect((function(){(null==ae?void 0:ae.status)===W&&(ve({type:"disableMod",payload:{modId:ae.data.modId}}),ye({payload:ae.data,type:"disableMod"}))}),[null==ae?void 0:ae.data,null==ae?void 0:ae.status,ve,ye]),e.useEffect((function(){(null==re?void 0:re.status)===W&&ve({type:"disableWipMod",payload:{modName:re.data.modName}})}),[null==re?void 0:re.data,null==re?void 0:re.status,ve]),e.useEffect((function(){(null==ne?void 0:ne.status)===W&&(ve({type:"enableAllMods",payload:{}}),u({message:c("TOASTS.ENABLED_PLAYSET_MODS")}))}),[null==ne?void 0:ne.data,null==ne?void 0:ne.status,ve,u,c]),e.useEffect((function(){(null==oe?void 0:oe.status)===W&&(ve({type:"disableAllMods",payload:{}}),u({message:c("TOASTS.DISABLED_PLAYSET_MODS")}))}),[null==oe?void 0:oe.data,null==oe?void 0:oe.status,ve,u,c]),e.useEffect((function(){(null==j?void 0:j.status)===W&&(U({payload:{playsetId:j.data.playsetId,modId:j.data.modId},type:"removeFromPlayset"}),b({payload:{playsetId:j.data.playsetId,modId:j.data.modId},type:"removeFromPlayset"}),ve({type:"unsubscribe",payload:{modId:j.data.modId}}),ye({type:"removeFromPlayset",payload:{playsetId:j.data.playsetId}}),y({type:"removeFromPlayset",payload:{playsetId:j.data.playsetId,modId:j.data.modId}}),G({payload:j,type:"remove"}),u({message:c("TOASTS.UNSUBSCRIBED_MOD")}))}),[j,ve,ye,U,G,u,c,b,y]),e.useEffect((function(){(null==q?void 0:q.status)===W&&(U({payload:{playsetId:q.data.playsetId,name:q.data.modName},type:"removeWipFromPlayset"}),ve({type:"unsubscribeWip",payload:{name:q.data.modName}}),u({message:c("TOASTS.UNSUBSCRIBED_MOD")}))}),[null==q?void 0:q.data,null==q?void 0:q.status,ve,U,u,c]),e.useEffect((function(){(null==me?void 0:me.status)===W&&Ee({type:"deactivate"})}),[null==me?void 0:me.status,Ee]),e.createElement(Ka.Provider,{value:{playsetDetailsState:fe,playsetModsState:Ie,playsetHasEnabledModsState:_e,playsetsState:Le,dispatchPlaysetMods:ve,activePlaysetState:de,transfersState:B,modDetailsState:he,userRatingState:E,modDependenciesState:be,reportModState:H,reportedMods:p,syncModsState:z,dispatchSync:Y,allSubscribedModsState:w,allSubscribedModsSearchQuery:L,wipModsState:O,wipModDetailsState:P,gameDataState:D,searchState:C,searchQuery:v,dispatchTransfers:G,dispatchModDetails:ye,featuredModsListsState:h,getForumPostsState:De}},l>=70&&i)},qa={name:"transfers",error:{title:"",message:""}},Qa=function(e){switch(e){case"PreStepsStarted":return"PREPARING";case"PatchDownloadStarted":return"PATCHING";case"PatchDownloadCompleted":case"ApplyOperationsStarted":return"APPLYING";case"ApplyOperationsCompleted":return"PERMISSIONS";case"ApplyPermissionsFlagsCompleted":case"CleanupCompleted":return"CLEANUP";default:return""}},Za=function(e,t){switch(t.type){case"add":return Dt(Dt({},e),{},{[t.payload.data.modId]:Dt(Dt({},t.payload.data),{},{status:t.payload.status,state:"ongoing",progress:0})});case"patch":return Dt(Dt({},e),{},{[t.payload.data.modId]:Dt(Dt(Dt({},e[t.payload.data.modId]),t.payload.data),{},{status:t.payload.status,stage:Qa(t.payload.data.stage)})});case"complete":return Dt(Dt({},e),{},{[t.payload.data.modId]:Dt(Dt({},t.payload.data),{},{status:t.payload.status,state:"success",progress:1})});case"remove":var n=Dt({},e);return delete n[t.payload.data.modId],n;default:return t.payload}};const $a=function(){var t,n=e.useContext(Ka),o=n.transfersState,a=n.dispatchTransfers,r=Tn().progressTrackerRef,i=e.useCallback((function(e){var t,n;return Boolean(o&&o[e]&&"success"!==(null===(t=o[e].state)||void 0===t?void 0:t.toLowerCase())&&"failed"!==(null===(n=o[e].state)||void 0===n?void 0:n.toLowerCase()))}),[o]),s=e.useCallback((function(e){if(o&&o[e]&&"ongoing"===o[e].state.toLowerCase()||o&&o[e]&&"installing"===o[e].state.toLowerCase())return o[e]}),[o]),l=e.useCallback((function(e){a({type:"add",payload:{data:{modId:e}}})}),[a]),u=e.useCallback((function(e){a({type:"remove",payload:{data:{modId:e}}})}),[a]);return{transfers:o,ongoingTransfers:pe()(t=me()(o||{})).call(t,(function(e){var t,n;return"ongoing"===(null==e||null===(t=e.state)||void 0===t?void 0:t.toLowerCase())||"installing"===(null==e||null===(n=e.state)||void 0===n?void 0:n.toLowerCase())})),modInProgress:s,isModInProgress:i,progressTracker:r.current,addTransfer:l,removeTransfer:u}},Ja="ModProgressBar-module__text--SPruj",er="ModProgressBar-module__textConsole--TnFDB";var tr=function(t){var n,o,a,r,i,l,c,d,E,m,T,p,f=t.modId,S=t.waitLabel,O=void 0===S?"PROGRESSBAR.QUEUED":S,A=$a(),I=A.progressTracker,v=A.modInProgress,_=jn().consoleMode,N=s(pt(),1)[0];return e.useEffect((function(){var e=v(f);if(e){var t,n,o=0;if(null!==(t=I[f])&&void 0!==t&&t.lastTimeStamp&&null!==(n=I[f])&&void 0!==n&&n.processedBytes&&e.size!==I[f].processedBytes){var a=(new Date).getTime()-I[f].lastTimeStamp;if(a<350)return;var r=ve()(e.processedBytes)-I[f].processedBytes;o=0===r?I[f].downloadSpeed:r/a*8e3}I[f]={processedBytes:ve()(e.processedBytes),lastTimeStamp:(new Date).getTime(),percentage:100*e.progress,downloadSpeed:o}}}),[v,f,I]),e.createElement("div",{className:"ModProgressBar-module__progressBarContainer--LGnlz"},(null===(n=v(f))||void 0===n?void 0:n.progress)>=0?e.createElement("div",{className:"ModProgressBar-module__progressBar--oSVCQ"},e.createElement("div",{className:"ModProgressBar-module__bar--Ns9ZZ",style:{width:"".concat((null===(o=I[f])||void 0===o?void 0:o.percentage)||0,"%")}}),e.createElement("div",{className:"ModProgressBar-module__labelContainer--NPnEv"},e.createElement("div",{className:_?er:Ja},"ongoing"===(null===(a=v(f))||void 0===a?void 0:a.state.toLowerCase())?N("SYNC.DOWNLOADING"):N("SYNC.INSTALLING.".concat(null===(r=v(f))||void 0===r?void 0:r.stage)))),e.createElement("div",{className:"ModProgressBar-module__textContainer--voms3"},(null===(i=I[f])||void 0===i?void 0:i.downloadSpeed)>0?e.createElement("div",{className:_?er:Ja},u()(l="".concat(null===(c=I[f])||void 0===c||null===(d=c.percentage)||void 0===d?void 0:d.toFixed(1),"% ")).call(l,(m=null===(E=I[f])||void 0===E?void 0:E.downloadSpeed,p=Math.max(0,Math.floor(function(e,t){return Math.log(e)/Math.log(1024)}(m))),u()(T="".concat(Math.round(100*(m/Math.pow(1024,p)+Number.EPSILON))/100," ")).call(T,["bit/s","Kbit/s","Mbit/s","Gbit/s","Tbit/s"][p])))):e.createElement(fo,{variant:"spinner",size:"1.6rem"}))):e.createElement("div",{className:_?er:Ja},N(O)))};const nr=e.memo(tr),or={root:"OutOfSyncPrompt-module__root--ReXzP","xbox-information-text":"OutOfSyncPrompt-module__xbox-information-text--cyyff","pc-information-text":"OutOfSyncPrompt-module__pc-information-text--CxPVM","xbox-title":"OutOfSyncPrompt-module__xbox-title--zZCuw","pc-title":"OutOfSyncPrompt-module__pc-title--deIF9","keep_cloud-button":"OutOfSyncPrompt-module__keep_cloud-button--IWrik","back-button":"OutOfSyncPrompt-module__back-button--WWkFl","keep_cloud-button-xbox":"OutOfSyncPrompt-module__keep_cloud-button-xbox--NeFtA","back-button-xbox":"OutOfSyncPrompt-module__back-button-xbox--yfe8I",buttons:"OutOfSyncPrompt-module__buttons--k2hNn"};var ar={KEEP_CLOUD:"KEEP_CLOUD",KEEP_LOCAL:"KEEP_LOCAL",BACK:"BACK",DOWNLOAD:"DOWNLOAD"},rr=e.forwardRef((function(t,n){var o=s(e.useState(),2),a=o[0],r=o[1],i=s(pt(),1)[0],l=e.useRef(),c=Fo().syncModsAndPlaysets,d=jn().consoleMode,E=Wn(),m=E.hasFocus,T=E.setFocus,p=s(e.useState(),2),f=p[0],S=p[1];e.useEffect((function(){return l.current&&T({type:"SET_FOCUS",payload:l}),function(){T({type:"SET_FOCUS",payload:n})}}),[n,T]);var O=e.useCallback((function(){ft()}),[]),A=e.useCallback((function(e){return function(t){return e===ar.BACK&&r(null),e!==ar.KEEP_CLOUD&&e!==ar.KEEP_LOCAL||r(e),e===ar.DOWNLOAD&&c({syncDirection:"KEEP_LOCAL"===a?"upstream":"downstream"}),S(null)}}),[a,c]),I=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;if(e.detail===t.A)return A(f)(null);if(e.detail===t.B)return O();if(e.detail===t.LEFT_STICK_RIGHT){if(f===ar.KEEP_CLOUD)return S(ar.KEEP_LOCAL);if(f===ar.BACK)return S(ar.DOWNLOAD)}if(e.detail===t.LEFT_STICK_LEFT){if(f===ar.KEEP_LOCAL)return S(ar.KEEP_CLOUD);if(f===ar.DOWNLOAD)return S(ar.BACK)}}),[f,S,O,A]);Dn({callbackPressed:I},m(l));var v=function(t,n,o){var a;return f||S(n),e.createElement(e.Fragment,null,e.createElement("h2",{className:or["".concat(d?"xbox":"pc","-title")]},i("OUT_OF_SYNC.".concat(t,".TITLE"))),e.createElement("p",{className:or["".concat(d?"xbox":"pc","-information-text")]},i("OUT_OF_SYNC.".concat(t,".INFORMATION"))),e.createElement("div",{className:or.buttons},Ae()(a=[n,o]).call(a,(function(n){var o,a;return e.createElement(Mn,{key:n,value:n,type:n===ar.DOWNLOAD?"primary":"ghost",size:d?"x-large":"small",onClick:A(n),className:or[u()(o="".concat(n.toLowerCase(),"-button")).call(o,d?"-xbox":"")],focused:d&&f===n},i(u()(a="OUT_OF_SYNC.".concat(t,".")).call(a,n)).toUpperCase())}))))};return e.createElement(qn,{closeHandler:!d&&O,consoleMode:d},e.createElement("div",{className:or.root,ref:l},a?e.createElement(e.Fragment,null,a.toLowerCase()===ar.KEEP_CLOUD.toLocaleLowerCase()?v("CLOUD",ar.BACK,ar.DOWNLOAD):v("LOCAL",ar.BACK,ar.DOWNLOAD)):v("PLAYSET_OUT_OF_SYNC",ar.KEEP_CLOUD,ar.KEEP_LOCAL)))}));const ir=e.memo(rr),sr="SyncManager-module__warningBoxConsoleHeader--MeIhe",lr="SyncManager-module__warningBoxHeader--Hozxr";var ur=function(t){var n,o,a,r,i,l,c,d,E=t.children,m=ma().hasFeature,T=s(pt(),1)[0],p=B().push,f=jn(),S=f.consoleMode,O=f.isXbox,A=f.isPlaystation,I=Wn().setFocus,v=Tn(),_=v.delayedStartWarning,N=v.setDelayedStartWarning,L=Un().features,R=Fo(),g=R.syncModsAndPlaysets,h=R.dispatchSync,y=R.syncConflicts,M=R.syncOngoing,C=R.syncCompleted,b=R.syncError,D=R.syncMerge,P=R.syncOutOfSpace;e.useEffect((function(){var e;if(!m(Z))return N(!0);var t=setTimeout((function(){N(!0)}),(null===(e=L.startwarningscreen)||void 0===e?void 0:e.minInitialVisibilityMS)||5e3);return function(){return clearTimeout(t)}}),[m,N,L]);var k=$a().transfers,w=e.useRef();Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;if(e.detail===t.A)return ft()}},M&&S),e.useEffect((function(){M&&S&&I({type:"SET_FOCUS",payload:w})}),[I,M,S]),e.useEffect((function(){g({})}),[g]);var U=e.useCallback((function(){p("/installed-mods"),h({type:"merge"})}),[h,p]);if(C&&_||D)return E;var x=me()(k),G=x.some((function(e){var t,n;return"ongoing"===(null==e||null===(t=e.state)||void 0===t?void 0:t.toLowerCase())||"installing"===(null==e||null===(n=e.state)||void 0===n?void 0:n.toLowerCase())}));return e.createElement(e.Fragment,null,b&&e.createElement(co,{ref:w,modalName:"SYNC_UNHANDLED_ERROR",title:T("ERROR.GENERIC.SYNC.TITLE"),text:T("SYNC.UNHANDLED_ERROR"),submitHandler:U,closeHandler:function(){return ft()},cancelText:T("SYNC.CLOSE"),confirmText:T("SYNC.DONE")}),P&&e.createElement(co,{ref:w,modalName:"OUT_OF_SPACE_MODAL",title:T("ERROR.GENERIC.SYNC.TITLE"),text:T("SYNC.OUT_OF_SPACE"),submitHandler:U,closeHandler:function(){return ft()},cancelText:T("SYNC.CLOSE"),confirmText:T("SYNC.DONE")}),(y||M||!_)&&e.createElement("div",{ref:w},y&&e.createElement(ir,{ref:w}),!y&&(M||!_)&&e.createElement("div",{ref:w},e.createElement(qn,{consoleMode:S,variant:"expandable",closeHandler:function(){return ft()}},e.createElement("h1",{className:S?"SyncManager-module__titleConsole--SVFpt":"SyncManager-module__title--LTJxR"},T("SYNC.TITLE")),e.createElement("p",{className:S?"SyncManager-module__textConsole--V2qgO":"SyncManager-module__text--egu7e"},T("SYNC.INFORMATION")),m(Z)&&e.createElement("div",{className:S?"SyncManager-module__warningBoxConsole--RSOPY":"SyncManager-module__warningBox--XC939"},null!==(n=L.startwarningscreen)&&void 0!==n&&n.text?e.createElement(e.Fragment,null,e.createElement("div",{className:S?sr:lr},null===(o=L.startwarningscreen)||void 0===o?void 0:o.title),null===(a=L.startwarningscreen)||void 0===a?void 0:a.text):e.createElement(Et,{i18nKey:"WARNING.START_SCREEN.".concat(O?"XBOX":A?"PLAYSTATION":"DEFAULT")},e.createElement("div",{className:S?sr:lr},"Important"),"Mods will alter the original experience of the game and are not pre-tested or verified by Paradox Interactive",O?" or Xbox":A?" or PlayStation":"",". We recommend creating a separate save file when playing with mods. All"," ",O?"Achievements":A?"Trophy":"Achievements"," ","progress will be disabled if at least one mod is active. You can always disable mods via the Installed mods tab. Paradox Mods are subject to the Paradox User Agreement.")),e.createElement("div",{className:S?"SyncManager-module__progressConsole--OeyDN":"SyncManager-module__progress--pw4X6"},e.createElement("div",{className:S?"SyncManager-module__progressbarContainerConsole--SuWHT":"SyncManager-module__progressbarContainer--TCngW"},e.createElement("p",{className:S?"SyncManager-module__modInProgressTextConsole--hU1jq":"SyncManager-module__modInProgressText--X8ixh"},u()(r=u()(i="".concat(pe()(l=x||[]).call(l,(function(e){return"success"===(null==e?void 0:e.state.toLowerCase())})).length," ")).call(i,T("SYNC.MODS_DONE"),", ")).call(r,Se()(x).call(x,(function(e){return"ongoing"===(null==e?void 0:e.state.toLowerCase())||"installing"===(null==e?void 0:e.state.toLowerCase())}))?u()(c="".concat(T("SYNC.UPDATING_MOD").toLowerCase()," ")).call(c,x.length):T("SYNC.CHECKING_MODS").toLowerCase())),G?Ae()(d=pe()(x).call(x,(function(e){return"ongoing"===(null==e?void 0:e.state.toLowerCase())||"installing"===(null==e?void 0:e.state.toLowerCase())}))).call(d,(function(t){return e.createElement("div",{key:null==t?void 0:t.modId,className:"SyncManager-module__progressDetailsContainer--Lgkxp"},e.createElement(nr,{modId:ve()(null==t?void 0:t.modId),waitLabel:"SYNC.WAITING_FOR_DOWNLOAD"}))})):e.createElement("div",{className:S?"SyncManager-module__loaderConsole--W_6dr":"SyncManager-module__loader--I0O21"},e.createElement(fo,{variant:"spinner",size:S?"4.8rem":"3.2rem"})))),e.createElement("div",{className:S?"SyncManager-module__buttonConsole--E7dTs":"SyncManager-module__button--yP0KJ"},e.createElement(Mn,{type:"ghost",size:S?"large":"small",onClick:ft,focused:S},T("SYNC.STOP_AND_CONTINUE_NEXT_TIME")))))))};const cr=e.memo(ur);var dr=function(t){var n=t.children;return e.createElement("div",{style:{width:"100%",height:"100%",display:"flex",justifyContent:"center",alignItems:"center"}},n)};const Er=e.memo(dr);var mr=n(6857),Tr=n.n(mr);const pr={8:{key:"backspace",mapsTo:bn.xboxOne.keyNumber.B},13:{key:"enter",mapsTo:bn.xboxOne.keyNumber.A},81:{key:"q",mapsTo:bn.xboxOne.keyNumber.LB},87:{key:"w",mapsTo:bn.xboxOne.keyNumber.RB},67:{key:"c",mapsTo:bn.xboxOne.keyNumber.LT},86:{key:"v",mapsTo:bn.xboxOne.keyNumber.RT},27:{key:"escape",mapsTo:bn.xboxOne.keyNumber.B},37:{key:"left",mapsTo:bn.xboxOne.keyNumber.LEFT_STICK_LEFT},38:{key:"up",mapsTo:bn.xboxOne.keyNumber.LEFT_STICK_UP},39:{key:"right",mapsTo:bn.xboxOne.keyNumber.LEFT_STICK_RIGHT},40:{key:"down",mapsTo:bn.xboxOne.keyNumber.LEFT_STICK_DOWN},49:{key:"1",mapsTo:bn.xboxOne.keyNumber.LB},57:{key:"9",mapsTo:bn.xboxOne.keyNumber.RB},65:{key:"a",mapsTo:bn.xboxOne.keyNumber.A},66:{key:"b",mapsTo:bn.xboxOne.keyNumber.B},68:{key:"d",mapsTo:bn.xboxOne.keyNumber.RIGHT_STICK_DOWN},82:{key:"r",mapsTo:bn.xboxOne.keyNumber.RIGHT_STICK_PRESS},85:{key:"u",mapsTo:bn.xboxOne.keyNumber.RIGHT_STICK_UP},88:{key:"x",mapsTo:bn.xboxOne.keyNumber.X},89:{key:"y",mapsTo:bn.xboxOne.keyNumber.Y},69:{key:"e",mapsTo:bn.xboxOne.keyNumber.VIEW_BUTTON},220:{key:"§",mapsTo:bn.xboxOne.keyNumber.MENU_BUTTON}};var fr=.75,Sr=function(t){var n=t.children,o=t.multiSupport,a=void 0!==o&&o,r=t.listenForAllInput,i=void 0!==r&&r,s=jn().consoleMode,l=(0,e.useRef)(0),c=e.useContext(En).gamepadRef,d=window.engine.isAttached?bn.xboxOneBrowser:bn.xboxOne;e.useEffect((function(){var e=document.getElementById("root");e&&window.engine.isAttached&&(e.style.pointerEvents=s?"none":"auto")}),[s]),e.useEffect((function(){!s&&null!=c&&c.current&&(c.current=null)}),[s,c]);var E=function(){for(var e=[],t=navigator.getGamepads(),n=0;n<t.length;n++)t[n]&&e.push(t[n]);return e},m=function(e){window.dispatchEvent(new CustomEvent("gamepadbuttondown",{detail:e}))},T=function(e){window.dispatchEvent(new CustomEvent("gamepadbuttonup",{detail:e}))},p=(0,e.useCallback)((function(e,t,n){var o,a={0:"LEFT_STICK_",1:"RIGHT_STICK_",x:n>0?"RIGHT":"LEFT",y:n>0?"DOWN":"UP"};return d.keyNumber[u()(o="".concat(a[t])).call(o,a[e])]}),[d.keyNumber]),f=(0,e.useCallback)((function(e){return function(t,n){var o=t.value;o&&o>0?e[n]&&0!==e[n]||m(n):e[n]>0&&T(n),e[n]=o}}),[]),S=(0,e.useCallback)((function(e){return function(t,n){var o=n%2?"y":"x",a=Math.floor(n/2);Math.abs(t)>fr?((Math.abs(e[n])<fr||l.current%(1===a?1:30)==0)&&m(p(o,a,t)),l.current++):e[n]&&Math.abs(e[n])>fr&&(T(p(o,a,t)),l.current=0),e[n]=t}}),[p]),O=e.useCallback((function(e){return!c.current&&(c.current=window.requestAnimationFrame(e))}),[c]),A=e.useCallback((function(){c.current&&(window.cancelAnimationFrame(c.current),c.current=void 0)}),[c]),I=(0,e.useCallback)((function(){var e=[],t=[];!function n(){c.current=void 0;var o=E();if(!(o.length<1)){var r=a?function(e){return e.reduce((function(e,t){return Ae()(e).call(e,(function(e,n){var o=Math.max(e.value,t.buttons[n].value),a=o>0;return{touched:a,pressed:a,value:o}}))}),e[0].buttons)}(o):o[0].buttons,i=a?function(e,t){return e.reduce((function(e,n){var o=Math.abs(e[0])>t||Math.abs(e[1])>t,a=Math.abs(e[2])>t||Math.abs(e[3])>t;return[o?e[0]:n.axes[0],o?e[1]:n.axes[1],a?e[2]:n.axes[2],a?e[3]:n.axes[3]]}),e[0].axes)}(o,fr):o[0].axes,s=f(e),l=S(t);r.forEach(s),i.forEach(l),O(n)}}()}),[S,f,c,a,O]);return(0,e.useEffect)((function(){var e=function(){setTimeout((function(){un.info("Gamepad connected"),O(I)}),0)},t=function(){setTimeout((function(){un.info("Gamepad disconnected"),E().length<1&&A()}),0)},n=function(e){return function(t){var n=document.activeElement.tagName.toLowerCase();if("input"!==n&&"textarea"!==n){var o=(t.keyCode||t.which)+t.location;pr[o]&&(Tr()(t)?l.current++:e(pr[o].mapsTo),Tr()(t)&&l.current%30==0&&(e(pr[o].mapsTo),l.current=0))}}},o=n(m),a=n(T);return un.info("Adding gamepad listeners"),window.addEventListener("gamepadconnected",e,!1),window.addEventListener("gamepaddisconnected",t,!1),s||i?(s&&null===c.current&&O(I),window.addEventListener("keydown",o),window.addEventListener("keyup",a),function(){un.info("Removing gamepad listeners"),window.removeEventListener("gamepadconnected",e),window.removeEventListener("gamepaddisconnected",t),window.removeEventListener("keydown",o),window.removeEventListener("keyup",a)}):(window.removeEventListener("keydown",o),window.removeEventListener("keyup",a),A())}),[O,I,s,i,c,A]),e.createElement(e.Fragment,null,n)};const Or=e.memo(Sr);var Ar=e.createContext({}),Ir=function(t){var n=t.children;un.debug("LanguageProvider");var o=e.useContext(Hn).language,a=pt().i18n,r=e.useCallback((function(e){switch(e){case"jp":document.body.style.fontFamily="Noto Sans CJK JP";break;case"kr":document.body.style.fontFamily="Noto Sans CJK KR";break;case"zh-sc":document.body.style.fontFamily="Noto Sans CJK SC";break;case"zh-tc":document.body.style.fontFamily="Noto Sans CJK TC";break;default:document.documentElement.style.fontFamily="Source Sans Pro"}}),[]);return e.useEffect((function(){r(o)}),[a,o,r]),e.useEffect((function(){var e=window.engine.on("set_language",(function(e){un.info("Engine On: SET_LANGUAGE"),r(e),a.changeLanguage(e)})),t=e.clear;return function(){return t()}}),[a,r]),e.createElement(Ar.Provider,{value:{}},n)},vr=n(7410),_r=n.n(vr);var Nr={x:"square",y:"triangle",a:"cross",b:"circle",leftbumper:"L1",rightbumper:"R1",lt:"L2",ltdark:"L2Dark",rt:"R2",rtdark:"R2Dark",leftstick:"LeftJoystick",rightstick:"RightJoystick",view:"Share",menu:"Options"};const Lr=function(t){var o=t.name,a=jn().inputMode,r="PS4"===a||"PS5"===a;return e.createElement("img",{className:"GamepadButtonIcon-module__root--f15qC",src:r?n(4233)("./".concat(Nr[o.toLowerCase()],".svg")):n(9455)("./".concat(o,".svg")),alt:r?Nr[o.toLowerCase()]:o})};var Rr=function(){var t=Cn().footerButtons,n=jn().consoleMode,o=s(pt(),1)[0],a=function(t){return function(n){var a,r;return Ae()(a=pe()(r=Yt()(n)).call(r,(function(e){return n[e]&&n[e].position===t}))).call(a,(function(t){return a=n[t],r=vt()("ConsoleFooter-module__footer-card--P0CX0",{"ConsoleFooter-module__footer-card-right--bLjeJ":"right"===a.position}),e.createElement("div",{className:r,key:a.name},e.createElement(Lr,{name:a.name}),e.createElement(Oa,{size:.8}),e.createElement("p",{className:"ConsoleFooter-module__text--WBBNl"},o(a.text)));var a,r}))}},r=a("left"),i=a("right");return n?e.createElement("div",{className:"ConsoleFooter-module__console-footer--_n0Sp"},e.createElement("div",{className:"ConsoleFooter-module__left-side--c_3yz"},r(t)),e.createElement("div",{className:"ConsoleFooter-module__right-side--rweuN"},i(t))):null};const gr=e.memo(Rr),hr={focused:"TopMenu-module__focused--lrl6X",root:"TopMenu-module__root--RFAGZ","menu-items":"TopMenu-module__menu-items--htgSm","close-button-container":"TopMenu-module__close-button-container--AtXPn"},yr=function(){return Wn().autofocusBlockerCounterRef.current>0},Mr=function(){return e.createElement("div",{className:"FlexFiller-module__root--fGLf0"})},Cr="InputText-module__error--LMsPW",br=function(){var t,n=jn().consoleMode,o=(t=s(Oo(Ua),1)[0],{showScreenKeyboard:e.useCallback((function(e){var n=e.title,o=e.placeholder,a=e.maxLength,r=e.description;return new(Rt())((function(e){return t({title:n,placeholder:o,maxLength:a,description:r},e)}))}),[t])}).showScreenKeyboard,a=Tn().uiState.hasCustomVirtualKeyboard,r=e.useCallback(At(St().mark((function e(){var t,a,r,i,s,l=arguments;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(t=l.length>0&&void 0!==l[0]?l[0]:"",a=l.length>1&&void 0!==l[1]?l[1]:"",r=l.length>2&&void 0!==l[2]?l[2]:"",i=l.length>3&&void 0!==l[3]?l[3]:512,n){e.next=6;break}return e.abrupt("return");case 6:return e.next=8,o({title:t,placeholder:a,description:r,maxLength:i});case 8:return s=e.sent,e.abrupt("return",(null==s?void 0:s.data)||{isCancelled:!0});case 10:case"end":return e.stop()}}),e)}))),[n,o]);return{openScreenKeyboard:r,hasCustomVirtualKeyboard:a}};var Dr=e.memo((function(t){var n=t.onChange,o=t.onFocus,a=void 0===o?F:o,r=t.onBlur,i=void 0===r?F:r,s=t.className,l=t.type,u=void 0===l?"text":l,c=t.maxInputLength,d=void 0===c?128:c,E=t.onKeyDown,m=t.title,T=t.value,p=t.focused,f=t.placeholder,S=t.id,O=t.name,A=t.Tag,I=void 0===A?"input":A,v=t.autoFocus,_=void 0!==v&&v,N=e.useRef(null),L=bn.xboxOne.keyNumber,R=br(),g=R.openScreenKeyboard,h=R.hasCustomVirtualKeyboard,y=jn(),M=y.consoleMode,C=y.isConsole,b=e.useCallback((function(e){if(M){if(E)return E(e);var t=e.keyCode||e.which;13!==t&&27!==t&&9!==t||(N.current.blur(),i())}}),[M,i,E]);e.useEffect((function(){if(null!=N&&N.current){var e=N.current;return e.addEventListener("keydown",b),function(){e.removeEventListener("keydown",b)}}}),[b]);var D=e.useCallback((function(e){n&&n(e.target.value)}),[n]),P=e.useCallback(At(St().mark((function e(){var t,o,r;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(C){e.next=4;break}return N.current.focus(),a(),e.abrupt("return");case 4:if(!h){e.next=13;break}return e.next=7,g(m,T,"",d);case 7:t=e.sent,o=t.isCancelled,r=t.text,o||n(r),e.next=16;break;case 13:N.current.focus(),N.current.blur(),i();case 16:case"end":return e.stop()}}),e)}))),[h,C,d,i,n,a,g,m,T]),k=e.useCallback((function(e){e.detail===L.A&&P()}),[L.A,P]),w=e.useRef(p);return e.useEffect((function(){w.current&&!p&&(N.current.blur(),i()),w.current=p}),[p,i]),Dn({callbackPressed:k},p),e.createElement(I,{ref:N,className:s,type:u,onChange:D,onBlur:i,value:T,id:S,maxLength:d,name:O,autoFocus:_,"vk-maxlength":d,"vk-title":m,"vk-type":u,"vk-description":"","vk-placeholder":f})}));const Pr=Dr;var kr=function(t){var n=t.className,o=t.value,a=t.onChange,r=t.label,i=t.errorMessage,s=t.focused,l=t.id,u=t.disabled,c=t.inputMaxLength,d=t.title,E=jn().consoleMode,m=vt()("InputText-module__input--Bz0tn",{"InputText-module__inputConsole--VTqqJ":E,[Cr]:i,[Cr]:i&&E,"InputText-module__focused--mmQjG":s,"InputText-module__disabled--_fF2L":u},n);return e.createElement(e.Fragment,null,r&&e.createElement("div",{className:vt()("InputText-module__label--sMrki",{"InputText-module__labelConsole--YwJjn":E})},r),e.createElement(Pr,{className:m,type:"text",value:o,onChange:u?void 0:a,maxLength:c,id:l,focused:s,title:d}),i&&e.createElement("div",{className:"InputText-module__validationError--x5k9S"},i))};const wr=e.memo(kr);var Ur="input",xr="cancel",Br="confirm",Gr=e.forwardRef((function(t,n){var o=t.modalName,a=t.title,r=t.text,i=t.children,l=t.submitHandler,u=t.closeHandler,c=t.cancelText,d=t.confirmText,E=t.inputMaxLength,m=bn.xboxOne.keyNumber,T=s(pt(),1)[0],p=e.useRef(),f=s(e.useState(""),2),S=f[0],O=f[1],A=s(e.useState(!1),2),I=A[0],v=A[1],_=Wn(),N=_.hasFocus,L=_.setFocus,R=jn().consoleMode,g=Cn().updateFooterButtons,h=s(e.useState(Ur),2),y=h[0],M=h[1],C=N(p);e.useEffect((function(){if(C)return g({A:{name:"A",text:"CONSOLE_FOOTER.CONFIRM",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.CANCEL",position:"right"}})}),[g,C]),e.useEffect((function(){return p.current&&L({type:"SET_FOCUS",payload:p}),function(){L({type:"SET_FOCUS",payload:n})}}),[n,L]);var b=e.useCallback((function(e){O(e)}),[]),D=e.useCallback((function(){if(S.replace(/\s/g,""))return l(S);v(!0)}),[S,l]),P=e.useCallback((function(e){switch(e.detail){case m.LEFT_STICK_DOWN:if(y!==Ur)break;M(Br);break;case m.LEFT_STICK_UP:if(y!==xr&&y!==Br)break;M(Ur);break;case m.LEFT_STICK_LEFT:if(y===xr||y===Ur)break;M(xr);break;case m.LEFT_STICK_RIGHT:if(y===Br||y===Ur)break;M(Br);break;case m.A:if(y===Br){D();break}if(y===xr){u();break}break;case m.B:u()}}),[u,y,m.A,m.B,m.LEFT_STICK_DOWN,m.LEFT_STICK_LEFT,m.LEFT_STICK_RIGHT,m.LEFT_STICK_UP,D]);return Dn({callbackPressed:P},C),e.createElement(qn,{closeHandler:u,modalName:o,consoleMode:R},e.createElement("div",{className:R?to:eo},i||e.createElement(e.Fragment,null,e.createElement("div",{className:R?ao:oo},a),e.createElement("div",{className:R?io:ro},r)),e.createElement(wr,{onChange:b,value:S,focused:y===Ur&&R&&C,inputMaxLength:E,title:a,errorMessage:I&&"".concat(T("ERROR.INPUT.EMPTY"))})),e.createElement("div",{className:no,ref:p},e.createElement(Mn,{type:"ghost",size:R?"x-large":"small",onClick:u,focused:R&&y===xr,className:R?$n:Qn},c||T("CONFIRM_MODAL.CANCEL")),e.createElement(Mn,{type:"primary",size:R?"x-large":"small",onClick:D,focused:R&&y===Br,className:R?Jn:Zn},d||T("CONFIRM_MODAL.RENAME"))))}));const Fr=e.memo(Gr);var zr=n(7698),Yr=n.n(zr);const Hr=function(t){var n=t.children,o=t.stickScroll,a=t.sliding,r=void 0!==a&&a,i=t.thin,s=void 0!==i&&i,l=(0,e.useRef)(),u=(0,e.useRef)(),c=(0,e.useRef)(),d=(0,e.useRef)(),E=(0,e.useRef)(!1),m=(0,e.useRef)(0),T=Cn().updateFooterButtons;(0,e.useEffect)((function(){var e;return"right"===o&&T((function(t){return e=t,Dt({RightStick:{name:"RightStick",text:"CONSOLE_FOOTER.SCROLL",position:"right"}},t)})),function(){T&&T((function(t){return e||t}))}}),[T,o]),(0,e.useEffect)((function(){var e=function(e,t,n,o){return e/(t-n)*(n-o)/n*100};u.current=l.current.firstChild,function t(){if(l.current&&d.current){var n=u.current,o=n.scrollTop,a=n.scrollHeight,i=ve()(c.current.getBoundingClientRect().height),s=function(e,t){return e/t*e}(i,a),E=r?e(o,a,i,s):e(o+8,a,i-8,s);d.current.style.height="".concat(s,"px"),d.current.style.top="".concat(E,"%"),d.current.style.display=a>i?"block":"none",window.requestAnimationFrame(t)}}()}),[r]);var p=function(){m.current=0,E.current=!1},f=function(e){if(E.current){if(m.current>0){var t=(e.y-m.current)/ve()(l.current.getBoundingClientRect().height)*u.current.scrollHeight;u.current.scrollTop+=t,u.current.dispatchEvent(new CustomEvent("scroll"))}m.current=e.y}};return(0,e.useEffect)((function(){return document.addEventListener("mousemove",f),document.addEventListener("mouseup",p),function(){document.removeEventListener("mousemove",f),document.removeEventListener("mouseup",p)}}),[]),Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.RIGHT_STICK_DOWN:"right"===o.toLowerCase()&&(u.current.scrollTop+=5);break;case t.RIGHT_STICK_UP:"right"===o.toLowerCase()&&(u.current.scrollTop-=5);break;case t.LEFT_STICK_DOWN:"left"===o.toLowerCase()&&(u.current.scrollTop+=5);break;case t.LEFT_STICK_UP:"left"===o.toLowerCase()&&(u.current.scrollTop-=5)}},callbackReleased:function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.RIGHT_STICK_DOWN:case t.RIGHT_STICK_UP:"right"===o.toLowerCase()&&(E.current=!1);break;case t.LEFT_STICK_DOWN:case t.LEFT_STICK_UP:"left"===o.toLowerCase()&&(E.current=!1)}}},Boolean(o)),e.createElement("div",{className:"ScrollBars-module__root--dnYvA",ref:l,style:window.engine.isAttached?{}:{height:"100%"}},n,e.createElement("div",{className:vt()("ScrollBars-module__scroll-bar-container--DKyzQ",{"ScrollBars-module__thin--jwiaD":s,"ScrollBars-module__sliding--xdnba":r}),ref:c},e.createElement("div",{className:"ScrollBars-module__scroll-bar-handle--mSJlM",ref:d,onMouseDown:function(){m.current=0,E.current=!0}})))},Vr=function(t){var n=t.focused,o=t.disabled,a=t.className,r=jn().consoleMode;return e.createElement("div",{className:vt()("SelectArrows-module__root--Qpce1",{"SelectArrows-module__focused--XmkV3":r&&n,"SelectArrows-module__pc--V0fCr":!r,"SelectArrows-module__disabled--zrIQL":o,[a]:a})})};var jr=function(t){var n=t.opacity;return e.createElement("div",{className:"DimBackground-module__root--p57l2",style:{opacity:"".concat(n)}})};const Wr=e.memo(jr);var Kr=e.forwardRef((function(t,n){var o,a=t.options,r=t.label,i=t.loading,l=t.dropdownLabel,c=t.loggedIn,d=t.offline,E=e.useRef(),m=s(e.useState(!1),2),T=m[0],p=m[1],f=s(e.useState(),2),S=f[0],O=f[1],A=e.useCallback((function(){(c||d)&&p((function(e){return!e}))}),[c,d]);e.useEffect((function(){O(i?{label:"LOADING PLAYSETS"}:Se()(a).call(a,(function(e){return e.selected}))||a[0])}),[i,O,a]),e.useEffect((function(){var e=function(e){var t;E.current&&E.current.children&&p(!Ft()(t=Yr()(n.current.children)).call(t,e.target.offsetParent))};return document.addEventListener("click",e,!1),function(){return document.removeEventListener("click",e,!1)}}),[T,n,p]);var I=function(e){return function(t){e.unselectable||O(e),e.action&&e.action(e)}};return e.createElement("div",{ref:n,className:"Dropdown-module__root--MoSY0"},e.createElement(Mn,{className:vt()("Dropdown-module__select-button--fyKFt",{"Dropdown-module__select-button-expanded--QOg1K":T}),type:"select",size:"small",onClick:A},S&&e.createElement("div",{className:vt()("Dropdown-module__select-button-option--J5x8p",{"Dropdown-module__select-button-option-disabled--KPECR":!c&&!d})},u()(o="".concat(r.toUpperCase(),": ")).call(o,S&&S.deactivate?S.labelDeactivated:S&&S.label)),e.createElement(Vr,{disabled:!c&&!d,className:"Dropdown-module__select-arrow--DYwIr"}),T&&e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:0}),e.createElement("div",{className:"Dropdown-module__drop-down--lMBwB",ref:E},l&&e.createElement("div",{className:"Dropdown-module__drop-down-title--KlLhZ"},null==l?void 0:l.toUpperCase()),e.createElement(Hr,{thin:!0,sliding:!0},e.createElement("div",{className:"Dropdown-module__scroll-container--lBdMl"},Ae()(a).call(a,(function(t){return e.createElement("div",{key:"option-".concat(t.id),onClick:I(t),className:vt()("Dropdown-module__option--tk7Rs",{"Dropdown-module__deactivate--fNCJu":t.deactivate,"Dropdown-module__unselectable--Q_vXE":t.unselectable})},t.selected&&e.createElement("div",{className:"Dropdown-module__selected-option-bullet--YI6dM"}),t.unselectable&&!t.deactivate&&e.createElement("div",{className:"Dropdown-module__plus-icon--RUigC"}),e.createElement("div",{className:"Dropdown-module__option-content--RFWW0"},t.label))}))))))))}));const Xr=e.memo(Kr);var qr={linear:e=>e,"ease-in":e=>e*e,"ease-out":e=>e*(2-e),"ease-in-out":e=>e<.5?2*e*e:(4-2*e)*e-1};const Qr=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=function t(n,o,a,r){var i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:300,s=arguments.length>5?arguments[5]:void 0,l=arguments.length>6?arguments[6]:void 0;e&&window.requestAnimationFrame((function(){var u=Date.now(),c=Math.min(1,(u-r)/i);if(n===o)return l?l():null;!function(e,t){e===document.body||e===document.documentElement||e instanceof Window?(document.body.scrollTop=t,document.documentElement.scrollTop=t):e.scrollTop=t}(e,s(c)*(o-n)+n),c<1?t(n,o,a,r,i,s,l):l&&l()}))},o=function(e){return e===document.body||e===document.documentElement||e instanceof Window?document.body.scrollTop||document.documentElement.scrollTop:e.scrollTop}(e),a=function(e){return e instanceof Window?{x:"scrollX",y:"scrollY"}.y:{x:"scrollLeft",y:"scrollTop"}.y}(e);return new(Rt())((function(e){var r;n(o,"number"==typeof t.top?t.top:o,a,Date.now(),t.duration,(r=t.easing,qr[r||"linear"]),e)}))};var Zr=function(e){return e.offsetTop},$r=function e(t,n){return t&&t!==n?t.offsetTop+e(t.offsetParent,n):0};const Jr=function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:0;if(e&&t){var o=(arguments.length>3&&void 0!==arguments[3]&&arguments[3]?$r:Zr)(e,t)-(t.getBoundingClientRect().height/2-e.getBoundingClientRect().height/2)+n;return Qr(t,{top:o,left:0,duration:300,easing:"ease-in-out"})}},ei={"selected-option":"XboxDropdown-module__selected-option--i7tEk",root:"XboxDropdown-module__root--nuwYe","drop-down-label":"XboxDropdown-module__drop-down-label--azxED","drop-down-label-disabled":"XboxDropdown-module__drop-down-label-disabled--hCoET","select-button":"XboxDropdown-module__select-button--mzYe5","select-button-disabled":"XboxDropdown-module__select-button-disabled--swbs5","select-button-option":"XboxDropdown-module__select-button-option--aeRRV","select-button-option-disabled":"XboxDropdown-module__select-button-option-disabled--IeUsA","scroll-container":"XboxDropdown-module__scroll-container--enQ9h","drop-down":"XboxDropdown-module__drop-down--SrTn2",option:"XboxDropdown-module__option--gJo5P","option-content":"XboxDropdown-module__option-content--CH5Fb",arrow:"XboxDropdown-module__arrow--C4xK6",deactivate:"XboxDropdown-module__deactivate--Zng4N",unselectable:"XboxDropdown-module__unselectable--GmKpP"};var ti=e.forwardRef((function(t,n){var o,a=t.loading,r=t.options,i=t.focused,l=t.label,c=t.expanded,d=t.setExpanded,E=t.loggedIn,m=t.offline,T=e.useRef(),p=s(e.useState(),2),f=p[0],S=p[1],O=s(e.useState(0),2),A=O[0],I=O[1],v=Wn(),_=v.hasFocus,N=v.setFocus;Kn(c);var L=e.useCallback((function(){d(!0),N({type:"SET_FOCUS",payload:n})}),[d,N,n]),R=e.useCallback((function(){d(!1),N({type:"SET_FOCUS_BY_NAME",payload:"PLAYSET_SELECTOR"})}),[d,N]);e.useEffect((function(){S(a?{label:"LOADING PLAYSETS"}:Se()(r).call(r,(function(e){return e.selected}))||r[0])}),[a,S,r]),e.useEffect((function(){var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(c){e.next=2;break}return e.abrupt("return");case 2:return e.next=4,gt();case 4:Jr(T.current.children[A],T.current);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}),[A,c]);var g=e.useCallback((function(e){if(e.unselectable||S(e),e.action&&e.action(e),"create"===e.id)return d(!1);R()}),[R,d]),h=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:g(r[A]);break;case t.B:R();break;case t.LEFT_STICK_DOWN:A<r.length-1&&I((function(e){return e+1}));break;case t.LEFT_STICK_UP:A>0&&I((function(e){return e-1}))}}),[g,I,A,r,R]),y=e.useCallback((function(e){e.detail===bn.xboxOne.keyNumber.A&&(E||m)&&L()}),[L,E,m]);return Dn({callbackPressed:h},c&&_(n)),Dn({callbackPressed:y},i&&!c),e.createElement("div",{className:ei.root,ref:n},e.createElement(Mn,{className:vt()(ei["select-button"],{[ei["select-button-disabled"]]:!E&&!m}),type:"ghost-select",size:"small",focused:i},e.createElement("div",{className:vt()(ei["select-button-option"],{[ei["select-button-option-disabled"]]:!E&&!m})},u()(o="".concat(l.toUpperCase(),": ")).call(o,f&&f.deactivate?f.labelDeactivated:f&&f.label)),e.createElement("div",{className:ei.arrow},e.createElement(Vr,{focused:i,disabled:!E&&!m})),c&&e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:.6}),e.createElement("div",{className:ei["drop-down"]},e.createElement("div",{className:ei["scroll-container"],ref:T},Ae()(r).call(r,(function(t,n){return e.createElement("div",{key:t.id,className:vt()(ei.option,{[ei["selected-option"]]:A===n,[ei.deactivate]:t.deactivate,[ei.unselectable]:t.unselectable})},e.createElement("div",{className:ei["option-content"]},t.selected&&e.createElement("div",{className:ei["selected-option-bullet"]}),t.label))})))))))}));const ni=e.memo(ti),oi=function e(t){return function(e){return e.dataset&&e.dataset.isScrollArea}(t)?t:t.parentElement?e(t.parentElement):null},ai=function(t){var n=t.ref,o=t.enabled,a=void 0===o||o,r=t.shouldScroll,i=void 0===r||r,s=t.explicitScrollRef,l=Wn(),u=l.hasFocus,c=l.setFocus,d=u(n),E=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LEFT_STICK_UP:return c({type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n});case t.LEFT_STICK_DOWN:return c({type:"NAVIGATE_OUTSIDE_SELF_DOWN",payload:n});case t.LEFT_STICK_LEFT:return c({type:"NAVIGATE_OUTSIDE_SELF_LEFT",payload:n});case t.LEFT_STICK_RIGHT:return c({type:"NAVIGATE_OUTSIDE_SELF_RIGHT",payload:n})}}),[n,c]);Dn({callbackPressed:E},a&&d),e.useEffect((function(){d&&i&&Jr(n.current,(null==s?void 0:s.current)||oi(n.current),0,!s)}),[d,i,n,s])},ri={fill:"Focusable-module__fill--risUl"};var ii=e.forwardRef((function(t,n){var o=t.children,a=t.name,r=t.onGamepadInputHandler,i=t.className,s=t.variant,l=t.disabled,u=t.autofocus,c=xn({ref:n,name:a,disabled:l,autofocus:u});ai({ref:n,shouldScroll:!1});var d=e.useCallback((function(e){r&&r(e.detail)}),[r]);Dn({callbackPressed:d},c);var E=vt()({[ri[s]]:s},i);return e.createElement("div",{ref:n,className:E},e.cloneElement(o,{focused:c}))}));const si=ii;var li=e.forwardRef((function(t,n){var o=t.focused,a=e.useRef(),r=s(e.useState(!1),2),i=r[0],l=r[1],c=s(e.useState([]),2),d=c[0],E=c[1],m=s(e.useState(!1),2),T=m[0],p=m[1],f=Xo().createPlayset,S=Na(),O=jn().consoleMode,A=Un().loggedIn,I=Sa().offline,v=Xo(),_=v.playsets,N=v.playsetsLoading,L=v.activatePlayset,R=v.deactivatePlayset,g=s(pt(),1)[0],h=e.useCallback((function(e){L({playsetId:e.id})}),[L]),y=e.useCallback((function(e){l(!0)}),[l]),M=e.useCallback((function(){R()}),[R]),C=e.useCallback((function(){var e,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[];return u()(e=[{label:g("PLAYSET_SELECTOR.CREATE_NEW_PLAYSET"),action:y,unselectable:!0,id:"create"},{label:g("PLAYSET_SELECTOR.DEACTIVATE_PLAYSET"),labelDeactivated:g("PLAYSET_SELECTOR.DEACTIVATED_PLAYSETS"),action:M,deactivate:!0,id:"deactivate",selected:0===S}]).call(e,kt(Ae()(t).call(t,(function(e){return{label:e.name,id:e.id,action:h,selected:S===e.id}}))))}),[g,y,M,S,h]);e.useEffect((function(){E(C(_))}),[_,C,E]);var b=e.useCallback((function(e){f({name:e}),l(!1)}),[f]),D=e.useCallback((function(){l(!1)}),[]),P=vt()(O?"PlaysetSelector-module__root-xbox--Vkfwc":"PlaysetSelector-module__root--Q7dgy");return e.createElement("div",{className:P},O?e.createElement(si,{name:"PLAYSET_SELECTOR",ref:a},e.createElement(ni,{focused:o,label:g("PLAYSET_SELECTOR.PLAYSET"),options:d,loading:N,ref:n,expanded:T,setExpanded:p,loggedIn:A,offline:I})):e.createElement(Xr,{options:d,label:g("PLAYSET_SELECTOR.PLAYSET"),loading:N,dropdownLabel:g("PLAYSET_SELECTOR.DROPDOWN_LABEL"),ref:n,loggedIn:A,offline:I}),i&&!T&&e.createElement(Fr,{modalName:"create_playset",title:g("PLAYSETS.CREATE_NEW_PLAYSET.TITLE"),text:g("PLAYSETS.CREATE_NEW_PLAYSET.NAME"),inputMaxLength:128,submitHandler:b,closeHandler:D,cancelText:g("PLAYSETS.CREATE_NEW_PLAYSET.CANCEL"),confirmText:g("PLAYSETS.CREATE_NEW_PLAYSET.CREATE"),ref:a}))}));const ui=e.memo(li),ci=function(t){var n=t.focused,o=La().triggerUIClosingFlow,a=Cn().updateFooterButtons;e.useEffect((function(){n&&a({A:{name:"A",text:"CONSOLE_FOOTER.CLOSE",position:"right"}})}),[a,n]);var r=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:case t.B:o()}}),[o]);return Dn({callbackPressed:r},n),e.createElement("div",{className:"CloseButton-module__root--eUnZe"},e.createElement("div",{className:vt()("CloseButton-module__closing-cross--AWwUX",{"CloseButton-module__focused--cAVj9":n}),onClick:o}))},di=function(){return e.createElement("div",{className:vt()("Dot-module__root--ZG0_Q")})},Ei=function(t){var n=t.id,o=t.onClick,a=t.icon,r=t.hasDot,i=t.disabled,l=t.isActive,u=s(pt(),1)[0],c=vt()("MenuItem-module__root--N0_ro",{"MenuItem-module__active--YfADi":l,"MenuItem-module__disabled--ILOe9":i});return e.createElement("div",{className:c,onClick:o},e.createElement("div",{className:vt()("MenuItem-module__icon--rFUHy",{"MenuItem-module__icon-disabled--ozdgV":i}),style:{backgroundImage:"url(".concat(a,")")}},r&&e.createElement(di,null)),e.createElement(Oa,{size:.4}),u("TOP_MENU.".concat(n)).toUpperCase())},mi=function(){return e.createElement("div",{className:vt()("ModsLogo-module__root--VUzZO")})},Ti=function(){return e.createElement("div",{className:vt()("Separator-module__root--gEllo")})},pi=n.p+"assets/56f4f229cbee1bd08f47.svg",fi=n.p+"assets/44511d431b8a33183117.svg",Si=n.p+"assets/23df61d3ffe43aff043c.svg",Oi=n.p+"assets/a88b4755d6132605fa9e.svg";var Ai=function(){var t,n,o=ma().hasFeature,a=Fo(),r=a.syncMerge,i=a.syncModsAndPlaysets,l=$a().ongoingTransfers,u=Cn().updateFooterButtons,c=jn().consoleMode,d=Sa().offline,E=Un().loggedIn,m=Wn(),T=m.hasFocus,p=m.setFocus,f=yr(),S=e.useRef(),O=e.useRef(),A=G(),I=B(),v=e.useCallback((function(e){return A.pathname!==e&&I.push(e)}),[A.pathname,I]),_=o(J),N=e.useMemo((function(){return[{id:"START",path:ie,icon:fi,disabled:d,hidden:!_||r,onClick:function(){return v(ie)}},{id:"BROWSE_ALL",path:se,icon:pi,disabled:d,hidden:r,onClick:function(){return v(se)}},{id:"PLAYSETS",path:le,icon:Oi,disabled:!E&&!d,hidden:r,onClick:function(){return v(le)}},{id:"INSTALLED_MODS",path:ue,icon:Si,hasDot:l&&l.length>0,disabled:!E&&!d,onClick:function(){return v(ue)}}]}),[v,_,E,d,l,r]),L=e.useMemo((function(){return kt(pe()(N).call(N,(function(e){var t=e.hidden,n=e.disabled;return!t&&!n})))}),[N]),R=null===(t=Se()(N).call(N,(function(e){var t,n=e.path;return en()(t=A.pathname).call(t,n)})))||void 0===t?void 0:t.id,g=s(e.useState(R),2),h=g[0],y=g[1];e.useEffect((function(){var e=Se()(N).call(N,(function(e){var t=e.path;return A.pathname===t}));e&&y(e.id)}),[A.pathname,N]),e.useEffect((function(){r&&T(O)?u({Menu:{name:"Menu",text:"SYNC.RESYNC",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.CLOSE",position:"right"}}):u({B:{name:"B",text:A.pathname===se?"CONSOLE_FOOTER.CLOSE":"CONSOLE_FOOTER.BACK",position:"right"}})}),[T,A.pathname,r,u]);var M=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.B:p({type:"SET_FOCUS",payload:O});break;case t.MENU_BUTTON:if(!r)break;if(!T(O))return;i({})}}),[T,p,r,i]),C=ra()(N).call(N,(function(e){return e.path===A.pathname}))>-1;Dn({callbackPressed:M},C&&!f&&!T(S));var b=function(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:500,o=e.useRef();return e.useCallback((function(e){o.current&&clearTimeout(o.current),o.current=setTimeout((function(){t(e)}),n)}),[t,n])}(e.useCallback((function(e){if((E||d)&&!r){var t=ra()(L).call(L,(function(e){return e.id===h})),n="left"===e?(L.length+t-1)%L.length:(L.length+t+1)%L.length,o=L[n];null==o||o.onClick()}}),[h,L,E,d,r]),150),D=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LB:b("left");break;case t.RB:b("right")}}),[b]);return Dn({callbackPressed:D},!0),e.createElement("div",{className:vt()(hr.root,{[hr["root-console"]]:c})},e.createElement(mi,null),e.createElement(Oa,{size:2.4}),e.createElement(Ti,null),c&&e.createElement(e.Fragment,null,e.createElement(Oa,{size:2.4}),e.createElement(Lr,{name:"LeftBumper"}),e.createElement(Oa,{size:.4})),e.createElement("div",{className:hr["menu-items"]},Ae()(n=pe()(N).call(N,(function(e){return!e.hidden}))).call(n,(function(t){return e.createElement(Ei,{key:t.id,id:t.id,icon:t.icon,onClick:function(){return!t.disabled&&t.onClick()},hasDot:t.hasDot,disabled:t.disabled,isActive:h===t.id})}))),c&&e.createElement(e.Fragment,null,e.createElement(Oa,{size:.4}),e.createElement(Lr,{name:"RightBumper"})),e.createElement(Oa,{size:2.4}),e.createElement(Mr,null),!r&&e.createElement(ui,{ref:S}),e.createElement(Oa,{size:1.6}),e.createElement(si,{name:"CLOSE_BUTTON",ref:O,className:hr["close-button-container"]},e.createElement(ci,null)),e.createElement(Oa,{size:1.6}))};const Ii=e.memo(Ai);var vi=e.createContext(),_i=function(t){var n=t.children,o=G().pathname,a=s(e.useState(null),2),r=a[0],i=a[1],l=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:i(t);case 3:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[]);return e.useEffect((function(){l(null)}),[o,l]),e.createElement(vi.Provider,{value:l},n,r)},Ni=function(){return e.useContext(vi)},Li=n(3926),Ri=n.n(Li);var gi=function(t,n){var o=B();e.useEffect((function(){n&&o.push(t)}),[n,o,t])},hi=function(e){return gi(ue,e)},yi=function(e){return gi(se,e)},Mi=n(5247),Ci=n.n(Mi),bi=function(e){var t,n=Ut()(t=kt(e)).call(t,(function(e,t){return e.id<t.id?-1:e.id>t.id?1:0})),o={isRoot:!0,children:[]};n.forEach((function(e){var t,n=e.id,a=e.displayName,r=n,i=pe()(t=r.split("__")).call(t,(function(e){return""!==e})),s={id:n,displayName:a,isSection:Ci()(r).call(r,"__"),isParentTag:!1,children:[]},l=function e(t){var n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(t.length===i.length)return o;var a=t.join("__"),r=(null==o?void 0:Se()(n=o.children).call(n,(function(e){var t;return Ft()(t=[a,"".concat(a,"__")]).call(t,e.id)})))||o;return e(Ct()(i).call(i,0,t.length+1),r)}(Ct()(i).call(i,0,1),o);l.children.push(s),l.isRoot||(l.isParentTag=!l.isSection&&l.children.length>0)})),function e(t){var n,o;Ut()(n=t.children).call(n,Di),Ut()(o=t.children).call(o,Pi),t.children.forEach((function(t){return e(t)}))}(o);var a=[],r=function e(t){a.push(t),t.children.forEach((function(t){return e(t)}))};return o.children.forEach((function(e){return r(e)})),{arrayFormat:a,treeFormat:o}},Di=function(e,t){return e.displayName<t.displayName?-1:e.displayName>t.displayName?1:0},Pi=function(e,t){if(e.isSection&&!t.isSection)return-1;if(t.isSection&&!e.isSection)return 1;if(e.isSection&&t.isSection){if(e.displayName<t.displayName)return-1;if(e.displayName>t.displayName)return 1}return 0},ki=function e(t,n,o){var a,r,i=t.id,s=Ae()(a=pe()(r=t.children).call(r,(function(e){if(e.isSection)return!0;var t=Ft()(n).call(n,e.id);return o===t}))).call(a,(function(t){return e(t,n,o)})),l=t.isSection?[]:[i];return u()(l).apply(l,kt(s))};const wi="#5abe41";var Ui=e.forwardRef((function(t,n){var o=t.title,a=t.isSelected,r=t.checked,i=t.toggle,s=t.consoleMode,l=t.isFirst,u=t.isLast,c=t.className,d=t.focused;Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;e.detail===t.A&&i()}},a);var E=vt()({"Checkbox-module__checkbox--eWvLr":!s},{"Checkbox-module__xbox-checkbox--elMSM":s},{"Checkbox-module__selected--s7gvO":a},{"Checkbox-module__margin-bottom--X7zsT":s&&u},{"Checkbox-module__margin-top--LoHE1":s&&l},{[c]:c}),m=vt()({"Checkbox-module__checkbox-icon--Lke3G":!s},{"Checkbox-module__xbox-checkbox-icon--DQ_Vy":s},{"Checkbox-module__focused--FfLak":d});return e.createElement("div",{className:E,onClick:i,ref:n},s?o:null,e.createElement("div",{className:m,style:r?{background:wi,borderWidth:"0px"}:{}},r&&e.createElement("div",{className:"Checkbox-module__check-icon--kED0A"})),s?null:o)}));const xi=e.memo(Ui),Bi="CheckboxList-module__limitedIndention--WzdCg",Gi=function(t){var n=t.title,o=t.filters,a=void 0===o?{}:o,r=t.activeFilters,i=t.toggle;return e.createElement(e.Fragment,null,e.createElement(Hr,{thin:!0},e.createElement("div",{className:"CheckboxList-module__scrollList--H0iSn"},n&&e.createElement("h3",{className:"CheckboxList-module__title--FvYOj"},n),function t(n,o){var a,s=Ae()(a=n.children).call(a,(function(e){var a=n.isSection||n.isParentTag&&n.children.length>0;return t(e,a?o+1:o)}));if(n.isRoot)return s;if(n.isSection)return e.createElement("div",{key:n.id,className:vt()("CheckboxList-module__section--bwJjj")},e.createElement("div",{className:"CheckboxList-module__sectionTitle--sdIxq"},n.displayName.toUpperCase()),e.createElement("div",{className:vt()("CheckboxList-module__sectionItems--vBCPk",{[Bi]:o>8})},s));var l=[e.createElement(xi,{key:n.id,toggle:function(){return i(ki(n,r,Ft()(r).call(r,n.id)))},checked:Ft()(r).call(r,n.id),title:n.displayName})];return s.length>0&&l.push(e.createElement("div",{key:"".concat(n.id,"-children"),className:vt()("CheckboxList-module__checkboxItems--wrotk",{[Bi]:o>8})},Ae()(s).call(s,(function(e){return e})))),l}(a.treeFormat,0))))};var Fi=e.forwardRef((function(t,n){var o,a=t.children,r=t.onMoveUp,i=t.onMoveDown,l=t.onChange,c=t.onButtonClick,d=t.name,E=t.autofocus,m=t.columns,T=void 0===m?3:m,p=t.startIndex,f=t.useScrollBars,S=void 0===f||f,O=t.navigateOutsideDownName,A=t.navigateOutsideUpName,I=pe()(o=e.Children.toArray(a||[])).call(o,Boolean),v=s(e.useState({x:0,y:0}),2),_=v[0],N=v[1],L=Wn().setFocus,R=Cn().updateFooterButtons,g=xn({ref:n,name:d,autofocus:E});e.useEffect((function(){if(void 0!==p){var e=ve()(p/T);N({x:p%T,y:e})}}),[T,p]),e.useEffect((function(){g||R({B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[R,g]),e.useEffect((function(){if(g){var e=_.x,t=_.y;l&&l(_,t*T+e)}}),[T,g,l,_]);var h=e.useCallback((function(e){var t=Math.ceil(I.length/T)-1,o=bn.xboxOne.keyNumber,a=_.x,s=_.y;switch(e.detail){case o.LEFT_STICK_UP:if(r&&!r(s*T+a))return;if(g&&s<=0)return L(A?{type:"SET_FOCUS_BY_NAME",payload:A}:{type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n});N({x:a,y:s-1});break;case o.LEFT_STICK_DOWN:var l=(s+1)*T+a;if(g&&s+1>t||l>=I.length)return L(O?{type:"SET_FOCUS_BY_NAME",payload:O}:{type:"NAVIGATE_OUTSIDE_SELF_DOWN",payload:n});N({x:a,y:s+1}),i&&i(l);break;case o.LEFT_STICK_RIGHT:if(a>=T-1||a>=T-1||s*T+a+1>=I.length)return L({type:"NAVIGATE_OUTSIDE_SELF_RIGHT",payload:n});N({x:a+1,y:s});break;case o.LEFT_STICK_LEFT:if(a<=0)return L({type:"NAVIGATE_OUTSIDE_SELF_LEFT",payload:n});N({x:a-1,y:s});break;default:var u=s*T+a;c&&c(e.detail,u,_)}}),[T,I.length,n,g,O,A,c,i,r,_,L]);Dn({callbackPressed:h},g);var y=e.useMemo((function(){return function(e,t){for(var n=[],o=kt(t);o.length>0;)n.push(sa()(o).call(o,0,e));return n}(T,I)}),[T,I]),M=e.useCallback((function(){return e.createElement(Aa,{size:1.6},Ae()(y).call(y,(function(t,n){var o,a,r,i;return e.createElement("div",{className:"Grid-module__row--b21Ee",key:"griditemchink-".concat(n)},e.createElement(Aa,{size:1.6},Ae()((a=t,r=T,i=e.createElement("div",{className:"Grid-module__padder--abqPr"}),o=r<=a.length?a:u()(a).call(a,Array(r-a.length).fill(i)))).call(o,(function(t,n){return e.createElement("div",{key:"griditem-".concat(n),className:"Grid-module__gridItemRoot--LcZPX"},t)}))))})))}),[T,y]);return e.createElement("div",{className:S?"Grid-module__root--m6PTE":"Grid-module__rootNoScroll--lWND1"},S?e.createElement(Hr,{thin:!0},e.createElement("div",{className:"Grid-module__grid--fFABg",ref:n},M())):e.createElement("div",{ref:n,className:"Grid-module__gridNoScroll--ACWfb"},M()))}));const zi=Fi,Yi=n.p+"assets/37a56e1e32552fe8f957.svg";var Hi=n(1661),Vi=n.n(Hi),ji=function(e){if(!e)return"0";if(e<1e3)return String(e);var t=Vi()(e).format("0.0a"),n=t.match(/(\.0)[a-z]/);return null!==n?t.replace(n[1],""):t},Wi=n(6877),Ki=n.n(Wi);const Xi=function(){var e=window.getComputedStyle(document.documentElement||document.body).fontSize,t=Ki()(e),n=e.split(Ki()(e).toString())[1];return"vw"!==n&&"vh"!==n||(t=t*("vw"===n?window.innerWidth:window.innerHeight)/100),{fontSize:t,unit:n}};var qi=/\.\*+$/,Qi="(?:\\..*|)",Zi=/\*+/,$i=".*",Ji=function(){function e(){at(this,e)}return it(e,null,[{key:"_mapVersionRangeToRegexp",value:function(t){var n,o,a=t.replace(qi,""),r=t.length!==a.length,i=Ae()(n=a.split(Zi)).call(n,e.escapeRegExp).join($i),s=r?u()(o="".concat(i)).call(o,Qi):i;return new RegExp("^".concat(s,"$"))}},{key:"escapeRegExp",value:function(e){return e.replace(/[.*+?^${}()|[\]\\]/g,"\\$&")}},{key:"_isVersionValid",value:function(e){return Boolean(e&&"string"==typeof e)}},{key:"satisfiesRange",value:function(t,n){var o=e._isVersionValid(t),a=e._isVersionValid(n);return!(!o||!a)&&e._mapVersionRangeToRegexp(n).test(t)}}]),e}(),es=function(e,t){var n=e.requiredGameVersion||e.requiredVersion,o=null==t?void 0:t.gameVersion;return!(!n||!o||Ji.satisfiesRange(o,n))};const ts=function(t){var n=t.button,o=t.callback,a=t.enabled,r=void 0===a||a,i=e.useCallback((function(e){e.detail===bn.xboxOne.keyNumber[n]&&o()}),[n,o]);Dn({callbackPressed:i},o&&r)},ns=function(t){var n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1,a=s(e.useState(),2),r=a[0],i=a[1];return e.useEffect((function(){var e=function(){var e=At(St().mark((function e(){var n,a;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:if(e.sent&&t.current){e.next=5;break}return e.abrupt("return");case 5:n=Xi(),a=n.fontSize,i("".concat(t.current.offsetWidth/a*o,"rem"));case 7:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}),[o,t,null===(n=t.current)||void 0===n?void 0:n.offsetWidth]),r},os={authorContainer:"Author-module__authorContainer--Ejvg3",paradoxLogo:"Author-module__paradoxLogo--x34fw",small:"Author-module__small--MktD5",medium:"Author-module__medium--vAc2p",large:"Author-module__large--mjVIP",thirdParty:"Author-module__thirdParty--lusnt",xboxlive:"Author-module__xboxlive--beKzK",psn:"Author-module__psn--InGTC"};var as=function(t){var n=t.author,o=t.thirdPartyProfiles,a=t.size,r=void 0===a?"small":a,i=jn().platform,l=s(e.useState(),2),u=l[0],c=l[1];return e.useEffect((function(){if(o&&o.length&&i){var e=Se()(o).call(o,(function(e){var t;return(null===(t=e.platform)||void 0===t?void 0:t.toLowerCase())===i}))||{};c(e.thirdPartyDisplayName)}}),[i,o]),e.createElement("div",{className:os.authorContainer},e.createElement("span",{className:vt()(os.paradoxLogo,[os[r]])},n),u&&e.createElement("span",{className:vt()(os.thirdParty,[os[r],os[i]])},u))};const rs=e.memo(as);var is=function(t){var n=t.inProgress,o=t.subscribed,a=t.toggleSubscriptionHandler,r=t.consoleMode;if(!a)return null;var i=vt()("ModItemControls-module__modControl--GOgzD",{"ModItemControls-module__subscribed--S8VbV":o,"ModItemControls-module__subscribe--u6NLH":!o});return e.createElement("div",{className:"ModItemControls-module__modControls--CsHmC"},n?e.createElement(mo,{size:"3.2rem"}):e.createElement(e.Fragment,null,(!r||r&&o)&&e.createElement("button",{className:i,onClick:a})))};const ss=e.memo(is),ls="ModItem-module__infoChip--Boa1k",us="ModItem-module__infoChipIcon--eeuXc";var cs=function(t){var n,o=t.data,a=t.game,r=t.isSelected,i=t.canSubscribe,l=void 0===i||i,c=t.addModRef,d=t.showImage,E=t.index,m=t.onClick,T=t.subscribed,p=t.onSubscribeClick,f=t.onUnsubscribeClick,S=t.inProgress,O=t.children,A=jn().consoleMode,I=e.useRef(new Image);I.current.src=Yi;var v=s(e.useState(I.current),2),_=v[0],N=v[1],L=e.useRef(),R=s(e.useState(!1),2),g=R[0],h=R[1],y=s(e.useState(!1),2),M=y[0],C=y[1];e.useEffect((function(){L&&L.current&&c(L,o.modId,E)}),[c,L,o.modId,E]),e.useEffect((function(){_.onerror||_.onload||!d||setTimeout((function(){var e,t=new Image;t.src=u()(e="".concat(o.thumbnailPath||o.cover,"?class=")).call(e,"modsui_browse_thumbnail"),t.onload=function(){C(!0),N(t)},t.onerror=function(){N(I.current.src)}}),2)}),[o.cover,o.thumbnailPath,_.src,_.onerror,_.onload,d]);var b=vt()("ModItem-module__itemContent--XScWa",{"ModItem-module__xboxSelect--q7972":A&&r}),D=e.useCallback((function(e){return e&&e.stopPropagation(),T?f(o):p(o)}),[o,p,f,T]);ts({button:ce,callback:m,enabled:r}),ts({button:"X",callback:D,enabled:r&&l});var P=e.useRef(),k=ns(P,1),w=Xi().fontSize,U=e.useMemo((function(){return P.current?"".concat(P.current.offsetWidth/w+.8,"rem"):"100%"}),[w,null===(n=P.current)||void 0===n?void 0:n.offsetWidth]);return e.createElement("div",{className:"ModItem-module__item--d9amY",ref:L},e.createElement("div",{className:b,ref:P,style:{backgroundImage:'url("'.concat(_.src,'")'),backgroundSize:M?"cover":"4rem",height:k},onClick:m,onMouseEnter:function(){h(!0)},onMouseLeave:function(){h(!1)}},(g||r||S||T)&&e.createElement("div",{className:vt()("ModItem-module__itemOverlay--MOsZ6",{"ModItem-module__withShadow--OQ2s4":g||S||T})},e.createElement(ss,{inProgress:S,subscribed:T,toggleSubscriptionHandler:l&&D,outdated:es(o,a),consoleMode:A}))),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:"ModItem-module__header--oT5UM",style:{maxWidth:U},onClick:m},o.displayName),e.createElement(Oa,{size:.4}),e.createElement("div",{className:"ModItem-module__info--SEePX"},e.createElement(Aa,{size:2.4},e.createElement("div",{className:ls},e.createElement("div",{className:vt()(us,"ModItem-module__sizeIcon--IuDoF")}),o.sizeText||0),o.ratingsTotal>=0&&e.createElement("div",{className:ls},e.createElement("div",{className:vt()(us,"ModItem-module__likesIcon--FFn92")}),ji(o.ratingsTotal)),e.createElement("div",{className:ls},e.createElement("div",{className:vt()(us,"ModItem-module__subscribersIcon--l9Dzm")}),ji(o.installedCount)))),e.createElement(Oa,{size:.4}),e.createElement("div",{className:"ModItem-module__author--YtbOW"},e.createElement(rs,{author:o.author,thirdPartyProfiles:!1})),e.createElement(Oa,{size:2}),O)};const ds=e.memo(cs),Es=function(t,n){var o=s(e.useState(t),2),a=o[0],r=o[1];return e.useEffect((function(){var e=setTimeout((function(){r(t)}),n);return function(){clearTimeout(e)}}),[t,n]),a},ms="SearchInput-module__focused--GXEVV",Ts="SearchInput-module__root--lUJmm",ps="SearchInput-module__rootConsole--etcQN";var fs=function(t){var n=t.text,o=t.onChange,a=t.onFocus,r=t.onBlur,i=t.onBackButton,l=void 0===i?F:i,u=s(pt(),1)[0],c=jn().consoleMode,d=Cn().updateFooterButtons,E=e.useRef(),m=xn({ref:E,name:"SEARCH"});ai({ref:E}),ts({button:"B",callback:l,enabled:m});var T=s(e.useState(n),2),p=T[0],f=T[1],S=s(e.useState(),2),O=S[0],A=S[1];e.useEffect((function(){m&&d({A:{name:"A",text:"CONSOLE_FOOTER.SEARCH",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[m,d]);var I=e.useCallback((function(e){f(e)}),[]),v=Es(p,500);return e.useEffect((function(){f(n)}),[n]),e.useEffect((function(){v!==n&&o(v)}),[v,o,n]),e.useEffect((function(){var e=function(){var e=At(St().mark((function e(){var t;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:vt()({[Ts]:!c,[ps]:c,[ms]:m}),t=vt()({[Ts]:!c,[ps]:c,[ms]:m}),A(t);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}),[c,m]),e.createElement("div",{className:O,ref:E},e.createElement("div",{className:c?"SearchInput-module__searchIconConsole--Lw18Q":"SearchInput-module__searchIcon--LoJPN"}),(!p||0===p.length)&&e.createElement("div",{className:c?"SearchInput-module__placeholderConsole--YCore":"SearchInput-module__placeholder--mAsdM"},u("SEARCH_INPUT.PLACEHOLDER")),e.createElement(Pr,{className:c?"SearchInput-module__searchInputConsole--vUQq1":"SearchInput-module__searchInput--QYgjN",type:"text",onChange:I,value:p,title:u("SCREEN_KEYBOARD.TITLES.SEARCH_MODS"),focused:m,placeholder:u("SEARCH_INPUT.PLACEHOLDER"),onFocus:a,onBlur:r}))},Ss=function(t){var n=s(e.useState(!1),2),o=n[0],a=n[1],r=e.useCallback((function(){return a(!0)}),[]),i=e.useCallback((function(){return a(!1)}),[]);return e.createElement(Pn,{name:"SEARCH_INPUT",boundedAutofocus:o},e.createElement(fs,_r()({},t,{onFocus:r,onBlur:i})))};const Os=e.memo(Ss);var As=e.forwardRef((function(t,n){var o=t.consoleMode,a=t.sortOptions,r=t.selectedIndex,i=t.clickHandler;return xn({ref:n,name:"SORT_BY_EXPANDED"}),Kn(),e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:o?.6:0}),e.createElement("div",{className:o?"SortByMenu-module__sortByMenuConsole--pboyO":"SortByMenu-module__sortByMenu--lLVet",ref:n},Ae()(a).call(a,(function(t,n){var s,l=o&&a[r]===t?"SortByMenu-module__selected--MpKuo":"";return e.createElement("div",{key:t.label,className:u()(s="".concat(o?"SortByMenu-module__rowConsole--tqniq":"SortByMenu-module__row--v8VzZ"," ")).call(s,l),onClick:function(){return i(n)}},t.label)}))))})),Is=e.forwardRef((function(t,n){var o,a=t.sortOptions,r=t.search,i=t.searchQuery,l=t.focused,u=t.onBackButton,c=void 0===u?F:u,d=e.useRef(),E=s(e.useState(!1),2),m=E[0],T=E[1],p=s(e.useState(0),2),f=p[0],S=p[1],O=s(pt(),1)[0],A=jn().consoleMode,I=Cn().updateFooterButtons,v=Wn(),_=v.hasFocus,N=v.setFocus;e.useEffect((function(){m&&N({type:"SET_FOCUS",payload:d})}),[m,N]),e.useEffect((function(){if(l||m)return I(m?{A:{name:"A",text:"CONSOLE_FOOTER.APPLY",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}:{A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}),function(){I({B:{name:"B",text:"CONSOLE_FOOTER.CLOSE",position:"right"}})}}),[I,m,l]),e.useEffect((function(){if(!A){var e=function(e){var t;d.current&&d.current.children&&T(!Ft()(t=Yr()(d.current.children)).call(t,e.target.offsetParent))};return document.addEventListener("click",e,!1),function(){return document.removeEventListener("click",e,!1)}}}),[T,A]);var L=e.useCallback((function(e){var t=e.sortBy,n=e.searchOrder;r(Dt(Dt({},i),{},{sortBy:t,orderBy:n,page:0}))}),[r,i]),R=e.useCallback((function(e){var t;if(!m)return T(!0);if(null===e||(null===(t=Se()(a).call(a,(function(e){return e.sortBy===i.sortBy&&e.searchOrder===i.orderBy})))||void 0===t?void 0:t.label)===a[e].label)return N({type:"SET_FOCUS",payload:n}),T(!1);var o=a[e],r=o.sortBy,s=o.searchOrder;L({sortBy:r,searchOrder:s}),T(!1),N({type:"SET_FOCUS",payload:n})}),[m,a,L,N,n,i.sortBy,i.orderBy]),g=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:return R(f);case t.B:if(N({type:"SET_FOCUS",payload:n}),m)return T(!1);if(c)return c();break;case t.LEFT_STICK_UP:if(!m)return;return f>0?S(f-1):null;case t.LEFT_STICK_DOWN:if(!m)return;return f+1<a.length?S(f+1):null}}),[R,f,N,n,m,c,a.length]);return Dn({callbackPressed:g},l||_(d)),e.createElement("div",{className:A?"SortByMenu-module__rootConsole--NQU8B":"SortByMenu-module__root--XbTGr"},!A&&e.createElement("span",{className:"SortByMenu-module__sortByText--NlGhK"},O("SORT_BY_MENU.SORT_BY")),e.createElement(Mn,{className:vt()({"SortByMenu-module__selectButton--SCE9Q":!A}),type:A?"ghost-select":"select",size:"small",onClick:function(){return R(null)},focused:l},A&&e.createElement("span",{className:"SortByMenu-module__normalText--_G4B2"},O("SORT_BY_MENU.SORT_BY")),null===(o=Se()(a).call(a,(function(e){return e.sortBy===i.sortBy&&e.searchOrder===i.orderBy})))||void 0===o?void 0:o.label,e.createElement(Vr,{focused:l}),m&&e.createElement(As,{consoleMode:A,sortOptions:a,selectedIndex:f,clickHandler:R,ref:d})))}));const vs=e.memo(Is),_s={focused:"ConsoleFilter-module__focused--hpvXY",root:"ConsoleFilter-module__root--OfIlE","select-button-xbox":"ConsoleFilter-module__select-button-xbox--AahVN","drop-down":"ConsoleFilter-module__drop-down--N9CR6",title:"ConsoleFilter-module__title--W_U3D","sub-title":"ConsoleFilter-module__sub-title--d9asy","tags-container":"ConsoleFilter-module__tags-container--lQeAS",tag:"ConsoleFilter-module__tag--TrNda","normal-text":"ConsoleFilter-module__normal-text--YUXfO",sectionTitle:"ConsoleFilter-module__sectionTitle--ihzQk",checkboxIndent:"ConsoleFilter-module__checkboxIndent--qbZBP",checkboxIndent1:"ConsoleFilter-module__checkboxIndent1--sMtV5",checkboxIndent2:"ConsoleFilter-module__checkboxIndent2--c_vXb",checkboxIndent3:"ConsoleFilter-module__checkboxIndent3--DNDXh",checkboxIndent4:"ConsoleFilter-module__checkboxIndent4--K1Aah",checkboxIndent5:"ConsoleFilter-module__checkboxIndent5--vsb5u",checkboxIndent6:"ConsoleFilter-module__checkboxIndent6--T7w_s",checkboxIndent7:"ConsoleFilter-module__checkboxIndent7--SFZmy",checkboxIndent8:"ConsoleFilter-module__checkboxIndent8--MSL9A"};var Ns=e.forwardRef((function(t,n){var o,a,r=t.tags,i=t.search,l=t.activeTags,c=void 0===l?[]:l,d=t.focused,E=t.onBackButton,m=void 0===E?F:E,T=e.useRef(),p=e.useRef(),f=e.useRef(),S=s(e.useState(!1),2),O=S[0],A=S[1];Kn(O);var I=e.useMemo((function(){var e;return ra()(e=r.arrayFormat).call(e,(function(e){return!e.isSection}))}),[r]),v=s(e.useState(I),2),_=v[0],N=v[1],L=s(pt(),1)[0],R=Cn().updateFooterButtons,g=Wn().setFocus,h=s(e.useState([]),2),y=h[0],M=h[1],C=xn({ref:p,name:"CONSOLE_FILTER"});e.useEffect((function(){M(c)}),[c]),e.useEffect((function(){O&&g({type:"SET_FOCUS",payload:p})}),[O,g]),e.useEffect((function(){var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(O){e.next=2;break}return e.abrupt("return");case 2:return e.next=4,gt();case 4:Jr(f.current,p.current);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}),[_,O]),e.useEffect((function(){if(d||O)return R(O?{A:{name:"A",text:"CONSOLE_FOOTER.ADD",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.APPLY_FILTERS",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}:{A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}),function(){R({B:{name:"B",text:"CONSOLE_FOOTER.CLOSE",position:"right"}})}}),[R,O,d]);var b=e.useCallback((function(){g({type:"SET_FOCUS",payload:n}),A(!1)}),[n,g]),D=e.useCallback((function(){c.length===y.length&&c.every((function(e){return Ft()(y).call(y,e)}))||i({tags:y,page:0}),b()}),[c,y,i,b]),P=e.useCallback((function(){M([]),N(I)}),[I]),k=e.useCallback((function(){if(O)return-1===_?P():void 0;A(!0)}),[O,A,_,P]),w=e.useCallback((function(){for(var e=_-1;e>=-1;e--)if(-1===e)y.length>0&&N(-1);else if(!r.arrayFormat[e].isSection){N(e);break}}),[_,r,y.length]),U=e.useCallback((function(){var e,t=ra()(e=r.arrayFormat).call(e,(function(e,t){return t>_&&!e.isSection}));-1!==t&&N(t)}),[r,_]),x=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:return k();case t.X:if(!O)return;return D();case t.B:if(!O)return m();if(M(c),O)return b();if(m)return m();break;case t.LEFT_STICK_UP:if(!O)return;w();break;case t.LEFT_STICK_DOWN:if(!O)return;U()}}),[k,O,D,m,c,b,w,U]);return Dn({callbackPressed:x},d&&!O||C),e.createElement("div",{className:_s.root},e.createElement(Mn,{className:_s["select-button-xbox"],type:"ghost-select",size:"small",focused:d},e.createElement("span",{className:_s["normal-text"]},c.length<1?L("CONSOLE_FILTER.FILTER").toUpperCase():u()(o="".concat(L("CONSOLE_FILTER.FILTERED")," (")).call(o,c.length,")")),e.createElement(Vr,{focused:d})),O&&e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:.6}),e.createElement("div",{className:_s["drop-down"],ref:T},e.createElement("div",{className:_s.title},L("CONSOLE_FILTER.TITLE"),y.length>0&&e.createElement(Mn,{type:"ghost",size:"medium",onClick:P,focused:-1===_},u()(a="".concat(L("FILTER.CLEAR_ALL")," (")).call(a,y.length,")"))),e.createElement("div",{className:_s["sub-title"]},L("CONSOLE_FILTER.TAGS").toUpperCase()),e.createElement("div",{className:_s["tags-container"],ref:p},r.arrayFormat.length>0&&function t(n,o){var a,i=Ae()(a=n.children).call(a,(function(e){var a=n.isSection||n.isParentTag&&n.children.length>0;return t(e,a?o+1:o)})),s=_>-1&&r.arrayFormat[_].id===n.id;if(n.isRoot)return i;if(n.isSection)return e.createElement(e.Fragment,{key:n.id},e.createElement("div",{className:vt()(_s.sectionTitle,_s["checkboxIndent".concat(Math.min(o,8))])},n.displayName.toUpperCase()),e.createElement(e.Fragment,null,i));var l=[e.createElement(xi,{ref:s?f:null,key:n.id,isSelected:s,toggle:function(){return function(e){Ft()(y).call(y,e.id)?function(e){var t=ki(e,y,Ft()(y).call(y,e.id));M((function(e){return pe()(e).call(e,(function(e){return!Ft()(t).call(t,e)}))}))}(e):function(e){var t=ki(e,y,Ft()(y).call(y,e.id));M((function(e){var n;return u()(n=[]).call(n,kt(e),kt(t))}))}(e)}(n)},checked:Ft()(y).call(y,n.id),title:n.displayName,isFirst:n.id===r.arrayFormat[0].id,isLast:n.id===r.arrayFormat[r.arrayFormat.length-1].id,consoleMode:!0,className:_s["checkboxIndent".concat(Math.min(o,8))]})];return i.length>0&&l.push(e.createElement(e.Fragment,{key:"".concat(n.id,"-children}")},Ae()(i).call(i,(function(e){return e})))),l}(r.treeFormat,0)))))}));const Ls=e.memo(Ns),Rs=function(t){var n=t.onViewEnter,o=t.interval,a=void 0===o?400:o,r=t.threshold,i=void 0===r?0:r,s=e.useRef();return e.useEffect((function(){if(s.current){var e=setInterval((function(){s.current.getBoundingClientRect().top<window.innerHeight-i&&n()}),a);return function(){clearInterval(e)}}}),[n,i,a]),e.createElement("div",{ref:s})},gs="DependenciesNotification-module__text--tJNtB",hs="DependenciesNotification-module__text-last--Sb7xZ",ys="DependenciesNotification-module__xbox-text--jFlmK",Ms="DependenciesNotification-module__xbox-text-last--v9DRt",Cs="DependenciesNotification-module__button-container--wCwlV",bs=function(e){var t;if(e<0||null==e||e>0x3fffffffffffc)return"";var n=Math.max(0,Math.floor(function(e,t){return Math.log(e)/Math.log(1024)}(e)));return u()(t="".concat(Math.round(100*(e/Math.pow(1024,n)+Number.EPSILON))/100," ")).call(t,["bytes","KB","MB","GB","TB"][n])};var Ds="INSTALL_ALL",Ps="INSTALL_THIS_ONLY",ks=e.forwardRef((function(t,n){var o,a=t.dependencies,r=t.modId,i=t.displayName,l=t.playsetId,u=t.closeHandler,c=s(pt(),1)[0],d=e.useRef(),E=Wn().setFocus,m=jn().consoleMode,T=s(e.useState(Ds),2),p=T[0],f=T[1],S=a.length-1,O=Us().subscribeMod,A=pe()(a).call(a,(function(e){return e.state&&"published"===e.state.toLowerCase()})),I=A.length!==a.length,v=(o=Ae()(A).call(A,(function(e){return ve()(e.size)})),bs(o.reduce((function(e,t){return e+t}),0))),_=xn({ref:d,name:"DEPENDENCIES_MODAL_".concat(r)});e.useEffect((function(){return d.current&&E({type:"SET_FOCUS",payload:d}),function(){E({type:"SET_FOCUS",payload:n})}}),[n,E]);var N=e.useCallback((function(e){e&&e.stopPropagation();var t=0;setTimeout((function e(){if(t>=A.length)return u(r);O({modId:A[t].id,playsetId:l,displayName:A[t].displayName,version:A[t].version}),t++,setTimeout(e,100)}),100)}),[A,u,r,l,O]),L=e.useCallback((function(e){O({modId:r,playsetId:l,displayName:i}),u(r)}),[O,r,l,i,u]),R=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:p===Ds&&N(e),p===Ps&&L(e);break;case t.B:u(r,!0);break;case t.LEFT_STICK_RIGHT:p!==Ds&&f(Ds);break;case t.LEFT_STICK_LEFT:p!==Ps&&f(Ps)}}),[p,N,L,u,r]);Dn({callbackPressed:R},_);var g=vt()("DependenciesNotification-module__title--GcOEe",{"DependenciesNotification-module__xbox-title--X_SWM":m}),h=vt()("DependenciesNotification-module__information-text--sYyzh",{"DependenciesNotification-module__xbox-information-text--iui5J":m}),y=vt()(gs,{[ys]:m}),M=vt()(hs,{[Ms]:m}),C=vt()("DependenciesNotification-module__install-all-button--a3Uzn",{"DependenciesNotification-module__xbox-install-all-button--aljdh":m}),b=vt()(gs,"DependenciesNotification-module__bad-dependencies--gJBfZ",{[ys]:m}),D=vt()(hs,"DependenciesNotification-module__bad-dependencies-reason--RjRyz",{[Ms]:m});return e.createElement(qn,{closeHandler:m?void 0:function(){return u(r,!0)},consoleMode:m},e.createElement("div",{className:"DependenciesNotification-module__root--iF3un",ref:d},e.createElement("h2",{className:g},c("DEPENDENCIES_NOTIFICATION.TITLE",{modName:i})),e.createElement("div",{className:h},e.createElement(Et,{i18nKey:"DEPENDENCIES_NOTIFICATION.INFORMATION",numberOfDependencies:S,totalSizeOfDependencies:v},e.createElement("p",{className:y},"This mod relies on..."," ",{numberOfDependencies:S}," required mods (total size:",{totalSizeOfDependencies:v}," "),e.createElement("p",{className:M},"to work...")),I&&e.createElement(Et,{i18nKey:"DEPENDENCIES_NOTIFICATION.NOT_PUBLISHED_DEPENDENCIES"},e.createElement("p",{className:b},"Note, some dependencies are not available for this mod which could cause the mod to not function correctly."),e.createElement("p",{className:D},"Possible reasons for this is that a dependency was banned, deleted or in other ways removed from a published state."))),e.createElement("div",{className:"DependenciesNotification-module__buttons--r_wby"},e.createElement("div",{className:Cs},e.createElement(Mn,{type:"ghost",size:m?"x-large":"small",onClick:L,focused:m&&p===Ps},c("DEPENDENCIES_NOTIFICATION.IGNORE_MODS"))),e.createElement("div",{className:Cs},e.createElement(Mn,{type:"primary",size:m?"x-large":"small",onClick:N,focused:m&&p===Ds,className:C},c("DEPENDENCIES_NOTIFICATION.SUBSCRIBE_TO_MODS"))))))}));const ws=e.memo(ks),Us=function(){var t,n,o,a=e.useContext(Ma).setDependencies,r=bo().getDependencies,i=(t=s(Oo(Zo),1)[0],n=s(Oo($o),1)[0],o=Yn().readWriteLocked,{subscribeMod:e.useCallback((function(e){var n=e.modId,a=e.playsetId,r=e.displayName,i=e.version,s=void 0===i?"":i,l=e.telemetry,u=void 0===l?{}:l;o||t({modId:ve()(n),playsetId:ve()(a),displayName:r,version:s,telemetry:u})}),[o,t]),subscribeWipMod:e.useCallback((function(e){var t=e.modName,a=e.playsetId,r=e.displayName;o||n({modName:t,playsetId:ve()(a),displayName:r})}),[o,n])}),l=i.subscribeMod,u=i.subscribeWipMod,c=ta(),d=c.unsubscribeMod,E=c.unsubscribeWipMod,m=$a(),T=m.addTransfer,p=m.removeTransfer,f=Sa().offline,S=pn().showErrorModal,O=s(pt(),1)[0],A=e.useCallback((function(e,t){a((function(n){return t&&p(e),Yt()(n).reduce((function(t,o){return o===e.toString()||(t[o]=n[o]),t}),{})}))}),[p,a]),I=e.useCallback((function(t){var n=t.modId,o=t.playsetId,r=t.dependencies,i=t.displayName,s=t.ref;a((function(t){return Dt(Dt({},t),{[n]:e.createElement(ws,{ref:s,modId:n,displayName:i,playsetId:o,dependencies:r,closeHandler:A,key:n})})}))}),[A,a]),v=e.useCallback((function(){S({title:O("ERROR.DEACTIVATED_PLAYSET.TITLE"),message:O("ERROR.DEACTIVATED_PLAYSET.MESSAGE"),type:oe})}),[S,O]),_=e.useCallback(function(){var e=At(St().mark((function e(t){var n,o,a,i,s,u,c,d,E;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(o=t.modId,a=t.playsetId,i=t.displayName,s=t.version,u=t.ref,c=t.telemetry,a){e.next=4;break}return v(),e.abrupt("return");case 4:if(T(o),e.t0=!f,!e.t0){e.next=10;break}return e.next=9,new(Rt())((function(e){r({modIds:[o],playsetId:a},e)}));case 9:e.t0=e.sent;case 10:if(d=e.t0,(E=null==d||null===(n=d.data)||void 0===n?void 0:pe()(n).call(n,(function(e){return!e.isSubscribed})))&&!(E.length<=1)){e.next=15;break}return l({modId:o,playsetId:a,displayName:i,version:s,telemetry:c}),e.abrupt("return");case 15:I({modId:o,playsetId:a,displayName:i,ref:u,dependencies:E});case 16:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[I,T,l,r,f,v]),N=e.useCallback((function(e){var t=e.modId,n=e.playsetId,o=e.displayName,a=e.version;n?l({modId:t,playsetId:n,displayName:o,version:a}):v()}),[l,v]),L=e.useCallback((function(e){var t=e.modName,n=e.playsetId,o=e.displayName;n?u({modName:t,playsetId:n,displayName:o}):v()}),[u,v]),R=e.useCallback((function(e){var t=e.modName,n=e.playsetId;n?E({modName:t,playsetId:n}):v()}),[E,v]);return{subscribeMod:N,subscribeWipMod:L,unsubscribeMod:e.useCallback((function(e){var t=e.modId,n=e.playsetId,o=e.telemetry;n?d({modId:t,playsetId:n,telemetry:o}):v()}),[d,v]),unsubscribeWipMod:R,subscribeWithDependencies:_}},xs={root:"BrowseAll-module__root--fjGyr",result:"BrowseAll-module__result--PTzo7",grid:"BrowseAll-module__grid--xLLGH",gridConsole:"BrowseAll-module__gridConsole--tONiW",gridItem:"BrowseAll-module__gridItem--HxXaF",header:"BrowseAll-module__header--mtwnl",headerConsole:"BrowseAll-module__headerConsole--rtwFX",resultTitle:"BrowseAll-module__resultTitle--SIle3",filter:"BrowseAll-module__filter--E_JjS",filterTitle:"BrowseAll-module__filterTitle--IHNnu",filterList:"BrowseAll-module__filterList--U7EZR",searchActions:"BrowseAll-module__searchActions--L_vLo",emtpyResult:"BrowseAll-module__emtpyResult--WszAq"},Bs=function(t){var n,o,a,r=t.location,i=s(e.useState(),2),l=i[0],c=i[1],d=s(e.useState(),2),E=d[0],m=d[1],T=e.useRef(),p=e.useRef(),f=e.useRef(),S=e.useRef(!1),O=s(pt(),1)[0],A=B(),I=A.push,v=A.replace,_=function(){var t=s(Oo(wa),1)[0],n=e.useContext(Ka),o=n.searchState,a=n.searchQuery,r=Tn().lastActiveModRef,i=e.useCallback((function(e){var n=e.text,o=void 0===n?"":n,a=e.page,r=void 0===a?0:a,i=e.tags,s=void 0===i?[]:i,l=e.sortBy,u=void 0===l?"Best":l,c=e.orderBy,d=void 0===c?"Descending":c;return new(Rt())((function(e){return t({text:o,page:r,tags:s,sortBy:u,orderBy:d},e)}))}),[t]),l=e.useCallback((function(e){r.current=e}),[r]);return{search:i,searchQuery:a,searchResult:null==o?void 0:o.data,searchResultLoading:(null==o?void 0:o.status)===V,lastActiveModIndex:-1!==r.current?r.current:void 0,setLastActiveModIndex:l}}(),N=_.search,L=_.searchQuery,R=_.searchResult,g=_.searchResultLoading,h=_.lastActiveModIndex,y=_.setLastActiveModIndex,M=Us(),C=M.unsubscribeMod,b=M.subscribeWithDependencies,D=$a().isModInProgress,P=ka(),k=P.gameData,w=P.gameDataLoading,U=jn().consoleMode,x=Wn(),G=x.hasFocus,F=x.setFocus,z=Sa().offline;hi(z);var Y=Na(),H=U?5:4,j=e.useMemo((function(){return new(Ri())(null==r?void 0:r.search).get("text")}),[null==r?void 0:r.search]),W=s(e.useState(null),2),K=W[0],X=W[1],q=e.useMemo((function(){return new(Ri())(null==r?void 0:r.search).get("tags")}),[null==r?void 0:r.search]);e.useEffect((function(){L.text&&X(null)}),[L.text]);var Q=e.useMemo((function(){return[{label:O("SORT_BY_MENU.MOST_POPULAR"),sortBy:te.BEST,searchOrder:ee.DESCENDING},{label:O("SORT_BY_MENU.MOST_RECENT"),sortBy:te.CREATED,searchOrder:ee.DESCENDING},{label:O("SORT_BY_MENU.LAST_UPDATED"),sortBy:te.UPDATED,searchOrder:ee.DESCENDING},{label:O("SORT_BY_MENU.MOST_SUBSCRIBED"),sortBy:te.POPULARITY,searchOrder:ee.DESCENDING}]}),[O]),Z=e.useCallback(At(St().mark((function e(){var t,n=arguments;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(t=n.length>0&&void 0!==n[0]?n[0]:{},!S.current){e.next=3;break}return e.abrupt("return");case 3:return y(void 0),m(void 0),S.current=!0,e.next=8,N(Dt(Dt({},L),t));case 8:S.current=!1;case 9:case"end":return e.stop()}}),e)}))),[N,L,y]);e.useEffect((function(){var e,t;if((!R||j&&j!==L.text||q&&q.split(",")!==L.tags)&&!z&&k&&!w){var n,o=new(Ri())(r.search),a=o.get("text"),i=o.get("tags"),s=o.get("sortBy"),l=o.get("orderBy"),u={};a?(u.text=a,u.page=0):(u.text="",u.page=0),i&&k.tags?u.tags=pe()(n=i.split(",")).call(n,(function(e){var t;return Se()(t=k.tags).call(t,(function(t){return t.id===e}))})):u.tags=[],s&&Ft()(e=me()(te)).call(e,s)&&(u.sortBy=s),l&&Ft()(t=me()(ee)).call(t,l)&&(u.orderBy=l),(i||s||l||a)&&(v({search:""}),a&&X(a)),Z(u)}}),[Z,z,R,r,v,k,w,j,L.text,L.tags,q]);var $=e.useCallback((function(e){return Z({text:e,page:0})}),[Z]),J=e.useCallback((function(e){var t,n=[],o=kt((null==L?void 0:L.tags)||[]);e.forEach((function(e){Ft()(o).call(o,e)?o=pe()(o).call(o,(function(t){return t!==e})):n.push(e)})),Z({tags:u()(t=[]).call(t,n,kt(o)),page:0})}),[Z,null==L?void 0:L.tags]),ne=e.useCallback((function(e){null!=R&&R.mods&&I("mod/".concat(R.mods[e].modId))}),[I,R]),oe=e.useCallback((function(e,t){c(t),y(t),de(!1)}),[y]),ae=!g&&R&&R.mods&&R.modsCount&&R.modsCount>R.mods.length,re=e.useCallback((function(){return Z({page:L.page+1})}),[Z,L.page]),ie=s(e.useState({}),2),se=ie[0],le=ie[1],ue=s(e.useState(!0),2),ce=ue[0],de=ue[1],Ee=e.useCallback((function(e,t){le((function(n){var o={};return o[t]=Dt({},n[t])||{},o[t].modRef=e,Dt(Dt({},n),o)}))}),[le]),Te=(e.useCallback((function(e){if(!se[e])return!1;var t=se[e].modRef;return function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:45;if(!(e&&e.current&&t&&t.current))return!1;var o=e.current.getBoundingClientRect(),a=t.current.getBoundingClientRect();return a.bottom<o.bottom+Math.ceil(a.height*(n/100))&&a.top>o.top-Math.ceil(a.height*(n/100))}(f,t)&&ce}),[se,ce]),Es(l,1e3));e.useEffect((function(){de(!0)}),[Te,de]);var fe=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:if(f.current&&f.current.children){e.next=4;break}return e.abrupt("return");case 4:Jr(f.current.children[2*Math.floor(t/H)],f.current);case 5:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[H]),Oe=e.useCallback((function(){m(0)}),[]);e.useEffect((function(){void 0===h||j||q||(h>0&&m(h),fe(h))}),[h,fe,q,j]);var Ie=e.useCallback((function(e){var t=e.modId;C({modId:t,playsetId:Y})}),[Y,C]),ve=e.useCallback((function(e){var t=e.modId,n=e.displayName,o=e.version;D(t)||b({modId:t,playsetId:Y,displayName:n,version:o,ref:f})}),[Y,D,b]),_e=e.useCallback((function(e){var t;return null==e||null===(t=e.playsets)||void 0===t?void 0:t.some((function(e){return e.playsetId===Y}))}),[Y]),Ne=e.useCallback((function(){return F({type:"SET_FOCUS_BY_NAME",payload:"SEARCH"})}),[F]);ts({button:"Y",callback:Ne}),ts({button:"LT",callback:Oe});var Le=Cn().updateFooterButtons,Re=_e(null!=R&&R.mods?null==R?void 0:R.mods[l]:{});return e.useEffect((function(){G(f)&&null!=R&&R.mods&&Le({A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:Re?"CONSOLE_FOOTER.UNSUBSCRIBE":"CONSOLE_FOOTER.SUBSCRIBE",position:"right"},Y:{name:"Y",text:"CONSOLE_FOOTER.SEARCH",position:"right"},LT:{name:"LT",text:"CONSOLE_FOOTER.SCROLL_TO_TOP",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[G,Re,R,null==R?void 0:R.mods,Le]),e.createElement("div",{className:xs.root},w||!R?e.createElement(Er,null,e.createElement(fo,{variant:"spinner",size:"4rem"})):e.createElement(e.Fragment,null,e.createElement("div",{className:U?xs.gridConsole:xs.grid},e.createElement("div",{className:U?xs.headerConsole:xs.header},e.createElement("div",{className:xs.resultTitle},O("SEARCH.MODS_AVAILABLE",{modsAvailable:R.modsCount})),e.createElement("div",{className:xs.searchActions},e.createElement(Os,{onChange:$,text:j||K||L.text}),e.createElement(Oa,{size:U?2.4:1.6}),e.createElement(si,{name:"SORT_BY_MENU",ref:T},e.createElement(vs,{search:N,searchQuery:L,sortOptions:Q,ref:T})),U&&e.createElement(e.Fragment,null,e.createElement(Oa,{size:2.4}),e.createElement(si,{name:"CONSOLE_FILTER",ref:p},e.createElement(Ls,{tags:bi((null==k?void 0:k.tags)||[]),ref:p,search:Z,activeTags:q?q.split(","):Ae()(n=L.tags).call(n,(function(e){return e}))}))))),e.createElement("div",{className:xs.result},void 0===R.mods?e.createElement(Er,null,e.createElement(fo,{variant:"spinner",size:"3.2rem"})):R.mods.length>0?e.createElement(e.Fragment,null,e.createElement(zi,{columns:H,ref:f,name:"SEARCH_MODS",autofocus:!0,onChange:oe,startIndex:E},Ae()(o=R.mods).call(o,(function(t,n){var o=_e(t),a=D(t.modId);return e.createElement(ds,{key:t.modId,data:t,game:k,addModRef:Ee,index:n,showImage:!0,consoleMode:U,isSelected:l===n&&G(f),onClick:function(){return ne(n)},subscribed:o,onSubscribeClick:ve,onUnsubscribeClick:Ie,inProgress:a})})),ae&&e.createElement(e.Fragment,null,e.createElement(Rs,{onViewEnter:re,threshold:-100}),e.createElement(Oa,{size:2.4})))):e.createElement("div",{className:xs.emtpyResult},O("SEARCH.NO_SEARCH_RESULTS")))),!U&&e.createElement("div",{className:pe()(xs)},e.createElement("div",{className:xs.filterTitle},O("FILTER.HEADING")),e.createElement("div",{className:xs.filterList},e.createElement(Gi,{title:O("FILTER.TAGS").toUpperCase(),filters:bi((null==k?void 0:k.tags)||[]),activeFilters:q?q.split(","):Ae()(a=L.tags).call(a,(function(e){return e})),toggle:J})))))};var Gs=e.forwardRef((function(t,n){var o=t.title,a=t.text,r=t.buttonText,i=t.onBack,l=s(pt(),1)[0],u=jn().consoleMode,c=Wn(),d=c.hasFocus,E=c.setFocus,m=Cn().updateFooterButtons,T=B().push,p=d(n)&&u;e.useEffect((function(){p&&m({A:{name:"A",text:"PLAYSET_DETAILS.EMPTY_STATE.ADD_MODS",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[p,m]);var f=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:return T("/");case t.B:if(i)return i();break;case t.LEFT_STICK_UP:return E({type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n})}}),[T,i,E,n]);return Dn({callbackPressed:f},p),e.createElement("div",{className:"EmptyModList-module__root--WU4zH"},e.createElement("div",{className:"EmptyModList-module__emptyContainer--uJK38"},e.createElement("h1",{className:"EmptyModList-module__title--N5v58"},o||l("PLAYSET_DETAILS.EMPTY_STATE.TITLE")),e.createElement(Oa,{size:.8}),e.createElement("div",{className:"EmptyModList-module__container--z96M9"},e.createElement("div",{className:u?"EmptyModList-module__informationConsole--v0ZiP":"EmptyModList-module__information--W3z40"},a||l("PLAYSET_DETAILS.EMPTY_STATE.DESCRIPTION"))),e.createElement(Oa,{size:u?4:3.2}),e.createElement("div",{className:"EmptyModList-module__buttonWrapper--G0V6S"},e.createElement(Mn,{type:"primary",size:u?"x-large":"medium",onClick:function(){return T("/")},focused:p,className:u?"EmptyModList-module__addButtonConsole--CkNOq":"EmptyModList-module__addButton--z4sEw"},r||l("PLAYSET_DETAILS.EMPTY_STATE.ADD_MODS").toUpperCase()))))}));const Fs=e.memo(Gs),zs={focused:"Stack-module__focused--yLUvW",stackRoot:"Stack-module__stackRoot--E4e5n",loading:"Stack-module__loading--hRx0m",stackItem:"Stack-module__stackItem--Xuxqf",stackItemConsole:"Stack-module__stackItemConsole--OCPl_",stackItemContainer:"Stack-module__stackItemContainer--IHN03",stackItemContainerFocused:"Stack-module__stackItemContainerFocused--R7KfW",scrollContainer:"Stack-module__scrollContainer--XAMl0",scrollContainerConsole:"Stack-module__scrollContainerConsole--iNsam",scrollbar:"Stack-module__scrollbar--uAaer",stackItemContainerDraggable:"Stack-module__stackItemContainerDraggable--xcri4"};var Ys=e.forwardRef((function(t,n){var o,a=t.children,r=t.name,i=t.autofocus,l=t.onButtonClick,u=t.onButtonReleased,c=t.onUpMove,d=t.onDownMove,E=t.onChange,m=t.onUnMount,T=t.loading,p=t.draggable,f=t.dragComponent,S=t.startIndex,O=t.slidingScrollbar,A=xn({ref:n,name:r,autofocus:i}),I=jn().consoleMode,v=Wn().setFocus,_=s(e.useState(0),2),N=_[0],L=_[1],R=pe()(o=e.Children.toArray(a||[])).call(o,Boolean);e.useEffect((function(){void 0!==S&&L(S)}),[S]),e.useEffect((function(){A&&E&&E(N)}),[A,N,E]),e.useEffect((function(){N<R.length||!A||(0===R.length?v({type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n}):L((function(e){return e-1})))}),[A,N,v,R.length,n]),e.useEffect((function(){return function(){m&&m()}}),[m]);var g=e.useCallback(At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:if(n.current&&A&&!T){e.next=4;break}return e.abrupt("return");case 4:N>0&&!n.current.children[N]?L(N-1):Jr(n.current.children[N],n.current);case 5:case"end":return e.stop()}}),e)}))),[A,n,T,N]);e.useEffect((function(){g()}),[g]);var h=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LEFT_STICK_UP:var o=N-1;if(c&&!c(o))return;if(0===N)return v({type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n});L(o),Jr(n.current.children[N],n.current);break;case t.LEFT_STICK_DOWN:var a=N+1;if(a>=R.length)break;d&&d(a),L(a),Jr(n.current.children[N],n.current);break;default:l&&l(e.detail,N)}}),[l,N,c,n,v,R.length,d]),y=e.useCallback((function(e){e.detail,u&&u(e.detail,N)}),[u,N]);return Dn({callbackPressed:h,callbackReleased:y},A),e.createElement("div",{className:zs.stackRoot},f&&f,T&&e.createElement("div",{className:zs.loading},e.createElement(Er,null,e.createElement(mo,{size:"10vh"}))),e.createElement(Hr,{thin:!0,sliding:O},e.createElement("div",{className:vt()(zs.scrollContainer,{[zs.scrollContainerConsole]:I,[zs.scrollContainerDraggable]:p}),ref:n},Ae()(R).call(R,(function(t,n){return e.createElement(Hs,{key:"item-".concat(t.key),focused:N===n&&I&&A,consoleMode:I,lastChild:n===R.length-1,draggable:p,index:n},t)})),e.createElement(Oa,{size:3.2}))))})),Hs=e.memo((function(t){var n=t.children,o=t.focused,a=t.consoleMode,r=t.lastChild,i=t.draggable,s=t.index,l=vt()(zs.stackItem,{[zs.stackItemConsole]:a,[zs.focused]:o}),u=vt()(zs.stackItemContainer,{[zs.stackItemContainerFocused]:o,[zs.stackItemContainerConsoleLast]:r,[zs.stackItemContainerDraggable]:i}),c=i?{top:"".concat(9.6*s,"rem")}:{};return e.createElement("div",{className:u,style:c},e.createElement("div",{className:l},n))}));const Vs=e.memo(Ys),js={listItem:"StackItem-module__listItem--GAPQk",outlined:"StackItem-module__outlined--HIKtv",disabled:"StackItem-module__disabled--aW0bR"},Ws=function(t){var n=t.children,o=t.onMouseEnter,a=t.onMouseLeave,r=t.className,i=t.variant,s=void 0===i?"outlined":i,l=t.color;return e.createElement("div",{className:vt()(js.listItem,js[s],js[l],r),onMouseEnter:o,onMouseLeave:a},n)},Ks=function(t){var n=t.onClick,o=t.children;return e.createElement("div",{onClick:n,className:"StackItemInfoArea-module__listInfo--FrHlu"},o)},Xs=function(t){var n=t.consoleMode,o=t.modType;return e.createElement("div",{className:vt()("StackItemModIcon-module__modIcon--ZSno5",{"StackItemModIcon-module__modIconConsole--4judO":n,"StackItemModIcon-module__iconSubscribed--VAmQ3":o===q,"StackItemModIcon-module__iconWIP--YIIng":o===X,"StackItemModIcon-module__iconUnmanaged--G0Gsw":o!==X&&o!==q,"StackItemModIcon-module__iconOutdated--HM5RV":o===Q})})},qs=function(t){var n,o=t.consoleMode,a=t.imagePath;return e.createElement("div",{className:vt()("StackItemImage-module__imagePlaceholder--Y2D3y",{"StackItemImage-module__imagePlaceholderConsole--LgDBp":o,"StackItemImage-module__defaultImage--EiD4Y":!a}),style:{backgroundImage:"url(".concat(a?u()(n="".concat(a,"?class=")).call(n,"modsui_playsets_thumbnail"):Yi,")")}})};var Qs=function(t){var n=t.consoleMode,o=t.title,a=t.subTitle;return e.createElement("div",{className:"StackItemTextContent-module__textContent--jkFDE"},e.createElement("div",{className:vt()("StackItemTextContent-module__textContentTitle--PBv0L",{"StackItemTextContent-module__textContentTitleConsole--gRxkZ":n})},o),e.createElement(Oa,{size:.8}),e.createElement("div",{className:vt()("StackItemTextContent-module__textContentSubTitle--i0nxj",{"StackItemTextContent-module__textContentSubTitleConsole--lQGR6":n})},a))},Zs=e.memo((function(t){var n=t.sizeText,o=t.author,a=t.consoleMode;return t.thirdPartyProfiles,e.createElement(e.Fragment,null,e.createElement("strong",null,n),o?e.createElement("div",{className:"StackItemTextContent-module__author--kPmlz"},e.createElement(Et,{i18nKey:"PLAYSET_DETAILS.LIST.AUTHOR"},e.createElement("div",{className:"StackItemTextContent-module__by--U4bCc"},"by"),e.createElement(rs,{author:o,size:a?"medium":"small",thirdPartyProfiles:!1}))):"")}));const $s=e.memo(Qs),Js=function(){var t=s(pt(),1)[0];return e.createElement("div",{className:vt()("StackItemModBanned-module__container--weA9A")},e.createElement("div",{className:vt()("StackItemModBanned-module__icon--PqNpz")}),t("LIST.BANNED_MOD"))},el=function(t){var n=t.consoleMode,o=t.onClick;return e.createElement("div",{className:n?"StackItemDeleteAction-module__deleteConsole--lhXtZ":"StackItemDeleteAction-module__delete--XXeE_",onClick:o})},tl=function(t){var n=t.subscribed,o=t.onSubscribe,a=t.onUnsubscribe,r=s(pt(),1)[0];return e.createElement("div",{className:"StackItemSubscribeAction-module__container--ItonE"},e.createElement(Mn,{type:n?"ghost":"primary",size:"small",onClick:n?a:o,className:vt()("StackItemSubscribeAction-module__button--d1cII")},r(n?"LIST.REMOVE_FROM_PLAYSET":"LIST.ADD_TO_PLAYSET")))};var nl=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return"PUBLISHED"!==(null==e?void 0:e.toUpperCase())};var ol=function(t){var n,o,a,r,i=t.mod,s=t.consoleMode,l=t.playsetId,u=t.isOutdated,c=t.isDownloaded,d=t.isDownloading,E=t.onModClickHandler,m=t.onSubscribeModHandler,T=t.onUnsubscribeModClickHandler,p=t.removeModHandler,f=t.playsets,S=t.syncMerge,O=Sa().offline,A=e.useMemo((function(){return null==f?void 0:f.some((function(e){return e.playsetId===l}))}),[f,l]),I=c?"disabled":d?"progress":"",v=c||S,_=i?O?null!==(n=i.localData)&&void 0!==n&&n.thumbnailFilename?null===(o=i.localData)||void 0===o?void 0:o.thumbnailPath:null:i.thumbnailPath:null;return e.createElement(Ws,{color:I},e.createElement(Ks,{onClick:function(){var e;return null!==(e=i.localData)&&void 0!==e&&e.contentPath?E(i):void 0}},e.createElement(Xs,{consoleMode:s,modType:null==i||null===(a=i.localData)||void 0===a||null===(r=a.localType)||void 0===r?void 0:r.toLowerCase()}),e.createElement(qs,{imagePath:_,consoleMode:s}),e.createElement($s,{consoleMode:s,title:i.displayName,subTitle:e.createElement(Zs,{consoleMode:s,author:i.author,sizeText:i.sizeText,thirdPartyProfiles:i.thirdPartyProfiles})}),nl(i.state)&&e.createElement(Js,null),u&&e.createElement(Xs,{consoleMode:s,modType:Q})),v?e.createElement(el,{onClick:function(){return p(i)},consoleMode:s}):d?e.createElement("div",{className:"ModListItem-module__progressContainer--kCMjg"},e.createElement(nr,{modId:ve()(i.modId)})):e.createElement(tl,{subscribed:A,onSubscribe:function(){return m(i)},onUnsubscribe:function(){return T(i)}}),!v&&e.createElement(Oa,{size:2.4}))};const al=e.memo(ol);var rl=function(e){var t,n;return(null==e||null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())===q},il=e.forwardRef((function(t,n){var o,a=t.mods,r=t.loading,i=t.startIndex,s=t.onChange,l=t.onUnMount,u=t.onButtonClick,c=Na(),d=Wn().setFocus,E=ka().gameData,m=B().push,T=Us(),p=T.subscribeWipMod,f=T.unsubscribeMod,S=T.unsubscribeWipMod,O=T.subscribeWithDependencies,A=Sa().offline,I=jn().consoleMode,v=Fo().syncMerge,_=$a(),N=_.isModInProgress,L=_.modInProgress,R=e.useCallback((function(e){v||A||rl(e)&&m("/mod/".concat(e.modId))}),[A,m,v]),g=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:rl(t)?f({modId:t.modId,playsetId:c}):S({modName:t.name,playsetId:c}),I&&d({type:"SET_FOCUS",payload:n});case 2:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[f,c,I,d,n,S]),h=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(!rl(t)){e.next=6;break}if(!N(t.modId)){e.next=3;break}return e.abrupt("return");case 3:O({modId:t.modId,playsetId:c,displayName:t.displayName,version:t.latestVersion,ref:n}),e.next=8;break;case 6:p({modName:t.name,playsetId:c}),I&&d({type:"SET_FOCUS",payload:n});case 8:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[N,O,c,n,p,I,d]),y=e.useCallback((function(e){var t;null===(t=e.playsets)||void 0===t||t.forEach((function(t){f({modId:e.modId,playsetId:t.playsetId})}))}),[f]);return r?null:e.createElement(Vs,{name:"PLAYSETS",autofocus:!0,ref:n,onButtonClick:function(e,t){var n,o,r=bn.xboxOne.keyNumber,i=null==a?void 0:a[t];switch(e){case r.A:R(i);break;case r.X:if((null===(n=i.localData)||void 0===n||!n.contentPath)&&!N(i.modId)||v)return y(i);null!==(o=i.playsets)&&void 0!==o&&o.some((function(e){return e.playsetId===c}))?g(i):h(i);break;default:u(e,t)}},onChange:s,loading:r,onUnMount:l,startIndex:i},!r&&Ae()(o=a||[]).call(o,(function(t){var n;return e.createElement(al,{key:rl(t)?t.modId:t.name,playsetId:c,mod:t,consoleMode:I,isOutdated:es(t,E),isDownloaded:!(null!==(n=t.localData)&&void 0!==n&&n.contentPath||N(t.modId)),isDownloading:L(t.modId),onSubscribeModHandler:h,onUnsubscribeModClickHandler:g,onModClickHandler:R,removeModHandler:y,playsets:t.playsets,syncMerge:v})})))}));const sl=e.memo(il),ll={installedMods:"InstalledMods-module__installedMods--qDViV",modsContainer:"InstalledMods-module__modsContainer--UNBxl",modsEmpty:"InstalledMods-module__modsEmpty--DhklF",header:"InstalledMods-module__header--moJH3",headerConsole:"InstalledMods-module__headerConsole--PybSr",resultTitle:"InstalledMods-module__resultTitle--ybRLh",result:"InstalledMods-module__result--Mf7rh",resultConsole:"InstalledMods-module__resultConsole--nk40C",stack:"InstalledMods-module__stack--BHLkN",stackConsole:"InstalledMods-module__stackConsole--jf5T0",filter:"InstalledMods-module__filter--_7Br7",filterTitle:"InstalledMods-module__filterTitle--Ysgo9",filterList:"InstalledMods-module__filterList--NUQSj",searchActions:"InstalledMods-module__searchActions--rml3H",searchActionsConsole:"InstalledMods-module__searchActionsConsole--vjbck",search:"InstalledMods-module__search--qdbPh",searchConsole:"InstalledMods-module__searchConsole--qkgC2",sortByConsole:"InstalledMods-module__sortByConsole--ikCRF",textStrong:"InstalledMods-module__textStrong--PJfvP",syncBar:"InstalledMods-module__syncBar--BJpb9",syncButton:"InstalledMods-module__syncButton--rPxAP",syncMergeText:"InstalledMods-module__syncMergeText--P7yai"};var ul=function(){var t,n=s(e.useState(),1)[0],o=e.useRef(),a=e.useRef(),r=e.useRef(),i=e.useRef(),l=e.useRef(!1),c=B().replace,d=s(pt(),1)[0],E=Wn().hasFocus,m=Cn().updateFooterButtons,T=jn().consoleMode,p=Fo(),f=p.syncMerge,S=p.syncModsAndPlaysets,O=p.syncOutOfSpace,A=p.syncError,I=Un(),v=I.offline,_=I.loggedIn;yi(!v&&!_);var N=ka(),L=N.gameData,R=N.gameDataLoading,g=function(){var t=s(Oo(la),1)[0],n=Yn().readWriteLocked,o=e.useContext(Ka),a=o.allSubscribedModsState,r=o.allSubscribedModsSearchQuery,i=o.wipModsState,l=Tn().lastActiveModRef,u=e.useCallback((function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},o=e.text,a=void 0===o?"":o,r=e.page,i=void 0===r?0:r,s=e.tags,l=void 0===s?[]:s,u=e.sortBy,c=void 0===u?"RecentFirst":u;if(!n)return new(Rt())((function(e){return t({text:a,page:i,tags:l,sortBy:c},e)}))}),[n,t]),c=e.useCallback((function(e){l.current=e}),[l]);return{getWipMods:u,wipMods:(null==i?void 0:i.data)||{mods:[]},wipModsLoading:(null==a?void 0:a.status)===V||!a,getAllSubscribedMods:u,allSubscribedMods:null==a?void 0:a.data,allSubscribedModsSearchQuery:r,allSubscribedModsLoading:(null==a?void 0:a.status)===V||!a,lastActiveModIndex:-1!==l.current?l.current:void 0,setLastActiveModIndex:c}}(),h=g.getAllSubscribedMods,y=g.allSubscribedModsSearchQuery,M=g.allSubscribedMods,C=g.allSubscribedModsLoading,b=e.useMemo((function(){var e;return null==M||null===(e=M.mods)||void 0===e?void 0:pe()(e).call(e,(function(e){return!f||f&&function(e){var t,n;return(null==e||null===(t=e.localData)||void 0===t||null===(n=t.localType)||void 0===n?void 0:n.toLowerCase())===q}(e)}))}),[null==M?void 0:M.mods,f]),D=null==b?void 0:b.length,P=null==y?void 0:y.tags,k=e.useMemo((function(){var e;return""!==(null==y?void 0:y.text)||0!==(null==y?void 0:y.page)||0!==(null==y||null===(e=y.tags)||void 0===e?void 0:e.length)}),[null==y?void 0:y.page,null==y||null===(t=y.tags)||void 0===t?void 0:t.length,null==y?void 0:y.text]),w=Na(),U=e.useMemo((function(){return[{label:d("SORT_BY_MENU.MOST_RECENT"),sortBy:ne.RECENT_FIRST},{label:d("SORT_BY_MENU.OLDEST"),sortBy:ne.OLDEST_FIRST},{label:d("SORT_BY_MENU.MOST_PLAYSETS"),sortBy:ne.MOST_PLAYSETS},{label:d("SORT_BY_MENU.LEAST_PLAYSETS"),sortBy:ne.LEAST_PLAYSETS},{label:d("SORT_BY_MENU.AZ"),sortBy:ne.ASCENDING_NAME},{label:d("SORT_BY_MENU.ZA"),sortBy:ne.DESCENDING_NAME}]}),[d]),x=e.useCallback(At(St().mark((function e(){var t,n=arguments;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(t=n.length>0&&void 0!==n[0]?n[0]:{},!l.current){e.next=3;break}return e.abrupt("return");case 3:return l.current=!0,e.next=6,h(Dt(Dt({},y),t));case 6:l.current=!1;case 7:case"end":return e.stop()}}),e)}))),[h,y]),G=e.useCallback((function(e){return x({text:e,page:0})}),[x]),F=e.useCallback((function(e){var t,n=[],o=kt(P||[]);e.forEach((function(e){Ft()(o).call(o,e)?o=pe()(o).call(o,(function(t){return t!==e})):n.push(e)})),x({tags:u()(t=[]).call(t,n,kt(o)),page:0})}),[x,P]);e.useEffect((function(){var e;if(v||L&&!R){var t,n=new(Ri())(location.search),o=n.get("tags"),a=n.get("sortBy"),r={};o&&L.tags&&(r.tags=pe()(t=o.split(",")).call(t,(function(e){var t;return Se()(t=L.tags).call(t,(function(t){return t.id===e}))}))),a&&Ft()(e=me()(ne)).call(e,a)&&(r.sortBy=a),(o||a)&&c({search:""}),x(r)}}),[x,v,c,L,R]),e.useEffect((function(){if(E(r))return f?m({Menu:{name:"Menu",text:"SYNC.RESYNC",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.DELETE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.CLOSE",position:"right"}}):v?m({A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.UNSUBSCRIBE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}):void m({A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.UNSUBSCRIBE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[E,r,m,f,v]);var z=e.useCallback((function(){f&&S({})}),[f,S]),Y=e.useCallback((function(e){var t,n;if(f||!b||!D)return!0;var o=b[e];if(o){var a=null===(t=o.playsets)||void 0===t?void 0:t.some((function(e){return e.playsetId===w})),r=Boolean(null===(n=o.localData)||void 0===n?void 0:n.contentPath),i={A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:r?a?"CONSOLE_FOOTER.UNSUBSCRIBE":"CONSOLE_FOOTER.SUBSCRIBE":"CONSOLE_FOOTER.DELETE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}};v&&(i={X:{name:"X",text:r?a?"CONSOLE_FOOTER.UNSUBSCRIBE":"CONSOLE_FOOTER.SUBSCRIBE":"CONSOLE_FOOTER.DELETE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}),m(i)}}),[b,D,v,w,f,m]);return e.createElement("div",{className:ll.installedMods},f&&O&&e.createElement("div",{className:ll.syncMergeText},d("SYNC.OUT_OF_SPACE")),f&&A&&e.createElement("div",{className:ll.syncMergeText},d("SYNC.UNHANDLED_ERROR")),e.createElement("div",{className:vt()(ll.modsContainer,{[ll.modsContainerConsole]:T})},!v&&R||!M?e.createElement(Er,null,e.createElement(fo,{variant:"spinner",size:"4rem"})):0!==D||k||f?e.createElement(e.Fragment,null,e.createElement("div",{className:T?ll.stackConsole:ll.stack},e.createElement("div",{className:T?ll.headerConsole:ll.header},e.createElement("div",{className:ll.resultTitle},b&&d("INSTALLED_MODS.MODS_INSTALLED",{modsAvailable:D})),!f&&e.createElement("div",{className:T?ll.searchActionsConsole:ll.searchActions},e.createElement("div",{className:T?ll.searchConsole:ll.search},e.createElement(Os,{onChange:G,text:M.text})),e.createElement("div",{className:T?ll.sortByConsole:ll.sortBy},e.createElement(si,{name:"SORT_BY_MENU",ref:o},e.createElement(vs,{search:x,searchQuery:y,sortOptions:U,ref:o}))),T&&!v&&e.createElement(si,{name:"CONSOLE_FILTER",ref:a},e.createElement(Ls,{tags:bi((null==L?void 0:L.tags)||[]),ref:a,search:x,activeTags:Ae()(P).call(P,(function(e){return e}))})))),e.createElement("div",{className:T?ll.resultConsole:ll.result},!(f&&0===D)&&e.createElement(sl,{mods:b,startIndex:n,loading:C,onButtonClick:function(e){switch(e){case bn.xboxOne.keyNumber.MENU_BUTTON:if(!f)break;S({})}},onChange:Y,ref:r}))),!T&&!v&&!f&&e.createElement("div",{className:pe()(ll)},e.createElement("div",{className:ll.filterTitle},d("FILTER.HEADING")),e.createElement("div",{className:ll.filterList},e.createElement(Gi,{title:d("FILTER.TAGS").toUpperCase(),filters:bi((null==L?void 0:L.tags)||[]),activeFilters:Ae()(P).call(P,(function(e){return e}))||[],toggle:F})))):e.createElement("div",{className:ll.modsEmpty},e.createElement(si,{ref:i,name:"NO_MODS",variant:"fill",autofocus:!0},e.createElement(Fs,{ref:i,title:d("LIST.EMPTY_STATE.TITLE"),text:d("LIST.EMPTY_STATE.TEXT"),buttonText:d("LIST.EMPTY_STATE.BUTTON")})))),f&&!T&&e.createElement("div",{className:ll.syncBar},e.createElement(Mn,{type:"primary",size:"small",className:ll.syncButton,onClick:z},d("SYNC.RESYNC"))))};const cl=e.memo(ul);var dl=function(t){var n=t.options,o=e.useRef(),a=e.useRef(),r=s(e.useState(!1),2),i=r[0],l=r[1],u=e.useCallback((function(){l((function(e){return!e}))}),[]);e.useEffect((function(){var e=function(e){var t;a.current&&a.current.children&&l(!Ft()(t=Yr()(o.current.children)).call(t,e.target.offsetParent))};return document.addEventListener("click",e,!1),function(){document.removeEventListener("click",e,!1)}}),[i,o,l]);var c=vt()("PCActionDropdown-module__drop-down-glow--HtgAg","PCActionDropdown-module__drop-down--oL4G7");return e.createElement("div",{ref:o,className:"PCActionDropdown-module__root--ayRcr"},e.createElement(Mn,{className:"".concat("PCActionDropdown-module__select-button--JysfS"),type:"ghost",size:"medium",onClick:u},"...",i&&e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:0}),e.createElement("div",{className:c,ref:a},e.createElement(Hr,{thin:!0,sliding:!0},e.createElement("div",{className:"PCActionDropdown-module__scroll-container--JLYKh"},Ae()(n).call(n,(function(t){return e.createElement("div",{key:"option-".concat(t.id),onClick:t.action,className:vt()("PCActionDropdown-module__option--Ey81X",{"PCActionDropdown-module__option-disabled--nGqD6":t.disabled})},e.createElement("div",{className:"PCActionDropdown-module__option-content--Tz0Yh"},t.label))}))))))))};const El=e.memo(dl),ml={"option-selected":"XboxActionDropdown-module__option-selected--SDW23",root:"XboxActionDropdown-module__root--N26Xm","select-button":"XboxActionDropdown-module__select-button--iYD1l","scroll-container":"XboxActionDropdown-module__scroll-container--qQ15o","drop-down":"XboxActionDropdown-module__drop-down--gwrax",option:"XboxActionDropdown-module__option--UeA_O","option-content":"XboxActionDropdown-module__option-content--SklVn"};var Tl=function(t){var n=t.options,o=t.focused,a=void 0===o||o,r=t.focusableName,i=e.useRef(),l=e.useRef(),u=s(e.useState(!1),2),c=u[0],d=u[1],E=Wn(),m=E.hasFocus,T=E.setFocus,p=s(e.useState(0),2),f=p[0],S=p[1],O=e.useCallback((function(){d(!0),T({type:"SET_FOCUS",payload:i})}),[T,i]),A=e.useCallback((function(){d(!1),requestAnimationFrame((function(){T({type:"SET_FOCUS_BY_NAME",payload:r})}))}),[r,T]);e.useEffect((function(){var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(c){e.next=2;break}return e.abrupt("return");case 2:return e.next=4,gt();case 4:Jr(l.current.children[f],l.current);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}),[f,c]);var I=e.useCallback((function(e){e.action&&e.action(e),A()}),[A]),v=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:I(n[f]);break;case t.B:A();break;case t.LEFT_STICK_DOWN:f<n.length-1&&S((function(e){return e+1}));break;case t.LEFT_STICK_UP:f>0&&S((function(e){return e-1}))}}),[I,n,f,A]),_=e.useCallback((function(e){e.detail===bn.xboxOne.keyNumber.A&&O()}),[O]);return Dn({callbackPressed:v},m(i)&&c),Dn({callbackPressed:_},a&&!c),e.createElement("div",{className:ml.root,ref:i},e.createElement(Mn,{className:vt()(ml["select-button"]),type:"ghost",size:"x-large",focused:a},"..."),c&&e.createElement(e.Fragment,null,e.createElement(Wr,{opacity:.6}),e.createElement("div",{className:ml["drop-down"]},e.createElement("div",{className:ml["scroll-container"],ref:l},Ae()(n).call(n,(function(t,n){return e.createElement("div",{key:t.id,className:vt()(ml.option,{[ml["option-selected"]]:f===n,[ml["option-disabled"]]:t.disabled})},e.createElement("div",{className:ml["option-content"]},t.label))}))))))};const pl=e.memo(Tl);var fl=e.forwardRef((function(t,n){var o=t.options,a=void 0===o?[]:o,r=t.focusableName,i=jn().consoleMode,s=Wn().hasFocus;return e.createElement(si,{name:r,ref:n},i?e.createElement(pl,{options:a,focused:s(n),focusableName:r}):e.createElement(El,{options:a}))}));const Sl=e.memo(fl);var Ol=function(t){var n=t.enabled,o=t.onClick,a=t.focused,r=t.hardDisabled,i=t.size,l=e.useRef(),c=s(e.useState(n),2),d=c[0],E=c[1];e.useEffect((function(){var e;n!==d&&l.current&&(l.current.className=u()(e="".concat(l.current.className," ")).call(e,"ToggleSwitch-module__toggle-knob-animation--Ri11g"),E(n))}),[n,d,E]),Dn({callbackPressed:function(e){0===e.detail&&o()}},a);var m=vt()({"ToggleSwitch-module__toggle-switch--fOWnH":"small"===i,"ToggleSwitch-module__toggle-switch-xbox--GR3He":"medium"===i,"ToggleSwitch-module__toggle-switch-xbox-large--ZKnH0":"large"===i,"ToggleSwitch-module__switch-enabled--LJGdO":n,"ToggleSwitch-module__hard-disabled--XKH0a":r}),T=vt()("ToggleSwitch-module__toggle-knob--iZ8nY",{"ToggleSwitch-module__knob-enabled--CMBuh":"small"===i&&n,"ToggleSwitch-module__toggle-knob-xbox--HtiPJ":"medium"===i,"ToggleSwitch-module__knob-enabled-xbox--cn2ia":"medium"===i&&n,"ToggleSwitch-module__toggle-knob-xbox-large--xRzLT":"large"===i,"ToggleSwitch-module__knob-enabled-xbox-large--swomb":"large"===i&&n});return e.createElement("div",{onClick:r?void 0:o,className:m},e.createElement("div",{className:T,ref:l}))};const Al=e.memo(Ol);var Il=e.forwardRef((function(t,n){var o,a,r,i,l=t.playsetId,u=Yn().readOrWriteLocked,c=jn().consoleMode,d=function(){var t,n=Yn().readWriteLocked,o=s(Oo(Uo),1)[0],a=s(Oo(xo),1)[0],r=e.useContext(Ka),i=r.playsetModsState,l=r.dispatchPlaysetMods,u=e.useContext(Ka).playsetHasEnabledModsState,c=Tn().lastActiveModRef,d=e.useCallback((function(e){var t=e.playsetId,n=e.page,a=void 0===n?1:n;return new(Rt())((function(e){return o({playsetId:ve()(t),page:a},e)}))}),[o]),E=e.useCallback((function(e){n||a({},e)}),[n,a]),m=e.useCallback((function(e){c.current=e}),[c]),T=e.useCallback((function(){l({type:"clear"})}),[l]);return{getPlaysetMods:d,playsetMods:null==i?void 0:i.data,clearPlaysetMods:T,dispatchPlaysetMods:l,playsetModsLoading:(null==i?void 0:i.status)===V,getPlaysetHasEnabledMods:E,playsetHasEnabledMods:null==u||null===(t=u.data)||void 0===t?void 0:t.modsEnabled,playsetHasEnabledModsLoading:(null==u?void 0:u.status)===V,lastActiveModIndex:-1!==(null==c?void 0:c.current)?null==c?void 0:c.current:void 0,setLastActiveModIndex:m}}(),E=d.playsetMods,m=d.getPlaysetMods,T=d.dispatchPlaysetMods,p=d.clearPlaysetMods,f=d.playsetModsLoading,S=d.lastActiveModIndex,O=d.setLastActiveModIndex,A=s(pt(),1)[0],I=B(),v=I.push,_=I.goBack,N=ta(),L=N.unsubscribeMod,R=N.unsubscribeWipMod,g=function(){var t=s(Oo(go),1)[0],n=s(Oo(ho),1)[0],o=Yn().readOrWriteLocked;return{enableMod:e.useCallback((function(e){var n=e.modId,a=e.playsetId;o||t({modId:ve()(n),playsetId:ve()(a)})}),[o,t]),enableWipMod:e.useCallback((function(e){var t=e.modName,a=e.playsetId;o||n({modName:t,playsetId:ve()(a)})}),[o,n])}}(),h=g.enableMod,y=g.enableWipMod,M=function(){var t=s(Oo(Lo),1)[0],n=s(Oo(Ro),1)[0],o=Yn().readOrWriteLocked;return{disableMod:e.useCallback((function(e){var n=e.modId,a=e.playsetId;o||t({modId:ve()(n),playsetId:ve()(a)})}),[o,t]),disableWipMod:e.useCallback((function(e){var t=e.modName,a=e.playsetId;o||n({modName:t,playsetId:ve()(a)})}),[o,n])}}(),C=M.disableMod,b=M.disableWipMod,D=Cn().updateFooterButtons,P=Wn(),k=P.hasFocus,w=P.setFocus,U=function(){var t=s(Oo(Ao),1)[0],n=s(Oo(Io),1)[0],o=Yn().readOrWriteLocked;return{setActivationOrder:e.useCallback((function(e){var n=e.playsetId,a=e.modOrderList;o||t({playsetId:ve()(n),modOrderList:a})}),[o,t]),resetActivationOrder:e.useCallback((function(e){var t=e.playsetId;o||n({playsetId:ve()(t)})}),[o,n])}}(),x=U.setActivationOrder,G=U.resetActivationOrder,F=Sa().offline,z=ka().gameData,Y=e.useRef(),H=e.useRef(!1),j=s(e.useState(void 0),2),W=j[0],K=j[1],X=s(e.useState(),2),Z=X[0],$=X[1],J=s(e.useState(),2),ee=J[0],te=J[1],ne=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(n.current&&n.current.children){e.next=2;break}return e.abrupt("return");case 2:return e.next=4,gt();case 4:Jr(n.current.children[t],n.current),w({type:"SET_FOCUS",payload:n});case 6:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[w,n]),oe=!f&&E&&E.mods&&E.page*E.limit<E.count,ae=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(!H.current){e.next=2;break}return e.abrupt("return");case 2:return O(void 0),te(void 0),H.current=!0,e.next=7,m(t);case 7:H.current=!1;case 8:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[m,O]);e.useEffect((function(){return ae({playsetId:l}),function(){p()}}),[p,ae,l]),e.useEffect((function(){void 0!==S&&(te(S),ne(S))}),[S,ne]);var re,ie,se,le,ue=e.useCallback((function(){w({type:"SET_FOCUS",payload:Y})}),[w]),ce=e.useCallback((function(e,t){F||(null==e?void 0:e.modId)>0&&(O(t),v("/mod/".concat(e.modId)))}),[F,v,O]),de=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(!((null==t?void 0:t.modId)>0)){e.next=6;break}return e.next=3,L({modId:t.modId,playsetId:l});case 3:c&&w({type:"SET_FOCUS",payload:n}),e.next=9;break;case 6:return e.next=8,R({modName:t.name,playsetId:l});case 8:c&&w({type:"SET_FOCUS",payload:n});case 9:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[n,l,L,c,w,R]),Ee=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(!u){e.next=2;break}return e.abrupt("return");case 2:(null==t?void 0:t.modId)>0?(t.enabled?C({modId:t.modId,playsetId:l}):h({modId:t.modId,playsetId:l}),c&&w({type:"SET_FOCUS",payload:n})):(t.enabled?b({modName:t.name,playsetId:l}):y({modName:t.name,playsetId:l}),c&&w({type:"SET_FOCUS",payload:n}));case 3:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[C,b,h,y,l,u,c,w,n]),me=e.useCallback((function(){G({playsetId:l})}),[G,l]),Te=(re=function(){var e=At(St().mark((function e(t){var o,a,r,i,s;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:o=n.current.getBoundingClientRect(),a=o.top,r=o.height,i=Math.floor(t-a),s=i,i>r?window.requestAnimationFrame((function(){n.current.scrollHeight>s&&(n.current.scrollTop+=10)})):i<0&&window.requestAnimationFrame((function(){n.current.scrollTop>0&&(n.current.scrollTop-=10)}));case 4:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),ie=[],se=null,le=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];ie=t,se||(se=requestAnimationFrame((function(){se=null,re.apply(void 0,kt(ie))})))},le.cancel=function(){se&&(cancelAnimationFrame(se),se=null)},le),pe=e.useCallback((function(e){W&&Te(e.clientY)}),[W,Te]),fe=e.useCallback((function(e){var t,n,o=null==E||null===(t=E.mods)||void 0===t?void 0:Ae()(t).call(t,(function(e,t){return{modId:e.modId||-1,activationOrder:t,version:e.version,modName:e.name}}));if(!W||void 0===e&&void 0===Z)return o;var a=null==E||null===(n=E.mods)||void 0===n?void 0:ra()(n).call(n,(function(e){return W.modId>0?e.modId===W.modId:e.name===W.name})),r=sa()(o).call(o,a,1)[0];return sa()(o).call(o,void 0!==e?e:Z,0,r),Ae()(o).call(o,(function(e,t){return{modId:e.modId,activationOrder:t,version:e.version,modName:e.modName}}))}),[W,null==E?void 0:E.mods,Z]),Se=e.useCallback((function(){if(W){var e=fe();x({playsetId:l,modOrderList:e}),K(void 0),$(void 0)}}),[W,fe,l,x]),Oe=e.useCallback((function(e){if(!W)return!0;if(e<0)return!1;$(e);var t=fe(e);return T({type:"setActivationOrder",payload:{modOrderList:t}}),!0}),[T,W,fe]),Ie=e.useCallback((function(){var e=Math.floor(E.mods.length/20),t=e!==E.page?e:e+1;ae({playsetId:l,page:t})}),[ae,l,null==E||null===(o=E.mods)||void 0===o?void 0:o.length,null==E?void 0:E.page]);return e.useEffect((function(){return document.addEventListener("mouseup",Se),document.addEventListener("mousemove",pe),function(){document.removeEventListener("mouseup",Se),document.removeEventListener("mousemove",pe)}}),[pe,Se]),e.useEffect((function(){k(n)&&D({Y:{name:"Y",text:"CONSOLE_FOOTER.ENABLE_DISABLE",position:"right"},RT:{name:"RT",text:"CONSOLE_FOOTER.CHANGE_ORDER",position:"right"},Menu:{name:"Menu",text:"CONSOLE_FOOTER.RESET_LOAD_ORDER",position:"right"},A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.UNSUBSCRIBE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[k,n,D]),0!==(null==E||null===(a=E.mods)||void 0===a?void 0:a.length)||f?e.createElement(e.Fragment,null,!c&&e.createElement("div",{className:"PlaysetModsList-module__resetLoadOrderContainer--GETqm"},f?e.createElement(mo,{size:"1.6rem"}):e.createElement("div",{className:"PlaysetModsList-module__resetLoadOrder--d5JlN",onClick:me},A("LIST.RESET_ACTIVATION_ORDER"))),e.createElement("div",{className:vt()("PlaysetModsList-module__modsContainer--qvDxL")},e.createElement("div",{className:"PlaysetModsList-module__modsEmpty--c32bo"},E&&e.createElement(Vs,{name:"PLAYSETS",autofocus:!0,ref:n,onButtonClick:function(e,t){var n=bn.xboxOne.keyNumber,o=(null==E?void 0:E.mods)||[];switch(e){case n.A:if(W)return;ce(o[t],t);break;case n.Y:if(W)return;Ee(o[t]);break;case n.RT:if(u)break;K(o[t]);break;case n.X:if(W)return;de(o[t]);break;case n.MENU_BUTTON:if(W)return;me()}},onButtonReleased:function(e,t){e===bn.xboxOne.keyNumber.RT&&Se()},onUpMove:Oe,onDownMove:Oe,onUnMount:ue,loading:f&&0===(null==E||null===(r=E.mods)||void 0===r?void 0:r.length),startIndex:ee},null==E||null===(i=E.mods)||void 0===i?void 0:Ae()(i).call(i,(function(t,n){var o,a,r;return e.createElement(Ws,{key:t.modId||t.name,onMouseEnter:c?void 0:function(){return Oe(n)},className:vt()(W&&(0===W.modId?t.name===W.name:t.modId===W.modId)?"PlaysetModsList-module__listItemDragged--iXuEB":"PlaysetModsList-module__outlined--n8XHJ"),variant:"none",color:null!==(o=t.localData)&&void 0!==o&&o.contentPath?"":"disabled"},e.createElement(Ks,{onClick:function(){return ce(t)}},e.createElement(Xs,{consoleMode:c,modType:t.modId>0?q:null==t||null===(a=t.localData)||void 0===a||null===(r=a.localType)||void 0===r?void 0:r.toLowerCase()}),e.createElement(qs,{consoleMode:c,imagePath:F?t.localData.thumbnailPath:t.thumbnailPath}),e.createElement($s,{consoleMode:c,title:t.displayName,subTitle:e.createElement(Zs,{consoleMode:c,author:t.author,sizeText:t.sizeText,thirdPartyProfiles:t.thirdPartyProfiles})})),nl(t.state)&&e.createElement(Js,null),es(t,z)&&e.createElement(Xs,{consoleMode:c,modType:Q}),e.createElement(el,{onClick:function(){return de(t)},consoleMode:c}),e.createElement(Al,{size:c?"medium":"small",enabled:t.enabled,onClick:function(){return Ee(t)}}),e.createElement("div",{className:vt()("PlaysetModsList-module__toggle--cNwMJ",{"PlaysetModsList-module__toggleConsole--2ZG7j":c,"PlaysetModsList-module__enabled--i1XcJ":t.enabled,"PlaysetModsList-module__disabled--a7Ayp":!t.enabled})},t.enabled?A("LIST.ENABLED"):A("LIST.DISABLED")),!c&&e.createElement("div",{className:"PlaysetModsList-module__dragItem--dPCU3",onMouseDown:function(e){return function(e,t,n){u||(Te(e.clientY),K(t),$(n))}(e,t,n)}}))}))),oe&&e.createElement(Rs,{onViewEnter:Ie})))):e.createElement(si,{ref:Y,name:"EMPTY_PLAYSET",variant:"fill",autofocus:!0},e.createElement(Fs,{ref:Y,onBack:_}))}));const vl=e.memo(Il);var _l=function(t){var n,o,a,r,i,l,u,c,d=t.match.params.playsetId,E=e.useRef(),m=e.useRef(),T=e.useRef(),p=e.useRef(),f=s(pt(),1)[0],S=B(),O=ma().hasFeature,A=function(){var t=e.useRef(!1),n=Yn(),o=n.readOrWriteLocked,a=n.readWriteLocked,r=e.useContext(Ka).playsetDetailsState,i=s(Oo(Po),1)[0],l=s(Oo(ko),1)[0],u=e.useCallback((function(e,n){var o=e.playsetId;a||t.current&&n||(n&&(t.current=!0),i({playsetId:ve()(o)}))}),[a,i]),c=e.useCallback((function(e){var t=e.playsetId,n=e.name;o||l({playsetId:ve()(t),name:n})}),[o,l]);return{playsetDetails:null==r?void 0:r.data,getPlaysetDetails:u,renamePlayset:c,playsetDetailsLoading:(null==r?void 0:r.status)===V||!r}}(),I=A.getPlaysetDetails,v=A.playsetDetails,_=A.playsetDetailsLoading,N=A.renamePlayset,L=Yn().readOrWriteLocked,R=Na(),g=Xo(),h=g.activatePlayset,y=g.enablePlaysetMods,M=g.disablePlaysetMods,C=Wn(),b=C.setFocus,D=C.hasFocus,P=jn().consoleMode,k=Cn().updateFooterButtons,w=(n=e.useContext(En),o=n.setModals,a=n.modals,r=void 0===a?{}:a,i=n.error,l=n.dependencies,u=void 0===l?{}:l,c=e.useCallback((function(e){o((function(t){return Yt()(t).reduce((function(n,o){return o===e||(n[o]=t[o]),n}),{})}))}),[o]),{addAlertModal:e.useCallback((function(t){var n=t.title,a=t.text,r=t.name;o((function(t){return Dt(Dt({},t),{[r]:e.createElement(Gn,{title:n,text:a,modalName:r,closeHandler:function(){return c(r)},key:r})})}))}),[c,o]),hasModals:Yt()(r).length>0||Yt()(u).length>0||i}).hasModals,U=s(e.useState(!1),2),x=U[0],G=U[1];e.useEffect((function(){I({playsetId:d},!0)}),[I,v,d]);var F=e.useCallback(function(){var e=At(St().mark((function e(t){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(!L){e.next=2;break}return e.abrupt("return");case 2:G(!1),N({playsetId:d,name:t}),b({type:"SET_FOCUS_BY_NAME",payload:"PLAYSET_DETAILS_TITLE"});case 5:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[d,L,N,b]),z=e.useCallback((function(){G(!1)}),[]),Y=e.useCallback((function(){L||G(!0)}),[L]),H=e.useCallback((function(){S.push("/playsets")}),[S]),j=e.useCallback((function(){h({playsetId:d})}),[h,d]),W=e.useCallback((function(){y({playsetId:d})}),[y,d]),K=e.useCallback((function(){M({playsetId:d})}),[M,d]),X=e.useCallback((function(e){e===bn.xboxOne.keyNumber.A&&Y()}),[Y]),q=e.useCallback((function(e){e===bn.xboxOne.keyNumber.A&&j()}),[j]),Q=D(E)||D(m)||D(T)||D(p);Dn({callbackPressed:function(e){e.detail===bn.xboxOne.keyNumber.B&&H()}},Boolean(v&&P&&Q&&!w)),e.useEffect((function(){var e={B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}};D(m)&&(e=Dt({A:{name:"A",text:"CONSOLE_FOOTER.RENAME",position:"right"}},e),k(e)),D(T)&&(e=Dt({A:{name:"A",text:"CONSOLE_FOOTER.ACTIVATE",position:"right"}},e),k(e)),D(p)&&(e=Dt({A:{name:"A",text:"CONSOLE_FOOTER.TOGGLE_ACTION_MENU",position:"right"}},e),k(e))}),[D,k]);var Z=e.useMemo((function(){return kt(O("bulkenabledisable")?[{id:"enable-mods",label:f("PLAYSET_DETAILS.ACTION_MENU.ENABLE_ALL_MODS"),action:W,disabled:L},{id:"disable-mods",label:f("PLAYSET_DETAILS.ACTION_MENU.DISABLE_ALL_MODS"),action:K,disabled:L}]:[])}),[O,K,W,L,f]);return e.createElement("div",{className:"PlaysetDetails-module__root--ScgqH"},e.createElement(e.Fragment,null,e.createElement("div",{className:"PlaysetDetails-module__header--UXaK7"},e.createElement(e.Fragment,null,!P&&e.createElement("div",{className:"PlaysetDetails-module__back--ACFku",onClick:H},f("PLAYSET_DETAILS.HEADER.BACK")),e.createElement("div",{className:vt()("PlaysetDetails-module__headerContent--KgrKk",{"PlaysetDetails-module__headerContentConsole--aKxn8":P})},e.createElement("div",{className:"PlaysetDetails-module__titleContainer--p99kn"},e.createElement(si,{name:"PLAYSET_DETAILS_TITLE",onGamepadInputHandler:X,ref:m},e.createElement(Nl,{onRenameClickHandler:Y,playsetDetails:v,loading:_})),e.createElement("div",{className:P?"PlaysetDetails-module__headerSubTitleConsole--HJGSY":"PlaysetDetails-module__headerSubTitle--bVbUe"},_?". . .":f("PLAYSET_DETAILS.HEADER.SUBTITLE",{modsCount:(null==v?void 0:v.modsCount)||0,modsSize:bs((null==v?void 0:v.modsSize)||0)})),x&&e.createElement(Fr,{modalName:"rename-playset-modal",title:f("PLAYSETS.RENAME.TITLE"),text:f("PLAYSETS.RENAME.TEXT",{name:null==v?void 0:v.name}),inputMaxLength:128,submitHandler:F,closeHandler:z})),e.createElement("div",{className:vt()("PlaysetDetails-module__headerActions--uNt8O",{"PlaysetDetails-module__headerActionsConsole--m3jeD":P})},Z.length>0?L?e.createElement(mo,{size:P?"8rem":"4.8rem"}):e.createElement(Sl,{options:Z,ref:p,focusableName:"PLAYSET_DETAILS_ACTION_MENU"}):null,e.createElement(si,{name:"PLAYSET_DETAILS_ACTIVATE",onGamepadInputHandler:q,ref:T},e.createElement(Mn,{size:P?"x-large":"medium",type:"primary",className:P?"PlaysetDetails-module__activateButtonConsole--LS2wU":"PlaysetDetails-module__activateButton--Dy8R6",disabled:R===(null==v?void 0:v.id),onClick:_?void 0:j},_?e.createElement(fo,{align:"center"}):R===(null==v?void 0:v.id)?f("PLAYSET_DETAILS.ACTIVATE_BUTTON.ACTIVATED"):f("PLAYSET_DETAILS.ACTIVATE_BUTTON.ACTIVATE"))))))),e.createElement(vl,{playsetId:d,ref:E})))},Nl=e.forwardRef((function(t,n){var o=t.onRenameClickHandler,a=t.playsetDetails,r=t.focused,i=void 0!==r&&r,l=t.loading,u=s(e.useState(!1),2),c=u[0],d=u[1],E=jn().consoleMode;return e.createElement("div",{className:vt()("PlaysetDetails-module__headerTitle--dtoA8",{"PlaysetDetails-module__headerTitleFocus--CfCsJ":i}),ref:n,onClick:o,onMouseEnter:function(){return d(!0)},onMouseLeave:function(){return d(!1)}},l?e.createElement(fo,null):e.createElement(e.Fragment,null,e.createElement("div",{className:E?"PlaysetDetails-module__nameConsole--Ym9c_":"PlaysetDetails-module__name--7Km4Q"},null==a?void 0:a.name),e.createElement("div",{className:vt()("PlaysetDetails-module__renameIcon--eZLSa",{"PlaysetDetails-module__renameIconShow--PFOwV":c||i})})))}));const Ll=e.memo(_l),Rl=function(t){var n=t.consoleMode,o=t.onClick,a=t.active,r=t.text;return e.createElement(Mn,{type:"ghost",disabled:a,size:n?"medium":"small",onClick:o,consoleMode:n},r)};var gl=function(){var t=e.useRef(),n=e.useRef(),o=B(),a=s(pt(),1)[0],r=s(e.useState(!1),2),i=r[0],l=r[1],u=Na(),c=Xo(),d=c.playsets,E=c.playsetsLoading,m=c.deletePlayset,T=c.createPlayset,p=c.activatePlayset,f=c.getPlaysets,S=c.deactivatePlayset,O=jn().consoleMode,A=Cn().updateFooterButtons,I=Wn(),v=I.hasFocus,_=I.setFocus,N=Un(),L=N.offline,R=N.loggedIn;yi(!L&&!R),e.useEffect((function(){f()}),[f]);var g=s(e.useState(void 0),2),h=g[0],y=g[1],M=s(e.useState(),2),C=M[0],b=M[1],D=(null==d?void 0:d.length)>1,P=v(t);e.useEffect((function(){return v(n)?A({A:{name:"A",text:"CONSOLE_FOOTER.CREATE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}):v(t)?A(Dt(Dt({A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"},X:{name:"X",text:"CONSOLE_FOOTER.ACTIVATE",position:"right"}},D?{Y:{name:"Y",text:"CONSOLE_FOOTER.DELETE",position:"right"}}:{}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})):void 0}),[D,v,P,A]);var k=e.useCallback((function(){l(!0)}),[l]),w=e.useCallback((function(e){T({name:e}),l(!1)}),[T]),U=e.useCallback((function(e){o.push("playsets/".concat(e))}),[o]),x=e.useCallback(function(){var e=At(St().mark((function e(n){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:y(void 0),m({playsetId:n}),_({type:"SET_FOCUS",payload:t});case 3:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}(),[m,_]),G=e.useCallback((function(e){y(e)}),[]),F=e.useCallback((function(){y(void 0)}),[]),z=e.useCallback((function(e){e===u?S():p({playsetId:e})}),[p,u,S]),Y=e.useCallback((function(e){b(e)}),[]),H=e.useCallback((function(){b(void 0)}),[]);return e.createElement("div",{className:"Playsets-module__root--lMUQf"},e.createElement("div",{className:vt()("Playsets-module__header--CvwW_",{"Playsets-module__headerConsole--1MRG5":O})},e.createElement("div",{className:O?"Playsets-module__titleConsole--nxdOa":"Playsets-module__title--txHzx"},a("PLAYSETS.TITLE")),e.createElement(si,{name:"CREATE_PLAYSET_BUTTON",onGamepadInputHandler:function(e){e===bn.xboxOne.keyNumber.A&&k()},ref:n},e.createElement(Mn,{type:"primary",size:O?"medium":"small",onClick:k,icon:"circle-with-plus-solid"},a("PLAYSETS.CREATE_NEW_PLAYSET.TITLE")))),e.createElement("div",{className:vt()("Playsets-module__playsetsContainer--jys9O")},e.createElement(Vs,{name:"PLAYSETS",autofocus:!0,ref:t,onButtonClick:function(e,t){var n=bn.xboxOne.keyNumber;switch(e){case n.A:U(d[t].id);break;case n.X:z(d[t].id);break;case n.Y:if(!D)return;G(d[t].id)}},loading:E},(null==d?void 0:d.length)>0&&Ae()(d).call(d,(function(n){return e.createElement(Ws,{key:"playset-".concat(n.id),onMouseEnter:function(){return Y(n.id)},onMouseLeave:H},e.createElement(Ks,{onClick:function(){return U(n.id)}},e.createElement(qs,{imagePath:L||!n.displayImagePath?null:n.displayImagePath,consoleMode:O}),e.createElement($s,{consoleMode:O,title:n.name,subTitle:e.createElement(e.Fragment,null,e.createElement("strong",{className:"Playsets-module__textStrong--OjsDa"},a("PLAYSETS.MODS_COUNT",{modsCount:n.modsCount})),n.updated?" ".concat(a("PLAYSETS.UPDATED",{updated:n.updated})):"")})),(C===n.id||u===n.id)&&e.createElement(e.Fragment,null,e.createElement("div",{className:u===n.id?"Playsets-module__activateOffset--SBCl3":""},e.createElement(Rl,{consoleMode:O,active:u===n.id,onClick:function(){return z(n.id)},text:u===n.id?a("PLAYSETS.ACTIVE"):a("PLAYSETS.ACTIVATE_PLAYSET")})),d.length>1&&u!==n.id&&e.createElement(el,{onClick:function(){return G(n.id)},consoleMode:O})),h&&h===n.id&&e.createElement(co,{title:a("PLAYSETS.DELETE.TITLE"),text:a("PLAYSETS.DELETE.TEXT",{name:n.name}),modalName:"deletePlayset",closeHandler:F,submitHandler:function(){return x(n.id)},ref:t}))})))),i&&e.createElement(Fr,{modalName:"create_playset",title:a("PLAYSETS.CREATE_NEW_PLAYSET.TITLE"),text:a("PLAYSETS.CREATE_NEW_PLAYSET.NAME"),inputMaxLength:128,submitHandler:w,closeHandler:function(){return l(!1)},cancelText:a("PLAYSETS.CREATE_NEW_PLAYSET.CANCEL"),confirmText:a("PLAYSETS.CREATE_NEW_PLAYSET.CREATE")}))};const hl=e.memo(gl),yl={xboxSelect:"ModThumbnail-module__xboxSelect--e_CVU",item:"ModThumbnail-module__item--LKNJJ",FadeIn:"ModThumbnail-module__FadeIn--fOTJD",itemContent:"ModThumbnail-module__itemContent--d2OHN",large:"ModThumbnail-module__large--CvMYP"};var Ml=function(t){var n=t.size,o=t.data,a=t.focused,r=t.onClick,i=t.isEditorial,l=Cn().updateFooterButtons,c=e.useRef(new Image);c.current.src=Yi;var d=s(e.useState(c.current),2),E=d[0],m=d[1],T=s(e.useState(!1),2),p=T[0],f=T[1];return e.useEffect((function(){a&&l(Dt(Dt({},i?{}:{A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"}}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}))}),[a,l]),e.useEffect((function(){E.onerror||E.onload||setTimeout((function(){var e,t=new Image;t.src=u()(e="".concat(o.cover)).call(e,i?"":"?class=".concat("modsui_browse_thumbnail")),t.onload=function(){m(t),f(!0)},t.onerror=function(){m(c.current.src)}}),2)}),[o.cover,E.src,E.onerror,E.onload]),ts({button:ce,callback:r,enabled:a&&!i}),e.createElement("div",{className:vt()([yl.item,yl[n]]),onClick:i?void 0:r},e.createElement("div",{className:vt()(yl.itemContent,{[yl.xboxSelect]:a}),style:{backgroundImage:'url("'.concat(E.src,'")'),backgroundSize:p?"cover":"6.4rem"}}))};const Cl=e.memo(Ml),bl="ModInfo-module__infoChip--HWJjF",Dl="ModInfo-module__infoChipIcon--Xy0yx";var Pl=function(t){var n=t.data,o=t.onClick,a=e.useRef(),r=xn({ref:a,name:"SPOTLIGHT_MOD_INFO"});return ai({ref:a,shouldScroll:!1}),ts({button:ce,callback:o,enabled:r}),e.createElement("div",{className:vt()("ModInfo-module__root--hQgdL",{"ModInfo-module__xboxSelect--k8WH1":r}),ref:a,onClick:o},e.createElement(Aa,{size:1.2},e.createElement("div",{className:"ModInfo-module__header--uC0c7"},n.displayName),e.createElement("div",{className:"ModInfo-module__info--QdYit"},e.createElement(Aa,{size:3.2},e.createElement("div",{className:bl},e.createElement("div",{className:vt()(Dl,"ModInfo-module__sizeIcon--z4JdJ")}),n.sizeText||0),n.ratingsTotal>=0&&e.createElement("div",{className:bl},e.createElement("div",{className:vt()(Dl,"ModInfo-module__likesIcon--tjJKG")}),ji(n.ratingsTotal)),e.createElement("div",{className:bl},e.createElement("div",{className:vt()(Dl,"ModInfo-module__subscribersIcon--P5X6H")}),ji(n.installedCount)))),e.createElement("div",{className:"ModInfo-module__author--d_cHc"},e.createElement(rs,{author:n.author,thirdPartyProfiles:!1,size:"large"}))))};const kl=e.memo(Pl);function wl(){return wl=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},wl.apply(this,arguments)}const Ul=["children","options"];var xl,Bl,Gl;(Gl=xl||(xl={})).blockQuote="0",Gl.breakLine="1",Gl.breakThematic="2",Gl.codeBlock="3",Gl.codeFenced="4",Gl.codeInline="5",Gl.footnote="6",Gl.footnoteReference="7",Gl.gfmTask="8",Gl.heading="9",Gl.headingSetext="10",Gl.htmlBlock="11",Gl.htmlComment="12",Gl.htmlSelfClosing="13",Gl.image="14",Gl.link="15",Gl.linkAngleBraceStyleDetector="16",Gl.linkBareUrlDetector="17",Gl.linkMailtoDetector="18",Gl.newlineCoalescer="19",Gl.orderedList="20",Gl.paragraph="21",Gl.ref="22",Gl.refImage="23",Gl.refLink="24",Gl.table="25",Gl.tableSeparator="26",Gl.text="27",Gl.textBolded="28",Gl.textEmphasized="29",Gl.textEscaped="30",Gl.textMarked="31",Gl.textStrikethroughed="32",Gl.unorderedList="33",function(e){e[e.MAX=0]="MAX",e[e.HIGH=1]="HIGH",e[e.MED=2]="MED",e[e.LOW=3]="LOW",e[e.MIN=4]="MIN"}(Bl||(Bl={}));const Fl=["allowFullScreen","allowTransparency","autoComplete","autoFocus","autoPlay","cellPadding","cellSpacing","charSet","className","classId","colSpan","contentEditable","contextMenu","crossOrigin","encType","formAction","formEncType","formMethod","formNoValidate","formTarget","frameBorder","hrefLang","inputMode","keyParams","keyType","marginHeight","marginWidth","maxLength","mediaGroup","minLength","noValidate","radioGroup","readOnly","rowSpan","spellCheck","srcDoc","srcLang","srcSet","tabIndex","useMap"].reduce(((e,t)=>(e[t.toLowerCase()]=t,e)),{for:"htmlFor"}),zl={amp:"&",apos:"'",gt:">",lt:"<",nbsp:" ",quot:"“"},Yl=["style","script"],Hl=/([-A-Z0-9_:]+)(?:\s*=\s*(?:(?:"((?:\\.|[^"])*)")|(?:'((?:\\.|[^'])*)')|(?:\{((?:\\.|{[^}]*?}|[^}])*)\})))?/gi,Vl=/mailto:/i,jl=/\n{2,}$/,Wl=/^( *>[^\n]+(\n[^\n]+)*\n*)+\n{2,}/,Kl=/^ *> ?/gm,Xl=/^ {2,}\n/,ql=/^(?:( *[-*_])){3,} *(?:\n *)+\n/,Ql=/^\s*(`{3,}|~{3,}) *(\S+)?([^\n]*?)?\n([\s\S]+?)\s*\1 *(?:\n *)*\n?/,Zl=/^(?: {4}[^\n]+\n*)+(?:\n *)+\n?/,$l=/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,Jl=/^(?:\n *)*\n/,eu=/\r\n?/g,tu=/^\[\^([^\]]+)](:.*)\n/,nu=/^\[\^([^\]]+)]/,ou=/\f/g,au=/^\s*?\[(x|\s)\]/,ru=/^ *(#{1,6}) *([^\n]+?)(?: +#*)?(?:\n *)*(?:\n|$)/,iu=/^ *(#{1,6}) +([^\n]+?)(?: +#*)?(?:\n *)*(?:\n|$)/,su=/^([^\n]+)\n *(=|-){3,} *(?:\n *)+\n/,lu=/^ *(?!<[a-z][^ >/]* ?\/>)<([a-z][^ >/]*) ?([^>]*)\/{0}>\n?(\s*(?:<\1[^>]*?>[\s\S]*?<\/\1>|(?!<\1)[\s\S])*?)<\/\1>\n*/i,uu=/&([a-z0-9]+|#[0-9]{1,6}|#x[0-9a-fA-F]{1,6});/gi,cu=/^<!--[\s\S]*?(?:-->)/,du=/^(data|aria|x)-[a-z_][a-z\d_.-]*$/,Eu=/^ *<([a-z][a-z0-9:]*)(?:\s+((?:<.*?>|[^>])*))?\/?>(?!<\/\1>)(\s*\n)?/i,mu=/^\{.*\}$/,Tu=/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,pu=/^<([^ >]+@[^ >]+)>/,fu=/^<([^ >]+:\/[^ >]+)>/,Su=/-([a-z])?/gi,Ou=/^(.*\|?.*)\n *(\|? *[-:]+ *\|[-| :]*)\n((?:.*\|.*\n)*)\n?/,Au=/^\[([^\]]*)\]:\s+<?([^\s>]+)>?\s*("([^"]*)")?/,Iu=/^!\[([^\]]*)\] ?\[([^\]]*)\]/,vu=/^\[([^\]]*)\] ?\[([^\]]*)\]/,_u=/(\[|\])/g,Nu=/(\n|^[-*]\s|^#|^ {2,}|^-{2,}|^>\s)/,Lu=/\t/g,Ru=/^ *\| */,gu=/(^ *\||\| *$)/g,hu=/ *$/,yu=/^ *:-+: *$/,Mu=/^ *:-+ *$/,Cu=/^ *-+: *$/,bu=/^([*_])\1((?:\[.*?\][([].*?[)\]]|<.*?>(?:.*?<.*?>)?|`.*?`|~+.*?~+|.)*?)\1\1(?!\1)/,Du=/^([*_])((?:\[.*?\][([].*?[)\]]|<.*?>(?:.*?<.*?>)?|`.*?`|~+.*?~+|.)*?)\1(?!\1|\w)/,Pu=/^==((?:\[.*?\]|<.*?>(?:.*?<.*?>)?|`.*?`|.)*?)==/,ku=/^~~((?:\[.*?\]|<.*?>(?:.*?<.*?>)?|`.*?`|.)*?)~~/,wu=/^\\([^0-9A-Za-z\s])/,Uu=/^[\s\S]+?(?=[^0-9A-Z\s\u00c0-\uffff&#;.()'"]|\d+\.|\n\n| {2,}\n|\w+:\S|$)/i,xu=/^\n+/,Bu=/^([ \t]*)/,Gu=/\\([^\\])/g,Fu=/ *\n+$/,zu=/(?:^|\n)( *)$/,Yu="(?:\\d+\\.)",Hu="(?:[*+-])";function Vu(e){return"( *)("+(1===e?Yu:Hu)+") +"}const ju=Vu(1),Wu=Vu(2);function Ku(e){return new RegExp("^"+(1===e?ju:Wu))}const Xu=Ku(1),qu=Ku(2);function Qu(e){return new RegExp("^"+(1===e?ju:Wu)+"[^\\n]*(?:\\n(?!\\1"+(1===e?Yu:Hu)+" )[^\\n]*)*(\\n|$)","gm")}const Zu=Qu(1),$u=Qu(2);function Ju(e){const t=1===e?Yu:Hu;return new RegExp("^( *)("+t+") [\\s\\S]+?(?:\\n{2,}(?! )(?!\\1"+t+" (?!"+t+" ))\\n*|\\s*\\n*$)")}const ec=Ju(1),tc=Ju(2);function nc(e,t){const n=1===t,o=n?ec:tc,a=n?Zu:$u,r=n?Xu:qu;return{match(e,t,n){const a=zu.exec(n);return a&&(t.list||!t.inline&&!t.simple)?o.exec(e=a[1]+e):null},order:1,parse(e,t,o){const i=n?+e[2]:void 0,s=e[0].replace(jl,"\n").match(a);let l=!1;return{items:s.map((function(e,n){const a=r.exec(e)[0].length,i=new RegExp("^ {1,"+a+"}","gm"),u=e.replace(i,"").replace(r,""),c=n===s.length-1,d=-1!==u.indexOf("\n\n")||c&&l;l=d;const E=o.inline,m=o.list;let T;o.list=!0,d?(o.inline=!1,T=u.replace(Fu,"\n\n")):(o.inline=!0,T=u.replace(Fu,""));const p=t(T,o);return o.inline=E,o.list=m,p})),ordered:n,start:i}},render:(t,n,o)=>e(t.ordered?"ol":"ul",{key:o.key,start:"20"===t.type?t.start:void 0},t.items.map((function(t,a){return e("li",{key:a},n(t,o))})))}}const oc=/^\[([^\]]*)]\( *((?:\([^)]*\)|[^() ])*) *"?([^)"]*)?"?\)/,ac=/^!\[([^\]]*)]\( *((?:\([^)]*\)|[^() ])*) *"?([^)"]*)?"?\)/,rc=[Wl,Ql,Zl,ru,su,iu,cu,Ou,Zu,ec,$u,tc],ic=[...rc,/^[^\n]+(?:  \n|\n{2,})/,lu,Eu];function sc(e){return e.replace(/[ÀÁÂÃÄÅàáâãäåæÆ]/g,"a").replace(/[çÇ]/g,"c").replace(/[ðÐ]/g,"d").replace(/[ÈÉÊËéèêë]/g,"e").replace(/[ÏïÎîÍíÌì]/g,"i").replace(/[Ññ]/g,"n").replace(/[øØœŒÕõÔôÓóÒò]/g,"o").replace(/[ÜüÛûÚúÙù]/g,"u").replace(/[ŸÿÝý]/g,"y").replace(/[^a-z0-9- ]/gi,"").replace(/ /gi,"-").toLowerCase()}function lc(e){return Cu.test(e)?"right":yu.test(e)?"center":Mu.test(e)?"left":null}function uc(e,t,n){const o=n.inTable;n.inTable=!0;const a=t(e.trim(),n);n.inTable=o;let r=[[]];return a.forEach((function(e,t){"26"===e.type?0!==t&&t!==a.length-1&&r.push([]):("27"!==e.type||null!=a[t+1]&&"26"!==a[t+1].type||(e.text=e.text.replace(hu,"")),r[r.length-1].push(e))})),r}function cc(e,t,n){n.inline=!0;const o=uc(e[1],t,n),a=e[2].replace(gu,"").split("|").map(lc),r=function(e,t,n){return e.trim().split("\n").map((function(e){return uc(e,t,n)}))}(e[3],t,n);return n.inline=!1,{align:a,cells:r,header:o,type:"25"}}function dc(e,t){return null==e.align[t]?{}:{textAlign:e.align[t]}}function Ec(e){return function(t,n){return n.inline?e.exec(t):null}}function mc(e){return function(t,n){return n.inline||n.simple?e.exec(t):null}}function Tc(e){return function(t,n){return n.inline||n.simple?null:e.exec(t)}}function pc(e){return function(t){return e.exec(t)}}function fc(e,t,n){if(t.inline||t.simple)return null;if(n&&!n.endsWith("\n"))return null;let o="";e.split("\n").every((e=>!rc.some((t=>t.test(e)))&&(o+=e+"\n",e.trim())));const a=o.trimEnd();return""==a?null:[o,a]}function Sc(e){try{if(decodeURIComponent(e).replace(/[^A-Za-z0-9/:]/g,"").match(/^\s*(javascript|vbscript|data(?!:image)):/i))return}catch(e){return null}return e}function Oc(e){return e.replace(Gu,"$1")}function Ac(e,t,n){const o=n.inline||!1,a=n.simple||!1;n.inline=!0,n.simple=!0;const r=e(t,n);return n.inline=o,n.simple=a,r}function Ic(e,t,n){const o=n.inline||!1,a=n.simple||!1;n.inline=!1,n.simple=!0;const r=e(t,n);return n.inline=o,n.simple=a,r}function vc(e,t,n){return n.inline=!1,e(t,n)}const _c=(e,t,n)=>({children:Ac(t,e[1],n)});function Nc(){return{}}function Lc(){return null}function Rc(...e){return e.filter(Boolean).join(" ")}function gc(e,t,n){let o=e;const a=t.split(".");for(;a.length&&(o=o[a[0]],void 0!==o);)a.shift();return o||n}function hc(t,n={}){n.overrides=n.overrides||{},n.slugify=n.slugify||sc,n.namedCodesToUnicode=n.namedCodesToUnicode?wl({},zl,n.namedCodesToUnicode):zl;const o=n.createElement||e.createElement;function a(e,t,...a){const r=gc(n.overrides,`${e}.props`,{});return o(function(e,t){const n=gc(t,e);return n?"function"==typeof n||"object"==typeof n&&"render"in n?n:gc(t,`${e}.component`,e):e}(e,n.overrides),wl({},t,r,{className:Rc(null==t?void 0:t.className,r.className)||void 0}),...a)}function r(t){let o=!1;n.forceInline?o=!0:n.forceBlock||(o=!1===Nu.test(t));const r=d(c(o?t:`${t.trimEnd().replace(xu,"")}\n\n`,{inline:o}));for(;"string"==typeof r[r.length-1]&&!r[r.length-1].trim();)r.pop();if(null===n.wrapper)return r;const i=n.wrapper||(o?"span":"div");let s;if(r.length>1||n.forceWrapper)s=r;else{if(1===r.length)return s=r[0],"string"==typeof s?a("span",{key:"outer"},s):s;s=null}return e.createElement(i,{key:"outer"},s)}function i(t){const n=t.match(Hl);return n?n.reduce((function(t,n,o){const a=n.indexOf("=");if(-1!==a){const i=function(e){return-1!==e.indexOf("-")&&null===e.match(du)&&(e=e.replace(Su,(function(e,t){return t.toUpperCase()}))),e}(n.slice(0,a)).trim(),s=function(e){const t=e[0];return('"'===t||"'"===t)&&e.length>=2&&e[e.length-1]===t?e.slice(1,-1):e}(n.slice(a+1).trim()),l=Fl[i]||i,u=t[l]=function(e,t){return"style"===e?t.split(/;\s?/).reduce((function(e,t){const n=t.slice(0,t.indexOf(":"));return e[n.replace(/(-[a-z])/g,(e=>e[1].toUpperCase()))]=t.slice(n.length+1).trim(),e}),{}):"href"===e||"src"===e?Sc(t):(t.match(mu)&&(t=t.slice(1,t.length-1)),"true"===t||"false"!==t&&t)}(i,s);"string"==typeof u&&(lu.test(u)||Eu.test(u))&&(t[l]=e.cloneElement(r(u.trim()),{key:o}))}else"style"!==n&&(t[Fl[n]||n]=!0);return t}),{}):null}const s=[],l={},u={0:{match:Tc(Wl),order:1,parse:(e,t,n)=>({children:t(e[0].replace(Kl,""),n)}),render:(e,t,n)=>a("blockquote",{key:n.key},t(e.children,n))},1:{match:pc(Xl),order:1,parse:Nc,render:(e,t,n)=>a("br",{key:n.key})},2:{match:Tc(ql),order:1,parse:Nc,render:(e,t,n)=>a("hr",{key:n.key})},3:{match:Tc(Zl),order:0,parse:e=>({lang:void 0,text:e[0].replace(/^ {4}/gm,"").replace(/\n+$/,"")}),render:(e,t,n)=>a("pre",{key:n.key},a("code",wl({},e.attrs,{className:e.lang?`lang-${e.lang}`:""}),e.text))},4:{match:Tc(Ql),order:0,parse:e=>({attrs:i(e[3]||""),lang:e[2]||void 0,text:e[4],type:"3"})},5:{match:mc($l),order:3,parse:e=>({text:e[2]}),render:(e,t,n)=>a("code",{key:n.key},e.text)},6:{match:Tc(tu),order:0,parse:e=>(s.push({footnote:e[2],identifier:e[1]}),{}),render:Lc},7:{match:Ec(nu),order:1,parse:e=>({target:`#${n.slugify(e[1])}`,text:e[1]}),render:(e,t,n)=>a("a",{key:n.key,href:Sc(e.target)},a("sup",{key:n.key},e.text))},8:{match:Ec(au),order:1,parse:e=>({completed:"x"===e[1].toLowerCase()}),render:(e,t,n)=>a("input",{checked:e.completed,key:n.key,readOnly:!0,type:"checkbox"})},9:{match:Tc(n.enforceAtxHeadings?iu:ru),order:1,parse:(e,t,o)=>({children:Ac(t,e[2],o),id:n.slugify(e[2]),level:e[1].length}),render:(e,t,n)=>a(`h${e.level}`,{id:e.id,key:n.key},t(e.children,n))},10:{match:Tc(su),order:0,parse:(e,t,n)=>({children:Ac(t,e[1],n),level:"="===e[2]?1:2,type:"9"})},11:{match:pc(lu),order:1,parse(e,t,n){const[,o]=e[3].match(Bu),a=new RegExp(`^${o}`,"gm"),r=e[3].replace(a,""),s=(l=r,ic.some((e=>e.test(l)))?vc:Ac);var l;const u=e[1].toLowerCase(),c=-1!==Yl.indexOf(u),d={attrs:i(e[2]),noInnerParse:c,tag:c?u:e[1]};return n.inAnchor=n.inAnchor||"a"===u,c?d.text=e[3]:d.children=s(t,r,n),n.inAnchor=!1,d},render:(e,t,n)=>a(e.tag,wl({key:n.key},e.attrs),e.text||t(e.children,n))},13:{match:pc(Eu),order:1,parse:e=>({attrs:i(e[2]||""),tag:e[1]}),render:(e,t,n)=>a(e.tag,wl({},e.attrs,{key:n.key}))},12:{match:pc(cu),order:1,parse:()=>({}),render:Lc},14:{match:mc(ac),order:1,parse:e=>({alt:e[1],target:Oc(e[2]),title:e[3]}),render:(e,t,n)=>a("img",{key:n.key,alt:e.alt||void 0,title:e.title||void 0,src:Sc(e.target)})},15:{match:Ec(oc),order:3,parse:(e,t,n)=>({children:Ic(t,e[1],n),target:Oc(e[2]),title:e[3]}),render:(e,t,n)=>a("a",{key:n.key,href:Sc(e.target),title:e.title},t(e.children,n))},16:{match:Ec(fu),order:0,parse:e=>({children:[{text:e[1],type:"27"}],target:e[1],type:"15"})},17:{match:(e,t)=>t.inAnchor?null:Ec(Tu)(e,t),order:0,parse:e=>({children:[{text:e[1],type:"27"}],target:e[1],title:void 0,type:"15"})},18:{match:Ec(pu),order:0,parse(e){let t=e[1],n=e[1];return Vl.test(n)||(n="mailto:"+n),{children:[{text:t.replace("mailto:",""),type:"27"}],target:n,type:"15"}}},20:nc(a,1),33:nc(a,2),19:{match:Tc(Jl),order:3,parse:Nc,render:()=>"\n"},21:{match:fc,order:3,parse:_c,render:(e,t,n)=>a("p",{key:n.key},t(e.children,n))},22:{match:Ec(Au),order:0,parse:e=>(l[e[1]]={target:e[2],title:e[4]},{}),render:Lc},23:{match:mc(Iu),order:0,parse:e=>({alt:e[1]||void 0,ref:e[2]}),render:(e,t,n)=>a("img",{key:n.key,alt:e.alt,src:Sc(l[e.ref].target),title:l[e.ref].title})},24:{match:Ec(vu),order:0,parse:(e,t,n)=>({children:t(e[1],n),fallbackChildren:t(e[0].replace(_u,"\\$1"),n),ref:e[2]}),render:(e,t,n)=>l[e.ref]?a("a",{key:n.key,href:Sc(l[e.ref].target),title:l[e.ref].title},t(e.children,n)):a("span",{key:n.key},t(e.fallbackChildren,n))},25:{match:Tc(Ou),order:1,parse:cc,render:(e,t,n)=>a("table",{key:n.key},a("thead",null,a("tr",null,e.header.map((function(o,r){return a("th",{key:r,style:dc(e,r)},t(o,n))})))),a("tbody",null,e.cells.map((function(o,r){return a("tr",{key:r},o.map((function(o,r){return a("td",{key:r,style:dc(e,r)},t(o,n))})))}))))},26:{match:function(e,t){return t.inTable?(t.inline=!0,Ru.exec(e)):null},order:1,parse:function(){return{type:"26"}},render:()=>" | "},27:{match:pc(Uu),order:4,parse:e=>({text:e[0].replace(uu,((e,t)=>n.namedCodesToUnicode[t]?n.namedCodesToUnicode[t]:e))}),render:e=>e.text},28:{match:mc(bu),order:2,parse:(e,t,n)=>({children:t(e[2],n)}),render:(e,t,n)=>a("strong",{key:n.key},t(e.children,n))},29:{match:mc(Du),order:3,parse:(e,t,n)=>({children:t(e[2],n)}),render:(e,t,n)=>a("em",{key:n.key},t(e.children,n))},30:{match:mc(wu),order:1,parse:e=>({text:e[1],type:"27"})},31:{match:mc(Pu),order:3,parse:_c,render:(e,t,n)=>a("mark",{key:n.key},t(e.children,n))},32:{match:mc(ku),order:3,parse:_c,render:(e,t,n)=>a("del",{key:n.key},t(e.children,n))}};!0===n.disableParsingRawHTML&&(delete u[11],delete u[13]);const c=function(e){let t=Object.keys(e);function n(o,a){let r=[],i="";for(;o;){let s=0;for(;s<t.length;){const l=t[s],u=e[l],c=u.match(o,a,i);if(c){const e=c[0];o=o.substring(e.length);const t=u.parse(c,n,a);null==t.type&&(t.type=l),r.push(t),i=e;break}s++}}return r}return t.sort((function(t,n){let o=e[t].order,a=e[n].order;return o!==a?o-a:1})),function(e,t){return n(function(e){return e.replace(eu,"\n").replace(ou,"").replace(Lu,"    ")}(e),t)}}(u),d=(E=function(e,t){return function(n,o,a){const r=e[n.type].render;return t?t((()=>r(n,o,a)),n,o,a):r(n,o,a)}}(u,n.renderRule),function e(t,n={}){if(Array.isArray(t)){const o=n.key,a=[];let r=!1;for(let o=0;o<t.length;o++){n.key=o;const i=e(t[o],n),s="string"==typeof i;s&&r?a[a.length-1]+=i:null!==i&&a.push(i),r=s}return n.key=o,a}return E(t,e,n)});var E;const m=r(t);return s.length?a("div",null,m,a("footer",{key:"footer"},s.map((function(e){return a("div",{id:n.slugify(e.identifier),key:e.identifier},e.identifier,d(c(e.footnote,{inline:!0})))})))):m}const yc=t=>{let{children:n,options:o}=t,a=function(e,t){if(null==e)return{};var n,o,a={},r=Object.keys(e);for(o=0;o<r.length;o++)t.indexOf(n=r[o])>=0||(a[n]=e[n]);return a}(t,Ul);return e.cloneElement(hc(n,o),a)};var Mc=[{regex:/<a[\s\S]*?>([\s\S]*?)<\/a>/gim,value:"$1"}];var Cc=function(t){return t.mod,e.createElement("div",{className:"HorizontalLine-module__root--ggpZT"})};const bc=e.memo(Cc),Dc=function(t){var n=t.children;return e.createElement("div",{className:"Markdown-module__root--V6znJ"},e.createElement(yc,{options:{disableParsingRawHTML:!0,overrides:{p:{component:xc},hr:{component:Bc},a:{component:kc},em:{component:wc},del:{component:Uc},li:{component:Gc},img:{component:Pc},input:{component:Pc},table:{component:Pc}}}},function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";if(!e)return"";var t=pa()(e).call(e,/<script[\s\S]*?>([\s\S]*?)<\/script>/gim,"");return Mc.forEach((function(e){t=t.replace(e.regex,e.value)})),t}(n)))};var Pc=function(){return null},kc=function(t){var n,o=t.children,a=t.href;return e.createElement("span",null,u()(n='<a href="'.concat(a,'">')).call(n,o,"</a>"))},wc=function(t){var n=t.children;return e.createElement("span",null,"<i>".concat(n,"</i>"))},Uc=function(t){var n=t.children;return e.createElement("span",null,"<del>".concat(n,"</del>"))},xc=function(t){var n=t.children;return e.createElement("p",{cohinline:"true"},n)},Bc=function(){return e.createElement(Aa,{size:1.6,withSpaceBefore:!0,withSpaceAfter:!0},e.createElement(bc,null))},Gc=function(t){var n=t.children;return e.createElement("li",null,n.length>1&&n.some((function(e){return"string"==typeof e}))?e.createElement(Fc,null,n):n)},Fc=function(t){var n=t.children.reduce((function(e,t){var n;return e[Ft()(n=["ul","ol"]).call(n,t.type)?1:0].push(t),e}),[[],[]]),o=s(n,2),a=o[0],r=o[1];return e.createElement(e.Fragment,null,e.createElement("p",{cohinline:"true"},a),r)};var zc=e.forwardRef((function(t,n){var o=t.description,a=t.consoleMode,r=t.modalOpen,i=t.modalOpenHandler,l=t.isEditorial,u=xn({ref:n,name:"MOD_SPOTLIGHT_DESCRIPTION"}),c=s(e.useState(),2),d=c[0],E=c[1],m=s(pt(),1)[0],T=Wn().setFocus,p=l?51.2:22.4,f=l?51.2:22.4,S=e.useCallback((function(){if(n.current){var e=Xi().fontSize,t=n.current.getBoundingClientRect().height;return t?t/e+.1:0}}),[n]);e.useEffect((function(){requestAnimationFrame((function(){null!=n&&n.current&&E(S())}))}),[S,a,u,n]);var O=e.useCallback((function(){a||d||E(S())}),[S,a,d]);Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.A:return u&&d<f?null:i();case t.B:if(r)return i();break;case t.LEFT_STICK_UP:if(!r)return T({type:"NAVIGATE_OUTSIDE_SELF_UP",payload:n});break;case t.LEFT_STICK_DOWN:if(!r)return T({type:"NAVIGATE_OUTSIDE_SELF_DOWN",payload:n});break;case t.LEFT_STICK_LEFT:if(!r)return T({type:"NAVIGATE_OUTSIDE_SELF_LEFT",payload:n});break;case t.LEFT_STICK_RIGHT:if(!r)return T({type:"NAVIGATE_OUTSIDE_SELF_RIGHT",payload:n})}}},u);var A=a?d>=f-.1:d>=p-.1;return e.createElement(e.Fragment,null,r&&e.createElement(qn,{modalName:"MOD_SPOTLIGHT_EDITOR_DESCRIPTION",closeHandler:i,consoleMode:a},e.createElement(Hr,{stickScroll:"right",thin:!0,sliding:!0},e.createElement("div",{className:vt()("EditorDescription-module__modalContent--JZxji",{"EditorDescription-module__modalContentConsole--XQ4UO":a})},e.createElement(Dc,null,o)))),e.createElement("div",{onClick:!a&&A?i:void 0,onMouseEnter:O,className:vt()(a?"EditorDescription-module__modSpotlightDescriptionConsole--HVx22":"EditorDescription-module__modSpotlightDescription--JxRVV",{"EditorDescription-module__modSpotlightDescriptionConsoleEditorial--oKcYd":a&&l,"EditorDescription-module__focused--qT85Q":a&&u&&d>=f,"EditorDescription-module__focusedDisabled--HxqV5":a&&u&&d<f,"EditorDescription-module__readMore--GC6nR":A}),ref:n},e.createElement("div",{className:vt()("EditorDescription-module__preview--dO55X",{"EditorDescription-module__previewEditorial--rQjKO":l,"EditorDescription-module__readMoreIndicator--oPdyU":A,"EditorDescription-module__readMoreIndicatorEditorial--8Kxua":A&&l})},e.createElement(Dc,null,o)),u&&A&&e.createElement("div",{className:vt()({"EditorDescription-module__readMoreConsole--t8Zvf":a})},"".concat(m("MOD_SPOTLIGHT.READ_MORE"),"..."))))}));const Yc=e.memo(zc);var Hc=e.forwardRef((function(t,n){var o=t.mod,a=t.spotlightName,r=t.spotlightSegment,i=t.isEditorial,l=e.useRef(),u=e.useRef(),c=e.useRef(),d=s(e.useState(!1),2),E=d[0],m=d[1],T=e.useRef(),p=Wn().hasFocus,f=jn().consoleMode,S=B().push,O=Us(),A=O.unsubscribeMod,I=O.subscribeWithDependencies,v=Na(),_=$a().isModInProgress,N=s(pt(),1)[0],L=(e.useCallback((function(e){var t;return null===(t=e.playsets)||void 0===t?void 0:t.some((function(e){return e.playsetId===v}))}),[v]),e.useCallback((function(e){var t=e.id,n=e.displayName,o=e.version;_(t)||I({modId:t,playsetId:v,displayName:n,version:o,ref:l,spotlightName:a,spotlightSegment:r})}),[v,_,a,r,I]),e.useCallback((function(e){var t=e.id;A({modId:t,playsetId:v,spotlightName:a,spotlightSegment:r})}),[v,a,r,A]),e.useCallback((function(){return S("mod/".concat(o.id))}),[o.id,S])),R=p(T),g=(p(u)||p(c)||R)&&f;e.useEffect((function(){g&&u&&n&&Jr(u.current,n.current)}),[g,n]),Dn({callbackPressed:function(e){var t=bn.xboxOne.keyNumber;if(e.detail===t.A&&R)return L()}},g);var h=e.useCallback((function(){m(!E)}),[E]);return e.createElement("div",{className:"ModSpotlight-module__content--fDjXs"},e.createElement("div",{className:"ModSpotlight-module__mod--rh4g8"},e.createElement(si,{name:"MOD_SPOTLIGHT_MOD",ref:u,autofocus:!0},e.createElement(Cl,{size:"large",key:o.id,data:o,onClick:L,isEditorial:i}))),e.createElement("div",{className:vt()("ModSpotlight-module__text--hVdkI",{"ModSpotlight-module__textEditorial--uL8Zy":i})},e.createElement("div",{className:"ModSpotlight-module__textHeading--Ptgsz"},o.editorTitle),e.createElement(Yc,{consoleMode:f,description:o.editorDescription,ref:c,modalOpen:E,modalOpenHandler:h,isEditorial:i}),!i&&e.createElement(e.Fragment,null,e.createElement(Oa,{size:2.4}),e.createElement(si,{name:"MOD_SPOTLIGHT_BUTTON_VIEW_DETAILS",ref:T,className:vt()("ModSpotlight-module__buttonContainer--qXmOW",{"ModSpotlight-module__buttonContainerConsole--mQLIy":f})},e.createElement(Mn,{type:"primary",size:"medium",widthMode:"max",onClick:L},N("MOD_SPOTLIGHT.VIEW_DETAILS"))),e.createElement(Oa,{size:.8}),e.createElement(Mr,null),e.createElement(kl,{data:o,onClick:L}))))}));const Vc=e.memo(Hc),jc=function(t){var n=t.focused,o=t.goTo,a=s(pt(),1)[0],r=jn().consoleMode,i=s(e.useState(!1),2),l=i[0],u=i[1],c=e.useRef(),d=ns(c,1);return e.createElement("div",{onMouseEnter:function(){return u(!0)},onMouseLeave:function(){return u(!1)},className:vt()("LoadMoreItem-module__root--AS2CD",{"LoadMoreItem-module__focused--SOw2k":n}),onClick:o,style:{height:d},ref:c},e.createElement(Mn,{type:"ghost",size:r?"medium":"small",onClick:o,icon:n||l?"plus-black":"plus",iconPosition:"left",className:vt()("LoadMoreItem-module__customHover--D2Hm2",{"LoadMoreItem-module__customFocusedEffect--KUwzn":n||l})},a("START.FEATURED_MODS.LOAD_MORE")))},Wc=function(t){var n=t.goTo,o=t.focused,a=s(pt(),1)[0],r=jn().consoleMode,i=s(e.useState(!1),2),l=i[0],u=i[1];return e.createElement(Mn,{onMouseEnter:function(){return u(!0)},onMouseLeave:function(){return u(!1)},type:"ghost",size:r?"medium":"small",onClick:function(){return n()},icon:l?"plus-black":"plus",iconPosition:"left",focused:o},a("START.FEATURED_MODS.LOAD_MORE"))};var Kc=e.forwardRef((function(t,n){var o,a=t.list,r=t.columns,i=void 0===r?5:r,l=t.gameData,c=t.goTo,d=t.name,E=t.nextFocusName,m=t.prevFocusName,T=t.autofocus,p=s(pt(),1)[0],f=e.useRef(),S=e.useRef(),O=s(e.useState(),2),A=O[0],I=O[1],v=Wn().hasFocus,_=Us(),N=_.unsubscribeMod,L=_.subscribeWithDependencies,R=$a().isModInProgress,g=e.useCallback((function(e,t){var o=S.current.offsetTop-(n.current.getBoundingClientRect().height/2-n.current.getBoundingClientRect().height/2);Jr(S.current.children[2*Math.floor(t/i)],n.current,o),I(t)}),[i,n]),h=e.useCallback((function(){return c()}),[c]),y=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;(isNaN(e)?e.detail:e)===t.A&&h()}),[h]);Dn({callbackPressed:y},A===a.mods.length&&v(S));var M=Na(),C=e.useCallback((function(e){var t;return null==e||null===(t=e.playsets)||void 0===t?void 0:t.some((function(e){return e.playsetId===M}))}),[M]),b=!!a.generated,D=Cn().updateFooterButtons,P=C(a.mods[A]);e.useEffect((function(){v(S)&&D(Dt(Dt({A:{name:"A",text:"CONSOLE_FOOTER.DETAILS",position:"right"}},b?{X:{name:"X",text:P?"CONSOLE_FOOTER.UNSUBSCRIBE":"CONSOLE_FOOTER.SUBSCRIBE",position:"right"}}:{}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}))}),[b,v,P,D]);var k=e.useCallback((function(e){var t=e.id;N({modId:t,playsetId:M,telemetry:{spotlightName:a.displayName,spotlightSegment:void 0!==A?A.toString():""}})}),[M,a.displayName,A,N]),w=e.useCallback((function(e){var t=e.id,n=e.displayName,o=e.version;R(t)||L({modId:t,playsetId:M,displayName:n,version:o,ref:S,telemetry:{spotlightName:a.displayName,spotlightSegment:void 0!==A?A.toString():""}})}),[M,R,a.displayName,A,L]);return e.createElement("div",{className:"ModGrid-module__featuredContainer--CFPAg"},e.createElement("div",{className:"ModGrid-module__featuredHeading--cUwwr"},p("".concat(a.displayName))),e.createElement(zi,{columns:i,ref:S,name:d,useScrollBars:!1,onChange:g,navigateOutsideUpName:m,navigateOutsideDownName:E,autofocus:T},Ae()(o=a.mods).call(o,(function(t,n){var o;return e.createElement(ds,{key:u()(o="".concat(a.id,"-")).call(o,t.id),data:t,game:l,addModRef:F,showImage:!0,subscribed:C(t),isSelected:A===n&&v(S),canSubscribe:b,onClick:function(){return c("mod/".concat(t.id))},onSubscribeClick:w,onUnsubscribeClick:k,inProgress:R(t.id)})})),a.mods.length%i!=0&&e.createElement(jc,{goTo:h,focused:A===a.mods.length&&v(S)})),a.mods.length%i==0&&e.createElement("div",{className:"ModGrid-module__browseAllLong--J0X8F"},e.createElement(si,{ref:f,name:"FEATURED_BROWSE_BUTTON_".concat(a.id),onGamepadInputHandler:y},e.createElement(Wc,{goTo:h}))))}));const Xc=e.memo(Kc);var qc=function(){var t,n,o,a=e.useRef(),r=(n=s(Oo(za),1)[0],o=e.useContext(Ka).featuredModsListsState,{getFeaturedModsLists:e.useCallback((function(){n({})}),[n]),featuredModsLists:null==o||null===(t=o.data)||void 0===t?void 0:t.lists,featuredModsListsLoading:(null==o?void 0:o.status)===V}),i=r.getFeaturedModsLists,l=r.featuredModsLists,u=r.featuredModsListsLoading,c=ka(),d=c.gameData,E=c.gameDataLoading,m=B().push,T=Un().offline;hi(T);var p=s(e.useState(),2),f=p[0],S=p[1],O=s(e.useState([]),2),A=O[0],I=O[1];e.useEffect((function(){i()}),[i]),e.useEffect((function(){if(l&&!u){var e=Se()(l).call(l,(function(e){var t,n;return e.pinned&&(null===(t=e.mods)||void 0===t?void 0:t.length)>0&&(null===(n=e.state)||void 0===n?void 0:n.toLowerCase())===ae.PUBLISHED.toLowerCase()}));e&&S(e);var t=pe()(l).call(l,(function(e){var t,n;return!e.pinned&&(null===(t=e.mods)||void 0===t?void 0:t.length)>0&&(null===(n=e.state)||void 0===n?void 0:n.toLowerCase())===ae.PUBLISHED.toLowerCase()}));I(t||[])}}),[l,u]);var v=e.useCallback((function(){var e="/".concat(arguments.length>0&&void 0!==arguments[0]?arguments[0]:"");m(e)}),[m]);return e.createElement("div",{className:"Start-module__root--epedx"},e.createElement("div",{className:vt()("Start-module__container--GU9ls")},u||E?e.createElement(Er,null,e.createElement(fo,{variant:"spinner",size:"16rem"})):e.createElement(Pn,{name:"START_CONTENT"},e.createElement(Hr,{thin:!0},e.createElement("div",{className:"Start-module__scrollContainer--QgzHw",ref:a},e.createElement(Oa,{size:.8}),f&&e.createElement("div",{className:"Start-module__spotlightContainer--yM4sG"},e.createElement(Vc,{mod:f.mods[0],ref:a,spotlightName:f.displayName,spotlightSegment:0,isEditorial:0===f.mods[0].id})),A&&Ae()(A).call(A,(function(t,n){return e.createElement(Xc,{list:t,key:t.id,goTo:v,gameData:d,ref:a,name:"FEATURED_LIST_".concat(t.id),nextFocusName:t.length===n?"FEATURED_LIST_".concat(A[n+1].id):void 0,prevFocusName:n>0?"FEATURED_LIST_".concat(A[n-1].id):f?"MOD_SPOTLIGHT_MOD":void 0,autofocus:!f&&0===n})})),e.createElement(Oa,{size:4}))))))};const Qc=e.memo(qc);var Zc=function(t){var n=t.onClick,o=t.noLabel,a=s(pt(),1)[0],r=jn().consoleMode,i=s(e.useState(!1),2),l=i[0],u=i[1],c=s(e.useState(!1),2),d=c[0],E=c[1];return e.createElement("div",{className:"BackButton-module__root--UCuxC",onClick:n,onMouseEnter:function(){return u(!0)},onMouseLeave:function(){u(!1),E(!1)},onMouseDown:function(){return E(!0)},onMouseUp:function(){return E(!1)}},e.createElement(Aa,{size:1.6},e.createElement("div",{className:vt()({"BackButton-module__icon--VQYSO":!r,"BackButton-module__icon-console--a95mk":r,"BackButton-module__hovered--XL7z_":l,"BackButton-module__pressed--mfTem":d})},r?e.createElement(Lr,{name:"B"}):null),!o&&e.createElement("div",{className:"BackButton-module__label--Lq2nX"},a("MOD_DETAILS.HEADER.BACK").toUpperCase())))};const $c=e.memo(Zc);var Jc=["stickScroll","sliding","thin","children"];const ed=function(t){var n=t.stickScroll,o=t.sliding,a=t.thin,r=t.children,i=Re(t,Jc);return e.createElement(Hr,{stickScroll:n,sliding:o,thin:a},e.createElement("div",_r()({"data-is-scroll-area":!0},i),r))};var td=function(){var t=s(pt(),1)[0];return e.createElement(da,{severity:"error"},t("MOD_DETAILS.BANNED.INFO"))};const nd=e.memo(td),od=function(t){var n=t.onClick,o=t.autofocus,a=t.enabled,r=e.useRef(),i=xn({ref:r,autofocus:o,enabled:a});return ts({button:ce,callback:n,enabled:i}),ai({ref:r}),e.createElement("div",{className:vt()("FocusableBackButton-module__root--jVTmw",{"FocusableBackButton-module__focused--Xwv2e":i}),ref:r},e.createElement($c,{onClick:n,noLabel:!0}))},ad={root:"Flyout-module__root--nrS2F",slidein:"Flyout-module__slidein--jr40W","size-normal":"Flyout-module__size-normal--XCZ_V","size-wide":"Flyout-module__size-wide--PQdnW","size-wider":"Flyout-module__size-wider--GDNBc","size-widest":"Flyout-module__size-widest--grRGm",header:"Flyout-module__header--TYNxd",title:"Flyout-module__title--Kj47x","title-console":"Flyout-module__title-console--nrQBA","body-wrapper":"Flyout-module__body-wrapper--ntAWW",body:"Flyout-module__body--oJ_z6",footer:"Flyout-module__footer--_6YmG"};var rd=function(t){var n,o=t.title,a=t.children,r=t.headerActions,i=t.footer,s=t.size,l=void 0===s?"normal":s,u=t.noHeaderLine,c=void 0!==u&&u,d=t.noStickScroll,E=void 0!==d&&d,m=t.noBackButtonFocus,T=void 0!==m&&m,p=e.useRef(),f=jn().consoleMode,S=(n=Ni(),e.useCallback((function(){return n(null)}),[n]));return function(t){var n=t.ref,o=t.callback;e.useEffect((function(){if(n&&o){var e=function(e){var t=n.current;t&&!t.contains(e.target)&&o(e)};return document.addEventListener("click",e),function(){document.removeEventListener("click",e)}}}),[o,n])}({ref:p,callback:S}),Kn(),ts({button:"B",callback:S}),e.createElement(Pn,{name:"FLYOUT_".concat(o.replace(" ","_").toUpperCase()),boundedAllDirections:!0},e.createElement(Wr,{opacity:.6}),e.createElement("div",{className:vt()(ad.root,ad["size-".concat(l)],{[ad["root-console"]]:f}),ref:p},e.createElement("div",{className:ad.header},e.createElement(Aa,{size:1.6},e.createElement(od,{onClick:S,autofocus:!0,enabled:!T}),e.createElement("div",{className:vt()(ad.title,{[ad["title-console"]]:f})},o.toUpperCase()),r)),!c&&e.createElement(bc,null),e.createElement("div",{className:ad["body-wrapper"]},e.createElement(ed,{className:ad.body,stickScroll:E?void 0:"right",thin:!0,sliding:!0},a)),i&&e.createElement("div",{className:ad.footer},i)))};const id=e.memo(rd),sd={root:"Content-module__root--UpLuS","crop-default":"Content-module__crop-default--ySubZ","crop-double":"Content-module__crop-double--Imz8p","no-crop":"Content-module__no-crop--fVX4y",tint:"Content-module__tint--O7OkH",hovered:"Content-module__hovered--_jZmu",pressed:"Content-module__pressed--qkV6F"},ld=function(t){var n=t.children,o=t.cropMode,a=t.cropSize,r=t.hasCallback,i=t.isHovered,l=t.isPressed,u=e.useRef(),c="off"===o,d="default"===o,E="overflow"===o,m=s(e.useState(!1),2),T=m[0],p=m[1];e.useEffect((function(){if(u.current&&r&&E){var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:if(u.current){e.next=4;break}return e.abrupt("return");case 4:p(u.current.scrollHeight>u.current.offsetHeight);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}}),[E,r]);var f=r&&(d||E&&T);return e.createElement("div",{className:vt()(sd.root,sd["crop-".concat(a)],{[sd["no-crop"]]:c}),ref:u},n,f&&e.createElement("div",{className:vt()(sd.tint,{[sd.hovered]:i,[sd.pressed]:l})}))},ud="Card-module__hovered--TvvSd",cd="Card-module__pressed--zC36R";var dd=function(t){var n=t.title,o=t.onClick,a=t.children,r=t.cropMode,i=void 0===r?"default":r,l=t.cropSize,u=void 0===l?"default":l,c=t.noFocus,d=void 0!==c&&c,E=e.useRef(),m=jn().consoleMode,T=Cn().updateFooterButtons,p=s(e.useState(!1),2),f=p[0],S=p[1],O=s(e.useState(!1),2),A=O[0],I=O[1],v=void 0!==o,_=xn({ref:E,name:"CARD_".concat(n.replace(" ","_").toUpperCase()),enabled:!d});return ai({ref:E}),ts({button:ce,callback:o,enabled:_}),e.useEffect((function(){_&&T(Dt(Dt({},v?{A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"}}:{}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}))}),[v,_,T]),e.createElement("div",{className:vt()("Card-module__root--U1TD4",{"Card-module__interactive--YxR5t":v,[ud]:f,[cd]:A,"Card-module__focused--V2Rdq":m&&_}),onClick:o,onMouseEnter:function(){return S(!0)},onMouseLeave:function(){S(!1),I(!1)},onMouseDown:function(){return I(!0)},onMouseUp:function(){return I(!1)},ref:E},e.createElement(Aa,{size:1.6},e.createElement("div",{className:"Card-module__header--XyrRx"},e.createElement("div",{className:"Card-module__title--ICaZL"},n.toUpperCase()),v&&e.createElement("div",{className:vt()("Card-module__arrow-icon--fMP5o",{[ud]:f,[cd]:A})})),a&&e.createElement(ld,{cropMode:i,cropSize:u,hasCallback:v,isHovered:f,isPressed:A},a)))};const Ed=e.memo(dd);var md=function(e,t){return new Date(t.releasedDate)>new Date(e.releasedDate)?1:-1},Td=function(t){var n=t.changelog,o=void 0===n?[]:n,a=s(pt(),1)[0],r=jn().consoleMode,i=Ni(),l=Ut()(o).call(o,md),u=e.useMemo((function(){return Ae()(l).call(l,(function(t){return e.createElement(pd,{key:t.releasedDate,version:t.version,releasedDate:t.releasedDate,details:t.details})}))}),[l]),c=e.useCallback((function(){i((function(){return e.createElement(id,{title:a("MOD_DETAILS.CHANGELOG.TITLE"),size:r?"wide":"normal",noHeaderLine:!0},e.createElement(Aa,{size:r?3.2:2,withSpaceAfter:!0},u))}))}),[r,u,i,a]);return e.createElement(Ed,{title:a("MOD_DETAILS.CHANGELOG.TITLE"),onClick:c,cropMode:u.length<=3?"overflow":"default"},e.createElement(Aa,{size:r?3.2:2},Ct()(u).call(u,0,3)))},pd=function(t){var n,o,a,r=t.version,i=t.releasedDate,l=t.details,c=s(pt(),1)[0],d=jn().consoleMode,E=u()(n="".concat(c("MOD_DETAILS.CHANGELOG.V"))).call(n,r),m=i.split("T")[0],T=c("MOD_DETAILS.CHANGELOG.RELEASED"),p=u()(o=u()(a="".concat(E," - ")).call(a,T," ")).call(o,m);return e.createElement(e.Fragment,null,e.createElement("div",{className:d?"ChangelogCard-module__title-console--ZpOY4":"ChangelogCard-module__title--GJSas"},p),e.createElement(Oa,{size:d?.8:.4}),e.createElement("div",{className:d?"ChangelogCard-module__details-console--eZG86":"ChangelogCard-module__details--rL49F"},e.createElement(Dc,null,l)))};const fd=e.memo(Td),Sd=function(t){var n=t.children,o=s(pt(),1)[0],a=jn().consoleMode,r=Ni(),i=o("MOD_DETAILS.DESCRIPTION.TITLE"),l=e.useCallback((function(){r((function(){return e.createElement(id,{title:i,size:a?"wider":"normal",noHeaderLine:!0},e.createElement("div",null,e.createElement(Dc,null,n),e.createElement(Oa,{size:4})))}))}),[n,a,r,i]);return e.createElement(Ed,{title:i,onClick:l,cropSize:"double"},e.createElement(Dc,null,n))},Od=function(t){var n=t.children,o=s(pt(),1)[0];return jn().consoleMode?e.createElement(Sd,null,n):e.createElement(Aa,{size:1.6},e.createElement("div",{className:"Description-module__header--q0B9O"},o("MOD_DETAILS.DESCRIPTION.TITLE").toUpperCase()),e.createElement("div",{className:"Description-module__content--xvNm0"},e.createElement(Dc,null,n)))};var Ad=function(e,t){if(t.type===K){var n,o=t.payload.requestId,a=Se()(n=Yt()(e)).call(n,(function(t){return e[t][o]}));return a?Dt(Dt({},e),{},{[a]:Dt(Dt({},e[a]),{},{[o]:{data:t.payload.data,status:K}})}):e}var r;if(null!==(r=t.payload.data)&&void 0!==r&&r.modId){var i=t.payload.data.modId,s=t.requestId||t.payload.requestId;return Dt(Dt({},e),{},{[i]:Dt(Dt({},e[i]),{},{[s]:Dt(Dt({},e[i]?e[i][s]:{}),t.payload)})})}return e},Id={name:"send_forum_post",defaults:{__Type:"PDX.ModsUI.UITypes.SendForumPostRequest",modId:0,threadId:0,modVersion:"",message:""},error:{title:"ERROR.SEND_FORUM_POST.TITLE",message:"ERROR.SEND_FORUM_POST.MESSAGE",showDetails:!0},lock:z};const vd=function(t){var n,o,a=s(pt(),1)[0],r=Da().toastAlert,i=s(No(Id,Ad,{}),1)[0],l=s(Oo(Id),1)[0],u=Yn().readWriteLocked;e.useEffect((function(){(null==i?void 0:i.status)===W&&r({message:a("TOASTS.COMMENT_POSTED")})}),[null==i?void 0:i.status,r,a]);var c=e.useCallback((function(e){var t=e.modId,n=e.threadId,o=e.modVersion,a=e.message;if(!u)return new(Rt())((function(e){return l({modId:ve()(t),threadId:ve()(n),modVersion:o,message:a},e)}))}),[u,l]),d=i[t]||{};return{forumPostResult:Ae()(n=pe()(o=me()(d)).call(o,(function(e){return e.status===W}))).call(n,(function(e){return e.data.post})),forumPostLoading:me()(d).some((function(e){return e.status===V})),sendForumPost:c}};var _d=function(t){var n,o=t.url,a=t.onClose,r=s(pt(),1)[0],i=(n=a,e.useCallback((function(e){n(),window.engine.trigger("open_url",e)}),[n]));return e.createElement(co,{modalName:"CONFIRM_OPEN_URL_MODAL",title:r("MOD_DETAILS.LINKS_MODAL.TITLE"),text:e.createElement(e.Fragment,null,r("MOD_DETAILS.LINKS_MODAL.TEXT"),e.createElement("div",{className:"OpenLinkModal-module__bold--jtpaF"},o)),submitHandler:function(){return i(o)},closeHandler:a})};const Nd=e.memo(_d),Ld=function(t){var n=t.initial,o=void 0===n?"":n;return e.createElement("div",{className:"Avatar-module__root--Lihk_"},o.toUpperCase())};var Rd={year:"numeric",month:"short",day:"numeric"};const gd=function(t){var n=t.value,o=Un().language,a=(n?new Date(n):new Date).toLocaleDateString(o,Rd);return e.createElement("div",{className:"Timestamp-module__root--TgXCV"},a)};var hd=e.createContext({}),yd=function(t){var n=t.children,o=t.enabled,a=void 0===o||o,r=s(e.useState(null),2),i=r[0],l=r[1],u=e.useCallback((function(e){l(e)}),[]),c=e.useCallback((function(){l(null)}),[]);return e.createElement(hd.Provider,{value:{enabled:a,post:i,replyTo:u,clear:c}},n)},Md=function(){return e.useContext(hd)};const Cd="ForumPost-module__blockquote--YgVyT",bd="ForumPost-module__title--OPTRA",Dd="ForumPost-module__list--Wl1T0";var Pd,kd=[/\[ATTACH[\s\S]*?\][\s\S]*?\[\/ATTACH\]/g,/\[MEDIA[\s\S]*?\][\s\S]*?\[\/MEDIA\]/g,/\[HR[\s\S]*?\][\s\S]*?\[\/HR\]/g,/\[SPOILER[\s\S]*?\]([\s\S]*?)\[\/SPOILER\]/g,/\[ISPOILER[\s\S]*?\]([\s\S]*?)\[\/ISPOILER\]/g,/\[TABLE\]([\s\S]*?)\[\/TABLE\]/g,/\[URL=?([\s\S]*?)\]([\s\S]*?)\[\/URL\]/g],wd=[{pattern:/\[FONT[\s\S]*?\]([\s\S]*?)\[\/FONT\]/gim,value:"$1"},{pattern:/\[S[\s\S]*?\]([\s\S]*?)\[\/S\]/gim,value:"&lt;del&gt;$1&lt;/del&gt;"},{pattern:/\[I\]([\s\S]*?)\[\/I\]/gim,value:"&lt;i&gt;$1&lt;/i&gt;"},{pattern:/\[U[\s\S]*?\]([\s\S]*?)\[\/U\]/gim,value:"&lt;u&gt;$1&lt;/u&gt;"},{pattern:/\[SIZE=([\s\S]*?)px\]([\s\S]*?)\[\/SIZE\]/gim,value:function(e,t,n){var o;return u()(o='<div style="font-size: '.concat(t/10,'rem; line-height: 1.1;">')).call(o,n,"</div>")}},{pattern:/\[B[\s\S]*?\]([\s\S]*?)\[\/B\]/gim,value:"<strong>$1</strong>"},{pattern:/\[COLOR=([\s\S]*?)\]([\s\S]*?)\[\/COLOR\]/gim,value:'<div style="color: $1;">$2</div>'},{pattern:/\[INDENT[\s\S]*?\]([\s\S]*?)\[\/INDENT\]/gim,value:'<div class="'.concat("ForumPost-module__indent--kXVYg",'">$1</div>')},{pattern:/\[CENTER[\s\S]*?\]([\s\S]*?)\[\/CENTER\]/gim,value:'<div class="'.concat("ForumPost-module__text-center--fOMSB",'">$1</div>')},{pattern:/\[LEFT[\s\S]*?\]([\s\S]*?)\[\/LEFT\]/gim,value:'<div class="'.concat("ForumPost-module__text-left--ELxhd",'">$1</div>')},{pattern:/\[RIGHT[\s\S]*?\]([\s\S]*?)\[\/RIGHT\]/gim,value:'<div class="'.concat("ForumPost-module__text-right--W_Yyb",'">$1</div>')},{pattern:/\[JUSTIFY[\s\S]*?\]([\s\S]*?)\[\/JUSTIFY\]/gim,value:'<div class="'.concat("ForumPost-module__text-justify--Y0dR9",'">$1</div>')},{pattern:/(\[\*\])([\s\S]*?)(?=\[\*\]|\[\/LIST\])/gim,value:'<li class="'.concat("ForumPost-module__list-item--Xg0JM",'">‧ $2</li>')},{pattern:/\[LIST\]([\s\S]*?)\[\/LIST\]/gim,value:'<ul class="'.concat(Dd,'">$1</ul>')},{pattern:/\[LIST=1\]([\s\S]*?)\[\/LIST\]/gim,value:'<ol class="'.concat(Dd,'">$1</ol>')},{pattern:/\[QUOTE="([\s\S]*?),[\s\S]*?\]([\s\S]*?)\[\/QUOTE\]/gim,value:u()(Pd='<div class="'.concat(Cd,'"><div class="')).call(Pd,"ForumPost-module__author--eOsny",'">$1:</div><div>$2</div></div>')},{pattern:/\[QUOTE[\s\S]*?\]([\s\S]*?)\[\/QUOTE\]/gim,value:'<div class="'.concat(Cd,'">$1</div>')},{pattern:/\[CODE[\s\S]*?\]([\s\S]*?)\[\/CODE\]/gim,value:'<div class="'.concat("ForumPost-module__code--Cpyl_",'">$1</div>')},{pattern:/\[ICODE[\s\S]*?\]([\s\S]*?)\[\/ICODE\]/gim,value:'<div class="'.concat("ForumPost-module__code-inline--yTOxN",'">$1</div>')}],Ud=function(t){var n=t.post,o=t.justSent,a=void 0!==o&&o,r=t.autofocus,i=void 0!==r&&r,l=t.noFocus,u=void 0!==l&&l,c=s(pt(),1)[0],d=Un().loggedIn,E=jn().consoleMode,m=Cn().updateFooterButtons,T=s(e.useState(!E),2),p=T[0],f=T[1];e.useEffect((function(){f(!E)}),[E]);var S=e.useCallback((function(){return f((function(e){return!e}))}),[]),O=s(e.useState(!1),2),A=O[0],I=O[1],v=e.useCallback((function(){return I(!0)}),[]),_=e.useCallback((function(){return I(!1)}),[]),N=e.useRef(),L=e.useRef(),R=s(e.useState(!1),2),g=R[0],h=R[1];e.useEffect((function(){if(L.current){var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:if(L.current){e.next=4;break}return e.abrupt("return");case 4:h(L.current.scrollHeight>L.current.offsetHeight);case 5:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}}),[E]);var y,M,C=Md(),b=C.enabled,D=C.replyTo,P=e.useCallback((function(){D(Dt({},n))}),[n,D]),k=xn({ref:N,autofocus:i,enabled:!u});return ai({ref:N}),ts({button:"X",callback:v,enabled:k&&!a}),ts({button:"Y",callback:P,enabled:k&&d&&b}),ts({button:ce,callback:S,enabled:k&&g}),e.useEffect((function(){k&&m(Dt(Dt(Dt(Dt({},g?{A:{name:"A",text:p?"CONSOLE_FOOTER.COLLAPSE":"CONSOLE_FOOTER.EXPAND",position:"right"}}:{}),{},{RightStick:{name:"RightStick",text:"CONSOLE_FOOTER.SCROLL",position:"right"}},a?{}:{X:{name:"X",text:"CONSOLE_FOOTER.OPEN_WEB_LINK",position:"right"}}),d&&b?{Y:{name:"Y",text:"CONSOLE_FOOTER.REPLY",position:"right"}}:{}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}))}),[p,k,g,d,a,b,m]),e.createElement("div",{className:vt()("ForumPost-module__root--BEgO9",{"ForumPost-module__focused--kUlZa":k,"ForumPost-module__expanded--As5It":p}),ref:N},e.createElement("div",{className:"ForumPost-module__metadata--yALEL"},e.createElement(Ld,{initial:n.username[0]}),e.createElement(Oa,{size:.8}),e.createElement(gd,{value:n.created})),e.createElement(Oa,{size:2.4}),e.createElement("div",{className:"ForumPost-module__content--LEwW6"},e.createElement("div",{className:"ForumPost-module__user-row--X6aVj"},e.createElement("div",{className:"ForumPost-module__username--ZFU7y"},n.username),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:bd},n.userTitle),e.createElement(Oa,{size:.8}),a&&e.createElement("div",{className:bd},c("MOD_DETAILS.FORUM_POSTS.YOU")),e.createElement(Mr,null),e.createElement(Aa,{size:.8},a&&e.createElement("div",{className:"ForumPost-module__label--TZbzX"},e.createElement("div",null,c("MOD_DETAILS.FORUM_POSTS.NEW"))),!E&&d&&b&&e.createElement(Mn,{type:"transparent-circle",size:"small",onClick:P,icon:"reply",iconPosition:"center"}),!E&&e.createElement(Mn,{type:"transparent-circle",size:"small",onClick:v,icon:"link-out",iconPosition:"center"}))),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:"ForumPost-module__message--vhtEo",ref:L},e.createElement(Aa,{size:.8},function(e){for(var t=0,n=kd;t<n.length;t++)if(n[t].test(e))return!0;return!1}(n.message)&&e.createElement("div",{className:"ForumPost-module__unsupported--m_OZu"},e.createElement(Aa,{size:2.4},e.createElement("div",{className:"ForumPost-module__unsupported-icon--lNtmE"},e.createElement(Oa,{size:.8}),e.createElement(gn,{variant:"meh",size:"x-large"})),e.createElement("div",{className:"ForumPost-module__unsupported-message--F8PLp"},e.createElement(Aa,{size:2.4},c("MOD_DETAILS.FORUM_POSTS.UNSUPPORTED_FORMATTING"),c("MOD_DETAILS.FORUM_POSTS.GO_TO_POST"),!a&&!E&&e.createElement("div",{className:"ForumPost-module__unsupported-button-wrapper--YX8yp"},e.createElement(Mn,{type:"ghost",size:"small",onClick:v,icon:"link-out",iconPosition:"right"},c("MOD_DETAILS.FORUM_POSTS.OPEN_IN_BROWSER").toUpperCase())))))),e.createElement("div",{style:{display:"flex",flexDirection:"column"},dangerouslySetInnerHTML:{__html:(y=n.message,M=y,M=M.replace(/[&<>]/g,(function(e){return{"&":"&amp;","<":"&lt;",">":"&gt;"}[e]||e})),kd.forEach((function(e){M=M.replace(e,"")})),wd.forEach((function(e){M=M.replace(e.pattern,e.value)})),M=M.replace(/\n{2,}/g,"\n"),pa()(M).call(M,"\n",'<div class="'.concat("ForumPost-module__line-break--RpQgo",'"></div>')))}})),g&&!p&&e.createElement("div",{className:vt()("ForumPost-module__tint--rVkd9")})),e.createElement(Oa,{size:.8})),A&&e.createElement(Nd,{url:n.url,onClose:_}))};const xd=e.memo(Ud),Bd=function(t){var n=t.onClick,o=s(pt(),1)[0],a=jn().consoleMode,r=Cn().updateFooterButtons,i=e.useRef(),l=xn({ref:i});return ts({button:ce,callback:n,enabled:l}),ai({ref:i}),e.useEffect((function(){l&&r({A:{name:"A",text:"CONSOLE_FOOTER.OPEN_WEB_LINK",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[l,r]),e.createElement("div",{className:"GoToThreadButton-module__root--xeb5u",ref:i},e.createElement(Mn,{type:"ghost",size:a?"medium":"small",focused:l,onClick:n,icon:"link-out",iconPosition:"right"},o("MOD_DETAILS.FORUM_POSTS.OPEN_FULL_DISCUSSION").toUpperCase()))},Gd=function(t){var n=t.onClick,o=s(pt(),1)[0],a=jn().consoleMode,r=Cn().updateFooterButtons,i=e.useRef(),l=xn({ref:i});return ts({button:ce,callback:n,enabled:l}),ai({ref:i}),e.useEffect((function(){l&&r({A:{name:"A",text:"MOD_DETAILS.FORUM_POSTS.LOAD_MORE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[l,r]),e.createElement("div",{className:"LoadMoreButton-module__root--koSGP",ref:i},e.createElement(Mn,{type:"ghost",size:a?"medium":"small",focused:l,onClick:n},o("MOD_DETAILS.FORUM_POSTS.LOAD_MORE").toUpperCase()))};var Fd=function(t){var n=t.name,o=t.title,a=t.value,r=t.onChange,i=t.onFocus,s=t.onBlur,l=t.placeholder,u=t.focused,c=t.consoleMode,d=t.className,E=t.hasError,m=t.errorMessage,T=t.id,p=t.label,f=t.disabled,S=t.autoFocus,O=vt()({"TextArea-module__textarea--xhZ4l":!c,"TextArea-module__xbox-textarea--Qx7PD":c,"TextArea-module__focused--azyy1":u,"TextArea-module__error--GlSVJ":E,"TextArea-module__error-console--nzSlE":E&&c,"TextArea-module__disabled--AXti4":f},d);return e.createElement(e.Fragment,null,p&&e.createElement("div",{className:vt()("TextArea-module__label--dVtTG",{"TextArea-module__label-console--x210c":c})},p),e.createElement(Pr,{className:O,name:n,value:a,title:o,onChange:f?void 0:r,onFocus:i,onBlur:s,placeholder:l,id:T,focused:u,Tag:"textarea",maxInputLength:1024,autoFocus:S}),E&&m&&e.createElement("div",{className:vt()("TextArea-module__validation-error--MaruQ",{"TextArea-module__validation-error-console--OBtTu":c})},m))};const zd=e.memo(Fd),Yd=function(t){var n=t.modId,o=t.threadId,a=t.modVersion,r=s(pt(),1)[0],i=s(e.useState(""),2),l=i[0],c=i[1],d=s(e.useState(l.length>0),2),E=d[0],m=d[1],T=jn().consoleMode,p=e.useCallback((function(){return m(!0)}),[]),f=e.useCallback((function(){return m(!1)}),[]),S=e.useCallback((function(e){c(e)}),[]),O=e.useCallback((function(){0===l.length&&f()}),[f,l.length]),A=Md(),I=A.post,v=A.clear,_=vd(n),N=_.forumPostLoading,L=_.sendForumPost,R=e.useCallback((function(){v(),c(""),f()}),[v,f]),g=e.useCallback(function(){var e=At(St().mark((function e(t){var r;return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return r=t.message,e.prev=1,e.next=4,L({modId:n,threadId:o,modVersion:a,message:r});case 4:if(e.sent.status!==K){e.next=8;break}return e.abrupt("return");case 8:R(),e.next=13;break;case 11:e.prev=11,e.t0=e.catch(1);case 13:case"end":return e.stop()}}),e,null,[[1,11]])})));return function(t){return e.apply(this,arguments)}}(),[n,a,R,L,o]),h=e.useCallback((function(){var e,t,n,o;0!==l.length&&g({message:I?u()(e=u()(t=u()(n=u()(o='[QUOTE="'.concat(I.username,", post: ")).call(o,I.postId,", member: ")).call(n,I.userId,'"]')).call(t,I.message,"[/QUOTE]\n")).call(e,l):l})}),[l,g,I]);return E||l.length>0||I||T?e.createElement(Pn,{name:"NEW_FORUM_POST"},e.createElement(Hd,{name:"message",value:l,autoFocus:!T,onChange:S,onBlur:O,title:r("MOD_DETAILS.FORUM_POSTS.COMMENT_TITLE"),placeholder:r("MOD_DETAILS.FORUM_POSTS.ADD_COMMENT"),disabled:N}),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:"Form-module__form-buttons--KbDsL"},e.createElement(Mr,null),I&&e.createElement("div",{className:"Form-module__replying-post--Beywr"},e.createElement("div",null,r("MOD_DETAILS.FORUM_POSTS.REPLYING_TO",{user:I.username})),e.createElement(Oa,{size:.8}),e.createElement(jd,{onClick:v,disabled:N})),e.createElement(Oa,{size:.8}),e.createElement(Vd,{onClick:h,loading:N}))):e.createElement("div",{className:"Form-module__expander--hA4xV",onClick:p},r("MOD_DETAILS.FORUM_POSTS.ADD_COMMENT"))};var Hd=function(t){var n=jn().consoleMode,o=Cn().updateFooterButtons,a=Wn().setFocus,r=e.useRef(),i=xn({ref:r,name:"POST_MESSAGE_TEXTAREA"});ai({ref:r}),e.useEffect((function(){i&&o({A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[i,o]);var s=Md().post;return e.useEffect((function(){if(r.current&&s)if(n)a({type:"SET_FOCUS",payload:r});else{var e=function(){var e=At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,gt();case 2:Jr(r.current,oi(r.current),0,!0);case 3:case"end":return e.stop()}}),e)})));return function(){return e.apply(this,arguments)}}();e()}}),[n,s,a]),e.createElement("div",{className:"Form-module__textarea-wrapper--h2BMZ",ref:r},e.createElement(zd,_r()({},t,{focused:i})))},Vd=function(t){var n=t.onClick,o=t.loading,a=s(pt(),1)[0],r=Cn().updateFooterButtons,i=e.useRef(),l=xn({ref:i,name:"POST_SUBMIT_BUTTON"});return ts({button:ce,callback:n,enabled:l&&!o}),ai({ref:i}),e.useEffect((function(){l&&r({A:{name:"A",text:"CONSOLE_FOOTER.CONFIRM",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[l,r]),e.createElement("div",{ref:i},e.createElement(Mn,{type:"primary",size:"small",onClick:n,disabled:o,focused:l},o?e.createElement(fo,null):a("MOD_DETAILS.FORUM_POSTS.SEND_COMMENT")))},jd=function(t){var n=t.onClick,o=t.disabled,a=s(pt(),1)[0],r=Cn().updateFooterButtons,i=e.useRef(),l=xn({ref:i,name:"REMOVE_REPLY_BUTTON"});return ts({button:ce,callback:n,enabled:l&&!o}),ai({ref:i}),e.useEffect((function(){l&&r({A:{name:"A",text:"CONSOLE_FOOTER.CANCEL",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[l,r]),e.createElement("div",{ref:i},e.createElement(Mn,{type:"ghost",size:"small",onClick:n,disabled:o,focused:l},a("MOD_DETAILS.FORUM_POSTS.REMOVE_REPLY")))};const Wd="CantPost-module__information--klo1T";var Kd=function(){var t=s(pt(),1)[0],n=s(e.useState(!1),2),o=n[0],a=n[1],r=e.useCallback((function(){a(!0)}),[]),i=e.useCallback((function(){a(!1)}),[]),l=e.useRef(),u=xn({ref:l,name:"LINK_FORUM_ACCOUNT"});return ai({ref:l}),e.createElement("div",{className:"CantPost-module__root--KehZK",ref:l},e.createElement("div",{className:"CantPost-module__header--Bw2pA"},t("MOD_DETAILS.FORUM_POSTS.REGISTER_TITLE")),e.createElement(Et,{i18nKey:"MOD_DETAILS.FORUM_POSTS.REGISTER_INFORMATION"},e.createElement("div",{className:Wd},"Your account needs to be connected with the Paradox Forums to be able to reply."),e.createElement("div",{className:Wd},"If you have already registred your account, please wait a moment and try again.")),e.createElement("div",{className:"CantPost-module__registerButton--GNVo_"},e.createElement(Xd,{onClick:r,focused:u})),o&&e.createElement(Nd,{url:"https://forum.paradoxplaza.com/forum/login",onClose:i}))},Xd=function(t){var n=t.onClick,o=t.disabled,a=t.focused,r=s(pt(),1)[0],i=Cn().updateFooterButtons,l=jn().consoleMode;return ts({button:ce,callback:n,enabled:a&&!o}),e.useEffect((function(){a&&i({A:{name:"A",text:"CONSOLE_FOOTER.CANCEL",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[a,i]),e.createElement("div",null,e.createElement(Mn,{type:"ghost",size:l?"medium":"small",focused:a,onClick:n,icon:"link-out",iconPosition:"right"},r("MOD_DETAILS.FORUM_POSTS.OPEN_REGISTER").toUpperCase()))};const qd=e.memo(Kd),Qd=function(t){var n=t.modId,o=t.modVersion,a=t.threadId,r=t.canPost;return e.createElement("div",{className:"NewForumPost-module__root--Bynfo"},r?e.createElement(e.Fragment,null,e.createElement("div",{className:"NewForumPost-module__metadata--yWuaS"},e.createElement(Ld,{initial:"?"}),e.createElement(Oa,{size:.8}),e.createElement(gd,null)),e.createElement(Oa,{size:2.4}),e.createElement("div",{className:"NewForumPost-module__content--hC45j"},e.createElement(Aa,{size:.8},e.createElement(Yd,{modId:n,modVersion:o,threadId:a})))):e.createElement(qd,null))},Zd=function(t){var n,o=t.modId,a=t.modVersion,r=t.forumLink,i=s(pt(),1)[0],l=s(e.useState(!1),2),u=l[0],c=l[1],d=e.useCallback((function(){return c(!0)}),[]),E=e.useCallback((function(){return c(!1)}),[]),m=function(){var t=s(No(Wa,ja,{}),1)[0],n=s(Oo(Wa),1)[0],o=e.useCallback((function(e){var t=e.modId,o=e.threadId,a=e.modVersion,r=e.page;return new(Rt())((function(e){return n({modId:ve()(t),threadId:ve()(o),modVersion:a,page:r},e)}))}),[n]);return{result:null==t?void 0:t.data,loading:(null==t?void 0:t.status)===V,hasError:(null==t?void 0:t.status)===K,getForumPosts:o}}(),T=m.result,p=m.loading,f=m.hasError,S=m.getForumPosts,O=Un().loggedIn,A=e.useMemo((function(){return r.match(/.*\.(.+)\//)[1]}),[r]),I=e.useCallback((function(){return S({modId:o,threadId:A,modVersion:a,page:arguments.length>0&&void 0!==arguments[0]?arguments[0]:1})}),[S,o,a,A]);e.useEffect((function(){I()}),[I]);var v=vd(o).forumPostResult,_=!p&&T&&T.posts&&T.count&&T.count>T.posts.length,N=e.useCallback((function(){return I((null==T?void 0:T.page)+1)}),[I,null==T?void 0:T.page]),L=e.useCallback((function(){return I(null==T?void 0:T.page)}),[I,null==T?void 0:T.page]);if(!A)return null;var R=(null==T?void 0:T.posts)||[],g=null==T?void 0:T.canPost;return e.createElement(yd,null,e.createElement(Pn,{name:"FORUM_THREAD"},e.createElement("div",{className:"ForumThread-module__header-container--qhJz5"},e.createElement("div",{className:"ForumThread-module__header--VqNFO"},i("MOD_DETAILS.FORUM_POSTS.TITLE").toUpperCase()),e.createElement(Bd,{onClick:d})),e.createElement(Oa,{size:3.2}),O&&e.createElement(Qd,{modId:o,modVersion:a,threadId:A,canPost:g}),e.createElement(Aa,{size:1.6,withSpaceBefore:v.length>0},Ae()(n=v.reverse()).call(n,(function(t,n){return e.createElement(xd,{key:t.postId,post:t,justSent:!0,autofocus:0===n})}))),e.createElement(Aa,{size:1.6,withSpaceBefore:!0},Ae()(R).call(R,(function(t){return e.createElement(xd,{key:t.postId,post:t})}))),_&&e.createElement(Rs,{onViewEnter:N,threshold:-100}),e.createElement(Oa,{size:1.6}),f&&!p&&e.createElement(Gd,{onClick:L}),e.createElement(Oa,{size:1.6}),u&&e.createElement(Nd,{url:r,onClose:E})))},$d=function(t){var n=t.character;return e.createElement("div",{className:"KeyboardButtonIcon-module__root--J2Nlg"},n)},Jd=function(t){var n=t.reversed,o=t.icon,a=t.onClickHandler,r=void 0===a?F:a,i=t.children;return e.createElement("div",{className:vt()("NavigationButton-module__navigationButton--utVnD",{"NavigationButton-module__reverse--tKPcg":n}),onClick:function(){return r()}},e.createElement("div",{className:"NavigationButton-module__icon--k8wre"},o),e.createElement(Oa,{size:.48}),e.createElement("div",{className:"NavigationButton-module__content--cBUhn"},i),e.createElement(Oa,{size:.48}))},eE="Gallery-module__scrollable--ahWGU",tE="Gallery-module__scrollableConsole--wNtKm";var nE=function(t){var n,o=t.consoleMode,a=t.images,r=void 0===a?[]:a,i=s(pt(),1)[0],l=e.useRef(),c=xn({ref:l});ai({ref:l});var d=Cn().updateFooterButtons;e.useEffect((function(){c&&d(Dt(Dt({},r.length>1?{LT:{name:"LT",text:"MOD_DETAILS.GALLERY.PREVIOUS",position:"right"},RT:{name:"RT",text:"MOD_DETAILS.GALLERY.NEXT",position:"right"}}:{}),{},{B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}}))}),[c,r.length,d]);var E=s(e.useState(0),2),m=E[0],T=E[1],p=s(e.useState(!1),2),f=p[0],S=p[1],O=s(e.useState(0),2),A=O[0],I=O[1],v=e.useCallback((function(e){T("left"===e?function(e){return 0===e?r.length-1:e-1}:function(e){return e===r.length-1?0:e+1}),I((function(e){return e+1}))}),[r.length]),_=e.useCallback((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LT:v("left");break;case t.RT:v("right")}}),[v]);Dn({callbackPressed:_},o);var N=Number(o?"12.8":"14.4")+Number(o?"1.6":"2.4"),L=r.length>6,R=r.length-4,g=e.useCallback((function(){return L&&m>2?m>R?-(N*r.length-6*N):-N*(m-2):0}),[N,m,L,r.length,R]),h=m>2,y=m<=R-1,M=!o&&f,C=o&&A<2;return e.createElement("div",{className:vt()("Gallery-module__gallery--pwjFa",{"Gallery-module__galleryConsole--nw42g":o})},e.createElement("div",{ref:l,className:vt()("Gallery-module__image--qLJ4T",{"Gallery-module__imageConsole--JR0G8":o,"Gallery-module__imageFocused--ph61A":c}),style:{backgroundImage:"".concat(r.length?u()(n="url(".concat(r[m].image,"?class=")).call(n,"modsui_gallery_screenshot",")"):"")},onMouseEnter:function(){return S(!0)},onMouseLeave:function(){S(!1)}},!r.length&&e.createElement("div",{className:"Gallery-module__fallback--BQnms"},e.createElement("div",{className:"Gallery-module__fallbackImage--E3Pr0"}),e.createElement("div",{className:"Gallery-module__fallbackText--QoguX"},i("MOD_DETAILS.GALLERY.MISSING_IMAGES"))),r.length>1&&(M||C)&&e.createElement("div",{className:vt()("Gallery-module__navigation--sSr69",{"Gallery-module__navigationConsole--FSkPM":o})},e.createElement("div",null,e.createElement(Jd,{onClickHandler:function(){return v("left")},icon:o?e.createElement(Lr,{name:"LTDark"}):e.createElement($d,{character:"←"})},i("MOD_DETAILS.GALLERY.PREVIOUS"))),e.createElement("div",null,e.createElement(Jd,{reversed:!0,onClickHandler:function(){return v("right")},icon:o?e.createElement(Lr,{name:"RTDark"}):e.createElement($d,{character:"→"})},i("MOD_DETAILS.GALLERY.NEXT"))))),e.createElement(Oa,{size:o?1.6:2.4}),e.createElement("div",{className:"Gallery-module__thumbnailsWrapper--tBXu7"},e.createElement("div",{className:vt()("Gallery-module__thumbnails--GiqdW"),style:{left:"".concat(g(),"rem"),width:"".concat(N*r.length,"rem")}},Ae()(r).call(r,(function(t,n){var a;return e.createElement("div",{onClick:function(){T(n)},key:n,className:vt()("Gallery-module__thumbnail--Ielo8",{"Gallery-module__thumbnailActive--QOAb6":n===m,"Gallery-module__thumbnailConsole--O_mCL":o,"Gallery-module__thumbnailGap--nQLvz":!o&&n!==r.length-1,"Gallery-module__thumbnailGapConsole--BEDAs":o&&n!==r.length-1}),style:{backgroundImage:u()(a='url("'.concat(t.thumbnail,"?class=")).call(a,"modsui_gallery_thumbnail",'")')}})}))),L&&h&&e.createElement("div",{className:vt()(eE,"Gallery-module__scrollableLeft--xy3x6",{[tE]:o,"Gallery-module__scrollableLeftConsole--Rc98W":o})}),L&&y&&e.createElement("div",{className:vt()(eE,"Gallery-module__scrollableRight--ZGdEL",{[tE]:o,"Gallery-module__scrollableRightConsole--cHIiw":o})})))};const oE=e.memo(nE);var aE=function(t){var n=t.mod,o=s(pt(),1)[0],a=B().push,r=e.useCallback((function(){a("/?text=@".concat(encodeURIComponent(n.author)))}),[a,n.author]);return e.createElement(Ed,{title:o("MOD_DETAILS.INFO.TITLE"),cropMode:"off"},e.createElement("div",{className:"InfoCard-module__root--VLZ1g"},void 0!==n.subscriptionsTotal?e.createElement(rE,{keyString:"subscriptionsTotal"},ji(n.subscriptionsTotal)):null,void 0!==n.ratingsTotal?e.createElement(rE,{keyString:"likesTotal"},ji(n.ratingsTotal)):null,void 0!==n.sizeText?e.createElement(rE,{keyString:"sizeText"},n.sizeText):null,void 0!==n.version?e.createElement(rE,{keyString:"version"},n.version):null,void 0!==n.requiredGameVersion?e.createElement(rE,{keyString:"requiredGameVersion"},n.requiredGameVersion):null,e.createElement(rE,{keyString:"author",onClick:r},e.createElement(rs,{author:n.author,size:"medium",thirdPartyProfiles:n.thirdPartyProfiles}))))},rE=function(t){var n=t.keyString,o=t.children,a=t.onClick,r=jn().consoleMode,i=s(pt(),1)[0];return e.createElement("div",{className:vt()("InfoCard-module__chip--AXPAs",{"InfoCard-module__chip-console--Yj5ES":r,"InfoCard-module__chip-interactive--xW38c":a}),onClick:a},e.createElement("div",{className:vt()("InfoCard-module__chip-text--nIsZm")},o),e.createElement("div",{className:vt()("InfoCard-module__chip-label--Fpwjt")},i("MOD_DETAILS.HEADER.".concat(n.toUpperCase())).toUpperCase()))};const iE=e.memo(aE),sE={forum:"Paradox Forums",youtube:"YouTube",discord:"Discord",twitch:"Twitch",x:"X",patreon:"Patreon",paypal:"PayPal",github:"GitHub"},lE={forum:n(7275),youtube:n.p+"assets/da350a79992d5b94edf9.svg",discord:n.p+"assets/01cf31e9f77c15b19c2f.svg",twitch:n.p+"assets/db6b0fab9c9a0593df49.svg",x:n.p+"assets/e3f8479af1855c0003fc.svg",patreon:n.p+"assets/cb5d976e4696d8024cd1.svg",paypal:n.p+"assets/0653dfc26038d2e678bb.svg",github:n.p+"assets/55c290c5726a1f3b7f22.svg"};var uE=function(t){var n=t.name,o=t.type,a=t.url,r=e.useRef(),i=s(e.useState(!1),2),l=i[0],u=i[1],c=jn().consoleMode,d=Cn().updateFooterButtons,E=xn({ref:r,name:n});ai({ref:r});var m=e.useCallback((function(){return u(!0)}),[]),T=e.useCallback((function(){return u(!1)}),[]);return ts({button:ce,callback:m,enabled:E}),e.useEffect((function(){E&&d({A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[E,d]),e.createElement("div",{className:vt()("Link-module__root--k0ESh",{"Link-module__focused--FdCsR":E}),ref:r},e.createElement("button",{className:"Link-module__wrapper--thAOf",onClick:m},e.createElement("div",{className:vt()("Link-module__logo--bUeqs",{"Link-module__logo-console--8Ofwl":c}),style:{backgroundImage:"url(".concat(lE[o],")")}}),e.createElement(Oa,{size:.8}),e.createElement("div",{className:vt()("Link-module__label--yx_Ve",{"Link-module__label-console--nttz_":c})},sE[o])),l&&e.createElement(Nd,{url:a,onClose:T}))};const cE=e.memo(uE),dE=function(t){var n=t.links,o=void 0===n?[]:n,a=s(pt(),1)[0];return e.createElement(Ed,{noFocus:!0,cropMode:"off",title:a("MOD_DETAILS.LINKS.TITLE")},e.createElement("div",{className:"LinksCard-module__grid--bf9Sl"},Ae()(o).call(o,(function(t,n){return e.createElement(cE,{key:n,name:"MOD_DETAILS_LINKS_".concat(n),type:t.type,url:t.url})}))))};var EE=function(){var t=s(pt(),1)[0];return e.createElement(da,{severity:"warning"},t("MOD_DETAILS.OUTDATED"))};const mE=e.memo(EE),TE={focused:"ReportMod-module__focused--G_m9L",error:"ReportMod-module__error--Le7cf",title:"ReportMod-module__title--gt4nc",information:"ReportMod-module__information--FrNGB",caption:"ReportMod-module__caption--dOTjG",textarea:"ReportMod-module__textarea--ELfsr"},pE={"radio-checked":"RadioButton-module__radio-checked--aFfdU",radio:"RadioButton-module__radio--T71RF","radio-button":"RadioButton-module__radio-button--_THZS",label:"RadioButton-module__label--oa6CP"},fE=function(t){var n=t.label,o=t.checked,a=t.focused,r=[o?pE["radio-checked"]:pE.radio,a?pE.focused:""].join(" ");return e.createElement("div",{className:pE["radio-button"]},e.createElement("div",{className:r}),e.createElement("div",{className:pE.label},n))},SE={"console-radio-button":"XboxRadioButton-module__console-radio-button--YIGHu","console-label":"XboxRadioButton-module__console-label--ol8VT","console-focused":"XboxRadioButton-module__console-focused--s8eVh"},OE=function(t){var n=t.label,o=t.checked,a=t.focused,r=t.rootScrollComponent,i=[SE["console-radio-button"],o?SE["console-radio-checked"]:SE["console-radio"],a?SE["console-focused"]:""].join(" "),s=e.useRef();return a&&r&&Jr(s.current,r),e.createElement("div",{className:i,ref:s},e.createElement("div",{className:SE["console-label"]},n))};var AE=function(t){var n,o=t.setSelectedReasonHandler,a=t.selectedReason,r=t.focusedComponent,i=t.reasons,l=t.consoleMode,c=t.rootScrollComponent,d=s(pt(),1)[0];return e.createElement("div",{className:"ReasonsList-module__reasons--H8L5g"},Ae()(n=Yt()(i)).call(n,(function(t,n){var s;return e.createElement("div",{key:t},l?e.createElement(OE,{label:d("REPORT.REASONS.".concat(t)),checked:a===t,focused:r===t,rootScrollComponent:c}):e.createElement("div",{onClick:function(){return o(t)},className:u()(s="".concat("ReasonsList-module__radio-button--IA_L9"," ")).call(s,n+1===Yt()(i).length?"ReasonsList-module__radio-button-last--H83qr":"")},e.createElement(fE,{label:d("REPORT.REASONS.".concat(t)),checked:a===t,focused:r===t})))})))};const IE=e.memo(AE);var vE=function(t){var n=t.closeHandler,o=t.focused,a=t.consoleMode,r=s(pt(),1)[0];return e.createElement("div",{className:"ThankYou-module__thank-you-container--beUGA"},e.createElement("div",{className:"ThankYou-module__thank-you--R0p9m"},e.createElement("h2",{className:"ThankYou-module__title--sfTmt"},r("REPORT.THANK_YOU")),e.createElement("div",{className:"ThankYou-module__information--f4Wpu"},r("REPORT.THANK_YOU_MESSAGE")),e.createElement(Mn,{type:"ghost",size:a?"large":"small",onClick:n,focused:o},r("REPORT.CLOSE"))))};const _E=e.memo(vE);var NE={NUDITY:"nudity",VIOLENCE:"violence",HARASSMENT:"harassment",SPAM:"spam",COPYRIGHT:"copyright",HATE:"hate",DOESNOTWORK:"doesnotwork",OTHER:"other"},LE=function(t){var n,o,a=t.closeHandler,r=t.mod,i=r.modId,l=r.displayName,c=r.version,d=s(pt(),1)[0],E=s(e.useState(void 0),2),m=E[0],T=E[1],p=s(e.useState(""),2),f=p[0],S=p[1],O=s(e.useState(!1),2),A=O[0],I=O[1],v=Qo(),_=v.reportMod,N=v.reportModLoading,L=v.reportedMods,R=e.useCallback((function(){m&&f?_({modId:i,reason:m,description:f}):I(!0)}),[m,f,_,i]),g=e.useCallback((function(e){T(e)}),[T]),h=e.useCallback((function(e){S(e)}),[S]),y=u()(n=u()(o="".concat(l," ")).call(o,d("REPORT.VERSION_PREFIX"))).call(n,c);return e.createElement(qn,{closeHandler:a,modalName:"report",tall:!0},N||L[r.modId]?e.createElement(_E,{closeHandler:a}):e.createElement(e.Fragment,null,e.createElement("div",{className:TE.padding},e.createElement("h2",{className:TE.title},y),e.createElement("div",{className:TE.information},d("REPORT.INFORMATION")),e.createElement("h3",{className:TE.caption},d("REPORT.CAPTION"))),e.createElement(IE,{setSelectedReasonHandler:g,selectedReason:m,reasons:NE}),A&&!m&&e.createElement("div",{id:"#reasonError",className:TE.padding},e.createElement("div",{className:TE.error},d("REPORT.MISSING_REASON"))),e.createElement("div",{className:TE.padding},e.createElement("h3",{className:TE.caption},d("REPORT.COMMENT_TITLE")),e.createElement("div",{className:TE.textarea},e.createElement(zd,{name:"reason_description",value:f,title:d("REPORT.COMMENT_TITLE"),onChange:h,placeholder:d("REPORT.COMMENT_PLACEHOLDER")}),A&&!f&&e.createElement("div",{id:"#descriptionError",className:TE.error},d("REPORT.MISSING_DESCRIPTION"))),e.createElement("div",null,e.createElement(Mn,{type:"primary",size:"small",onClick:R},d("REPORT.SUBMIT"))))))};const RE=e.memo(LE),gE={focused:"XboxReportMod-module__focused--E4Ixb",error:"XboxReportMod-module__error--FNs5S",title:"XboxReportMod-module__title--mPLcW",information:"XboxReportMod-module__information--QvI2e",description:"XboxReportMod-module__description--Oph9Y",caption:"XboxReportMod-module__caption--o17r2",textarea:"XboxReportMod-module__textarea--jkTY4","textarea-focus":"XboxReportMod-module__textarea-focus--JIgKb","preview-submit":"XboxReportMod-module__preview-submit--p9jU6"};var hE="CLOSE",yE="DESCRIPTION",ME="PREVIEW",CE="SUBMIT",bE=function(t){var n,o,a,r=t.closeHandler,i=t.mod,l=i.displayName,c=i.modId,d=i.version,E=s(pt(),1)[0],m=s((0,e.useState)(void 0),2),T=m[0],p=m[1],f=s((0,e.useState)(""),2),S=f[0],O=f[1],A=s((0,e.useState)(!1),2),I=A[0],v=A[1],_=s((0,e.useState)(void 0),2),N=_[0],L=_[1],R=s((0,e.useState)(!1),2),g=R[0],h=R[1],y=(0,e.useRef)(),M=(0,e.useRef)(),C=Qo(),b=C.reportMod,D=C.reportModLoading,P=C.reportedMods;(0,e.useEffect)((function(){L(D||P[c]?hE:NE.NUDITY.toUpperCase())}),[c,D,P]);var k=(0,e.useCallback)((function(e){if(!D&&!P[c]){if(T)return g?void 0:L(N===yE?ME:yE);var t=Yt()(NE),n=t.indexOf(N.toUpperCase())+ve()(e);n>=0&&n<t.length&&L(t[n])}}),[D,P,c,T,g,N]),w=(0,e.useCallback)(At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(T&&S){e.next=2;break}return e.abrupt("return",v(!0));case 2:b({modId:c,reason:T,description:S}),L(hE);case 4:case"end":return e.stop()}}),e)}))),[T,S,b,c]),U=(0,e.useCallback)((function(){if(!S)return v(!0);L(CE),h(!0)}),[h,L,v,S]),x=(0,e.useCallback)((function(){if(NE[N])return L(yE),void p(N);switch(N){case ME:return U();case CE:return w();case hE:return r()}}),[U,N,r,w,p]),B=(0,e.useCallback)((function(e){var t=bn.xboxOne.keyNumber;switch(e.detail){case t.LEFT_STICK_UP:return k(-1);case t.LEFT_STICK_DOWN:return k(1);case t.A:return void x();case t.B:return r()}}),[k,x,r]);Dn({callbackPressed:B},!0);var G=(0,e.useCallback)((function(e){p(e),"XboxReportMod:Reason:".concat(e)}),[p]),z=(0,e.useCallback)((function(e){O(e)}),[O]),Y=document.getElementById("modal_report");M.current&&N===yE&&Jr(M.current,Y);var H=u()(n=u()(o="".concat(l," ")).call(o,E("REPORT.VERSION_PREFIX"))).call(n,d);return"XboxReportMod:Focus:".concat(N),N===CE&&u()(a="XboxReportMod:Preview:".concat(T,";")).call(a,S),e.createElement(qn,{closeHandler:F,modalName:"report",consoleMode:!0,tall:!0},e.createElement("div",{ref:y},D||P[i.modId]?e.createElement(_E,{closeHandler:r,focused:N===hE}):e.createElement(e.Fragment,null,!T&&e.createElement(e.Fragment,null,e.createElement("h2",{className:gE.title},H),e.createElement("div",{className:gE.information},E("REPORT.INFORMATION")),e.createElement("h3",{className:gE.caption},E("REPORT.CAPTION")),e.createElement(IE,{setSelectedReasonHandler:G,selectedReason:T,focusedComponent:N,consoleMode:!0,reasons:NE,rootScrollComponent:Y}),I&&!T&&e.createElement("div",{className:gE.padding},e.createElement("div",{className:gE.error},E("REPORT.MISSING_REASON")))),T&&!g&&e.createElement("div",{className:gE.padding},e.createElement("h2",{className:gE.title},H),e.createElement("div",{className:gE.information},E("REPORT.COMMENT_INFORMATION"),e.createElement("br",null)),e.createElement("div",{className:gE.information},E("REPORT.COMMENT_SUBINFORMATION"),e.createElement("br",null),E("REPORT.REASONS.".concat(T))),e.createElement("h3",{className:gE.caption},E("REPORT.COMMENT_TITLE")),e.createElement("div",{className:gE.textarea,ref:M},e.createElement(zd,{name:"reason_description",value:S,onChange:z,placeholder:E("REPORT.COMMENT_PLACEHOLDER"),title:E("REPORT.COMMENT_TITLE"),focused:N===yE,consoleMode:!0}),I&&!S&&e.createElement("div",{className:gE.error},E("REPORT.MISSING_DESCRIPTION"))),e.createElement(Mn,{type:"primary",onClick:w,focused:N===ME,disabled:!S},E("REPORT.PREVIEW"))),g&&e.createElement("div",{className:gE.padding},e.createElement("h2",{className:gE.title},H),e.createElement("div",{className:gE.information},E("REPORT.COMMENT_INFORMATION")),e.createElement("div",{className:gE.information},E("REPORT.COMMENT_SUBINFORMATION"),e.createElement("br",null),E("REPORT.REASONS.".concat(T))),e.createElement("h3",{className:gE.caption},E("REPORT.PREVIEW_COMMENT")),e.createElement(Hr,{stickScroll:"right",thin:!0,sliding:!0},e.createElement("div",{className:"".concat(gE.description)},S)),e.createElement("div",{className:gE["preview-submit"]},e.createElement(Mn,{type:"primary",onClick:w,focused:N===CE,disabled:!S},E("REPORT.SUBMIT")))))))};const DE=e.memo(bE),PE=function(t){var n=t.onClick,o=t.text,a=t.icon,r=t.enabled,i=e.useRef(),s=jn().consoleMode,l=Cn().updateFooterButtons,u=xn({ref:i,name:"REPORT_BUTTON",enabled:r});return ai({ref:i,enabled:r}),ts({button:ce,callback:n,enabled:r&&u}),e.useEffect((function(){u&&l({A:{name:"A",text:"CONSOLE_FOOTER.OPEN",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[u,l]),e.createElement("div",{ref:i,className:vt()("ReportButton-module__root--JfvbP",{"ReportButton-module__root-console--d3XcZ":s})},e.createElement(Mn,{type:"ghost",size:s?"medium":"small",onClick:n,icon:a,iconPosition:"right",focused:u,className:vt()({"ReportButton-module__button-console--X2s3p":s})},o.toUpperCase()))},kE=function(t){var n=t.mod,o=s(pt(),1)[0],a=jn().consoleMode,r=Qo().reportedMods,i=s(e.useState(!1),2),l=i[0],u=i[1],c=e.useCallback((function(){u((function(e){return!e}))}),[u]),d=!!r[n.modId];return e.createElement(Ed,{title:o("REPORT.SECTION_TITLE"),cropMode:"off",noFocus:!0},e.createElement("div",{className:"ReportCard-module__text--rr2sn"},o(!l&&d?"REPORT.THANK_YOU_MESSAGE":"REPORT.INFORMATION_TEXT")),e.createElement(Oa,{size:2.4}),e.createElement(PE,{onClick:c,text:o(d?"REPORT.BUTTON_DONE":"REPORT.BUTTON"),icon:d?"check-white":"flag",enabled:!l}),l&&(a?e.createElement(DE,{closeHandler:c,mod:n}):e.createElement(RE,{closeHandler:c,mod:n})))};var wE=function(t){var n=t.subscribed,o=t.loading,a=t.onClick,r=t.hasFocus,i=t.disabled,l=void 0!==i&&i,u=s(pt(),1)[0],c=jn().consoleMode,d=!n&&o,E=n&&o;return e.createElement("div",{className:"ActionButton-module__actionButton--NcByk"},e.createElement(Mn,{onClick:a,size:c?"large":"medium",type:n?"danger-alt":"primary",focused:r,className:"ActionButton-module__button--ydzfy",disabled:l,icon:n?"":"circle-with-plus-alternative",iconPosition:"right",widthMode:"max"},u(d?"MOD_DETAILS.SUBSCRIBE_BUTTON.INSTALLING":E?"MOD_DETAILS.SUBSCRIBE_BUTTON.UNINSTALLING":n?"MOD_DETAILS.SUBSCRIBE_BUTTON.UNSUBSCRIBE":"MOD_DETAILS.SUBSCRIBE_BUTTON.SUBSCRIBE").toUpperCase()))};const UE=e.memo(wE);var xE=function(t){var n=t.modDetails,o=s(pt(),1)[0],a=Cn().updateFooterButtons,r=$a().isModInProgress,i=Us(),l=i.unsubscribeMod,u=i.subscribeWithDependencies,c=Na(),d=n.modId,E=n.playsets,m=n.displayName,T=E&&Se()(E).call(E,(function(e){return c===e.playsetId})),p=e.useRef(),f=s(e.useState(!1),2),S=f[0],O=f[1],A=e.useCallback((function(){return O(!0)}),[]),I=e.useCallback((function(){return O(!1)}),[]),v=xn({ref:p,name:"MOD_DETAILS_SUBSCRIBE",autofocus:!0});e.useEffect((function(){v&&a({A:{name:"A",text:T?"CONSOLE_FOOTER.UNSUBSCRIBE":"CONSOLE_FOOTER.SUBSCRIBE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[v,T,a]);var _=e.useCallback((function(){r(d)||u({modId:d,playsetId:c,displayName:m,version:n.latestVersion,ref:p})}),[c,m,r,n.latestVersion,d,u]),N=e.useCallback(At(St().mark((function e(){return St().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:l({modId:d,playsetId:c}),I();case 2:case"end":return e.stop()}}),e)}))),[c,I,d,l]),L=e.useMemo((function(){var e,t=s(n.sizeText.split(" "),2),o=t[0],a=t[1];return!!Ft()(e=["GB","TB"]).call(e,a)||"MB"===a&&ve()(o)>100}),[n.sizeText]),R=e.useCallback((function(){return L?A():N()}),[A,L,N]);return ai({ref:p}),ts({button:ce,callback:T?R:_,enabled:v&&!r(d)}),e.createElement("div",{ref:p,className:"SubscribeButton-module__root--UION6"},e.createElement(UE,{hasFocus:v,onClick:T?R:_,loading:r(d),subscribed:T}),S&&e.createElement(co,{title:o("MOD_DETAILS.SUBSCRIBE_BUTTON.UNSUBSCRIBE_CONFIRMATION.TITLE"),text:o("MOD_DETAILS.SUBSCRIBE_BUTTON.UNSUBSCRIBE_CONFIRMATION.TEXT",{name:n.displayName,size:n.sizeText}),modalName:"removeMod",closeHandler:I,submitHandler:N}))};const BE=e.memo(xE),GE={focused:"LikeButton-module__focused--e1hhX",root:"LikeButton-module__root--Zan_a",small:"LikeButton-module__small--WtLig",medium:"LikeButton-module__medium--THYUx",large:"LikeButton-module__large--r9jna",icon:"LikeButton-module__icon--FLfL2","x-large":"LikeButton-module__x-large--GoQmq",default:"LikeButton-module__default--yWSBO",hoveredAndPressed:"LikeButton-module__hoveredAndPressed--p1pKh",focusedActive:"LikeButton-module__focusedActive--nShFO"},FE=function(t){var n=t.modDetails,o=t.size,a=void 0===o?"large":o,r=t.className,i=jn().consoleMode,l=e.useRef(),u=Cn().updateFooterButtons,c=Un().loggedIn,d=function(){var t,n,o=s(Oo(na),1)[0],a=s(Oo(oa),1)[0],r=e.useContext(Ka).userRatingState,i=e.useCallback((function(e){var t=e.modId,n=e.rating;o({modId:ve()(t),rating:ve()(n)})}),[o]),l=e.useCallback((function(e){var t=e.modId;a({modId:ve()(t)})}),[a]),u=e.useCallback((function(e){var t=e.modId;i({modId:t,rating:5})}),[i]),c=e.useCallback((function(e){var t=e.modId;i({modId:t,rating:0})}),[i]);return{setUserRating:i,getUserRating:l,addLike:u,removeLike:c,userRating:null==r||null===(t=r.data)||void 0===t?void 0:t.rating,hasLiked:5===(null==r||null===(n=r.data)||void 0===n?void 0:n.rating),userRatingLoading:(null==r?void 0:r.status)===V}}(),E=d.addLike,m=d.removeLike,T=d.hasLiked,p=d.getUserRating,f=d.userRatingLoading,S=s(e.useState(!1),2),O=S[0],A=S[1],I=s(e.useState(!1),2),v=I[0],_=I[1],N=s(e.useState(!1),2),L=N[0],R=N[1],g=function(){if(!f)return T?m({modId:n.modId}):void E({modId:n.modId})},h=xn({ref:l,name:"LIKE_BUTTON"});return ai({ref:l}),ts({button:ce,callback:g,enabled:h}),e.useEffect((function(){h&&u({A:{name:"A",text:T?"CONSOLE_FOOTER.REMOVE_LIKE":"CONSOLE_FOOTER.LIKE",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[O,h,T,u]),e.useEffect((function(){c&&p({modId:n.modId})}),[n.modId,p,c]),e.useEffect((function(){f||A(T)}),[T,f]),e.createElement("button",{ref:l,className:vt()(GE.root,GE[a],GE.default,{[GE.hoveredAndPressed]:!f&&(v||L),[GE.focused]:!O&&h,[GE.focusedActive]:O&&h},r),disabled:f,onClick:g,onMouseEnter:function(){return _(!0)},onMouseLeave:function(){_(!1),R(!1)},onMouseDown:function(){return R(!0)},onMouseUp:function(){return R(!1)}},f?e.createElement(mo,{size:"large"===a||"x-large"===a?"3.2rem":"2.4rem"}):e.createElement(gn,{variant:"thumbs-up",color:v||L?"black":O?"green":"white",size:i?"x-large":"large"}))};var zE=function(t){var n=t.children,o=t.onClick,a=t.autofocus,r=t.noChevrons,i=void 0!==r&&r,s=e.useRef(),l=Cn().updateFooterButtons,u=jn().consoleMode,c=xn({ref:s,autofocus:a});return ai({ref:s}),ts({button:ce,callback:o,enabled:c}),e.useEffect((function(){c&&l({A:{name:"A",text:"CONSOLE_FOOTER.SELECT",position:"right"},B:{name:"B",text:"CONSOLE_FOOTER.BACK",position:"right"}})}),[c,l]),e.createElement("div",{className:vt()("FlyoutMenu-module__item--LgBsn",{"FlyoutMenu-module__item-focused--XVBJA":c}),ref:s},e.createElement("div",{className:"FlyoutMenu-module__item-label--U61SC"},n),e.createElement(Oa,{size:.8}),!i&&e.createElement(gn,{variant:"arrow-right",size:u?"small":"tiny"}))};const YE=function(t){var n=t.items,o=t.autofocus,a=void 0!==o&&o,r=t.noChevrons;return e.createElement("div",{className:"FlyoutMenu-module__root--JnGWn"},Ae()(n).call(n,(function(t,n){return e.createElement(zE,{key:n,onClick:t.onClick,autofocus:0===n&&a,noChevrons:r},t.label)})))};var HE=function(t){var n=t.children,o=t.onClick,a=jn().consoleMode,r=e.useCallback((function(e){e.stopPropagation(),o()}),[o]),i=e.useCallback((function(e){e.stopPropagation()}),[]);return e.createElement("div",{className:vt()("Tag-module__tag--vX0mZ",{"Tag-module__tag-console--sW9VH":a}),onClick:r,onMouseDown:i},n)};const VE=e.memo(HE),jE="TagsCard-module__root--YIy9T";var WE=function(t){var n,o=t.tags,a=s(pt(),1)[0],r=jn().consoleMode,i=B().push,l=e.useCallback((function(e){i("/?tags=".concat(encodeURIComponent(e)))}),[i]),u=Ni(),c=a("MOD_DETAILS.TAGS.TITLE"),d=e.useCallback((function(){u((function(){return e.createElement(id,{title:c,noBackButtonFocus:!0},r?e.createElement(Pn,{name:"FLYOUT_MENU__TAGS"},e.createElement(YE,{items:Ae()(o).call(o,(function(e){return{label:e.displayName,onClick:function(){return l(e.id)}}})),autofocus:!0})):e.createElement("div",{className:jE},Ae()(o).call(o,(function(t,n){return e.createElement(VE,{key:n,onClick:function(){return l(t.id)}},t.displayName)}))))}))}),[r,u,l,o,c]);return e.createElement(Ed,{title:c,onClick:o.length<=5&&!r?void 0:d,cropMode:o.length<=5?"overflow":"default"},e.createElement("div",{className:jE},Ae()(n=Ct()(o).call(o,0,5)).call(n,(function(t,n){return e.createElement(VE,{key:n,onClick:function(){return l(t.id)}},t.displayName)}))))};const KE=e.memo(WE);var XE=function(t){var n=t.title,o=jn().consoleMode,a=e.useRef(),r=xn({ref:a,name:"MOD_TITLE",enabled:!1});return ai({ref:a}),e.createElement("h1",{className:vt()({"Title-module__root--xiZEl":!o,"Title-module__root-console--u7og8":o,"Title-module__focused--E_FWG":r}),ref:a},n)};const qE=e.memo(XE),QE=function(t){var n=t.icon,o=t.text,a=t.subText,r=t.onClick,i=t.autofocus,s=void 0!==i&&i,l=e.useRef(),u=jn().consoleMode,c=void 0!==r,d=xn({ref:l,enabled:c,autofocus:s});return ai({ref:l,enabled:c}),ts({button:ce,callback:r,enabled:d}),e.createElement("div",{className:vt()("RowListItem-module__row--NfE_p",{"RowListItem-module__rowFocused--e0WZG":d}),onClick:r,ref:l},n&&e.createElement(gn,{variant:n}),e.createElement("div",{className:"RowListItem-module__content--mKKvs"},e.createElement("div",{className:vt()("RowListItem-module__text--GcEUH",{"RowListItem-module__textConsole--xtRAb":u})},o),a&&e.createElement("div",{className:vt()("RowListItem-module__subText--xyFtb",{"RowListItem-module__subTextConsole--oJ8cK":u})},a)),c&&e.createElement(gn,{variant:"arrow-right",size:u?"small":"tiny"}))},ZE=function(t){var n=t.items,o=t.autofocus;return e.createElement("div",null,(null==n?void 0:n.length)>0&&Ae()(n).call(n,(function(t,n){return e.createElement(QE,{key:n,icon:t.icon,text:t.text,subText:t.subText,onClick:t.onClick,autofocus:o&&0===n})})))},$E="RequiredDLCsCard-module__wrapper--zG5SQ",JE=function(t){var n=t.dlcs,o=s(pt(),1)[0],a=jn().consoleMode,r=o("MOD_DETAILS.REQUIREMENT.REQUIRED_DLC",{dlcCount:n.length}),i=Ni(),l=e.useMemo((function(){return Ae()(n).call(n,(function(e){return{text:e.displayName}}))}),[n]),u=e.useCallback((function(){i((function(){return e.createElement(id,{title:r,size:a?"wide":"normal"},e.createElement("div",{className:"RequiredDLCsCard-module__message--ZoT5C"},"".concat(o("MOD_DETAILS.REQUIREMENT.REQUIRED_DLC_MESSAGE"),":")),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:$E},e.createElement(ZE,{items:l})),e.createElement(Oa,{size:1.6}))}))}),[a,l,i,o,r]);return e.createElement(Ed,{title:r,onClick:u,cropMode:n.length<=3?"off":"default"},e.createElement("div",{className:$E},e.createElement("div",{className:"no-pointer-events"},e.createElement(ZE,{items:Ct()(l).call(l,0,3)}))))},em="RequiredModsCard-module__wrapper--mcVH_";var tm=function(t){var n=t.mods,o=t.interactive,a=t.autofocus,r=B().push,i=e.useMemo((function(){return Ae()(n).call(n,(function(e){return{text:e.displayName,onClick:o?function(){return r("/mod/".concat(e.id))}:void 0}}))}),[o,n,r]);return e.createElement(ZE,{items:i,autofocus:a})};const nm=function(t){var n=t.mods,o=s(pt(),1)[0],a=jn().consoleMode,r=o("MOD_DETAILS.REQUIREMENT.REQUIRED_MODS",{modsCount:n.length}),i=Ni(),l=e.useCallback((function(){i((function(){return e.createElement(id,{title:r,size:a?"wide":"normal",noBackButtonFocus:!0},e.createElement("div",{className:"RequiredModsCard-module__message--lBnq6"},"".concat(o("MOD_DETAILS.REQUIREMENT.REQUIRED_MODS_MESSAGE"),":")),e.createElement(Oa,{size:1.6}),e.createElement("div",{className:em},e.createElement(tm,{mods:n,interactive:!0,autofocus:!0}),e.createElement(Oa,{size:1.6})))}))}),[a,n,i,o,r]);return e.createElement(Ed,{title:r,onClick:l,cropMode:n.length<=3?"off":"default"},e.createElement("div",{className:em},e.createElement("div",{className:"no-pointer-events"},e.createElement(tm,{mods:Ct()(n).call(n,0,3)}))))};var om=function(t){var n,o,a,r,i,s,l,c=t.match.params.id,d=bo(),E=d.modDetails,m=d.modDetailsLoading,T=d.getModDetails,p=d.clearModDetails,f=jn(),S=f.consoleMode,O=f.isConsole,A=B().goBack,I=ka().gameData,v=yr();if(ts({button:"B",callback:A,enabled:!v}),(0,e.useEffect)((function(){return T({modId:c}),function(){p()}}),[p,T,c]),m||!E)return e.createElement(Er,null,e.createElement(mo,{size:"10vw"}));var _=u()(n=[]).call(n,kt(Ae()(o=pe()(a=E.forumLinks).call(a,(function(e){return e}))).call(o,(function(e){return{type:"forum",url:e}}))),kt(E.externalLinks)),N=pe()(r=E.dependencies).call(r,(function(e){return"mod"===e.type.toLowerCase()})),L=pe()(i=E.dependencies).call(i,(function(e){return"dlc"===e.type.toLowerCase()})),R=E.tags?pe()(s=Ae()(l=E.tags).call(l,(function(e){var t;return null===(t=I.tags)||void 0===t?void 0:Se()(t).call(t,(function(t){return t.id===e}))}))).call(s,Boolean):[];return e.createElement(ed,{className:"ModDetails-module__scroll-container--qiZO9",thin:!0,stickScroll:v?void 0:"right"},e.createElement(Pn,{name:"MOD_DETAILS"},e.createElement("div",{className:"ModDetails-module__root--bYMf5"},e.createElement("div",{className:vt()("ModDetails-module__left-column--GGMry",{"ModDetails-module__left-column-console--OaJrt":S})},e.createElement(Oa,{size:2.4}),e.createElement($c,{onClick:A}),e.createElement(Oa,{size:2.4}),e.createElement(oE,{consoleMode:S,images:E.screenshots}),e.createElement(Oa,{size:3.2}),e.createElement(Od,null,E.longDescription),!O&&E.forumLinks.length>0&&e.createElement(Aa,{size:3.2,withSpaceBefore:!0},!S&&e.createElement(bc,null),e.createElement(Zd,{modId:E.modId,modVersion:E.version,forumLink:E.forumLinks[0]})),e.createElement(Oa,{size:4})),e.createElement("div",{className:vt()("ModDetails-module__right-column--JUBNt",{"ModDetails-module__right-column-console--LCaFm":S})},e.createElement(Pn,{name:"MOD_DETAILS_RIGHT_COLUMN"},e.createElement(Oa,{size:1.6}),e.createElement(Aa,{size:2.4,withSpaceBefore:!0,withSpaceAfter:!0},e.createElement(qE,{title:E.displayName}),e.createElement(bc,null),e.createElement("div",{className:"ModDetails-module__interactButtons--oWD2_"},e.createElement(Aa,{size:1.6},e.createElement(BE,{modDetails:E}),e.createElement(FE,{modDetails:E,size:S?"large":"medium"}))),es(E,I)&&e.createElement(mE,null),nl(E.state)&&e.createElement(nd,null),R.length>0&&e.createElement(KE,{tags:R}),e.createElement(iE,{mod:E}),_.length>0&&e.createElement(dE,{links:_}),L.length>0&&e.createElement(JE,{dlcs:L}),N.length>0&&e.createElement(nm,{mods:N}),E.changelog.length>0&&e.createElement(fd,{changelog:E.changelog}),!nl(E.state)&&e.createElement(kE,{mod:E})),e.createElement(Oa,{size:3.2}))))))};const am=e.memo(om);var rm=["feature","path","component"],im=function(t){var n=t.feature,o=t.path,a=t.component,r=Re(t,rm);return(0,ma().hasFeature)(n)?e.createElement(U,_r()({path:o,component:a},r)):null};const sm=function(){var t=e.useContext(Hn).consoleMode,n=Yn().readOrWriteLocked,o=Xo(),a=o.getPlaysets,r=o.playsets,i=ka().getGameData,s=Sa().offline,l=vt()("App-module__content--oTD3O",{"App-module__contentConsole--heSz2":t}),u=vt()("App-module__footer--RqZYx",{"App-module__footerConsole--n1m55":t});return e.useEffect((function(){r||a()}),[a,r]),e.useEffect((function(){s||i()}),[i,s]),e.createElement(e.Fragment,null,e.createElement("div",{className:"App-module__window--tQjVe"},e.createElement(_i,null,e.createElement("div",{className:"App-module__header--DT5dV"},e.createElement(Ii,{focusable:!0})),e.createElement("div",{className:l},e.createElement(U,{exact:!0,path:"/",component:Bs}),e.createElement(U,{exact:!0,path:"/installed-mods",component:cl}),e.createElement(U,{exact:!0,path:"/mod/:id",component:am}),e.createElement(U,{exact:!0,path:"/playsets",component:hl}),e.createElement(U,{exact:!0,path:"/playsets/:playsetId",component:Ll}),e.createElement(im,{feature:J,exact:!0,path:"/start",component:Qc}),n&&e.createElement("div",{className:"App-module__lockedLoader--XVYPj"},e.createElement(fo,{variant:"spinner",size:"1.6rem"}))))),e.createElement("div",{className:u},e.createElement(gr,null)))};function lm(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function um(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&c(e,t)}function cm(e,t){if(t&&("object"===_e(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return lm(e)}function dm(e){return dm=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},dm(e)}function Em(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function mm(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?Em(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):Em(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var Tm={type:"logger",log:function(e){this.output("log",e)},warn:function(e){this.output("warn",e)},error:function(e){this.output("error",e)},output:function(e,t){console&&console[e]&&console[e].apply(console,t)}},pm=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};at(this,e),this.init(t,n)}return it(e,[{key:"init",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||Tm,this.options=t,this.debug=t.debug}},{key:"setDebug",value:function(e){this.debug=e}},{key:"log",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"log","",!0)}},{key:"warn",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","",!0)}},{key:"error",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"error","")}},{key:"deprecate",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}},{key:"forward",value:function(e,t,n,o){return o&&!this.debug?null:("string"==typeof e[0]&&(e[0]="".concat(n).concat(this.prefix," ").concat(e[0])),this.logger[t](e))}},{key:"create",value:function(t){return new e(this.logger,mm(mm({},{prefix:"".concat(this.prefix,":").concat(t,":")}),this.options))}},{key:"clone",value:function(t){return(t=t||this.options).prefix=t.prefix||this.prefix,new e(this.logger,t)}}]),e}(),fm=new pm,Sm=function(){function e(){at(this,e),this.observers={}}return it(e,[{key:"on",value:function(e,t){var n=this;return e.split(" ").forEach((function(e){n.observers[e]=n.observers[e]||[],n.observers[e].push(t)})),this}},{key:"off",value:function(e,t){this.observers[e]&&(t?this.observers[e]=this.observers[e].filter((function(e){return e!==t})):delete this.observers[e])}},{key:"emit",value:function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),o=1;o<t;o++)n[o-1]=arguments[o];this.observers[e]&&[].concat(this.observers[e]).forEach((function(e){e.apply(void 0,n)})),this.observers["*"]&&[].concat(this.observers["*"]).forEach((function(t){t.apply(t,[e].concat(n))}))}}]),e}();function Om(){var e,t,n=new Promise((function(n,o){e=n,t=o}));return n.resolve=e,n.reject=t,n}function Am(e){return null==e?"":""+e}function Im(e,t,n){function o(e){return e&&e.indexOf("###")>-1?e.replace(/###/g,"."):e}function a(){return!e||"string"==typeof e}for(var r="string"!=typeof t?[].concat(t):t.split(".");r.length>1;){if(a())return{};var i=o(r.shift());!e[i]&&n&&(e[i]=new n),e=Object.prototype.hasOwnProperty.call(e,i)?e[i]:{}}return a()?{}:{obj:e,k:o(r.shift())}}function vm(e,t,n){var o=Im(e,t,Object);o.obj[o.k]=n}function _m(e,t){var n=Im(e,t),o=n.obj,a=n.k;if(o)return o[a]}function Nm(e,t,n){for(var o in t)"__proto__"!==o&&"constructor"!==o&&(o in e?"string"==typeof e[o]||e[o]instanceof String||"string"==typeof t[o]||t[o]instanceof String?n&&(e[o]=t[o]):Nm(e[o],t[o],n):e[o]=t[o]);return e}function Lm(e){return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")}var Rm={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};function gm(e){return"string"==typeof e?e.replace(/[&<>"'\/]/g,(function(e){return Rm[e]})):e}var hm="undefined"!=typeof window&&window.navigator&&void 0===window.navigator.userAgentData&&window.navigator.userAgent&&window.navigator.userAgent.indexOf("MSIE")>-1,ym=[" ",",","?","!",";"];function Mm(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(e){if(e[t])return e[t];for(var o=t.split(n),a=e,r=0;r<o.length;++r){if(!a)return;if("string"==typeof a[o[r]]&&r+1<o.length)return;if(void 0===a[o[r]]){for(var i=2,s=o.slice(r,r+i).join(n),l=a[s];void 0===l&&o.length>r+i;)i++,l=a[s=o.slice(r,r+i).join(n)];if(void 0===l)return;if(null===l)return null;if(t.endsWith(s)){if("string"==typeof l)return l;if(s&&"string"==typeof l[s])return l[s]}var u=o.slice(r+i).join(n);return u?Mm(l,u,n):void 0}a=a[o[r]]}return a}}function Cm(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function bm(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?Cm(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):Cm(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var Dm=function(e){um(a,e);var t,n,o=(t=a,n=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}(),function(){var e,o=dm(t);if(n){var a=dm(this).constructor;e=Reflect.construct(o,arguments,a)}else e=o.apply(this,arguments);return cm(this,e)});function a(e){var t,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};return at(this,a),t=o.call(this),hm&&Sm.call(lm(t)),t.data=e||{},t.options=n,void 0===t.options.keySeparator&&(t.options.keySeparator="."),void 0===t.options.ignoreJSONStructure&&(t.options.ignoreJSONStructure=!0),t}return it(a,[{key:"addNamespaces",value:function(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e)}},{key:"removeNamespaces",value:function(e){var t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1)}},{key:"getResource",value:function(e,t,n){var o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},a=void 0!==o.keySeparator?o.keySeparator:this.options.keySeparator,r=void 0!==o.ignoreJSONStructure?o.ignoreJSONStructure:this.options.ignoreJSONStructure,i=[e,t];n&&"string"!=typeof n&&(i=i.concat(n)),n&&"string"==typeof n&&(i=i.concat(a?n.split(a):n)),e.indexOf(".")>-1&&(i=e.split("."));var s=_m(this.data,i);return s||!r||"string"!=typeof n?s:Mm(this.data&&this.data[e]&&this.data[e][t],n,a)}},{key:"addResource",value:function(e,t,n,o){var a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1},r=this.options.keySeparator;void 0===r&&(r=".");var i=[e,t];n&&(i=i.concat(r?n.split(r):n)),e.indexOf(".")>-1&&(o=t,t=(i=e.split("."))[1]),this.addNamespaces(t),vm(this.data,i,o),a.silent||this.emit("added",e,t,n,o)}},{key:"addResources",value:function(e,t,n){var o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(var a in n)"string"!=typeof n[a]&&"[object Array]"!==Object.prototype.toString.apply(n[a])||this.addResource(e,t,a,n[a],{silent:!0});o.silent||this.emit("added",e,t,n)}},{key:"addResourceBundle",value:function(e,t,n,o,a){var r=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1},i=[e,t];e.indexOf(".")>-1&&(o=n,n=t,t=(i=e.split("."))[1]),this.addNamespaces(t);var s=_m(this.data,i)||{};o?Nm(s,n,a):s=bm(bm({},s),n),vm(this.data,i,s),r.silent||this.emit("added",e,t,n)}},{key:"removeResourceBundle",value:function(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t)}},{key:"hasResourceBundle",value:function(e,t){return void 0!==this.getResource(e,t)}},{key:"getResourceBundle",value:function(e,t){return t||(t=this.options.defaultNS),"v1"===this.options.compatibilityAPI?bm(bm({},{}),this.getResource(e,t)):this.getResource(e,t)}},{key:"getDataByLanguage",value:function(e){return this.data[e]}},{key:"hasLanguageSomeTranslations",value:function(e){var t=this.getDataByLanguage(e);return!!(t&&Object.keys(t)||[]).find((function(e){return t[e]&&Object.keys(t[e]).length>0}))}},{key:"toJSON",value:function(){return this.data}}]),a}(Sm),Pm={processors:{},addPostProcessor:function(e){this.processors[e.name]=e},handle:function(e,t,n,o,a){var r=this;return e.forEach((function(e){r.processors[e]&&(t=r.processors[e].process(t,n,o,a))})),t}};function km(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function wm(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?km(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):km(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var Um={},xm=function(e){um(a,e);var t,n,o=(t=a,n=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}(),function(){var e,o=dm(t);if(n){var a=dm(this).constructor;e=Reflect.construct(o,arguments,a)}else e=o.apply(this,arguments);return cm(this,e)});function a(e){var t,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return at(this,a),t=o.call(this),hm&&Sm.call(lm(t)),function(e,t,n){["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"].forEach((function(e){t[e]&&(n[e]=t[e])}))}(0,e,lm(t)),t.options=n,void 0===t.options.keySeparator&&(t.options.keySeparator="."),t.logger=fm.create("translator"),t}return it(a,[{key:"changeLanguage",value:function(e){e&&(this.language=e)}},{key:"exists",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return!1;var n=this.resolve(e,t);return n&&void 0!==n.res}},{key:"extractFromKey",value:function(e,t){var n=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===n&&(n=":");var o=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,a=t.ns||this.options.defaultNS||[],r=n&&e.indexOf(n)>-1,i=!(this.options.userDefinedKeySeparator||t.keySeparator||this.options.userDefinedNsSeparator||t.nsSeparator||function(e,t,n){t=t||"",n=n||"";var o=ym.filter((function(e){return t.indexOf(e)<0&&n.indexOf(e)<0}));if(0===o.length)return!0;var a=new RegExp("(".concat(o.map((function(e){return"?"===e?"\\?":e})).join("|"),")")),r=!a.test(e);if(!r){var i=e.indexOf(n);i>0&&!a.test(e.substring(0,i))&&(r=!0)}return r}(e,n,o));if(r&&!i){var s=e.match(this.interpolator.nestingRegexp);if(s&&s.length>0)return{key:e,namespaces:a};var l=e.split(n);(n!==o||n===o&&this.options.ns.indexOf(l[0])>-1)&&(a=l.shift()),e=l.join(o)}return"string"==typeof a&&(a=[a]),{key:e,namespaces:a}}},{key:"translate",value:function(e,t,n){var o=this;if("object"!==_e(t)&&this.options.overloadTranslationOptionHandler&&(t=this.options.overloadTranslationOptionHandler(arguments)),t||(t={}),null==e)return"";Array.isArray(e)||(e=[String(e)]);var r=void 0!==t.returnDetails?t.returnDetails:this.options.returnDetails,i=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,s=this.extractFromKey(e[e.length-1],t),l=s.key,u=s.namespaces,c=u[u.length-1],d=t.lng||this.language,E=t.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if(d&&"cimode"===d.toLowerCase()){if(E){var m=t.nsSeparator||this.options.nsSeparator;return r?{res:"".concat(c).concat(m).concat(l),usedKey:l,exactUsedKey:l,usedLng:d,usedNS:c}:"".concat(c).concat(m).concat(l)}return r?{res:l,usedKey:l,exactUsedKey:l,usedLng:d,usedNS:c}:l}var T=this.resolve(e,t),p=T&&T.res,f=T&&T.usedKey||l,S=T&&T.exactUsedKey||l,O=Object.prototype.toString.apply(p),A=void 0!==t.joinArrays?t.joinArrays:this.options.joinArrays,I=!this.i18nFormat||this.i18nFormat.handleAsObject;if(I&&p&&"string"!=typeof p&&"boolean"!=typeof p&&"number"!=typeof p&&["[object Number]","[object Function]","[object RegExp]"].indexOf(O)<0&&("string"!=typeof A||"[object Array]"!==O)){if(!t.returnObjects&&!this.options.returnObjects){this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!");var v=this.options.returnedObjectHandler?this.options.returnedObjectHandler(f,p,wm(wm({},t),{},{ns:u})):"key '".concat(l," (").concat(this.language,")' returned an object instead of string.");return r?(T.res=v,T):v}if(i){var _="[object Array]"===O,N=_?[]:{},L=_?S:f;for(var R in p)if(Object.prototype.hasOwnProperty.call(p,R)){var g="".concat(L).concat(i).concat(R);N[R]=this.translate(g,wm(wm({},t),{joinArrays:!1,ns:u})),N[R]===g&&(N[R]=p[R])}p=N}}else if(I&&"string"==typeof A&&"[object Array]"===O)(p=p.join(A))&&(p=this.extendTranslation(p,e,t,n));else{var h=!1,y=!1,M=void 0!==t.count&&"string"!=typeof t.count,C=a.hasDefaultValue(t),b=M?this.pluralResolver.getSuffix(d,t.count,t):"",D=t["defaultValue".concat(b)]||t.defaultValue;!this.isValidLookup(p)&&C&&(h=!0,p=D),this.isValidLookup(p)||(y=!0,p=l);var P=(t.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey)&&y?void 0:p,k=C&&D!==p&&this.options.updateMissing;if(y||h||k){if(this.logger.log(k?"updateKey":"missingKey",d,c,l,k?D:p),i){var w=this.resolve(l,wm(wm({},t),{},{keySeparator:!1}));w&&w.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.")}var U=[],x=this.languageUtils.getFallbackCodes(this.options.fallbackLng,t.lng||this.language);if("fallback"===this.options.saveMissingTo&&x&&x[0])for(var B=0;B<x.length;B++)U.push(x[B]);else"all"===this.options.saveMissingTo?U=this.languageUtils.toResolveHierarchy(t.lng||this.language):U.push(t.lng||this.language);var G=function(e,n,a){var r=C&&a!==p?a:P;o.options.missingKeyHandler?o.options.missingKeyHandler(e,c,n,r,k,t):o.backendConnector&&o.backendConnector.saveMissing&&o.backendConnector.saveMissing(e,c,n,r,k,t),o.emit("missingKey",e,c,n,p)};this.options.saveMissing&&(this.options.saveMissingPlurals&&M?U.forEach((function(e){o.pluralResolver.getSuffixes(e,t).forEach((function(n){G([e],l+n,t["defaultValue".concat(n)]||D)}))})):G(U,l,D))}p=this.extendTranslation(p,e,t,T,n),y&&p===l&&this.options.appendNamespaceToMissingKey&&(p="".concat(c,":").concat(l)),(y||h)&&this.options.parseMissingKeyHandler&&(p="v1"!==this.options.compatibilityAPI?this.options.parseMissingKeyHandler(this.options.appendNamespaceToMissingKey?"".concat(c,":").concat(l):l,h?p:void 0):this.options.parseMissingKeyHandler(p))}return r?(T.res=p,T):p}},{key:"extendTranslation",value:function(e,t,n,o,a){var r=this;if(this.i18nFormat&&this.i18nFormat.parse)e=this.i18nFormat.parse(e,wm(wm({},this.options.interpolation.defaultVariables),n),o.usedLng,o.usedNS,o.usedKey,{resolved:o});else if(!n.skipInterpolation){n.interpolation&&this.interpolator.init(wm(wm({},n),{interpolation:wm(wm({},this.options.interpolation),n.interpolation)}));var i,s="string"==typeof e&&(n&&n.interpolation&&void 0!==n.interpolation.skipOnVariables?n.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables);if(s){var l=e.match(this.interpolator.nestingRegexp);i=l&&l.length}var u=n.replace&&"string"!=typeof n.replace?n.replace:n;if(this.options.interpolation.defaultVariables&&(u=wm(wm({},this.options.interpolation.defaultVariables),u)),e=this.interpolator.interpolate(e,u,n.lng||this.language,n),s){var c=e.match(this.interpolator.nestingRegexp);i<(c&&c.length)&&(n.nest=!1)}!1!==n.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,o=new Array(e),i=0;i<e;i++)o[i]=arguments[i];return a&&a[0]===o[0]&&!n.context?(r.logger.warn("It seems you are nesting recursively key: ".concat(o[0]," in key: ").concat(t[0])),null):r.translate.apply(r,o.concat([t]))}),n)),n.interpolation&&this.interpolator.reset()}var d=n.postProcess||this.options.postProcess,E="string"==typeof d?[d]:d;return null!=e&&E&&E.length&&!1!==n.applyPostProcessor&&(e=Pm.handle(E,e,t,this.options&&this.options.postProcessPassResolved?wm({i18nResolved:o},n):n,this)),e}},{key:"resolve",value:function(e){var t,n,o,a,r,i=this,s=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return"string"==typeof e&&(e=[e]),e.forEach((function(e){if(!i.isValidLookup(t)){var l=i.extractFromKey(e,s),u=l.key;n=u;var c=l.namespaces;i.options.fallbackNS&&(c=c.concat(i.options.fallbackNS));var d=void 0!==s.count&&"string"!=typeof s.count,E=d&&!s.ordinal&&0===s.count&&i.pluralResolver.shouldUseIntlApi(),m=void 0!==s.context&&("string"==typeof s.context||"number"==typeof s.context)&&""!==s.context,T=s.lngs?s.lngs:i.languageUtils.toResolveHierarchy(s.lng||i.language,s.fallbackLng);c.forEach((function(e){i.isValidLookup(t)||(r=e,!Um["".concat(T[0],"-").concat(e)]&&i.utils&&i.utils.hasLoadedNamespace&&!i.utils.hasLoadedNamespace(r)&&(Um["".concat(T[0],"-").concat(e)]=!0,i.logger.warn('key "'.concat(n,'" for languages "').concat(T.join(", "),'" won\'t get resolved as namespace "').concat(r,'" was not yet loaded'),"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),T.forEach((function(n){if(!i.isValidLookup(t)){a=n;var r,l=[u];if(i.i18nFormat&&i.i18nFormat.addLookupKeys)i.i18nFormat.addLookupKeys(l,u,n,e,s);else{var c;d&&(c=i.pluralResolver.getSuffix(n,s.count,s));var T="".concat(i.options.pluralSeparator,"zero");if(d&&(l.push(u+c),E&&l.push(u+T)),m){var p="".concat(u).concat(i.options.contextSeparator).concat(s.context);l.push(p),d&&(l.push(p+c),E&&l.push(p+T))}}for(;r=l.pop();)i.isValidLookup(t)||(o=r,t=i.getResource(n,e,r,s))}})))}))}})),{res:t,usedKey:n,exactUsedKey:o,usedLng:a,usedNS:r}}},{key:"isValidLookup",value:function(e){return!(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}},{key:"getResource",value:function(e,t,n){var o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat&&this.i18nFormat.getResource?this.i18nFormat.getResource(e,t,n,o):this.resourceStore.getResource(e,t,n,o)}}],[{key:"hasDefaultValue",value:function(e){var t="defaultValue";for(var n in e)if(Object.prototype.hasOwnProperty.call(e,n)&&t===n.substring(0,t.length)&&void 0!==e[n])return!0;return!1}}]),a}(Sm);function Bm(e){return e.charAt(0).toUpperCase()+e.slice(1)}var Gm=function(){function e(t){at(this,e),this.options=t,this.supportedLngs=this.options.supportedLngs||!1,this.logger=fm.create("languageUtils")}return it(e,[{key:"getScriptPartFromCode",value:function(e){if(!e||e.indexOf("-")<0)return null;var t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}},{key:"getLanguagePartFromCode",value:function(e){if(!e||e.indexOf("-")<0)return e;var t=e.split("-");return this.formatLanguageCode(t[0])}},{key:"formatLanguageCode",value:function(e){if("string"==typeof e&&e.indexOf("-")>-1){var t=["hans","hant","latn","cyrl","cans","mong","arab"],n=e.split("-");return this.options.lowerCaseLng?n=n.map((function(e){return e.toLowerCase()})):2===n.length?(n[0]=n[0].toLowerCase(),n[1]=n[1].toUpperCase(),t.indexOf(n[1].toLowerCase())>-1&&(n[1]=Bm(n[1].toLowerCase()))):3===n.length&&(n[0]=n[0].toLowerCase(),2===n[1].length&&(n[1]=n[1].toUpperCase()),"sgn"!==n[0]&&2===n[2].length&&(n[2]=n[2].toUpperCase()),t.indexOf(n[1].toLowerCase())>-1&&(n[1]=Bm(n[1].toLowerCase())),t.indexOf(n[2].toLowerCase())>-1&&(n[2]=Bm(n[2].toLowerCase()))),n.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}},{key:"isSupportedCode",value:function(e){return("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}},{key:"getBestMatchFromCodes",value:function(e){var t,n=this;return e?(e.forEach((function(e){if(!t){var o=n.formatLanguageCode(e);n.options.supportedLngs&&!n.isSupportedCode(o)||(t=o)}})),!t&&this.options.supportedLngs&&e.forEach((function(e){if(!t){var o=n.getLanguagePartFromCode(e);if(n.isSupportedCode(o))return t=o;t=n.options.supportedLngs.find((function(e){return e===o?e:e.indexOf("-")<0&&o.indexOf("-")<0?void 0:0===e.indexOf(o)?e:void 0}))}})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t):null}},{key:"getFallbackCodes",value:function(e,t){if(!e)return[];if("function"==typeof e&&(e=e(t)),"string"==typeof e&&(e=[e]),"[object Array]"===Object.prototype.toString.apply(e))return e;if(!t)return e.default||[];var n=e[t];return n||(n=e[this.getScriptPartFromCode(t)]),n||(n=e[this.formatLanguageCode(t)]),n||(n=e[this.getLanguagePartFromCode(t)]),n||(n=e.default),n||[]}},{key:"toResolveHierarchy",value:function(e,t){var n=this,o=this.getFallbackCodes(t||this.options.fallbackLng||[],e),a=[],r=function(e){e&&(n.isSupportedCode(e)?a.push(e):n.logger.warn("rejecting language code not found in supportedLngs: ".concat(e)))};return"string"==typeof e&&e.indexOf("-")>-1?("languageOnly"!==this.options.load&&r(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&r(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&r(this.getLanguagePartFromCode(e))):"string"==typeof e&&r(this.formatLanguageCode(e)),o.forEach((function(e){a.indexOf(e)<0&&r(n.formatLanguageCode(e))})),a}}]),e}(),Fm=[{lngs:["ach","ak","am","arn","br","fil","gun","ln","mfe","mg","mi","oc","pt","pt-BR","tg","tl","ti","tr","uz","wa"],nr:[1,2],fc:1},{lngs:["af","an","ast","az","bg","bn","ca","da","de","dev","el","en","eo","es","et","eu","fi","fo","fur","fy","gl","gu","ha","hi","hu","hy","ia","it","kk","kn","ku","lb","mai","ml","mn","mr","nah","nap","nb","ne","nl","nn","no","nso","pa","pap","pms","ps","pt-PT","rm","sco","se","si","so","son","sq","sv","sw","ta","te","tk","ur","yo"],nr:[1,2],fc:2},{lngs:["ay","bo","cgg","fa","ht","id","ja","jbo","ka","km","ko","ky","lo","ms","sah","su","th","tt","ug","vi","wo","zh"],nr:[1],fc:3},{lngs:["be","bs","cnr","dz","hr","ru","sr","uk"],nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21},{lngs:["he","iw"],nr:[1,2,20,21],fc:22}],zm={1:function(e){return Number(e>1)},2:function(e){return Number(1!=e)},3:function(e){return 0},4:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},5:function(e){return Number(0==e?0:1==e?1:2==e?2:e%100>=3&&e%100<=10?3:e%100>=11?4:5)},6:function(e){return Number(1==e?0:e>=2&&e<=4?1:2)},7:function(e){return Number(1==e?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},8:function(e){return Number(1==e?0:2==e?1:8!=e&&11!=e?2:3)},9:function(e){return Number(e>=2)},10:function(e){return Number(1==e?0:2==e?1:e<7?2:e<11?3:4)},11:function(e){return Number(1==e||11==e?0:2==e||12==e?1:e>2&&e<20?2:3)},12:function(e){return Number(e%10!=1||e%100==11)},13:function(e){return Number(0!==e)},14:function(e){return Number(1==e?0:2==e?1:3==e?2:3)},15:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&(e%100<10||e%100>=20)?1:2)},16:function(e){return Number(e%10==1&&e%100!=11?0:0!==e?1:2)},17:function(e){return Number(1==e||e%10==1&&e%100!=11?0:1)},18:function(e){return Number(0==e?0:1==e?1:2)},19:function(e){return Number(1==e?0:0==e||e%100>1&&e%100<11?1:e%100>10&&e%100<20?2:3)},20:function(e){return Number(1==e?0:0==e||e%100>0&&e%100<20?1:2)},21:function(e){return Number(e%100==1?1:e%100==2?2:e%100==3||e%100==4?3:0)},22:function(e){return Number(1==e?0:2==e?1:(e<0||e>10)&&e%10==0?2:3)}},Ym=["v1","v2","v3"],Hm={zero:0,one:1,two:2,few:3,many:4,other:5},Vm=function(){function e(t){var n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};at(this,e),this.languageUtils=t,this.options=o,this.logger=fm.create("pluralResolver"),this.options.compatibilityJSON&&"v4"!==this.options.compatibilityJSON||"undefined"!=typeof Intl&&Intl.PluralRules||(this.options.compatibilityJSON="v3",this.logger.error("Your environment seems not to be Intl API compatible, use an Intl.PluralRules polyfill. Will fallback to the compatibilityJSON v3 format handling.")),this.rules=(n={},Fm.forEach((function(e){e.lngs.forEach((function(t){n[t]={numbers:e.nr,plurals:zm[e.fc]}}))})),n)}return it(e,[{key:"addRule",value:function(e,t){this.rules[e]=t}},{key:"getRule",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(this.shouldUseIntlApi())try{return new Intl.PluralRules(e,{type:t.ordinal?"ordinal":"cardinal"})}catch(e){return}return this.rules[e]||this.rules[this.languageUtils.getLanguagePartFromCode(e)]}},{key:"needsPlural",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=this.getRule(e,t);return this.shouldUseIntlApi()?n&&n.resolvedOptions().pluralCategories.length>1:n&&n.numbers.length>1}},{key:"getPluralFormsOfKey",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return this.getSuffixes(e,n).map((function(e){return"".concat(t).concat(e)}))}},{key:"getSuffixes",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},o=this.getRule(e,n);return o?this.shouldUseIntlApi()?o.resolvedOptions().pluralCategories.sort((function(e,t){return Hm[e]-Hm[t]})).map((function(e){return"".concat(t.options.prepend).concat(e)})):o.numbers.map((function(o){return t.getSuffix(e,o,n)})):[]}},{key:"getSuffix",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=this.getRule(e,n);return o?this.shouldUseIntlApi()?"".concat(this.options.prepend).concat(o.select(t)):this.getSuffixRetroCompatible(o,t):(this.logger.warn("no plural rule found for: ".concat(e)),"")}},{key:"getSuffixRetroCompatible",value:function(e,t){var n=this,o=e.noAbs?e.plurals(t):e.plurals(Math.abs(t)),a=e.numbers[o];this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]&&(2===a?a="plural":1===a&&(a=""));var r=function(){return n.options.prepend&&a.toString()?n.options.prepend+a.toString():a.toString()};return"v1"===this.options.compatibilityJSON?1===a?"":"number"==typeof a?"_plural_".concat(a.toString()):r():"v2"===this.options.compatibilityJSON||this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]?r():this.options.prepend&&o.toString()?this.options.prepend+o.toString():o.toString()}},{key:"shouldUseIntlApi",value:function(){return!Ym.includes(this.options.compatibilityJSON)}}]),e}();function jm(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Wm(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?jm(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):jm(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function Km(e,t,n){var o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:".",a=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],r=function(e,t,n){var o=_m(e,n);return void 0!==o?o:_m(t,n)}(e,t,n);return!r&&a&&"string"==typeof n&&void 0===(r=Mm(e,n,o))&&(r=Mm(t,n,o)),r}var Xm=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};at(this,e),this.logger=fm.create("interpolator"),this.options=t,this.format=t.interpolation&&t.interpolation.format||function(e){return e},this.init(t)}return it(e,[{key:"init",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});var t=e.interpolation;this.escape=void 0!==t.escape?t.escape:gm,this.escapeValue=void 0===t.escapeValue||t.escapeValue,this.useRawValueToEscape=void 0!==t.useRawValueToEscape&&t.useRawValueToEscape,this.prefix=t.prefix?Lm(t.prefix):t.prefixEscaped||"{{",this.suffix=t.suffix?Lm(t.suffix):t.suffixEscaped||"}}",this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||",",this.unescapePrefix=t.unescapeSuffix?"":t.unescapePrefix||"-",this.unescapeSuffix=this.unescapePrefix?"":t.unescapeSuffix||"",this.nestingPrefix=t.nestingPrefix?Lm(t.nestingPrefix):t.nestingPrefixEscaped||Lm("$t("),this.nestingSuffix=t.nestingSuffix?Lm(t.nestingSuffix):t.nestingSuffixEscaped||Lm(")"),this.nestingOptionsSeparator=t.nestingOptionsSeparator?t.nestingOptionsSeparator:t.nestingOptionsSeparator||",",this.maxReplaces=t.maxReplaces?t.maxReplaces:1e3,this.alwaysFormat=void 0!==t.alwaysFormat&&t.alwaysFormat,this.resetRegExp()}},{key:"reset",value:function(){this.options&&this.init(this.options)}},{key:"resetRegExp",value:function(){var e="".concat(this.prefix,"(.+?)").concat(this.suffix);this.regexp=new RegExp(e,"g");var t="".concat(this.prefix).concat(this.unescapePrefix,"(.+?)").concat(this.unescapeSuffix).concat(this.suffix);this.regexpUnescape=new RegExp(t,"g");var n="".concat(this.nestingPrefix,"(.+?)").concat(this.nestingSuffix);this.nestingRegexp=new RegExp(n,"g")}},{key:"interpolate",value:function(e,t,n,o){var a,r,i,s=this,l=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{};function u(e){return e.replace(/\$/g,"$$$$")}var c=function(e){if(e.indexOf(s.formatSeparator)<0){var a=Km(t,l,e,s.options.keySeparator,s.options.ignoreJSONStructure);return s.alwaysFormat?s.format(a,void 0,n,Wm(Wm(Wm({},o),t),{},{interpolationkey:e})):a}var r=e.split(s.formatSeparator),i=r.shift().trim(),u=r.join(s.formatSeparator).trim();return s.format(Km(t,l,i,s.options.keySeparator,s.options.ignoreJSONStructure),u,n,Wm(Wm(Wm({},o),t),{},{interpolationkey:i}))};this.resetRegExp();var d=o&&o.missingInterpolationHandler||this.options.missingInterpolationHandler,E=o&&o.interpolation&&void 0!==o.interpolation.skipOnVariables?o.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables;return[{regex:this.regexpUnescape,safeValue:function(e){return u(e)}},{regex:this.regexp,safeValue:function(e){return s.escapeValue?u(s.escape(e)):u(e)}}].forEach((function(t){for(i=0;a=t.regex.exec(e);){var n=a[1].trim();if(void 0===(r=c(n)))if("function"==typeof d){var l=d(e,a,o);r="string"==typeof l?l:""}else if(o&&Object.prototype.hasOwnProperty.call(o,n))r="";else{if(E){r=a[0];continue}s.logger.warn("missed to pass in variable ".concat(n," for interpolating ").concat(e)),r=""}else"string"==typeof r||s.useRawValueToEscape||(r=Am(r));var u=t.safeValue(r);if(e=e.replace(a[0],u),E?(t.regex.lastIndex+=r.length,t.regex.lastIndex-=a[0].length):t.regex.lastIndex=0,++i>=s.maxReplaces)break}})),e}},{key:"nest",value:function(e,t){var n,o,a,r=this,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};function s(e,t){var n=this.nestingOptionsSeparator;if(e.indexOf(n)<0)return e;var o=e.split(new RegExp("".concat(n,"[ ]*{"))),r="{".concat(o[1]);e=o[0];var i=(r=this.interpolate(r,a)).match(/'/g),s=r.match(/"/g);(i&&i.length%2==0&&!s||s.length%2!=0)&&(r=r.replace(/'/g,'"'));try{a=JSON.parse(r),t&&(a=Wm(Wm({},t),a))}catch(t){return this.logger.warn("failed parsing options string in nesting for key ".concat(e),t),"".concat(e).concat(n).concat(r)}return delete a.defaultValue,e}for(;n=this.nestingRegexp.exec(e);){var l=[];(a=(a=Wm({},i)).replace&&"string"!=typeof a.replace?a.replace:a).applyPostProcessor=!1,delete a.defaultValue;var u=!1;if(-1!==n[0].indexOf(this.formatSeparator)&&!/{.*}/.test(n[1])){var c=n[1].split(this.formatSeparator).map((function(e){return e.trim()}));n[1]=c.shift(),l=c,u=!0}if((o=t(s.call(this,n[1].trim(),a),a))&&n[0]===e&&"string"!=typeof o)return o;"string"!=typeof o&&(o=Am(o)),o||(this.logger.warn("missed to resolve ".concat(n[1]," for nesting ").concat(e)),o=""),u&&(o=l.reduce((function(e,t){return r.format(e,t,i.lng,Wm(Wm({},i),{},{interpolationkey:n[1].trim()}))}),o.trim())),e=e.replace(n[0],o),this.regexp.lastIndex=0}return e}}]),e}();function qm(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function Qm(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?qm(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):qm(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function Zm(e){var t={};return function(n,o,a){var r=o+JSON.stringify(a),i=t[r];return i||(i=e(o,a),t[r]=i),i(n)}}var $m=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};at(this,e),this.logger=fm.create("formatter"),this.options=t,this.formats={number:Zm((function(e,t){var n=new Intl.NumberFormat(e,Qm({},t));return function(e){return n.format(e)}})),currency:Zm((function(e,t){var n=new Intl.NumberFormat(e,Qm(Qm({},t),{},{style:"currency"}));return function(e){return n.format(e)}})),datetime:Zm((function(e,t){var n=new Intl.DateTimeFormat(e,Qm({},t));return function(e){return n.format(e)}})),relativetime:Zm((function(e,t){var n=new Intl.RelativeTimeFormat(e,Qm({},t));return function(e){return n.format(e,t.range||"day")}})),list:Zm((function(e,t){var n=new Intl.ListFormat(e,Qm({},t));return function(e){return n.format(e)}}))},this.init(t)}return it(e,[{key:"init",value:function(e){var t=(arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}}).interpolation;this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||","}},{key:"add",value:function(e,t){this.formats[e.toLowerCase().trim()]=t}},{key:"addCached",value:function(e,t){this.formats[e.toLowerCase().trim()]=Zm(t)}},{key:"format",value:function(e,t,n){var a=this,s=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},l=t.split(this.formatSeparator).reduce((function(e,t){var l=function(e){var t=e.toLowerCase().trim(),n={};if(e.indexOf("(")>-1){var a=e.split("(");t=a[0].toLowerCase().trim();var s=a[1].substring(0,a[1].length-1);"currency"===t&&s.indexOf(":")<0?n.currency||(n.currency=s.trim()):"relativetime"===t&&s.indexOf(":")<0?n.range||(n.range=s.trim()):s.split(";").forEach((function(e){if(e){var t,a=o(t=e.split(":"))||Pt(t)||r(t)||i(),s=a[0],l=a.slice(1).join(":").trim().replace(/^'+|'+$/g,"");n[s.trim()]||(n[s.trim()]=l),"false"===l&&(n[s.trim()]=!1),"true"===l&&(n[s.trim()]=!0),isNaN(l)||(n[s.trim()]=parseInt(l,10))}}))}return{formatName:t,formatOptions:n}}(t),u=l.formatName,c=l.formatOptions;if(a.formats[u]){var d=e;try{var E=s&&s.formatParams&&s.formatParams[s.interpolationkey]||{},m=E.locale||E.lng||s.locale||s.lng||n;d=a.formats[u](e,m,Qm(Qm(Qm({},c),s),E))}catch(e){a.logger.warn(e)}return d}return a.logger.warn("there was no format function for ".concat(u)),e}),e);return l}}]),e}();function Jm(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function eT(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?Jm(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):Jm(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var tT=function(e){um(a,e);var t,n,o=(t=a,n=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}(),function(){var e,o=dm(t);if(n){var a=dm(this).constructor;e=Reflect.construct(o,arguments,a)}else e=o.apply(this,arguments);return cm(this,e)});function a(e,t,n){var r,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return at(this,a),r=o.call(this),hm&&Sm.call(lm(r)),r.backend=e,r.store=t,r.services=n,r.languageUtils=n.languageUtils,r.options=i,r.logger=fm.create("backendConnector"),r.waitingReads=[],r.maxParallelReads=i.maxParallelReads||10,r.readingCalls=0,r.maxRetries=i.maxRetries>=0?i.maxRetries:5,r.retryTimeout=i.retryTimeout>=1?i.retryTimeout:350,r.state={},r.queue=[],r.backend&&r.backend.init&&r.backend.init(n,i.backend,i),r}return it(a,[{key:"queueLoad",value:function(e,t,n,o){var a=this,r={},i={},s={},l={};return e.forEach((function(e){var o=!0;t.forEach((function(t){var s="".concat(e,"|").concat(t);!n.reload&&a.store.hasResourceBundle(e,t)?a.state[s]=2:a.state[s]<0||(1===a.state[s]?void 0===i[s]&&(i[s]=!0):(a.state[s]=1,o=!1,void 0===i[s]&&(i[s]=!0),void 0===r[s]&&(r[s]=!0),void 0===l[t]&&(l[t]=!0)))})),o||(s[e]=!0)})),(Object.keys(r).length||Object.keys(i).length)&&this.queue.push({pending:i,pendingCount:Object.keys(i).length,loaded:{},errors:[],callback:o}),{toLoad:Object.keys(r),pending:Object.keys(i),toLoadLanguages:Object.keys(s),toLoadNamespaces:Object.keys(l)}}},{key:"loaded",value:function(e,t,n){var o=e.split("|"),a=o[0],r=o[1];t&&this.emit("failedLoading",a,r,t),n&&this.store.addResourceBundle(a,r,n),this.state[e]=t?-1:2;var i={};this.queue.forEach((function(n){!function(e,t,n,o){var a=Im(e,t,Object),r=a.obj,i=a.k;r[i]=r[i]||[],r[i].push(n)}(n.loaded,[a],r),function(e,t){void 0!==e.pending[t]&&(delete e.pending[t],e.pendingCount--)}(n,e),t&&n.errors.push(t),0!==n.pendingCount||n.done||(Object.keys(n.loaded).forEach((function(e){i[e]||(i[e]={});var t=n.loaded[e];t.length&&t.forEach((function(t){void 0===i[e][t]&&(i[e][t]=!0)}))})),n.done=!0,n.errors.length?n.callback(n.errors):n.callback())})),this.emit("loaded",i),this.queue=this.queue.filter((function(e){return!e.done}))}},{key:"read",value:function(e,t,n){var o=this,a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,r=arguments.length>4&&void 0!==arguments[4]?arguments[4]:this.retryTimeout,i=arguments.length>5?arguments[5]:void 0;if(!e.length)return i(null,{});if(this.readingCalls>=this.maxParallelReads)this.waitingReads.push({lng:e,ns:t,fcName:n,tried:a,wait:r,callback:i});else{this.readingCalls++;var s=function(s,l){if(o.readingCalls--,o.waitingReads.length>0){var u=o.waitingReads.shift();o.read(u.lng,u.ns,u.fcName,u.tried,u.wait,u.callback)}s&&l&&a<o.maxRetries?setTimeout((function(){o.read.call(o,e,t,n,a+1,2*r,i)}),r):i(s,l)},l=this.backend[n].bind(this.backend);if(2!==l.length)return l(e,t,s);try{var u=l(e,t);u&&"function"==typeof u.then?u.then((function(e){return s(null,e)})).catch(s):s(null,u)}catch(e){s(e)}}}},{key:"prepareLoading",value:function(e,t){var n=this,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},a=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),a&&a();"string"==typeof e&&(e=this.languageUtils.toResolveHierarchy(e)),"string"==typeof t&&(t=[t]);var r=this.queueLoad(e,t,o,a);if(!r.toLoad.length)return r.pending.length||a(),null;r.toLoad.forEach((function(e){n.loadOne(e)}))}},{key:"load",value:function(e,t,n){this.prepareLoading(e,t,{},n)}},{key:"reload",value:function(e,t,n){this.prepareLoading(e,t,{reload:!0},n)}},{key:"loadOne",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"",o=e.split("|"),a=o[0],r=o[1];this.read(a,r,"read",void 0,void 0,(function(o,i){o&&t.logger.warn("".concat(n,"loading namespace ").concat(r," for language ").concat(a," failed"),o),!o&&i&&t.logger.log("".concat(n,"loaded namespace ").concat(r," for language ").concat(a),i),t.loaded(e,o,i)}))}},{key:"saveMissing",value:function(e,t,n,o,a){var r=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},i=arguments.length>6&&void 0!==arguments[6]?arguments[6]:function(){};if(this.services.utils&&this.services.utils.hasLoadedNamespace&&!this.services.utils.hasLoadedNamespace(t))this.logger.warn('did not save key "'.concat(n,'" as the namespace "').concat(t,'" was not yet loaded'),"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!");else if(null!=n&&""!==n){if(this.backend&&this.backend.create){var s=eT(eT({},r),{},{isUpdate:a}),l=this.backend.create.bind(this.backend);if(l.length<6)try{var u;(u=5===l.length?l(e,t,n,o,s):l(e,t,n,o))&&"function"==typeof u.then?u.then((function(e){return i(null,e)})).catch(i):i(null,u)}catch(e){i(e)}else l(e,t,n,o,i,s)}e&&e[0]&&this.store.addResource(e[0],t,n,o)}}}]),a}(Sm);function nT(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!0,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:function(e){var t={};if("object"===_e(e[1])&&(t=e[1]),"string"==typeof e[1]&&(t.defaultValue=e[1]),"string"==typeof e[2]&&(t.tDescription=e[2]),"object"===_e(e[2])||"object"===_e(e[3])){var n=e[3]||e[2];Object.keys(n).forEach((function(e){t[e]=n[e]}))}return t},interpolation:{escapeValue:!0,format:function(e,t,n,o){return e},prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!0}}}function oT(e){return"string"==typeof e.ns&&(e.ns=[e.ns]),"string"==typeof e.fallbackLng&&(e.fallbackLng=[e.fallbackLng]),"string"==typeof e.fallbackNS&&(e.fallbackNS=[e.fallbackNS]),e.supportedLngs&&e.supportedLngs.indexOf("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),e}function aT(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);t&&(o=o.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,o)}return n}function rT(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?aT(Object(n),!0).forEach((function(t){Le(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):aT(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function iT(){}var sT=function(e){um(a,e);var t,n,o=(t=a,n=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}(),function(){var e,o=dm(t);if(n){var a=dm(this).constructor;e=Reflect.construct(o,arguments,a)}else e=o.apply(this,arguments);return cm(this,e)});function a(){var e,t,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1?arguments[1]:void 0;if(at(this,a),e=o.call(this),hm&&Sm.call(lm(e)),e.options=oT(n),e.services={},e.logger=fm,e.modules={external:[]},t=lm(e),Object.getOwnPropertyNames(Object.getPrototypeOf(t)).forEach((function(e){"function"==typeof t[e]&&(t[e]=t[e].bind(t))})),r&&!e.isInitialized&&!n.isClone){if(!e.options.initImmediate)return e.init(n,r),cm(e,lm(e));setTimeout((function(){e.init(n,r)}),0)}return e}return it(a,[{key:"init",value:function(){var e=this,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1?arguments[1]:void 0;"function"==typeof t&&(n=t,t={}),!t.defaultNS&&!1!==t.defaultNS&&t.ns&&("string"==typeof t.ns?t.defaultNS=t.ns:t.ns.indexOf("translation")<0&&(t.defaultNS=t.ns[0]));var o=nT();function a(e){return e?"function"==typeof e?new e:e:null}if(this.options=rT(rT(rT({},o),this.options),oT(t)),"v1"!==this.options.compatibilityAPI&&(this.options.interpolation=rT(rT({},o.interpolation),this.options.interpolation)),void 0!==t.keySeparator&&(this.options.userDefinedKeySeparator=t.keySeparator),void 0!==t.nsSeparator&&(this.options.userDefinedNsSeparator=t.nsSeparator),!this.options.isClone){var r;this.modules.logger?fm.init(a(this.modules.logger),this.options):fm.init(null,this.options),this.modules.formatter?r=this.modules.formatter:"undefined"!=typeof Intl&&(r=$m);var i=new Gm(this.options);this.store=new Dm(this.options.resources,this.options);var s=this.services;s.logger=fm,s.resourceStore=this.store,s.languageUtils=i,s.pluralResolver=new Vm(i,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),!r||this.options.interpolation.format&&this.options.interpolation.format!==o.interpolation.format||(s.formatter=a(r),s.formatter.init(s,this.options),this.options.interpolation.format=s.formatter.format.bind(s.formatter)),s.interpolator=new Xm(this.options),s.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},s.backendConnector=new tT(a(this.modules.backend),s.resourceStore,s,this.options),s.backendConnector.on("*",(function(t){for(var n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];e.emit.apply(e,[t].concat(o))})),this.modules.languageDetector&&(s.languageDetector=a(this.modules.languageDetector),s.languageDetector.init&&s.languageDetector.init(s,this.options.detection,this.options)),this.modules.i18nFormat&&(s.i18nFormat=a(this.modules.i18nFormat),s.i18nFormat.init&&s.i18nFormat.init(this)),this.translator=new xm(this.services,this.options),this.translator.on("*",(function(t){for(var n=arguments.length,o=new Array(n>1?n-1:0),a=1;a<n;a++)o[a-1]=arguments[a];e.emit.apply(e,[t].concat(o))})),this.modules.external.forEach((function(t){t.init&&t.init(e)}))}if(this.format=this.options.interpolation.format,n||(n=iT),this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){var l=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);l.length>0&&"dev"!==l[0]&&(this.options.lng=l[0])}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined"),["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"].forEach((function(t){e[t]=function(){var n;return(n=e.store)[t].apply(n,arguments)}})),["addResource","addResources","addResourceBundle","removeResourceBundle"].forEach((function(t){e[t]=function(){var n;return(n=e.store)[t].apply(n,arguments),e}}));var u=Om(),c=function(){var t=function(t,o){e.isInitialized&&!e.initializedStoreOnce&&e.logger.warn("init: i18next is already initialized. You should call init just once!"),e.isInitialized=!0,e.options.isClone||e.logger.log("initialized",e.options),e.emit("initialized",e.options),u.resolve(o),n(t,o)};if(e.languages&&"v1"!==e.options.compatibilityAPI&&!e.isInitialized)return t(null,e.t.bind(e));e.changeLanguage(e.options.lng,t)};return this.options.resources||!this.options.initImmediate?c():setTimeout(c,0),u}},{key:"loadResources",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:iT,o="string"==typeof e?e:this.language;if("function"==typeof e&&(n=e),!this.options.resources||this.options.partialBundledLanguages){if(o&&"cimode"===o.toLowerCase())return n();var a=[],r=function(e){e&&t.services.languageUtils.toResolveHierarchy(e).forEach((function(e){a.indexOf(e)<0&&a.push(e)}))};o?r(o):this.services.languageUtils.getFallbackCodes(this.options.fallbackLng).forEach((function(e){return r(e)})),this.options.preload&&this.options.preload.forEach((function(e){return r(e)})),this.services.backendConnector.load(a,this.options.ns,(function(e){e||t.resolvedLanguage||!t.language||t.setResolvedLanguage(t.language),n(e)}))}else n(null)}},{key:"reloadResources",value:function(e,t,n){var o=Om();return e||(e=this.languages),t||(t=this.options.ns),n||(n=iT),this.services.backendConnector.reload(e,t,(function(e){o.resolve(),n(e)})),o}},{key:"use",value:function(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return"backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&Pm.addPostProcessor(e),"formatter"===e.type&&(this.modules.formatter=e),"3rdParty"===e.type&&this.modules.external.push(e),this}},{key:"setResolvedLanguage",value:function(e){if(e&&this.languages&&!(["cimode","dev"].indexOf(e)>-1))for(var t=0;t<this.languages.length;t++){var n=this.languages[t];if(!(["cimode","dev"].indexOf(n)>-1)&&this.store.hasLanguageSomeTranslations(n)){this.resolvedLanguage=n;break}}}},{key:"changeLanguage",value:function(e,t){var n=this;this.isLanguageChangingTo=e;var o=Om();this.emit("languageChanging",e);var a=function(e){n.language=e,n.languages=n.services.languageUtils.toResolveHierarchy(e),n.resolvedLanguage=void 0,n.setResolvedLanguage(e)},r=function(r){e||r||!n.services.languageDetector||(r=[]);var i="string"==typeof r?r:n.services.languageUtils.getBestMatchFromCodes(r);i&&(n.language||a(i),n.translator.language||n.translator.changeLanguage(i),n.services.languageDetector&&n.services.languageDetector.cacheUserLanguage&&n.services.languageDetector.cacheUserLanguage(i)),n.loadResources(i,(function(e){!function(e,r){r?(a(r),n.translator.changeLanguage(r),n.isLanguageChangingTo=void 0,n.emit("languageChanged",r),n.logger.log("languageChanged",r)):n.isLanguageChangingTo=void 0,o.resolve((function(){return n.t.apply(n,arguments)})),t&&t(e,(function(){return n.t.apply(n,arguments)}))}(e,i)}))};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?0===this.services.languageDetector.detect.length?this.services.languageDetector.detect().then(r):this.services.languageDetector.detect(r):r(e):r(this.services.languageDetector.detect()),o}},{key:"getFixedT",value:function(e,t,n){var o=this,a=function e(t,a){var r;if("object"!==_e(a)){for(var i=arguments.length,s=new Array(i>2?i-2:0),l=2;l<i;l++)s[l-2]=arguments[l];r=o.options.overloadTranslationOptionHandler([t,a].concat(s))}else r=rT({},a);r.lng=r.lng||e.lng,r.lngs=r.lngs||e.lngs,r.ns=r.ns||e.ns,r.keyPrefix=r.keyPrefix||n||e.keyPrefix;var u,c=o.options.keySeparator||".";return u=r.keyPrefix&&Array.isArray(t)?t.map((function(e){return"".concat(r.keyPrefix).concat(c).concat(e)})):r.keyPrefix?"".concat(r.keyPrefix).concat(c).concat(t):t,o.t(u,r)};return"string"==typeof e?a.lng=e:a.lngs=e,a.ns=t,a.keyPrefix=n,a}},{key:"t",value:function(){var e;return this.translator&&(e=this.translator).translate.apply(e,arguments)}},{key:"exists",value:function(){var e;return this.translator&&(e=this.translator).exists.apply(e,arguments)}},{key:"setDefaultNamespace",value:function(e){this.options.defaultNS=e}},{key:"hasLoadedNamespace",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;var o=this.resolvedLanguage||this.languages[0],a=!!this.options&&this.options.fallbackLng,r=this.languages[this.languages.length-1];if("cimode"===o.toLowerCase())return!0;var i=function(e,n){var o=t.services.backendConnector.state["".concat(e,"|").concat(n)];return-1===o||2===o};if(n.precheck){var s=n.precheck(this,i);if(void 0!==s)return s}return!(!this.hasResourceBundle(o,e)&&this.services.backendConnector.backend&&(!this.options.resources||this.options.partialBundledLanguages)&&(!i(o,e)||a&&!i(r,e)))}},{key:"loadNamespaces",value:function(e,t){var n=this,o=Om();return this.options.ns?("string"==typeof e&&(e=[e]),e.forEach((function(e){n.options.ns.indexOf(e)<0&&n.options.ns.push(e)})),this.loadResources((function(e){o.resolve(),t&&t(e)})),o):(t&&t(),Promise.resolve())}},{key:"loadLanguages",value:function(e,t){var n=Om();"string"==typeof e&&(e=[e]);var o=this.options.preload||[],a=e.filter((function(e){return o.indexOf(e)<0}));return a.length?(this.options.preload=o.concat(a),this.loadResources((function(e){n.resolve(),t&&t(e)})),n):(t&&t(),Promise.resolve())}},{key:"dir",value:function(e){if(e||(e=this.resolvedLanguage||(this.languages&&this.languages.length>0?this.languages[0]:this.language)),!e)return"rtl";var t=this.services&&this.services.languageUtils||new Gm(nT());return["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam","ckb"].indexOf(t.getLanguagePartFromCode(e))>-1||e.toLowerCase().indexOf("-arab")>1?"rtl":"ltr"}},{key:"cloneInstance",value:function(){var e=this,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:iT,o=rT(rT(rT({},this.options),t),{isClone:!0}),r=new a(o);return void 0===t.debug&&void 0===t.prefix||(r.logger=r.logger.clone(t)),["store","services","language"].forEach((function(t){r[t]=e[t]})),r.services=rT({},this.services),r.services.utils={hasLoadedNamespace:r.hasLoadedNamespace.bind(r)},r.translator=new xm(r.services,r.options),r.translator.on("*",(function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),o=1;o<t;o++)n[o-1]=arguments[o];r.emit.apply(r,[e].concat(n))})),r.init(o,n),r.translator.options=r.options,r.translator.backendConnector.services.utils={hasLoadedNamespace:r.hasLoadedNamespace.bind(r)},r}},{key:"toJSON",value:function(){return{options:this.options,store:this.store,language:this.language,languages:this.languages,resolvedLanguage:this.resolvedLanguage}}}]),a}(Sm);Le(sT,"createInstance",(function(){return new sT(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},arguments.length>1?arguments[1]:void 0)}));var lT=sT.createInstance();lT.createInstance=sT.createInstance,lT.createInstance,lT.dir,lT.init,lT.loadResources,lT.reloadResources,lT.use,lT.changeLanguage,lT.getFixedT,lT.t,lT.exists,lT.setDefaultNamespace,lT.hasLoadedNamespace,lT.loadNamespaces,lT.loadLanguages;var uT=document.documentElement;const cT=function(){var t=s(e.useState(),2),n=t[0],o=t[1],a=s(e.useState(),2),r=a[0],i=a[1];if(r)throw new Error(r);return e.useEffect((function(){var e,t=window.engine.on(u()(e="".concat(re,".")).call(e,"get_mods_ui_state",":response"),(function(e){e.status===W&&(o(e.data),lT.changeLanguage(e.data.language).then((function(){"undefined"!=typeof window&&(window.REACT_APP_LOG_LEVEL=e.data.logLevel)}))),e.status===K&&i("Failed to initialize ModsUI")})).clear;return function(){return t()}}),[]),e.useEffect((function(){var e=function(){var e=window.innerWidth/1920,t=window.innerHeight/1080,n=10*(e<=t?e:t);uT.style.fontSize="".concat(n,"px")};return e(),window.addEventListener("resize",e),function(){window.removeEventListener("resize",e)}}),[]),e.createElement("div",{className:"App-module__app--d6WLO"},e.createElement(e.Suspense,{fallback:e.createElement("p",null,"loading...")},n?e.createElement(D,null,e.createElement(mn,{uiState:n},e.createElement($t,null,e.createElement(zn,null,e.createElement(Vn,null,e.createElement(Or,{multiSupport:!0},e.createElement(Ca,null,e.createElement(Ir,null,e.createElement(Xa,null,e.createElement(Pn,{name:"APP"},e.createElement(cr,null,e.createElement(sm,null)))))))))))):e.createElement(Er,null,e.createElement(fo,{size:"24rem",variant:"spinner"}))))};var dT=function(t){um(r,t);var n,o,a=(n=r,o=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}(),function(){var e,t=dm(n);if(o){var a=dm(this).constructor;e=Reflect.construct(t,arguments,a)}else e=t.apply(this,arguments);return cm(this,e)});function r(e){var t;return at(this,r),(t=a.call(this,e)).state={hasError:!1},t}return it(r,[{key:"componentDidCatch",value:function(e,t){un.error("Uncaught error",e,t)}},{key:"render",value:function(){return this.state.hasError?e.createElement(ET,null):this.props.children}}],[{key:"getDerivedStateFromError",value:function(){return{hasError:!0}}}]),r}(e.Component),ET=function(){var t=function(){window.engine.trigger("js_event_destroy")};return Dn({callbackPressed:function(e){t()}},!0),e.createElement("div",{className:"errorboundary-module__container--uKY6S"},e.createElement("div",{className:"errorboundary-module__textContainer--XXQOV"},e.createElement("div",{className:"errorboundary-module__title--yelW9"},"Something went wrong."),e.createElement("div",{className:"errorboundary-module__text--ANYSE"},"Something has gone wrong. Please try again later."),e.createElement(Or,{listenForAllInput:!0},e.createElement("button",{className:"errorboundary-module__closeButton--FeS_d",onClick:t},"Close"))))};const mT=dT,TT={de:JSON.parse('{"TOP_MENU":{"START":"Vorgestellt","BROWSE_ALL":"Ansehen","INSTALLED":"Installiert","INSTALLED_MODS":"Bibliothek","IMPORTED_MODS":"Importierte Mods","PLAYSETS":"Playsets","PUBLISH":"Von mir erstellte Mods","LIBRARY":"Meine Bibliothek"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Neues Playset","PLAYSET":"Aktives Playset","DROPDOWN_LABEL":"Aktives Playset auswählen","DEACTIVATED_PLAYSETS":"Kein aktives Playset","DEACTIVATE_PLAYSET":"Kein aktives Playset","ACTIVE_PLAYSET":"AKTIVES PLAYSET: {{playsetName}}"},"FILTER":{"HEADING":"Filter","CLEAR_ALL":"Alle entfernen","TAGS":"Tags"},"LIST":{"ENABLED":"Aktiviert","DISABLED":"Deaktiviert","EMPTY_STATE":{"TITLE":"Keine Mods installiert","TEXT":"Mit Mods machen Spiele noch mehr Spaß! Klicke auf die Taste unten, um alle Mods zu durchsuchen, und kehre zurück, wenn du einen oder mehrere installiert hast.","BUTTON":"ALLE MODS DURCHSUCHEN"},"RESET_ACTIVATION_ORDER":"Ladereihenfolge zurücksetzen","BANNED_MOD":"Dieser Mod wurde gesperrt","OFFLINE":"OFFLINE","ADD_TO_PLAYSET":"Zum aktiven Playset hinzufügen","REMOVE_FROM_PLAYSET":"Aus aktivem Playset entfernen","SUBSCRIBERS":"{{formattedCount}} Abonnent","SUBSCRIBERS_plural":"{{formattedCount}} Abonnenten"},"SORT_BY_MENU":{"AZ":"A–Z","ZA":"Z–A","OLDEST":"Älteste","MOST_RECENT":"Aktuellste","MOST_SUBSCRIBED":"Meiste Abonnenten","HIGHEST_RATED":"Höchstbewertung","MOST_PLAYSETS":"In den meisten Playsets","LEAST_PLAYSETS":"In den wenigsten Playsets","SORT_BY":"Sortieren nach","BEST":"Unübertroffen","MOST_POPULAR":"Am beliebtesten","LAST_UPDATED":"Zuletzt aktualisiert"},"ERROR":{"PARADOX_SERVICES_DOWN":"Paradox Mods Services konnte die Anfrage leider nicht bearbeiten.","BUTTONS":{"CLOSE":"Schließen"},"SET_USER_RATING":{"TITLE":"Nutzerbewertung des Mods konnte nicht eingestellt werden","MESSAGE":"Wir konnten keine neue Nutzerbewertung für diesen Mod einstellen."},"GET_USER_RATING":{"TITLE":"Nutzerbewertung des Mods konnte nicht abgerufen werden","MESSAGE":"Wir konnten keine Nutzerbewertung für diesen Mod abrufen."},"LOAD_MORE":{"TITLE":"Es konnten nicht mehr Mods geladen werden","MESSAGE":"Wir konnten dieses Mal beim Scrollen nicht mehr Mods laden."},"SEARCH":{"TITLE":"Suche nach Mods war nicht möglich","MESSAGE":"Wir konnten dieses Mal nicht nach Mods suchen."},"SUBSCRIBE":{"TITLE":"Mod konnte nicht hinzugefügt werden","MESSAGE":"Wir konnten den Mod dieses Mal nicht hinzufügen."},"UNSUBSCRIBE":{"TITLE":"Mod konnte nicht entfernt werden","MESSAGE":"Wir konnten den Mod dieses Mal nicht entfernen."},"MOD_DETAILS":{"TITLE":"Mod-Infos konnten nicht abgerufen werden","MESSAGE":"Wir konnten dieses Mal keine Mod-Infos abrufen."},"USER_RATING":{"TITLE":"Nutzerbewertung konnte nicht abgerufen werden","MESSAGE":"Wir konnten deine Nutzerbewertung dieses Mal nicht abrufen."},"MOD_RATING":{"TITLE":"Mod-Bewertung konnte nicht abgerufen werden","MESSAGE":"Wir konnten die Mod-Bewertung nicht abrufen."},"ENABLE":{"TITLE":"Mod konnte nicht aktiviert werden","MESSAGE":"Wir konnten diesen Mod momentan nicht aktivieren."},"DISABLE":{"TITLE":"Mod konnte nicht deaktiviert werden","MESSAGE":"Wir konnten diesen Mod momentan nicht deaktivieren."},"ENABLE_PLAYSET_MODS":{"TITLE":"Playset-Mods konnten nicht aktiviert werden","MESSAGE":"Wir konnten die Mods dieses Playsets momentan nicht aktivieren."},"DISABLE_PLAYSET_MODS":{"TITLE":"Playset-Mods konnten nicht deaktiviert werden","MESSAGE":"Wir konnten die Mods dieses Playsets momentan nicht deaktivieren."},"GETSUBSCRIBED":{"TITLE":"Deine hinzugefügten Mods konnten nicht abgerufen werden","MESSAGE":"Wir konnten deine hinzugefügten Mods momentan nicht abrufen."},"GET_FORUM_POSTS":{"TITLE":"Diskussion konnte nicht abgerufen werden","MESSAGE":"Wir konnten die Diskussion nicht abrufen."},"SEND_FORUM_POST":{"TITLE":"Konnte nicht in die Diskussion posten","MESSAGE":"Wir konnten der Diskussion keinen Post hinzufügen."},"GET_GAME_VERSION":{"TITLE":"Spielversion konnte nicht abgerufen werden","MESSAGE":"Wir konnten die Spielversion nicht abrufen."},"GET_ALL_DEPENDENCIES":{"TITLE":"Abhängigkeiten konnten nicht abgerufen werden","MESSAGE":"Wir konnten die Abhängigkeiten nicht abrufen."},"REPORT_MOD":{"TITLE":"Mod konnte nicht gemeldet werden","MESSAGE":"Wir konnten den Mod nicht melden."},"GET_GAME_DATA":{"TITLE":"Spielinformationen konnten nicht abgerufen werden","MESSAGE":"Wir konnten die Spielinformationen nicht abrufen."},"SET_ACTIVATION_ORDER":{"TITLE":"Aktivierungsreihenfolge konnte nicht festgelegt werden","MESSAGE":"Wir konnten die Aktivierungsreihenfolge momentan nicht ändern."},"RESET_ACTIVATION_ORDER":{"TITLE":"Aktivierungsreihenfolge konnte nicht zurückgesetzt werden","MESSAGE":"Wir konnten die Aktivierungsreihenfolge momentan nicht ändern."},"SCREEN_KEYBOARD":{"TITLE":"Bildschirmtastatur konnte nicht geöffnet werden","MESSAGE":"Die Bildschirmtastatur konnte nicht geöffnet werden."},"PLAYSETS":{"TITLE":"Playsets konnten nicht abgerufen werden","MESSAGE":"Wir konnten deine Playsets dieses Mal nicht abrufen."},"PLAYSET_DETAILS":{"TITLE":"Playset-Infos konnten nicht abgerufen werden","MESSAGE":"Wir konnten deine Playset-Infos dieses Mal nicht abrufen."},"PLAYSET_DELETE":{"TITLE":"Playset konnte nicht gelöscht werden","MESSAGE":"Wir konnten dein Playset dieses Mal nicht löschen."},"PLAYSET_RENAME":{"TITLE":"Playset konnte nicht umbenannt werden","MESSAGE":"Wir konnten dein Playset dieses Mal nicht umbenennen."},"PLAYSET_MODS":{"TITLE":"Playset-Mods konnten nicht abgerufen werden","MESSAGE":"Wir konnten deine Mods dieses Mal nicht wieder abrufen."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Keine Prüfung auf aktivierte Mods möglich","MESSAGE":"Wir konnten dieses Mal nicht feststellen, ob dein aktives Playset aktivierte Mods enthält."},"CREATE_PLAYSET":{"TITLE":"Neues Playset konnte nicht erstellt werden","MESSAGE":"Wir konnten dieses Mal kein neues Playset erstellen."},"ACTIVATE_PLAYSET":{"TITLE":"Playset konnte nicht aktiviert werden","MESSAGE":"Wir konnten dein Playset dieses Mal nicht aktivieren."},"DEACTIVATE_PLAYSET":{"TITLE":"Playset konnte nicht deaktiviert werden","MESSAGE":"Wir konnten dein Playset dieses Mal nicht deaktivieren."},"DEACTIVATED_PLAYSET":{"TITLE":"Mod konnte nicht hinzugefügt werden","MESSAGE":"Du brauchst ein aktives Playset, um einen Mod hinzufügen zu können."},"ACTIVE_PLAYSET":{"TITLE":"Aktives Playset konnte nicht abgerufen werden","MESSAGE":"Wir konnten dein aktives Playset dieses Mal nicht abrufen."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Du bist nicht angemeldet.","MESSAGE":"Anscheinend bist du nicht mit deinem Paradox-Konto angemeldet. Bitte erstelle ein Konto und melde dich an, um diesen Dienst nutzen zu können."},"OFFLINE":{"TITLE":"Du bist offline","MESSAGE":"Anscheinend kannst du dich momentan nicht mit dem Internet verbinden. Aber du kannst immer noch deine installierten Mods aktivieren, deaktivieren oder ihre Ladereihenfolge ändern."},"SYNC":{"TITLE":"Bei der Synchronisation der Mods ging etwas schief","MESSAGE":"Anscheinend ging beim Synchronisieren der Mods etwas schief."},"DEFAULT":{"TITLE":"Etwas ging schief.","MESSAGE":"Leider ging bei deiner Anfrage etwas schief. Bitte schließe das Fenster und versuche es erneut."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Vorgang konnte nicht durchgeführt werden, weil die Platte voll ist.","THIRDPARTYEXCEPTION":"In einer der von uns benutzten Drittanbieter-Bibliotheken ging etwas schief.","DBERROR":"In der Datenbank auf dem Server trat ein Problem auf.","DISKPERMISSIONERROR":"Du scheinst keine Zugangsberechtigung für die aktuelle Platte zu haben.","FILEIOERROR":"Beim Schreiben oder Lesen der Platte trat ein Fehler auf.","REMOTELOGOUTFAILED":"Beim Abmelden vom Server trat ein Problem auf. Der Status der lokalen und serverseitigen Session ist eventuell nicht synchron.","INTERNALERROR":"Ein unbekannter Internetfehler trat auf."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"Der Hauptteil der Antwort vom Server war deformiert und konnte nicht gelesen werden.","HTTPREQUESTERROR":"Die Anfrage an den Server schlug wegen eines Verbindungsabbruchs, eines DNS-Fehlers oder eines ähnlichen Problems fehl.","NETWORKSENDERROR":"Bei der Datenübertragung an den Server trat ein unbekannter Fehler auf.","TASKTIMEOUTERROR":"Bei der Anfrage an den Server kam es zu einer Zeitüberschreitung.","UNEXPECTEDRESPONSEERROR":"Die Antwort des Servers war entweder deformiert oder enthielt nicht alle erforderlichen Daten.","NORESPONSEBODY":"Die Antwort des Servers enthält keinen Hauptteil.","MODDOWNLOADFAILEDERROR":"Die Metadaten des Mods wurden synchronisiert, aber der Download schlug fehl. Bei der nächsten Synchronisierung wird der Download erneut versucht."},"NOTFOUND":{"NOACCOUNT":"Nutzerkonto konnte nicht gefunden werden.","NODOCUMENT":"Dokument konnte nicht gefunden werden.","NOMERGETASK":"Zusammenführungs-Task konnte nicht gefunden werden.","NOMOD":"Mod konnte nicht gefunden werden.","NOMODVERSION":"Angeforderte Version des Mods konnte nicht gefunden werden.","NOMODPLAYSET":"Angefordertes Playset konnte nicht gefunden oder geöffnet werden.","NOPROFILE":"Profil konnte nicht gefunden werden.","NOACHIEVEMENT":"Erfolg konnte nicht gefunden werden.","NORESOURCE":"Angeforderte Ressource konnte nicht gefunden werden."},"INVALIDSTATE":{"NOTLOGGEDIN":"Nutzer ist nicht angemeldet.","MODDISABLED":"Mod wurde gelöscht oder ist gesperrt."},"MODS":{"SYNCONGOING":"Eine Synchronisierung läuft bereits.","OPERATIONSONGOING":"Eine andere Operation läuft zurzeit noch.","LOCALERROR":"Beim Ausführen der Aktion lief etwas schief. Bitte versuche es später erneut."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"Der Nutzer muss sich mit seinen kompletten Zugangsdaten erneut anmelden.","EXPIREDSESSIONTOKEN":"Der Nutzer muss sein Aktualisierungstoken verwenden, um ein neues Sessiontoken zu erstellen.","SESSIONTOOLOWTRUSTLEVEL":"Die Vertrauensstufe dieser Session ist zu niedrig. Melde dich erneut mit Zugangsdaten einer höheren Stufe an.","INVALIDAUTHENTICATION":"Die bereitgestellte Authentifizierung ist nicht gültig.","REJECTEDBYTHIRDPARTY":"Authentifizierung wurde von einem Drittanbieter (Steam, PSN, Twitch o. ä.) abgelehnt.","FORBIDDENACCESS":"Versuch, auf Daten zuzugreifen, die in dieser Session verboten sind.","AUTOMATICLOGINFAILURE":"Der Account.Startup() konnte den Nutzer nicht automatisch anmelden. Führe stattdessen eine manuelle Account.Login(Credentials) durch."},"MODSUI":{"DELETEACTIVEPLAYSET":"Du kannst das zurzeit aktive Playset nicht löschen.","REPORTMODBLOCKEDTIMELIMIT":"Du hast diesen Mod bereits gemeldet und er wartet darauf, von unseren Moderatoren überprüft zu werden.","TOOMANYPLAYSETS":"Du kannst nicht mehr als 50 Playset haben."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Forumbeitrag konnte nicht hinzugefügt werden. Stellen Sie sicher, dass Ihr Konto mit den Foren verbunden ist"}},"WIP":{"CREATE":{"TITLE":"Draft-Mod konnte nicht erstellt werden.","MESSAGE":"Leider konnten wir deinen Draft-Mod nicht erstellen."},"LIST":{"TITLE":"Draft-Mods konnten nicht abgerufen werden.","MESSAGE":"Leider konnten wir deine Playset-Infos nicht abrufen."},"DELETE":{"TITLE":"Draft-Mod konnte nicht gelöscht werden.","MESSAGE":"Leider konnten wir deinen Draft-Mod nicht löschen."},"GET":{"TITLE":"Draft-Mod konnte nicht abgerufen werden.","MESSAGE":"Leider konnten wir deinen Draft-Mod nicht abrufen."},"PUBLISH":{"TITLE":"Draft-Mod konnte nicht veröffentlicht werden.","MESSAGE":"Leider konnten wir deinen Draft-Mod nicht veröffentlichen. Stelle bitte sicher, dass alle Inhalte und ein Titelbild vorhanden sind."},"NEW_VERSION":{"TITLE":"Neue Draft-Modversion konnte nicht veröffentlicht werden.","MESSAGE":"Leider konnten wir deine neue Draft-Modversion nicht veröffentlichen. Stelle bitte sicher, dass alle Inhalte und ein Titelbild vorhanden sind."}},"INPUT":{"EMPTY":"Die Eingabe darf nicht leer sein."}},"PROGRESSBAR":{"QUEUED":"IN WARTESCHLANGE"},"MOD_DETAILS":{"HEADER":{"BACK":"Zurück","BY":"von","SIZETEXT":"Größe","VERSION":"Modversion","REQUIREDGAMEVERSION":"Empfohlene Spielversion","SUBSCRIPTIONSTOTAL":"Abonnenten","LIKESTOTAL":"Likes","AUTHOR":"Autor"},"AUTHOR":{"TITLE":"Mod-Autor","ALL_MODS_BY_AUTHOR":"Alle Autoren-Mods","MORE_FROM_THIS_CREATOR":"Mehr von diesem Autor"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Zum aktiven Playset hinzufügen","SUBSCRIBED":"HINZUGEFÜGT","UNSUBSCRIBE":"Aus aktivem Playset entfernen","INSTALLING":"Installation läuft ...","UNINSTALLING":"Deinstallation läuft ...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Bestätige das Entfernen des Mods","TEXT":"Möchtest du den Mod „{{name}}“ ({{size}}) vom aktiven Playset entfernen?"}},"REQUIREMENT":{"TITLE":"Erforderlich","VIEW_ALL":"Alle anzeigen","BACK_TO_MOD_DETAILS":"Zurück zu Mod-Infos","REQUIRED_MODS":"Erforderliche Mods ({{modsCount}})","REQUIRED_DLC":"Benötigte DLCs ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Folgende Mods sind für das Funktionieren dieses Mods erforderlich","REQUIRED_DLC_MESSAGE":"Folgende DLCs sind für das Funktionieren dieses Mods erforderlich"},"FORUM_LINKS":{"TITLE":"Mehr über diesen Mod","TOP_THREAD":"Paradox-Forum"},"FORUM_POSTS":{"TITLE":"Diskussion","OPEN_FULL_DISCUSSION":"Vollständige Diskussion öffnen","UNSUPPORTED_FORMATTING":"Dieser Beitrag hat ein nicht unterstütztes Format und kann hier nicht angezeigt werden.","GO_TO_POST":"Geh zum Forum, um den kompletten Beitrag anzuzeigen.","OPEN_IN_BROWSER":"Im Browser öffnen","COMMENT_TITLE":"Kommentiere den Mod","REPLYING_TO":"Antwort auf einen Post von {{user}}","REMOVE_REPLY":"Abbrechen","SEND_COMMENT":"Posten","ADD_COMMENT":"Einen Kommentar hinzufügen ...","REFRESH":"Aktualisieren Aktualisieren","LOAD_MORE":"Mehr laden","NEW":"New","YOU":"You","REGISTER_TITLE":"Sie benötigen Zugriff auf die Paradox-Foren","REGISTER_INFORMATION":"<0>Ihr Konto muss mit den Paradox-Foren verknüpft sein, um Kommentare posten zu können. Folgen Sie der Schaltfläche unten und melden Sie sich mit Ihrem Paradox-Konto an, um die Dinge einzurichten.</0><1>Wenn Sie Ihr Konto bereits verknüpft haben, warten Sie bitte einen Moment und versuchen Sie es erneut.</1>","OPEN_REGISTER":"Verknüpfen Sie Ihr Konto"},"LINKS":{"TITLE":"Mehr über diesen Mod"},"LINKS_MODAL":{"TITLE":"In Web-Browser öffnen?","TEXT":"Möchtest du diesen Link in einem Web-Browser außerhalb des Spiels öffnen?"},"CHANGELOG":{"TITLE":"Changelog","V":"V","RELEASED":"Veröffentlicht","READ_MORE":"Mehr lesen"},"DESCRIPTION":{"TITLE":"Beschreibung","READ_MORE":"Mehr lesen"},"INFO":{"TITLE":"Mod-Info"},"BANNED":{"TITLE":"Gesperrt","INFO":"Dieser Mod wurde aufgrund von Verstößen gegen die Nutzungsbedingungen gesperrt."},"OUTDATED":"Dieser Mod ist nicht mit deiner Spielversion kompatibel und könnte eventuell nicht richtig funktionieren.","GALLERY":{"NEXT":"Weiter","PREVIOUS":"Vorheriger","MISSING_IMAGES":"Noch keine Galeriebilder für diesen Mod..."},"TAGS":{"TITLE":"Tags"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Erstellt von","MODS":"Mods","TOTAL_SIZE":"Gesamtgröße","BACK":"Zurück zu allen Playsets","SUBTITLE":"{{modsCount}} Mods, Gesamtgröße {{modsSize}}"},"MORE_BUTTON":{"MORE":"Mehr"},"ACTIVATE_BUTTON":{"ACTIVATE":"Aktivieren","ACTIVATED":"Aktiviert"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Alle Mods aktivieren","DISABLE_ALL_MODS":"Alle Mods deaktivieren"},"EMPTY_STATE":{"TITLE":"Noch keine Mods","DESCRIPTION":"Playsets ermöglichen es, mit Mods zu spielen. Warum also nicht gleich ein paar Mods in dieses brandneue Playset einfügen?","ADD_MODS":"Mods hinzufügen"},"LIST":{"AUTHOR":"<0>von </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Suche","APPLY_FILTERS":"Filter anwenden","APPLY":"Anwenden","OPEN":"Öffnen","ADD":"Hinzufügen","BACK":"Zurück","ENABLE_DISABLE":"Aktivieren/Deaktivieren","ENABLE":"Aktivieren","DISABLE":"Deaktivieren","SUBSCRIBE":"Zum Playset hinzufügen","UNSUBSCRIBE":"Aus Playset entfernen","CLOSE":"Schließen","CHANGE_ORDER":"Reihenfolge ändern","RESET_LOAD_ORDER":"Ladereihenfolge zurücksetzen","SCROLL":"Scrollen","DELETE":"Löschen","DETAILS":"Infos","ACTIVATE":"Aktivieren","RENAME":"Umbenennen","CANCEL":"Abbrechen","CONFIRM":"Bestätigen","CREATE":"Erstellen","TOGGLE_ACTION_MENU":"Aktionsmenü ein/aus","SCROLL_TO_TOP":"Zum Anfang scrollen","LIKE":"Like","REMOVE_LIKE":"Like entfernen","EXPAND":"Erweitern","COLLAPSE":"Einklappen","OPEN_WEB_LINK":"In Web-Browser öffnen","SELECT":"Auswählen","REPLY":"Antwort"},"CONSOLE_FILTER":{"TITLE":"Ergebnisse filtern","TAGS":"Tags","FILTER":"Filter","FILTERED":"Gefiltert"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Du bist dabei, den Mod „{{modName}}“ hinzuzufügen","INFORMATION":"<0>Dieser Mod ist auf {{numberOfDependencies}} erforderliche Mods (Gesamtgröße: {{totalSizeOfDependencies}}) angewiesen, um korrekt zu funktionieren.</0><1> Sollen diese erforderlichen Mods automatisch hinzugefügt werden?</1>","SUBSCRIBE_TO_MODS":"ERFORDERLICHE MODS HINZUFÜGEN","IGNORE_MODS":"ERFORDERLICHE MODS IGNORIEREN","NOT_PUBLISHED_DEPENDENCIES":"<0>Beachte bitte, dass einige Abhängigkeiten für diesen Mod nicht verfügbar sind, was dazu führen könnte, dass dieser Mod nicht korrekt funktioniert.</0><1>Mögliche Gründe dafür sind, dass eine Abhängigkeit gesperrt, gelöscht oder anderweitig ihren Veröffentlichungsstatus verloren hat.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset-Synchronisierungskonflikt","INFORMATION":"Serverstatus und lokaler Status des Playsets stimmen nicht überein. Mit welchem möchtest du fortfahren/weiterspielen?","KEEP_CLOUD":"Clouddateien behalten","KEEP_LOCAL":"Lokale Dateien behalten"},"CLOUD":{"TITLE":"Clouddateien auf dieses Gerät herunterladen","INFORMATION":"Die Dateien vom Server werden die lokalen Dateien überschreiben. Möchtest du wirklich fortfahren?","BACK":"Zurück","DOWNLOAD":"Auf dieses Gerät herunterladen"},"LOCAL":{"TITLE":"Lokale Dateien zum Server hochladen","INFORMATION":"Die lokalen Dateien werden die Dateien auf dem Server überschreiben. Möchtest du wirklich fortfahren?","BACK":"Zurück","DOWNLOAD":"Zum Server hochladen"}},"SYNC":{"TITLE":"Deine Mods werden auf den aktuellsten Stand gebracht ...","INFORMATION":"Während der Aktualisierung des Spiels kannst du keine Mods ansehen. Die Aktualisierung wird auch nach dem Schließen dieses Fensters fortgesetzt.","MODS_DONE":"Mods fertig","UPDATING_MOD":"Mod wird aktualisiert","STOP_AND_CONTINUE_NEXT_TIME":"Dieses Fenster schließen","WAITING_FOR_DOWNLOAD":"Warten auf Beginn des Downloads ...","CHECKING_MODS":"Überprüfung der Mods ...","DOWNLOADING":"Download läuft","DONE":"Zur Liste","CLOSE":"Schließen","RESYNC":"Synchronisation neu starten","UNHANDLED_ERROR":"Einige deiner Mods konnten nicht synchronisiert werden. Bitte entferne die fehlerhaften Mods und versuche es erneut.","OUT_OF_SPACE":"Es ist nicht genug Speicherplatz für die neuesten Playset-Aktualisierungen vorhanden. Um mehr Speicherplatz zu schaffen, musst du einige deiner Mods entfernen.","INSTALLING":{"PREPARING":"Vorbereitung läuft ...","PATCHING":"Dateien werden verschoben ...","APPLYING":"Änderungen werden vorgenommen ...","PERMISSIONS":"Berechtigungen werden aktualisiert ...","CLEANUP":"Aufräumen ...","":"Installation läuft ..."}},"OTHER":{"DLCS":"DLCs","MODS":"Mods","NO":"Nein","REQUIRED":"Erforderlich"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Suche nach Mods","REPORT_COMMENT":"Meldungskommentar","CREATE_PLAYSET":"Playset erstellen","RENAME_PLAYSET":"Playset umbenennen","PUBLISH":{"DISPLAY_NAME":"Anzeigenamen eingeben","GAME_VERSION":"Empfohlene Spielversion eingeben","CHANGELOG":"Changelog-Eintrag hinzufügen","DESCRIPTION":"Beschreibung eingeben"}}},"REPORT":{"SECTION_TITLE":"Als unangemessen melden","INFORMATION_TEXT":"Wenn du der Meinung bist, dass dieser Mod gegen unsere Nutzungsbedingungen verstößt, dann melde ihn, damit wir ihn überprüfen können.","BUTTON":"Meldung absenden","BUTTON_DONE":"Meldung wurde gesendet","SUBMIT":"Meldung absenden","INFORMATION":"Gib die Einzelheiten unten ein, dann werden wir die Meldung zur Analyse an unser QA-Team weiterleiten. Vielen Dank, dass du uns dabei hilfst, Paradox besser und sicherer zu gestalten!","CAPTION":"Grund für die Meldung","COMMENT_TITLE":"Bitte gib weitere Informationen an:","COMMENT_PLACEHOLDER":"Schreibe hier einen Kommentar ...","THANK_YOU":"Vielen Dank für deine Meldung.","THANK_YOU_MESSAGE":"Du hast diesen Mod für eine Überprüfung gemeldet. Vielen Dank, dass du uns dabei hilfst, Paradox Mods besser und sicherer zu gestalten!","MISSING_REASON":"Du musst einen Grund auswählen.","MISSING_DESCRIPTION":"Du musst eine Beschreibung des Verstoßes schreiben.","CLOSE":"Fenster schließen","COMMENT_INFORMATION":"Du bist dabei, diesen Mod wegen unangemessener Inhalte zu melden.","COMMENT_SUBINFORMATION":"Laut deinen Angaben könnte es sich dabei um Folgendes handeln:","PREVIEW_COMMENT":"Dein Kommentar:","PREVIEW":"Vorschau","VERSION_PREFIX":"V","REASONS":{"NUDITY":"Nacktheit","VIOLENCE":"Gewalt","HARASSMENT":"Belästigung","SPAM":"Spam","COPYRIGHT":"Urheberrechtsverletzung","HATE":"Diskriminierung","DOESNOTWORK":"Mod funktioniert nicht richtig","OTHER":"Anderer Grund"}},"SEARCH":{"NO_SEARCH_RESULTS":"Keine Suchergebnisse","MODS_AVAILABLE":"{{modsAvailable}} Mods verfügbar"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} installierte Mods"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Suche löschen"},"SEARCH_INPUT":{"PLACEHOLDER":"Suche nach Mods ..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Aktiv","ACTIVATE_PLAYSET":"Dieses Playset benutzen","CREATE_NEW_PLAYSET":{"TITLE":"Neues Playset erstellen","NAME":"Name","CREATE":"Erstellen","CANCEL":"Abbrechen","KEYBOARD_TITLE":"Name des neuen Playsets eingeben","SUCCESS":"Playset „{{name}}“ wurde erstellt."},"MODS_COUNT":"{{modsCount}} Mods","UPDATED":"Letzte Aktualisierung: {{updated}}","DELETE":{"TITLE":"Löschung des Playsets bestätigen","TEXT":"Möchtest du das Playset „{{name}}“ wirklich löschen?"},"RENAME":{"TITLE":"Playset umbenennen","TEXT":"„{{name}}“ umbenennen"}},"PUBLISH":{"INPUT_DETAILS":"Mod-Infos","DISPLAY_NAME":"Anzeigename *","DISPLAY_NAME_ERROR":"Anzeigename ist erforderlich","SUGGESTED_GAME_VERSION":"Empfohlene Spielversion *","SUGGESTED_GAME_VERSION_ERROR":"Empfohlene Spielversion ist erforderlich","COVER_FILE_NAME":"Dateiname des Titelbilds *","COVER_FILE_NAME_ERROR":"Dateiname des Titelbilds ist erforderlich","DESCRIPTION":"Beschreibung *","DESCRIPTION_ERROR":"Beschreibung ist erforderlich","CHANGELOG":"Changelog-Eintrag *","CHANGELOG_ERROR":"Changelog-Eintrag ist erforderlich","PUBLISH_NEW_VERSION":"Neue Version veröffentlichen","PUBLISH_NEW":"Veröffentlichen","PUBLISHING_TITLE":"Mod-Veröffentlichung in Arbeit","PUBLISHING":"Dein Mod wird zurzeit veröffentlicht. Es kann eine Weile dauern, bis dieser Vorgang abgeschlossen ist."},"LIBRARY":{"PLAYSETS_TITLE":"Meine Playsets","CREATIONS_TITLE":"Von mir erstellte Mods","IMPORTED_TITLE":"Meine importierten Mods"},"CONFIRM_MODAL":{"CONFIRM":"Ja","CANCEL":"Abbrechen","RENAME":"Umbenennen"},"ALERT_MODAL":{"CONFIRM":"Schließen"},"TOASTS":{"UNSUBSCRIBED_MOD":"Mod erfolgreich entfernt.","ENABLED_PLAYSET_MODS":"Playset-Mods aktiviert","DISABLED_PLAYSET_MODS":"Playset-Mods deaktiviert","COMMENT_POSTED":"Dein Kommentar wurde gepostet"},"WIP_MOD":{"CREATE_NEW":"Neuen Mod erstellen","CREATE_NEW_TEXT":"Erstelle die Arbeitsversion eines neuen Mods.","CREATE":"Erstellen","CANCEL":"Abbrechen","DELETE_TITLE":"Mod-Arbeitsversion löschen","DELETE_TEXT":"Möchtest du den Mod „{{modName}}“ wirklich löschen?","DRAFT_MODS":"{{modCount}} Draft-Mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Wichtig</0>Mods ändern das ursprüngliche Spielerlebnis und sind weder vom Entwickler noch von Paradox Interactive oder Xbox getestet oder verifiziert. Jeglicher Fortschritt bei Erfolgen wird deaktiviert, wenn wenigstens ein Mod aktiv ist. Paradox Mods unterliegen den Nutzungsbedingungen von Paradox.","PLAYSTATION":"<0>Wichtig</0>Mods ändern das ursprüngliche Spielerlebnis und sind weder vom Entwickler noch von Paradox Interactive oder PlayStation getestet oder verifiziert. Jeglicher Fortschritt bei Trophäen wird deaktiviert, wenn wenigstens ein Mod aktiv ist. Paradox Mods unterliegen den Nutzungsbedingungen von Paradox.","DEFAULT":"<0>Wichtig</0>Mods ändern das ursprüngliche Spielerlebnis und sind weder vom Entwickler noch von Paradox Interactive getestet oder verifiziert. Jeglicher Fortschritt bei Erfolgen wird deaktiviert, wenn wenigstens ein Mod aktiv ist. Paradox Mods unterliegen den Nutzungsbedingungen von Paradox."},"EXIT":{"CLOSING":"Schließen ...","CLOSE_NOW":"Jetzt schließen","TITLE":"Wichtig","XBOX":"Solang mindestens ein Mod aktiviert ist, wird jeglicher Fortschritt bei Erfolgen deaktiviert, bis du die Mods wieder deaktivierst. Möchtest du wirklich fortfahren?","PLAYSTATION":"Solang mindestens ein Mod aktiviert ist, wird jeglicher Fortschritt bei Trophäen deaktiviert, bis du die Mods wieder deaktivierst. Möchtest du wirklich fortfahren?","DEFAULT":"Solang mindestens ein Mod aktiviert ist, bleibt jeglicher Fortschritt bei Erfolgen deaktiviert, bis du die Mods wieder deaktivierst. Möchtest du wirklich fortfahren?","CONFIRM":"Ja. Mods behalten und zurück zum Hauptmenü","CANCEL":"Zurück zu Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Details anzeigen","READ_MORE":"Mehr lesen"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Alle ansehen","LOAD_MORE":"MEHR LADEN","MOST_POPULAR":"Beliebteste Mods"}}}'),en:JSON.parse('{"TOP_MENU":{"START":"Featured","BROWSE_ALL":"Browse","INSTALLED":"Installed","INSTALLED_MODS":"Library","IMPORTED_MODS":"Imported Mods","PLAYSETS":"Playsets","PUBLISH":"My creations","LIBRARY":"My Library"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"New playset","PLAYSET":"Active playset","DROPDOWN_LABEL":"Select active playset","DEACTIVATED_PLAYSETS":"No active playset","DEACTIVATE_PLAYSET":"No active playset","ACTIVE_PLAYSET":"ACTIVE PLAYSET: {{playsetName}}"},"FILTER":{"HEADING":"Filter","CLEAR_ALL":"Clear all","TAGS":"Tags"},"LIST":{"ENABLED":"Enabled","DISABLED":"Disabled","EMPTY_STATE":{"TITLE":"No mods installed","TEXT":"Mods can make games so much more fun to play! Hit the button below to browse all mods and come back when you have installed one or more.","BUTTON":"BROWSE ALL MODS"},"RESET_ACTIVATION_ORDER":"Reset load order","BANNED_MOD":"This mod has been banned","OFFLINE":"OFFLINE","ADD_TO_PLAYSET":"Add to active playset","REMOVE_FROM_PLAYSET":"Remove from active playset","SUBSCRIBERS":"{{formattedCount}} subscriber","SUBSCRIBERS_plural":"{{formattedCount}} subscribers"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Oldest","MOST_RECENT":"Most Recent","MOST_SUBSCRIBED":"Most Subscribed","HIGHEST_RATED":"Highest rated","MOST_PLAYSETS":"In most playsets","LEAST_PLAYSETS":"In least playsets","SORT_BY":"Sort by","BEST":"Best","MOST_POPULAR":"Most Popular","LAST_UPDATED":"Last Updated"},"ERROR":{"PARADOX_SERVICES_DOWN":"Sorry, Paradox Mods services failed to complete the request.","BUTTONS":{"CLOSE":"Close"},"SET_USER_RATING":{"TITLE":"Couldn\'t set user rating for mod","MESSAGE":"We were unable to set a new user rating for this mod."},"GET_USER_RATING":{"TITLE":"Couldn\'t get user rating for mod","MESSAGE":"We were unable to get user rating for this mod."},"LOAD_MORE":{"TITLE":"Couldn\'t load more mods","MESSAGE":"We were unable to load more mods while you scrolled this time."},"SEARCH":{"TITLE":"Couldn\'t search for mods","MESSAGE":"We were unable to search for mods this time."},"SUBSCRIBE":{"TITLE":"Couldn\'t add mod","MESSAGE":"We were unable to add the mod this time."},"UNSUBSCRIBE":{"TITLE":"Couldn\'t remove the mod","MESSAGE":"We were unable to remove the mod this time."},"MOD_DETAILS":{"TITLE":"Couldn\'t fetch mod details","MESSAGE":"We were unable to fetch mod details this time."},"USER_RATING":{"TITLE":"Could not fetch user rating","MESSAGE":"We were unable to fetch your user rating this time."},"MOD_RATING":{"TITLE":"Could not fetch mod rating","MESSAGE":"We were unable to fetch the mod rating."},"ENABLE":{"TITLE":"Could not enable the mod","MESSAGE":"We were unable to enable this mod for the moment."},"DISABLE":{"TITLE":"Could not disable the mod","MESSAGE":"We were unable to disable this mod for the moment."},"ENABLE_PLAYSET_MODS":{"TITLE":"Could not enable the playset mods","MESSAGE":"We were unable to enable this playset mods for the moment."},"DISABLE_PLAYSET_MODS":{"TITLE":"Could not disable the playset mods","MESSAGE":"We were unable to disable this playset mods for the moment."},"GETSUBSCRIBED":{"TITLE":"Could not get your added mods","MESSAGE":"We were unable to get your added mods for the moment."},"GET_FORUM_POSTS":{"TITLE":"Could not fetch discussion thread","MESSAGE":"We were unable to fetch the discussion thread."},"SEND_FORUM_POST":{"TITLE":"Could not post to the discussion thread","MESSAGE":"We were unable to add a post to the discussion thread."},"GET_GAME_VERSION":{"TITLE":"Could not fetch game version","MESSAGE":"We were unable to fetch the game version."},"GET_ALL_DEPENDENCIES":{"TITLE":"Could not fetch dependencies","MESSAGE":"We were unable to fetch dependencies."},"REPORT_MOD":{"TITLE":"Could not report mod","MESSAGE":"We were unable to report the mod."},"GET_GAME_DATA":{"TITLE":"Could not fetch game information","MESSAGE":"We were unable to fetch the game information."},"SET_ACTIVATION_ORDER":{"TITLE":"Could not set the activation order","MESSAGE":"We were unable to change the activation order for the moment."},"RESET_ACTIVATION_ORDER":{"TITLE":"Could not reset the activation order","MESSAGE":"We were unable to change the activation order for the moment."},"SCREEN_KEYBOARD":{"TITLE":"Could not open screen keyboard","MESSAGE":"The screen keyboard couldn\'t open."},"PLAYSETS":{"TITLE":"Couldn\'t fetch playsets","MESSAGE":"We were unable to fetch your playsets this time."},"PLAYSET_DETAILS":{"TITLE":"Couldn\'t fetch playset details","MESSAGE":"We were unable to fetch your playset details this time."},"PLAYSET_DELETE":{"TITLE":"Couldn\'t delete playset","MESSAGE":"We were unable to delete your playset this time."},"PLAYSET_RENAME":{"TITLE":"Couldn\'t rename playset","MESSAGE":"We were unable to rename your playset this time."},"PLAYSET_MODS":{"TITLE":"Couldn\'t get playset mods","MESSAGE":"We were unable to retrieve your mods this time."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Couldn\'t not check if you have enabled mods","MESSAGE":"We were unable to retrieve if your active playset has enabled mods this time."},"CREATE_PLAYSET":{"TITLE":"Couldn\'t create new playset","MESSAGE":"We were unable to create a new playset this time."},"ACTIVATE_PLAYSET":{"TITLE":"Couldn\'t activate playset","MESSAGE":"We were unable to activate your playset this time."},"DEACTIVATE_PLAYSET":{"TITLE":"Couldn\'t deactivate playset","MESSAGE":"We were unable to deactivate your playset this time."},"DEACTIVATED_PLAYSET":{"TITLE":"Couldn\'t add mod","MESSAGE":"You need to have an active playset before adding a mod."},"ACTIVE_PLAYSET":{"TITLE":"Couldn\'t get active playset","MESSAGE":"We were unable to get your active playset this time."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"You are not logged in.","MESSAGE":"It seems that you are not logged in to your Paradox account, please create an account and log in before using this service."},"OFFLINE":{"TITLE":"You are offline","MESSAGE":"It seems like you are not able to connect to internet for the moment. You are still able to enable, disable and change the load order of your installed mods though."},"SYNC":{"TITLE":"Something went wrong when syncing mods","MESSAGE":"It seems that something went wrong while syncing mods."},"DEFAULT":{"TITLE":"Something went wrong.","MESSAGE":"Sorry, something went wrong with your request, please close and try again."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Could not complete the operation because the disk is full.","THIRDPARTYEXCEPTION":"Something went wrong in a third party library we are using.","DBERROR":"There is a problem with the database on the server side.","DISKPERMISSIONERROR":"You don\'t seem to have permission to access the the current disk.","FILEIOERROR":"An error occurred while writing to or reading from disk.","REMOTELOGOUTFAILED":"There was a problem logging out from the server. Local and server session states can be out of sync.","INTERNALERROR":"An unspecified internal error occurred."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"The body of the response from the server was malformed and couldn\'t be parsed.","HTTPREQUESTERROR":"The request to the server has failed due to a disconnection, a DNS error or a similar issue.","NETWORKSENDERROR":"An unspecified error occurred while sending data to the server.","TASKTIMEOUTERROR":"The request to the server has timed out.","UNEXPECTEDRESPONSEERROR":"The response from the server was either malformed or did not contain all the necessary data","NORESPONSEBODY":"The response from the server has no body.","MODDOWNLOADFAILEDERROR":"The meta data for the mod was synced, but the download failed. A new download retry will occur in the next sync."},"NOTFOUND":{"NOACCOUNT":"Couldn\'t find the user account.","NODOCUMENT":"Couldn\'t find the document.","NOMERGETASK":"Couldn\'t find the merge task.","NOMOD":"Couldn\'t find the mod.","NOMODVERSION":"Couldn\'t find the requested version of the mod.","NOMODPLAYSET":"Couldn\'t find or access the requested playset.","NOPROFILE":"Couldn\'t find the profile.","NOACHIEVEMENT":"Couldn\'t find the achievement.","NORESOURCE":"Couldn\'t find the requested resource."},"INVALIDSTATE":{"NOTLOGGEDIN":"The user is not logged in.","MODDISABLED":"The mod has been deleted or is blocked."},"MODS":{"SYNCONGOING":"A sync is already ongoing.","OPERATIONSONGOING":"Another operation is still going on.","LOCALERROR":"Something went wrong when performing the action, please try again later."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"The user needs to do a full user login using credentials again.","EXPIREDSESSIONTOKEN":"The user needs to use the refresh token to create a new session token.","SESSIONTOOLOWTRUSTLEVEL":"The session doesn’t have high enough trust level, login again with credentials that gives higher trust level.","INVALIDAUTHENTICATION":"The supplied authentication does not validate.","REJECTEDBYTHIRDPARTY":"Authentication was rejected by a third party, steam, psn, twitch etc.","FORBIDDENACCESS":"Trying to access data that is forbidden for this session.","AUTOMATICLOGINFAILURE":"The Account.Startup() was not able to automatically login the user. Do a manual Account.Login(Credentials) call instead."},"MODSUI":{"DELETEACTIVEPLAYSET":"You can\'t delete the currently active playset.","REPORTMODBLOCKEDTIMELIMIT":"You have already reported this mod, and it is waiting to be reviewed by our moderators.","TOOMANYPLAYSETS":"You can\'t have more than 50 playsets."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Unable to add forum post, make sure your account is connected to the forums"}},"WIP":{"CREATE":{"TITLE":"Couldn\'t create a draft mod.","MESSAGE":"Sorry, we were unable to create your draft mod."},"LIST":{"TITLE":"Couldn\'t fetch draft mods.","MESSAGE":"Sorry, we were unable to fetch your playset details."},"DELETE":{"TITLE":"Couldn\'t delete draft mod.","MESSAGE":"Sorry, we were unable to delete your draft mod."},"GET":{"TITLE":"Couldn\'t fetch draft mod.","MESSAGE":"Sorry, we were unable to fetch your draft mod."},"PUBLISH":{"TITLE":"Couldn\'t publish draft mod.","MESSAGE":"Sorry, we were unable to publish your draft mod. Please make sure all content and cover image is there."},"NEW_VERSION":{"TITLE":"Couldn\'t publish new draft mod version.","MESSAGE":"Sorry, we were unable to publish your new draft mod version. Please make sure all content and cover image is there."}},"INPUT":{"EMPTY":"Input can not be empty."}},"PROGRESSBAR":{"QUEUED":"QUEUED"},"MOD_DETAILS":{"HEADER":{"BACK":"Back","BY":"By","SIZETEXT":"Size","VERSION":"Mod ver.","REQUIREDGAMEVERSION":"Suggested game ver.","SUBSCRIPTIONSTOTAL":"Subscribers","LIKESTOTAL":"Likes","AUTHOR":"Author"},"AUTHOR":{"TITLE":"Mod author","ALL_MODS_BY_AUTHOR":"All author mods","MORE_FROM_THIS_CREATOR":"More from this creator"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Add to active playset","SUBSCRIBED":"ADDED","UNSUBSCRIBE":"Remove from active playset","INSTALLING":"Installing...","UNINSTALLING":"Uninstalling...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirm removing the mod","TEXT":"Are you sure you want to remove mod “{{name}}” ({{size}}) from the active playset?"}},"REQUIREMENT":{"TITLE":"Required","VIEW_ALL":"View all","BACK_TO_MOD_DETAILS":"Back to mod details","REQUIRED_MODS":"Required mods ({{modsCount}})","REQUIRED_DLC":"Required DLC ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"The following mods are required for this mod to work","REQUIRED_DLC_MESSAGE":"The following DLCs are required for this mod to work"},"FORUM_LINKS":{"TITLE":"More about this mod","TOP_THREAD":"Paradox Forums"},"FORUM_POSTS":{"TITLE":"Discussion","OPEN_FULL_DISCUSSION":"Open full discussion","UNSUPPORTED_FORMATTING":"This message has unsupported formatting and cannot be displayed here.","GO_TO_POST":"Go to forum to view full post.","OPEN_IN_BROWSER":"Open in browser","COMMENT_TITLE":"Comment the mod","REPLYING_TO":"Replying to a post by {{user}}","REMOVE_REPLY":"Cancel","SEND_COMMENT":"Post","ADD_COMMENT":"Add a comment...","REFRESH":"Refresh","LOAD_MORE":"Load more","NEW":"New","YOU":"You","REGISTER_TITLE":"You need access to Paradox Forums","REGISTER_INFORMATION":"<0>Your account must be linked to the Paradox Forums to be able to post comments. Follow the button below and log in using your Paradox Account to set things up.</0><1>If you have already linked your account, please wait a moment and try again.</1>","OPEN_REGISTER":"Link your account"},"LINKS":{"TITLE":"More about this mod"},"LINKS_MODAL":{"TITLE":"Open in web browser?","TEXT":"Do you want to open this link in a web browser outside of the game?"},"CHANGELOG":{"TITLE":"Changelog","V":"v","RELEASED":"Released","READ_MORE":"Read more"},"DESCRIPTION":{"TITLE":"Description","READ_MORE":"Read more"},"INFO":{"TITLE":"Mod info"},"BANNED":{"TITLE":"Banned","INFO":"This mod has been banned from the library due to violations of our Terms and Conditions."},"OUTDATED":"This mod is not compatible with your game version and may not work properly.","GALLERY":{"NEXT":"Next","PREVIOUS":"Prev","MISSING_IMAGES":"No gallery images for this mod yet..."},"TAGS":{"TITLE":"Tags"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Created by","MODS":"mods","TOTAL_SIZE":"total size","BACK":"Back to all playsets","SUBTITLE":"{{modsCount}} mods, {{modsSize}} total size"},"MORE_BUTTON":{"MORE":"More"},"ACTIVATE_BUTTON":{"ACTIVATE":"Activate","ACTIVATED":"Activated"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Enable all mods","DISABLE_ALL_MODS":"Disable all mods"},"EMPTY_STATE":{"TITLE":"No mods yet","DESCRIPTION":"The whole point of having playsets is to play mods, so why not add some mods to this shiny new playset right away?","ADD_MODS":"Add mods"},"LIST":{"AUTHOR":"<0>by </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Search","APPLY_FILTERS":"Apply Filters","APPLY":"Apply","OPEN":"Open","ADD":"Add","BACK":"Back","ENABLE_DISABLE":"Enable/Disable","ENABLE":"Enable","DISABLE":"Disable","SUBSCRIBE":"Add to playset","UNSUBSCRIBE":"Remove from playset","CLOSE":"Close","CHANGE_ORDER":"Change order","RESET_LOAD_ORDER":"Reset load order","SCROLL":"Scroll","DELETE":"Delete","DETAILS":"Details","ACTIVATE":"Activate","RENAME":"Rename","CANCEL":"Cancel","CONFIRM":"Confirm","CREATE":"Create","TOGGLE_ACTION_MENU":"Toggle actions menu","SCROLL_TO_TOP":"Scroll to top","LIKE":"Like","REMOVE_LIKE":"Remove like","EXPAND":"Expand","COLLAPSE":"Collapse","OPEN_WEB_LINK":"Open in web browser","SELECT":"Select","REPLY":"Reply"},"CONSOLE_FILTER":{"TITLE":"Filter results","TAGS":"Tags","FILTER":"Filter","FILTERED":"Filtered"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"You’re about to add “{{modName}}” mod","INFORMATION":"<0>This mod relies on {{numberOfDependencies}} required mods (total size: {{totalSizeOfDependencies}}) to work properly.</0><1> Would you like to be automatically add these required mods too?</1>","SUBSCRIBE_TO_MODS":"ADD REQUIRED MODS","IGNORE_MODS":"IGNORE REQUIRED MODS","NOT_PUBLISHED_DEPENDENCIES":"<0>Note, some dependencies are not available for this mod which could cause the mod to not function correctly.</0><1>Possible reasons for this is that a dependency was banned, deleted or in other ways removed from a published state.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset sync conflict","INFORMATION":"Playset’s server state and local state don’t match. Which one do you want to continue/keep playing with?","KEEP_CLOUD":"Keep cloud files","KEEP_LOCAL":"Keep local files"},"CLOUD":{"TITLE":"Download the cloud files to this machine","INFORMATION":"The files from the server will overwrite the local files. Are you sure you want to continue?","BACK":"Go back","DOWNLOAD":"Download to this machine"},"LOCAL":{"TITLE":"Upload the local files to the server","INFORMATION":"The local files will overwrite the files on the server. Are you sure you want to continue?","BACK":"Go back","DOWNLOAD":"Upload to the server"}},"SYNC":{"TITLE":"Getting latest updates for your mods...","INFORMATION":"You are not able to browse any mods while the update is in progress. The update will continue even if you close this window.","MODS_DONE":"mods done","UPDATING_MOD":"Updating mod","STOP_AND_CONTINUE_NEXT_TIME":"Close this window","WAITING_FOR_DOWNLOAD":"Waiting for download to start...","CHECKING_MODS":"Checking mods...","DOWNLOADING":"Downloading","DONE":"Take me to the list","CLOSE":"Close","RESYNC":"Restart sync","UNHANDLED_ERROR":"Some of your mods failed to sync, please remove the faulty mods and try again.","OUT_OF_SPACE":"There isn’t enough space on disk for the latest playset updates. In order to free up disk space you have to remove some of your mods.","INSTALLING":{"PREPARING":"Preparing...","PATCHING":"Moving files...","APPLYING":"Applying changes...","PERMISSIONS":"Updating permissions...","CLEANUP":"Cleaning up...","":"Installing"}},"OTHER":{"DLCS":"DLCs","MODS":"mods","NO":"No","REQUIRED":"Required"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Search for mods","REPORT_COMMENT":"Report comment","CREATE_PLAYSET":"Create playset","RENAME_PLAYSET":"Rename playset","PUBLISH":{"DISPLAY_NAME":"Set display name","GAME_VERSION":"Set recommended game version","CHANGELOG":"Add changelog entry","DESCRIPTION":"Set description"}}},"REPORT":{"SECTION_TITLE":"Flag as inappropriate","INFORMATION_TEXT":"If you believe this mod violates our Terms and Conditions, help us review it by reporting it for moderation.","BUTTON":"Submit report","BUTTON_DONE":"Report was sent","SUBMIT":"Submit report","INFORMATION":"Please fill in the details below and we\'ll submit it to our QA team for analysis. Thank you for helping make Paradox better and safer.","CAPTION":"Reason for reporting","COMMENT_TITLE":"Please provide more details:","COMMENT_PLACEHOLDER":"Write your comment here...","THANK_YOU":"Thank you for your report.","THANK_YOU_MESSAGE":"You have reported this mod for review. Thank you for helping make Paradox Mods better and safer.","MISSING_REASON":"You must select a reason.","MISSING_DESCRIPTION":"You must write a description of the violation.","CLOSE":"Close window","COMMENT_INFORMATION":"You\'re about to report this mod for its inappropriate content.","COMMENT_SUBINFORMATION":"You\'ve let us known it may be related to:","PREVIEW_COMMENT":"Your comment:","PREVIEW":"Preview","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Nudity","VIOLENCE":"Violence","HARASSMENT":"Harassment","SPAM":"Spam","COPYRIGHT":"Copyright infringement","HATE":"Hate speech","DOESNOTWORK":"Mod doesn\'t work properly","OTHER":"Something else"}},"SEARCH":{"NO_SEARCH_RESULTS":"No search result","MODS_AVAILABLE":"{{modsAvailable}} mods available"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods installed"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Clear search"},"SEARCH_INPUT":{"PLACEHOLDER":"Search mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Active","ACTIVATE_PLAYSET":"Use this playset","CREATE_NEW_PLAYSET":{"TITLE":"Create new playset","NAME":"Name","CREATE":"Create","CANCEL":"Cancel","KEYBOARD_TITLE":"Enter new playset\'s name","SUCCESS":"Playset “{{name}}” has been created."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"last updated: {{updated}}","DELETE":{"TITLE":"Confirm delete playset","TEXT":"Are you sure you want to delete playset “{{name}}”"},"RENAME":{"TITLE":"Rename playset","TEXT":"Rename “{{name}}”"}},"PUBLISH":{"INPUT_DETAILS":"Mod details","DISPLAY_NAME":"Display name *","DISPLAY_NAME_ERROR":"Display name is required","SUGGESTED_GAME_VERSION":"Suggested game version *","SUGGESTED_GAME_VERSION_ERROR":"Suggested game version is required","COVER_FILE_NAME":"Cover image filename *","COVER_FILE_NAME_ERROR":"Cover image filename is required","DESCRIPTION":"Description *","DESCRIPTION_ERROR":"Description is required","CHANGELOG":"Changelog entry *","CHANGELOG_ERROR":"Changelog entry is required","PUBLISH_NEW_VERSION":"Publish new version","PUBLISH_NEW":"Publish","PUBLISHING_TITLE":"Mod pending publication","PUBLISHING":"Your mod is currently being published. It might take a while until it is completed."},"LIBRARY":{"PLAYSETS_TITLE":"My Playsets","CREATIONS_TITLE":"My Creations","IMPORTED_TITLE":"My Imported Mods"},"CONFIRM_MODAL":{"CONFIRM":"Yes","CANCEL":"Cancel","RENAME":"Rename"},"ALERT_MODAL":{"CONFIRM":"Close"},"TOASTS":{"UNSUBSCRIBED_MOD":"Successfully removed mod.","ENABLED_PLAYSET_MODS":"Successfully enabled the playset mods","DISABLED_PLAYSET_MODS":"Successfully disabled the playset mods","COMMENT_POSTED":"Your comment was successfully posted"},"WIP_MOD":{"CREATE_NEW":"Create new mod","CREATE_NEW_TEXT":"Create a new work in progress mod.","CREATE":"Create","CANCEL":"Cancel","DELETE_TITLE":"Delete wip mod","DELETE_TEXT":"Are you sure you want to delete the mod “{{modName}}”?","DRAFT_MODS":"{{modCount}} draft mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Important</0>Mods will alter the original experience of the game and are not pre-tested or verified by Paradox Interactive, the developer or Xbox. All Achievements progress will be disabled if at least one mod is active. Paradox Mods are subject to the Paradox User Agreement.","PLAYSTATION":"<0>Important</0>Mods will alter the original experience of the game and are not pre-tested or verified by Paradox Interactive, the developer or PlayStation. All Trophy progress will be disabled if at least one mod is active. Paradox Mods are subject to the Paradox User Agreement.","DEFAULT":"<0>Important</0>Mods will alter the original experience of the game and are not pre-tested or verified by Paradox Interactive. All Achievements progress will be disabled if at least one mod is active. Paradox Mods are subject to the Paradox User Agreement."},"EXIT":{"CLOSING":"Closing...","CLOSE_NOW":"Close now","TITLE":"Important","XBOX":"If at least one mod is enabled then Achievements progress will be disabled until you disable mods again. Are you sure you want to proceed?","PLAYSTATION":"If at least one mod is enabled then Trophy progress will be disabled until you disable mods again. Are you sure you want to proceed?","DEFAULT":"If at least one mod is enabled then Achievements progress is disabled until you disable mods again. Are you sure you want to proceed?","CONFIRM":"Yes, keep mods and return to main menu","CANCEL":"Go back to Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"View details","READ_MORE":"Read more"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Browse all","LOAD_MORE":"LOAD MORE","MOST_POPULAR":"Most popular mods"}}}'),es:JSON.parse('{"TOP_MENU":{"START":"Destacados","BROWSE_ALL":"Explorar","INSTALLED":"Instalados","INSTALLED_MODS":"Biblioteca","IMPORTED_MODS":"Mods exportados","PLAYSETS":"Playsets","PUBLISH":"Mis creaciones","LIBRARY":"Mi biblioteca"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nuevo playset","PLAYSET":"Playset activo","DROPDOWN_LABEL":"Seleccionar playsets activos","DEACTIVATED_PLAYSETS":"No hay playsets activos","DEACTIVATE_PLAYSET":"No hay playsets activos","ACTIVE_PLAYSET":"PLAYSET ACTIVO: {{playsetName}}"},"FILTER":{"HEADING":"Filtro","CLEAR_ALL":"Borrar todo","TAGS":"Etiquetas"},"LIST":{"ENABLED":"Habilitado","DISABLED":"Deshabilitado","EMPTY_STATE":{"TITLE":"No hay mods instalados","TEXT":"¡Con mods, los juegos pueden ser mucho más divertidos! Usa el botón de abajo para explorar todos los mods y vuelve cuando hayas instalado uno o más.","BUTTON":"EXPLORAR TODOS LOS MODS"},"RESET_ACTIVATION_ORDER":"Restablecer orden de carga","BANNED_MOD":"Este mod ha sido prohibido","OFFLINE":"SIN CONEXIÓN","ADD_TO_PLAYSET":"Añadir al playset activo","REMOVE_FROM_PLAYSET":"Quitar del playset activo","SUBSCRIBERS":"{{formattedCount}} suscriptor","SUBSCRIBERS_plural":"{{formattedCount}} suscriptores"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Más antiguo","MOST_RECENT":"Más reciente","MOST_SUBSCRIBED":"Más suscriptores","HIGHEST_RATED":"Mejor valorado","MOST_PLAYSETS":"En más playsets","LEAST_PLAYSETS":"En menos playsets","SORT_BY":"Ordenar por","BEST":"Mejor","MOST_POPULAR":"Más popular","LAST_UPDATED":"Última actualización"},"ERROR":{"PARADOX_SERVICES_DOWN":"Lo sentimos, los servicios de Paradox Mods no han podido completar la solicitud.","BUTTONS":{"CLOSE":"Cerrar"},"SET_USER_RATING":{"TITLE":"No se ha podido establecer la valoración de los usuarios del mod","MESSAGE":"No hemos podido establecer una nueva valoración de los usuarios para este mod."},"GET_USER_RATING":{"TITLE":"No se ha podido obtener la valoración de los usuarios del mod","MESSAGE":"No hemos podido obtener la valoración de los usuarios para este mod."},"LOAD_MORE":{"TITLE":"No se han podido cargar más mods","MESSAGE":"Esta vez, no hemos podido cargar más mods mientras te desplazabas."},"SEARCH":{"TITLE":"No se han podido buscar mods","MESSAGE":"Esta vez, no hemos podido buscar mods."},"SUBSCRIBE":{"TITLE":"No se ha podido añadir el mod","MESSAGE":"Esta vez, no hemos podido añadir el mod."},"UNSUBSCRIBE":{"TITLE":"No se ha podido quitar el mod","MESSAGE":"Esta vez, no hemos podido quitar el mod."},"MOD_DETAILS":{"TITLE":"No se han podido obtener los detalles del mod","MESSAGE":"Esta vez, no hemos podido obtener los detalles del mod."},"USER_RATING":{"TITLE":"No se ha podido obtener la valoración de usuario","MESSAGE":"Esta vez, no hemos podido obtener tu valoración de usuario."},"MOD_RATING":{"TITLE":"No se ha podido obtener la valoración del mod","MESSAGE":"No hemos podido obtener la valoración del mod."},"ENABLE":{"TITLE":"No se ha podido habilitar el mod","MESSAGE":"Por ahora no podemos habilitar este mod."},"DISABLE":{"TITLE":"No se ha podido deshabilitar el mod","MESSAGE":"Por ahora no podemos deshabilitar este mod."},"ENABLE_PLAYSET_MODS":{"TITLE":"No se han podido habilitar los mods del playset","MESSAGE":"Por ahora no podemos habilitar los mods de este playset."},"DISABLE_PLAYSET_MODS":{"TITLE":"No se han podido deshabilitar los mods del playset","MESSAGE":"Por ahora no podemos deshabilitar los mods de este playset."},"GETSUBSCRIBED":{"TITLE":"No se han podido obtener tus mods añadidos","MESSAGE":"Por ahora no podemos obtener tus mods añadidos."},"GET_FORUM_POSTS":{"TITLE":"No se ha podido obtener el hilo de la discusión","MESSAGE":"No hemos podido obtener el hilo de la discusión."},"SEND_FORUM_POST":{"TITLE":"No se ha podido publicar el hilo de la discusión","MESSAGE":"No hemos podido añadir una publicación al hilo de la discusión."},"GET_GAME_VERSION":{"TITLE":"No se ha podido obtener la versión del juego","MESSAGE":"No hemos podido obtener la versión del juego."},"GET_ALL_DEPENDENCIES":{"TITLE":"No se han podido obtener las dependencias","MESSAGE":"No hemos podido obtener las dependencias."},"REPORT_MOD":{"TITLE":"No se ha podido denunciar el mod","MESSAGE":"No hemos podido denunciar el mod."},"GET_GAME_DATA":{"TITLE":"No se ha podido obtener la información del juego","MESSAGE":"No hemos podido obtener la información del juego."},"SET_ACTIVATION_ORDER":{"TITLE":"No se ha podido establecer el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"RESET_ACTIVATION_ORDER":{"TITLE":"No se ha podido restablecer el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"SCREEN_KEYBOARD":{"TITLE":"No se ha podido abrir el teclado en pantalla","MESSAGE":"No hemos podido abrir el teclado en pantalla."},"PLAYSETS":{"TITLE":"No se han podido obtener los playsets","MESSAGE":"Esta vez, no hemos podido obtener tu playsets."},"PLAYSET_DETAILS":{"TITLE":"No se han podido obtener los detalles del playset","MESSAGE":"Esta vez, no hemos podido obtener los detalles de tu playset."},"PLAYSET_DELETE":{"TITLE":"No se ha podido eliminar el playset","MESSAGE":"Esta vez, no hemos podido eliminar tu playset."},"PLAYSET_RENAME":{"TITLE":"No se ha podido cambiar el nombre del playset","MESSAGE":"Esta vez, no hemos podido cambiar el nombre de tu playset."},"PLAYSET_MODS":{"TITLE":"No se han podido obtener los mods del playset","MESSAGE":"Esta vez, no hemos podido recuperar tus mods."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"No se ha podido comprobar si tienes mods habilitados","MESSAGE":"Esta vez, no hemos podido verificar si tu playset activo tiene mods habilitados."},"CREATE_PLAYSET":{"TITLE":"No se ha podido crear un nuevo playset","MESSAGE":"Esta vez, no hemos podido crear un nuevo playset."},"ACTIVATE_PLAYSET":{"TITLE":"No se ha podido activar el playset","MESSAGE":"Esta vez, no hemos podido activar tu playset."},"DEACTIVATE_PLAYSET":{"TITLE":"No se ha podido desactivar el playset","MESSAGE":"Esta vez, no hemos podido desactivar tu playset."},"DEACTIVATED_PLAYSET":{"TITLE":"No se ha podido añadir el mod","MESSAGE":"Para poder añadir un mod, debes tener un playset activo."},"ACTIVE_PLAYSET":{"TITLE":"No se han podido obtener playsets activos","MESSAGE":"Esta vez, no hemos podido obtener tu playset activo."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"No has iniciado sesión.","MESSAGE":"Parece que no has iniciado sesión en tu cuenta de Paradox. Antes de usar este servicio, crea una cuenta e inicia sesión."},"OFFLINE":{"TITLE":"No tienes conexión.","MESSAGE":"Parece que por ahora no puedes conectarte a internet. Sin embargo, todavía puedes habilitar, deshabilitar y cambiar el orden de carga de tus mods instalados."},"SYNC":{"TITLE":"Algo salió mal al sincronizar los mods","MESSAGE":"Parece que algo salió mal mientras se sincronizaban los mods."},"DEFAULT":{"TITLE":"Algo salió mal.","MESSAGE":"Lo sentimos, pero algo ha salido mal con tu solicitud. Cierra e inténtalo de nuevo."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"No se ha podido completar la operación porque el disco está lleno.","THIRDPARTYEXCEPTION":"Algo salió mal en la biblioteca de un tercero que estamos usando.","DBERROR":"Hay un problema con la base de datos del lado del servidor.","DISKPERMISSIONERROR":"No parece que tengas permiso para acceder al disco actual.","FILEIOERROR":"Se ha producido un error al escribir o leer del disco.","REMOTELOGOUTFAILED":"Ha surgido un problema al cerrar sesión en el servidor. Los estados de la sesión local y del servidor pueden estar desincronizados.","INTERNALERROR":"Se ha producido un error interno sin especificar."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"El cuerpo de la respuesta del servidor no se ha podido procesar porque no está bien formado.","HTTPREQUESTERROR":"La solicitud del servidor falló debido a una desconexión, a un error de DNS o a un problema similar.","NETWORKSENDERROR":"Se ha producido un error sin especificar al enviar datos al servidor.","TASKTIMEOUTERROR":"La solicitud al servidor ha expirado.","UNEXPECTEDRESPONSEERROR":"La respuesta del servidor no está bien formada o no contenía todos los datos necesarios.","NORESPONSEBODY":"La respuesta del servidor no tiene cuerpo.","MODDOWNLOADFAILEDERROR":"Los metadatos del mod estaban sincronizados, pero la descarga falló. En la próxima sincronización se volverá a intentar la descarga."},"NOTFOUND":{"NOACCOUNT":"No se ha podido encontrar la cuenta del usuario.","NODOCUMENT":"No se ha podido encontrar el documento.","NOMERGETASK":"No se ha podido encontrar la tarea de fusión.","NOMOD":"No se ha podido encontrar el mod.","NOMODVERSION":"No se ha podido encontrar la versión solicitada del mod.","NOMODPLAYSET":"No se ha podido encontrar o acceder al playset solicitado.","NOPROFILE":"No se ha podido encontrar el perfil.","NOACHIEVEMENT":"No se ha podido encontrar el logro.","NORESOURCE":"No se ha podido encontrar el recurso solicitado."},"INVALIDSTATE":{"NOTLOGGEDIN":"El usuario no ha iniciado sesión.","MODDISABLED":"El mod se ha eliminado o está bloqueado."},"MODS":{"SYNCONGOING":"Ya hay una sincronización en curso.","OPERATIONSONGOING":"Hay otra operación en curso.","LOCALERROR":"Algo ha salido mal al realizar la acción. Inténtalo de nuevo más tarde."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"El usuario debe volver a iniciar sesión con todas sus credenciales.","EXPIREDSESSIONTOKEN":"El usuario debe utilizar la ficha de actualización para crear una nueva ficha de sesión.","SESSIONTOOLOWTRUSTLEVEL":"La sesión no tiene un nivel de confianza suficientemente alto. Vuelve a iniciar sesión con credenciales que proporcionen un nivel de confianza mayor.","INVALIDAUTHENTICATION":"La autenticación facilitada no se puede validar.","REJECTEDBYTHIRDPARTY":"La autenticación fue rechazada por una tercera parte (Steam, PSN, Twitch, etc.).","FORBIDDENACCESS":"En esta sesión está prohibido intentar acceder a datos.","AUTOMATICLOGINFAILURE":"Account.Startup() no pudo iniciar la sesión del usuario automáticamente. Realiza una llamada Account.Login(Credentials) manual."},"MODSUI":{"DELETEACTIVEPLAYSET":"No puedes eliminar el playset actualmente activo.","REPORTMODBLOCKEDTIMELIMIT":"Ya has denunciado este mod y está a la espera de que lo revisen los moderadores.","TOOMANYPLAYSETS":"No puedes tener más de 50 playsets."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"No se puede agregar una publicación en el foro, asegúrese de que su cuenta esté conectada a los foros"}},"WIP":{"CREATE":{"TITLE":"No se ha podido crear un proyecto de mod","MESSAGE":"No hemos podido crear tu proyecto de mod."},"LIST":{"TITLE":"No se pudieron obtener los proyectos de mods","MESSAGE":"No hemos podido obtener los detalles de tu playset."},"DELETE":{"TITLE":"No se ha podido eliminar el proyecto de mod","MESSAGE":"No hemos podido eliminar tu proyecto de mod."},"GET":{"TITLE":"No se ha podido obtener el proyectos de mod","MESSAGE":"No hemos podido obtener los detalles de tu proyecto de mod."},"PUBLISH":{"TITLE":"No se ha podido publicar el proyecto de mod","MESSAGE":"No hemos podido publicar los detalles de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."},"NEW_VERSION":{"TITLE":"No se ha podido publicar la nueva versión del proyecto de mod","MESSAGE":"No hemos podido publicar la nueva versión de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."}},"INPUT":{"EMPTY":"La entrada no puede quedar vacía."}},"PROGRESSBAR":{"QUEUED":"EN COLA"},"MOD_DETAILS":{"HEADER":{"BACK":"Atrás","BY":"Creado por","SIZETEXT":"Tamaño","VERSION":"Ver. de mod","REQUIREDGAMEVERSION":"Ver. de juego recomendada","SUBSCRIPTIONSTOTAL":"Suscriptores","LIKESTOTAL":"Me gusta","AUTHOR":"Autoría"},"AUTHOR":{"TITLE":"Autoría del mod","ALL_MODS_BY_AUTHOR":"Todos los mods de este autor","MORE_FROM_THIS_CREATOR":"Más de este creador"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Añadir al playset activo","SUBSCRIBED":"AÑADIDO","UNSUBSCRIBE":"Quitar del playset activo","INSTALLING":"Instalando...","UNINSTALLING":"Desinstalando...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirma la retirada del mod","TEXT":"¿Seguro que quieres quitar el mod \\"{{name}}\\" ({{size}}) del playset activo?"}},"REQUIREMENT":{"TITLE":"Necesarios","VIEW_ALL":"Ver todos","BACK_TO_MOD_DETAILS":"Volver a los detalles del mod","REQUIRED_MODS":"Mods necesarios ({{modsCount}})","REQUIRED_DLC":"Se requiere DLC ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Para que este mod funcione, se necesitan los siguientes mods","REQUIRED_DLC_MESSAGE":"Para que este mod funcione, se necesitan los siguientes contenidos descargables"},"FORUM_LINKS":{"TITLE":"Más sobre este mod","TOP_THREAD":"Foros de Paradox"},"FORUM_POSTS":{"TITLE":"Discusión","OPEN_FULL_DISCUSSION":"Abrir discusión completa","UNSUPPORTED_FORMATTING":"El mensaje no se puede mostrar aquí porque su formato no es compatible.","GO_TO_POST":"Visita el foro para ver la publicación completa.","OPEN_IN_BROWSER":"Abrir en un explorador","COMMENT_TITLE":"Comenta el mod","REPLYING_TO":"Respondiendo a una publicación de {{user}}","REMOVE_REPLY":"Cancelar","SEND_COMMENT":"Publicar","ADD_COMMENT":"Añadir un comentario...","REFRESH":"Actualizar","LOAD_MORE":"Cargar más","NEW":"New","YOU":"You","REGISTER_TITLE":"Necesitas acceso a los foros de Paradox","REGISTER_INFORMATION":"<0>Su cuenta debe estar vinculada a los foros de Paradox para poder publicar comentarios. Siga el botón a continuación e inicie sesión con su cuenta Paradox para configurar las cosas.</0><1>Si ya ha vinculado su cuenta, espere un momento y vuelva a intentarlo.</1>","OPEN_REGISTER":"Vincula tu cuenta"},"LINKS":{"TITLE":"Más sobre este mod"},"LINKS_MODAL":{"TITLE":"¿Abrir en un explorador web?","TEXT":"¿Quieres abrir esta enlace en un explorador web fuera del juego?"},"CHANGELOG":{"TITLE":"Registro de cambios","V":"v","RELEASED":"Publicado","READ_MORE":"Leer más"},"DESCRIPTION":{"TITLE":"Descripción","READ_MORE":"Leer más"},"INFO":{"TITLE":"Información del mod"},"BANNED":{"TITLE":"Prohibido","INFO":"Este mod se ha retirado de la biblioteca porque infringe nuestros Términos y condiciones."},"OUTDATED":"Este mod no es compatible con tu versión del juego y es posible que no funcione correctamente.","GALLERY":{"NEXT":"Siguiente","PREVIOUS":"Anterior","MISSING_IMAGES":"Aún no hay imágenes de la galería para este mod..."},"TAGS":{"TITLE":"Etiquetas"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Creado por","MODS":"mods","TOTAL_SIZE":"tamaño total","BACK":"Volver a todos los playsets","SUBTITLE":"{{modsCount}} mods, {{mods}} de tamaño total"},"MORE_BUTTON":{"MORE":"Más"},"ACTIVATE_BUTTON":{"ACTIVATE":"Activar","ACTIVATED":"Activado"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Habilitar todos los mods","DISABLE_ALL_MODS":"Deshabilitar todos los mods"},"EMPTY_STATE":{"TITLE":"Todavía no hay mods","DESCRIPTION":"La finalidad de tener playsets es jugar con mods, así que ¿por qué no añades algunos a tu flamante nuevo playset ahora mismo?","ADD_MODS":"Añadir mods"},"LIST":{"AUTHOR":"<0>creado por </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Buscar","APPLY_FILTERS":"Aplicar filtros","APPLY":"Aplicar","OPEN":"Abrir","ADD":"Añadir","BACK":"Atrás","ENABLE_DISABLE":"Habilitar/Deshabilitar","ENABLE":"Habilitar","DISABLE":"Deshabilitar","SUBSCRIBE":"Añadir al playset","UNSUBSCRIBE":"Quitar del playset","CLOSE":"Cerrar","CHANGE_ORDER":"Cambiar orden","RESET_LOAD_ORDER":"Restablecer orden de carga","SCROLL":"Desplazar","DELETE":"Eliminar","DETAILS":"Detalles","ACTIVATE":"Activar","RENAME":"Cambiar nombre","CANCEL":"Cancelar","CONFIRM":"Confirmar","CREATE":"Crear","TOGGLE_ACTION_MENU":"Alternar acciones del menú","SCROLL_TO_TOP":"Ir arriba","LIKE":"Me gusta","REMOVE_LIKE":"Quitar Me gusta","EXPAND":"Ampliar","COLLAPSE":"Reducir","OPEN_WEB_LINK":"Abrir en un explorador web","SELECT":"Seleccionar","REPLY":"Responder"},"CONSOLE_FILTER":{"TITLE":"Filtrar resultados","TAGS":"Etiquetas","FILTER":"Filtro","FILTERED":"Filtradas"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Estás a punto de añadir el mod \\"{{modName}}\\"","INFORMATION":"<0>Este mod depende de {{numberOfDependencies}} mods necesarios (tamaño total: {{totalSizeOfDependencies}}) para funcionar correctamente.</0><1> ¿Quieres añadir automáticamente también estos mods necesarios?</1>","SUBSCRIBE_TO_MODS":"AÑADIR MODS NECESARIOS","IGNORE_MODS":"IGNORAR MODS NECESARIOS","NOT_PUBLISHED_DEPENDENCIES":"<0>Ten en cuenta que algunas dependencias no están disponibles para este mod, de modo que es posible que no funcione correctamente.</0><1>Esto puede deberse a que una dependencia haya sido prohibida, eliminada o de otro modo alterado su estado publicado.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflicto de sincronización de playset","INFORMATION":"El estado del servidor y el estado local del playset no coinciden. ¿Con cuál quieres continuar jugando?","KEEP_CLOUD":"Conservar archivos de la nube","KEEP_LOCAL":"Conservar archivos locales"},"CLOUD":{"TITLE":"Descargar los archivos de la nube a este sistema","INFORMATION":"Los archivos del servidor sobrescribirán los locales. ¿Seguro que quieres continuar?","BACK":"Volver atrás","DOWNLOAD":"Descargar a este sistema"},"LOCAL":{"TITLE":"Cargar los archivos locales al servidor","INFORMATION":"Los archivos locales sobrescribirán los del servidor. ¿Seguro que quieres continuar?","BACK":"Volver atrás","DOWNLOAD":"Cargar al servidor"}},"SYNC":{"TITLE":"Obteniendo las actualizaciones más recientes para tus mods...","INFORMATION":"No puedes explorar mods con una actualización en curso. La actualización continuará, aunque cierres esta ventana.","MODS_DONE":"mods hechos","UPDATING_MOD":"Actualizando mod","STOP_AND_CONTINUE_NEXT_TIME":"Cerrar esta ventana","WAITING_FOR_DOWNLOAD":"Esperando a que empiece la descarga...","CHECKING_MODS":"Comprobando mods...","DOWNLOADING":"Descargando","DONE":"Llévame a la lista","CLOSE":"Cerrar","RESYNC":"Reiniciar sincronización","UNHANDLED_ERROR":"Algunos de tus mods no se han sincronizado correctamente. Elimina los mods fallidos e inténtalo de nuevo.","OUT_OF_SPACE":"No hay suficiente espacio en el disco para las actualizaciones de playsets más recientes. Elimina algunos de tus mods para liberar espacio en el disco.","INSTALLING":{"PREPARING":"Preparando...","PATCHING":"Trasladando archivos...","APPLYING":"Aplicando cambios...","PERMISSIONS":"Actualizando permisos...","CLEANUP":"Limpiando...","":"Instalando"}},"OTHER":{"DLCS":"DLC","MODS":"mods","NO":"No","REQUIRED":"Necesarios"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Buscar mods","REPORT_COMMENT":"Denunciar comentario","CREATE_PLAYSET":"Crear playset","RENAME_PLAYSET":"Cambiar nombre de playset","PUBLISH":{"DISPLAY_NAME":"Establecer nombre para mostrar","GAME_VERSION":"Establecer versión del juego recomendada","CHANGELOG":"Añadir entrada del registro de cambios","DESCRIPTION":"Establecer descripción"}}},"REPORT":{"SECTION_TITLE":"Marcar como inapropiado","INFORMATION_TEXT":"Si crees que este mod infringe nuestros Términos y condiciones, denúncialo para que podamos examinarlo.","BUTTON":"Enviar denuncia","BUTTON_DONE":"Se ha enviado el informe","SUBMIT":"Enviar denuncia","INFORMATION":"Proporciona todos los detalles más abajo y lo enviaremos a nuestro equipo de Control de calidad para su análisis. Gracias por ayudarnos a hacer que Paradox sea mejor y más seguro.","CAPTION":"Motivo de la denuncia","COMMENT_TITLE":"Por favor, indica más detalles:","COMMENT_PLACEHOLDER":"Escribe aquí tu comentario...","THANK_YOU":"Gracias por enviar la denuncia.","THANK_YOU_MESSAGE":"Has denunciado este mod para su revisión. Gracias por ayudarnos a hacer que Paradox Mods sea mejor y más seguro.","MISSING_REASON":"Debes elegir un motivo.","MISSING_DESCRIPTION":"Debes escribir una descripción de la infracción.","CLOSE":"Cerrar ventana","COMMENT_INFORMATION":"Estás a punto de denunciar este mod por su contenido inapropiado.","COMMENT_SUBINFORMATION":"Nos has comunicado que podría estar relacionado con:","PREVIEW_COMMENT":"Tu comentario:","PREVIEW":"Vista previa","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Desnudez","VIOLENCE":"Violencia","HARASSMENT":"Acoso","SPAM":"Spam","COPYRIGHT":"Infracción de copyright","HATE":"Discurso de odio","DOESNOTWORK":"El mod no funciona correctamente","OTHER":"Otro motivo"}},"SEARCH":{"NO_SEARCH_RESULTS":"La búsqueda no ha devuelto resultados","MODS_AVAILABLE":"{{modsAvailable}} mods disponibles"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods instalados"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Borrar búsqueda"},"SEARCH_INPUT":{"PLACEHOLDER":"Buscar mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Activos","ACTIVATE_PLAYSET":"Usar este playset","CREATE_NEW_PLAYSET":{"TITLE":"Crear nuevo playset","NAME":"Nombre","CREATE":"Crear","CANCEL":"Cancelar","KEYBOARD_TITLE":"Escribe un nombre para el nuevo playset","SUCCESS":"Se ha creado el playset \\"{{name}}\\"."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"última actualización: {{updated}}","DELETE":{"TITLE":"Confirmar la eliminación del playset","TEXT":"¿Seguro que quieres eliminar el playset \\"{{name}}\\"?"},"RENAME":{"TITLE":"Cambiar nombre de playset","TEXT":"Cambiar nombre de \\"{{name}}\\""}},"PUBLISH":{"INPUT_DETAILS":"Detalles de mod","DISPLAY_NAME":"Nombre para mostrar *","DISPLAY_NAME_ERROR":"Se necesita un nombre para mostrar","SUGGESTED_GAME_VERSION":"Versión del juego recomendada *","SUGGESTED_GAME_VERSION_ERROR":"Se necesita la versión del juego recomendada","COVER_FILE_NAME":"Nombre de archivo de imagen de portada *","COVER_FILE_NAME_ERROR":"Se necesita el nombre de archivo de la imagen de portada","DESCRIPTION":"Descripción *","DESCRIPTION_ERROR":"Se necesita una descripción","CHANGELOG":"Entrada del registro de cambios *","CHANGELOG_ERROR":"Se necesita la entrada del registro de cambios","PUBLISH_NEW_VERSION":"Publicar nueva versión","PUBLISH_NEW":"Publicar","PUBLISHING_TITLE":"Mod pendiente de publicar","PUBLISHING":"Tu mod se está publicando en estos momentos. Es posible que se tarde un poco en completar la operación."},"LIBRARY":{"PLAYSETS_TITLE":"Mis playsets","CREATIONS_TITLE":"Mis creaciones","IMPORTED_TITLE":"Mis mods importados"},"CONFIRM_MODAL":{"CONFIRM":"Sí","CANCEL":"Cancelar","RENAME":"Cambiar nombre"},"ALERT_MODAL":{"CONFIRM":"Cerrar"},"TOASTS":{"UNSUBSCRIBED_MOD":"El mod se ha eliminado correctamente.","ENABLED_PLAYSET_MODS":"Se han habilitado los mods del playset","DISABLED_PLAYSET_MODS":"Se han deshabilitado los mods del playset","COMMENT_POSTED":"Tu comentario se ha publicado correctamente"},"WIP_MOD":{"CREATE_NEW":"Crear nuevo mod","CREATE_NEW_TEXT":"Crea un nuevo mod de trabajo en curso.","CREATE":"Crear","CANCEL":"Cancelar","DELETE_TITLE":"Eliminar mod WIP","DELETE_TEXT":"¿Seguro que quieres eliminar el mod \\"{{modName}}\\"?","DRAFT_MODS":"{{modCount}} proyectos de mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive, el desarrollador ni Xbox. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox.","PLAYSTATION":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive, el desarrollador ni PlayStation. Si hay al menos un mod activo, se deshabilitará el progreso en todos los trofeos. Paradox Mods se rige por el Contrato de usuario de Paradox.","DEFAULT":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox."},"EXIT":{"CLOSING":"Cerrando...","CLOSE_NOW":"Cerrar ahora","TITLE":"Importante","XBOX":"Si hay al menos un mod habilitado, el progreso en los logros se deshabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","PLAYSTATION":"Si hay al menos un mod habilitado, el progreso en los trofeos se deshabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","DEFAULT":"Si hay al menos un mod habilitado, el progreso en los logros se inhabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","CONFIRM":"Sí, conservar los mods y volver al menú principal","CANCEL":"Volver a Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Ver detalles","READ_MORE":"Leer más"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Explorar todo","LOAD_MORE":"CARGAR MÁS","MOST_POPULAR":"Mods más populares"}}}'),"es-ES":JSON.parse('{"TOP_MENU":{"START":"Destacados","BROWSE_ALL":"Explorar","INSTALLED":"Instalados","INSTALLED_MODS":"Biblioteca","IMPORTED_MODS":"Mods exportados","PLAYSETS":"Playsets","PUBLISH":"Mis creaciones","LIBRARY":"Mi biblioteca"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nuevo playset","PLAYSET":"Playset activo","DROPDOWN_LABEL":"Seleccionar playsets activos","DEACTIVATED_PLAYSETS":"No hay playsets activos","DEACTIVATE_PLAYSET":"No hay playsets activos","ACTIVE_PLAYSET":"PLAYSET ACTIVO: {{playsetName}}"},"FILTER":{"HEADING":"Filtro","CLEAR_ALL":"Borrar todo","TAGS":"Etiquetas"},"LIST":{"ENABLED":"Habilitado","DISABLED":"Deshabilitado","EMPTY_STATE":{"TITLE":"No hay mods instalados","TEXT":"¡Con mods, los juegos pueden ser mucho más divertidos! Usa el botón de abajo para explorar todos los mods y vuelve cuando hayas instalado uno o más.","BUTTON":"EXPLORAR TODOS LOS MODS"},"RESET_ACTIVATION_ORDER":"Restablecer orden de carga","BANNED_MOD":"Este mod ha sido prohibido","OFFLINE":"SIN CONEXIÓN","ADD_TO_PLAYSET":"Añadir al playset activo","REMOVE_FROM_PLAYSET":"Quitar del playset activo","SUBSCRIBERS":"{{formattedCount}} suscriptor","SUBSCRIBERS_plural":"{{formattedCount}} suscriptores"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Más antiguo","MOST_RECENT":"Más reciente","MOST_SUBSCRIBED":"Más suscriptores","HIGHEST_RATED":"Mejor valorado","MOST_PLAYSETS":"En más playsets","LEAST_PLAYSETS":"En menos playsets","SORT_BY":"Ordenar por","BEST":"Mejor","MOST_POPULAR":"Más popular","LAST_UPDATED":"Última actualización"},"ERROR":{"PARADOX_SERVICES_DOWN":"Lo sentimos, los servicios de Paradox Mods no han podido completar la solicitud.","BUTTONS":{"CLOSE":"Cerrar"},"SET_USER_RATING":{"TITLE":"No se ha podido establecer la valoración de los usuarios del mod","MESSAGE":"No hemos podido establecer una nueva valoración de los usuarios para este mod."},"GET_USER_RATING":{"TITLE":"No se ha podido obtener la valoración de los usuarios del mod","MESSAGE":"No hemos podido obtener la valoración de los usuarios para este mod."},"LOAD_MORE":{"TITLE":"No se han podido cargar más mods","MESSAGE":"Esta vez, no hemos podido cargar más mods mientras te desplazabas."},"SEARCH":{"TITLE":"No se han podido buscar mods","MESSAGE":"Esta vez, no hemos podido buscar mods."},"SUBSCRIBE":{"TITLE":"No se ha podido añadir el mod","MESSAGE":"Esta vez, no hemos podido añadir el mod."},"UNSUBSCRIBE":{"TITLE":"No se ha podido quitar el mod","MESSAGE":"Esta vez, no hemos podido quitar el mod."},"MOD_DETAILS":{"TITLE":"No se han podido obtener los detalles del mod","MESSAGE":"Esta vez, no hemos podido obtener los detalles del mod."},"USER_RATING":{"TITLE":"No se ha podido obtener la valoración de usuario","MESSAGE":"Esta vez, no hemos podido obtener tu valoración de usuario."},"MOD_RATING":{"TITLE":"No se ha podido obtener la valoración del mod","MESSAGE":"No hemos podido obtener la valoración del mod."},"ENABLE":{"TITLE":"No se ha podido habilitar el mod","MESSAGE":"Por ahora no podemos habilitar este mod."},"DISABLE":{"TITLE":"No se ha podido deshabilitar el mod","MESSAGE":"Por ahora no podemos deshabilitar este mod."},"ENABLE_PLAYSET_MODS":{"TITLE":"No se han podido habilitar los mods del playset","MESSAGE":"Por ahora no podemos habilitar los mods de este playset."},"DISABLE_PLAYSET_MODS":{"TITLE":"No se han podido deshabilitar los mods del playset","MESSAGE":"Por ahora no podemos deshabilitar los mods de este playset."},"GETSUBSCRIBED":{"TITLE":"No se han podido obtener tus mods añadidos","MESSAGE":"Por ahora no podemos obtener tus mods añadidos."},"GET_FORUM_POSTS":{"TITLE":"No se ha podido obtener el hilo de la discusión","MESSAGE":"No hemos podido obtener el hilo de la discusión."},"SEND_FORUM_POST":{"TITLE":"No se ha podido publicar el hilo de la discusión","MESSAGE":"No hemos podido añadir una publicación al hilo de la discusión."},"GET_GAME_VERSION":{"TITLE":"No se ha podido obtener la versión del juego","MESSAGE":"No hemos podido obtener la versión del juego."},"GET_ALL_DEPENDENCIES":{"TITLE":"No se han podido obtener las dependencias","MESSAGE":"No hemos podido obtener las dependencias."},"REPORT_MOD":{"TITLE":"No se ha podido denunciar el mod","MESSAGE":"No hemos podido denunciar el mod."},"GET_GAME_DATA":{"TITLE":"No se ha podido obtener la información del juego","MESSAGE":"No hemos podido obtener la información del juego."},"SET_ACTIVATION_ORDER":{"TITLE":"No se ha podido establecer el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"RESET_ACTIVATION_ORDER":{"TITLE":"No se ha podido restablecer el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"SCREEN_KEYBOARD":{"TITLE":"No se ha podido abrir el teclado en pantalla","MESSAGE":"No hemos podido abrir el teclado en pantalla."},"PLAYSETS":{"TITLE":"No se han podido obtener los playsets","MESSAGE":"Esta vez, no hemos podido obtener tu playsets."},"PLAYSET_DETAILS":{"TITLE":"No se han podido obtener los detalles del playset","MESSAGE":"Esta vez, no hemos podido obtener los detalles de tu playset."},"PLAYSET_DELETE":{"TITLE":"No se ha podido eliminar el playset","MESSAGE":"Esta vez, no hemos podido eliminar tu playset."},"PLAYSET_RENAME":{"TITLE":"No se ha podido cambiar el nombre del playset","MESSAGE":"Esta vez, no hemos podido cambiar el nombre de tu playset."},"PLAYSET_MODS":{"TITLE":"No se han podido obtener los mods del playset","MESSAGE":"Esta vez, no hemos podido recuperar tus mods."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"No se ha podido comprobar si tienes mods habilitados","MESSAGE":"Esta vez, no hemos podido verificar si tu playset activo tiene mods habilitados."},"CREATE_PLAYSET":{"TITLE":"No se ha podido crear un nuevo playset","MESSAGE":"Esta vez, no hemos podido crear un nuevo playset."},"ACTIVATE_PLAYSET":{"TITLE":"No se ha podido activar el playset","MESSAGE":"Esta vez, no hemos podido activar tu playset."},"DEACTIVATE_PLAYSET":{"TITLE":"No se ha podido desactivar el playset","MESSAGE":"Esta vez, no hemos podido desactivar tu playset."},"DEACTIVATED_PLAYSET":{"TITLE":"No se ha podido añadir el mod","MESSAGE":"Para poder añadir un mod, debes tener un playset activo."},"ACTIVE_PLAYSET":{"TITLE":"No se han podido obtener playsets activos","MESSAGE":"Esta vez, no hemos podido obtener tu playset activo."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"No has iniciado sesión.","MESSAGE":"Parece que no has iniciado sesión en tu cuenta de Paradox. Antes de usar este servicio, crea una cuenta e inicia sesión."},"OFFLINE":{"TITLE":"No tienes conexión.","MESSAGE":"Parece que por ahora no puedes conectarte a internet. Sin embargo, todavía puedes habilitar, deshabilitar y cambiar el orden de carga de tus mods instalados."},"SYNC":{"TITLE":"Algo salió mal al sincronizar los mods","MESSAGE":"Parece que algo salió mal mientras se sincronizaban los mods."},"DEFAULT":{"TITLE":"Algo salió mal.","MESSAGE":"Lo sentimos, pero algo ha salido mal con tu solicitud. Cierra e inténtalo de nuevo."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"No se ha podido completar la operación porque el disco está lleno.","THIRDPARTYEXCEPTION":"Algo salió mal en la biblioteca de un tercero que estamos usando.","DBERROR":"Hay un problema con la base de datos del lado del servidor.","DISKPERMISSIONERROR":"No parece que tengas permiso para acceder al disco actual.","FILEIOERROR":"Se ha producido un error al escribir o leer del disco.","REMOTELOGOUTFAILED":"Ha surgido un problema al cerrar sesión en el servidor. Los estados de la sesión local y del servidor pueden estar desincronizados.","INTERNALERROR":"Se ha producido un error interno sin especificar."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"El cuerpo de la respuesta del servidor no se ha podido procesar porque no está bien formado.","HTTPREQUESTERROR":"La solicitud del servidor falló debido a una desconexión, a un error de DNS o a un problema similar.","NETWORKSENDERROR":"Se ha producido un error sin especificar al enviar datos al servidor.","TASKTIMEOUTERROR":"La solicitud al servidor ha expirado.","UNEXPECTEDRESPONSEERROR":"La respuesta del servidor no está bien formada o no contenía todos los datos necesarios.","NORESPONSEBODY":"La respuesta del servidor no tiene cuerpo.","MODDOWNLOADFAILEDERROR":"Los metadatos del mod estaban sincronizados, pero la descarga falló. En la próxima sincronización se volverá a intentar la descarga."},"NOTFOUND":{"NOACCOUNT":"No se ha podido encontrar la cuenta del usuario.","NODOCUMENT":"No se ha podido encontrar el documento.","NOMERGETASK":"No se ha podido encontrar la tarea de fusión.","NOMOD":"No se ha podido encontrar el mod.","NOMODVERSION":"No se ha podido encontrar la versión solicitada del mod.","NOMODPLAYSET":"No se ha podido encontrar o acceder al playset solicitado.","NOPROFILE":"No se ha podido encontrar el perfil.","NOACHIEVEMENT":"No se ha podido encontrar el logro.","NORESOURCE":"No se ha podido encontrar el recurso solicitado."},"INVALIDSTATE":{"NOTLOGGEDIN":"El usuario no ha iniciado sesión.","MODDISABLED":"El mod se ha eliminado o está bloqueado."},"MODS":{"SYNCONGOING":"Ya hay una sincronización en curso.","OPERATIONSONGOING":"Hay otra operación en curso.","LOCALERROR":"Algo ha salido mal al realizar la acción. Inténtalo de nuevo más tarde."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"El usuario debe volver a iniciar sesión con todas sus credenciales.","EXPIREDSESSIONTOKEN":"El usuario debe utilizar la ficha de actualización para crear una nueva ficha de sesión.","SESSIONTOOLOWTRUSTLEVEL":"La sesión no tiene un nivel de confianza suficientemente alto. Vuelve a iniciar sesión con credenciales que proporcionen un nivel de confianza mayor.","INVALIDAUTHENTICATION":"La autenticación facilitada no se puede validar.","REJECTEDBYTHIRDPARTY":"La autenticación fue rechazada por una tercera parte (Steam, PSN, Twitch, etc.).","FORBIDDENACCESS":"En esta sesión está prohibido intentar acceder a datos.","AUTOMATICLOGINFAILURE":"Account.Startup() no pudo iniciar la sesión del usuario automáticamente. Realiza una llamada Account.Login(Credentials) manual."},"MODSUI":{"DELETEACTIVEPLAYSET":"No puedes eliminar el playset actualmente activo.","REPORTMODBLOCKEDTIMELIMIT":"Ya has denunciado este mod y está a la espera de que lo revisen los moderadores.","TOOMANYPLAYSETS":"No puedes tener más de 50 playsets."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"No se puede agregar una publicación en el foro, asegúrese de que su cuenta esté conectada a los foros"}},"WIP":{"CREATE":{"TITLE":"No se ha podido crear un proyecto de mod","MESSAGE":"No hemos podido crear tu proyecto de mod."},"LIST":{"TITLE":"No se pudieron obtener los proyectos de mods","MESSAGE":"No hemos podido obtener los detalles de tu playset."},"DELETE":{"TITLE":"No se ha podido eliminar el proyecto de mod","MESSAGE":"No hemos podido eliminar tu proyecto de mod."},"GET":{"TITLE":"No se ha podido obtener el proyectos de mod","MESSAGE":"No hemos podido obtener los detalles de tu proyecto de mod."},"PUBLISH":{"TITLE":"No se ha podido publicar el proyecto de mod","MESSAGE":"No hemos podido publicar los detalles de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."},"NEW_VERSION":{"TITLE":"No se ha podido publicar la nueva versión del proyecto de mod","MESSAGE":"No hemos podido publicar la nueva versión de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."}},"INPUT":{"EMPTY":"La entrada no puede quedar vacía."}},"PROGRESSBAR":{"QUEUED":"EN COLA"},"MOD_DETAILS":{"HEADER":{"BACK":"Atrás","BY":"Creado por","SIZETEXT":"Tamaño","VERSION":"Ver. de mod","REQUIREDGAMEVERSION":"Ver. de juego recomendada","SUBSCRIPTIONSTOTAL":"Suscriptores","LIKESTOTAL":"Me gusta","AUTHOR":"Autoría"},"AUTHOR":{"TITLE":"Autoría del mod","ALL_MODS_BY_AUTHOR":"Todos los mods de este autor","MORE_FROM_THIS_CREATOR":"Más de este creador"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Añadir al playset activo","SUBSCRIBED":"AÑADIDO","UNSUBSCRIBE":"Quitar del playset activo","INSTALLING":"Instalando...","UNINSTALLING":"Desinstalando...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirma la retirada del mod","TEXT":"¿Seguro que quieres quitar el mod \\"{{name}}\\" ({{size}}) del playset activo?"}},"REQUIREMENT":{"TITLE":"Necesarios","VIEW_ALL":"Ver todos","BACK_TO_MOD_DETAILS":"Volver a los detalles del mod","REQUIRED_MODS":"Mods necesarios ({{modsCount}})","REQUIRED_DLC":"Se requiere DLC ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Para que este mod funcione, se necesitan los siguientes mods","REQUIRED_DLC_MESSAGE":"Para que este mod funcione, se necesitan los siguientes contenidos descargables"},"FORUM_LINKS":{"TITLE":"Más sobre este mod","TOP_THREAD":"Foros de Paradox"},"FORUM_POSTS":{"TITLE":"Discusión","OPEN_FULL_DISCUSSION":"Abrir discusión completa","UNSUPPORTED_FORMATTING":"El mensaje no se puede mostrar aquí porque su formato no es compatible.","GO_TO_POST":"Visita el foro para ver la publicación completa.","OPEN_IN_BROWSER":"Abrir en un explorador","COMMENT_TITLE":"Comenta el mod","REPLYING_TO":"Respondiendo a una publicación de {{user}}","REMOVE_REPLY":"Cancelar","SEND_COMMENT":"Publicar","ADD_COMMENT":"Añadir un comentario...","REFRESH":"Actualizar","LOAD_MORE":"Cargar más","NEW":"New","YOU":"You","REGISTER_TITLE":"Necesitas acceso a los foros de Paradox","REGISTER_INFORMATION":"<0>Su cuenta debe estar vinculada a los foros de Paradox para poder publicar comentarios. Siga el botón a continuación e inicie sesión con su cuenta Paradox para configurar las cosas.</0><1>Si ya ha vinculado su cuenta, espere un momento y vuelva a intentarlo.</1>","OPEN_REGISTER":"Vincula tu cuenta"},"LINKS":{"TITLE":"Más sobre este mod"},"LINKS_MODAL":{"TITLE":"¿Abrir en un explorador web?","TEXT":"¿Quieres abrir esta enlace en un explorador web fuera del juego?"},"CHANGELOG":{"TITLE":"Registro de cambios","V":"v","RELEASED":"Publicado","READ_MORE":"Leer más"},"DESCRIPTION":{"TITLE":"Descripción","READ_MORE":"Leer más"},"INFO":{"TITLE":"Información del mod"},"BANNED":{"TITLE":"Prohibido","INFO":"Este mod se ha retirado de la biblioteca porque infringe nuestros Términos y condiciones."},"OUTDATED":"Este mod no es compatible con tu versión del juego y es posible que no funcione correctamente.","GALLERY":{"NEXT":"Siguiente","PREVIOUS":"Anterior","MISSING_IMAGES":"Aún no hay imágenes de la galería para este mod..."},"TAGS":{"TITLE":"Etiquetas"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Creado por","MODS":"mods","TOTAL_SIZE":"tamaño total","BACK":"Volver a todos los playsets","SUBTITLE":"{{modsCount}} mods, {{mods}} de tamaño total"},"MORE_BUTTON":{"MORE":"Más"},"ACTIVATE_BUTTON":{"ACTIVATE":"Activar","ACTIVATED":"Activado"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Habilitar todos los mods","DISABLE_ALL_MODS":"Deshabilitar todos los mods"},"EMPTY_STATE":{"TITLE":"Todavía no hay mods","DESCRIPTION":"La finalidad de tener playsets es jugar con mods, así que ¿por qué no añades algunos a tu flamante nuevo playset ahora mismo?","ADD_MODS":"Añadir mods"},"LIST":{"AUTHOR":"<0>creado por </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Buscar","APPLY_FILTERS":"Aplicar filtros","APPLY":"Aplicar","OPEN":"Abrir","ADD":"Añadir","BACK":"Atrás","ENABLE_DISABLE":"Habilitar/Deshabilitar","ENABLE":"Habilitar","DISABLE":"Deshabilitar","SUBSCRIBE":"Añadir al playset","UNSUBSCRIBE":"Quitar del playset","CLOSE":"Cerrar","CHANGE_ORDER":"Cambiar orden","RESET_LOAD_ORDER":"Restablecer orden de carga","SCROLL":"Desplazar","DELETE":"Eliminar","DETAILS":"Detalles","ACTIVATE":"Activar","RENAME":"Cambiar nombre","CANCEL":"Cancelar","CONFIRM":"Confirmar","CREATE":"Crear","TOGGLE_ACTION_MENU":"Alternar acciones del menú","SCROLL_TO_TOP":"Ir arriba","LIKE":"Me gusta","REMOVE_LIKE":"Quitar Me gusta","EXPAND":"Ampliar","COLLAPSE":"Reducir","OPEN_WEB_LINK":"Abrir en un explorador web","SELECT":"Seleccionar","REPLY":"Responder"},"CONSOLE_FILTER":{"TITLE":"Filtrar resultados","TAGS":"Etiquetas","FILTER":"Filtro","FILTERED":"Filtradas"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Estás a punto de añadir el mod \\"{{modName}}\\"","INFORMATION":"<0>Este mod depende de {{numberOfDependencies}} mods necesarios (tamaño total: {{totalSizeOfDependencies}}) para funcionar correctamente.</0><1> ¿Quieres añadir automáticamente también estos mods necesarios?</1>","SUBSCRIBE_TO_MODS":"AÑADIR MODS NECESARIOS","IGNORE_MODS":"IGNORAR MODS NECESARIOS","NOT_PUBLISHED_DEPENDENCIES":"<0>Ten en cuenta que algunas dependencias no están disponibles para este mod, de modo que es posible que no funcione correctamente.</0><1>Esto puede deberse a que una dependencia haya sido prohibida, eliminada o de otro modo alterado su estado publicado.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflicto de sincronización de playset","INFORMATION":"El estado del servidor y el estado local del playset no coinciden. ¿Con cuál quieres continuar jugando?","KEEP_CLOUD":"Conservar archivos de la nube","KEEP_LOCAL":"Conservar archivos locales"},"CLOUD":{"TITLE":"Descargar los archivos de la nube a este sistema","INFORMATION":"Los archivos del servidor sobrescribirán los locales. ¿Seguro que quieres continuar?","BACK":"Volver atrás","DOWNLOAD":"Descargar a este sistema"},"LOCAL":{"TITLE":"Cargar los archivos locales al servidor","INFORMATION":"Los archivos locales sobrescribirán los del servidor. ¿Seguro que quieres continuar?","BACK":"Volver atrás","DOWNLOAD":"Cargar al servidor"}},"SYNC":{"TITLE":"Obteniendo las actualizaciones más recientes para tus mods...","INFORMATION":"No puedes explorar mods con una actualización en curso. La actualización continuará, aunque cierres esta ventana.","MODS_DONE":"mods hechos","UPDATING_MOD":"Actualizando mod","STOP_AND_CONTINUE_NEXT_TIME":"Cerrar esta ventana","WAITING_FOR_DOWNLOAD":"Esperando a que empiece la descarga...","CHECKING_MODS":"Comprobando mods...","DOWNLOADING":"Descargando","DONE":"Llévame a la lista","CLOSE":"Cerrar","RESYNC":"Reiniciar sincronización","UNHANDLED_ERROR":"Algunos de tus mods no se han sincronizado correctamente. Elimina los mods fallidos e inténtalo de nuevo.","OUT_OF_SPACE":"No hay suficiente espacio en el disco para las actualizaciones de playsets más recientes. Elimina algunos de tus mods para liberar espacio en el disco.","INSTALLING":{"PREPARING":"Preparando...","PATCHING":"Trasladando archivos...","APPLYING":"Aplicando cambios...","PERMISSIONS":"Actualizando permisos...","CLEANUP":"Limpiando...","":"Instalando"}},"OTHER":{"DLCS":"DLC","MODS":"mods","NO":"No","REQUIRED":"Necesarios"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Buscar mods","REPORT_COMMENT":"Denunciar comentario","CREATE_PLAYSET":"Crear playset","RENAME_PLAYSET":"Cambiar nombre de playset","PUBLISH":{"DISPLAY_NAME":"Establecer nombre para mostrar","GAME_VERSION":"Establecer versión del juego recomendada","CHANGELOG":"Añadir entrada del registro de cambios","DESCRIPTION":"Establecer descripción"}}},"REPORT":{"SECTION_TITLE":"Marcar como inapropiado","INFORMATION_TEXT":"Si crees que este mod infringe nuestros Términos y condiciones, denúncialo para que podamos examinarlo.","BUTTON":"Enviar denuncia","BUTTON_DONE":"Se ha enviado el informe","SUBMIT":"Enviar denuncia","INFORMATION":"Proporciona todos los detalles más abajo y lo enviaremos a nuestro equipo de Control de calidad para su análisis. Gracias por ayudarnos a hacer que Paradox sea mejor y más seguro.","CAPTION":"Motivo de la denuncia","COMMENT_TITLE":"Por favor, indica más detalles:","COMMENT_PLACEHOLDER":"Escribe aquí tu comentario...","THANK_YOU":"Gracias por enviar la denuncia.","THANK_YOU_MESSAGE":"Has denunciado este mod para su revisión. Gracias por ayudarnos a hacer que Paradox Mods sea mejor y más seguro.","MISSING_REASON":"Debes elegir un motivo.","MISSING_DESCRIPTION":"Debes escribir una descripción de la infracción.","CLOSE":"Cerrar ventana","COMMENT_INFORMATION":"Estás a punto de denunciar este mod por su contenido inapropiado.","COMMENT_SUBINFORMATION":"Nos has comunicado que podría estar relacionado con:","PREVIEW_COMMENT":"Tu comentario:","PREVIEW":"Vista previa","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Desnudez","VIOLENCE":"Violencia","HARASSMENT":"Acoso","SPAM":"Spam","COPYRIGHT":"Infracción de copyright","HATE":"Discurso de odio","DOESNOTWORK":"El mod no funciona correctamente","OTHER":"Otro motivo"}},"SEARCH":{"NO_SEARCH_RESULTS":"La búsqueda no ha devuelto resultados","MODS_AVAILABLE":"{{modsAvailable}} mods disponibles"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods instalados"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Borrar búsqueda"},"SEARCH_INPUT":{"PLACEHOLDER":"Buscar mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Activos","ACTIVATE_PLAYSET":"Usar este playset","CREATE_NEW_PLAYSET":{"TITLE":"Crear nuevo playset","NAME":"Nombre","CREATE":"Crear","CANCEL":"Cancelar","KEYBOARD_TITLE":"Escribe un nombre para el nuevo playset","SUCCESS":"Se ha creado el playset \\"{{name}}\\"."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"última actualización: {{updated}}","DELETE":{"TITLE":"Confirmar la eliminación del playset","TEXT":"¿Seguro que quieres eliminar el playset \\"{{name}}\\"?"},"RENAME":{"TITLE":"Cambiar nombre de playset","TEXT":"Cambiar nombre de \\"{{name}}\\""}},"PUBLISH":{"INPUT_DETAILS":"Detalles de mod","DISPLAY_NAME":"Nombre para mostrar *","DISPLAY_NAME_ERROR":"Se necesita un nombre para mostrar","SUGGESTED_GAME_VERSION":"Versión del juego recomendada *","SUGGESTED_GAME_VERSION_ERROR":"Se necesita la versión del juego recomendada","COVER_FILE_NAME":"Nombre de archivo de imagen de portada *","COVER_FILE_NAME_ERROR":"Se necesita el nombre de archivo de la imagen de portada","DESCRIPTION":"Descripción *","DESCRIPTION_ERROR":"Se necesita una descripción","CHANGELOG":"Entrada del registro de cambios *","CHANGELOG_ERROR":"Se necesita la entrada del registro de cambios","PUBLISH_NEW_VERSION":"Publicar nueva versión","PUBLISH_NEW":"Publicar","PUBLISHING_TITLE":"Mod pendiente de publicar","PUBLISHING":"Tu mod se está publicando en estos momentos. Es posible que se tarde un poco en completar la operación."},"LIBRARY":{"PLAYSETS_TITLE":"Mis playsets","CREATIONS_TITLE":"Mis creaciones","IMPORTED_TITLE":"Mis mods importados"},"CONFIRM_MODAL":{"CONFIRM":"Sí","CANCEL":"Cancelar","RENAME":"Cambiar nombre"},"ALERT_MODAL":{"CONFIRM":"Cerrar"},"TOASTS":{"UNSUBSCRIBED_MOD":"El mod se ha eliminado correctamente.","ENABLED_PLAYSET_MODS":"Se han habilitado los mods del playset","DISABLED_PLAYSET_MODS":"Se han deshabilitado los mods del playset","COMMENT_POSTED":"Tu comentario se ha publicado correctamente"},"WIP_MOD":{"CREATE_NEW":"Crear nuevo mod","CREATE_NEW_TEXT":"Crea un nuevo mod de trabajo en curso.","CREATE":"Crear","CANCEL":"Cancelar","DELETE_TITLE":"Eliminar mod WIP","DELETE_TEXT":"¿Seguro que quieres eliminar el mod \\"{{modName}}\\"?","DRAFT_MODS":"{{modCount}} proyectos de mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive, el desarrollador ni Xbox. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox.","PLAYSTATION":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive, el desarrollador ni PlayStation. Si hay al menos un mod activo, se deshabilitará el progreso en todos los trofeos. Paradox Mods se rige por el Contrato de usuario de Paradox.","DEFAULT":"<0>Importante</0>Los mods modifican la experiencia original del juego y no han sido previamente probados ni verificados por Paradox Interactive. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox."},"EXIT":{"CLOSING":"Cerrando...","CLOSE_NOW":"Cerrar ahora","TITLE":"Importante","XBOX":"Si hay al menos un mod habilitado, el progreso en los logros se deshabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","PLAYSTATION":"Si hay al menos un mod habilitado, el progreso en los trofeos se deshabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","DEFAULT":"Si hay al menos un mod habilitado, el progreso en los logros se inhabilitará hasta que vuelvas a deshabilitar los mods. ¿Seguro que quieres continuar?","CONFIRM":"Sí, conservar los mods y volver al menú principal","CANCEL":"Volver a Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Ver detalles","READ_MORE":"Leer más"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Explorar todo","LOAD_MORE":"CARGAR MÁS","MOST_POPULAR":"Mods más populares"}}}'),"es-MX":JSON.parse('{"TOP_MENU":{"START":"Destacados","BROWSE_ALL":"Explorar","INSTALLED":"Instalados","INSTALLED_MODS":"Biblioteca","IMPORTED_MODS":"Mods exportados","PLAYSETS":"Playsets","PUBLISH":"Mis creaciones","LIBRARY":"Mi biblioteca"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nuevo playset","PLAYSET":"Playset activo","DROPDOWN_LABEL":"Seleccionar playsets activos","DEACTIVATED_PLAYSETS":"No hay playsets activos","DEACTIVATE_PLAYSET":"No hay playsets activos","ACTIVE_PLAYSET":"PLAYSET ACTIVO: {{playsetName}}"},"FILTER":{"HEADING":"Filtro","CLEAR_ALL":"Borrar todo","TAGS":"Etiquetas"},"LIST":{"ENABLED":"Habilitado","DISABLED":"Deshabilitado","EMPTY_STATE":{"TITLE":"No hay mods instalados","TEXT":"¡Con mods, los juegos pueden ser mucho más divertidos! Usa el botón de abajo para explorar todos los mods y regresa cuando tengas instalado uno o más.","BUTTON":"EXPLORAR TODOS LOS MODS"},"RESET_ACTIVATION_ORDER":"Reiniciar orden de carga","BANNED_MOD":"Este mod se prohibió","OFFLINE":"SIN CONEXIÓN","ADD_TO_PLAYSET":"Agregar al playset activo","REMOVE_FROM_PLAYSET":"Quitar del playset activo","SUBSCRIBERS":"{{formattedCount}} suscriptor","SUBSCRIBERS_plural":"{{formattedCount}} suscriptores"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Más antiguo","MOST_RECENT":"Más reciente","MOST_SUBSCRIBED":"Más suscriptores","HIGHEST_RATED":"Valoración más alta","MOST_PLAYSETS":"En más playsets","LEAST_PLAYSETS":"En menos playsets","SORT_BY":"Ordenar por","BEST":"Mejor","MOST_POPULAR":"Más popular","LAST_UPDATED":"Actualización más reciente"},"ERROR":{"PARADOX_SERVICES_DOWN":"Lo sentimos, los servicios de Paradox Mods no pudieron completar la solicitud.","BUTTONS":{"CLOSE":"Cerrar"},"SET_USER_RATING":{"TITLE":"No se pudo establecer la valoración de los usuarios del mod","MESSAGE":"No pudimos establecer una nueva valoración de los usuarios para este mod."},"GET_USER_RATING":{"TITLE":"No se pudo obtener la valoración de los usuarios del mod","MESSAGE":"No pudimos obtener la valoración de los usuarios para este mod."},"LOAD_MORE":{"TITLE":"No se pudieron cargar más mods","MESSAGE":"Esta vez, no pudimos cargar más mods mientras te desplazabas."},"SEARCH":{"TITLE":"No se pudieron buscar mods","MESSAGE":"Esta vez, no pudimos buscar mods."},"SUBSCRIBE":{"TITLE":"No se pudo agregar el mod","MESSAGE":"Esta vez, no pudimos agregar el mod."},"UNSUBSCRIBE":{"TITLE":"No se pudo quitar el mod","MESSAGE":"Esta vez, no pudimos quitar el mod."},"MOD_DETAILS":{"TITLE":"No se pudieron obtener los detalles del mod","MESSAGE":"Esta vez, no pudimos obtener los detalles del mod."},"USER_RATING":{"TITLE":"No se pudo obtener la valoración de usuario","MESSAGE":"Esta vez, no pudimos obtener tu valoración de usuario."},"MOD_RATING":{"TITLE":"No se pudo obtener la valoración del mod","MESSAGE":"No pudimos obtener la valoración del mod."},"ENABLE":{"TITLE":"No se pudo habilitar el mod","MESSAGE":"Por ahora no podemos habilitar este mod."},"DISABLE":{"TITLE":"No se pudo deshabilitar el mod","MESSAGE":"Por ahora no podemos deshabilitar este mod."},"ENABLE_PLAYSET_MODS":{"TITLE":"No se pudieron habilitar los mods del playset","MESSAGE":"Por ahora no podemos habilitar los mods de este playset."},"DISABLE_PLAYSET_MODS":{"TITLE":"No se pudieron deshabilitar los mods del playset","MESSAGE":"Por ahora no podemos deshabilitar los mods de este playset."},"GETSUBSCRIBED":{"TITLE":"No se pudieron obtener tus mods agregados","MESSAGE":"Por ahora no podemos obtener tus mods agregados."},"GET_FORUM_POSTS":{"TITLE":"No se pudo obtener el hilo de la discusión","MESSAGE":"No pudimos obtener el hilo de la discusión."},"SEND_FORUM_POST":{"TITLE":"No se pudo publicar el hilo de la discusión","MESSAGE":"No pudimos agregar una publicación al hilo de la discusión."},"GET_GAME_VERSION":{"TITLE":"No se pudo obtener la versión del juego","MESSAGE":"No pudimos obtener la versión del juego."},"GET_ALL_DEPENDENCIES":{"TITLE":"No se pudieron obtener las dependencias","MESSAGE":"No pudimos obtener las dependencias."},"REPORT_MOD":{"TITLE":"No se pudo denunciar el mod","MESSAGE":"No pudimos denunciar el mod."},"GET_GAME_DATA":{"TITLE":"No se pudo obtener la información del juego","MESSAGE":"No pudimos obtener la información del juego."},"SET_ACTIVATION_ORDER":{"TITLE":"No se pudo establecer el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"RESET_ACTIVATION_ORDER":{"TITLE":"No se pudo reiniciar el orden de activación","MESSAGE":"Por ahora no podemos cambiar el orden de activación."},"SCREEN_KEYBOARD":{"TITLE":"No se pudo abrir el teclado en pantalla","MESSAGE":"No pudimos abrir el teclado en pantalla."},"PLAYSETS":{"TITLE":"No se pudieron obtener los playsets","MESSAGE":"Esta vez, no pudimos obtener tu playsets."},"PLAYSET_DETAILS":{"TITLE":"No se pudieron obtener los detalles del playset","MESSAGE":"Esta vez, no pudimos obtener los detalles de tu playset."},"PLAYSET_DELETE":{"TITLE":"No se pudo eliminar el playset","MESSAGE":"Esta vez, no pudimos eliminar tu playset."},"PLAYSET_RENAME":{"TITLE":"No se pudo cambiar el nombre del playset","MESSAGE":"Esta vez, no pudimos cambiar el nombre de tu playset."},"PLAYSET_MODS":{"TITLE":"No se pudieron obtener los mods del playset","MESSAGE":"Esta vez, no pudimos recuperar tus mods."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"No se pudo checar si tienes mods habilitados","MESSAGE":"Esta vez, no pudimos verificar si tu playset activo tiene mods habilitados."},"CREATE_PLAYSET":{"TITLE":"No se pudo crear un nuevo playset","MESSAGE":"Esta vez, no pudimos crear un nuevo playset."},"ACTIVATE_PLAYSET":{"TITLE":"No se pudo activar el playset","MESSAGE":"Esta vez, no pudimos activar tu playset."},"DEACTIVATE_PLAYSET":{"TITLE":"No se pudo desactivar el playset","MESSAGE":"Esta vez, no pudimos desactivar tu playset."},"DEACTIVATED_PLAYSET":{"TITLE":"No se pudo agregar el mod","MESSAGE":"Para poder agregar un mod, debes tener un playset activo."},"ACTIVE_PLAYSET":{"TITLE":"No se pudieron obtener playsets activos","MESSAGE":"Esta vez, no pudimos obtener tu playset activo."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"No has iniciado sesión.","MESSAGE":"Parece que no iniciaste sesión en tu cuenta de Paradox. Antes de usar este servicio, crea una cuenta e inicia sesión."},"OFFLINE":{"TITLE":"No tienes conexión.","MESSAGE":"Parece que en estos momento no puedes conectarte a internet. Sin embargo, todavía puedes habilitar, deshabilitar y cambiar el orden de carga de tus mods instalados."},"SYNC":{"TITLE":"Algo salió mal al sincronizar los mods","MESSAGE":"Parece que algo salió mal mientras se sincronizaban los mods."},"DEFAULT":{"TITLE":"Algo salió mal.","MESSAGE":"Lo sentimos, pero algo salió mal con tu solicitud. Cierra e inténtalo de nuevo."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"No se pudo completar la operación porque el disco está lleno.","THIRDPARTYEXCEPTION":"Algo salió mal en la biblioteca de un tercero que estamos usando.","DBERROR":"Hay un problema con la base de datos del lado del servidor.","DISKPERMISSIONERROR":"No parece que tengas permiso para acceder al disco actual.","FILEIOERROR":"Se produjo un error al escribir o leer del disco.","REMOTELOGOUTFAILED":"Ha surgido un problema al cerrar sesión en el servidor. Los estados de la sesión local y del servidor pueden estar desincronizados.","INTERNALERROR":"Se produjo un error interno sin especificar."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"El cuerpo de la respuesta del servidor no se pudo procesar porque no está bien formado.","HTTPREQUESTERROR":"La solicitud del servidor falló debido a una desconexión, a un error de DNS o a un problema similar.","NETWORKSENDERROR":"Se produjo un error sin especificar al enviar datos al servidor.","TASKTIMEOUTERROR":"La solicitud al servidor ha expirado.","UNEXPECTEDRESPONSEERROR":"La respuesta del servidor no está bien formada o no contenía todos los datos necesarios.","NORESPONSEBODY":"La respuesta del servidor no tiene cuerpo.","MODDOWNLOADFAILEDERROR":"Los metadatos del mod estaban sincronizados, pero la descarga falló. En la próxima sincronización se intentará la descarga de nuevo."},"NOTFOUND":{"NOACCOUNT":"No se pudo encontrar la cuenta del usuario.","NODOCUMENT":"No se pudo encontrar el documento.","NOMERGETASK":"No se pudo encontrar la tarea de fusión.","NOMOD":"No se pudo encontrar el mod.","NOMODVERSION":"No se pudo encontrar la versión solicitada del mod.","NOMODPLAYSET":"No se pudo encontrar o acceder al playset solicitado.","NOPROFILE":"No se pudo encontrar el perfil.","NOACHIEVEMENT":"No se pudo encontrar el logro.","NORESOURCE":"No se pudo encontrar el recurso solicitado."},"INVALIDSTATE":{"NOTLOGGEDIN":"El usuario no ha iniciado sesión.","MODDISABLED":"El mod se ha eliminado o está bloqueado."},"MODS":{"SYNCONGOING":"Ya hay una sincronización en curso.","OPERATIONSONGOING":"Hay otra operación en curso.","LOCALERROR":"Algo salió mal al realizar la acción. Inténtalo de nuevo más tarde."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"El usuario debe iniciar sesión de nuevo con todas sus credenciales.","EXPIREDSESSIONTOKEN":"El usuario debe utilizar la ficha de actualización para crear una nueva ficha de sesión.","SESSIONTOOLOWTRUSTLEVEL":"La sesión no tiene un nivel de confianza suficientemente alto. Inicia sesión de nuevo con credenciales que proporcionen un nivel de confianza mayor.","INVALIDAUTHENTICATION":"La autenticación ingresada no se puede validar.","REJECTEDBYTHIRDPARTY":"La autenticación fue rechazada por una tercera parte (Steam, PSN, Twitch, etc.).","FORBIDDENACCESS":"En esta sesión está prohibido intentar acceder a datos.","AUTOMATICLOGINFAILURE":"Account.Startup() no pudo iniciar la sesión del usuario automáticamente. Realiza una llamada Account.Login(Credentials) manual."},"MODSUI":{"DELETEACTIVEPLAYSET":"No puedes eliminar el playset activo actualmente.","REPORTMODBLOCKEDTIMELIMIT":"Ya denunciaste este mod y está a la espera de que lo revisen nuestros moderadores.","TOOMANYPLAYSETS":"No puedes tener más de 50 playsets."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"No se puede agregar una publicación en el foro, asegúrese de que su cuenta esté conectada a los foros"}},"WIP":{"CREATE":{"TITLE":"No se pudo crear un proyecto de mod","MESSAGE":"No pudimos crear tu proyecto de mod."},"LIST":{"TITLE":"No se pudieron obtener los proyectos de mods","MESSAGE":"No pudimos obtener los detalles de tu playset."},"DELETE":{"TITLE":"No se pudo eliminar el proyecto de mod","MESSAGE":"No pudimos eliminar tu proyecto de mod."},"GET":{"TITLE":"No se pudo obtener el proyectos de mod","MESSAGE":"No pudimos obtener los detalles de tu proyecto de mod."},"PUBLISH":{"TITLE":"No se pudo publicar el proyecto de mod","MESSAGE":"No pudimos publicar los detalles de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."},"NEW_VERSION":{"TITLE":"No se pudo publicar la nueva versión del proyecto de mod","MESSAGE":"No pudimos publicar la nueva versión de tu proyecto de mod. Comprueba que no falta contenido ni la imagen de portada."}},"INPUT":{"EMPTY":"La entrada no puede quedar vacía."}},"PROGRESSBAR":{"QUEUED":"EN COLA"},"MOD_DETAILS":{"HEADER":{"BACK":"Atrás","BY":"Creado por","SIZETEXT":"Tamaño","VERSION":"Ver. de mod","REQUIREDGAMEVERSION":"Ver. de juego recomendada","SUBSCRIPTIONSTOTAL":"Suscriptores","LIKESTOTAL":"Me gusta","AUTHOR":"Autoría"},"AUTHOR":{"TITLE":"Autoría de mod","ALL_MODS_BY_AUTHOR":"Todos los mods de este autor","MORE_FROM_THIS_CREATOR":"Más de este creador"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Agregar al playset activo","SUBSCRIBED":"AGREGADO","UNSUBSCRIBE":"Quitar del playset activo","INSTALLING":"Instalando...","UNINSTALLING":"Desinstalando...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirma la eliminación del mod","TEXT":"¿Seguro que quieres guitar el mod \\"{{name}}\\" ({{size}}) del playset activo?"}},"REQUIREMENT":{"TITLE":"Necesarios","VIEW_ALL":"Ver todos","BACK_TO_MOD_DETAILS":"Regresar a los detalles del mod","REQUIRED_MODS":"Mods requeridos ({{modsCount}})","REQUIRED_DLC":"Requiere DLC ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Para que este mod funcione, se requieren los mods siguientes","REQUIRED_DLC_MESSAGE":"Para que este mod funcione, se requieren los contenidos descargables siguientes"},"FORUM_LINKS":{"TITLE":"Más sobre este mod","TOP_THREAD":"Foros de Paradox"},"FORUM_POSTS":{"TITLE":"Discusión","OPEN_FULL_DISCUSSION":"Abrir discusión completa","UNSUPPORTED_FORMATTING":"Este mensaje no se puede mostrar aquí porque tiene un formato no compatible.","GO_TO_POST":"Entra al foro para ver la publicación completa.","OPEN_IN_BROWSER":"Abrir en un explorador","COMMENT_TITLE":"Comentar el mod","REPLYING_TO":"En respuesta a una publicación de {{user}}","REMOVE_REPLY":"Cancelar","SEND_COMMENT":"Publicar","ADD_COMMENT":"Agrega un comentario...","REFRESH":"Actualizar","LOAD_MORE":"Cargar más","NEW":"New","YOU":"You","REGISTER_TITLE":"Necesitas acceso a los foros de Paradox","REGISTER_INFORMATION":"<0>Su cuenta debe estar vinculada a los foros de Paradox para poder publicar comentarios. Siga el botón a continuación e inicie sesión con su cuenta Paradox para configurar las cosas.</0><1>Si ya ha vinculado su cuenta, espere un momento y vuelva a intentarlo.</1>","OPEN_REGISTER":"Vincula tu cuenta"},"LINKS":{"TITLE":"Más sobre este mod"},"LINKS_MODAL":{"TITLE":"¿Abrir en un explorador web?","TEXT":"¿Quieres abrir esta enlace en un explorador web fuera del juego?"},"CHANGELOG":{"TITLE":"Registro de cambios","V":"v","RELEASED":"Publicado","READ_MORE":"Más información"},"DESCRIPTION":{"TITLE":"Descripción","READ_MORE":"Más información"},"INFO":{"TITLE":"Información de mod"},"BANNED":{"TITLE":"Prohibido","INFO":"Este mod se retiró de la biblioteca porque infringe nuestros Términos y condiciones."},"OUTDATED":"Este mod no es compatible con tu versión del juego y es posible que no funcione correctamente.","GALLERY":{"NEXT":"Siguiente","PREVIOUS":"Ant.","MISSING_IMAGES":"Aún no hay imágenes de la galería para este mod..."},"TAGS":{"TITLE":"Etiquetas"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"creado por","MODS":"mods","TOTAL_SIZE":"tamaño total","BACK":"Regresar a todos los playsets","SUBTITLE":"{{modsCount}} mods, {{mods}} de tamaño total"},"MORE_BUTTON":{"MORE":"Más"},"ACTIVATE_BUTTON":{"ACTIVATE":"Activar","ACTIVATED":"Activado"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Habilitar todos los mods","DISABLE_ALL_MODS":"Deshabilitar todos los mods"},"EMPTY_STATE":{"TITLE":"Aún no hay mods","DESCRIPTION":"La finalidad de tener playsets es jugar con mods. ¿Por qué no agregas algunos a tu nuevo playset ahora mismo?","ADD_MODS":"Agregar mods"},"LIST":{"AUTHOR":"<0>creado por </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Buscar","APPLY_FILTERS":"Aplicar filtros","APPLY":"Aplicar","OPEN":"Abrir","ADD":"Agregar","BACK":"Atrás","ENABLE_DISABLE":"Habilitar/Deshabilitar","ENABLE":"Habilitar","DISABLE":"Deshabilitar","SUBSCRIBE":"Agregar al playset","UNSUBSCRIBE":"Quitar del playset","CLOSE":"Cerrar","CHANGE_ORDER":"Cambiar orden","RESET_LOAD_ORDER":"Reiniciar orden de carga","SCROLL":"Desplazar","DELETE":"Eliminar","DETAILS":"Detalles","ACTIVATE":"Activar","RENAME":"Renombrar","CANCEL":"Cancelar","CONFIRM":"Confirmar","CREATE":"Crear","TOGGLE_ACTION_MENU":"Alternar acciones del menú","SCROLL_TO_TOP":"Desplazarse arriba","LIKE":"Me gusta","REMOVE_LIKE":"Quitar Me gusta","EXPAND":"Expandir","COLLAPSE":"Reducir","OPEN_WEB_LINK":"Abrir en un explorador web","SELECT":"Seleccionar","REPLY":"Responder"},"CONSOLE_FILTER":{"TITLE":"Filtrar resultados","TAGS":"Etiquetas","FILTER":"Filtro","FILTERED":"Filtradas"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Estás a punto de agregar el mod \\"{{modName}}\\"","INFORMATION":"<0>Este mod depende de {{numberOfDependencies}} mods necesarios (tamaño total: {{totalSizeOfDependencies}}) para funcionar correctamente.</0><1> ¿Quieres agregar automáticamente también estos mods necesarios?</1>","SUBSCRIBE_TO_MODS":"AGREGAR MODS NECESARIOS","IGNORE_MODS":"IGNORAR MODS NECESARIOS","NOT_PUBLISHED_DEPENDENCIES":"<0>Ten en cuenta que algunas dependencias no están disponibles para este mod, de modo que es posible que no funcione correctamente.</0><1>Esto puede deberse a que una dependencia se prohibiera, eliminara o de otro modo alterara su estado publicado.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflicto de sincronización de playset","INFORMATION":"El estado del servidor y el estado local del playset no coinciden. ¿Con cuál quieres continuar jugando?","KEEP_CLOUD":"Conservar archivos de la nube","KEEP_LOCAL":"Conservar archivos locales"},"CLOUD":{"TITLE":"Descargar los archivos de la nube a este sistema","INFORMATION":"Los archivos del servidor sobrescribirán los locales. ¿Seguro que quieres continuar?","BACK":"Atrás","DOWNLOAD":"Descargar a este sistema"},"LOCAL":{"TITLE":"Cargar los archivos locales al servidor","INFORMATION":"Los archivos locales sobrescribirán los del servidor. ¿Seguro que quieres continuar?","BACK":"Atrás","DOWNLOAD":"Cargar al servidor"}},"SYNC":{"TITLE":"Obteniendo las actualizaciones más recientes para tus mods...","INFORMATION":"No puedes explorar mods con una actualización en curso. La actualización continuará, aunque cierres esta ventana.","MODS_DONE":"mods hechos","UPDATING_MOD":"Actualizando mod","STOP_AND_CONTINUE_NEXT_TIME":"Cerrar esta ventana","WAITING_FOR_DOWNLOAD":"Esperando a que comience la descarga...","CHECKING_MODS":"Checando mods...","DOWNLOADING":"Descargando","DONE":"Llévame a la lista","CLOSE":"Cerrar","RESYNC":"Reiniciar sincronización","UNHANDLED_ERROR":"Algunos de tus mods no se sincronizaron correctamente. Elimina los mods fallidos e inténtalo de nuevo.","OUT_OF_SPACE":"No hay suficiente espacio en el disco para las actualizaciones de playsets más recientes. Elimina algunos de tus mods para liberar espacio en el disco.","INSTALLING":{"PREPARING":"Preparando...","PATCHING":"Trasladando archivos...","APPLYING":"Aplicando cambios...","PERMISSIONS":"Actualizando permisos...","CLEANUP":"Limpiando...","":"Instalando"}},"OTHER":{"DLCS":"DLC","MODS":"mods","NO":"No","REQUIRED":"Necesarios"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Buscar mods","REPORT_COMMENT":"Denunciar comentario","CREATE_PLAYSET":"Crear playset","RENAME_PLAYSET":"Renombrar playset","PUBLISH":{"DISPLAY_NAME":"Establecer nombre para mostrar","GAME_VERSION":"Establecer versión del juego recomendada","CHANGELOG":"Agregar entrada del registro de cambios","DESCRIPTION":"Establecer descripción"}}},"REPORT":{"SECTION_TITLE":"Marcar como inapropiado","INFORMATION_TEXT":"Si crees que este mod infringe nuestros Términos y condiciones, denúncialo para que podamos examinarlo.","BUTTON":"Enviar denuncia","BUTTON_DONE":"El informe se envió","SUBMIT":"Enviar denuncia","INFORMATION":"Proporciona todos los detalles más abajo y lo enviaremos a nuestro equipo de Control de calidad para su análisis. Gracias por ayudarnos a hacer que Paradox sea mejor y más seguro.","CAPTION":"Motivo de la denuncia","COMMENT_TITLE":"Por favor, indica más detalles:","COMMENT_PLACEHOLDER":"Escribe aquí tu comentario...","THANK_YOU":"Gracias por enviar la denuncia.","THANK_YOU_MESSAGE":"Has denunciado este mod para su revisión. Gracias por ayudarnos a hacer que Paradox Mods sea mejor y más seguro.","MISSING_REASON":"Debes elegir un motivo.","MISSING_DESCRIPTION":"Debes escribir una descripción de la infracción.","CLOSE":"Cerrar ventana","COMMENT_INFORMATION":"Estás a punto de denunciar este mod por su contenido inapropiado.","COMMENT_SUBINFORMATION":"Nos comunicaste que podría estar relacionado con:","PREVIEW_COMMENT":"Tu comentario:","PREVIEW":"Vista previa","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Desnudez","VIOLENCE":"Violencia","HARASSMENT":"Acoso","SPAM":"Spam","COPYRIGHT":"Infracción de copyright","HATE":"Discurso de odio","DOESNOTWORK":"El mod no funciona correctamente","OTHER":"Otro motivo"}},"SEARCH":{"NO_SEARCH_RESULTS":"La búsqueda no devolvió resultados","MODS_AVAILABLE":"{{modsAvailable}} mods disponibles"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods instalados"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Borrar búsqueda"},"SEARCH_INPUT":{"PLACEHOLDER":"Buscar mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Activos","ACTIVATE_PLAYSET":"Usar este playset","CREATE_NEW_PLAYSET":{"TITLE":"Crear nuevo playset","NAME":"Nombre","CREATE":"Crear","CANCEL":"Cancelar","KEYBOARD_TITLE":"Escribe un nombre para el nuevo playset","SUCCESS":"Se creó el playset \\"{{name}}\\"."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"última actualización: {{updated}}","DELETE":{"TITLE":"Confirmar la eliminación del playset","TEXT":"¿Seguro que quieres eliminar el playset \\"{{name}}\\"?"},"RENAME":{"TITLE":"Renombrar playset","TEXT":"Renombrar \\"{{name}}\\""}},"PUBLISH":{"INPUT_DETAILS":"Detalles de mod","DISPLAY_NAME":"Nombre para mostrar *","DISPLAY_NAME_ERROR":"Se requiere un nombre para mostrar","SUGGESTED_GAME_VERSION":"Versión del juego recomendada *","SUGGESTED_GAME_VERSION_ERROR":"Se requiere la versión del juego recomendada","COVER_FILE_NAME":"Nombre de archivo de imagen de portada *","COVER_FILE_NAME_ERROR":"Se requiere el nombre de archivo de la imagen de portada","DESCRIPTION":"Descripción *","DESCRIPTION_ERROR":"Se requiere una descripción","CHANGELOG":"Entrada del registro de cambios *","CHANGELOG_ERROR":"Se requiere la entrada del registro de cambios","PUBLISH_NEW_VERSION":"Publicar nueva versión","PUBLISH_NEW":"Publicar","PUBLISHING_TITLE":"Mod pendiente de publicación","PUBLISHING":"Tu mod se está publicando en estos momentos. Es posible que se tarde un poco en completar la operación."},"LIBRARY":{"PLAYSETS_TITLE":"Mis playsets","CREATIONS_TITLE":"Mis creaciones","IMPORTED_TITLE":"Mis mods importados"},"CONFIRM_MODAL":{"CONFIRM":"Sí","CANCEL":"Cancelar","RENAME":"Renombrar"},"ALERT_MODAL":{"CONFIRM":"Cerrar"},"TOASTS":{"UNSUBSCRIBED_MOD":"El mod se eliminó correctamente.","ENABLED_PLAYSET_MODS":"Se habilitaron los mods del playset","DISABLED_PLAYSET_MODS":"Se deshabilitaron los mods del playset","COMMENT_POSTED":"Tu comentario se publicó con éxito"},"WIP_MOD":{"CREATE_NEW":"Crear nuevo mod","CREATE_NEW_TEXT":"Crea un nuevo mod de trabajo en curso.","CREATE":"Crear","CANCEL":"Cancelar","DELETE_TITLE":"Eliminar mod WIP","DELETE_TEXT":"¿Seguro que quieres eliminar el mod \\"{{modName}}\\"?","DRAFT_MODS":"{{modCount}} proyectos de mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Importante</0>Los mods modifican la experiencia original del juego y no fueron probados ni verificados previamente por Paradox Interactive, el desarrollador ni Xbox. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox.","PLAYSTATION":"<0>Importante</0>Los mods modifican la experiencia original del juego y no fueron probados ni verificados previamente por Paradox Interactive, el desarrollador ni PlayStation. Si hay al menos un mod activo, se deshabilitará el progreso en todos los trofeos. Paradox Mods se rige por el Contrato de usuario de Paradox.","DEFAULT":"<0>Importante</0>Los mods modifican la experiencia original del juego y no fueron probados ni verificados previamente por Paradox Interactive. Si hay al menos un mod activo, se deshabilitará el progreso en todos los logros. Paradox Mods se rige por el Contrato de usuario de Paradox."},"EXIT":{"CLOSING":"Cerrando...","CLOSE_NOW":"Cerrar ahora","TITLE":"Importante","XBOX":"Si hay al menos un mod habilitado, el progreso en los logros se deshabilitará hasta que deshabilites los mods de nuevo. ¿Seguro que quieres continuar?","PLAYSTATION":"Si hay al menos un mod habilitado, el progreso en los trofeos se deshabilitará hasta que deshabilites los mods de nuevo. ¿Seguro que quieres continuar?","DEFAULT":"Si hay al menos un mod habilitado, el progreso en los logros se inhabilitará hasta que deshabilites los mods de nuevo. ¿Seguro que quieres continuar?","CONFIRM":"Sí, conservar los mods y regresar al menú principal","CANCEL":"Regresar a Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Ver detalles","READ_MORE":"Más información"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Explorar todo","LOAD_MORE":"CARGAR MÁS","MOST_POPULAR":"Mods más populares"}}}'),fr:JSON.parse('{"TOP_MENU":{"START":"En vedette","BROWSE_ALL":"Parcourir","INSTALLED":"Installé","INSTALLED_MODS":"Bibliothèque","IMPORTED_MODS":"Mods importés","PLAYSETS":"Playsets","PUBLISH":"Mes créations","LIBRARY":"Ma bibliothèque"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nouveau playset","PLAYSET":"Playset actif","DROPDOWN_LABEL":"Sélectionner le playset actif","DEACTIVATED_PLAYSETS":"Aucun playset actif","DEACTIVATE_PLAYSET":"Aucun playset actif","ACTIVE_PLAYSET":"PLAYSET ACTIF : {{playsetName}}"},"FILTER":{"HEADING":"Filtre","CLEAR_ALL":"Tout supprimer","TAGS":"Balises"},"LIST":{"ENABLED":"Activé","DISABLED":"Désactivé","EMPTY_STATE":{"TITLE":"Aucun mod installé","TEXT":"Les mods peuvent pimenter une partie ! Touchez le bouton ci-dessous pour parcourir les mods et revenez lorsque vous en aurez installé au moins un.","BUTTON":"PARCOURIR LES MODS"},"RESET_ACTIVATION_ORDER":"Réinitialiser l\'ordre de chargement","BANNED_MOD":"Ce mod a été banni","OFFLINE":"HORS-LIGNE","ADD_TO_PLAYSET":"Ajouter au playset actif","REMOVE_FROM_PLAYSET":"Supprimer du playset actif","SUBSCRIBERS":"{{formattedCount}} abonné","SUBSCRIBERS_plural":"{{formattedCount}} abonnés"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Plus ancien","MOST_RECENT":"Plus récent","MOST_SUBSCRIBED":"Le plus d\'abonnés","HIGHEST_RATED":"Mieux noté","MOST_PLAYSETS":"Dans la plupart des playsets","LEAST_PLAYSETS":"Dans le moins de playsets","SORT_BY":"Classer selon","BEST":"Meilleurs","MOST_POPULAR":"Plus populaire","LAST_UPDATED":"Mis à jour en dernier"},"ERROR":{"PARADOX_SERVICES_DOWN":"Veuillez nous excuser, les services Paradox Mods n\'ont pas pu répondre à la demande.","BUTTONS":{"CLOSE":"Fermer"},"SET_USER_RATING":{"TITLE":"Échec de l\'évaluation utilisateur pour le mod","MESSAGE":"Nous ne sommes pas parvenus à définir une nouvelle évaluation utilisateur pour ce mod."},"GET_USER_RATING":{"TITLE":"Échec d\'obtention d\'une évaluation utilisateur pour le mod","MESSAGE":"Nous ne sommes pas parvenus à obtenir une nouvelle évaluation utilisateur pour ce mod."},"LOAD_MORE":{"TITLE":"Échec du chargement d\'autres mods","MESSAGE":"Nous ne sommes pas parvenus à charger d\'autres mods pendant votre navigation."},"SEARCH":{"TITLE":"Échec de recherche de mods","MESSAGE":"Nous ne sommes pas parvenus à chercher d\'autres mods."},"SUBSCRIBE":{"TITLE":"Échec d\'ajout de mod","MESSAGE":"Nous ne sommes pas parvenus à ajouter le mod."},"UNSUBSCRIBE":{"TITLE":"Échec de suppression de mod","MESSAGE":"Nous ne sommes pas parvenus à supprimer le mod."},"MOD_DETAILS":{"TITLE":"Échec de récupération des infos de mod","MESSAGE":"Nous ne sommes pas parvenus à récupérer les infos du mod."},"USER_RATING":{"TITLE":"Échec de récupération de l\'évaluation utilisateur","MESSAGE":"Nous ne sommes pas parvenus à récupérer votre évaluation utilisateur."},"MOD_RATING":{"TITLE":"Échec de récupération de l\'évaluation du mod","MESSAGE":"Nous ne sommes pas parvenus à récupérer l\'évaluation du mod."},"ENABLE":{"TITLE":"Échec d\'activation du mod","MESSAGE":"Nous ne sommes pas parvenus à activer ce mod pour le moment."},"DISABLE":{"TITLE":"Échec de désactivation du mod","MESSAGE":"Nous ne sommes pas parvenus à désactiver ce mod pour le moment."},"ENABLE_PLAYSET_MODS":{"TITLE":"Échec d\'activation des mods du playset","MESSAGE":"Nous ne sommes pas parvenus à activer les mods de ce playset pour le moment."},"DISABLE_PLAYSET_MODS":{"TITLE":"Échec de désactivation des mods du playset","MESSAGE":"Nous ne sommes pas parvenus à désactiver les mods de ce playset pour le moment."},"GETSUBSCRIBED":{"TITLE":"Échec de récupération de vos mods ajoutés","MESSAGE":"Nous ne sommes pas parvenus à récupérer vos mods ajoutés pour le moment."},"GET_FORUM_POSTS":{"TITLE":"Échec de récupération du fil de discussion","MESSAGE":"Nous ne sommes pas parvenus à récupérer le fil de discussion."},"SEND_FORUM_POST":{"TITLE":"Échec de publication dans le fil de discussion","MESSAGE":"Nous ne sommes pas parvenus à ajouter une publication au fil de discussion."},"GET_GAME_VERSION":{"TITLE":"Échec de récupération de la version du jeu","MESSAGE":"Nous ne sommes pas parvenus à récupérer la version du jeu."},"GET_ALL_DEPENDENCIES":{"TITLE":"Échec de récupération des dépendances","MESSAGE":"Nous ne sommes pas parvenus à récupérer les dépendances."},"REPORT_MOD":{"TITLE":"Échec du signalement de mod","MESSAGE":"Nous ne sommes pas parvenus à signaler le mod."},"GET_GAME_DATA":{"TITLE":"Échec de récupération des données de jeu","MESSAGE":"Nous ne sommes pas parvenus à récupérer les données de jeu."},"SET_ACTIVATION_ORDER":{"TITLE":"Échec de création d\'un ordre de chargement","MESSAGE":"Nous ne sommes pas parvenus à changer l\'ordre de chargement pour le moment."},"RESET_ACTIVATION_ORDER":{"TITLE":"Échec de réinitialisation de l\'ordre de chargement","MESSAGE":"Nous ne sommes pas parvenus à changer l\'ordre de chargement pour le moment."},"SCREEN_KEYBOARD":{"TITLE":"Échec d\'ouverture du clavier virtuel","MESSAGE":"Nous ne sommes pas parvenus à ouvrir le clavier virtuel."},"PLAYSETS":{"TITLE":"Échec de récupération des playsets","MESSAGE":"Nous ne sommes pas parvenus à récupérer vos playsets."},"PLAYSET_DETAILS":{"TITLE":"Échec de récupération des infos de playset","MESSAGE":"Nous ne sommes pas parvenus à récupérer vos données de playset."},"PLAYSET_DELETE":{"TITLE":"Échec de suppression du playset","MESSAGE":"Nous ne sommes pas parvenus à supprimer votre playset."},"PLAYSET_RENAME":{"TITLE":"Le playset n\'a pas été renommé","MESSAGE":"Nous ne sommes pas parvenus à renommer votre playset."},"PLAYSET_MODS":{"TITLE":"Échec de récupération de mods de playset","MESSAGE":"Nous ne sommes pas parvenus à récupérer vos mods."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Échec de vérification des mods activés","MESSAGE":"Nous ne sommes pas parvenus à vérifier si votre playset dispose de mods actifs."},"CREATE_PLAYSET":{"TITLE":"Échec de création d\'un nouveau playset","MESSAGE":"Nous ne sommes pas parvenus à créer un nouveau playset."},"ACTIVATE_PLAYSET":{"TITLE":"Échec d\'activation de playset","MESSAGE":"Nous ne sommes pas parvenus à activer votre playset."},"DEACTIVATE_PLAYSET":{"TITLE":"Échec de désactivation de playset","MESSAGE":"Nous ne sommes pas parvenus à désactiver votre playset."},"DEACTIVATED_PLAYSET":{"TITLE":"Échec d\'ajout de mod","MESSAGE":"Activez un playset avant d\'ajouter un mod."},"ACTIVE_PLAYSET":{"TITLE":"Échec de recherche de playset actif","MESSAGE":"Nous ne sommes pas parvenus à trouver de playset actif."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Vous n\'êtes pas connecté.","MESSAGE":"Il semble que vous ne soyez pas connecté à votre compte Paradox. Merci de créer un compte et de vous connecter pour utiliser ce service."},"OFFLINE":{"TITLE":"Vous êtes hors-ligne","MESSAGE":"Il semble que vous ne soyez pas en mesure de vous connecter à Internet pour le moment. Vous pouvez cependant toujours activer, désactiver et modifier l\'ordre de chargement de vos mods installés."},"SYNC":{"TITLE":"Erreur lors de la synchronisation des mods","MESSAGE":"Une erreur est survenue lors de la synchronisation des mods."},"DEFAULT":{"TITLE":"Une erreur est survenue.","MESSAGE":"Une erreur est survenue lors de votre demande, veuillez fermer et réessayer."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"L\'opération n\'a pu être terminée, le disque en plein.","THIRDPARTYEXCEPTION":"Une erreur est survenue dans une bibliothèque tierce que nous utilisons.","DBERROR":"Une erreur est survenue dans la base de données du serveur.","DISKPERMISSIONERROR":"Vous ne semblez pas avoir l\'autorisation d\'accéder à ce disque.","FILEIOERROR":"Une erreur est survenue lors de l\'écriture ou de la lecture du disque.","REMOTELOGOUTFAILED":"Un problème est survenu lors de la déconnexion du serveur. Les sessions locale et du serveur peuvent être désynchronisées.","INTERNALERROR":"Une erreur inconnue est survenue."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"Les données de la réponse du serveur sont erronées et n\'ont pu être analysées.","HTTPREQUESTERROR":"La demande n\'a pu être envoyée au serveur en raison d\'une déconnexion, d\'une erreur DNS ou similaire.","NETWORKSENDERROR":"Une erreur inconnue est survenue lors de l\'envoi de données au serveur.","TASKTIMEOUTERROR":"La demande envoyée au serveur a expiré.","UNEXPECTEDRESPONSEERROR":"La réponse du serveur était erronée ou ne contenait pas toutes les données requises.","NORESPONSEBODY":"La réponse du serveur ne contenait pas les données requises.","MODDOWNLOADFAILEDERROR":"Les métadonnées du mod étaient synchronisées, mais le téléchargement a échoué. Un nouveau téléchargement aura lieu lors de la prochaine synchronisation."},"NOTFOUND":{"NOACCOUNT":"Compte utilisateur introuvable.","NODOCUMENT":"Document introuvable.","NOMERGETASK":"Tâche de fusion introuvable.","NOMOD":"Mod introuvable.","NOMODVERSION":"Version du mod demandée introuvable.","NOMODPLAYSET":"Impossible de trouver ou d\'accéder au playset demandé.","NOPROFILE":"Profil introuvable.","NOACHIEVEMENT":"Succès introuvable.","NORESOURCE":"Ressource demandée introuvable."},"INVALIDSTATE":{"NOTLOGGEDIN":"L\'utilisateur n\'est pas connecté.","MODDISABLED":"Le mod a été supprimé ou bloqué."},"MODS":{"SYNCONGOING":"Une synchronisation est déjà en cours.","OPERATIONSONGOING":"Une autre opération est déjà en cours.","LOCALERROR":"Une erreur est survenue, veuillez réessayer ultérieurement."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"L\'utilisateur doit à nouveau se connecter avec ses identifiants.","EXPIREDSESSIONTOKEN":"L\'utilisateur doit utiliser le jeton d\'actualisation pour créer un nouveau jeton de session.","SESSIONTOOLOWTRUSTLEVEL":"Le niveau de sécurité de la session est insuffisant, connectez-vous à nouveau avec vos identifiants.","INVALIDAUTHENTICATION":"L\'authentification n\'est pas validée.","REJECTEDBYTHIRDPARTY":"L\'authentification a été rejetée par un tiers, steam, psn, twitch etc.","FORBIDDENACCESS":"Tentative d\'accès à des données interdites dans cette session.","AUTOMATICLOGINFAILURE":"La fonction Account.Startup() n\'a pas été en mesure de connecter automatiquement l\'utilisateur. Effectuez plutôt manuellement la fonction Account.Login(Credentials)."},"MODSUI":{"DELETEACTIVEPLAYSET":"Il est impossible de supprimer le playset actuel.","REPORTMODBLOCKEDTIMELIMIT":"Vous avez déjà signalé ce mod, il est en attente d\'évaluation par nos modérateurs.","TOOMANYPLAYSETS":"Vous ne pouvez pas avoir plus de 50 ensembles de jeu."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Impossible d\'ajouter un message sur le forum, assurez-vous que votre compte est connecté aux forums"}},"WIP":{"CREATE":{"TITLE":"Impossible de créer un mod personnalisé.","MESSAGE":"Nous ne sommes pas parvenus à créer votre mod personnalisé."},"LIST":{"TITLE":"Échec de récupération des mods personnalisés.","MESSAGE":"Nous ne sommes pas parvenus à récupérer les données de votre playset."},"DELETE":{"TITLE":"Échec de suppression du mod personnalisé.","MESSAGE":"Nous ne sommes pas parvenus à supprimer votre mod personnalisé."},"GET":{"TITLE":"Échec de récupération du mod personnalisé.","MESSAGE":"Nous ne sommes pas parvenus à récupérer votre mod personnalisé."},"PUBLISH":{"TITLE":"Échec de publication du mod personnalisé.","MESSAGE":"Nous ne sommes pas parvenus à publier votre mod personnalisé. Assurez-vous que l\'intégralité du contenu et l\'illustration sont bien là."},"NEW_VERSION":{"TITLE":"Échec de publication d\'une nouvelle version du mod personnalisé.","MESSAGE":"Nous ne sommes pas parvenus à publier une nouvelle version de votre mod personnalisé. Assurez-vous que l\'intégralité du contenu et l\'illustration sont bien là."}},"INPUT":{"EMPTY":"Veuillez remplir ce champ."}},"PROGRESSBAR":{"QUEUED":"EN FILE D\'ATTENTE"},"MOD_DETAILS":{"HEADER":{"BACK":"Retour","BY":"Par","SIZETEXT":"Taille","VERSION":"Version du mod","REQUIREDGAMEVERSION":"Version de jeu suggérée","SUBSCRIPTIONSTOTAL":"Abonnés","LIKESTOTAL":"Likes","AUTHOR":"Auteur"},"AUTHOR":{"TITLE":"Auteur du mod","ALL_MODS_BY_AUTHOR":"Tous les mods de cet auteur","MORE_FROM_THIS_CREATOR":"Plus de ce créateur"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Ajouter au playset actif","SUBSCRIBED":"AJOUTÉ","UNSUBSCRIBE":"Supprimer du playset actif","INSTALLING":"Installation...","UNINSTALLING":"Désinstallation...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirmer la suppression du mod","TEXT":"Voulez-vous vraiment supprimer le mod \\"{{name}}\\" ({{size}}) du playset actif ?"}},"REQUIREMENT":{"TITLE":"Requis","VIEW_ALL":"Tout afficher","BACK_TO_MOD_DETAILS":"Retour aux infos du mod","REQUIRED_MODS":"{{modsCount}} mods requis","REQUIRED_DLC":"({{dlcCount}}) DLC requis","REQUIRED_MODS_MESSAGE":"Les mods suivants sont requis pour que ce mod fonctionne","REQUIRED_DLC_MESSAGE":"Les DLC suivants sont requis pour que ce mod fonctionne"},"FORUM_LINKS":{"TITLE":"Plus d\'infos sur ce mod","TOP_THREAD":"Forums Paradox"},"FORUM_POSTS":{"TITLE":"Discussion","OPEN_FULL_DISCUSSION":"Ouvrir la discussion complète","UNSUPPORTED_FORMATTING":"Le format de ce message n\'est pas compatible et ne peut être affiché ici.","GO_TO_POST":"Rendez-vous sur le forum pour voir l\'intégralité du post.","OPEN_IN_BROWSER":"Ouvrir dans le navigateur","COMMENT_TITLE":"Commenter le mod","REPLYING_TO":"Réponse à une publication de {{user}}","REMOVE_REPLY":"Annuler","SEND_COMMENT":"Publier","ADD_COMMENT":"Ajouter un commentaire","REFRESH":"Rafraîchir","LOAD_MORE":"Charger plus","NEW":"New","YOU":"Vous","REGISTER_TITLE":"Vous devez accéder aux forums Paradox","REGISTER_INFORMATION":"<0>Votre compte doit être lié aux forums Paradox pour pouvoir poster des commentaires. Suivez le bouton ci-dessous et connectez-vous en utilisant votre compte Paradox pour configurer les choses.</0><1>Si vous avez déjà associé votre compte, veuillez patienter un moment et réessayer.</1>","OPEN_REGISTER":"Liez votre compte"},"LINKS":{"TITLE":"Plus d\'infos sur ce mod"},"LINKS_MODAL":{"TITLE":"Ouvrir dans le navigateur ?","TEXT":"Ouvrir ce lien dans un navigateur extérieur au jeu ?"},"CHANGELOG":{"TITLE":"Journal","V":"v","RELEASED":"Publié","READ_MORE":"Poursuivre la lecture"},"DESCRIPTION":{"TITLE":"Description","READ_MORE":"Poursuivre la lecture"},"INFO":{"TITLE":"Infos du mod"},"BANNED":{"TITLE":"Banni","INFO":"Ce mod a été banni de la bibliothèque car il violait les conditions d\'utilisation."},"OUTDATED":"Ce mod n\'est pas compatible avec votre version du jeu, il pourrait ne pas fonctionner comme prévu.","GALLERY":{"NEXT":"Suivant","PREVIOUS":"Précéd.","MISSING_IMAGES":"Aucune image de galerie pour ce mod pour l\'instant..."},"TAGS":{"TITLE":"Balises"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Créé par","MODS":"mods","TOTAL_SIZE":"taille totale","BACK":"Retour à tous les playsets","SUBTITLE":"{{modsCount}} mods, taille totale {{modsSize}}"},"MORE_BUTTON":{"MORE":"Plus"},"ACTIVATE_BUTTON":{"ACTIVATE":"Activer","ACTIVATED":"Activé"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Activer tous les mods","DISABLE_ALL_MODS":"Désactiver tous les mods"},"EMPTY_STATE":{"TITLE":"Pas encore de mods","DESCRIPTION":"Tout l\'intérêt des playsets est de jouer avec des mods. Pourquoi ne pas en ajouter tout de suite à ce nouveau playset ?","ADD_MODS":"Ajouter des mods"},"LIST":{"AUTHOR":"<0>par </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Rechercher","APPLY_FILTERS":"Appliquer les filtres","APPLY":"Appliquer","OPEN":"Ouvrir","ADD":"Ajouter","BACK":"Retour","ENABLE_DISABLE":"Activer/désactiver","ENABLE":"Activer","DISABLE":"Désactiver","SUBSCRIBE":"Ajouter au playset","UNSUBSCRIBE":"Supprimer du playset","CLOSE":"Fermer","CHANGE_ORDER":"Changer l\'ordre","RESET_LOAD_ORDER":"Réinitialiser l\'ordre de chargement","SCROLL":"Naviguer","DELETE":"Supprimer","DETAILS":"Infos","ACTIVATE":"Activer","RENAME":"Renommer","CANCEL":"Annuler","CONFIRM":"Confirmer","CREATE":"Créer","TOGGLE_ACTION_MENU":"Afficher/Masquer le menu actions","SCROLL_TO_TOP":"Faire défiler vers le haut","LIKE":"Like","REMOVE_LIKE":"Retirer le like","EXPAND":"Agrandir","COLLAPSE":"Réduire","OPEN_WEB_LINK":"Ouvrir dans le navigateur","SELECT":"Sélectionner","REPLY":"Répondre"},"CONSOLE_FILTER":{"TITLE":"Filtrer les résultats","TAGS":"Balises","FILTER":"Filtre","FILTERED":"Filtrés"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Vous allez ajouter le mod « {{modName}} »","INFORMATION":"<0>Il s\'appuie sur {{numberOfDependencies}} autres mods (taille totale : {{totalSizeOfDependencies}}) pour fonctionner correctement.</0><1> Ajouter automatiquement ces mods requis ?</1>","SUBSCRIBE_TO_MODS":"AJOUTER LES MODS REQUIS","IGNORE_MODS":"IGNORER LES MODS REQUIS","NOT_PUBLISHED_DEPENDENCIES":"<0>Remarque : certaines dépendances ne sont pas disponibles pour ce mod, qui pourrait par conséquent ne pas fonctionner correctement.</0><1>Il est possible qu\'une dépendance ait été bannie, supprimée ou retirée de la liste.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflit de synchronisation du playset","INFORMATION":"Désynchronisation du playset local et serveur. Laquelle souhaitez-vous utiliser/conserver ?","KEEP_CLOUD":"Conserver les fichiers sur le cloud","KEEP_LOCAL":"Conserver les fichiers locaux"},"CLOUD":{"TITLE":"Télécharger les fichiers du cloud sur cet appareil","INFORMATION":"Les fichiers du serveur écraseront les fichiers locaux. Continuer ?","BACK":"Retour","DOWNLOAD":"Télécharger sur cet appareil"},"LOCAL":{"TITLE":"Charger les fichiers locaux sur le serveur","INFORMATION":"Les fichiers locaux écraseront ceux sur le serveur. Continuer ?","BACK":"Retour","DOWNLOAD":"Charger sur le serveur"}},"SYNC":{"TITLE":"Recherche des dernières mises à jour pour vos mods...","INFORMATION":"Impossible de parcourir les mods pendant la mise à jour. La mise à jour se poursuivra même si vous fermez cette fenêtre.","MODS_DONE":"mods terminés","UPDATING_MOD":"Mise à jour des mods","STOP_AND_CONTINUE_NEXT_TIME":"Fermer cette fenêtre","WAITING_FOR_DOWNLOAD":"Le téléchargement va commencer...","CHECKING_MODS":"Vérification des mods...","DOWNLOADING":"Téléchargement","DONE":"Ouvrir la liste","CLOSE":"Fermer","RESYNC":"Relancer la synchronisation","UNHANDLED_ERROR":"Certains mods n\'ont pas été synchronisés, veuillez supprimer les mods défectueux et réessayez.","OUT_OF_SPACE":"Espace insuffisant sur le disque pour les dernières mises à jour du playset. Pour libérer de l\'espace sur le disque, supprimez quelques mods.","INSTALLING":{"PREPARING":"Préparation...","PATCHING":"Déplacement des fichiers...","APPLYING":"Application des modifications...","PERMISSIONS":"Mise à jour des autorisations...","CLEANUP":"Nettoyage...","":"Installation"}},"OTHER":{"DLCS":"DLC","MODS":"mods","NO":"Non","REQUIRED":"Requis"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Rechercher des mods","REPORT_COMMENT":"Commentaire de signalement","CREATE_PLAYSET":"Créer un playset","RENAME_PLAYSET":"Renommer un playset","PUBLISH":{"DISPLAY_NAME":"Définir le nom d\'affichage","GAME_VERSION":"Définir la version de jeu recommandée","CHANGELOG":"Ajouter une entrée au journal","DESCRIPTION":"Définir la description"}}},"REPORT":{"SECTION_TITLE":"Signaler comme inapproprié","INFORMATION_TEXT":"Si vous pensez que ce mod enfreint les conditions d\'utilisation, merci de le signaler aux modérateurs.","BUTTON":"Envoyer un rapport","BUTTON_DONE":"Signalement envoyé","SUBMIT":"Envoyer un rapport","INFORMATION":"Merci de remplir les informations ci-dessous, nous les communiquerons au CQ pour analyse. Merci de nous aider à améliorer et sécuriser Paradox.","CAPTION":"Raison du signalement","COMMENT_TITLE":"Veuillez nous donner plus de détails :","COMMENT_PLACEHOLDER":"Veuillez saisir votre commentaire...","THANK_YOU":"Merci pour ce signalement.","THANK_YOU_MESSAGE":"Vous avez signalé ce mod à l\'équipe d\'analyse. Merci de nous aider à améliorer et sécuriser Paradox Mods.","MISSING_REASON":"Merci de sélectionner une raison.","MISSING_DESCRIPTION":"Merci de nous donner une description de l\'infraction.","CLOSE":"Fermer la fenêtre","COMMENT_INFORMATION":"Vous allez signaler ce mod pour son contenu inapproprié.","COMMENT_SUBINFORMATION":"Vous avez indiqué qu\'il pourrait s\'agir de :","PREVIEW_COMMENT":"Votre commentaire :","PREVIEW":"Aperçu","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Nudité","VIOLENCE":"Violence","HARASSMENT":"Harcèlement","SPAM":"Spam","COPYRIGHT":"Violation du copyright","HATE":"Propos haineux","DOESNOTWORK":"Le mod ne fonctionne pas correctement","OTHER":"Autre chose"}},"SEARCH":{"NO_SEARCH_RESULTS":"Aucun résultat de recherche","MODS_AVAILABLE":"{{modsAvailable}} mods disponibles"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods installés"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Supprimer la recherche"},"SEARCH_INPUT":{"PLACEHOLDER":"Recherche de mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Actif","ACTIVATE_PLAYSET":"Utiliser ce playset","CREATE_NEW_PLAYSET":{"TITLE":"Créer un nouveau playset","NAME":"Nom","CREATE":"Créer","CANCEL":"Annuler","KEYBOARD_TITLE":"Entrer un nouveau nom de playset","SUCCESS":"Le playset « {{name}} » a été créé."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"dernière mise à jour : {{updated}}","DELETE":{"TITLE":"Confirmer la suppression du playset","TEXT":"Voulez-vous vraiment supprimer le playset « {{name}} » ?"},"RENAME":{"TITLE":"Renommer un playset","TEXT":"Renommer « {{name}} »"}},"PUBLISH":{"INPUT_DETAILS":"Infos du mod","DISPLAY_NAME":"Nom d\'affichage *","DISPLAY_NAME_ERROR":"Nom d\'affichage requis","SUGGESTED_GAME_VERSION":"Version suggérée *","SUGGESTED_GAME_VERSION_ERROR":"Merci de suggérer une version du jeu","COVER_FILE_NAME":"Nom de fichier d\'illustration *","COVER_FILE_NAME_ERROR":"Merci d\'indiquer le nom de l\'illustration","DESCRIPTION":"Description *","DESCRIPTION_ERROR":"Merci d\'entrer une description","CHANGELOG":"Entrée de journal *","CHANGELOG_ERROR":"Merci de rédiger une entrée de journal","PUBLISH_NEW_VERSION":"Publier une nouvelle version","PUBLISH_NEW":"Publier","PUBLISHING_TITLE":"Mod en attente de publication","PUBLISHING":"Votre mod est en cours de publication. Le processus peut durer quelque temps."},"LIBRARY":{"PLAYSETS_TITLE":"Mes playsets","CREATIONS_TITLE":"Mes créations","IMPORTED_TITLE":"Mes mods importés"},"CONFIRM_MODAL":{"CONFIRM":"Oui","CANCEL":"Annuler","RENAME":"Renommer"},"ALERT_MODAL":{"CONFIRM":"Fermer"},"TOASTS":{"UNSUBSCRIBED_MOD":"Mod supprimé avec succès.","ENABLED_PLAYSET_MODS":"Activation des mods du playset","DISABLED_PLAYSET_MODS":"Désactivation des mods du playset","COMMENT_POSTED":"Votre commentaire a bien éte publié"},"WIP_MOD":{"CREATE_NEW":"Créer un nouveau mod","CREATE_NEW_TEXT":"Créer un nouveau brouillon de mod.","CREATE":"Créer","CANCEL":"Annuler","DELETE_TITLE":"Supprimer le brouillon","DELETE_TEXT":"Voulez-vous vraiment supprimer le mod « {{modName}} » ?","DRAFT_MODS":"{{modCount}} mods personnalisés"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Important</0>Les mods modifient l\'expérience du jeu et ne sont ni testés ni vérifiés par Paradox Interactive, le développeur ou Xbox. Tous les succès seront désactivés à l\'activation d\'un ou plusieurs mods. Les mods Paradox sont régis par l\'accord utilisateur Paradox.","PLAYSTATION":"<0>Important</0>Les mods modifient l\'expérience du jeu et ne sont ni testés ni vérifiés par Paradox Interactive, le développeur ou PlayStation. Tous les trophées seront désactivés à l\'activation d\'un ou plusieurs mods. Les mods Paradox sont régis par l\'accord utilisateur Paradox.","DEFAULT":"<0>Important</0>Les mods modifient l\'expérience du jeu et ne sont ni testés ni vérifiés par Paradox Interactive. Tous les succès seront désactivés à l\'activation d\'un ou plusieurs mods. Les mods Paradox sont régis par l\'accord utilisateur Paradox."},"EXIT":{"CLOSING":"Fermeture...","CLOSE_NOW":"Fermer maintenant","TITLE":"Important","XBOX":"Si au moins un mod est activé, la progression des succès sera désactivée, et ce jusqu\'à ce que vous désactiviez les mods. Continuer ?","PLAYSTATION":"Si au moins un mod est activé, la progression des trophées sera désactivée, et ce jusqu\'à ce que vous désactiviez les mods. Continuer ?","DEFAULT":"Si au moins un mod est activé, la progression des succès est désactivée, et ce jusqu\'à ce que vous désactiviez les mods. Continuer ?","CONFIRM":"Oui, conserver les mods et revenir au menu principal","CANCEL":"Revenir aux mods Paradox"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Afficher les détails","READ_MORE":"Poursuivre la lecture"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Tout parcourir","LOAD_MORE":"CHARGER PLUS","MOST_POPULAR":"Mods les plus populaires"}}}'),it:JSON.parse('{"TOP_MENU":{"START":"In evidenza","BROWSE_ALL":"Sfoglia","INSTALLED":"Installate","INSTALLED_MODS":"Libreria","IMPORTED_MODS":"Mod importate","PLAYSETS":"Playset","PUBLISH":"Le mie creazioni","LIBRARY":"La mia libreria"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nuovo playset","PLAYSET":"Playset attivo","DROPDOWN_LABEL":"Seleziona playset attivo","DEACTIVATED_PLAYSETS":"Nessun playset attivo","DEACTIVATE_PLAYSET":"Nessun playset attivo","ACTIVE_PLAYSET":"PLAYSET ATTIVO: {{playsetName}}"},"FILTER":{"HEADING":"Filtra","CLEAR_ALL":"Cancella tutto","TAGS":"Tag"},"LIST":{"ENABLED":"Abilitate","DISABLED":"Disabilitate","EMPTY_STATE":{"TITLE":"Nessuna mod installata","TEXT":"Giocare con le mod può essere divertentissimo! Seleziona il pulsante qui sotto per sfogliare tutte le mod e torna quando ne avrai installata almeno una.","BUTTON":"SFOGLIA TUTTE LE MOD"},"RESET_ACTIVATION_ORDER":"Resetta ordine di caricamento","BANNED_MOD":"Questa mod è stata bannata","OFFLINE":"OFFLINE","ADD_TO_PLAYSET":"Aggiungi a playset attivo","REMOVE_FROM_PLAYSET":"Rimuovi da playset attivo","SUBSCRIBERS":"{{formattedCount}} iscritto","SUBSCRIBERS_plural":"{{formattedCount}} iscritti"},"SORT_BY_MENU":{"AZ":"A-Z","ZA":"Z-A","OLDEST":"Meno recenti","MOST_RECENT":"Più recenti","MOST_SUBSCRIBED":"Numero di iscritti più alto","HIGHEST_RATED":"Valutazioni più alte","MOST_PLAYSETS":"In più playset","LEAST_PLAYSETS":"In meno playset","SORT_BY":"Ordina per","BEST":"Migliori","MOST_POPULAR":"Più popolari","LAST_UPDATED":"Ultimo aggiornamento"},"ERROR":{"PARADOX_SERVICES_DOWN":"Purtroppo, non è stato possibile completare la richiesta da parte dei servizi Paradox Mods.","BUTTONS":{"CLOSE":"Chiudi"},"SET_USER_RATING":{"TITLE":"Valutazione utente per la mod non impostata","MESSAGE":"Non è stato possibile impostare una nuova valutazione utente per questa mod."},"GET_USER_RATING":{"TITLE":"Valutazione utente per la mod non recuperata","MESSAGE":"Non è stato possibile recuperare la valutazione utente per questa mod."},"LOAD_MORE":{"TITLE":"Caricamento di altre mod non riuscito","MESSAGE":"Non è stato possibile caricare altre mod durante lo scorrimento."},"SEARCH":{"TITLE":"Ricerca di mod non riuscita","MESSAGE":"Non è stato possibile cercare le mod."},"SUBSCRIBE":{"TITLE":"Aggiunta della mod non riuscita","MESSAGE":"Non è stato possibile aggiungere la mod."},"UNSUBSCRIBE":{"TITLE":"Rimozione della mod non riuscita","MESSAGE":"Non è stato possibile rimuovere la mod."},"MOD_DETAILS":{"TITLE":"Dettagli mod non richiamati","MESSAGE":"Non è stato possibile richiamare i dettagli mod."},"USER_RATING":{"TITLE":"Valutazione utente non richiamata","MESSAGE":"Non è stato possibile richiamare la valutazione utente."},"MOD_RATING":{"TITLE":"Valutazione mod non richiamata","MESSAGE":"Non è stato possibile richiamare la valutazione mod."},"ENABLE":{"TITLE":"Mod non abilitata","MESSAGE":"Non è stato possibile abilitare questa mod."},"DISABLE":{"TITLE":"Mod non disabilitata","MESSAGE":"Non è stato possibile disabilitare questa mod."},"ENABLE_PLAYSET_MODS":{"TITLE":"Mod del playset non abilitate","MESSAGE":"Non è stato possibile abilitare le mod di questo playset."},"DISABLE_PLAYSET_MODS":{"TITLE":"Mod del playset non disabilitate","MESSAGE":"Non è stato possibile disabilitare le mod di questo playset."},"GETSUBSCRIBED":{"TITLE":"Mod aggiunte non recuperate","MESSAGE":"Non è stato possibile recuperare le tue mod aggiunte."},"GET_FORUM_POSTS":{"TITLE":"Discussione non richiamata","MESSAGE":"Non è stato possibile recuperare la discussione."},"SEND_FORUM_POST":{"TITLE":"Discussione non postata","MESSAGE":"Non è stato possibile postare la discussione."},"GET_GAME_VERSION":{"TITLE":"Versione del gioco non richiamata","MESSAGE":"Non è stato possibile richiamare la versione del gioco."},"GET_ALL_DEPENDENCIES":{"TITLE":"Dipendenze non richiamate","MESSAGE":"Non è stato possibile richiamare le dipendenze."},"REPORT_MOD":{"TITLE":"Mod non segnalata","MESSAGE":"Non è stato possibile segnalare la mod."},"GET_GAME_DATA":{"TITLE":"Informazioni sul gioco non recuperate","MESSAGE":"Non è stato possibile recuperare le informazioni sul gioco."},"SET_ACTIVATION_ORDER":{"TITLE":"Ordine di attivazione non impostato","MESSAGE":"Non è stato possibile modificare l\'ordine di attivazione."},"RESET_ACTIVATION_ORDER":{"TITLE":"Ordine di attivazione non resettato","MESSAGE":"Non è stato possibile modificare l\'ordine di attivazione."},"SCREEN_KEYBOARD":{"TITLE":"Tastiera su schermo non aperta","MESSAGE":"Non è stato possibile aprire la tastiera su schermo."},"PLAYSETS":{"TITLE":"Playset non recuperati","MESSAGE":"Non è stato possibile recuperare i tuoi playset."},"PLAYSET_DETAILS":{"TITLE":"Dettagli playset non recuperati","MESSAGE":"Non è stato possibile recuperare i dettagli playset."},"PLAYSET_DELETE":{"TITLE":"Playset non eliminato","MESSAGE":"Non è stato possibile eliminare il tuo playset."},"PLAYSET_RENAME":{"TITLE":"Playset non rinominato","MESSAGE":"Non è stato possibile rinominare il tuo playset."},"PLAYSET_MODS":{"TITLE":"Mod del playset non recuperate","MESSAGE":"Non è stato possibile recuperare le tue mod."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Verifica di mod attive non riuscita","MESSAGE":"Non è stato possibile verificare se il tuo playset attivo contiene mod abilitate."},"CREATE_PLAYSET":{"TITLE":"Nuovo playset non creato","MESSAGE":"Non è stato possibile creare un nuovo playset."},"ACTIVATE_PLAYSET":{"TITLE":"Playset non attivato","MESSAGE":"Non è stato possibile attivare il tuo playset."},"DEACTIVATE_PLAYSET":{"TITLE":"Playset non disattivato","MESSAGE":"Non è stato possibile disattivare il tuo playset."},"DEACTIVATED_PLAYSET":{"TITLE":"Aggiunta della mod non riuscita","MESSAGE":"Devi avere un playset attivo per aggiungere una mod."},"ACTIVE_PLAYSET":{"TITLE":"Playset attivo non recuperato","MESSAGE":"Non è stato possibile recuperare il tuo playset attivo."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Accesso non eseguito","MESSAGE":"Non hai eseguito l\'accesso al tuo account Paradox. Crea un account e accedi per utilizzare questo servizio."},"OFFLINE":{"TITLE":"Offline","MESSAGE":"Al momento non ti è possibile connetterti a Internet, ma puoi comunque abilitare, disabilitare e modificare l\'ordine di caricamento delle mod installate."},"SYNC":{"TITLE":"Errore di sincronizzazione delle mod","MESSAGE":"Si è verificato un errore durante la sincronizzazione delle mod."},"DEFAULT":{"TITLE":"Errore","MESSAGE":"Purtroppo, si è verificato un errore con la tua richiesta; chiudi e riprova."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Non è stato possibile completare l\'operazione perché il disco è pieno.","THIRDPARTYEXCEPTION":"Si è verificato un errore in una libreria di terze parti in uso.","DBERROR":"Si è verificato un problema con il database sul lato server.","DISKPERMISSIONERROR":"Non hai le autorizzazioni per accedere al disco attuale.","FILEIOERROR":"Si è verificato un errore durante la scrittura o la lettura del disco.","REMOTELOGOUTFAILED":"Si è verificato un problema durante la disconnessione dal server. Gli stati delle sessioni in locale e sul lato server potrebbero non essere sincronizzati.","INTERNALERROR":"Si è verificato un errore interno non specificato."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"Il corpo della risposta del server aveva un formato errato e non è stato possibile analizzare la risposta.","HTTPREQUESTERROR":"La richiesta al server non è riuscita a causa di una disconnessione, di un errore DNS o di un problema analogo.","NETWORKSENDERROR":"Si è verificato un errore non specificato durante l\'invio di dati al server.","TASKTIMEOUTERROR":"La richiesta al server è scaduta.","UNEXPECTEDRESPONSEERROR":"La risposta del server aveva un formato errato o non conteneva tutti i dati necessari.","NORESPONSEBODY":"Il corpo della risposta del server è vuoto.","MODDOWNLOADFAILEDERROR":"I metadati della mod sono stati sincronizzati, ma il download non è riuscito. Nella prossima sincronizzazione verrà effettuato un nuovo tentativo di download."},"NOTFOUND":{"NOACCOUNT":"Non è stato possibile trovare l\'account utente.","NODOCUMENT":"Non è stato possibile trovare il documento.","NOMERGETASK":"Non è stato possibile trovare il task di unione.","NOMOD":"Non è stato possibile trovare la mod.","NOMODVERSION":"Non è stato possibile trovare la versione richiesta della mod.","NOMODPLAYSET":"Non è stato possibile trovare o accedere al playset richiesto.","NOPROFILE":"Non è stato possibile trovare il profilo.","NOACHIEVEMENT":"Non è stato possibile trovare l\'obiettivo.","NORESOURCE":"Non è stato possibile trovare la risorsa richiesta."},"INVALIDSTATE":{"NOTLOGGEDIN":"L\'utente non ha eseguito l\'accesso.","MODDISABLED":"La mod è stata eliminata o è bloccata."},"MODS":{"SYNCONGOING":"È già in corso una sincronizzazione.","OPERATIONSONGOING":"È ancora in corso un\'altra operazione.","LOCALERROR":"Si è verificato un errore durante l\'esecuzione dell\'azione; riprova più tardi."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"L\'utente deve eseguire nuovamente un accesso completo con credenziali.","EXPIREDSESSIONTOKEN":"L\'utente deve utilizzare il token di aggiornamento per creare un nuovo token di sessione.","SESSIONTOOLOWTRUSTLEVEL":"La sessione non ha un livello di affidabilità sufficientemente alto; esegui nuovamente l\'accesso con credenziali per un livello maggiore di affidabilità.","INVALIDAUTHENTICATION":"L\'autenticazione fornita non è stata convalidata.","REJECTEDBYTHIRDPARTY":"L\'autenticazione è stata rifiutata da terze parti (Steam, PlayStation, Twitch e così via).","FORBIDDENACCESS":"Stai tentando di accedere a dati vietati per questa sessione.","AUTOMATICLOGINFAILURE":"Account.Startup() non è stato in grado di eseguire l\'accesso automatico dell\'utente. Esegui una chiamata manuale Account.Login(Credentials)."},"MODSUI":{"DELETEACTIVEPLAYSET":"Impossibile eliminare il playset attualmente attivo.","REPORTMODBLOCKEDTIMELIMIT":"Hai già segnalato questa mod, che è in attesa di essere esaminata dai nostri moderatori.","TOOMANYPLAYSETS":"Non puoi avere più di 50 playset."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Impossibile aggiungere post al forum, assicurati che il tuo account sia collegato ai forum"}},"WIP":{"CREATE":{"TITLE":"Mod in bozza non creata","MESSAGE":"Non è stato possibile creare la mod in bozza."},"LIST":{"TITLE":"Mod in bozza non recuperate","MESSAGE":"Non è stato possibile recuperare i dettagli del playset."},"DELETE":{"TITLE":"Mod in bozza non eliminata","MESSAGE":"Non è stato possibile eliminare la mod in bozza."},"GET":{"TITLE":"Mod in bozza non recuperata","MESSAGE":"Non è stato possibile recuperare la mod in bozza."},"PUBLISH":{"TITLE":"Mod in bozza non pubblicata","MESSAGE":"Non è stato possibile pubblicare la mod in bozza. Assicurati che siano presenti tutti i contenuti e l\'immagine di copertina."},"NEW_VERSION":{"TITLE":"Nuova versione della mod in bozza non pubblicata","MESSAGE":"Non è stato possibile pubblicare la nuova versione della mod in bozza. Assicurati che siano presenti tutti i contenuti e l\'immagine di copertina."}},"INPUT":{"EMPTY":"L\'input non può essere vuoto."}},"PROGRESSBAR":{"QUEUED":"IN CODA"},"MOD_DETAILS":{"HEADER":{"BACK":"Indietro","BY":"Di","SIZETEXT":"Dimensioni","VERSION":"Versione mod","REQUIREDGAMEVERSION":"Versione del gioco consigliata","SUBSCRIPTIONSTOTAL":"Iscritti","LIKESTOTAL":"Like","AUTHOR":"Creatore"},"AUTHOR":{"TITLE":"Creatore mod","ALL_MODS_BY_AUTHOR":"Mod di tutti i creatori","MORE_FROM_THIS_CREATOR":"Altro di questo creatore"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Aggiungi a playset attivo","SUBSCRIBED":"AGGIUNTA","UNSUBSCRIBE":"Rimuovi da playset attivo","INSTALLING":"In installazione...","UNINSTALLING":"In disinstallazione...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Conferma la rimozione della mod","TEXT":"Vuoi davvero rimuovere la mod \\"{{name}}\\" ({{size}}) dal playset attivo?"}},"REQUIREMENT":{"TITLE":"Necessario","VIEW_ALL":"Visualizza tutto","BACK_TO_MOD_DETAILS":"Torna ai dettagli mod","REQUIRED_MODS":"Mod necessarie ({{modsCount}})","REQUIRED_DLC":"DLC necessari ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Affinché questa mod funzioni, sono necessarie anche le seguenti","REQUIRED_DLC_MESSAGE":"Affinché questa mod funzioni, sono necessari i seguenti DLC"},"FORUM_LINKS":{"TITLE":"Altro su questa mod","TOP_THREAD":"Forum Paradox"},"FORUM_POSTS":{"TITLE":"Discussione","OPEN_FULL_DISCUSSION":"Apri discussione completa","UNSUPPORTED_FORMATTING":"Questo messaggio ha una formattazione non supportata e non può essere visualizzato qui.","GO_TO_POST":"Vai al forum per visualizzare l\'intero post.","OPEN_IN_BROWSER":"Apri nel browser","COMMENT_TITLE":"Commenta la mod","REPLYING_TO":"Risposta a un post di {{user}}","REMOVE_REPLY":"Annulla","SEND_COMMENT":"Posta","ADD_COMMENT":"Aggiungi un commento...","REFRESH":"Aggiorna","LOAD_MORE":"Carica altro","NEW":"Novità","YOU":"Tu","REGISTER_TITLE":"È necessario accedere ai forum Paradox","REGISTER_INFORMATION":"<0>Il tuo account deve essere collegato ai forum Paradox per poter pubblicare commenti. Segui il pulsante qui sotto e accedi utilizzando il tuo account Paradox per configurare le cose.</0><1>Se hai già collegato il tuo account, attendi un attimo e riprova.</1>","OPEN_REGISTER":"Collega il tuo account"},"LINKS":{"TITLE":"Altro su questa mod"},"LINKS_MODAL":{"TITLE":"Vuoi aprire nel browser web?","TEXT":"Vuoi aprire questo link in un browser web esterno al gioco?"},"CHANGELOG":{"TITLE":"Registro modifiche","V":"v","RELEASED":"Rilasciata","READ_MORE":"Continua a leggere"},"DESCRIPTION":{"TITLE":"Descrizione","READ_MORE":"Continua a leggere"},"INFO":{"TITLE":"Info mod"},"BANNED":{"TITLE":"Bannata","INFO":"Questa mod è stata bannata dalla libreria a causa di violazioni delle nostre condizioni d\'uso."},"OUTDATED":"Questa mod non è compatibile con la versione del gioco in uso e potrebbe non funzionare correttamente.","GALLERY":{"NEXT":"Avanti","PREVIOUS":"Indietro","MISSING_IMAGES":"Nessuna immagine nella galleria per questa mod ancora..."},"TAGS":{"TITLE":"Tag"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Creazione di","MODS":"mod","TOTAL_SIZE":"dimensioni totali","BACK":"Torna a tutti i playset","SUBTITLE":"{{modsCount}} mod, {{modsSize}} di dimensioni totali"},"MORE_BUTTON":{"MORE":"Altro"},"ACTIVATE_BUTTON":{"ACTIVATE":"Attiva","ACTIVATED":"Attivata"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Abilita tutte le mod","DISABLE_ALL_MODS":"Disabilita tutte le mod"},"EMPTY_STATE":{"TITLE":"Ancora nessuna mod","DESCRIPTION":"A che servono i playset se non a giocare con le mod? Cosa aspetti? Aggiungine subito qualcuna a questo playset nuovo di zecca!","ADD_MODS":"Aggiungi mod"},"LIST":{"AUTHOR":"<0>di </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Cerca","APPLY_FILTERS":"Applica filtri","APPLY":"Applica","OPEN":"Apri","ADD":"Aggiungi","BACK":"Indietro","ENABLE_DISABLE":"Abilita/Disabilita","ENABLE":"Abilita","DISABLE":"Disabilita","SUBSCRIBE":"Aggiungi a playset","UNSUBSCRIBE":"Rimuovi da playset","CLOSE":"Chiudi","CHANGE_ORDER":"Modifica ordine","RESET_LOAD_ORDER":"Resetta ordine di caricamento","SCROLL":"Scorri","DELETE":"Elimina","DETAILS":"Dettagli","ACTIVATE":"Attiva","RENAME":"Rinomina","CANCEL":"Annulla","CONFIRM":"Conferma","CREATE":"Crea","TOGGLE_ACTION_MENU":"Attiva/Disattiva menu azioni","SCROLL_TO_TOP":"Scorri in alto","LIKE":"Like","REMOVE_LIKE":"Rimuovi like","EXPAND":"Espandi","COLLAPSE":"Comprimi","OPEN_WEB_LINK":"Apri nel browser web","SELECT":"Seleziona","REPLY":"Rispondi"},"CONSOLE_FILTER":{"TITLE":"Filtra i risultati","TAGS":"Tag","FILTER":"Filtra","FILTERED":"Filtrati"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Stai per aggiungere la mod \\"{{modName}}\\"","INFORMATION":"<0>Questa mod richiede {{numberOfDependencies}} mod (dimensioni totali: {{totalSizeOfDependencies}}) per funzionare correttamente.</0><1>Vuoi aggiungere automaticamente anche queste mod necessarie?</1>","SUBSCRIBE_TO_MODS":"AGGIUNGI MOD NECESSARIE","IGNORE_MODS":"IGNORA MOD NECESSARIE","NOT_PUBLISHED_DEPENDENCIES":"<0>Alcune dipendenze non sono disponibili per questa mod, il che potrebbe causarne un funzionamento improprio.</0><1>È possibile che una dipendenza sia stata bannata, eliminata o altrimenti rimossa dallo stato pubblicato.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflitto di sincronizzazione del playset","INFORMATION":"Gli stati del playset sul lato server e in locale non corrispondono. Con quale dei due vuoi procedere o continuare a giocare?","KEEP_CLOUD":"Mantieni file nel cloud","KEEP_LOCAL":"Mantieni file in locale"},"CLOUD":{"TITLE":"Scarica i file nel cloud su questo computer","INFORMATION":"I file sul server sovrascriveranno i file in locale. Vuoi davvero continuare?","BACK":"Torna indietro","DOWNLOAD":"Scarica su questo computer"},"LOCAL":{"TITLE":"Carica i file in locale sul server","INFORMATION":"I file in locale sovrascriveranno i file sul server. Vuoi davvero continuare?","BACK":"Torna indietro","DOWNLOAD":"Carica sul server"}},"SYNC":{"TITLE":"Recupero degli aggiornamenti più recenti per le tue mod...","INFORMATION":"Non è possibile sfogliare le mod mentre è in corso l\'aggiornamento. L\'aggiornamento continuerà anche se chiudi questa finestra.","MODS_DONE":"mod pronte","UPDATING_MOD":"Aggiornamento mod","STOP_AND_CONTINUE_NEXT_TIME":"Chiudi questa finestra","WAITING_FOR_DOWNLOAD":"Attesa avvio download...","CHECKING_MODS":"Verifica mod...","DOWNLOADING":"In download","DONE":"Visualizza elenco","CLOSE":"Chiudi","RESYNC":"Riavvia sincronizzazione","UNHANDLED_ERROR":"La sincronizzazione di alcune delle tue mod non è riuscita; rimuovi le mod che generano l\'errore e riprova.","OUT_OF_SPACE":"Lo spazio su disco non è sufficiente per gli aggiornamenti più recenti dei playset. Per liberare spazio su disco è necessario rimuovere alcune mod.","INSTALLING":{"PREPARING":"Preparazione...","PATCHING":"Spostamento file...","APPLYING":"Applicazione modifiche...","PERMISSIONS":"Aggiornamento autorizzazioni...","CLEANUP":"Pulizia...","":"In installazione"}},"OTHER":{"DLCS":"DLC","MODS":"mod","NO":"No","REQUIRED":"Necessario"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Cerca mod","REPORT_COMMENT":"Commento della segnalazione","CREATE_PLAYSET":"Crea playset","RENAME_PLAYSET":"Rinomina playset","PUBLISH":{"DISPLAY_NAME":"Imposta nome visualizzato","GAME_VERSION":"Imposta versione del gioco consigliata","CHANGELOG":"Aggiungi voce nel registro modifiche","DESCRIPTION":"Imposta descrizione"}}},"REPORT":{"SECTION_TITLE":"Segnala contenuti inappropriati","INFORMATION_TEXT":"Se ritieni che questa mod violi le nostre condizioni d\'uso, aiutaci ad analizzarla segnalandola per la moderazione.","BUTTON":"Invia segnalazione","BUTTON_DONE":"Segnalazione inviata","SUBMIT":"Invia segnalazione","INFORMATION":"Immetti i dettagli qui sotto e li sottoporremo al nostro team del controllo qualità per l\'analisi. Grazie per aver contribuito a rendere Paradox migliore e più sicuro.","CAPTION":"Motivo della segnalazione","COMMENT_TITLE":"Fornisci maggiori dettagli:","COMMENT_PLACEHOLDER":"Digita qui il tuo commento...","THANK_YOU":"Grazie per la segnalazione.","THANK_YOU_MESSAGE":"Hai segnalato questa mod per l\'analisi. Grazie per aver contribuito a rendere Paradox Mods migliore e più sicuro.","MISSING_REASON":"Devi selezionare un motivo.","MISSING_DESCRIPTION":"Devi digitare una descrizione della violazione.","CLOSE":"Chiudi finestra","COMMENT_INFORMATION":"Stai segnalando questa mod per contenuti inappropriati.","COMMENT_SUBINFORMATION":"Ci hai comunicato che potrebbe contenere:","PREVIEW_COMMENT":"Il tuo commento:","PREVIEW":"Anteprima","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Nudità","VIOLENCE":"Violenza","HARASSMENT":"Molestie","SPAM":"Spam","COPYRIGHT":"Violazione del copyright","HATE":"Dichiarazioni di odio","DOESNOTWORK":"Funzionamento improprio","OTHER":"Altra violazione"}},"SEARCH":{"NO_SEARCH_RESULTS":"Nessun risultato di ricerca","MODS_AVAILABLE":"{{modsAvailable}} mod disponibili"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mod installate"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Cancella ricerca"},"SEARCH_INPUT":{"PLACEHOLDER":"Ricerca mod..."},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"Attivi","ACTIVATE_PLAYSET":"Usa questo playset","CREATE_NEW_PLAYSET":{"TITLE":"Crea nuovo playset","NAME":"Nome","CREATE":"Crea","CANCEL":"Annulla","KEYBOARD_TITLE":"Immetti il nome del nuovo playset","SUCCESS":"Il playset \\"{{name}}\\" è stato creato."},"MODS_COUNT":"{{modsCount}} mod","UPDATED":"Ultimo aggiornamento: {{updated}}","DELETE":{"TITLE":"Conferma l\'eliminazione del playset","TEXT":"Vuoi davvero eliminare il playset \\"{{name}}\\"?"},"RENAME":{"TITLE":"Rinomina playset","TEXT":"Rinomina \\"{{name}}\\""}},"PUBLISH":{"INPUT_DETAILS":"Dettagli mod","DISPLAY_NAME":"Nome visualizzato*","DISPLAY_NAME_ERROR":"Il nome visualizzato è necessario.","SUGGESTED_GAME_VERSION":"Versione del gioco consigliata*","SUGGESTED_GAME_VERSION_ERROR":"La versione del gioco consigliata è necessaria.","COVER_FILE_NAME":"Nome file dell\'immagine di copertina*","COVER_FILE_NAME_ERROR":"Il nome file dell\'immagine di copertina è necessario.","DESCRIPTION":"Descrizione*","DESCRIPTION_ERROR":"La descrizione è necessaria.","CHANGELOG":"Voce del registro modifiche*","CHANGELOG_ERROR":"La voce del registro modifiche è necessaria.","PUBLISH_NEW_VERSION":"Pubblica nuova versione","PUBLISH_NEW":"Pubblica","PUBLISHING_TITLE":"Mod in attesa di pubblicazione","PUBLISHING":"La mod è in fase di pubblicazione e il processo potrebbe richiedere del tempo."},"LIBRARY":{"PLAYSETS_TITLE":"I miei playset","CREATIONS_TITLE":"Le mie creazioni","IMPORTED_TITLE":"Le mie mod importate"},"CONFIRM_MODAL":{"CONFIRM":"Sì","CANCEL":"Annulla","RENAME":"Rinomina"},"ALERT_MODAL":{"CONFIRM":"Chiudi"},"TOASTS":{"UNSUBSCRIBED_MOD":"Mod rimossa correttamente.","ENABLED_PLAYSET_MODS":"Mod del playset abilitate correttamente.","DISABLED_PLAYSET_MODS":"Mod del playset disabilitate correttamente.","COMMENT_POSTED":"Il tuo commento è stato postato correttamente."},"WIP_MOD":{"CREATE_NEW":"Crea nuova mod","CREATE_NEW_TEXT":"Crea una nuova mod WIP.","CREATE":"Crea","CANCEL":"Annulla","DELETE_TITLE":"Elimina mod WIP","DELETE_TEXT":"Vuoi davvero eliminare la mod \\"{{modName}}\\"?","DRAFT_MODS":"{{modCount}} mod in bozza"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Importante</0>: le mod alterano l\'esperienza originale del gioco e non vengono testate né verificate in via preliminare da Paradox Interactive, dallo sviluppatore o da Xbox. Tutti i progressi degli obiettivi saranno disabilitati se almeno una mod è attiva. Le mod di Paradox Mods sono soggette all\'Accordo per gli utenti di Paradox.","PLAYSTATION":"<0>Importante</0>: le mod alterano l\'esperienza originale del gioco e non vengono testate né verificate in via preliminare da Paradox Interactive, dallo sviluppatore o da PlayStation. Tutti i progressi dei trofei saranno disabilitati se almeno una mod è attiva. Le mod di Paradox Mods sono soggette all\'Accordo per gli utenti di Paradox.","DEFAULT":"<0>Importante</0>: le mod alterano l\'esperienza originale del gioco e non vengono testate né verificate in via preliminare da Paradox Interactive. Tutti i progressi degli obiettivi saranno disabilitati se almeno una mod è attiva. Le mod di Paradox Mods sono soggette all\'Accordo per gli utenti di Paradox."},"EXIT":{"CLOSING":"Chiusura...","CLOSE_NOW":"Chiudi ora","TITLE":"Importante","XBOX":"Se almeno una mod è abilitata, i progressi degli obiettivi saranno disattivati finché le mod non vengono disabilitate. Vuoi davvero continuare?","PLAYSTATION":"Se almeno una mod è abilitata, i progressi dei trofei saranno disattivati finché le mod non vengono disabilitate. Vuoi davvero continuare?","DEFAULT":"Se almeno una mod è abilitata, i progressi degli obiettivi saranno disattivati finché le mod non vengono disabilitate. Vuoi davvero continuare?","CONFIRM":"Sì, mantieni le mod e torna al menu principale","CANCEL":"Torna a Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Visualizza dettagli","READ_MORE":"Continua a leggere"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Sfoglia tutte","LOAD_MORE":"CARICA ALTRO","MOST_POPULAR":"Mod più popolari"}}}'),ja:JSON.parse('{"TOP_MENU":{"START":"注目","BROWSE_ALL":"閲覧","INSTALLED":"インストール済み","INSTALLED_MODS":"ライブラリ","IMPORTED_MODS":"インポートしたMOD","PLAYSETS":"Playset","PUBLISH":"自分の制作物","LIBRARY":"自分のライブラリ"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"新Playset","PLAYSET":"アクティブなPlayset","DROPDOWN_LABEL":"アクティブなPlaysetを選択","DEACTIVATED_PLAYSETS":"アクティブなPlaysetなし","DEACTIVATE_PLAYSET":"アクティブなPlaysetなし","ACTIVE_PLAYSET":"アクティブなPlayset: {{playsetName}}"},"FILTER":{"HEADING":"フィルター","CLEAR_ALL":"すべて消去","TAGS":"タグ"},"LIST":{"ENABLED":"有効","DISABLED":"無効","EMPTY_STATE":{"TITLE":"MODがインストールされていません","TEXT":"MODがあればゲームが何倍も楽しくなります！下のボタンを押すと全MODを閲覧できます。MODを最低1つインストールしたらもう一度試してみましょう。","BUTTON":"全MODを閲覧"},"RESET_ACTIVATION_ORDER":"ロード順をリセット","BANNED_MOD":"このMODは停止されました","OFFLINE":"オフライン","ADD_TO_PLAYSET":"アクティブなPlaysetに追加","REMOVE_FROM_PLAYSET":"アクティブなPlaysetから削除","SUBSCRIBERS":"登録者数: {{formattedCount}}","SUBSCRIBERS_plural":"登録者数: {{formattedCount}}"},"SORT_BY_MENU":{"AZ":"昇順（A-Z）","ZA":"降順（Z-A）","OLDEST":"古い順","MOST_RECENT":"新しい順","MOST_SUBSCRIBED":"登録者が多い順","HIGHEST_RATED":"評価が高い順","MOST_PLAYSETS":"Playset追加が多い順","LEAST_PLAYSETS":"Playset追加が少ない順","SORT_BY":"並び替え","BEST":"ベスト","MOST_POPULAR":"人気が高い順","LAST_UPDATED":"更新が新しい順"},"ERROR":{"PARADOX_SERVICES_DOWN":"申し訳ありません。Paradox Modsサービスがリクエストを完了できませんでした。","BUTTONS":{"CLOSE":"閉じる"},"SET_USER_RATING":{"TITLE":"MODへのユーザー評価設定に失敗","MESSAGE":"このMODに新しいユーザー評価を設定できませんでした。"},"GET_USER_RATING":{"TITLE":"MODのユーザー評価取得に失敗","MESSAGE":"このMODのユーザー評価を取得できませんでした。"},"LOAD_MORE":{"TITLE":"MODの読み込みに失敗","MESSAGE":"スクロール中にさらにMODを読み込めませんでした。"},"SEARCH":{"TITLE":"MODの検索に失敗","MESSAGE":"MODを検索できませんでした。"},"SUBSCRIBE":{"TITLE":"MODの追加に失敗","MESSAGE":"MODを追加できませんでした。"},"UNSUBSCRIBE":{"TITLE":"MODの削除に失敗","MESSAGE":"MODを削除できませんでした。"},"MOD_DETAILS":{"TITLE":"MOD詳細の取得に失敗","MESSAGE":"MODの詳細を取得できませんでした。"},"USER_RATING":{"TITLE":"ユーザー評価の取得に失敗","MESSAGE":"ユーザー評価を取得できませんでした。"},"MOD_RATING":{"TITLE":"MOD評価の取得に失敗","MESSAGE":"MOD評価を取得できませんでした。"},"ENABLE":{"TITLE":"MODの有効化に失敗","MESSAGE":"このMODを有効化できませんでした。"},"DISABLE":{"TITLE":"MODの無効化に失敗","MESSAGE":"このMODを無効化できませんでした。"},"ENABLE_PLAYSET_MODS":{"TITLE":"Playset MODの有効化に失敗","MESSAGE":"このPlayset MODを有効化できませんでした。"},"DISABLE_PLAYSET_MODS":{"TITLE":"Playset MODの無効化に失敗","MESSAGE":"このPlayset MODを無効化できませんでした。"},"GETSUBSCRIBED":{"TITLE":"追加されたMODの取得に失敗","MESSAGE":"追加されたMODを取得できませんでした。"},"GET_FORUM_POSTS":{"TITLE":"ディスカッションスレッドの取得に失敗","MESSAGE":"ディスカッションスレッドを取得できませんでした。"},"SEND_FORUM_POST":{"TITLE":"ディスカッションスレッドの投稿に失敗","MESSAGE":"ディスカッションスレッドに投稿できませんでした。"},"GET_GAME_VERSION":{"TITLE":"ゲームバージョンの取得に失敗","MESSAGE":"ゲームバージョンを取得できませんでした。"},"GET_ALL_DEPENDENCIES":{"TITLE":"必要MODの取得に失敗","MESSAGE":"必要MODを取得できませんでした。"},"REPORT_MOD":{"TITLE":"MODの報告に失敗","MESSAGE":"MODを報告できませんでした。"},"GET_GAME_DATA":{"TITLE":"ゲーム情報の取得に失敗","MESSAGE":"ゲーム情報を取得できませんでした。"},"SET_ACTIVATION_ORDER":{"TITLE":"有効化順序の設定に失敗","MESSAGE":"有効化順序を変更できませんでした。"},"RESET_ACTIVATION_ORDER":{"TITLE":"有効化順序のリセットに失敗","MESSAGE":"有効化順序を変更できませんでした。"},"SCREEN_KEYBOARD":{"TITLE":"スクリーンキーボードの起動に失敗","MESSAGE":"スクリーンキーボードを開けませんでした。"},"PLAYSETS":{"TITLE":"Playsetの取得に失敗","MESSAGE":"Playsetを取得できませんでした。"},"PLAYSET_DETAILS":{"TITLE":"Playset詳細の取得に失敗","MESSAGE":"Playset詳細を取得できませんでした。"},"PLAYSET_DELETE":{"TITLE":"Playsetの削除に失敗","MESSAGE":"Playsetを削除できませんでした。"},"PLAYSET_RENAME":{"TITLE":"Playset名の変更に失敗","MESSAGE":"Playset名を変更できませんでした。"},"PLAYSET_MODS":{"TITLE":"Playset MODの取得に失敗","MESSAGE":"MODを取得できませんでした。"},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"MOD有効化の確認に失敗","MESSAGE":"アクティブなPlaysetがMODを有効化したかどうかを確認できませんでした。"},"CREATE_PLAYSET":{"TITLE":"Playsetの新規作成に失敗","MESSAGE":"Playsetを新規作成できませんでした。"},"ACTIVATE_PLAYSET":{"TITLE":"Playsetのアクティブ化に失敗","MESSAGE":"Playsetをアクティブ化できませんでした。"},"DEACTIVATE_PLAYSET":{"TITLE":"Playsetの非アクティブ化に失敗","MESSAGE":"Playsetを非アクティブ化できませんでした。"},"DEACTIVATED_PLAYSET":{"TITLE":"MODの追加に失敗","MESSAGE":"MODを追加するには、アクティブなPlaysetが必要です。"},"ACTIVE_PLAYSET":{"TITLE":"アクティブなPlaysetの取得に失敗","MESSAGE":"アクティブなPlaysetを取得できませんでした。"},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"ログインしていません。","MESSAGE":"Paradoxアカウントにログインしていません。本サービスを利用するには、アカウントを作成してログインしてください。"},"OFFLINE":{"TITLE":"オフラインです","MESSAGE":"インターネットに接続されていません。オフラインでも、インストールしたMODの有効化・無効化およびロード順の変更は可能です。"},"SYNC":{"TITLE":"MODの同期に失敗","MESSAGE":"MODの同期中にエラーが発生しました。"},"DEFAULT":{"TITLE":"エラーが発生しました。","MESSAGE":"申し訳ありません。リクエストにエラーが発生しました。これを閉じてからもう一度お試しください。"}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"ディスクの容量が不足しているため、操作を完了できませんでした。","THIRDPARTYEXCEPTION":"使用しているサードパーティのライブラリでエラーが発生しました。","DBERROR":"サーバー側のデータベースで問題が発生しています。","DISKPERMISSIONERROR":"このディスクへのアクセス権限がありません。","FILEIOERROR":"ディスクの書き込みまたは読み込み中にエラーが発生しました。","REMOTELOGOUTFAILED":"サーバーからのログアウト中に問題が発生しました。ローカルとサーバーのセッションが非同期になる可能性があります。","INTERNALERROR":"不明な内部エラーが発生しました。"},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"サーバーからのレスポンスボディが不適切だったため、パースできませんでした。","HTTPREQUESTERROR":"通信の切断、DNSエラー、または類似の問題により、サーバーへのリクエストが失敗しました。","NETWORKSENDERROR":"サーバーへのデータ送信中に不明なエラーが発生しました。","TASKTIMEOUTERROR":"サーバーへのリクエストがタイムアウトしました。","UNEXPECTEDRESPONSEERROR":"サーバーからのレスポンスが不適切であったか、または必要なすべてのデータが含まれていませんでした。","NORESPONSEBODY":"サーバーからのレスポンスにボディがありません。","MODDOWNLOADFAILEDERROR":"MODのメタデータが同期されましたが、ダウンロードに失敗しました。次の同期で新たにダウンロードの再試行が行われます。"},"NOTFOUND":{"NOACCOUNT":"ユーザーアカウントが見つかりませんでした。","NODOCUMENT":"ドキュメントが見つかりませんでした。","NOMERGETASK":"マージタスクが見つかりませんでした。","NOMOD":"MODが見つかりませんでした。","NOMODVERSION":"リクエストされたバージョンのMODが見つかりませんでした。","NOMODPLAYSET":"リクエストされたPlaysetが見つからなかったか、アクセスできませんでした。","NOPROFILE":"プロフィールが見つかりませんでした。","NOACHIEVEMENT":"実績が見つかりませんでした。","NORESOURCE":"リクエストされたリソースが見つかりませんでした。"},"INVALIDSTATE":{"NOTLOGGEDIN":"ユーザーがログインしていません。","MODDISABLED":"MODは削除またはブロックされています。"},"MODS":{"SYNCONGOING":"すでに同期を実行中です。","OPERATIONSONGOING":"まだ別の操作を実行中です。","LOCALERROR":"実行中にエラーが発生しました。また後でお試しください。"},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"ユーザーは、もう一度認証情報を使用してフルユーザーログインを行う必要があります。","EXPIREDSESSIONTOKEN":"ユーザーは、リフレッシュトークンを使用して新しいセッショントークンを作成する必要があります。","SESSIONTOOLOWTRUSTLEVEL":"このセッションはトラストレベルが不足しています。より高いトラストレベルを持つ認証情報を使用してもう一度ログインしてください。","INVALIDAUTHENTICATION":"使用された認証情報が有効ではありません。","REJECTEDBYTHIRDPARTY":"認証がサードパーティ（steam、psn、twitchなど）によって拒否されました。","FORBIDDENACCESS":"このセッションで禁止されているデータにアクセスしようとしています。","AUTOMATICLOGINFAILURE":"Account.Startup()によるユーザーの自動ログインを行えませんでした。代わりに、手動でAccount.Login(Credentials)を呼び出してください。"},"MODSUI":{"DELETEACTIVEPLAYSET":"現在アクティブになっているPlaysetは削除できません。","REPORTMODBLOCKEDTIMELIMIT":"このMODは既に報告済みであり、モデレーターがレビューを行う予定です。","TOOMANYPLAYSETS":"プレイセットは50個までしか持てません。"},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"フォーラムの投稿を追加できません。アカウントがフォーラムに接続されていることを確認してください"}},"WIP":{"CREATE":{"TITLE":"ドラフトMODの作成に失敗","MESSAGE":"申し訳ありません。ドラフトMODを作成できませんでした。"},"LIST":{"TITLE":"ドラフトMODの取得に失敗","MESSAGE":"申し訳ありません。Playset詳細を取得できませんでした。"},"DELETE":{"TITLE":"ドラフトMODの削除に失敗","MESSAGE":"申し訳ありません。ドラフトMODを削除できませんでした。"},"GET":{"TITLE":"ドラフトMODの取得に失敗","MESSAGE":"申し訳ありません。ドラフトMODを取得できませんでした。"},"PUBLISH":{"TITLE":"ドラフトMODの公開に失敗","MESSAGE":"申し訳ありません。ドラフトMODを公開できませんでした。すべてのコンテンツとカバー画像があることをお確かめください。"},"NEW_VERSION":{"TITLE":"新しいドラフトMODバージョンの公開に失敗","MESSAGE":"申し訳ありません。新しいドラフトMODバージョンを公開できませんでした。すべてのコンテンツとカバー画像があることをお確かめください。"}},"INPUT":{"EMPTY":"空欄に入力してください。"}},"PROGRESSBAR":{"QUEUED":"キュー済み"},"MOD_DETAILS":{"HEADER":{"BACK":"戻る","BY":"制作者","SIZETEXT":"サイズ","VERSION":"MODバージョン","REQUIREDGAMEVERSION":"推奨ゲームバージョン","SUBSCRIPTIONSTOTAL":"登録者","LIKESTOTAL":"いいね","AUTHOR":"制作者"},"AUTHOR":{"TITLE":"MOD制作者","ALL_MODS_BY_AUTHOR":"制作者の全MOD","MORE_FROM_THIS_CREATOR":"この制作者の他の作品"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"アクティブなPlaysetに追加","SUBSCRIBED":"追加済み","UNSUBSCRIBE":"アクティブなPlaysetから削除","INSTALLING":"インストール中…","UNINSTALLING":"アンインストール中…","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"MODの削除を決定","TEXT":"本当にMOD「{{name}}」（{{size}}）をアクティブなPlaysetから削除しますか？"}},"REQUIREMENT":{"TITLE":"必要","VIEW_ALL":"すべて見る","BACK_TO_MOD_DETAILS":"MOD詳細に戻る","REQUIRED_MODS":"必要なMOD ({{modsCount}})","REQUIRED_DLC":"必要なDLC ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"このMODの動作には以下のMODが必要です。","REQUIRED_DLC_MESSAGE":"このMODの動作には以下のDLCが必要です。"},"FORUM_LINKS":{"TITLE":"MOD詳細を見る","TOP_THREAD":"Paradoxフォーラム"},"FORUM_POSTS":{"TITLE":"ディスカッション","OPEN_FULL_DISCUSSION":"ディスカッションをすべて開く","UNSUPPORTED_FORMATTING":"このメッセージには非対応の書式が含まれており、ここで表示することができません。","GO_TO_POST":"フォーラムに移動して投稿全文をお読みください。","OPEN_IN_BROWSER":"ブラウザで開く","COMMENT_TITLE":"MODにコメントする","REPLYING_TO":"{{user}}の投稿への返信","REMOVE_REPLY":"キャンセル","SEND_COMMENT":"投稿する","ADD_COMMENT":"コメントを追加…","REFRESH":"更新","LOAD_MORE":"さらに読み込む","NEW":"New","YOU":"游","REGISTER_TITLE":"Paradox フォーラムへのアクセスが必要です","REGISTER_INFORMATION":"<0>コメントを投稿できるようにするには、アカウントを Paradox フォーラムにリンクする必要があります。 下のボタンに従って、Paradox アカウントを使用してログインし、設定を行ってください。</0><1>すでにアカウントをリンクしている場合は、しばらく待ってからもう一度お試しください。</1>","OPEN_REGISTER":"アカウントをリンクする"},"LINKS":{"TITLE":"MOD詳細を見る"},"LINKS_MODAL":{"TITLE":"ウェブブラウザで開きますか？","TEXT":"このリンクをゲーム外のウェブブラウザで開きますか？"},"CHANGELOG":{"TITLE":"変更履歴","V":"v","RELEASED":"リリース","READ_MORE":"詳細"},"DESCRIPTION":{"TITLE":"概要","READ_MORE":"詳細"},"INFO":{"TITLE":"MOD情報"},"BANNED":{"TITLE":"削除済み","INFO":"このMODは利用規約に違反していたため、ライブラリから削除されました。"},"OUTDATED":"このMODは使用中のゲームバージョンと互換性がないため、正常に動作しない可能性があります。","GALLERY":{"NEXT":"次へ","PREVIOUS":"前へ","MISSING_IMAGES":"この MOD のギャラリー画像はまだありません..."},"TAGS":{"TITLE":"タグ"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"制作者: ","MODS":"MOD","TOTAL_SIZE":"合計サイズ","BACK":"全Playsetに戻る","SUBTITLE":"MOD数: {{modsCount}}、合計サイズ: {{modsSize}}"},"MORE_BUTTON":{"MORE":"さらに見る"},"ACTIVATE_BUTTON":{"ACTIVATE":"アクティブ化","ACTIVATED":"アクティブ化済み"},"ACTION_MENU":{"ENABLE_ALL_MODS":"全MODを有効化","DISABLE_ALL_MODS":"全MODを無効化"},"EMPTY_STATE":{"TITLE":"MODがありません","DESCRIPTION":"Playsetを作るのも、すべてはMODで遊ぶためです。このできたてピカピカのPlaysetにMODを追加してみませんか？","ADD_MODS":"MODを追加"},"LIST":{"AUTHOR":"<0>制作者: </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"検索","APPLY_FILTERS":"フィルターを適用","APPLY":"適用","OPEN":"開く","ADD":"追加","BACK":"戻る","ENABLE_DISABLE":"有効化/無効化","ENABLE":"有効化","DISABLE":"無効化","SUBSCRIBE":"Playsetに追加","UNSUBSCRIBE":"Playsetから削除","CLOSE":"閉じる","CHANGE_ORDER":"順序を変更","RESET_LOAD_ORDER":"ロード順をリセット","SCROLL":"スクロール","DELETE":"削除","DETAILS":"詳細","ACTIVATE":"アクティブ化","RENAME":"名前を変更","CANCEL":"キャンセル","CONFIRM":"決定","CREATE":"作成","TOGGLE_ACTION_MENU":"アクションメニューを切り替え","SCROLL_TO_TOP":"一番上へスクロール","LIKE":"いいね","REMOVE_LIKE":"いいねを解除","EXPAND":"展開","COLLAPSE":"折り畳む","OPEN_WEB_LINK":"ウェブブラウザで開く","SELECT":"選択","REPLY":"返信する"},"CONSOLE_FILTER":{"TITLE":"フィルター結果","TAGS":"タグ","FILTER":"フィルター","FILTERED":"フィルター済み"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"MOD「{{modName}}」を追加します","INFORMATION":"<0>このMODを正常に動作させるには、{{numberOfDependencies}}個の別のMOD（合計サイズ: {{totalSizeOfDependencies}}）が必要です。</0><1>必要なMODも自動的に追加しますか？</1>","SUBSCRIBE_TO_MODS":"必要なMODを追加する","IGNORE_MODS":"必要なMODを追加しない","NOT_PUBLISHED_DEPENDENCIES":"<0>注意: このMODに必要なMODのいくつかは使用できないため、正常に動作しない可能性があります。</0><1>MODは、停止、削除、またはその他の方法で公開の対象から外される場合があります。</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset同期の競合","INFORMATION":"Playsetのサーバー記録とローカル記録が一致しません。どちらのファイルで続けて遊びますか？","KEEP_CLOUD":"クラウドファイルを維持","KEEP_LOCAL":"ローカルファイルを維持"},"CLOUD":{"TITLE":"クラウドファイルをこのPCにダウンロード","INFORMATION":"ローカルファイルはサーバーのファイルによって上書きされます。本当にダウンロードしますか？","BACK":"戻る","DOWNLOAD":"このPCにダウンロード"},"LOCAL":{"TITLE":"ローカルファイルをサーバーにアップロード","INFORMATION":"サーバーのファイルはローカルファイルによって上書きされます。本当にダウンロードしますか？","BACK":"戻る","DOWNLOAD":"サーバーにアップロード"}},"SYNC":{"TITLE":"使用中のMODを最新状態にアップデート中…","INFORMATION":"アップデート中はMODを閲覧できません。このウィンドウを閉じてもアップデートは中断されません。","MODS_DONE":"のMODが完了","UPDATING_MOD":"MODアップデート中","STOP_AND_CONTINUE_NEXT_TIME":"このウィンドウを閉じる","WAITING_FOR_DOWNLOAD":"ダウンロード開始を待っています…","CHECKING_MODS":"MODを確認中…","DOWNLOADING":"ダウンロード中","DONE":"リストに戻る","CLOSE":"閉じる","RESYNC":"同期を再開","UNHANDLED_ERROR":"一部のMODの同期に失敗しました。問題のあるMODを削除してもう一度お試しください。","OUT_OF_SPACE":"最新のPlaysetのアップデートを行うにはディスク容量が不足しています。ディスク容量を確保するには、使用しているMODをいくつか削除する必要があります。","INSTALLING":{"PREPARING":"準備中…","PATCHING":"ファイルを移動中…","APPLYING":"変更を適用中…","PERMISSIONS":"権限をアップデート中…","CLEANUP":"クリーンアップ中…","":"インストール中"}},"OTHER":{"DLCS":"DLC","MODS":"MOD","NO":"いいえ","REQUIRED":"必要"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"MODを検索","REPORT_COMMENT":"コメントを報告","CREATE_PLAYSET":"Playsetを作成","RENAME_PLAYSET":"Playset名を変更","PUBLISH":{"DISPLAY_NAME":"表示名を設定","GAME_VERSION":"推奨ゲームバージョンを設定","CHANGELOG":"変更履歴エントリを追加","DESCRIPTION":"概要を設定"}}},"REPORT":{"SECTION_TITLE":"不適切として報告する","INFORMATION_TEXT":"このMODが利用規約に違反していると思われる場合、当社でレビューできるようご報告いただき、モデレーションにご協力ください。","BUTTON":"報告を送信","BUTTON_DONE":"報告を送信しました","SUBMIT":"報告を送信","INFORMATION":"以下に詳細をご記入ください。内容は分析のため品質保証チームに送信されます。より良く安全なParadoxの実現にご協力いただき、ありがとうございます。","CAPTION":"報告理由","COMMENT_TITLE":"詳細をご記入ください: ","COMMENT_PLACEHOLDER":"こちらにコメントをお書きください…","THANK_YOU":"ご報告ありがとうございます。","THANK_YOU_MESSAGE":"このMODはレビューを行うため報告されました。より良く安全なParadox Modsの実現にご協力いただき、ありがとうございます。","MISSING_REASON":"理由を選択してください。","MISSING_DESCRIPTION":"違反内容についてお書きください。","CLOSE":"ウィンドウを閉じる","COMMENT_INFORMATION":"このMODの内容が不適切であるとして報告します。","COMMENT_SUBINFORMATION":"MODが関係していると思われる事項: ","PREVIEW_COMMENT":"記入されたコメント: ","PREVIEW":"プレビュー","VERSION_PREFIX":"v","REASONS":{"NUDITY":"ヌード","VIOLENCE":"暴力","HARASSMENT":"ハラスメント","SPAM":"スパム","COPYRIGHT":"著作権侵害","HATE":"ヘイトスピーチ","DOESNOTWORK":"MODが正常に動作しない","OTHER":"その他"}},"SEARCH":{"NO_SEARCH_RESULTS":"検索結果なし","MODS_AVAILABLE":"MODが{{modsAvailable}}個見つかりました"},"INSTALLED_MODS":{"MODS_INSTALLED":"インストールしたMOD: {{modsAvailable}}個"},"XBOX_SEARCH":{"CLEAR_SEARCH":"検索結果をクリア"},"SEARCH_INPUT":{"PLACEHOLDER":"MODを検索…"},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"有効","ACTIVATE_PLAYSET":"このPlaysetを使う","CREATE_NEW_PLAYSET":{"TITLE":"Playsetを新規作成","NAME":"名前","CREATE":"作成","CANCEL":"キャンセル","KEYBOARD_TITLE":"新しいPlayset名を入力","SUCCESS":"Playset「{{name}}」が作成されました。"},"MODS_COUNT":"MOD数: {{modsCount}}","UPDATED":"最後のアップデート: {{updated}}","DELETE":{"TITLE":"Playset削除の確認","TEXT":"本当にPlayset「{{name}}」を削除しますか？"},"RENAME":{"TITLE":"Playset名を変更","TEXT":"「{{name}}」の名前を変更"}},"PUBLISH":{"INPUT_DETAILS":"MOD詳細","DISPLAY_NAME":"表示名*","DISPLAY_NAME_ERROR":"表示名が必要です","SUGGESTED_GAME_VERSION":"推奨ゲームバージョン*","SUGGESTED_GAME_VERSION_ERROR":"推奨ゲームバージョンが必要です","COVER_FILE_NAME":"カバー画像ファイル名*","COVER_FILE_NAME_ERROR":"カバー画像ファイル名が必要です","DESCRIPTION":"概要*","DESCRIPTION_ERROR":"概要が必要です","CHANGELOG":"変更履歴エントリ*","CHANGELOG_ERROR":"変更履歴エントリが必要です","PUBLISH_NEW_VERSION":"新しいバージョンを公開","PUBLISH_NEW":"公開","PUBLISHING_TITLE":"MOD公開待ち","PUBLISHING":"MODの公開処理を行っています。完了するまで時間がかかる場合があります。"},"LIBRARY":{"PLAYSETS_TITLE":"自分のPlayset","CREATIONS_TITLE":"自分の制作物","IMPORTED_TITLE":"自分のインポートしたMOD"},"CONFIRM_MODAL":{"CONFIRM":"はい","CANCEL":"キャンセル","RENAME":"名前を変更"},"ALERT_MODAL":{"CONFIRM":"閉じる"},"TOASTS":{"UNSUBSCRIBED_MOD":"MODを削除しました。","ENABLED_PLAYSET_MODS":"Playset MODを有効化しました","DISABLED_PLAYSET_MODS":"Playset MODを無効化しました","COMMENT_POSTED":"コメントを投稿しました"},"WIP_MOD":{"CREATE_NEW":"MODを新規作成","CREATE_NEW_TEXT":"未完成MODを新規作成します。","CREATE":"作成","CANCEL":"キャンセル","DELETE_TITLE":"未完成MODを削除","DELETE_TEXT":"本当にMOD「{{modName}}」を削除しますか？","DRAFT_MODS":"ドラフトMOD数: {{modCount}}"},"WARNING":{"START_SCREEN":{"XBOX":"<0>重要</0>MODはゲーム本来の体験を変化させますが、Paradox Interactive、ゲーム開発者、Xboxによる事前テストや検証は行われていません。MODが1つでも使用されている場合、実績の進行度はすべて無効化されます。Paradox ModsはParadox User Agreementに従うものとします。","PLAYSTATION":"<0>重要</0>MODはゲーム本来の体験を変化させますが、Paradox Interactive、ゲーム開発者、PlayStationによる事前テストや検証は行われていません。MODが1つでも使用されている場合、トロフィーの進行度はすべて無効化されます。Paradox ModsはParadox User Agreementに従うものとします。","DEFAULT":"<0>重要</0>MODはゲーム本来の体験を変化させますが、Paradox Interactiveによる事前テストや検証は行われていません。MODが1つでも使用されている場合、実績の進行度はすべて無効化されます。Paradox ModsはParadox User Agreementに従うものとします。"},"EXIT":{"CLOSING":"閉じています…","CLOSE_NOW":"閉じる","TITLE":"重要","XBOX":"MODが1つでも有効化されている場合、MODを無効化するまで実績の進行度は無効化されます。このまま続けますか？","PLAYSTATION":"MODが1つでも有効化されている場合、MODを無効化するまでトロフィーの進行度は無効化されます。このまま続けますか？","DEFAULT":"MODが1つでも有効化されている場合、MODを無効化するまで実績の進行度は無効化されます。このまま続けますか？","CONFIRM":"はい、MODを有効にしたままメインメニューに戻ります","CANCEL":"Paradox Modsに戻る"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"詳細を見る","READ_MORE":"詳細"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"すべて閲覧","LOAD_MORE":"さらに読み込む","MOST_POPULAR":"最も人気のMOD"}}}'),ko:JSON.parse('{"TOP_MENU":{"START":"추천","BROWSE_ALL":"검색","INSTALLED":"설치됨","INSTALLED_MODS":"라이브러리","IMPORTED_MODS":"가져온 Mod","PLAYSETS":"Playset","PUBLISH":"내 창작물","LIBRARY":"내 라이브러리"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"새 Playset","PLAYSET":"활성 Playset","DROPDOWN_LABEL":"활성 Playset 선택","DEACTIVATED_PLAYSETS":"활성 Playset 없음","DEACTIVATE_PLAYSET":"활성 Playset 없음","ACTIVE_PLAYSET":"활성 PLAYSET: {{playsetName}}"},"FILTER":{"HEADING":"필터","CLEAR_ALL":"모두 지우기","TAGS":"태그"},"LIST":{"ENABLED":"활성화됨","DISABLED":"비활성화됨","EMPTY_STATE":{"TITLE":"설치된 Mod 없음","TEXT":"Mod를 설치해 게임을 더욱 재밌게 즐기세요! 아래 버튼을 눌러 모든 Mod를 둘러보고 하나 이상 설치한 뒤 돌아오세요.","BUTTON":"모든 Mod 둘러보기"},"RESET_ACTIVATION_ORDER":"로드 순서 초기화","BANNED_MOD":"이 Mod는 차단되었습니다","OFFLINE":"오프라인","ADD_TO_PLAYSET":"활성 Playset에 추가","REMOVE_FROM_PLAYSET":"활성 Playset에서 제거","SUBSCRIBERS":"구독자 {{formattedCount}}명","SUBSCRIBERS_plural":"구독자 {{formattedCount}}명"},"SORT_BY_MENU":{"AZ":"A~Z","ZA":"Z~A","OLDEST":"오래된 항목순","MOST_RECENT":"최신순","MOST_SUBSCRIBED":"구독자순","HIGHEST_RATED":"평점순","MOST_PLAYSETS":"Playset에 많은 항목순","LEAST_PLAYSETS":"Playset에 적은 항목순","SORT_BY":"정렬 기준","BEST":"최고","MOST_POPULAR":"인기순","LAST_UPDATED":"최신 업데이트순"},"ERROR":{"PARADOX_SERVICES_DOWN":"죄송합니다. Paradox Mods 서비스가 요청을 완료하지 못했습니다.","BUTTONS":{"CLOSE":"닫기"},"SET_USER_RATING":{"TITLE":"Mod의 사용자 평가 설정 실패","MESSAGE":"이 Mod의 새 사용자 평가를 설정할 수 없습니다."},"GET_USER_RATING":{"TITLE":"Mod의 사용자 평가 가져오기 실패","MESSAGE":"이 Mod의 사용자 평가를 가져올 수 없습니다."},"LOAD_MORE":{"TITLE":"더 많은 Mod 불러오기 실패","MESSAGE":"이번 스크롤에서 더 많은 Mod를 더 불러오지 못했습니다."},"SEARCH":{"TITLE":"Mod 검색 실패","MESSAGE":"지금 Mod를 검색할 수 없습니다."},"SUBSCRIBE":{"TITLE":"Mod 추가 실패","MESSAGE":"지금 Mod를 추가할 수 없습니다."},"UNSUBSCRIBE":{"TITLE":"Mod 제거 실패","MESSAGE":"지금 Mod를 제거할 수 없습니다."},"MOD_DETAILS":{"TITLE":"Mod 세부 사항 가져오기 실패","MESSAGE":"지금 Mod 세부 사항을 가져올 수 없습니다."},"USER_RATING":{"TITLE":"사용자 평가 가져오기 실패","MESSAGE":"지금 사용자 평가를 가져올 수 없습니다."},"MOD_RATING":{"TITLE":"Mod 평가 가져오기 실패","MESSAGE":"Mod 평가를 가져올 수 없습니다."},"ENABLE":{"TITLE":"Mod 활성화 실패","MESSAGE":"지금 이 Mod를 활성화할 수 없습니다."},"DISABLE":{"TITLE":"Mod 비활성화 실패","MESSAGE":"지금 이 Mod를 비활성화할 수 없습니다."},"ENABLE_PLAYSET_MODS":{"TITLE":"Playset Mod 활성화 실패","MESSAGE":"지금 이 Playset Mod를 활성화할 수 없습니다."},"DISABLE_PLAYSET_MODS":{"TITLE":"Playset Mod 비활성화 실패","MESSAGE":"지금 이 Playset Mod를 비활성화할 수 없습니다."},"GETSUBSCRIBED":{"TITLE":"추가된 Mod 가져오기 실패","MESSAGE":"지금 추가된 Mod를 가져올 수 없습니다."},"GET_FORUM_POSTS":{"TITLE":"토론 스레드 가져오기 실패","MESSAGE":"토론 스레드를 가져올 수 없습니다."},"SEND_FORUM_POST":{"TITLE":"토론 스레드에 게시 실패","MESSAGE":"토론 스레드에 게시물을 추가할 수 없습니다."},"GET_GAME_VERSION":{"TITLE":"게임 버전 가져오기 실패","MESSAGE":"게임 버전을 가져올 수 없습니다."},"GET_ALL_DEPENDENCIES":{"TITLE":"관련 파일 가져오기 실패","MESSAGE":"관련 파일을 가져올 수 없습니다."},"REPORT_MOD":{"TITLE":"Mod 신고 실패","MESSAGE":"Mod를 신고할 수 없습니다."},"GET_GAME_DATA":{"TITLE":"게임 정보 가져오기 실패","MESSAGE":"게임 정보를 가져올 수 없습니다."},"SET_ACTIVATION_ORDER":{"TITLE":"활성화 순서 설정 실패","MESSAGE":"지금 활성화 순서를 변경할 수 없습니다."},"RESET_ACTIVATION_ORDER":{"TITLE":"활성화 순서 초기화 실패","MESSAGE":"지금 활성화 순서를 변경할 수 없습니다."},"SCREEN_KEYBOARD":{"TITLE":"화면 키보드 열기 실패","MESSAGE":"화면 키보드를 열 수 없습니다."},"PLAYSETS":{"TITLE":"Playset 가져오기 실패","MESSAGE":"지금 Playset를 가져올 수 없습니다."},"PLAYSET_DETAILS":{"TITLE":"Playset 세부 사항 가져오기 실패","MESSAGE":"지금 Playset 세부 사항을 가져올 수 없습니다."},"PLAYSET_DELETE":{"TITLE":"Playset 삭제 실패","MESSAGE":"지금 Playset를 삭제할 수 없습니다."},"PLAYSET_RENAME":{"TITLE":"Playset 이름 변경 실패","MESSAGE":"지금 Playset 이름을 변경할 수 없습니다."},"PLAYSET_MODS":{"TITLE":"Playset Mod 가져오기 실패","MESSAGE":"지금 Mod를 가져올 수 없습니다."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"활성화된 Mod 확인 실패","MESSAGE":"지금 활성 Playset에 활성화된 Mod가 있는지 확인할 수 없습니다."},"CREATE_PLAYSET":{"TITLE":"새 Playset 생성 실패","MESSAGE":"지금 새 Playset를 생성할 수 없습니다."},"ACTIVATE_PLAYSET":{"TITLE":"Playset 활성화 실패","MESSAGE":"지금 Playset를 활성화할 수 없습니다."},"DEACTIVATE_PLAYSET":{"TITLE":"Playset 비활성화 실패","MESSAGE":"지금 Playset를 비활성화할 수 없습니다."},"DEACTIVATED_PLAYSET":{"TITLE":"Mod 추가 실패","MESSAGE":"Mod를 추가하려면 활성화된 Playset가 필요합니다."},"ACTIVE_PLAYSET":{"TITLE":"활성화된 Playset 가져오기 실패","MESSAGE":"지금 활성화된 Playset를 가져올 수 없습니다."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"로그인하지 않았습니다.","MESSAGE":"Paradox 계정에 로그인하지 않은 것 같습니다. 이 서비스를 이용하려면 계정을 생성하고 로그인하세요."},"OFFLINE":{"TITLE":"오프라인 상태입니다","MESSAGE":"지금 인터넷에 연결할 수 없는 것 같습니다. 설치된 Mod의 활성화, 비활성화, 로드 순서 변경은 가능합니다."},"SYNC":{"TITLE":"Mod 동기화 중 문제 발생","MESSAGE":"Mod 동기화 중 문제가 발생한 것 같습니다."},"DEFAULT":{"TITLE":"문제가 발생했습니다.","MESSAGE":"죄송합니다. 요청에 문제가 발생했습니다. 닫은 후 다시 시도하십시오."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"디스크 용량이 부족해 작업을 완료할 수 없습니다.","THIRDPARTYEXCEPTION":"사용 중인 서드파티 라이브러리에 문제가 발생했습니다.","DBERROR":"서버의 데이터베이스에 문제가 발생했습니다.","DISKPERMISSIONERROR":"현재 디스크에 액세스할 수 있는 권한이 없는 것 같습니다.","FILEIOERROR":"디스크에 쓰거나 읽는 중 오류가 발생했습니다.","REMOTELOGOUTFAILED":"서버에서 로그아웃하는 중 문제가 발생했습니다. 로컬 및 서버 세션이 동기화되지 않았을 수 있습니다.","INTERNALERROR":"알 수 없는 내부 오류가 발생했습니다."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"서버 응답 내용이 올바르지 않아 파싱할 수 없습니다.","HTTPREQUESTERROR":"연결 종료, DNS 오류 등으로 서버 요청에 실패했습니다.","NETWORKSENDERROR":"서버로 데이터를 보내는 중 알 수 없는 오류가 발생했습니다.","TASKTIMEOUTERROR":"서버 요청 시간을 초과했습니다.","UNEXPECTEDRESPONSEERROR":"서버 응답 내용이 올바르지 않거나 필요한 데이터가 부족합니다","NORESPONSEBODY":"서버 응답의 내용이 없습니다.","MODDOWNLOADFAILEDERROR":"Mod의 메타데이터를 동기화했지만, 다운로드에 실패했습니다. 다음 동기화 중 새롭게 다운로드를 시도합니다."},"NOTFOUND":{"NOACCOUNT":"사용자 계정을 찾을 수 없습니다.","NODOCUMENT":"문서를 찾을 수 없습니다.","NOMERGETASK":"병합 작업을 찾을 수 없습니다.","NOMOD":"Mod를 찾을 수 없습니다.","NOMODVERSION":"요청한 Mod 버전을 찾을 수 없습니다.","NOMODPLAYSET":"요청한 Playset에 액세스할 수 없습니다.","NOPROFILE":"프로필을 찾을 수 없습니다.","NOACHIEVEMENT":"업적을 찾을 수 없습니다.","NORESOURCE":"요청한 리소스를 찾을 수 없습니다."},"INVALIDSTATE":{"NOTLOGGEDIN":"사용자가 로그인하지 않았습니다.","MODDISABLED":"Mod가 삭제되었거나 차단되었습니다."},"MODS":{"SYNCONGOING":"동기화가 진행 중입니다.","OPERATIONSONGOING":"다른 작업이 진행 중입니다.","LOCALERROR":"작업을 수행하는 중 문제가 발생했습니다. 나중에 다시 시도하십시오."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"사용자가 자격 증명을 사용해 다시 로그인해야 합니다.","EXPIREDSESSIONTOKEN":"사용자가 갱신 토큰을 사용해 새 세션 토큰을 생성해야 합니다.","SESSIONTOOLOWTRUSTLEVEL":"세션의 신뢰도 수준이 높지 않습니다. 더 높은 신뢰도 수준을 부여하는 자격 증명을 사용해 다시 로그인하십시오.","INVALIDAUTHENTICATION":"제공된 인증 정보가 유효하지 않습니다.","REJECTEDBYTHIRDPARTY":"서드파티, Steam, PSN, Twitch 등에서 인증을 거부했습니다.","FORBIDDENACCESS":"세션에서 금지된 데이터에 액세스하려고 합니다.","AUTOMATICLOGINFAILURE":"Account.Startup()을 사용한 사용자 자동 로그인에 실패했습니다. 수동 Account.Login(자격 증명) 호출을 사용하십시오."},"MODSUI":{"DELETEACTIVEPLAYSET":"현재 활성화된 Playset를 삭제할 수 없습니다.","REPORTMODBLOCKEDTIMELIMIT":"이미 신고한 Mod로, 관리자의 검토를 기다리는 중입니다.","TOOMANYPLAYSETS":"플레이 세트는 50개를 초과할 수 없습니다."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"포럼 게시물을 추가할 수 없습니다. 계정이 포럼에 연결되어 있는지 확인하세요."}},"WIP":{"CREATE":{"TITLE":"드래프트 Mod를 생성할 수 없습니다.","MESSAGE":"죄송합니다. 드래프트 Mod를 생성할 수 없습니다."},"LIST":{"TITLE":"드래프트 Mod를 가져올 수 없습니다.","MESSAGE":"죄송합니다. Playset 세부 사항을 가져올 수 없습니다."},"DELETE":{"TITLE":"드래프트 Mod를 삭제할 수 없습니다.","MESSAGE":"죄송합니다. 드래프트 Mod를 삭제할 수 없습니다."},"GET":{"TITLE":"드래프트 Mod를 가져올 수 없습니다.","MESSAGE":"죄송합니다. 드래프트 Mod를 가져올 수 없습니다."},"PUBLISH":{"TITLE":"드래프트 Mod를 게시할 수 없습니다.","MESSAGE":"죄송합니다. 드래프트 Mod를 게시할 수 없습니다. 콘텐츠와 대표 이미지가 모두 포함되었는지 확인하십시오."},"NEW_VERSION":{"TITLE":"새 드래프트 Mod 버전을 게시할 수 없습니다.","MESSAGE":"죄송합니다. 새 드래프트 Mod 버전을 게시할 수 없습니다. 콘텐츠와 대표 이미지가 모두 포함되었는지 확인하십시오."}},"INPUT":{"EMPTY":"입력은 비워 둘 수 없습니다."}},"PROGRESSBAR":{"QUEUED":"대기 중"},"MOD_DETAILS":{"HEADER":{"BACK":"뒤로","BY":"정렬 순서","SIZETEXT":"크기","VERSION":"Mod 버전","REQUIREDGAMEVERSION":"추천 게임 버전","SUBSCRIPTIONSTOTAL":"구독자","LIKESTOTAL":"좋아요","AUTHOR":"생성자"},"AUTHOR":{"TITLE":"Mod 생성자","ALL_MODS_BY_AUTHOR":"이 생성자의 모든 Mod","MORE_FROM_THIS_CREATOR":"이 생성자 작품 더 보기"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"활성 Playset에 추가","SUBSCRIBED":"추가됨","UNSUBSCRIBE":"활성 Playset에서 제거","INSTALLING":"설치 중...","UNINSTALLING":"제거 중...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Mod 제거 확인","TEXT":"정말 활성 Playset에서 “{{name}}” ({{size}}) Mod를 제거하시겠습니까?"}},"REQUIREMENT":{"TITLE":"필요","VIEW_ALL":"모두 보기","BACK_TO_MOD_DETAILS":"Mod 세부 사항으로 돌아가기","REQUIRED_MODS":"필요한 Mod ({{modsCount}}개)","REQUIRED_DLC":"필요한 DLC ({{dlcCount}}개)","REQUIRED_MODS_MESSAGE":"이 Mod가 작동하려면 다음 Mod가 필요합니다","REQUIRED_DLC_MESSAGE":"이 Mod가 작동하려면 다음 DLC가 필요합니다"},"FORUM_LINKS":{"TITLE":"이 Mod에 대해 자세히 알아보기","TOP_THREAD":"Paradox 포럼"},"FORUM_POSTS":{"TITLE":"토론","OPEN_FULL_DISCUSSION":"전체 토론 열기","UNSUPPORTED_FORMATTING":"이 메시지는 지원되지 않는 형식이므로 여기에 표시할 수 없습니다.","GO_TO_POST":"전체 게시물을 보려면 포럼으로 이동하세요.","OPEN_IN_BROWSER":"브라우저에서 열기","COMMENT_TITLE":"Mod에 대한 댓글 작성","REPLYING_TO":"{{user}} 님의 게시물에 답글 작성 중","REMOVE_REPLY":"취소","SEND_COMMENT":"게시","ADD_COMMENT":"댓글 추가...","REFRESH":"새로 고침","LOAD_MORE":"더 불러오기","NEW":"New","YOU":"요우","REGISTER_TITLE":"Paradox 포럼에 액세스해야 합니다.","REGISTER_INFORMATION":"<0>댓글을 게시하려면 귀하의 계정이 Paradox 포럼에 연결되어 있어야 합니다. 아래 버튼을 따라 Paradox 계정으로 로그인하여 설정하세요.</0><1>이미 계정을 연결하셨다면 잠시 후에 다시 시도해주세요.</1>","OPEN_REGISTER":"계정 연결"},"LINKS":{"TITLE":"이 Mod에 대해 자세히 알아보기"},"LINKS_MODAL":{"TITLE":"웹 브라우저에서 여시겠습니까?","TEXT":"이 링크를 게임 외부의 웹 브라우저에서 여시겠습니까?"},"CHANGELOG":{"TITLE":"변경 사항 로그","V":"버전","RELEASED":"출시됨","READ_MORE":"더 보기"},"DESCRIPTION":{"TITLE":"설명","READ_MORE":"더 보기"},"INFO":{"TITLE":"Mod 정보"},"BANNED":{"TITLE":"차단됨","INFO":"이 Mod는 약관을 위반하여 라이브러리에서 차단되었습니다."},"OUTDATED":"이 Mod는 현재 게임 버전과 호환되지 않으며 올바르게 작동하지 않을 수 있습니다.","GALLERY":{"NEXT":"다음","PREVIOUS":"이전","MISSING_IMAGES":"아직 이 모드에 대한 갤러리 이미지가 없습니다..."},"TAGS":{"TITLE":"태그"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"생성자","MODS":"Mod","TOTAL_SIZE":"전체 크기","BACK":"모든 Playset로 돌아가기","SUBTITLE":"Mod {{modsCount}}개, 전체 크기 {{modsSize}}"},"MORE_BUTTON":{"MORE":"더 보기"},"ACTIVATE_BUTTON":{"ACTIVATE":"활성화","ACTIVATED":"활성화됨"},"ACTION_MENU":{"ENABLE_ALL_MODS":"모든 Mod 활성화","DISABLE_ALL_MODS":"모든 Mod 비활성화"},"EMPTY_STATE":{"TITLE":"아직 Mod 없음","DESCRIPTION":"Playset의 핵심은 Mod를 플레이하는 것입니다. 새 Playset에 더 많은 Mod를 추가해 보세요.","ADD_MODS":"Mod 추가"},"LIST":{"AUTHOR":"<0>생성자: </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"검색","APPLY_FILTERS":"필터 적용","APPLY":"적용","OPEN":"열기","ADD":"추가","BACK":"뒤로","ENABLE_DISABLE":"활성화/비활성화","ENABLE":"활성화","DISABLE":"비활성화","SUBSCRIBE":"Playset에 추가","UNSUBSCRIBE":"Playset에서 제거","CLOSE":"닫기","CHANGE_ORDER":"순서 변경","RESET_LOAD_ORDER":"로드 순서 초기화","SCROLL":"스크롤","DELETE":"삭제","DETAILS":"세부 사항","ACTIVATE":"활성화","RENAME":"이름 변경","CANCEL":"취소","CONFIRM":"확인","CREATE":"생성","TOGGLE_ACTION_MENU":"작업 메뉴 토글","SCROLL_TO_TOP":"맨 위로 스크롤","LIKE":"좋아요","REMOVE_LIKE":"좋아요 제거","EXPAND":"열기","COLLAPSE":"닫기","OPEN_WEB_LINK":"웹 브라우저에서 열기","SELECT":"선택","REPLY":"답글"},"CONSOLE_FILTER":{"TITLE":"필터 적용 결과","TAGS":"태그","FILTER":"필터","FILTERED":"필터링됨"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"“{{modName}}” Mod를 추가하려고 합니다","INFORMATION":"<0>이 Mod가 올바르게 작동하려면 {{numberOfDependencies}}개의 Mod(총 크기: {{totalSizeOfDependencies}})가 필요합니다.</0><1> 필요한 Mod도 자동으로 추가하시겠습니까?</1>","SUBSCRIBE_TO_MODS":"필요한 Mod 추가","IGNORE_MODS":"필요한 Mod 무시","NOT_PUBLISHED_DEPENDENCIES":"<0>이 Mod에서는 본 Mod를 정상적으로 작동하지 않게 할 수 있기 때문에 일부 관련 파일들을 이용할 수 없습니다.</0><1>이는 관련 파일이 차단, 삭제 또는 다른 방식으로 게시 상태에서 제거되었기 때문일 수 있습니다.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset 동기화 충돌","INFORMATION":"Playset 서버 상태와 로컬 상태가 일치하지 않습니다. 어떤 Mod로 계속/이어서 플레이하시겠습니까?","KEEP_CLOUD":"클라우드 파일 유지","KEEP_LOCAL":"로컬 파일 유지"},"CLOUD":{"TITLE":"이 장치에 클라우드 파일 다운로드","INFORMATION":"서버의 파일을 로컬 파일에 덮어씁니다. 계속하시겠습니까?","BACK":"뒤로","DOWNLOAD":"이 장치에 다운로드"},"LOCAL":{"TITLE":"서버에 로컬 파일 업로드","INFORMATION":"로컬 파일을 서버 파일에 덮어씁니다. 계속하시겠습니까?","BACK":"뒤로","DOWNLOAD":"서버에 업로드"}},"SYNC":{"TITLE":"Mod 최신 업데이트 받는 중...","INFORMATION":"업데이트가 완료될 때까지 Mod를 둘러볼 수 없습니다. 이 창을 닫아도 업데이트는 계속 진행됩니다.","MODS_DONE":"완료된 Mod","UPDATING_MOD":"Mod 업데이트 중","STOP_AND_CONTINUE_NEXT_TIME":"이 창 닫기","WAITING_FOR_DOWNLOAD":"다운로드 시작 대기 중...","CHECKING_MODS":"Mod 확인 중...","DOWNLOADING":"다운로드 중","DONE":"목록으로 가기","CLOSE":"닫기","RESYNC":"동기화 재시작","UNHANDLED_ERROR":"일부 Mod 동기화에 실패했습니다. 문제의 Mod를 제거하고 다시 시도하십시오.","OUT_OF_SPACE":"디스크에 Playset의 최신 업데이트를 받을 공간이 부족합니다. 디스크 공간을 확보하려면 일부 Mod를 삭제해야 합니다.","INSTALLING":{"PREPARING":"준비 중...","PATCHING":"파일 이동 중...","APPLYING":"변경 사항 적용 중...","PERMISSIONS":"권한 업데이트 중...","CLEANUP":"비우는 중...","":"설치 중"}},"OTHER":{"DLCS":"DLC","MODS":"Mod","NO":"아니요","REQUIRED":"필요"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Mod 검색","REPORT_COMMENT":"댓글 신고","CREATE_PLAYSET":"Playset 생성","RENAME_PLAYSET":"Playset 이름 변경","PUBLISH":{"DISPLAY_NAME":"표시 이름 설정","GAME_VERSION":"추천 게임 버전 설정","CHANGELOG":"변경 사항 로그 항목 추가","DESCRIPTION":"설명 설정"}}},"REPORT":{"SECTION_TITLE":"부적절하다고 표시","INFORMATION_TEXT":"Mod가 약관을 위반한 경우 조정을 위해 신고하여 검토할 수 있게 해주십시오.","BUTTON":"신고 제출","BUTTON_DONE":"신고했습니다","SUBMIT":"신고 제출","INFORMATION":"다음 내용을 작성하면 분석을 위해 QA팀에 전달하겠습니다. 더 안전하고, 더 나은 Paradox가 되도록 도와주셔서 감사합니다.","CAPTION":"신고 이유","COMMENT_TITLE":"자세하게 설명해 주십시오.","COMMENT_PLACEHOLDER":"여기에 의견을 작성해 주십시오...","THANK_YOU":"신고해 주셔서 감사합니다.","THANK_YOU_MESSAGE":"Mod가 신고되어 검토될 예정입니다. 더 안전하고, 더 나은 Paradox Mods가 되도록 도와주셔서 감사합니다.","MISSING_REASON":"이유를 선택해야 합니다.","MISSING_DESCRIPTION":"위반 내용을 작성해야 합니다.","CLOSE":"창 닫기","COMMENT_INFORMATION":"부적절한 콘텐츠가 포함된 Mod를 신고하려고 합니다.","COMMENT_SUBINFORMATION":"관련 내용을 알려주십시오.","PREVIEW_COMMENT":"의견:","PREVIEW":"미리 보기","VERSION_PREFIX":"버전","REASONS":{"NUDITY":"선정성","VIOLENCE":"폭력성","HARASSMENT":"괴롭힘","SPAM":"스팸","COPYRIGHT":"저작권 위반","HATE":"차별 및 혐오 발언","DOESNOTWORK":"Mod 작동 오류","OTHER":"기타"}},"SEARCH":{"NO_SEARCH_RESULTS":"검색 결과 없음","MODS_AVAILABLE":"{{modsAvailable}}개 Mod 이용 가능"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}}개 Mod 설치됨"},"XBOX_SEARCH":{"CLEAR_SEARCH":"검색 결과 지우기"},"SEARCH_INPUT":{"PLACEHOLDER":"Mod 검색 중..."},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"활성화","ACTIVATE_PLAYSET":"이 Playset 사용","CREATE_NEW_PLAYSET":{"TITLE":"새 Playset 생성","NAME":"이름","CREATE":"생성","CANCEL":"취소","KEYBOARD_TITLE":"새 Playset 이름 입력","SUCCESS":"Playset “{{name}}”이(가) 생성되었습니다."},"MODS_COUNT":"{{modsCount}}개 Mod","UPDATED":"마지막 업데이트: {{updated}}","DELETE":{"TITLE":"Playset 삭제 확인","TEXT":"Playset “{{name}}”을(를) 삭제하시겠습니까"},"RENAME":{"TITLE":"Playset 이름 변경","TEXT":"“{{name}}” 이름 변경"}},"PUBLISH":{"INPUT_DETAILS":"Mod 세부 사항","DISPLAY_NAME":"표시 이름*","DISPLAY_NAME_ERROR":"표시 이름이 필요합니다","SUGGESTED_GAME_VERSION":"추천 게임 버전*","SUGGESTED_GAME_VERSION_ERROR":"추천 게임 버전이 필요합니다","COVER_FILE_NAME":"대표 이미지 파일명*","COVER_FILE_NAME_ERROR":"대표 이미지 파일명이 필요합니다","DESCRIPTION":"설명*","DESCRIPTION_ERROR":"설명이 필요합니다","CHANGELOG":"변경 사항 로그 항목*","CHANGELOG_ERROR":"변경 사항 로그 항목이 필요합니다","PUBLISH_NEW_VERSION":"새 버전 게시","PUBLISH_NEW":"게시","PUBLISHING_TITLE":"Mod 게시 중","PUBLISHING":"현재 Mod를 게시 중입니다. 완료까지 시간이 조금 소요될 수 있습니다."},"LIBRARY":{"PLAYSETS_TITLE":"내 Playset","CREATIONS_TITLE":"내 창작물","IMPORTED_TITLE":"내 가져온 Mod"},"CONFIRM_MODAL":{"CONFIRM":"예","CANCEL":"취소","RENAME":"이름 변경"},"ALERT_MODAL":{"CONFIRM":"닫기"},"TOASTS":{"UNSUBSCRIBED_MOD":"Mod를 제거했습니다.","ENABLED_PLAYSET_MODS":"Playset Mod를 활성화했습니다","DISABLED_PLAYSET_MODS":"Playset Mod를 비활성화했습니다","COMMENT_POSTED":"댓글이 게시되었습니다"},"WIP_MOD":{"CREATE_NEW":"새 Mod 생성","CREATE_NEW_TEXT":"작업 중인 Mod를 새로 생성하세요.","CREATE":"생성","CANCEL":"취소","DELETE_TITLE":"작업 중인 Mod 삭제","DELETE_TEXT":"Mod “{{modName}}”을(를) 삭제하시겠습니까?","DRAFT_MODS":"{{modCount}}개 드래프트 Mod"},"WARNING":{"START_SCREEN":{"XBOX":"<0>중요</0>Mod 이용 시 게임의 오리지널 경험이 변경되며, Mod는 Paradox Interactive, 개발사, Xbox의 사전 테스트 또는 인증을 거치지 않았습니다. 최소 한 개 Mod가 활성화되어 있을 경우, 모든 업적 진행도가 비활성화됩니다. Paradox Mods에는 Paradox 사용자 계약이 적용됩니다.","PLAYSTATION":"<0>중요</0>Mod 이용 시 게임의 오리지널 경험이 변경되며, Mod는 Paradox Interactive, 개발사, PlayStation의 사전 테스트 또는 인증을 거치지 않았습니다. 최소 한 개 Mod가 활성화되어 있을 경우, 모든 트로피 진행도가 비활성화됩니다. Paradox Mods에는 Paradox 사용자 계약이 적용됩니다.","DEFAULT":"<0>중요</0>Mod 이용 시 게임의 오리지널 경험이 변경되며, Mod는 Paradox Interactive의 사전 테스트 또는 인증을 거치지 않았습니다. 최소 한 개 Mod가 활성화되어 있을 경우, 모든 업적 진행도가 비활성화됩니다. Paradox Mods에는 Paradox 사용자 계약이 적용됩니다."},"EXIT":{"CLOSING":"닫는 중...","CLOSE_NOW":"지금 닫기","TITLE":"중요","XBOX":"최소 한 개 Mod가 활성화되어 있을 경우, Mod를 다시 비활성화할 때까지 업적 진행도가 비활성화됩니다. 계속하시겠습니까?","PLAYSTATION":"최소 한 개 Mod가 활성화되어 있을 경우, Mod를 다시 비활성화할 때까지 트로피 진행도가 비활성화됩니다. 계속하시겠습니까?","DEFAULT":"최소 한 개 Mod가 활성화되어 있을 경우, Mod를 다시 비활성화할 때까지 업적 진행도가 비활성화됩니다. 계속하시겠습니까?","CONFIRM":"Mod를 유지하고 메인 메뉴로 돌아가기","CANCEL":"Paradox Mods로 돌아가기"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"세부 사항 보기","READ_MORE":"더 보기"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"전체 검색","LOAD_MORE":"더 불러오기","MOST_POPULAR":"최고 인기 Mod"}}}'),pl:JSON.parse('{"TOP_MENU":{"START":"Polecane","BROWSE_ALL":"Przeglądaj","INSTALLED":"Zainstalowane","INSTALLED_MODS":"Biblioteka","IMPORTED_MODS":"Zaimportowane mody","PLAYSETS":"Playsety","PUBLISH":"Utworzone przeze mnie","LIBRARY":"Moja biblioteka"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nowy playset","PLAYSET":"Aktywny playset","DROPDOWN_LABEL":"Wybierz aktywny playset","DEACTIVATED_PLAYSETS":"Brak aktywnego playsetu","DEACTIVATE_PLAYSET":"Brak aktywnego playsetu","ACTIVE_PLAYSET":"AKTYWNY PLAYSET: {{playsetName}}"},"FILTER":{"HEADING":"Filtr","CLEAR_ALL":"Wyczyść wszystko","TAGS":"Tagi"},"LIST":{"ENABLED":"Włączono","DISABLED":"Wyłączono","EMPTY_STATE":{"TITLE":"Brak zainstalowanych modów","TEXT":"Mody mogą uatrakcyjnić rozgrywkę! Użyj poniższego przycisku, aby przeglądać wszystkie mody. Wróć tutaj, kiedy jakieś zainstalujesz.","BUTTON":"PRZEGLĄDAJ WSZYSTKIE MODY"},"RESET_ACTIVATION_ORDER":"Zresetuj kolejność wczytywania","BANNED_MOD":"Ten mod został zbanowany","OFFLINE":"OFFLINE","ADD_TO_PLAYSET":"Dodaj do aktywnego playsetu","REMOVE_FROM_PLAYSET":"Usuń z aktywnego playsetu","SUBSCRIBERS":"{{formattedCount}} subskrybujący","SUBSCRIBERS_plural":"{{formattedCount}} subskrybujących"},"SORT_BY_MENU":{"AZ":"A–Z","ZA":"Z–A","OLDEST":"Najstarsze","MOST_RECENT":"Najnowsze","MOST_SUBSCRIBED":"Najczęściej subskrybowane","HIGHEST_RATED":"Najwyżej ocenione","MOST_PLAYSETS":"W największej liczbie playsetów","LEAST_PLAYSETS":"W najmniejszej liczbie playsetów","SORT_BY":"Sortuj według","BEST":"Najlepszy","MOST_POPULAR":"Najpopularniejsze","LAST_UPDATED":"Ostatnia aktualizacja"},"ERROR":{"PARADOX_SERVICES_DOWN":"Żądanie nie zostało przetworzone przez usługę Paradox Mods.","BUTTONS":{"CLOSE":"Zamknij"},"SET_USER_RATING":{"TITLE":"Nie ustawiono oceny użytkownika dla moda","MESSAGE":"Nie udało się ustawić nowej oceny użytkownika dla tego moda."},"GET_USER_RATING":{"TITLE":"Nie pobrano oceny użytkownika dla moda","MESSAGE":"Nie udało się pobrać oceny użytkownika dla tego moda."},"LOAD_MORE":{"TITLE":"Nie wczytano kolejnych modów","MESSAGE":"Nie udało się wczytać kolejnych modów podczas przewijania."},"SEARCH":{"TITLE":"Nie wyszukano modów","MESSAGE":"Nie udało się wyszukać modów."},"SUBSCRIBE":{"TITLE":"Nie dodano moda","MESSAGE":"Nie udało się dodać moda."},"UNSUBSCRIBE":{"TITLE":"Nie usunięto moda","MESSAGE":"Nie udało się usunąć moda."},"MOD_DETAILS":{"TITLE":"Nie pobrano szczegółów moda","MESSAGE":"Nie udało się pobrać szczegółów moda."},"USER_RATING":{"TITLE":"Nie pobrano oceny użytkownika","MESSAGE":"Nie udało się pobrać oceny użytkownika."},"MOD_RATING":{"TITLE":"Nie pobrano oceny moda","MESSAGE":"Nie udało się pobrać oceny moda."},"ENABLE":{"TITLE":"Nie włączono moda","MESSAGE":"Nie udało się włączyć tego moda."},"DISABLE":{"TITLE":"Nie wyłączono moda","MESSAGE":"Nie udało się wyłączyć tego moda."},"ENABLE_PLAYSET_MODS":{"TITLE":"Nie włączono modów playsetu","MESSAGE":"Nie udało się włączyć tych modów playsetu."},"DISABLE_PLAYSET_MODS":{"TITLE":"Nie wyłączono modów playsetu","MESSAGE":"Nie udało się wyłączyć tych modów playsetu."},"GETSUBSCRIBED":{"TITLE":"Nie pobrano dodanych modów","MESSAGE":"Nie udało się pobrać dodanych modów."},"GET_FORUM_POSTS":{"TITLE":"Nie pobrano wątku dyskusji","MESSAGE":"Nie udało się pobrać wątku dyskusji."},"SEND_FORUM_POST":{"TITLE":"Nie zamieszczono posta w wątku dyskusji","MESSAGE":"Nie udało się dodać posta do wątku dyskusji."},"GET_GAME_VERSION":{"TITLE":"Nie pobrano wersji gry","MESSAGE":"Nie udało się pobrać wersji gry."},"GET_ALL_DEPENDENCIES":{"TITLE":"Nie pobrano zależności","MESSAGE":"Nie udało się pobrać zależności."},"REPORT_MOD":{"TITLE":"Nie zgłoszono moda","MESSAGE":"Nie udało się zgłosić tego moda."},"GET_GAME_DATA":{"TITLE":"Nie pobrano informacji o grze","MESSAGE":"Nie udało się pobrać informacji o grze."},"SET_ACTIVATION_ORDER":{"TITLE":"Nie ustawiono kolejności aktywacji","MESSAGE":"Nie udało się zmienić kolejności aktywacji."},"RESET_ACTIVATION_ORDER":{"TITLE":"Nie zresetowano kolejności aktywacji","MESSAGE":"Nie udało się zmienić kolejności aktywacji."},"SCREEN_KEYBOARD":{"TITLE":"Nie otwarto klawiatury ekranowej","MESSAGE":"Nie udało się otworzyć klawiatury ekranowej."},"PLAYSETS":{"TITLE":"Nie pobrano playsetów","MESSAGE":"Nie udało się pobrać playsetów."},"PLAYSET_DETAILS":{"TITLE":"Nie pobrano szczegółów playsetu","MESSAGE":"Nie udało się pobrać szczegółów playsetu."},"PLAYSET_DELETE":{"TITLE":"Nie usunięto playsetu","MESSAGE":"Nie udało się usunąć playsetu."},"PLAYSET_RENAME":{"TITLE":"Nie zmieniono nazwy playsetu","MESSAGE":"Nie udało się zmienić nazwy playsetu."},"PLAYSET_MODS":{"TITLE":"Nie pobrano modów playsetu","MESSAGE":"Nie udało się pobrać moda."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Nie sprawdzono, czy mody są włączone","MESSAGE":"Nie udało się pobrać informacji o modach w aktywnym playsecie."},"CREATE_PLAYSET":{"TITLE":"Nie utworzono nowego playsetu","MESSAGE":"Nie udało się utworzyć nowego playsetu."},"ACTIVATE_PLAYSET":{"TITLE":"Nie aktywowano playsetu","MESSAGE":"Nie udało się aktywować playsetu."},"DEACTIVATE_PLAYSET":{"TITLE":"Nie dezaktywowano playsetu","MESSAGE":"Nie udało się dezaktywować playsetu."},"DEACTIVATED_PLAYSET":{"TITLE":"Nie dodano moda","MESSAGE":"Przed dodaniem moda musisz ustawić aktywny playset."},"ACTIVE_PLAYSET":{"TITLE":"Nie pobrano aktywnego playsetu","MESSAGE":"Nie udało się pobrać aktywnego playsetu."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Użytkownik nie jest zalogowany.","MESSAGE":"Wygląda na to, że ktoś nie jest zalogowany. Przed użyciem tej usługi utwórz konto Paradox i zaloguj się do niego."},"OFFLINE":{"TITLE":"Jesteś offline","MESSAGE":"Wygląda na to, że nie możesz uzyskać połączenia z Internetem. Nadal możesz włączać i wyłączać zainstalowane mody oraz zmieniać kolejność ich wczytywania."},"SYNC":{"TITLE":"Coś poszło nie tak podczas synchronizacji modów","MESSAGE":"Wygląda na to, że coś poszło nie tak podczas synchronizowania modów."},"DEFAULT":{"TITLE":"Coś poszło nie tak.","MESSAGE":"Coś poszło nie tak z Twoim żądaniem, zamknij i spróbuj ponownie."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Nie udało się ukończyć operacji ze względu na brak miejsca na dysku.","THIRDPARTYEXCEPTION":"Coś poszło nie tak z używaną biblioteką innej firmy.","DBERROR":"Wystąpił problem z bazą danych po stronie serwera.","DISKPERMISSIONERROR":"Wygląda na to, że nie masz uprawnień dostępu do bieżącego dysku.","FILEIOERROR":"Wystąpił błąd podczas zapisu na dysku lub odczytu z dysku.","REMOTELOGOUTFAILED":"Wystąpił problem z wylogowaniem się z serwera. Może wystąpić brak synchronizacji sesji lokalnej i sesji na serwerze.","INTERNALERROR":"Wystąpił nieokreślony błąd wewnętrzny."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"Treść odpowiedzi z serwera została uszkodzona i nie można jej przetworzyć.","HTTPREQUESTERROR":"Żądanie do serwera zakończyło się niepowodzeniem ze względu na utratę połączenia, błąd DNS lub podobny problem.","NETWORKSENDERROR":"Wystąpił nieokreślony błąd podczas przesyłania danych na serwer.","TASKTIMEOUTERROR":"Został przekroczony limit czasu żądania do serwera.","UNEXPECTEDRESPONSEERROR":"Odpowiedź z serwera została uszkodzona lub nie zawierała wszystkich wymaganych danych","NORESPONSEBODY":"Odpowiedź z serwera nie ma treści.","MODDOWNLOADFAILEDERROR":"Metadane moda zostały zsynchronizowane, ale pobieranie nie powiodło się. Ponowna próba pobrania zostanie podjęta podczas następnej synchronizacji."},"NOTFOUND":{"NOACCOUNT":"Nie znaleziono konta użytkownika.","NODOCUMENT":"Nie znaleziono dokumentu.","NOMERGETASK":"Nie znaleziono zadania scalania.","NOMOD":"Nie znaleziono moda.","NOMODVERSION":"Nie znaleziono wymaganej wersji moda.","NOMODPLAYSET":"Nie znaleziono określonego playsetu lub nie można uzyskać do niego dostępu.","NOPROFILE":"Nie znaleziono profilu.","NOACHIEVEMENT":"Nie znaleziono osiągnięcia.","NORESOURCE":"Nie znaleziono żądanego zasobu."},"INVALIDSTATE":{"NOTLOGGEDIN":"Użytkownik nie jest zalogowany.","MODDISABLED":"Mod został usunięty lub zablokowany."},"MODS":{"SYNCONGOING":"Trwa już synchronizacja.","OPERATIONSONGOING":"Nadal trwa inna operacja.","LOCALERROR":"Coś poszło nie tak podczas wykonywania działania, spróbuj ponownie później."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"Użytkownik musi ponownie zalogować się przy użyciu poświadczeń.","EXPIREDSESSIONTOKEN":"Użytkownik musi użyć tokenu odświeżania w celu utworzenia tokenu nowej sesji.","SESSIONTOOLOWTRUSTLEVEL":"Sesja nie ma wystarczającego poziomu zaufania, zaloguj się ponownie przy użyciu poświadczeń zapewniających wyższy poziom zaufania.","INVALIDAUTHENTICATION":"Nie można sprawdzić poprawności wprowadzonych danych uwierzytelniających.","REJECTEDBYTHIRDPARTY":"Dane uwierzytelniające zostały odrzucone przez usługę innej firmy, np. Steam, PSN lub Twitch.","FORBIDDENACCESS":"Podjęto próbę uzyskania dostępu do danych zakazanych w tej sesji.","AUTOMATICLOGINFAILURE":"Parametr Account.Startup() nie umożliwił automatycznego zalogowania użytkownika. Zamiast tego prześlij ręczne wywołanie parametru Account.Login(Credentials)."},"MODSUI":{"DELETEACTIVEPLAYSET":"Nie możesz usunąć aktywnego playsetu.","REPORTMODBLOCKEDTIMELIMIT":"Tę modyfikację już zgłoszono i oczekuje ona na sprawdzenie przez naszych moderatorów.","TOOMANYPLAYSETS":"Nie możesz mieć więcej niż 50 zestawów."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Nie można dodać wpisu na forum. Upewnij się, że Twoje konto jest połączone z forami"}},"WIP":{"CREATE":{"TITLE":"Nie utworzono kopii roboczej moda.","MESSAGE":"Nie udało się utworzyć kopii roboczej moda."},"LIST":{"TITLE":"Nie pobrano kopii roboczych modów.","MESSAGE":"Nie udało się pobrać szczegółów playsetu."},"DELETE":{"TITLE":"Nie usunięto kopii roboczej moda.","MESSAGE":"Nie udało się usunąć kopii roboczej moda."},"GET":{"TITLE":"Nie pobrano kopii roboczej moda.","MESSAGE":"Nie udało się pobrać kopii roboczej moda."},"PUBLISH":{"TITLE":"Nie opublikowano kopii roboczej moda.","MESSAGE":"Nie udało się opublikować kopii roboczej moda. Sprawdź, czy dołączono całą zawartość i obraz okładki."},"NEW_VERSION":{"TITLE":"Nie opublikowano nowej wersji roboczej moda.","MESSAGE":"Nie udało się opublikować nowej wersji kopii roboczej moda. Sprawdź, czy dołączono całą zawartość i obraz okładki."}},"INPUT":{"EMPTY":"Dane wejściowe nie mogą być puste"}},"PROGRESSBAR":{"QUEUED":"W KOLEJCE"},"MOD_DETAILS":{"HEADER":{"BACK":"Wstecz","BY":"Autor:","SIZETEXT":"Rozmiar","VERSION":"Wersja moda","REQUIREDGAMEVERSION":"Sugerowana wersja gry","SUBSCRIPTIONSTOTAL":"Subskrybujący","LIKESTOTAL":"Polubienia","AUTHOR":"Autor"},"AUTHOR":{"TITLE":"Autor modyfikacji","ALL_MODS_BY_AUTHOR":"Wszystkie mody autora","MORE_FROM_THIS_CREATOR":"Więcej tego autora"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Dodaj do aktywnego playsetu","SUBSCRIBED":"DODANO","UNSUBSCRIBE":"Usuń z aktywnego playsetu","INSTALLING":"Instalowanie...","UNINSTALLING":"Odinstalowywanie...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Potwierdź usunięcie modyfikacji","TEXT":"Czy na pewno chcesz usunąć modyfikację „{{name}}” ({{size}}) z aktywnego szablonu rozgrywki?"}},"REQUIREMENT":{"TITLE":"Wymagane","VIEW_ALL":"Wyświetl wszystkie","BACK_TO_MOD_DETAILS":"Powrót do szczegółów moda","REQUIRED_MODS":"Wymagane modyfikacje ({{modsCount}})","REQUIRED_DLC":"Wymagana zawartość do pobrania ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Do działania tej modyfikacji są wymagane wymienione modyfikacje","REQUIRED_DLC_MESSAGE":"Do działania tej modyfikacji jest wymagana wymieniona zawartość do pobrania"},"FORUM_LINKS":{"TITLE":"Więcej o tym modzie","TOP_THREAD":"Forum Paradox"},"FORUM_POSTS":{"TITLE":"Dyskusja","OPEN_FULL_DISCUSSION":"Otwórz całą dyskusję","UNSUPPORTED_FORMATTING":"Nie można wyświetlić wiadomości ze względu na nieobsługiwane formatowanie.","GO_TO_POST":"Aby wyświetlić cały post, przejdź na forum.","OPEN_IN_BROWSER":"Otwórz w przeglądarce","COMMENT_TITLE":"Skomentuj modyfikację","REPLYING_TO":"Odpowiadasz na post użytkownika {{user}}","REMOVE_REPLY":"Anuluj","SEND_COMMENT":"Zamieść","ADD_COMMENT":"Dodaj komentarz...","REFRESH":"Odśwież","LOAD_MORE":"Załaduj więcej","NEW":"New","YOU":"You","REGISTER_TITLE":"Potrzebujesz dostępu do forów Paradox","REGISTER_INFORMATION":"<0>Aby móc zamieszczać komentarze, Twoje konto musi być połączone z Forami Paradox. Kliknij przycisk poniżej i zaloguj się przy użyciu swojego konta Paradox, aby dokonać konfiguracji.</0><1>Jeśli już połączyłeś swoje konto, poczekaj chwilę i spróbuj ponownie.</1>","OPEN_REGISTER":"Połącz swoje konto"},"LINKS":{"TITLE":"Więcej o tym modzie"},"LINKS_MODAL":{"TITLE":"Otworzyć w przeglądarce?","TEXT":"Chcesz otworzyć ten link w zewnętrznej przeglądarce?"},"CHANGELOG":{"TITLE":"Lista zmian","V":"wer.","RELEASED":"Wydano","READ_MORE":"Przeczytaj więcej"},"DESCRIPTION":{"TITLE":"Opis","READ_MORE":"Przeczytaj więcej"},"INFO":{"TITLE":"Informacje o modyfikacji"},"BANNED":{"TITLE":"Zbanowano","INFO":"Ten mod został zbanowany w bibliotece ze względu na naruszenia naszych warunków i postanowień."},"OUTDATED":"Ten mod jest niezgodny z zainstalowaną wersją gry i może działać nieprawidłowo.","GALLERY":{"NEXT":"Następny","PREVIOUS":"Wstecz","MISSING_IMAGES":"Nie ma jeszcze zdjęć z galerii dla tego moda..."},"TAGS":{"TITLE":"Tagi"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Autor:","MODS":"mody","TOTAL_SIZE":"całkowity rozmiar","BACK":"Wróć do wszystkich playsetów","SUBTITLE":"Mody: {{modsCount}}, całkowity rozmiar: {{modsSize}}"},"MORE_BUTTON":{"MORE":"Więcej"},"ACTIVATE_BUTTON":{"ACTIVATE":"Aktywuj","ACTIVATED":"Aktywowane"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Włącz wszystkie mody","DISABLE_ALL_MODS":"Wyłącz wszystkie mody"},"EMPTY_STATE":{"TITLE":"Brak modów","DESCRIPTION":"Playsety służą do korzystania z modów, może więc dodasz jakieś do tego nowego, lśniącego playsetu?","ADD_MODS":"Dodaj mody"},"LIST":{"AUTHOR":"<0>— autor: </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Wyszukaj","APPLY_FILTERS":"Zastosuj filtry","APPLY":"Zastosuj","OPEN":"Otwórz","ADD":"Dodaj","BACK":"Wstecz","ENABLE_DISABLE":"Włącz/wyłącz","ENABLE":"Włącz","DISABLE":"Wyłącz","SUBSCRIBE":"Dodaj do playsetu","UNSUBSCRIBE":"Usuń z playsetu","CLOSE":"Zamknij","CHANGE_ORDER":"Zmień kolejność","RESET_LOAD_ORDER":"Zresetuj kolejność wczytywania","SCROLL":"Przewiń","DELETE":"Usuń","DETAILS":"Szczegóły","ACTIVATE":"Aktywuj","RENAME":"Zmień nazwę","CANCEL":"Anuluj","CONFIRM":"Potwierdź","CREATE":"Utwórz","TOGGLE_ACTION_MENU":"Przełącz menu akcji","SCROLL_TO_TOP":"Przewiń do góry","LIKE":"Polub","REMOVE_LIKE":"Usuń polubienie","EXPAND":"Rozwiń","COLLAPSE":"Zwiń","OPEN_WEB_LINK":"Otwórz w przeglądarce internetowej","SELECT":"Wybierz","REPLY":"Odpowiedz"},"CONSOLE_FILTER":{"TITLE":"Wyniki filtrowania","TAGS":"Tagi","FILTER":"Filtruj","FILTERED":"Zastosowano filtry"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Planujesz dodać mod „{{modName}}”","INFORMATION":"<0>Ten mod wymaga innych modów do prawidłowego działania (wymagane mody: {{numberOfDependencies}}, całkowity rozmiar: {{totalSizeOfDependencies}}).</0><1> Czy chcesz automatycznie dodać również te wymagane mody?</1>","SUBSCRIBE_TO_MODS":"DODAJ WYMAGANE MODY","IGNORE_MODS":"ZIGNORUJ WYMAGANE MODY","NOT_PUBLISHED_DEPENDENCIES":"<0>Pamiętaj, że określone zależności niedostępne dla tego moda mogły spowodować jego nieprawidłowe działanie.</0><1>Możliwe, że zależność została zbanowana lub usunięta albo w inny sposób cofnięto jej publikację.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Konflikt synchronizacji playsetu","INFORMATION":"Brak zgodności stanu playsetu na poziomie serwera i poziomie lokalnym. Którego stanu chcesz użyć do dalszej rozgrywki?","KEEP_CLOUD":"Zachowaj pliki z chmury","KEEP_LOCAL":"Zachowaj pliki lokalne"},"CLOUD":{"TITLE":"Pobierz pliki z chmury na ten komputer","INFORMATION":"Pliki z serwera zastąpią pliki lokalne. Czy na pewno chcesz kontynuować?","BACK":"Wróć","DOWNLOAD":"Pobierz na ten komputer"},"LOCAL":{"TITLE":"Prześlij pliki lokalne na serwer","INFORMATION":"Pliki lokalne zastąpią pliki na serwerze. Czy na pewno chcesz kontynuować?","BACK":"Wróć","DOWNLOAD":"Prześlij na serwer"}},"SYNC":{"TITLE":"Pobieranie najnowszych aktualizacji modów...","INFORMATION":"Nie możesz przeglądać modów, gdy trwa aktualizacja. Aktualizacja będzie kontynuowana nawet po zamknięciu okna.","MODS_DONE":"Przetworzone mody","UPDATING_MOD":"Aktualizacja moda","STOP_AND_CONTINUE_NEXT_TIME":"Zamknij okno","WAITING_FOR_DOWNLOAD":"Oczekiwanie na rozpoczęcie pobierania...","CHECKING_MODS":"Sprawdzanie modów...","DOWNLOADING":"Pobieranie","DONE":"Przejdź do listy","CLOSE":"Zamknij","RESYNC":"Uruchom ponownie synchronizację","UNHANDLED_ERROR":"Nie udało się zsynchronizować niektórych modów. Usuń błędne mody i spróbuj ponownie.","OUT_OF_SPACE":"Brak miejsca na dysku na najnowsze aktualizacje playsetu. Usuń niektóre mody w celu zwolnienia miejsca na dysku.","INSTALLING":{"PREPARING":"Przygotowywanie...","PATCHING":"Przenoszenie plików...","APPLYING":"Stosowanie zmian...","PERMISSIONS":"Aktualizowanie uprawnień...","CLEANUP":"Czyszczenie...","":"Instalowanie"}},"OTHER":{"DLCS":"DLC","MODS":"mody","NO":"Nie","REQUIRED":"Wymagane"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Wyszukaj mody","REPORT_COMMENT":"Komentarz do zgłoszenia","CREATE_PLAYSET":"Utwórz playset","RENAME_PLAYSET":"Zmień nazwę playsetu","PUBLISH":{"DISPLAY_NAME":"Ustaw nazwę wyświetlaną","GAME_VERSION":"Ustaw zalecaną wersję gry","CHANGELOG":"Dodaj wpis do listy zmian","DESCRIPTION":"Ustaw opis"}}},"REPORT":{"SECTION_TITLE":"Oznacz zawartość jako niewłaściwą","INFORMATION_TEXT":"Jeśli sądzisz, że ten mod narusza nasze warunki i postanowienia, pomóż nam go sprawdzić, zgłaszając go do moderacji.","BUTTON":"Prześlij zgłoszenie","BUTTON_DONE":"Zgłoszenie zostało wysłane","SUBMIT":"Prześlij zgłoszenie","INFORMATION":"Wprowadź poniżej informacje szczegółowe, które prześlemy do analizy naszemu zespołowi ds. zapewniania jakości. Dziękujemy za pomoc w ulepszaniu usług Paradox i czynieniu ich bezpieczniejszymi.","CAPTION":"Przyczyna zgłoszenia","COMMENT_TITLE":"Wprowadź informacje szczegółowe:","COMMENT_PLACEHOLDER":"Tutaj wpisz komentarz...","THANK_YOU":"Dziękujemy za zgłoszenie.","THANK_YOU_MESSAGE":"Mod został zgłoszony do sprawdzenia. Dziękujemy za pomoc w ulepszaniu usługi Paradox Mods i czynieniu jej bezpieczniejszą.","MISSING_REASON":"Musisz wybrać przyczynę.","MISSING_DESCRIPTION":"Musisz wprowadzić opis naruszenia.","CLOSE":"Zamknij okno","COMMENT_INFORMATION":"Ten mod zostanie zgłoszony jako zawierający niewłaściwe treści.","COMMENT_SUBINFORMATION":"Powiedz nam, czego dotyczy zgłoszenie:","PREVIEW_COMMENT":"Komentarz:","PREVIEW":"Podgląd","VERSION_PREFIX":"wer.","REASONS":{"NUDITY":"Nagość","VIOLENCE":"Przemoc","HARASSMENT":"Nękanie","SPAM":"Spam","COPYRIGHT":"Naruszenie praw autorskich","HATE":"Mowa nienawiści","DOESNOTWORK":"Mod działa nieprawidłowo","OTHER":"Coś innego"}},"SEARCH":{"NO_SEARCH_RESULTS":"Brak wyników wyszukiwania","MODS_AVAILABLE":"Dostępne mody: {{modsAvailable}}"},"INSTALLED_MODS":{"MODS_INSTALLED":"Zainstalowane mody: {{modsAvailable}}"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Wyczyść wyszukiwanie"},"SEARCH_INPUT":{"PLACEHOLDER":"Wyszukaj mody..."},"PLAYSETS":{"TITLE":"Playsety","ACTIVE":"Aktywny","ACTIVATE_PLAYSET":"Użyj tego playsetu","CREATE_NEW_PLAYSET":{"TITLE":"Utwórz nowy playset","NAME":"Nazwa","CREATE":"Utwórz","CANCEL":"Anuluj","KEYBOARD_TITLE":"Wprowadź nazwę nowego playsetu","SUCCESS":"Utworzono playset o nazwie „{{name}}”."},"MODS_COUNT":"Mody: {{modsCount}}","UPDATED":"ostatnia aktualizacja: {{updated}}","DELETE":{"TITLE":"Potwierdź usunięcie playsetu","TEXT":"Czy na pewno chcesz usunąć playset o nazwie „{{name}}”?"},"RENAME":{"TITLE":"Zmień nazwę playsetu","TEXT":"Zmień nazwę „{{name}}”"}},"PUBLISH":{"INPUT_DETAILS":"Szczegóły moda","DISPLAY_NAME":"Nazwa wyświetlana *","DISPLAY_NAME_ERROR":"Nazwa wyświetlana jest wymagana","SUGGESTED_GAME_VERSION":"Sugerowana wersja gry *","SUGGESTED_GAME_VERSION_ERROR":"Sugerowana wersja gry jest wymagana","COVER_FILE_NAME":"Nazwa pliku obrazu okładki *","COVER_FILE_NAME_ERROR":"Nazwa pliku obrazu okładki jest wymagana","DESCRIPTION":"Opis *","DESCRIPTION_ERROR":"Opis jest wymagany","CHANGELOG":"Wpis na liście zmian *","CHANGELOG_ERROR":"Wpis na liście zmian jest wymagany","PUBLISH_NEW_VERSION":"Opublikuj nową wersję","PUBLISH_NEW":"Opublikuj","PUBLISHING_TITLE":"Mod oczekuje na publikację","PUBLISHING":"Twój mod jest obecnie publikowany. Proces ten może chwilę potrwać."},"LIBRARY":{"PLAYSETS_TITLE":"Moje playsety","CREATIONS_TITLE":"Utworzone przeze mnie","IMPORTED_TITLE":"Moje zaimportowane mody"},"CONFIRM_MODAL":{"CONFIRM":"Tak","CANCEL":"Anuluj","RENAME":"Zmień nazwę"},"ALERT_MODAL":{"CONFIRM":"Zamknij"},"TOASTS":{"UNSUBSCRIBED_MOD":"Pomyślnie usunięto mod.","ENABLED_PLAYSET_MODS":"Pomyślnie włączono mody playsetu","DISABLED_PLAYSET_MODS":"Pomyślnie wyłączono mody playsetu","COMMENT_POSTED":"Komentarz został zamieszczony"},"WIP_MOD":{"CREATE_NEW":"Utwórz nowy mod","CREATE_NEW_TEXT":"Utwórz mod jako pracę w toku.","CREATE":"Utwórz","CANCEL":"Anuluj","DELETE_TITLE":"Usuń mod oznaczony jako praca w toku.","DELETE_TEXT":"Czy na pewno chcesz usunąć mod „{{modName}}”?","DRAFT_MODS":"Kopie robocze moda: {{modCount}}"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Ważne</0>Mody zmieniają rozgrywkę. Nie są one testowane ani weryfikowane przez firmę Paradox Interactive, dewelopera ani producenta konsoli Xbox. Jeśli zostanie aktywowany jakikolwiek mod, postępy zdobywania osiągnięć zostaną wyłączone. Usługa Paradox Mods podlega umowie użytkownika z firmą Paradox.","PLAYSTATION":"<0>Ważne</0>Mody zmieniają rozgrywkę. Nie są one testowane ani weryfikowane przez firmę Paradox Interactive, dewelopera ani producenta konsoli PlayStation. Jeśli zostanie aktywowany jakikolwiek mod, postępy zdobywania trofeów zostaną wyłączone. Modyfikacje Paradox podlegają umowie użytkownika z firmą Paradox.","DEFAULT":"<0>Ważne</0>Mody zmieniają rozgrywkę. Nie są one testowane ani weryfikowane przez firmę Paradox Interactive. Jeśli zostanie aktywowana jakakolwiek modyfikacja, postępy zdobywania osiągnięć zostaną wyłączone. Modyfikacje Paradox podlegają umowie użytkownika z firmą Paradox."},"EXIT":{"CLOSING":"Zamykanie...","CLOSE_NOW":"Zamknij teraz","TITLE":"Ważne","XBOX":"Jeśli aktywowany zostanie co najmniej jeden mod, postępy w zdobywaniu osiągnięć zostaną wyłączone do czasu ponownej dezaktywacji modów. Czy na pewno chcesz kontynuować?","PLAYSTATION":"Jeśli aktywowany zostanie co najmniej jeden mod, postępy w zdobywaniu trofeów zostaną wyłączone do czasu ponownej dezaktywacji modów. Czy na pewno chcesz kontynuować?","DEFAULT":"Jeśli aktywowany zostanie co najmniej jeden mod, postępy w zdobywaniu osiągnięć będą wyłączone do czasu ponownej dezaktywacji modów. Czy na pewno chcesz kontynuować?","CONFIRM":"Tak, zachowaj mody i wróć do menu głównego","CANCEL":"Wróć do Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Wyświetl szczegóły","READ_MORE":"Przeczytaj więcej"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Przeglądaj wszystko","LOAD_MORE":"ZAŁADUJ WIĘCEJ","MOST_POPULAR":"Najpopularniejsze mody"}}}'),pt:JSON.parse('{"TOP_MENU":{"START":"Em destaque","BROWSE_ALL":"Navegar","INSTALLED":"Instalado","INSTALLED_MODS":"Biblioteca","IMPORTED_MODS":"Mods importados","PLAYSETS":"Playsets","PUBLISH":"Minhas criações","LIBRARY":"Minha biblioteca"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Nova playset","PLAYSET":"Playset ativa","DROPDOWN_LABEL":"Selecionar playset ativa","DEACTIVATED_PLAYSETS":"Nenhuma playset ativa","DEACTIVATE_PLAYSET":"Nenhuma playset ativa","ACTIVE_PLAYSET":"PLAYSET ATIVA: {{playsetName}}"},"FILTER":{"HEADING":"Filtro","CLEAR_ALL":"Limpar tudo","TAGS":"Marcadores"},"LIST":{"ENABLED":"Habilitado","DISABLED":"Desabilitado","EMPTY_STATE":{"TITLE":"Nenhum mod instalado","TEXT":"Os mods podem deixar os jogos muito mais divertidos! Use o botão abaixo para explorar todos os mods e volte quando tiver instalado uma ou mais.","BUTTON":"EXPLORAR TODOS OS MODS"},"RESET_ACTIVATION_ORDER":"Redefinir ordem de carregamento","BANNED_MOD":"Este mod foi banido","OFFLINE":"OFFLINE","ADD_TO_PLAYSET":"Adicionar à playset ativa","REMOVE_FROM_PLAYSET":"Remover da playset ativa","SUBSCRIBERS":"{{formattedCount}} inscrito","SUBSCRIBERS_plural":"{{formattedCount}} inscritos"},"SORT_BY_MENU":{"AZ":"A..Z","ZA":"Z..A","OLDEST":"Mais antigo","MOST_RECENT":"Mais recente","MOST_SUBSCRIBED":"Mais inscritos","HIGHEST_RATED":"Maior avaliação","MOST_PLAYSETS":"Na maioria das playsets","LEAST_PLAYSETS":"Em menos playsets","SORT_BY":"Ordenar por","BEST":"Melhor","MOST_POPULAR":"Mais popular","LAST_UPDATED":"Última atualização"},"ERROR":{"PARADOX_SERVICES_DOWN":"Desculpe, mas os serviços da Paradox Mods não conseguiram concluir a solicitação.","BUTTONS":{"CLOSE":"Fechar"},"SET_USER_RATING":{"TITLE":"Não foi possível definir a avaliação dos usuários do mod","MESSAGE":"Não conseguimos definir uma nova avaliação dos usuários para este mod."},"GET_USER_RATING":{"TITLE":"Não foi possível obter a avaliação dos usuários do mod","MESSAGE":"Não conseguimos obter a avaliação dos usuários deste mod."},"LOAD_MORE":{"TITLE":"Não foi possível carregar mais mods","MESSAGE":"Não conseguimos carregar mais mods durante a rolagem."},"SEARCH":{"TITLE":"Não foi possível procurar mods","MESSAGE":"Não conseguimos procurar mods"},"SUBSCRIBE":{"TITLE":"Não foi possível adicionar o mod","MESSAGE":"Não conseguimos adicionar o mod."},"UNSUBSCRIBE":{"TITLE":"Não foi possível remover o mod","MESSAGE":"Não conseguimos remover o mod."},"MOD_DETAILS":{"TITLE":"Não foi possível obter detalhes do mod","MESSAGE":"Não conseguimos obter detalhes do mod."},"USER_RATING":{"TITLE":"Não foi possível obter a avaliação dos usuários","MESSAGE":"Não conseguimos obter sua avaliação dos usuários."},"MOD_RATING":{"TITLE":"Não foi possível obter a avaliação do mod","MESSAGE":"Não conseguimos obter a avaliação do mod."},"ENABLE":{"TITLE":"Não foi possível habilitar o mod","MESSAGE":"Não conseguimos habilitar o mod no momento."},"DISABLE":{"TITLE":"Não foi possível desabilitar o mod","MESSAGE":"Não conseguimos desabilitar o mod no momento."},"ENABLE_PLAYSET_MODS":{"TITLE":"Não foi possível habilitar os mods de playset","MESSAGE":"Não conseguimos habilitar estes mods de playset no momento."},"DISABLE_PLAYSET_MODS":{"TITLE":"Não foi possível desabilitar os mods de playset","MESSAGE":"Não conseguimos desabilitar estes mods de playset no momento."},"GETSUBSCRIBED":{"TITLE":"Não foi possível obter seus mods adicionados","MESSAGE":"Não conseguimos obter seus mods adicionados no momento."},"GET_FORUM_POSTS":{"TITLE":"Não foi possível obter a linha de discussão","MESSAGE":"Não conseguimos obter a linha de discussão."},"SEND_FORUM_POST":{"TITLE":"Não foi possível postar na linha de discussão","MESSAGE":"Não conseguimos adicionar esta postagem à linha de discussão."},"GET_GAME_VERSION":{"TITLE":"Não foi possível obter a versão do jogo","MESSAGE":"Não conseguimos obter a versão do jogo."},"GET_ALL_DEPENDENCIES":{"TITLE":"Não foi possível obter as dependências","MESSAGE":"Não conseguimos obter as dependências."},"REPORT_MOD":{"TITLE":"Não foi possível denunciar o mod","MESSAGE":"Não conseguimos denunciar o mod"},"GET_GAME_DATA":{"TITLE":"Não foi possível obter as informações do jogo","MESSAGE":"Não conseguimos obter as informações do jogo."},"SET_ACTIVATION_ORDER":{"TITLE":"Não foi possível definir a ordem de ativação","MESSAGE":"Não conseguimos alterar a ordem de ativação no momento."},"RESET_ACTIVATION_ORDER":{"TITLE":"Não foi possível redefinir a ordem de ativação","MESSAGE":"Não conseguimos alterar a ordem de ativação no momento."},"SCREEN_KEYBOARD":{"TITLE":"Não foi possível abrir o teclado de tela","MESSAGE":"O teclado de tela não pôde ser aberto."},"PLAYSETS":{"TITLE":"Não foi possível obter as playsets","MESSAGE":"Não conseguimos obter suas playsets."},"PLAYSET_DETAILS":{"TITLE":"Não foi possível obter detalhes da playset","MESSAGE":"Não conseguimos obter detalhes da sua playset no momento."},"PLAYSET_DELETE":{"TITLE":"Não foi possível excluir a playset","MESSAGE":"Não conseguimos excluir sua playset no momento."},"PLAYSET_RENAME":{"TITLE":"Não foi possível renomear a playset","MESSAGE":"Não conseguimos renomear sua playset no momento."},"PLAYSET_MODS":{"TITLE":"Não foi possível obter os mods de playset","MESSAGE":"Não conseguimos obter seus mods."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Não foi possível verificar se você tem mods habilitados","MESSAGE":"Não conseguimos estabelecer se o sua playset ativa habilitou mods."},"CREATE_PLAYSET":{"TITLE":"Não foi possível criar uma nova playset","MESSAGE":"Não conseguimos criar uma nova playset."},"ACTIVATE_PLAYSET":{"TITLE":"Não foi possível ativar a playset","MESSAGE":"Não conseguimos ativar sua playset no momento."},"DEACTIVATE_PLAYSET":{"TITLE":"Não foi possível desativar a playset","MESSAGE":"Não conseguimos desativar sua playset no momento."},"DEACTIVATED_PLAYSET":{"TITLE":"Não foi possível adicionar o mod","MESSAGE":"Você precisa de uma playset ativa para adicionar um mod."},"ACTIVE_PLAYSET":{"TITLE":"Não foi possível obter a playset ativa","MESSAGE":"Não conseguimos obter sua playset ativa no momento."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Você não fez login.","MESSAGE":"Aparentemente você não fez login na sua conta Paradox. Crie uma conta e faça login antes de usar o serviço."},"OFFLINE":{"TITLE":"Você está offline","MESSAGE":"Parece que você não está conseguindo se conectar à internet no momento. No entanto, você ainda pode habilitar, desabilitar e alterar a ordem de carregamento dos mods instalados."},"SYNC":{"TITLE":"Algo deu errado na sincronização dos mods","MESSAGE":"Parece que alguma coisa deu errado na sincronização dos mods."},"DEFAULT":{"TITLE":"Alguma coisa deu errado","MESSAGE":"Desculpe, mas algo deu errado na sua solicitação. Feche e tente de novo."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Não foi possível concluir a operação porque o disco está cheio.","THIRDPARTYEXCEPTION":"Algo deu errado em uma biblioteca externa que você está usando.","DBERROR":"Houve um problema na base de dados do servidor.","DISKPERMISSIONERROR":"Você não parece ter permissão para acessar o disco atual.","FILEIOERROR":"Ocorreu um erro de gravação ou leitura no disco.","REMOTELOGOUTFAILED":"Houve um problema ao fazer logout do servidor. Os estados da sessão local e do servidor podem estar fora de sincronia.","INTERNALERROR":"Ocorreu um erro interno não especificado."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"O corpo da resposta do servidor foi malformado e não pôde ser analisado.","HTTPREQUESTERROR":"A solicitação ao servidor falhou devido a uma desconexão, um erro de DNS ou problema semelhante.","NETWORKSENDERROR":"Ocorreu um erro não especificado durante o envio de dados para o servidor.","TASKTIMEOUTERROR":"A solicitação ao servidor expirou.","UNEXPECTEDRESPONSEERROR":"A resposta do servidor foi malformada ou não continha todos os dados necessários","NORESPONSEBODY":"A resposta do servidor não contém corpo.","MODDOWNLOADFAILEDERROR":"Os metadados do mod foram sincronizados, mas o download falhou. Uma nova tentativa de download ocorrerá na próxima sincronização."},"NOTFOUND":{"NOACCOUNT":"Não foi possível encontrar a conta de usuário.","NODOCUMENT":"Não foi possível encontrar o documento.","NOMERGETASK":"Não foi possível encontrar a tarefa de mesclagem.","NOMOD":"Não foi possível encontrar o mod.","NOMODVERSION":"Não foi possível encontrar a versão solicitada do mod.","NOMODPLAYSET":"Não foi possível encontrar a playset solicitada.","NOPROFILE":"Não foi possível encontrar o perfil.","NOACHIEVEMENT":"Não foi possível encontrar a conquista.","NORESOURCE":"Não foi possível encontrar o recurso solicitado."},"INVALIDSTATE":{"NOTLOGGEDIN":"O usuário não fez login.","MODDISABLED":"O mod foi excluído ou está bloqueado."},"MODS":{"SYNCONGOING":"Uma sincronização já está em andamento.","OPERATIONSONGOING":"Outra operação ainda está em andamento.","LOCALERROR":"Algo deu errado durante a execução da ação. Tente de novo mais tarde."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"O usuário precisa fazer um login completo com as credenciais novamente.","EXPIREDSESSIONTOKEN":"O usuário precisa usar o token de renovação para criar um novo token de sessão.","SESSIONTOOLOWTRUSTLEVEL":"O nível de confiança da sessão não é suficiente. Faça login novamente com credenciais que concedam nível de confiança maior.","INVALIDAUTHENTICATION":"A autenticação fornecida não é válida.","REJECTEDBYTHIRDPARTY":"Autenticação rejeitada por uma entidade externa (Steam, PSN, Twitch etc.)","FORBIDDENACCESS":"Tentando acessar dados proibidos nesta sessão.","AUTOMATICLOGINFAILURE":"Account.Startup() não conseguiu fazer login automático do usuário. Em vez disso, faça uma chamada manual de Account.Login(Credentials)."},"MODSUI":{"DELETEACTIVEPLAYSET":"Você não pode excluir a playset ativa no momento.","REPORTMODBLOCKEDTIMELIMIT":"Você já reportou esta modificação e ela está na espera para ser avaliada pelos nossos moderadores.","TOOMANYPLAYSETS":"Você não pode ter mais de 50 playsets."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Não foi possível adicionar uma postagem no fórum. Verifique se sua conta está conectada aos fóruns"}},"WIP":{"CREATE":{"TITLE":"Não foi possível criar um rascunho de mod","MESSAGE":"Desculpe, não conseguimos criar seu rascunho de mod."},"LIST":{"TITLE":"Não foi possível obter rascunhos de mods","MESSAGE":"Desculpe, não conseguimos obter os detalhes da sua playset."},"DELETE":{"TITLE":"Não foi possível excluir o rascunho de mod.","MESSAGE":"Desculpe, não conseguimos excluir seu rascunho de mod."},"GET":{"TITLE":"Não foi possível obter o rascunho de mod.","MESSAGE":"Desculpe, não conseguimos obter seu rascunho de mod."},"PUBLISH":{"TITLE":"Não foi possível publicar o rascunho de mod.","MESSAGE":"Desculpe, não conseguimos publicar seu rascunho de mod. Verifique se todo o conteúdo e a imagem de capa estão lá."},"NEW_VERSION":{"TITLE":"Não foi possível publicar a nova versão do rascunho de mod.","MESSAGE":"Desculpe, não conseguimos publicar a nova versão do seu rascunho de mod. Verifique se todo o conteúdo e a imagem de capa estão lá."}},"INPUT":{"EMPTY":"O comando não pode estar vazio."}},"PROGRESSBAR":{"QUEUED":"NA FILA"},"MOD_DETAILS":{"HEADER":{"BACK":"Voltar","BY":"Por","SIZETEXT":"Tamanho","VERSION":"Versão do mod.","REQUIREDGAMEVERSION":"Versão sugerida do jogo","SUBSCRIPTIONSTOTAL":"Inscritos","LIKESTOTAL":"Curtidas","AUTHOR":"Autor|||fem:Autora"},"AUTHOR":{"TITLE":"Autor do mod","ALL_MODS_BY_AUTHOR":"Todos os mods do autor","MORE_FROM_THIS_CREATOR":"Mais deste criador"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Adicionar à playset ativa","SUBSCRIBED":"ADICIONADO","UNSUBSCRIBE":"Remover da playset ativa","INSTALLING":"Instalando...","UNINSTALLING":"Desinstalando...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Confirmar remoção da modificação","TEXT":"Tem certeza de que deseja remover a modificação “{{name}}” ({{size}}) do conjunto ativo?"}},"REQUIREMENT":{"TITLE":"Necessário","VIEW_ALL":"Ver tudo","BACK_TO_MOD_DETAILS":"Voltar aos detalhes do mod","REQUIRED_MODS":"Mods necessários ({{modsCount}})","REQUIRED_DLC":"DLC necessário ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Os mods a seguir são necessários para que este mod funcione","REQUIRED_DLC_MESSAGE":"Os DLCs a seguir são necessários para que este mod funcione"},"FORUM_LINKS":{"TITLE":"Mais sobre este mod","TOP_THREAD":"Fóruns da Paradox"},"FORUM_POSTS":{"TITLE":"Discussão","OPEN_FULL_DISCUSSION":"Abrir a discussão completa","UNSUPPORTED_FORMATTING":"Esta mensagem não pode ser exibida, a formatação não é compatível.","GO_TO_POST":"Vá para o fórum para ver a publicação completa.","OPEN_IN_BROWSER":"Abrir no navegador","COMMENT_TITLE":"Comentar a modificação","REPLYING_TO":"Respondendo a uma postagem de {{user}}","REMOVE_REPLY":"Cancelar","SEND_COMMENT":"Postar","ADD_COMMENT":"Adicionar comentário...","REFRESH":"Atualizar Atualizar","LOAD_MORE":"Carregar mais","NEW":"New","YOU":"You","REGISTER_TITLE":"Você precisa de acesso aos Fóruns Paradox","REGISTER_INFORMATION":"<0>Sua conta deve estar vinculada aos Fóruns Paradox para poder postar comentários. Siga o botão abaixo e faça login usando sua conta Paradox para configurar tudo.</0><1>Se você já vinculou sua conta, aguarde um momento e tente novamente.</1>","OPEN_REGISTER":"Vincule sua conta"},"LINKS":{"TITLE":"Mais sobre este mod"},"LINKS_MODAL":{"TITLE":"Abrir no navegador?","TEXT":"Deseja abrir este link em um navegador fora do jogo?"},"CHANGELOG":{"TITLE":"Histórico de mudanças","V":"v","RELEASED":"Lançada","READ_MORE":"Leia mais"},"DESCRIPTION":{"TITLE":"Descrição","READ_MORE":"Leia mais"},"INFO":{"TITLE":"Informações do mod"},"BANNED":{"TITLE":"Banida","INFO":"Este mod foi banido da biblioteca devido a violações dos nossos termos e condições."},"OUTDATED":"O mod não é compatível com sua versão do jogo e pode não funcionar corretamente.","GALLERY":{"NEXT":"Próximo","PREVIOUS":"Ant.","MISSING_IMAGES":"Nenhuma imagem de galeria para este mod ainda..."},"TAGS":{"TITLE":"Marcadores"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Criada por","MODS":"mods","TOTAL_SIZE":"tamanho total","BACK":"Voltar a todas as playsets","SUBTITLE":"{{modsCount}} mods, tamanho total de {{modsSize}}"},"MORE_BUTTON":{"MORE":"Mais"},"ACTIVATE_BUTTON":{"ACTIVATE":"Ativar","ACTIVATED":"Ativado"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Habilitar todos os mods","DISABLE_ALL_MODS":"Desabilitar todos os mods"},"EMPTY_STATE":{"TITLE":"Nenhum mod ainda","DESCRIPTION":"A ideia de ter playsets é jogar com mods, então por que não adicionar mods à esta playset novinha em folha agora mesmo?","ADD_MODS":"Adicionar mods"},"LIST":{"AUTHOR":"<0>por </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Procurar","APPLY_FILTERS":"Aplicar filtros","APPLY":"Aplicar","OPEN":"Abrir","ADD":"Adicionar","BACK":"Voltar","ENABLE_DISABLE":"Habilitar/Desabilitar","ENABLE":"Habilitar","DISABLE":"Desabilitar","SUBSCRIBE":"Adicionar à playset","UNSUBSCRIBE":"Remover da playset","CLOSE":"Fechar","CHANGE_ORDER":"Mudar ordem","RESET_LOAD_ORDER":"Redefinir ordem de carregamento","SCROLL":"Rolar","DELETE":"Excluir","DETAILS":"Detalhes","ACTIVATE":"Ativar","RENAME":"Renomear","CANCEL":"Cancelar","CONFIRM":"Confirmar","CREATE":"Criar","TOGGLE_ACTION_MENU":"Ativar/desativar menu de ações","SCROLL_TO_TOP":"Rolar para o topo","LIKE":"Curtir","REMOVE_LIKE":"Descurtir","EXPAND":"Expandir","COLLAPSE":"Desabamento","OPEN_WEB_LINK":"Abrir no navegador","SELECT":"Selecionar","REPLY":"Responder"},"CONSOLE_FILTER":{"TITLE":"Filtrar resultados","TAGS":"Marcadores","FILTER":"Filtro","FILTERED":"Filtrado"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Você está prestes a adicionar o mod \\"{{modName}}\\"","INFORMATION":"<0>Este mod depende de {{numberOfDependencies}} moda necessários (tamanho total: {{totalSizeOfDependencies}}) para funcionar corretamente.</0><1> Gostaria de adicionar automaticamente os mods necessários também?</1>","SUBSCRIBE_TO_MODS":"ADICIONAR MODS NECESSÁRIOS","IGNORE_MODS":"IGNORAR MODS NECESSÁRIOS","NOT_PUBLISHED_DEPENDENCIES":"<0>Atenção: algumas dependências não estão disponíveis para este mod, o que pode impedir o funcionamento correto dele.</0><1>Possíveis razões para isso: a dependência ter sido banida, excluída ou retirada do estado \\"publicada\\".</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Conflito de sincronização de playset","INFORMATION":"Os estados da playset nesta máquina e no servidor não correspondem. Com qual você quer continuar jogando?","KEEP_CLOUD":"Manter arquivos da nuvem","KEEP_LOCAL":"Manter arquivos locais"},"CLOUD":{"TITLE":"Baixar arquivos da nuvem para esta máquina","INFORMATION":"Os arquivos do servidor substituirão os arquivos locais. Tem certeza de que deseja continuar?","BACK":"Voltar","DOWNLOAD":"Baixar para esta máquina"},"LOCAL":{"TITLE":"Enviar os arquivos locais para o servidor","INFORMATION":"Os arquivos locais substituirão os arquivos no servidor. Tem certeza de que deseja continuar?","BACK":"Voltar","DOWNLOAD":"Enviar para o servidor"}},"SYNC":{"TITLE":"Obtendo as atualizações mais recentes para os seus mods...","INFORMATION":"Você não pode navegar por mods durante a atualização. A atualização continuará mesmo que você feche esta janela.","MODS_DONE":"modificações prontas","UPDATING_MOD":"Atualizando mod","STOP_AND_CONTINUE_NEXT_TIME":"Fechar esta janela","WAITING_FOR_DOWNLOAD":"Aguardando início do download...","CHECKING_MODS":"Verificando mods...","DOWNLOADING":"Baixando","DONE":"Quero ver a lista","CLOSE":"Fechar","RESYNC":"Reiniciar sincronização","UNHANDLED_ERROR":"Alguns dos seus mods não foram sincronizados, remova os mods com problema e tente novamente.","OUT_OF_SPACE":"Não há espaço em disco suficiente para as atualizações mais recentes da playset. Para liberar espaço em disco, você tem que remover alguns dos seus mods.","INSTALLING":{"PREPARING":"Preparando...","PATCHING":"Movendo arquivos...","APPLYING":"Aplicando alterações...","PERMISSIONS":"Atualizando permissões...","CLEANUP":"Limpando...","":"Instalando"}},"OTHER":{"DLCS":"DLCs","MODS":"mods","NO":"Não","REQUIRED":"Necessário"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Procurar mods","REPORT_COMMENT":"Denunciar comentário","CREATE_PLAYSET":"Criar playset","RENAME_PLAYSET":"Renomear playset","PUBLISH":{"DISPLAY_NAME":"Definir nome de exibição","GAME_VERSION":"Definir versão do jogo recomendada","CHANGELOG":"Adicionar entrada ao histórico de mudanças","DESCRIPTION":"Definir descrição"}}},"REPORT":{"SECTION_TITLE":"Marcar como impróprio","INFORMATION_TEXT":"Se você acha que este mod viola nossos termos e condições, ajude-nos a avaliá-lo fazendo uma denúncia à moderação.","BUTTON":"Enviar denúncia","BUTTON_DONE":"Relatório enviado","SUBMIT":"Enviar denúncia","INFORMATION":"Preencha os detalhes abaixo e nós os enviaremos à nossa equipe de CQ para análise. Agradecemos por ajudar a deixar a Paradox melhor e mais segura.","CAPTION":"Motivo da denúncia","COMMENT_TITLE":"Forneça mais detalhes:","COMMENT_PLACEHOLDER":"Escreva seu comentário aqui...","THANK_YOU":"Agradecemos a denúncia.","THANK_YOU_MESSAGE":"Você denunciou este mod para análise. Agradecemos por ajudar a deixar a Paradox Mods melhor e mais segura.","MISSING_REASON":"É preciso selecionar um motivo.","MISSING_DESCRIPTION":"É preciso escrever uma descrição da violação.","CLOSE":"Fechar janela","COMMENT_INFORMATION":"Você está prestes a denunciar este mod por conteúdo impróprio.","COMMENT_SUBINFORMATION":"Você informou que isso pode estar relacionado a:","PREVIEW_COMMENT":"Seu comentário:","PREVIEW":"Prévia","VERSION_PREFIX":"v","REASONS":{"NUDITY":"Nudez","VIOLENCE":"Violência","HARASSMENT":"Assédio","SPAM":"Spam","COPYRIGHT":"Infração de direitos autorais","HATE":"Discurso de ódio","DOESNOTWORK":"O mod não funciona corretamente","OTHER":"Outro"}},"SEARCH":{"NO_SEARCH_RESULTS":"Nenhum resultado","MODS_AVAILABLE":"{{modsAvailable}} mods disponíveis"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} mods instalados"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Limpar pesquisa"},"SEARCH_INPUT":{"PLACEHOLDER":"Procurar mods..."},"PLAYSETS":{"TITLE":"Playsets","ACTIVE":"Ativo","ACTIVATE_PLAYSET":"Usar esta playset","CREATE_NEW_PLAYSET":{"TITLE":"Criar nova playset","NAME":"Nome","CREATE":"Criar","CANCEL":"Cancelar","KEYBOARD_TITLE":"Insira o nome da nova playset","SUCCESS":"Conjunto “{{name}}” criado."},"MODS_COUNT":"{{modsCount}} mods","UPDATED":"última atualização: {{updated}}","DELETE":{"TITLE":"Confirmar exclusão da playset","TEXT":"Tem certeza de que deseja excluir o conjunto “{{name}}”?"},"RENAME":{"TITLE":"Renomear playset","TEXT":"Renomear “{{name}}”"}},"PUBLISH":{"INPUT_DETAILS":"Detalhes do mod","DISPLAY_NAME":"Nome de exibição *","DISPLAY_NAME_ERROR":"O nome de exibição é necessário","SUGGESTED_GAME_VERSION":"Versão do jogo sugerida *","SUGGESTED_GAME_VERSION_ERROR":"A versão do jogo sugerida é necessária","COVER_FILE_NAME":"Nome do arquivo de imagem de capa *","COVER_FILE_NAME_ERROR":"O nome do arquivo de imagem de capa é necessário","DESCRIPTION":"Descrição *","DESCRIPTION_ERROR":"A descrição é necessária","CHANGELOG":"Entrada no histórico de mudanças *","CHANGELOG_ERROR":"A entrada no histórico de mudanças é necessária","PUBLISH_NEW_VERSION":"Publicar nova versão","PUBLISH_NEW":"Publicar","PUBLISHING_TITLE":"Mod com publicação pendente","PUBLISHING":"O seu mod está sendo publicado. Pode levar algum tempo até a conclusão."},"LIBRARY":{"PLAYSETS_TITLE":"Minhas playsets","CREATIONS_TITLE":"Minhas criações","IMPORTED_TITLE":"Meus mods importados"},"CONFIRM_MODAL":{"CONFIRM":"Sim","CANCEL":"Cancelar","RENAME":"Renomear"},"ALERT_MODAL":{"CONFIRM":"Fechar"},"TOASTS":{"UNSUBSCRIBED_MOD":"Mod removido.","ENABLED_PLAYSET_MODS":"Mods de playset habilitados com sucesso","DISABLED_PLAYSET_MODS":"Mods de playset desabilitados com sucesso","COMMENT_POSTED":"Seu comentário foi postado com sucesso"},"WIP_MOD":{"CREATE_NEW":"Criar novo mod","CREATE_NEW_TEXT":"Criar no mod em progresso.","CREATE":"Criar","CANCEL":"Cancelar","DELETE_TITLE":"Excluir mod em progresso","DELETE_TEXT":"Você quer mesmo excluir o mods \\"{{modName}}\\"?","DRAFT_MODS":"{{modCount}} rascunhos de mods"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Importante</0>Os mods alteram a experiência original do jogo e não são testados nem verificados pela Paradox Interactive, pela desenvolvedora ou pela Xbox. O progresso de todas as conquistas será desabilitado se houver ao menos um mod ativo. Paradox Mods estão sujeitos ao Acordo de Usuário da Paradox.","PLAYSTATION":"<0>Importante</0>Os mods alteram a experiência original do jogo e não são testados nem verificados pela Paradox Interactive, pela desenvolvedora ou pela PlayStation. O progresso de todos os troféus será desabilitado se houver ao menos um mod ativo. Paradox Mods estão sujeitos ao Acordo de Usuário da Paradox.","DEFAULT":"<0>Importante</0>As modificações alt<0>Importante</0>Os mods alteram a experiência original do jogo e não são testados nem verificados pela Paradox Interactive. O progresso de todas as conquistas será desabilitado se houver ao menos um mod ativo. Paradox Mods estão sujeitos ao Acordo de Usuário da Paradox."},"EXIT":{"CLOSING":"Fechando...","CLOSE_NOW":"Fechar agora","TITLE":"Importante","XBOX":"Se pelo menos um mod estiver habilitado, o progresso das Conquistas será desativado até que os mods sejam desabilitados. Tem certeza de que deseja prosseguir?","PLAYSTATION":"Se pelo menos um mod estiver habilitado, o progresso dos Troféus será desativado até que os mods sejam desabilitados. Tem certeza de que deseja prosseguir?","DEFAULT":"Se pelo menos um mod estiver habilitado, o progresso das Conquistas será desativado até que os mods sejam desabilitados. Tem certeza de que deseja prosseguir?","CONFIRM":"Sim, manter os mods e retornar ao menu principal","CANCEL":"Voltar à Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Ver detalhes","READ_MORE":"Leia mais"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Navegar por todos","LOAD_MORE":"CARREGAR MAIS","MOST_POPULAR":"Mods mais populares"}}}'),ru:JSON.parse('{"TOP_MENU":{"START":"Избранное","BROWSE_ALL":"Поиск","INSTALLED":"Установлено","INSTALLED_MODS":"Библиотека","IMPORTED_MODS":"Импортированные моды","PLAYSETS":"Плейсеты","PUBLISH":"Мои творения","LIBRARY":"Моя библиотека"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"Новый плейсет","PLAYSET":"Активный плейсет","DROPDOWN_LABEL":"Выбрать активный плейсет","DEACTIVATED_PLAYSETS":"Нет активного плейсета","DEACTIVATE_PLAYSET":"Нет активного плейсета","ACTIVE_PLAYSET":"АКТИВНЫЙ ПЛЕЙСЕТ: {{playsetName}}"},"FILTER":{"HEADING":"Фильтр","CLEAR_ALL":"Очистить все","TAGS":"Метки"},"LIST":{"ENABLED":"Включено","DISABLED":"Выключено","EMPTY_STATE":{"TITLE":"Моды не установлены","TEXT":"Моды могут сделать игры намного веселее! Щелкните по кнопке ниже, чтобы посмотреть все моды, и возвращайтесь, когда установите один или несколько.","BUTTON":"ПОСМОТРЕТЬ ВСЕ МОДЫ"},"RESET_ACTIVATION_ORDER":"Сбросить порядок загрузки","BANNED_MOD":"Этот мод заблокирован","OFFLINE":"НЕ В СЕТИ","ADD_TO_PLAYSET":"Добавить в активный плейсет","REMOVE_FROM_PLAYSET":"Убрать из активного плейсета","SUBSCRIBERS":"Подписчиков: {{formattedCount}}","SUBSCRIBERS_plural":"Подписчиков: {{formattedCount}}"},"SORT_BY_MENU":{"AZ":"A — Z","ZA":"Z — A","OLDEST":"Старые","MOST_RECENT":"Новые","MOST_SUBSCRIBED":"Больше всего подписчиков","HIGHEST_RATED":"С лучшим рейтингом","MOST_PLAYSETS":"В большинстве плейсетов","LEAST_PLAYSETS":"В меньшинстве плейсетов","SORT_BY":"Сортировка","BEST":"Лучшие","MOST_POPULAR":"Самые популярные","LAST_UPDATED":"Последнее обновление"},"ERROR":{"PARADOX_SERVICES_DOWN":"К сожалению, Paradox Mods не может выполнить этот запрос.","BUTTONS":{"CLOSE":"Закрыть"},"SET_USER_RATING":{"TITLE":"Не удалось оценить мод","MESSAGE":"Не удалось поставить оценку этому моду."},"GET_USER_RATING":{"TITLE":"Не удалось получить рейтинг для мода","MESSAGE":"Не удалось получить пользовательский рейтинг для этого мода."},"LOAD_MORE":{"TITLE":"Не удалось загрузить моды","MESSAGE":"Не удалось загрузить моды, пока вы прокручивали страницу."},"SEARCH":{"TITLE":"Не удалось найти моды","MESSAGE":"Не удалось выполнить поиск модов."},"SUBSCRIBE":{"TITLE":"Не удалось добавить моды","MESSAGE":"Не удалось добавить этот мод."},"UNSUBSCRIBE":{"TITLE":"Не удалось убрать мод","MESSAGE":"Не удалось убрать этот мод."},"MOD_DETAILS":{"TITLE":"Не удалось получить данные о моде","MESSAGE":"Нам не удалось получить данные о моде."},"USER_RATING":{"TITLE":"Не удалось получить оценку","MESSAGE":"Не удалось получить вашу оценку мода."},"MOD_RATING":{"TITLE":"Не удалось получить рейтинг","MESSAGE":"Нам не удалось получить рейтинг мода."},"ENABLE":{"TITLE":"Не удалось включить мод","MESSAGE":"Не удалось включить этот мод."},"DISABLE":{"TITLE":"Не удалось отключить мод","MESSAGE":"Не удалось отключить этот мод."},"ENABLE_PLAYSET_MODS":{"TITLE":"Не удалось включить моды","MESSAGE":"Не удалось включить моды плейсета."},"DISABLE_PLAYSET_MODS":{"TITLE":"Не удалось отключить моды","MESSAGE":"Не удалось отключить моды плейсета."},"GETSUBSCRIBED":{"TITLE":"Не удалось получить моды","MESSAGE":"Не удалось получить установленные вами моды."},"GET_FORUM_POSTS":{"TITLE":"Обсуждение недоступно","MESSAGE":"Нам не удалось открыть обсуждение."},"SEND_FORUM_POST":{"TITLE":"Не удалось опубликовать пост","MESSAGE":"Нам не удалось опубликовать ваш пост в обсуждении."},"GET_GAME_VERSION":{"TITLE":"Не удалось получить версию игры","MESSAGE":"Не удалось получить данные о версии игры."},"GET_ALL_DEPENDENCIES":{"TITLE":"Не удалось получить зависимости","MESSAGE":"Не удалось получить данные о зависимостях модов."},"REPORT_MOD":{"TITLE":"Не удалось пожаловаться на мод","MESSAGE":"Нам не удалось отправить жалобу на мод."},"GET_GAME_DATA":{"TITLE":"Не удалось получить информацию об игре","MESSAGE":"Не удалось получить информацию об игре."},"SET_ACTIVATION_ORDER":{"TITLE":"Не удалось задать порядок активации","MESSAGE":"Не удалось изменить порядок активации."},"RESET_ACTIVATION_ORDER":{"TITLE":"Не удалось сбросить порядок активации","MESSAGE":"Не удалось изменить порядок активации."},"SCREEN_KEYBOARD":{"TITLE":"Не удалось открыть экранную клавиатуру","MESSAGE":"Невозможно открыть экранную клавиатуру."},"PLAYSETS":{"TITLE":"Не удалось получить плейсет","MESSAGE":"Не удалось получить ваши плейсеты."},"PLAYSET_DETAILS":{"TITLE":"Не удалось получить данные о плейсетах","MESSAGE":"Не удалось получить данные о плейсетах."},"PLAYSET_DELETE":{"TITLE":"Не удалось удалить плейсет","MESSAGE":"Не удалось удалить ваш плейсет."},"PLAYSET_RENAME":{"TITLE":"Не удалось переименовать плейсет","MESSAGE":"Не удалось переименовать ваш плейсет."},"PLAYSET_MODS":{"TITLE":"Не удалось получить моды","MESSAGE":"Не удалось получить моды плейсета."},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"Не удалось проверить наличие включенных модов","MESSAGE":"Не удалось выяснить, имеются ли в вашем плейсете включенные моды."},"CREATE_PLAYSET":{"TITLE":"Не удалось создать новый плейсет","MESSAGE":"Не удалось создать новый плейсет."},"ACTIVATE_PLAYSET":{"TITLE":"Не удалось активировать плейсет","MESSAGE":"Не удалось активировать ваш плейсет."},"DEACTIVATE_PLAYSET":{"TITLE":"Не удалось деактивировать плейсет","MESSAGE":"Не удалось деактивировать ваш плейсет."},"DEACTIVATED_PLAYSET":{"TITLE":"Не удалось добавить моды","MESSAGE":"Чтобы добавить мод, необходим активный плейсет."},"ACTIVE_PLAYSET":{"TITLE":"Не удалось получить активный плейсет","MESSAGE":"Не удалось получить ваш активный плейсет."},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"Вы не вошли в учетную запись","MESSAGE":"Похоже, вы не вошли в свою учетную запись Paradox. Пожалуйста, создайте учетную запись и войдите в нее, прежде чем использовать этот сервис."},"OFFLINE":{"TITLE":"Вы не в сети","MESSAGE":"Похоже, сейчас вы не можете подключиться к интернету. Однако, вы можете включать, отключать и менять порядок загрузки установленных вами модов."},"SYNC":{"TITLE":"При синхронизации модов что-то пошло не так","MESSAGE":"Похоже, при синхронизации модов произошла ошибка."},"DEFAULT":{"TITLE":"Что-то пошло не так","MESSAGE":"Простите, ваш запрос не выполнен. Закройте окно и попробуйте снова."}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"Не удалось завершить операцию, потому что диск заполнен.","THIRDPARTYEXCEPTION":"Что-то пошло не так в используемой нами сторонней библиотеке.","DBERROR":"На стороне сервера произошла ошибка базы данных.","DISKPERMISSIONERROR":"Похоже, у вас нет разрешения на доступ к текущему диску.","FILEIOERROR":"При записи или чтении диска произошла ошибка.","REMOTELOGOUTFAILED":"Произошла ошибка при выходе с сервера. Произошла рассинхронизация локального и серверного сеанса.","INTERNALERROR":"Произошла неопределенная внутренняя ошибка."},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"Содержание ответа сервера было искажено и не может быть проанализировано.","HTTPREQUESTERROR":"Запрос к серверу не был выполнен из-за потери соединения, ошибки DNS или схожей проблемы.","NETWORKSENDERROR":"При отправке данных на сервер произошла неизвестная ошибка.","TASKTIMEOUTERROR":"Превышено время ожидания запроса к серверу.","UNEXPECTEDRESPONSEERROR":"Ответ сервера был искажен или содержал не все необходимые данные.","NORESPONSEBODY":"Ответ сервера не имел содержания.","MODDOWNLOADFAILEDERROR":"Метаданные модов были синхронизированы, но загрузка не удалась. Повторная попытка загрузки произойдет при следующей синхронизации."},"NOTFOUND":{"NOACCOUNT":"Не удалось найти учетную запись пользователя.","NODOCUMENT":"Не удалось найти документ.","NOMERGETASK":"Не удалось найти задание слияния.","NOMOD":"Не удалось найти мод.","NOMODVERSION":"Не удалось найти запрошенную версию мода.","NOMODPLAYSET":"Не удалось найти или получить доступ к запрошенному плейсету.","NOPROFILE":"Не удалось найти профиль.","NOACHIEVEMENT":"Не удалось найти достижение.","NORESOURCE":"Не удалось найти запрошенный ресурс."},"INVALIDSTATE":{"NOTLOGGEDIN":"Пользователь не выполнил вход.","MODDISABLED":"Мод был удален или заблокирован."},"MODS":{"SYNCONGOING":"Синхронизация уже запущена.","OPERATIONSONGOING":"Сейчас выполняется другая операция.","LOCALERROR":"При выполнении этого действия что-то пошло не так. Пожалуйста, попробуйте снова."},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"Этому пользователю необходимо еще раз выполнить полный вход в учетную запись со своими регистрационными данными.","EXPIREDSESSIONTOKEN":"Пользователю необходимо использовать токен обновления, чтобы создать новый токен сеанса.","SESSIONTOOLOWTRUSTLEVEL":"Уровень доверия этого сеанса недостаточен. Войдите в свою учетную запись еще раз со своими регистрационными данными, которые дают более высокий уровень доверия.","INVALIDAUTHENTICATION":"Не удалось подтвердить предоставленные данные аутентификации.","REJECTEDBYTHIRDPARTY":"Попытка аутентификации была отклонена сторонним сервисом (Steam, PSN, Twitch и т. п.).","FORBIDDENACCESS":"Попытка получить доступ к запрещенным для этого сеанса данным.","AUTOMATICLOGINFAILURE":"Account.Startup() не удалось автоматически войти в учетную запись пользователя. Выполните запрос Account.Login(Credentials) вручную."},"MODSUI":{"DELETEACTIVEPLAYSET":"Вы не можете удалить активный плейсет.","REPORTMODBLOCKEDTIMELIMIT":"Вы уже жаловались на этот мод. Наши модераторы рассматривают жалобу.","TOOMANYPLAYSETS":"У вас не может быть более 50 игровых наборов."},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"Невозможно добавить сообщение на форум. Убедитесь, что ваша учетная запись подключена к форумам."}},"WIP":{"CREATE":{"TITLE":"Не удалость создать черновик мода","MESSAGE":"Простите, не удалось создать черновик вашего мода."},"LIST":{"TITLE":"Не удалось получить черновики модов","MESSAGE":"Простите, не удалось получить данные о плейсете."},"DELETE":{"TITLE":"Не удалось удалить черновик мода","MESSAGE":"Простите, не удалось удалить черновик вашего мода."},"GET":{"TITLE":"Не удалось получить черновик мода","MESSAGE":"Простите, не удалось получить черновик вашего мода."},"PUBLISH":{"TITLE":"Не удалось опубликовать черновик мода","MESSAGE":"Простите, не удалось опубликовать черновик вашего мода. Убедитесь, что приложили весь контент и обложку."},"NEW_VERSION":{"TITLE":"Не удалось опубликовать новую версию черновика мода","MESSAGE":"Простите, не удалось опубликовать новую версию черновика вашего мода. Убедитесь, что приложили весь контент и обложку."}},"INPUT":{"EMPTY":"Поле ввода не может быть пустым."}},"PROGRESSBAR":{"QUEUED":"В ОЧЕРЕДИ"},"MOD_DETAILS":{"HEADER":{"BACK":"Назад","BY":"Автор","SIZETEXT":"Размер","VERSION":"Версия мода","REQUIREDGAMEVERSION":"Рекомендованная версия игры","SUBSCRIPTIONSTOTAL":"Подписчики","LIKESTOTAL":"Лайки","AUTHOR":"Автор"},"AUTHOR":{"TITLE":"Автор мода","ALL_MODS_BY_AUTHOR":"Все моды автора","MORE_FROM_THIS_CREATOR":"Больше от этого автора"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"Добавить в активный плейсет","SUBSCRIBED":"Добавлен","UNSUBSCRIBE":"Убрать из активного плейсета","INSTALLING":"Установка...","UNINSTALLING":"Удаление...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"Подтвердить удаление мода","TEXT":"Удалить мод «{{name}}» ({{size}}) из активного плейсета?"}},"REQUIREMENT":{"TITLE":"Необходимые","VIEW_ALL":"Посмотреть все","BACK_TO_MOD_DETAILS":"Назад","REQUIRED_MODS":"Требуемые моды ({{modsCount}})","REQUIRED_DLC":"Требуемое дополнение ({{dlcCount}})","REQUIRED_MODS_MESSAGE":"Для работы этого мода требуются следующие моды","REQUIRED_DLC_MESSAGE":"Для работы этого мода требуются следующие дополнения"},"FORUM_LINKS":{"TITLE":"Подробнее о моде","TOP_THREAD":"Форумы Paradox"},"FORUM_POSTS":{"TITLE":"Обсуждение","OPEN_FULL_DISCUSSION":"Открыть обсуждение","UNSUPPORTED_FORMATTING":"Сообщение в неподдерживаемом формате не отображается.","GO_TO_POST":"Перейдите на форум и прочитайте его там.","OPEN_IN_BROWSER":"Открыть в браузере","COMMENT_TITLE":"Прокомментировать мод","REPLYING_TO":"Ответ на пост пользователя {{user}}","REMOVE_REPLY":"Отмена","SEND_COMMENT":"Отправить","ADD_COMMENT":"Добавить комментарий...","REFRESH":"Обновить","LOAD_MORE":"Дальше","NEW":"New","YOU":"Вы","REGISTER_TITLE":"Вам нужен доступ к форумам Paradox.","REGISTER_INFORMATION":"<0>Чтобы иметь возможность оставлять комментарии, ваша учетная запись должна быть связана с форумами Paradox. Нажмите кнопку ниже и войдите в систему, используя свою учетную запись Paradox, чтобы все настроить.</0><1>Если вы уже связали свою учетную запись, подождите немного и повторите попытку.</1>","OPEN_REGISTER":"Свяжите свой аккаунт"},"LINKS":{"TITLE":"Подробнее о моде"},"LINKS_MODAL":{"TITLE":"Открыть в браузере?","TEXT":"Открыть эту ссылку в браузере за пределами игры?"},"CHANGELOG":{"TITLE":"Журнал изменений","V":"вер.","RELEASED":"Дата выпуска","READ_MORE":"Подробнее"},"DESCRIPTION":{"TITLE":"Описание","READ_MORE":"Подробнее"},"INFO":{"TITLE":"Информация о моде"},"BANNED":{"TITLE":"Заблокировано","INFO":"Этот мод был заблокирован в библиотеке, так как он нарушает наши Условия."},"OUTDATED":"Этот мод не совместим с вашей версией игры и может работать неправильно.","GALLERY":{"NEXT":"Далее","PREVIOUS":"Назад","MISSING_IMAGES":"Для этого мода пока нет изображений в галерее..."},"TAGS":{"TITLE":"Метки"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"Автор:","MODS":"моды","TOTAL_SIZE":"общий размер","BACK":"Назад к плейсетам","SUBTITLE":"Моды: {{modsCount}}. Общий размер: {{modsSize}}"},"MORE_BUTTON":{"MORE":"Еще"},"ACTIVATE_BUTTON":{"ACTIVATE":"Активировать","ACTIVATED":"Активен"},"ACTION_MENU":{"ENABLE_ALL_MODS":"Включить все моды","DISABLE_ALL_MODS":"Отключить все моды"},"EMPTY_STATE":{"TITLE":"Пока нет модов","DESCRIPTION":"Смысл плейсетов — играть с модами! Не хотите добавить парочку в этот новенький плейсет?","ADD_MODS":"Добавить моды"},"LIST":{"AUTHOR":"<0>Автор: </0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"Поиск","APPLY_FILTERS":"Применить фильтры","APPLY":"Применить","OPEN":"Открыть","ADD":"Добавить","BACK":"Назад","ENABLE_DISABLE":"Включить/отключить","ENABLE":"Включить","DISABLE":"Отключить","SUBSCRIBE":"Добавить в плейсет","UNSUBSCRIBE":"Убрать из плейсета","CLOSE":"Закрыть","CHANGE_ORDER":"Изменить порядок","RESET_LOAD_ORDER":"Сбросить порядок загрузки","SCROLL":"Пролистать","DELETE":"Удалить","DETAILS":"Подробности","ACTIVATE":"Активировать","RENAME":"Переименовать","CANCEL":"Отмена","CONFIRM":"Подтвердить","CREATE":"Создать","TOGGLE_ACTION_MENU":"Включить меню действий","SCROLL_TO_TOP":"Наверх","LIKE":"Лайк","REMOVE_LIKE":"Снять лайк","EXPAND":"Развернуть","COLLAPSE":"Свернуть","OPEN_WEB_LINK":"Открыть в браузере","SELECT":"Выбрать","REPLY":"Ответить"},"CONSOLE_FILTER":{"TITLE":"Фильтр","TAGS":"Метки","FILTER":"Фильтр","FILTERED":"Отфильтровано"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"Вы хотите добавить мод «{{modName}}»","INFORMATION":"<0>Для работы этого мода необходимо несколько ({{numberOfDependencies}}) других модов, общим размером {{totalSizeOfDependencies}}.</0><1> Хотите добавить и требуемые моды?</1>","SUBSCRIBE_TO_MODS":"ДОБАВИТЬ ТРЕБУЕМЫЕ МОДЫ","IGNORE_MODS":"ИГНОРИРОВАТЬ ТРЕБУЕМЫЕ МОДЫ","NOT_PUBLISHED_DEPENDENCIES":"<0>Обратите внимание, что некоторые зависимости этого мода недоступны, что может привести к его неправильной работе.</0><1>Возможно, что необходимые моды были заблокированы, удалены или иным образом сняты с публикации.</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Конфликт при синхронизации плейсетов","INFORMATION":"Состояние плейсетов на сервере и локальном устройстве не совпадают. Какую версию вы хотите использовать дальше?","KEEP_CLOUD":"Использовать файлы в облаке","KEEP_LOCAL":"Использовать локальные файлы"},"CLOUD":{"TITLE":"Загрузить файлы из облака на это устройство","INFORMATION":"Загруженные с сервера файлы перезапишут локальные. Продолжить?","BACK":"Вернуться","DOWNLOAD":"Загрузить на это устройство"},"LOCAL":{"TITLE":"Выгрузить локальные файлы на сервер","INFORMATION":"Локальные файлы перезапишут файлы на сервере. Продолжить?","BACK":"Вернуться","DOWNLOAD":"Выгрузить на сервер"}},"SYNC":{"TITLE":"Получение обновлений ваших модов...","INFORMATION":"Интерфейс Paradox Mods недоступен, пока идет обновление. Обновление продолжится, даже если вы закроете окно.","MODS_DONE":"моды готовы","UPDATING_MOD":"Обновление мода","STOP_AND_CONTINUE_NEXT_TIME":"Закрыть окно","WAITING_FOR_DOWNLOAD":"Ожидание начала загрузки...","CHECKING_MODS":"Проверка модов...","DOWNLOADING":"Загрузка","DONE":"Перейти к списку","CLOSE":"Закрыть","RESYNC":"Перезапустить синхронизацию","UNHANDLED_ERROR":"Не удалось синхронизировать некоторые моды. Удалите моды с ошибками и повторите попытку.","OUT_OF_SPACE":"На диске недостаточно места для последних обновлений плейсета. Чтобы освободить место на диске, вам необходимо удалить часть модов.","INSTALLING":{"PREPARING":"Подготовка...","PATCHING":"Перемещение файлов...","APPLYING":"Применение изменений...","PERMISSIONS":"Обновление разрешений...","CLEANUP":"Очистка...","":"Установка"}},"OTHER":{"DLCS":"DLC","MODS":"моды","NO":"Нет","REQUIRED":"Требования"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"Поиск модов","REPORT_COMMENT":"Пожаловаться на комментарий","CREATE_PLAYSET":"Создать плейсет","RENAME_PLAYSET":"Переименовать плейсет","PUBLISH":{"DISPLAY_NAME":"Задать название","GAME_VERSION":"Указать рекомендованную версию игры","CHANGELOG":"Добавить запись в журнал изменений","DESCRIPTION":"Задать описание"}}},"REPORT":{"SECTION_TITLE":"Пожаловаться","INFORMATION_TEXT":"Если вы считаете, что этот мод нарушает наши Условия, помогите нам проверить его, сообщив о нем модераторам.","BUTTON":"Отправить жалобу","BUTTON_DONE":"Жалоба отправлена","SUBMIT":"Отправить жалобу","INFORMATION":"Пожалуйста, укажите все подробности ниже, и мы передадим их нашей службе контроля качества для анализа. Спасибо, что помогаете делать Paradox лучше и безопаснее.","CAPTION":"Причина жалобы","COMMENT_TITLE":"Опишите причину подробнее:","COMMENT_PLACEHOLDER":"Напишите свой комментарий здесь...","THANK_YOU":"Спасибо за ваше сообщение.","THANK_YOU_MESSAGE":"Вы сообщили о необходимости проверить этот мод. Спасибо, что помогаете делать Paradox Mods лучше и безопаснее.","MISSING_REASON":"Необходимо указать причину.","MISSING_DESCRIPTION":"Необходимо добавить описание нарушения.","CLOSE":"Закрыть окно","COMMENT_INFORMATION":"Вы хотите пожаловаться на этот мод за неприемлемое содержание.","COMMENT_SUBINFORMATION":"Вы сообщили нам, что оно может быть связано с:","PREVIEW_COMMENT":"Ваш комментарий:","PREVIEW":"Предпросмотр","VERSION_PREFIX":"вер.","REASONS":{"NUDITY":"Нагота","VIOLENCE":"Жестокость","HARASSMENT":"Оскорбления","SPAM":"Спам","COPYRIGHT":"Нарушение авторских прав","HATE":"Разжигание ненависти","DOESNOTWORK":"Мод неправильно работает","OTHER":"Иное"}},"SEARCH":{"NO_SEARCH_RESULTS":"Поиск не принес результатов","MODS_AVAILABLE":"Доступно модов: {{modsAvailable}}"},"INSTALLED_MODS":{"MODS_INSTALLED":"Установлено модов: {{modsAvailable}}"},"XBOX_SEARCH":{"CLEAR_SEARCH":"Очистить поле поиска"},"SEARCH_INPUT":{"PLACEHOLDER":"Искать моды..."},"PLAYSETS":{"TITLE":"Плейсеты","ACTIVE":"Активно","ACTIVATE_PLAYSET":"Активировать плейсет","CREATE_NEW_PLAYSET":{"TITLE":"Создать новый плейсет","NAME":"Название","CREATE":"Создать","CANCEL":"Отмена","KEYBOARD_TITLE":"Введите название нового плейсета","SUCCESS":"Плейсет «{{name}}» создан."},"MODS_COUNT":"Моды: {{modsCount}}","UPDATED":"последнее обновление: {{updated}}","DELETE":{"TITLE":"Подтвердите удаление плейсета","TEXT":"Вы уверены, что хотите удалить плейсет «{{name}}»?"},"RENAME":{"TITLE":"Переименовать плейсет","TEXT":"Переименовать «{{name}}»"}},"PUBLISH":{"INPUT_DETAILS":"Данные о моде","DISPLAY_NAME":"Выводимое название *","DISPLAY_NAME_ERROR":"Требуется выводимое название.","SUGGESTED_GAME_VERSION":"Рекомендованная версия игры *","SUGGESTED_GAME_VERSION_ERROR":"Требуется указать рекомендованную версию игры.","COVER_FILE_NAME":"Имя файла обложки *","COVER_FILE_NAME_ERROR":"Требуется имя файла обложки.","DESCRIPTION":"Описание *","DESCRIPTION_ERROR":"Требуется описание.","CHANGELOG":"Запись в журнале изменений *","CHANGELOG_ERROR":"Требуется запись в журнале изменений.","PUBLISH_NEW_VERSION":"Опубликовать новую версию","PUBLISH_NEW":"Опубликовать","PUBLISHING_TITLE":"Мод ждет публикации","PUBLISHING":"Выполняется процесс публикации вашего мода. На это может потребоваться какое-то время."},"LIBRARY":{"PLAYSETS_TITLE":"Мои плейсеты","CREATIONS_TITLE":"Мои творения","IMPORTED_TITLE":"Мои импортированные моды"},"CONFIRM_MODAL":{"CONFIRM":"Да","CANCEL":"Отмена","RENAME":"Переименовать"},"ALERT_MODAL":{"CONFIRM":"Закрыть"},"TOASTS":{"UNSUBSCRIBED_MOD":"Мод успешно удален.","ENABLED_PLAYSET_MODS":"Моды плейсета включены.","DISABLED_PLAYSET_MODS":"Моды плейсета отключены.","COMMENT_POSTED":"Комментарий добавлен"},"WIP_MOD":{"CREATE_NEW":"Создать новый мод","CREATE_NEW_TEXT":"Создайте новый незавершенный мод.","CREATE":"Создать","CANCEL":"Отмена","DELETE_TITLE":"Удалить незавершенный мод","DELETE_TEXT":"Точно удалить мод «{{modName}}»?","DRAFT_MODS":"Моды-черновики: {{modCount}}"},"WARNING":{"START_SCREEN":{"XBOX":"<0>Важно</0>Моды изменяют оригинальный игровой процесс игры и не тестируются и не проверяются Paradox Interactive, разработчиками или командой Xbox. Получение всех достижений будет отключено, если вы играете хотя бы с одним модом. На Paradox Mods распространяется действие пользовательского соглашения Paradox.","PLAYSTATION":"<0>Важно</0>Моды изменяют оригинальный игровой процесс и не тестируются и не проверяются Paradox Interactive, разработчиками или командой PlayStation. Получение всех трофеев будет отключено, если вы играете хотя бы с одним модом. На Paradox Mods распространяется действие пользовательского соглашения Paradox.","DEFAULT":"<0>Важно</0>Моды изменяют оригинальный игровой процесс игры, не тестируются и не проверяются Paradox Interactive. Получение всех достижений будет отключено, если вы играете хотя бы с одним модом. На Paradox Mods распространяется действие пользовательского соглашения Paradox."},"EXIT":{"CLOSING":"Закрытие...","CLOSE_NOW":"Закрыть","TITLE":"Важно","XBOX":"Если включен хотя бы один мод, прогресс достижений будет отключен, пока вы снова не отключите моды. Продолжить?","PLAYSTATION":"Если включен хотя бы один мод, прогресс призов будет отключен, пока вы снова не отключите моды. Продолжить?","DEFAULT":"Если включен хотя бы один мод, прогресс достижений будет отключен, пока вы снова не отключите моды. Продолжить?","CONFIRM":"Да, оставить моды и вернуться в главное меню","CANCEL":"Вернуться к Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"Подробности","READ_MORE":"Подробнее"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"Смотреть все","LOAD_MORE":"БОЛЬШЕ","MOST_POPULAR":"Самые популярные моды"}}}'),zh:JSON.parse('{"TOP_MENU":{"START":"精选","BROWSE_ALL":"浏览","INSTALLED":"已安装","INSTALLED_MODS":"资料库","IMPORTED_MODS":"已导入的 Mod","PLAYSETS":"Playset","PUBLISH":"我的创作","LIBRARY":"我的资料库"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"新 Playset","PLAYSET":"激活中的 Playset","DROPDOWN_LABEL":"选择激活中的 Playset","DEACTIVATED_PLAYSETS":"没有激活中的 Playset","DEACTIVATE_PLAYSET":"没有激活中的 Playset","ACTIVE_PLAYSET":"激活中的 Playset：{{playsetName}}"},"FILTER":{"HEADING":"筛选","CLEAR_ALL":"清除全部","TAGS":"标签"},"LIST":{"ENABLED":"已启用","DISABLED":"已禁用","EMPTY_STATE":{"TITLE":"尚未安装 Mod","TEXT":"Mod 可以为游戏增添许多乐趣！点击下方按钮以浏览所有的 Mod，安装至少一个 Mod 后再返回此处。","BUTTON":"浏览所有 Mod"},"RESET_ACTIVATION_ORDER":"重置加载顺序","BANNED_MOD":"此 Mod 已被封禁","OFFLINE":"离线","ADD_TO_PLAYSET":"添加到激活中的 Playset","REMOVE_FROM_PLAYSET":"从激活中的 Playset 中移除","SUBSCRIBERS":"{{formattedCount}} 位订阅者","SUBSCRIBERS_plural":"{{formattedCount}} 位订阅者"},"SORT_BY_MENU":{"AZ":"A...Z","ZA":"Z...A","OLDEST":"时间最旧","MOST_RECENT":"时间最新","MOST_SUBSCRIBED":"最多订阅","HIGHEST_RATED":"评分最高","MOST_PLAYSETS":"包含在最多 Playset 中","LEAST_PLAYSETS":"包含在最少 Playset 中","SORT_BY":"排序依据","BEST":"最佳","MOST_POPULAR":"最热门","LAST_UPDATED":"最近更新"},"ERROR":{"PARADOX_SERVICES_DOWN":"很抱歉，Paradox Mods 服务未能完成该要求。","BUTTONS":{"CLOSE":"关闭"},"SET_USER_RATING":{"TITLE":"无法为 Mod 设置用户评分","MESSAGE":"我们无法为此 Mod 设置新的用户评分。"},"GET_USER_RATING":{"TITLE":"无法取得 Mod 的用户评分","MESSAGE":"我们无法取得此 Mod 的用户评分。"},"LOAD_MORE":{"TITLE":"无法加载更多 Mod","MESSAGE":"我们无法在此次滚动期间加载更多 Mod。"},"SEARCH":{"TITLE":"无法搜索 Mod","MESSAGE":"我们当前无法搜索 Mod。"},"SUBSCRIBE":{"TITLE":"无法添加 Mod","MESSAGE":"我们当前无法添加 Mod。"},"UNSUBSCRIBE":{"TITLE":"无法移除 Mod","MESSAGE":"我们当前无法移除 Mod。"},"MOD_DETAILS":{"TITLE":"无法提取 Mod 详细信息","MESSAGE":"我们当前无法提取 Mod 详细信息。"},"USER_RATING":{"TITLE":"无法提取用户评分","MESSAGE":"我们当前无法提取您的用户评分。"},"MOD_RATING":{"TITLE":"无法提取 Mod 评分","MESSAGE":"我们无法提取 Mod 评分。"},"ENABLE":{"TITLE":"无法启用 Mod","MESSAGE":"我们暂时无法启用此 Mod。"},"DISABLE":{"TITLE":"无法禁用 Mod","MESSAGE":"我们暂时无法禁用此 Mod。"},"ENABLE_PLAYSET_MODS":{"TITLE":"无法启用 Playset 的 Mod","MESSAGE":"我们暂时无法启用此 Playset 的 Mod。"},"DISABLE_PLAYSET_MODS":{"TITLE":"无法禁用 Playset 的 Mod","MESSAGE":"我们暂时无法禁用此 Playset 的 Mod。"},"GETSUBSCRIBED":{"TITLE":"无法存取您添加的 Mod","MESSAGE":"我们暂时无法存取您添加的 Mod。"},"GET_FORUM_POSTS":{"TITLE":"无法提取讨论帖","MESSAGE":"我们无法提取讨论帖。"},"SEND_FORUM_POST":{"TITLE":"无法发布讨论帖","MESSAGE":"我们无法在讨论帖添加帖子。"},"GET_GAME_VERSION":{"TITLE":"无法提取游戏版本","MESSAGE":"我们无法提取游戏版本。"},"GET_ALL_DEPENDENCIES":{"TITLE":"无法提取依赖项目","MESSAGE":"我们无法提取依赖项目。"},"REPORT_MOD":{"TITLE":"无法举报 Mod","MESSAGE":"我们无法举报 Mod。"},"GET_GAME_DATA":{"TITLE":"无法提取游戏信息","MESSAGE":"我们无法提取游戏信息。"},"SET_ACTIVATION_ORDER":{"TITLE":"无法设置激活顺序","MESSAGE":"我们暂时无法更改激活顺序。"},"RESET_ACTIVATION_ORDER":{"TITLE":"无法重置激活顺序","MESSAGE":"我们暂时无法更改激活顺序。"},"SCREEN_KEYBOARD":{"TITLE":"无法开启屏幕键盘","MESSAGE":"当前无法开启屏幕键盘。"},"PLAYSETS":{"TITLE":"无法提取 Playset","MESSAGE":"我们当前无法提取您的 Playset。"},"PLAYSET_DETAILS":{"TITLE":"无法提取 Playset 详细信息","MESSAGE":"我们当前无法提取 Playset 详细信息。"},"PLAYSET_DELETE":{"TITLE":"无法删除 Playset","MESSAGE":"我们当前无法删除您的 Playset。"},"PLAYSET_RENAME":{"TITLE":"无法为 Playset 重命名","MESSAGE":"我们当前无法为 Playset 重命名。"},"PLAYSET_MODS":{"TITLE":"无法存取 Playset Mod","MESSAGE":"我们当前无法提取您的 Mod。"},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"无法检查是否有启用的 Mod","MESSAGE":"我们当前无法确认您激活中的 Playset 是否包含已启用的 Mod。"},"CREATE_PLAYSET":{"TITLE":"无法创建新的 Playset","MESSAGE":"我们当前无法创建新的 Playset。"},"ACTIVATE_PLAYSET":{"TITLE":"无法激活 Playset","MESSAGE":"我们当前无法激活 Playset。"},"DEACTIVATE_PLAYSET":{"TITLE":"无法禁用 Playset","MESSAGE":"我们当前无法禁用 Playset。"},"DEACTIVATED_PLAYSET":{"TITLE":"无法添加 Mod","MESSAGE":"您需要有激活中的 Playset 才能添加 Mod。"},"ACTIVE_PLAYSET":{"TITLE":"无法取得激活中的 Playset","MESSAGE":"我们当前无法取得您激活中的 Playset。"},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"您还没有登录。","MESSAGE":"您似乎还没有登录 Paradox 帐户。使用本服务前，请先创建帐户并登录。"},"OFFLINE":{"TITLE":"您已离线","MESSAGE":"您当前似乎无法连接到互联网。不过，您仍然可以启用或禁用已安装的 Mod，或是更改其加载顺序。"},"SYNC":{"TITLE":"同步 Mod 时发生错误","MESSAGE":"同步 Mod 时似乎发生了错误。"},"DEFAULT":{"TITLE":"发生错误。","MESSAGE":"很抱歉，处理您的要求时发生了错误，请关闭用户界面并再试一次。"}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"磁盘已满，无法完成操作。","THIRDPARTYEXCEPTION":"我们正在使用的第三方资料库发生了错误。","DBERROR":"服务器端的数据库发生了错误。","DISKPERMISSIONERROR":"您似乎没有访问当前磁盘的权限。","FILEIOERROR":"对磁盘进行写入或读取时发生了错误。","REMOTELOGOUTFAILED":"注销服务器时发生了错误。本地与服务器的工作阶段状态可能未同步。","INTERNALERROR":"发生了无法辨认的内部错误。"},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"服务器的响应正文存在格式错误，因此无法分析。","HTTPREQUESTERROR":"由于发生断开连接、DNS 错误或类似问题，无法向服务器发送要求。","NETWORKSENDERROR":"向服务器发送数据时发生无法辨认的错误。","TASKTIMEOUTERROR":"向服务器发送的要求已超时。","UNEXPECTEDRESPONSEERROR":"服务器的响应存在格式错误或所需数据不完整。","NORESPONSEBODY":"服务器的响应没有正文。","MODDOWNLOADFAILEDERROR":"已同步 Mod 的元数据，但是下载失败。将在下次同步时重新尝试下载。"},"NOTFOUND":{"NOACCOUNT":"无法找到用户帐户。","NODOCUMENT":"无法找到文件。","NOMERGETASK":"无法找到合并任务。","NOMOD":"无法找到 Mod。","NOMODVERSION":"无法找到要求的 Mod 版本。","NOMODPLAYSET":"无法找到或访问要求的 Playset。","NOPROFILE":"无法找到个人档案。","NOACHIEVEMENT":"无法找到成就。","NORESOURCE":"无法找到要求的资源。"},"INVALIDSTATE":{"NOTLOGGEDIN":"用户尚未登录。","MODDISABLED":"Mod 已被删除或封禁。"},"MODS":{"SYNCONGOING":"已在进行同步。","OPERATIONSONGOING":"仍有正在进行的操作。","LOCALERROR":"执行操作时出现问题，请稍后再试。"},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"用户需要使用凭据信息再次进行完整用户登录。","EXPIREDSESSIONTOKEN":"用户需要使用刷新令牌来创建新的工作阶段令牌。","SESSIONTOOLOWTRUSTLEVEL":"工作阶段的信任级别不足，请使用信任级别更高的凭据信息再次登录。","INVALIDAUTHENTICATION":"所提供的验证无效。","REJECTEDBYTHIRDPARTY":"验证遭到第三方 (Steam、PSN、Twitch 等) 拒绝。","FORBIDDENACCESS":"正在尝试访问此工作阶段禁止的数据。","AUTOMATICLOGINFAILURE":"Account.Startup() 无法将用户自动登录。请改为手动呼叫 Account.Login(Credentials)。"},"MODSUI":{"DELETEACTIVEPLAYSET":"无法删除当前激活中的 Playset。","REPORTMODBLOCKEDTIMELIMIT":"已经举报过此 Mod，正在等待我们的管理员审查。","TOOMANYPLAYSETS":"玩具套装不能超过 50 个。"},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"无法添加论坛帖子，请确保您的帐户已连接到论坛"}},"WIP":{"CREATE":{"TITLE":"无法创建草稿 Mod。","MESSAGE":"很抱歉，我们无法创建您的草稿 Mod。"},"LIST":{"TITLE":"无法提取草稿 Mod。","MESSAGE":"很抱歉，我们无法提取您的 Playset 详细信息。"},"DELETE":{"TITLE":"无法删除草稿 Mod。","MESSAGE":"很抱歉，我们无法删除您的草稿 Mod。"},"GET":{"TITLE":"无法提取草稿 Mod。","MESSAGE":"很抱歉，我们无法提取您的草稿 Mod。"},"PUBLISH":{"TITLE":"无法发布草稿 Mod。","MESSAGE":"很抱歉，我们无法发布您的草稿 Mod。请确认已具备所有内容与封面图像。"},"NEW_VERSION":{"TITLE":"无法发布新的草稿 Mod 版本。","MESSAGE":"很抱歉，我们无法发布您的新草稿 Mod 版本。请确认已具备所有内容与封面图像。"}},"INPUT":{"EMPTY":"栏位不能为空。"}},"PROGRESSBAR":{"QUEUED":"已排入队列"},"MOD_DETAILS":{"HEADER":{"BACK":"返回","BY":"作者：","SIZETEXT":"大小","VERSION":"Mod 版本","REQUIREDGAMEVERSION":"建议的游戏版本","SUBSCRIPTIONSTOTAL":"位订阅者","LIKESTOTAL":"个赞","AUTHOR":"作者"},"AUTHOR":{"TITLE":"Mod 作者","ALL_MODS_BY_AUTHOR":"此作者的所有 Mod","MORE_FROM_THIS_CREATOR":"此创作者的更多作品"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"添加到激活中的 Playset","SUBSCRIBED":"已添加","UNSUBSCRIBE":"从激活中的 Playset 中移除","INSTALLING":"正在安装...","UNINSTALLING":"正在卸载...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"确认移除 Mod","TEXT":"确定要从激活中的 Playset 中移除 Mod“{{name}}”({{size}}) 吗？"}},"REQUIREMENT":{"TITLE":"必要","VIEW_ALL":"查看全部","BACK_TO_MOD_DETAILS":"返回 Mod 详细信息","REQUIRED_MODS":"需要 Mod ({{modsCount}} 个)","REQUIRED_DLC":"需要可下载内容 ({{dlcCount}} 个)","REQUIRED_MODS_MESSAGE":"此 Mod 需有以下的 Mod 才能运作","REQUIRED_DLC_MESSAGE":"此 Mod 需要以下的可下载内容才能运作"},"FORUM_LINKS":{"TITLE":"此 Mod 的更多详情","TOP_THREAD":"Paradox 论坛"},"FORUM_POSTS":{"TITLE":"讨论","OPEN_FULL_DISCUSSION":"开启完整讨论","UNSUPPORTED_FORMATTING":"此信息有不支持的格式，无法在此显示。","GO_TO_POST":"前往论坛查看完整帖子。","OPEN_IN_BROWSER":"在浏览器中开启","COMMENT_TITLE":"评论 Mod","REPLYING_TO":"回复 {{user}} 的帖子","REMOVE_REPLY":"取消","SEND_COMMENT":"发布","ADD_COMMENT":"添加评论...","REFRESH":"刷新","LOAD_MORE":"加载更多","NEW":"新","YOU":"祐","REGISTER_TITLE":"您需要访问 Paradox 论坛","REGISTER_INFORMATION":"<0>您的帐户必须链接到 Paradox 论坛才能发表评论。 按照下面的按钮并使用您的 Paradox 帐户登录进行设置。</0><1>如果您已经关联账户，请稍等片刻后重试。</1>","OPEN_REGISTER":"关联您的帐户"},"LINKS":{"TITLE":"此 Mod 的更多详情"},"LINKS_MODAL":{"TITLE":"要在网页浏览器中开启吗？","TEXT":"要在游戏外的网页浏览器开启此链接吗？"},"CHANGELOG":{"TITLE":"更新记录","V":"v","RELEASED":"已发布","READ_MORE":"阅读详细信息"},"DESCRIPTION":{"TITLE":"描述","READ_MORE":"阅读详细信息"},"INFO":{"TITLE":"Mod 信息"},"BANNED":{"TITLE":"已封禁","INFO":"此 Mod 违反了我们的条款和条件，因此已从资料库封禁。"},"OUTDATED":"此 Mod 与您的游戏版本不兼容，可能无法正常运作。","GALLERY":{"NEXT":"下一个","PREVIOUS":"上一个","MISSING_IMAGES":"该模组还没有图库图片..."},"TAGS":{"TITLE":"标签"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"创建者：","MODS":"Mod","TOTAL_SIZE":"总大小","BACK":"返回所有 Playset","SUBTITLE":"{{modsCount}} 个 Mod，总大小 {{modsSize}}"},"MORE_BUTTON":{"MORE":"更多"},"ACTIVATE_BUTTON":{"ACTIVATE":"激活","ACTIVATED":"已激活"},"ACTION_MENU":{"ENABLE_ALL_MODS":"启用所有 Mod","DISABLE_ALL_MODS":"禁用所有 Mod"},"EMPTY_STATE":{"TITLE":"还没有 Mod","DESCRIPTION":"创建 Playset 的用意就是可以尽情使用 Mod 游玩，所以快为这个崭新的 Playset 添加一些 Mod 吧！","ADD_MODS":"添加 Mod"},"LIST":{"AUTHOR":"<0>作者：</0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"搜索","APPLY_FILTERS":"应用筛选","APPLY":"应用","OPEN":"开启","ADD":"添加","BACK":"返回","ENABLE_DISABLE":"启用/禁用","ENABLE":"启用","DISABLE":"禁用","SUBSCRIBE":"添加到 Playset","UNSUBSCRIBE":"从 Playset 中移除","CLOSE":"关闭","CHANGE_ORDER":"更改顺序","RESET_LOAD_ORDER":"重置加载顺序","SCROLL":"滚动","DELETE":"删除","DETAILS":"详细信息","ACTIVATE":"激活","RENAME":"重命名","CANCEL":"取消","CONFIRM":"确认","CREATE":"创建","TOGGLE_ACTION_MENU":"切换行动菜单","SCROLL_TO_TOP":"滚动至顶部","LIKE":"赞","REMOVE_LIKE":"收回赞","EXPAND":"展开","COLLAPSE":"折叠","OPEN_WEB_LINK":"在网页浏览器中开启","SELECT":"选择","REPLY":"回复"},"CONSOLE_FILTER":{"TITLE":"筛选结果","TAGS":"标签","FILTER":"筛选","FILTERED":"已筛选"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"您即将添加 Mod“{{modName}}”。","INFORMATION":"<0>这个 Mod 必须有另外 {{numberOfDependencies}} 个 Mod (总大小：{{totalSizeOfDependencies}}) 才能正常运行。</0><1>是否要一并自动添加这些必要的 Mod？</1>","SUBSCRIBE_TO_MODS":"添加必要 Mod","IGNORE_MODS":"忽略必要 Mod","NOT_PUBLISHED_DEPENDENCIES":"<0>请注意，此 Mod 的某些依赖项目无法使用，这可能会导致此 Mod 无法正常运行。</0><1>可能原因包括依赖项目已被封禁、删除，或经其他方式从发布状态移除。</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset 同步冲突","INFORMATION":"Playset 的服务器状态与本地状态不符。您想继续使用/保留何者？","KEEP_CLOUD":"保留云文件","KEEP_LOCAL":"保留本地文件"},"CLOUD":{"TITLE":"将云文件下载至本地","INFORMATION":"服务器文件将覆盖本地文件。确定要继续吗？","BACK":"返回","DOWNLOAD":"下载至本地"},"LOCAL":{"TITLE":"将本地文件上传至服务器","INFORMATION":"本地文件将覆盖服务器文件。确定要继续吗？","BACK":"返回","DOWNLOAD":"上传至服务器"}},"SYNC":{"TITLE":"正在取得 Mod 的最新更新...","INFORMATION":"无法在更新进行时浏览 Mod。关闭此窗口仍会继续更新。","MODS_DONE":"Mod 已完成","UPDATING_MOD":"正在更新 Mod","STOP_AND_CONTINUE_NEXT_TIME":"关闭此窗口","WAITING_FOR_DOWNLOAD":"正在等待下载开始...","CHECKING_MODS":"正在检查 Mod...","DOWNLOADING":"正在下载","DONE":"前往列表","CLOSE":"关闭","RESYNC":"重新开始同步","UNHANDLED_ERROR":"部分 Mod 在同步时发生错误，请移除出错的 Mod 后重试。","OUT_OF_SPACE":"磁盘空间不足，无法将 Playset 更新至最新版。您必须移除一些 Mod 来腾出磁盘空间。","INSTALLING":{"PREPARING":"正在准备...","PATCHING":"正在移动文件...","APPLYING":"正在应用更改...","PERMISSIONS":"正在更新权限...","CLEANUP":"正在清理...","":"正在安装"}},"OTHER":{"DLCS":"可下载内容","MODS":"Mod","NO":"否","REQUIRED":"必要"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"搜索 Mod","REPORT_COMMENT":"举报说明","CREATE_PLAYSET":"创建 Playset","RENAME_PLAYSET":"为 Playset 重命名","PUBLISH":{"DISPLAY_NAME":"设置显示名称","GAME_VERSION":"设置建议的游戏版本","CHANGELOG":"添加更新记录条目","DESCRIPTION":"设置描述"}}},"REPORT":{"SECTION_TITLE":"标记为不恰当","INFORMATION_TEXT":"如果您认为此 Mod 违反了我们的条款和条件，请举报 Mod 以交给我们审查。","BUTTON":"提交举报","BUTTON_DONE":"已发送举报","SUBMIT":"提交举报","INFORMATION":"请于下方填写详细信息，我们会将其提交给质量保证团队进行分析。感谢您协助 Paradox 变得更好，并创造更安全的环境。","CAPTION":"举报原因","COMMENT_TITLE":"请提供更详细的信息：","COMMENT_PLACEHOLDER":"请在此处填写说明...","THANK_YOU":"感谢您的举报。","THANK_YOU_MESSAGE":"您已举报此 Mod 供管理团队审查。感谢您协助 Paradox Mods 变得更好，并创造更安全的环境。","MISSING_REASON":"您必须选择原因。","MISSING_DESCRIPTION":"您必须描述违规行为。","CLOSE":"关闭窗口","COMMENT_INFORMATION":"您即将因含有不当内容举报此 Mod。","COMMENT_SUBINFORMATION":"您已告知我们，它可能含有以下问题：","PREVIEW_COMMENT":"您的说明：","PREVIEW":"预览","VERSION_PREFIX":"v","REASONS":{"NUDITY":"裸露","VIOLENCE":"暴力","HARASSMENT":"骚扰","SPAM":"滥发","COPYRIGHT":"侵犯版权","HATE":"仇恨言论","DOESNOTWORK":"Mod 无法正常运行","OTHER":"其他问题"}},"SEARCH":{"NO_SEARCH_RESULTS":"没有搜索结果","MODS_AVAILABLE":"{{modsAvailable}} 个可用的 Mod"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} 个已安装的 Mod"},"XBOX_SEARCH":{"CLEAR_SEARCH":"清除搜索"},"SEARCH_INPUT":{"PLACEHOLDER":"搜索 Mod..."},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"激活中","ACTIVATE_PLAYSET":"使用此 Playset","CREATE_NEW_PLAYSET":{"TITLE":"创建新 Playset","NAME":"名称","CREATE":"创建","CANCEL":"取消","KEYBOARD_TITLE":"输入新的 Playset 名称","SUCCESS":"已创建 Playset“{{name}}”。"},"MODS_COUNT":"{{modsCount}} 个 Mod","UPDATED":"最后更新：{{updated}}","DELETE":{"TITLE":"确认删除 Playset","TEXT":"确定要删除 Playset“{{name}}”吗？"},"RENAME":{"TITLE":"为 Playset 重命名","TEXT":"为“{{name}}”重命名"}},"PUBLISH":{"INPUT_DETAILS":"Mod 详细信息","DISPLAY_NAME":"显示名称 *","DISPLAY_NAME_ERROR":"显示名称为必填","SUGGESTED_GAME_VERSION":"建议的游戏版本 *","SUGGESTED_GAME_VERSION_ERROR":"建议的游戏版本为必填","COVER_FILE_NAME":"封面图像文件名 *","COVER_FILE_NAME_ERROR":"封面图像文件名为必填","DESCRIPTION":"描述 *","DESCRIPTION_ERROR":"描述为必填","CHANGELOG":"更新记录条目 *","CHANGELOG_ERROR":"更新记录条目为必填","PUBLISH_NEW_VERSION":"发布新版本","PUBLISH_NEW":"发布","PUBLISHING_TITLE":"Mod 待发布","PUBLISHING":"当前正在发布您的 Mod。可能需要等待一段时间才会完成。"},"LIBRARY":{"PLAYSETS_TITLE":"我的 Playset","CREATIONS_TITLE":"我的创作","IMPORTED_TITLE":"我已导入的 Mod"},"CONFIRM_MODAL":{"CONFIRM":"是","CANCEL":"取消","RENAME":"重命名"},"ALERT_MODAL":{"CONFIRM":"关闭"},"TOASTS":{"UNSUBSCRIBED_MOD":"已成功移除 Mod。","ENABLED_PLAYSET_MODS":"已成功启用 Playset 的 Mod","DISABLED_PLAYSET_MODS":"已成功禁用 Playset 的 Mod","COMMENT_POSTED":"已成功发布评论"},"WIP_MOD":{"CREATE_NEW":"创建新 Mod","CREATE_NEW_TEXT":"创建新的制作中 Mod。","CREATE":"创建","CANCEL":"取消","DELETE_TITLE":"删除制作中的 Mod","DELETE_TEXT":"确定要删除 Mod“{{modName}}”吗？","DRAFT_MODS":"{{modCount}} 个草稿 Mod"},"WARNING":{"START_SCREEN":{"XBOX":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive、开发者或 Xbox 预先测试或检验。只要有启用一个以上的 Mod，所有成就进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。","PLAYSTATION":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive、开发者或 PlayStation 预先测试或检验。只要有启用一个以上的 Mod，所有奖杯进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。","DEFAULT":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive 预先测试或检验。只要有启用一个以上的 Mod，所有成就进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。"},"EXIT":{"CLOSING":"正在关闭...","CLOSE_NOW":"立即关闭","TITLE":"重要提醒","XBOX":"只要有启用一个以上的 Mod，系统就会禁用成就进度，直到您再度禁用 Mod 为止。确定要继续吗？","PLAYSTATION":"只要有启用一个以上的 Mod，系统就会禁用奖杯进度，直到您再度禁用 Mod 为止。确定要继续吗？","DEFAULT":"只要有启用一个以上的 Mod，系统就会禁用成就进度，直到您再度禁用 Mod 为止。确定要继续吗？","CONFIRM":"是，请保留 Mod 并返回主菜单","CANCEL":"返回 Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"查看详细信息","READ_MORE":"阅读详细信息"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"浏览全部","LOAD_MORE":"加载更多","MOST_POPULAR":"最热门的 Mod"}}}'),"zh-Hans":JSON.parse('{"TOP_MENU":{"START":"精选","BROWSE_ALL":"浏览","INSTALLED":"已安装","INSTALLED_MODS":"资料库","IMPORTED_MODS":"已导入的 Mod","PLAYSETS":"Playset","PUBLISH":"我的创作","LIBRARY":"我的资料库"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"新 Playset","PLAYSET":"激活中的 Playset","DROPDOWN_LABEL":"选择激活中的 Playset","DEACTIVATED_PLAYSETS":"没有激活中的 Playset","DEACTIVATE_PLAYSET":"没有激活中的 Playset","ACTIVE_PLAYSET":"激活中的 Playset：{{playsetName}}"},"FILTER":{"HEADING":"筛选","CLEAR_ALL":"清除全部","TAGS":"标签"},"LIST":{"ENABLED":"已启用","DISABLED":"已禁用","EMPTY_STATE":{"TITLE":"尚未安装 Mod","TEXT":"Mod 可以为游戏增添许多乐趣！点击下方按钮以浏览所有的 Mod，安装至少一个 Mod 后再返回此处。","BUTTON":"浏览所有 Mod"},"RESET_ACTIVATION_ORDER":"重置加载顺序","BANNED_MOD":"此 Mod 已被封禁","OFFLINE":"离线","ADD_TO_PLAYSET":"添加到激活中的 Playset","REMOVE_FROM_PLAYSET":"从激活中的 Playset 中移除","SUBSCRIBERS":"{{formattedCount}} 位订阅者","SUBSCRIBERS_plural":"{{formattedCount}} 位订阅者"},"SORT_BY_MENU":{"AZ":"A...Z","ZA":"Z...A","OLDEST":"时间最旧","MOST_RECENT":"时间最新","MOST_SUBSCRIBED":"最多订阅","HIGHEST_RATED":"评分最高","MOST_PLAYSETS":"包含在最多 Playset 中","LEAST_PLAYSETS":"包含在最少 Playset 中","SORT_BY":"排序依据","BEST":"最佳","MOST_POPULAR":"最热门","LAST_UPDATED":"最近更新"},"ERROR":{"PARADOX_SERVICES_DOWN":"很抱歉，Paradox Mods 服务未能完成该要求。","BUTTONS":{"CLOSE":"关闭"},"SET_USER_RATING":{"TITLE":"无法为 Mod 设置用户评分","MESSAGE":"我们无法为此 Mod 设置新的用户评分。"},"GET_USER_RATING":{"TITLE":"无法取得 Mod 的用户评分","MESSAGE":"我们无法取得此 Mod 的用户评分。"},"LOAD_MORE":{"TITLE":"无法加载更多 Mod","MESSAGE":"我们无法在此次滚动期间加载更多 Mod。"},"SEARCH":{"TITLE":"无法搜索 Mod","MESSAGE":"我们当前无法搜索 Mod。"},"SUBSCRIBE":{"TITLE":"无法添加 Mod","MESSAGE":"我们当前无法添加 Mod。"},"UNSUBSCRIBE":{"TITLE":"无法移除 Mod","MESSAGE":"我们当前无法移除 Mod。"},"MOD_DETAILS":{"TITLE":"无法提取 Mod 详细信息","MESSAGE":"我们当前无法提取 Mod 详细信息。"},"USER_RATING":{"TITLE":"无法提取用户评分","MESSAGE":"我们当前无法提取您的用户评分。"},"MOD_RATING":{"TITLE":"无法提取 Mod 评分","MESSAGE":"我们无法提取 Mod 评分。"},"ENABLE":{"TITLE":"无法启用 Mod","MESSAGE":"我们暂时无法启用此 Mod。"},"DISABLE":{"TITLE":"无法禁用 Mod","MESSAGE":"我们暂时无法禁用此 Mod。"},"ENABLE_PLAYSET_MODS":{"TITLE":"无法启用 Playset 的 Mod","MESSAGE":"我们暂时无法启用此 Playset 的 Mod。"},"DISABLE_PLAYSET_MODS":{"TITLE":"无法禁用 Playset 的 Mod","MESSAGE":"我们暂时无法禁用此 Playset 的 Mod。"},"GETSUBSCRIBED":{"TITLE":"无法存取您添加的 Mod","MESSAGE":"我们暂时无法存取您添加的 Mod。"},"GET_FORUM_POSTS":{"TITLE":"无法提取讨论帖","MESSAGE":"我们无法提取讨论帖。"},"SEND_FORUM_POST":{"TITLE":"无法发布讨论帖","MESSAGE":"我们无法在讨论帖添加帖子。"},"GET_GAME_VERSION":{"TITLE":"无法提取游戏版本","MESSAGE":"我们无法提取游戏版本。"},"GET_ALL_DEPENDENCIES":{"TITLE":"无法提取依赖项目","MESSAGE":"我们无法提取依赖项目。"},"REPORT_MOD":{"TITLE":"无法举报 Mod","MESSAGE":"我们无法举报 Mod。"},"GET_GAME_DATA":{"TITLE":"无法提取游戏信息","MESSAGE":"我们无法提取游戏信息。"},"SET_ACTIVATION_ORDER":{"TITLE":"无法设置激活顺序","MESSAGE":"我们暂时无法更改激活顺序。"},"RESET_ACTIVATION_ORDER":{"TITLE":"无法重置激活顺序","MESSAGE":"我们暂时无法更改激活顺序。"},"SCREEN_KEYBOARD":{"TITLE":"无法开启屏幕键盘","MESSAGE":"当前无法开启屏幕键盘。"},"PLAYSETS":{"TITLE":"无法提取 Playset","MESSAGE":"我们当前无法提取您的 Playset。"},"PLAYSET_DETAILS":{"TITLE":"无法提取 Playset 详细信息","MESSAGE":"我们当前无法提取 Playset 详细信息。"},"PLAYSET_DELETE":{"TITLE":"无法删除 Playset","MESSAGE":"我们当前无法删除您的 Playset。"},"PLAYSET_RENAME":{"TITLE":"无法为 Playset 重命名","MESSAGE":"我们当前无法为 Playset 重命名。"},"PLAYSET_MODS":{"TITLE":"无法存取 Playset Mod","MESSAGE":"我们当前无法提取您的 Mod。"},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"无法检查是否有启用的 Mod","MESSAGE":"我们当前无法确认您激活中的 Playset 是否包含已启用的 Mod。"},"CREATE_PLAYSET":{"TITLE":"无法创建新的 Playset","MESSAGE":"我们当前无法创建新的 Playset。"},"ACTIVATE_PLAYSET":{"TITLE":"无法激活 Playset","MESSAGE":"我们当前无法激活 Playset。"},"DEACTIVATE_PLAYSET":{"TITLE":"无法禁用 Playset","MESSAGE":"我们当前无法禁用 Playset。"},"DEACTIVATED_PLAYSET":{"TITLE":"无法添加 Mod","MESSAGE":"您需要有激活中的 Playset 才能添加 Mod。"},"ACTIVE_PLAYSET":{"TITLE":"无法取得激活中的 Playset","MESSAGE":"我们当前无法取得您激活中的 Playset。"},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"您还没有登录。","MESSAGE":"您似乎还没有登录 Paradox 帐户。使用本服务前，请先创建帐户并登录。"},"OFFLINE":{"TITLE":"您已离线","MESSAGE":"您当前似乎无法连接到互联网。不过，您仍然可以启用或禁用已安装的 Mod，或是更改其加载顺序。"},"SYNC":{"TITLE":"同步 Mod 时发生错误","MESSAGE":"同步 Mod 时似乎发生了错误。"},"DEFAULT":{"TITLE":"发生错误。","MESSAGE":"很抱歉，处理您的要求时发生了错误，请关闭用户界面并再试一次。"}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"磁盘已满，无法完成操作。","THIRDPARTYEXCEPTION":"我们正在使用的第三方资料库发生了错误。","DBERROR":"服务器端的数据库发生了错误。","DISKPERMISSIONERROR":"您似乎没有访问当前磁盘的权限。","FILEIOERROR":"对磁盘进行写入或读取时发生了错误。","REMOTELOGOUTFAILED":"注销服务器时发生了错误。本地与服务器的工作阶段状态可能未同步。","INTERNALERROR":"发生了无法辨认的内部错误。"},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"服务器的响应正文存在格式错误，因此无法分析。","HTTPREQUESTERROR":"由于发生断开连接、DNS 错误或类似问题，无法向服务器发送要求。","NETWORKSENDERROR":"向服务器发送数据时发生无法辨认的错误。","TASKTIMEOUTERROR":"向服务器发送的要求已超时。","UNEXPECTEDRESPONSEERROR":"服务器的响应存在格式错误或所需数据不完整。","NORESPONSEBODY":"服务器的响应没有正文。","MODDOWNLOADFAILEDERROR":"已同步 Mod 的元数据，但是下载失败。将在下次同步时重新尝试下载。"},"NOTFOUND":{"NOACCOUNT":"无法找到用户帐户。","NODOCUMENT":"无法找到文件。","NOMERGETASK":"无法找到合并任务。","NOMOD":"无法找到 Mod。","NOMODVERSION":"无法找到要求的 Mod 版本。","NOMODPLAYSET":"无法找到或访问要求的 Playset。","NOPROFILE":"无法找到个人档案。","NOACHIEVEMENT":"无法找到成就。","NORESOURCE":"无法找到要求的资源。"},"INVALIDSTATE":{"NOTLOGGEDIN":"用户尚未登录。","MODDISABLED":"Mod 已被删除或封禁。"},"MODS":{"SYNCONGOING":"已在进行同步。","OPERATIONSONGOING":"仍有正在进行的操作。","LOCALERROR":"执行操作时出现问题，请稍后再试。"},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"用户需要使用凭据信息再次进行完整用户登录。","EXPIREDSESSIONTOKEN":"用户需要使用刷新令牌来创建新的工作阶段令牌。","SESSIONTOOLOWTRUSTLEVEL":"工作阶段的信任级别不足，请使用信任级别更高的凭据信息再次登录。","INVALIDAUTHENTICATION":"所提供的验证无效。","REJECTEDBYTHIRDPARTY":"验证遭到第三方 (Steam、PSN、Twitch 等) 拒绝。","FORBIDDENACCESS":"正在尝试访问此工作阶段禁止的数据。","AUTOMATICLOGINFAILURE":"Account.Startup() 无法将用户自动登录。请改为手动呼叫 Account.Login(Credentials)。"},"MODSUI":{"DELETEACTIVEPLAYSET":"无法删除当前激活中的 Playset。","REPORTMODBLOCKEDTIMELIMIT":"已经举报过此 Mod，正在等待我们的管理员审查。","TOOMANYPLAYSETS":"玩具套装不能超过 50 个。"},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"无法添加论坛帖子，请确保您的帐户已连接到论坛"}},"WIP":{"CREATE":{"TITLE":"无法创建草稿 Mod。","MESSAGE":"很抱歉，我们无法创建您的草稿 Mod。"},"LIST":{"TITLE":"无法提取草稿 Mod。","MESSAGE":"很抱歉，我们无法提取您的 Playset 详细信息。"},"DELETE":{"TITLE":"无法删除草稿 Mod。","MESSAGE":"很抱歉，我们无法删除您的草稿 Mod。"},"GET":{"TITLE":"无法提取草稿 Mod。","MESSAGE":"很抱歉，我们无法提取您的草稿 Mod。"},"PUBLISH":{"TITLE":"无法发布草稿 Mod。","MESSAGE":"很抱歉，我们无法发布您的草稿 Mod。请确认已具备所有内容与封面图像。"},"NEW_VERSION":{"TITLE":"无法发布新的草稿 Mod 版本。","MESSAGE":"很抱歉，我们无法发布您的新草稿 Mod 版本。请确认已具备所有内容与封面图像。"}},"INPUT":{"EMPTY":"栏位不能为空。"}},"PROGRESSBAR":{"QUEUED":"已排入队列"},"MOD_DETAILS":{"HEADER":{"BACK":"返回","BY":"作者：","SIZETEXT":"大小","VERSION":"Mod 版本","REQUIREDGAMEVERSION":"建议的游戏版本","SUBSCRIPTIONSTOTAL":"位订阅者","LIKESTOTAL":"个赞","AUTHOR":"作者"},"AUTHOR":{"TITLE":"Mod 作者","ALL_MODS_BY_AUTHOR":"此作者的所有 Mod","MORE_FROM_THIS_CREATOR":"此创作者的更多作品"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"添加到激活中的 Playset","SUBSCRIBED":"已添加","UNSUBSCRIBE":"从激活中的 Playset 中移除","INSTALLING":"正在安装...","UNINSTALLING":"正在卸载...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"确认移除 Mod","TEXT":"确定要从激活中的 Playset 中移除 Mod“{{name}}”({{size}}) 吗？"}},"REQUIREMENT":{"TITLE":"必要","VIEW_ALL":"查看全部","BACK_TO_MOD_DETAILS":"返回 Mod 详细信息","REQUIRED_MODS":"需要 Mod ({{modsCount}} 个)","REQUIRED_DLC":"需要可下载内容 ({{dlcCount}} 个)","REQUIRED_MODS_MESSAGE":"此 Mod 需有以下的 Mod 才能运作","REQUIRED_DLC_MESSAGE":"此 Mod 需要以下的可下载内容才能运作"},"FORUM_LINKS":{"TITLE":"此 Mod 的更多详情","TOP_THREAD":"Paradox 论坛"},"FORUM_POSTS":{"TITLE":"讨论","OPEN_FULL_DISCUSSION":"开启完整讨论","UNSUPPORTED_FORMATTING":"此信息有不支持的格式，无法在此显示。","GO_TO_POST":"前往论坛查看完整帖子。","OPEN_IN_BROWSER":"在浏览器中开启","COMMENT_TITLE":"评论 Mod","REPLYING_TO":"回复 {{user}} 的帖子","REMOVE_REPLY":"取消","SEND_COMMENT":"发布","ADD_COMMENT":"添加评论...","REFRESH":"刷新","LOAD_MORE":"加载更多","NEW":"新","YOU":"祐","REGISTER_TITLE":"您需要访问 Paradox 论坛","REGISTER_INFORMATION":"<0>您的帐户必须链接到 Paradox 论坛才能发表评论。 按照下面的按钮并使用您的 Paradox 帐户登录进行设置。</0><1>如果您已经关联账户，请稍等片刻后重试。</1>","OPEN_REGISTER":"关联您的帐户"},"LINKS":{"TITLE":"此 Mod 的更多详情"},"LINKS_MODAL":{"TITLE":"要在网页浏览器中开启吗？","TEXT":"要在游戏外的网页浏览器开启此链接吗？"},"CHANGELOG":{"TITLE":"更新记录","V":"v","RELEASED":"已发布","READ_MORE":"阅读详细信息"},"DESCRIPTION":{"TITLE":"描述","READ_MORE":"阅读详细信息"},"INFO":{"TITLE":"Mod 信息"},"BANNED":{"TITLE":"已封禁","INFO":"此 Mod 违反了我们的条款和条件，因此已从资料库封禁。"},"OUTDATED":"此 Mod 与您的游戏版本不兼容，可能无法正常运作。","GALLERY":{"NEXT":"下一个","PREVIOUS":"上一个","MISSING_IMAGES":"该模组还没有图库图片..."},"TAGS":{"TITLE":"标签"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"创建者：","MODS":"Mod","TOTAL_SIZE":"总大小","BACK":"返回所有 Playset","SUBTITLE":"{{modsCount}} 个 Mod，总大小 {{modsSize}}"},"MORE_BUTTON":{"MORE":"更多"},"ACTIVATE_BUTTON":{"ACTIVATE":"激活","ACTIVATED":"已激活"},"ACTION_MENU":{"ENABLE_ALL_MODS":"启用所有 Mod","DISABLE_ALL_MODS":"禁用所有 Mod"},"EMPTY_STATE":{"TITLE":"还没有 Mod","DESCRIPTION":"创建 Playset 的用意就是可以尽情使用 Mod 游玩，所以快为这个崭新的 Playset 添加一些 Mod 吧！","ADD_MODS":"添加 Mod"},"LIST":{"AUTHOR":"<0>作者：</0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"搜索","APPLY_FILTERS":"应用筛选","APPLY":"应用","OPEN":"开启","ADD":"添加","BACK":"返回","ENABLE_DISABLE":"启用/禁用","ENABLE":"启用","DISABLE":"禁用","SUBSCRIBE":"添加到 Playset","UNSUBSCRIBE":"从 Playset 中移除","CLOSE":"关闭","CHANGE_ORDER":"更改顺序","RESET_LOAD_ORDER":"重置加载顺序","SCROLL":"滚动","DELETE":"删除","DETAILS":"详细信息","ACTIVATE":"激活","RENAME":"重命名","CANCEL":"取消","CONFIRM":"确认","CREATE":"创建","TOGGLE_ACTION_MENU":"切换行动菜单","SCROLL_TO_TOP":"滚动至顶部","LIKE":"赞","REMOVE_LIKE":"收回赞","EXPAND":"展开","COLLAPSE":"折叠","OPEN_WEB_LINK":"在网页浏览器中开启","SELECT":"选择","REPLY":"回复"},"CONSOLE_FILTER":{"TITLE":"筛选结果","TAGS":"标签","FILTER":"筛选","FILTERED":"已筛选"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"您即将添加 Mod“{{modName}}”。","INFORMATION":"<0>这个 Mod 必须有另外 {{numberOfDependencies}} 个 Mod (总大小：{{totalSizeOfDependencies}}) 才能正常运行。</0><1>是否要一并自动添加这些必要的 Mod？</1>","SUBSCRIBE_TO_MODS":"添加必要 Mod","IGNORE_MODS":"忽略必要 Mod","NOT_PUBLISHED_DEPENDENCIES":"<0>请注意，此 Mod 的某些依赖项目无法使用，这可能会导致此 Mod 无法正常运行。</0><1>可能原因包括依赖项目已被封禁、删除，或经其他方式从发布状态移除。</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset 同步冲突","INFORMATION":"Playset 的服务器状态与本地状态不符。您想继续使用/保留何者？","KEEP_CLOUD":"保留云文件","KEEP_LOCAL":"保留本地文件"},"CLOUD":{"TITLE":"将云文件下载至本地","INFORMATION":"服务器文件将覆盖本地文件。确定要继续吗？","BACK":"返回","DOWNLOAD":"下载至本地"},"LOCAL":{"TITLE":"将本地文件上传至服务器","INFORMATION":"本地文件将覆盖服务器文件。确定要继续吗？","BACK":"返回","DOWNLOAD":"上传至服务器"}},"SYNC":{"TITLE":"正在取得 Mod 的最新更新...","INFORMATION":"无法在更新进行时浏览 Mod。关闭此窗口仍会继续更新。","MODS_DONE":"Mod 已完成","UPDATING_MOD":"正在更新 Mod","STOP_AND_CONTINUE_NEXT_TIME":"关闭此窗口","WAITING_FOR_DOWNLOAD":"正在等待下载开始...","CHECKING_MODS":"正在检查 Mod...","DOWNLOADING":"正在下载","DONE":"前往列表","CLOSE":"关闭","RESYNC":"重新开始同步","UNHANDLED_ERROR":"部分 Mod 在同步时发生错误，请移除出错的 Mod 后重试。","OUT_OF_SPACE":"磁盘空间不足，无法将 Playset 更新至最新版。您必须移除一些 Mod 来腾出磁盘空间。","INSTALLING":{"PREPARING":"正在准备...","PATCHING":"正在移动文件...","APPLYING":"正在应用更改...","PERMISSIONS":"正在更新权限...","CLEANUP":"正在清理...","":"正在安装"}},"OTHER":{"DLCS":"可下载内容","MODS":"Mod","NO":"否","REQUIRED":"必要"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"搜索 Mod","REPORT_COMMENT":"举报说明","CREATE_PLAYSET":"创建 Playset","RENAME_PLAYSET":"为 Playset 重命名","PUBLISH":{"DISPLAY_NAME":"设置显示名称","GAME_VERSION":"设置建议的游戏版本","CHANGELOG":"添加更新记录条目","DESCRIPTION":"设置描述"}}},"REPORT":{"SECTION_TITLE":"标记为不恰当","INFORMATION_TEXT":"如果您认为此 Mod 违反了我们的条款和条件，请举报 Mod 以交给我们审查。","BUTTON":"提交举报","BUTTON_DONE":"已发送举报","SUBMIT":"提交举报","INFORMATION":"请于下方填写详细信息，我们会将其提交给质量保证团队进行分析。感谢您协助 Paradox 变得更好，并创造更安全的环境。","CAPTION":"举报原因","COMMENT_TITLE":"请提供更详细的信息：","COMMENT_PLACEHOLDER":"请在此处填写说明...","THANK_YOU":"感谢您的举报。","THANK_YOU_MESSAGE":"您已举报此 Mod 供管理团队审查。感谢您协助 Paradox Mods 变得更好，并创造更安全的环境。","MISSING_REASON":"您必须选择原因。","MISSING_DESCRIPTION":"您必须描述违规行为。","CLOSE":"关闭窗口","COMMENT_INFORMATION":"您即将因含有不当内容举报此 Mod。","COMMENT_SUBINFORMATION":"您已告知我们，它可能含有以下问题：","PREVIEW_COMMENT":"您的说明：","PREVIEW":"预览","VERSION_PREFIX":"v","REASONS":{"NUDITY":"裸露","VIOLENCE":"暴力","HARASSMENT":"骚扰","SPAM":"滥发","COPYRIGHT":"侵犯版权","HATE":"仇恨言论","DOESNOTWORK":"Mod 无法正常运行","OTHER":"其他问题"}},"SEARCH":{"NO_SEARCH_RESULTS":"没有搜索结果","MODS_AVAILABLE":"{{modsAvailable}} 个可用的 Mod"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} 个已安装的 Mod"},"XBOX_SEARCH":{"CLEAR_SEARCH":"清除搜索"},"SEARCH_INPUT":{"PLACEHOLDER":"搜索 Mod..."},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"激活中","ACTIVATE_PLAYSET":"使用此 Playset","CREATE_NEW_PLAYSET":{"TITLE":"创建新 Playset","NAME":"名称","CREATE":"创建","CANCEL":"取消","KEYBOARD_TITLE":"输入新的 Playset 名称","SUCCESS":"已创建 Playset“{{name}}”。"},"MODS_COUNT":"{{modsCount}} 个 Mod","UPDATED":"最后更新：{{updated}}","DELETE":{"TITLE":"确认删除 Playset","TEXT":"确定要删除 Playset“{{name}}”吗？"},"RENAME":{"TITLE":"为 Playset 重命名","TEXT":"为“{{name}}”重命名"}},"PUBLISH":{"INPUT_DETAILS":"Mod 详细信息","DISPLAY_NAME":"显示名称 *","DISPLAY_NAME_ERROR":"显示名称为必填","SUGGESTED_GAME_VERSION":"建议的游戏版本 *","SUGGESTED_GAME_VERSION_ERROR":"建议的游戏版本为必填","COVER_FILE_NAME":"封面图像文件名 *","COVER_FILE_NAME_ERROR":"封面图像文件名为必填","DESCRIPTION":"描述 *","DESCRIPTION_ERROR":"描述为必填","CHANGELOG":"更新记录条目 *","CHANGELOG_ERROR":"更新记录条目为必填","PUBLISH_NEW_VERSION":"发布新版本","PUBLISH_NEW":"发布","PUBLISHING_TITLE":"Mod 待发布","PUBLISHING":"当前正在发布您的 Mod。可能需要等待一段时间才会完成。"},"LIBRARY":{"PLAYSETS_TITLE":"我的 Playset","CREATIONS_TITLE":"我的创作","IMPORTED_TITLE":"我已导入的 Mod"},"CONFIRM_MODAL":{"CONFIRM":"是","CANCEL":"取消","RENAME":"重命名"},"ALERT_MODAL":{"CONFIRM":"关闭"},"TOASTS":{"UNSUBSCRIBED_MOD":"已成功移除 Mod。","ENABLED_PLAYSET_MODS":"已成功启用 Playset 的 Mod","DISABLED_PLAYSET_MODS":"已成功禁用 Playset 的 Mod","COMMENT_POSTED":"已成功发布评论"},"WIP_MOD":{"CREATE_NEW":"创建新 Mod","CREATE_NEW_TEXT":"创建新的制作中 Mod。","CREATE":"创建","CANCEL":"取消","DELETE_TITLE":"删除制作中的 Mod","DELETE_TEXT":"确定要删除 Mod“{{modName}}”吗？","DRAFT_MODS":"{{modCount}} 个草稿 Mod"},"WARNING":{"START_SCREEN":{"XBOX":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive、开发者或 Xbox 预先测试或检验。只要有启用一个以上的 Mod，所有成就进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。","PLAYSTATION":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive、开发者或 PlayStation 预先测试或检验。只要有启用一个以上的 Mod，所有奖杯进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。","DEFAULT":"<0>重要提醒</0> Mod 将改变游戏的原始体验，且这些 Mod 并未经由 Paradox Interactive 预先测试或检验。只要有启用一个以上的 Mod，所有成就进度都将禁用。使用 Paradox Mods 需遵守 Paradox 用户协议。"},"EXIT":{"CLOSING":"正在关闭...","CLOSE_NOW":"立即关闭","TITLE":"重要提醒","XBOX":"只要有启用一个以上的 Mod，系统就会禁用成就进度，直到您再度禁用 Mod 为止。确定要继续吗？","PLAYSTATION":"只要有启用一个以上的 Mod，系统就会禁用奖杯进度，直到您再度禁用 Mod 为止。确定要继续吗？","DEFAULT":"只要有启用一个以上的 Mod，系统就会禁用成就进度，直到您再度禁用 Mod 为止。确定要继续吗？","CONFIRM":"是，请保留 Mod 并返回主菜单","CANCEL":"返回 Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"查看详细信息","READ_MORE":"阅读详细信息"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"浏览全部","LOAD_MORE":"加载更多","MOST_POPULAR":"最热门的 Mod"}}}'),"zh-Hant":JSON.parse('{"TOP_MENU":{"START":"精選","BROWSE_ALL":"瀏覽","INSTALLED":"已安裝","INSTALLED_MODS":"資料庫","IMPORTED_MODS":"已匯入的 Mod","PLAYSETS":"Playset","PUBLISH":"我的創作","LIBRARY":"我的資料庫"},"PLAYSET_SELECTOR":{"CREATE_NEW_PLAYSET":"新 Playset","PLAYSET":"啟動中的 Playset","DROPDOWN_LABEL":"選擇啟動中的 Playset","DEACTIVATED_PLAYSETS":"沒有啟動中的 Playset","DEACTIVATE_PLAYSET":"沒有啟動中的 Playset","ACTIVE_PLAYSET":"啟動中的 Playset：{{playsetName}}"},"FILTER":{"HEADING":"篩選","CLEAR_ALL":"清除全部","TAGS":"標籤"},"LIST":{"ENABLED":"已啟用","DISABLED":"已停用","EMPTY_STATE":{"TITLE":"尚未安裝 Mod","TEXT":"Mod 可以為遊戲增添許多樂趣！點選下方按鈕以瀏覽所有的 Mod，安裝至少一個 Mod 後再返回此處。","BUTTON":"瀏覽所有 Mod"},"RESET_ACTIVATION_ORDER":"重設載入順序","BANNED_MOD":"此 Mod 已被封鎖","OFFLINE":"離線","ADD_TO_PLAYSET":"新增到啟動中的 Playset","REMOVE_FROM_PLAYSET":"從啟動中的 Playset 中移除","SUBSCRIBERS":"{{formattedCount}} 位訂閱者","SUBSCRIBERS_plural":"{{formattedCount}} 位訂閱者"},"SORT_BY_MENU":{"AZ":"A...Z","ZA":"Z...A","OLDEST":"時間最舊","MOST_RECENT":"時間最新","MOST_SUBSCRIBED":"最多訂閱","HIGHEST_RATED":"評分最高","MOST_PLAYSETS":"包含在最多 Playset 中","LEAST_PLAYSETS":"包含在最少 Playset 中","SORT_BY":"排序依據","BEST":"最佳","MOST_POPULAR":"最熱門","LAST_UPDATED":"最近更新"},"ERROR":{"PARADOX_SERVICES_DOWN":"很抱歉，Paradox Mods 服務未能完成該要求。","BUTTONS":{"CLOSE":"關閉"},"SET_USER_RATING":{"TITLE":"無法為 Mod 設定使用者評分","MESSAGE":"我們無法為此 Mod 設定新的使用者評分。"},"GET_USER_RATING":{"TITLE":"無法取得 Mod 的使用者評分","MESSAGE":"我們無法取得此 Mod 的使用者評分。"},"LOAD_MORE":{"TITLE":"無法載入更多 Mod","MESSAGE":"我們無法在此次捲動期間載入更多 Mod。"},"SEARCH":{"TITLE":"無法搜尋 Mod","MESSAGE":"我們目前無法搜尋 Mod。"},"SUBSCRIBE":{"TITLE":"無法新增 Mod","MESSAGE":"我們目前無法新增 Mod。"},"UNSUBSCRIBE":{"TITLE":"無法移除 Mod","MESSAGE":"我們目前無法移除 Mod。"},"MOD_DETAILS":{"TITLE":"無法擷取 Mod 詳細資訊","MESSAGE":"我們目前無法擷取 Mod 詳細資訊。"},"USER_RATING":{"TITLE":"無法擷取使用者評分","MESSAGE":"我們目前無法擷取您的使用者評分。"},"MOD_RATING":{"TITLE":"無法擷取 Mod 評分","MESSAGE":"我們無法擷取 Mod 評分。"},"ENABLE":{"TITLE":"無法啟用 Mod","MESSAGE":"我們暫時無法啟用此 Mod。"},"DISABLE":{"TITLE":"無法停用 Mod","MESSAGE":"我們暫時無法停用此 Mod。"},"ENABLE_PLAYSET_MODS":{"TITLE":"無法啟用 Playset 的 Mod","MESSAGE":"我們暫時無法啟用此 Playset 的 Mod。"},"DISABLE_PLAYSET_MODS":{"TITLE":"無法停用 Playset 的 Mod","MESSAGE":"我們暫時無法停用此 Playset 的 Mod。"},"GETSUBSCRIBED":{"TITLE":"無法取得您新增的 Mod","MESSAGE":"我們暫時無法取得您新增的 Mod。"},"GET_FORUM_POSTS":{"TITLE":"無法擷取討論串","MESSAGE":"我們無法擷取討論串。"},"SEND_FORUM_POST":{"TITLE":"無法發布討論串","MESSAGE":"我們無法在討論串新增貼文。"},"GET_GAME_VERSION":{"TITLE":"無法擷取遊戲版本","MESSAGE":"我們無法擷取遊戲版本。"},"GET_ALL_DEPENDENCIES":{"TITLE":"無法擷取相依項目","MESSAGE":"我們無法擷取相依項目。"},"REPORT_MOD":{"TITLE":"無法檢舉 Mod","MESSAGE":"我們無法檢舉 Mod。"},"GET_GAME_DATA":{"TITLE":"無法擷取遊戲資訊","MESSAGE":"我們無法擷取遊戲資訊。"},"SET_ACTIVATION_ORDER":{"TITLE":"無法設定啟動順序","MESSAGE":"我們暫時無法變更啟動順序。"},"RESET_ACTIVATION_ORDER":{"TITLE":"無法重設啟動順序","MESSAGE":"我們暫時無法變更啟動順序。"},"SCREEN_KEYBOARD":{"TITLE":"無法開啟螢幕小鍵盤","MESSAGE":"目前無法開啟螢幕小鍵盤。"},"PLAYSETS":{"TITLE":"無法擷取 Playset","MESSAGE":"我們目前無法擷取您的 Playset。"},"PLAYSET_DETAILS":{"TITLE":"無法擷取 Playset 詳細資訊","MESSAGE":"我們目前無法擷取 Playset 詳細資訊。"},"PLAYSET_DELETE":{"TITLE":"無法刪除 Playset","MESSAGE":"我們目前無法刪除您的 Playset。"},"PLAYSET_RENAME":{"TITLE":"無法為 Playset 重新命名","MESSAGE":"我們目前無法為 Playset 重新命名。"},"PLAYSET_MODS":{"TITLE":"無法存取 Playset Mod","MESSAGE":"我們目前無法擷取您的 Mod。"},"PLAYSET_HAS_ENABLED_MODS":{"TITLE":"無法檢查是否有啟用的 Mod","MESSAGE":"我們目前無法確認您啟動中的 Playset 是否包含已啟用的 Mod。"},"CREATE_PLAYSET":{"TITLE":"無法建立新的 Playset","MESSAGE":"我們目前無法建立新的 Playset。"},"ACTIVATE_PLAYSET":{"TITLE":"無法啟動 Playset","MESSAGE":"我們目前無法啟動 Playset。"},"DEACTIVATE_PLAYSET":{"TITLE":"無法停用 Playset","MESSAGE":"我們目前無法停用 Playset。"},"DEACTIVATED_PLAYSET":{"TITLE":"無法新增 Mod","MESSAGE":"您需要有啟動中的 Playset 才能新增 Mod。"},"ACTIVE_PLAYSET":{"TITLE":"無法取得啟動中的 Playset","MESSAGE":"我們目前無法取得您啟動中的 Playset。"},"GENERIC":{"NOTLOGGEDIN":{"TITLE":"您還沒有登入。","MESSAGE":"您似乎還沒有登入 Paradox 帳戶。使用本服務前，請先建立帳戶並登入。"},"OFFLINE":{"TITLE":"您已離線","MESSAGE":"您目前似乎無法連線到網際網路。不過，您仍然可以啟用或停用已安裝的 Mod，或是變更其載入順序。"},"SYNC":{"TITLE":"同步 Mod 時發生錯誤","MESSAGE":"同步 Mod 時似乎發生了錯誤。"},"DEFAULT":{"TITLE":"發生錯誤。","MESSAGE":"很抱歉，處理您的要求時發生了錯誤，請關閉介面並再試一次。"}},"FROM_SERVER":{"INTERNALERROR":{"DISKFULLERROR":"磁碟已滿，無法完成操作。","THIRDPARTYEXCEPTION":"我們正在使用的第三方資料庫發生了錯誤。","DBERROR":"伺服器端的資料庫發生了錯誤。","DISKPERMISSIONERROR":"您似乎沒有存取目前磁碟的權限。","FILEIOERROR":"對磁碟進行寫入或讀取時發生了錯誤。","REMOTELOGOUTFAILED":"登出伺服器時發生了錯誤。本機與伺服器的工作階段狀態可能未同步。","INTERNALERROR":"發生了無法辨認的內部錯誤。"},"INVALIDNETWORKRESPONSE":{"MALFORMEDJSON":"伺服器的回應本文存在格式錯誤，因此無法剖析。","HTTPREQUESTERROR":"由於發生連線中斷、DNS 錯誤或類似問題，無法向伺服器傳送要求。","NETWORKSENDERROR":"向伺服器傳送資料時發生無法辨認的錯誤。","TASKTIMEOUTERROR":"向伺服器傳送的要求已逾時。","UNEXPECTEDRESPONSEERROR":"伺服器的回應存在格式錯誤或所需資料不完整。","NORESPONSEBODY":"伺服器的回應沒有本文。","MODDOWNLOADFAILEDERROR":"已同步 Mod 的中繼資料，但是下載失敗。將在下次同步時重新嘗試下載。"},"NOTFOUND":{"NOACCOUNT":"無法找到使用者帳戶。","NODOCUMENT":"無法找到文件。","NOMERGETASK":"無法找到合併任務。","NOMOD":"無法找到 Mod。","NOMODVERSION":"無法找到要求的 Mod 版本。","NOMODPLAYSET":"無法找到或存取要求的 Playset。","NOPROFILE":"無法找到個人資料。","NOACHIEVEMENT":"無法找到成就。","NORESOURCE":"無法找到要求的資源。"},"INVALIDSTATE":{"NOTLOGGEDIN":"使用者尚未登入。","MODDISABLED":"Mod 已被刪除或封鎖。"},"MODS":{"SYNCONGOING":"已在進行同步。","OPERATIONSONGOING":"仍有正在進行的操作。","LOCALERROR":"執行操作時出現問題，請稍後再試。"},"NOTAUTHORIZED":{"EXPIREDREFRESHTOKEN":"使用者需要使用認證資訊再次進行完整使用者登入。","EXPIREDSESSIONTOKEN":"使用者需要使用重新整理權杖來建立新的工作階段權杖。","SESSIONTOOLOWTRUSTLEVEL":"工作階段的信任層級不足，請使用信任層級更高的認證資訊再次登入。","INVALIDAUTHENTICATION":"所提供的驗證無效。","REJECTEDBYTHIRDPARTY":"驗證遭到第三方 (Steam、PSN、Twitch 等) 拒絕。","FORBIDDENACCESS":"正在嘗試存取此工作階段禁止的資料。","AUTOMATICLOGINFAILURE":"Account.Startup() 無法將使用者自動登入。請改為手動呼叫 Account.Login(Credentials)。"},"MODSUI":{"DELETEACTIVEPLAYSET":"無法刪除目前啟動中的 Playset。","REPORTMODBLOCKEDTIMELIMIT":"已經檢舉過此 Mod，正在等待我們的管理員審查。","TOOMANYPLAYSETS":"玩具套裝不能超過50個。"},"__DETAILS":{"UNABLE_TO_ADD_FORUM_POST__MAKE_SURE_YOUR_ACCOUNT_IS_CONNECTED_TO_THE_FORUMS":"無法新增論壇帖子，請確保您的帳戶已連接到論壇"}},"WIP":{"CREATE":{"TITLE":"無法建立草稿 Mod。","MESSAGE":"很抱歉，我們無法建立您的草稿 Mod。"},"LIST":{"TITLE":"無法擷取草稿 Mod。","MESSAGE":"很抱歉，我們無法擷取您的 Playset 詳細資訊。"},"DELETE":{"TITLE":"無法刪除草稿 Mod。","MESSAGE":"很抱歉，我們無法刪除您的草稿 Mod。"},"GET":{"TITLE":"無法擷取草稿 Mod。","MESSAGE":"很抱歉，我們無法擷取您的草稿 Mod。"},"PUBLISH":{"TITLE":"無法發布草稿 Mod。","MESSAGE":"很抱歉，我們無法發布您的草稿 Mod。請確認已具備所有內容與封面圖片。"},"NEW_VERSION":{"TITLE":"無法發布新的草稿 Mod 版本。","MESSAGE":"很抱歉，我們無法發布您的新草稿 Mod 版本。請確認已具備所有內容與封面圖片。"}},"INPUT":{"EMPTY":"欄位不可留白。"}},"PROGRESSBAR":{"QUEUED":"已排入佇列"},"MOD_DETAILS":{"HEADER":{"BACK":"返回","BY":"作者：","SIZETEXT":"大小","VERSION":"Mod 版本","REQUIREDGAMEVERSION":"建議的遊戲版本","SUBSCRIPTIONSTOTAL":"位訂閱者","LIKESTOTAL":"個讚","AUTHOR":"作者"},"AUTHOR":{"TITLE":"Mod 作者","ALL_MODS_BY_AUTHOR":"此作者的所有 Mod","MORE_FROM_THIS_CREATOR":"此創作者的更多作品"},"SUBSCRIBE_BUTTON":{"SUBSCRIBE":"新增到啟動中的 Playset","SUBSCRIBED":"已新增","UNSUBSCRIBE":"從啟動中的 Playset 中移除","INSTALLING":"正在安裝...","UNINSTALLING":"正在解除安裝...","UNSUBSCRIBE_CONFIRMATION":{"TITLE":"確認移除 Mod","TEXT":"確定要從啟動中的 Playset 中移除 Mod「{{name}}」({{size}}) 嗎？"}},"REQUIREMENT":{"TITLE":"必要","VIEW_ALL":"查看全部","BACK_TO_MOD_DETAILS":"返回 Mod 詳細資訊","REQUIRED_MODS":"需要 Mod ({{modsCount}} 個)","REQUIRED_DLC":"需要可下載內容 ({{dlcCount}} 個)","REQUIRED_MODS_MESSAGE":"此 Mod 需有以下的 Mod 才能運作","REQUIRED_DLC_MESSAGE":"此 Mod 需要以下的可下載內容才能運作"},"FORUM_LINKS":{"TITLE":"此 Mod 的更多詳情","TOP_THREAD":"Paradox 論壇"},"FORUM_POSTS":{"TITLE":"討論","OPEN_FULL_DISCUSSION":"開啟完整討論","UNSUPPORTED_FORMATTING":"此訊息有不支援的格式，無法在此顯示。","GO_TO_POST":"前往論壇檢視完整貼文。","OPEN_IN_BROWSER":"在瀏覽器中開啟","COMMENT_TITLE":"評論 Mod","REPLYING_TO":"回覆 {{user}} 的貼文","REMOVE_REPLY":"取消","SEND_COMMENT":"發布","ADD_COMMENT":"新增留言...","REFRESH":"重新整理","LOAD_MORE":"載入更多","NEW":"新","YOU":"您","REGISTER_TITLE":"您需要造訪 Paradox 論壇","REGISTER_INFORMATION":"<0>您的帳戶必須連結到 Paradox 論壇才能發表評論。 按照下面的按鈕並使用您的 Paradox 帳戶登入進行設定。</0><1>如果您已經關聯帳戶，請稍等片刻後重試。</1>","OPEN_REGISTER":"關聯您的帳戶"},"LINKS":{"TITLE":"此 Mod 的更多詳情"},"LINKS_MODAL":{"TITLE":"要在網頁瀏覽器中開啟嗎？","TEXT":"要在遊戲外的網頁瀏覽器開啟此連結嗎？"},"CHANGELOG":{"TITLE":"更新紀錄","V":"v","RELEASED":"已發布","READ_MORE":"閱讀詳細資訊"},"DESCRIPTION":{"TITLE":"描述","READ_MORE":"閱讀詳細資訊"},"INFO":{"TITLE":"Mod 資訊"},"BANNED":{"TITLE":"已封鎖","INFO":"此 Mod 違反了我們的條款和條件，因此已從資料庫封鎖。"},"OUTDATED":"此 Mod 與您的遊戲版本不相容，可能無法正常運作。","GALLERY":{"NEXT":"下一個","PREVIOUS":"上一個","MISSING_IMAGES":"該模組還沒有圖庫圖片..."},"TAGS":{"TITLE":"標籤"}},"PLAYSET_DETAILS":{"HEADER":{"CREATED_BY":"建立者：","MODS":"Mod","TOTAL_SIZE":"總大小","BACK":"返回所有 Playset","SUBTITLE":"{{modsCount}} 個 Mod，總大小 {{modsSize}}"},"MORE_BUTTON":{"MORE":"更多"},"ACTIVATE_BUTTON":{"ACTIVATE":"啟動","ACTIVATED":"已啟動"},"ACTION_MENU":{"ENABLE_ALL_MODS":"啟用所有 Mod","DISABLE_ALL_MODS":"停用所有 Mod"},"EMPTY_STATE":{"TITLE":"還沒有 Mod","DESCRIPTION":"建立 Playset 的用意就是可以盡情使用 Mod 遊玩，所以快為這個嶄新的 Playset 新增一些 Mod 吧！","ADD_MODS":"新增 Mod"},"LIST":{"AUTHOR":"<0>作者：</0><1/>"}},"CONSOLE_FOOTER":{"SEARCH":"搜尋","APPLY_FILTERS":"套用篩選","APPLY":"套用","OPEN":"開啟","ADD":"新增","BACK":"返回","ENABLE_DISABLE":"啟用/停用","ENABLE":"啟用","DISABLE":"停用","SUBSCRIBE":"新增到 Playset","UNSUBSCRIBE":"從 Playset 中移除","CLOSE":"關閉","CHANGE_ORDER":"變更順序","RESET_LOAD_ORDER":"重設載入順序","SCROLL":"捲動","DELETE":"刪除","DETAILS":"詳細資訊","ACTIVATE":"啟動","RENAME":"重新命名","CANCEL":"取消","CONFIRM":"確認","CREATE":"建立","TOGGLE_ACTION_MENU":"切換行動選單","SCROLL_TO_TOP":"捲動至頂部","LIKE":"讚","REMOVE_LIKE":"收回讚","EXPAND":"展開","COLLAPSE":"摺疊","OPEN_WEB_LINK":"在網頁瀏覽器中開啟","SELECT":"選擇","REPLY":"回覆"},"CONSOLE_FILTER":{"TITLE":"篩選結果","TAGS":"標籤","FILTER":"篩選","FILTERED":"已篩選"},"DEPENDENCIES_NOTIFICATION":{"TITLE":"您即將新增 Mod「{{modName}}」。","INFORMATION":"<0>這個 Mod 必須有另外 {{numberOfDependencies}} 個 Mod (總大小：{{totalSizeOfDependencies}}) 才能正常執行。</0><1>是否要一併自動新增這些必要的 Mod？</1>","SUBSCRIBE_TO_MODS":"新增必要 Mod","IGNORE_MODS":"忽略必要 Mod","NOT_PUBLISHED_DEPENDENCIES":"<0>請注意，此 Mod 的某些相依項目無法使用，這可能會導致此 Mod 無法正常執行。</0><1>可能原因包括相依項目已被封鎖、刪除，或經其他方式從發布狀態移除。</1>"},"OUT_OF_SYNC":{"PLAYSET_OUT_OF_SYNC":{"TITLE":"Playset 同步衝突","INFORMATION":"Playset 的伺服器狀態與本機狀態不符。您想繼續使用/保留何者？","KEEP_CLOUD":"保留雲端檔案","KEEP_LOCAL":"保留本機檔案"},"CLOUD":{"TITLE":"將雲端檔案下載至本機","INFORMATION":"伺服器檔案將覆寫本機檔案。確定要繼續嗎？","BACK":"返回","DOWNLOAD":"下載至本機"},"LOCAL":{"TITLE":"將本機檔案上傳至伺服器","INFORMATION":"本機檔案將覆寫伺服器檔案。確定要繼續嗎？","BACK":"返回","DOWNLOAD":"上傳至伺服器"}},"SYNC":{"TITLE":"正在取得 Mod 的最新更新...","INFORMATION":"無法在更新進行時瀏覽 Mod。關閉此視窗仍會繼續更新。","MODS_DONE":"Mod 已完成","UPDATING_MOD":"正在更新 Mod","STOP_AND_CONTINUE_NEXT_TIME":"關閉此視窗","WAITING_FOR_DOWNLOAD":"正在等待下載開始...","CHECKING_MODS":"正在檢查 Mod...","DOWNLOADING":"正在下載","DONE":"前往清單","CLOSE":"關閉","RESYNC":"重新開始同步","UNHANDLED_ERROR":"部分 Mod 在同步時發生錯誤，請移除出錯的 Mod 後重試。","OUT_OF_SPACE":"磁碟空間不足，無法將 Playset 更新至最新版。您必須移除一些 Mod 來騰出磁碟空間。","INSTALLING":{"PREPARING":"正在準備...","PATCHING":"正在移動檔案...","APPLYING":"正在套用變更...","PERMISSIONS":"正在更新權限...","CLEANUP":"正在清理...","":"正在安裝"}},"OTHER":{"DLCS":"可下載內容","MODS":"Mod","NO":"否","REQUIRED":"必要"},"SCREEN_KEYBOARD":{"TITLES":{"SEARCH_MODS":"搜尋 Mod","REPORT_COMMENT":"檢舉說明","CREATE_PLAYSET":"建立 Playset","RENAME_PLAYSET":"為 Playset 重新命名","PUBLISH":{"DISPLAY_NAME":"設定顯示名稱","GAME_VERSION":"設定建議的遊戲版本","CHANGELOG":"新增更新紀錄條目","DESCRIPTION":"設定描述"}}},"REPORT":{"SECTION_TITLE":"標記為不恰當","INFORMATION_TEXT":"如果您認為此 Mod 違反了我們的條款和條件，請檢舉 Mod 以交給我們審查。","BUTTON":"提交檢舉","BUTTON_DONE":"已傳送檢舉","SUBMIT":"提交檢舉","INFORMATION":"請於下方填寫詳細資訊，我們會將其提交給品質保證團隊進行分析。感謝您協助 Paradox 變得更好，並創造更安全的環境。","CAPTION":"檢舉原因","COMMENT_TITLE":"請提供更詳細的資訊：","COMMENT_PLACEHOLDER":"請在此處填寫說明...","THANK_YOU":"感謝您的檢舉。","THANK_YOU_MESSAGE":"您已檢舉此 Mod 供管理團隊審查。感謝您協助 Paradox Mods 變得更好，並創造更安全的環境。","MISSING_REASON":"您必須選擇原因。","MISSING_DESCRIPTION":"您必須描述違規行為。","CLOSE":"關閉視窗","COMMENT_INFORMATION":"您即將因含有不當內容檢舉此 Mod。","COMMENT_SUBINFORMATION":"您已告知我們，它可能含有以下問題：","PREVIEW_COMMENT":"您的說明：","PREVIEW":"預覽","VERSION_PREFIX":"v","REASONS":{"NUDITY":"裸露","VIOLENCE":"暴力","HARASSMENT":"騷擾","SPAM":"濫發","COPYRIGHT":"侵犯著作權","HATE":"仇恨言論","DOESNOTWORK":"Mod 無法正常執行","OTHER":"其他問題"}},"SEARCH":{"NO_SEARCH_RESULTS":"沒有搜尋結果","MODS_AVAILABLE":"{{modsAvailable}} 個可用的 Mod"},"INSTALLED_MODS":{"MODS_INSTALLED":"{{modsAvailable}} 個已安裝的 Mod"},"XBOX_SEARCH":{"CLEAR_SEARCH":"清除搜尋"},"SEARCH_INPUT":{"PLACEHOLDER":"搜尋 Mod..."},"PLAYSETS":{"TITLE":"Playset","ACTIVE":"啟動中","ACTIVATE_PLAYSET":"使用此 Playset","CREATE_NEW_PLAYSET":{"TITLE":"建立新 Playset","NAME":"名稱","CREATE":"建立","CANCEL":"取消","KEYBOARD_TITLE":"輸入新的 Playset 名稱","SUCCESS":"已建立 Playset「{{name}}」。"},"MODS_COUNT":"{{modsCount}} 個 Mod","UPDATED":"最後更新：{{updated}}","DELETE":{"TITLE":"確認刪除 Playset","TEXT":"確定要刪除 Playset「{{name}}」嗎？"},"RENAME":{"TITLE":"為 Playset 重新命名","TEXT":"為「{{name}}」重新命名"}},"PUBLISH":{"INPUT_DETAILS":"Mod 詳細資訊","DISPLAY_NAME":"顯示名稱 *","DISPLAY_NAME_ERROR":"顯示名稱為必填","SUGGESTED_GAME_VERSION":"建議的遊戲版本 *","SUGGESTED_GAME_VERSION_ERROR":"建議的遊戲版本為必填","COVER_FILE_NAME":"封面圖片檔名 *","COVER_FILE_NAME_ERROR":"封面圖片檔名為必填","DESCRIPTION":"描述 *","DESCRIPTION_ERROR":"描述為必填","CHANGELOG":"更新紀錄條目 *","CHANGELOG_ERROR":"更新紀錄條目為必填","PUBLISH_NEW_VERSION":"發布新版本","PUBLISH_NEW":"發布","PUBLISHING_TITLE":"Mod 待發布","PUBLISHING":"目前正在發布您的 Mod。可能需要等待一段時間才會完成。"},"LIBRARY":{"PLAYSETS_TITLE":"我的 Playset","CREATIONS_TITLE":"我的創作","IMPORTED_TITLE":"我已匯入的 Mod"},"CONFIRM_MODAL":{"CONFIRM":"是","CANCEL":"取消","RENAME":"重新命名"},"ALERT_MODAL":{"CONFIRM":"關閉"},"TOASTS":{"UNSUBSCRIBED_MOD":"已成功移除 Mod。","ENABLED_PLAYSET_MODS":"已成功啟用 Playset 的 Mod","DISABLED_PLAYSET_MODS":"已成功停用 Playset 的 Mod","COMMENT_POSTED":"已成功發布評論"},"WIP_MOD":{"CREATE_NEW":"建立新 Mod","CREATE_NEW_TEXT":"建立新的製作中 Mod。","CREATE":"建立","CANCEL":"取消","DELETE_TITLE":"刪除製作中的 Mod","DELETE_TEXT":"確定要刪除 Mod「{{modName}}」嗎？","DRAFT_MODS":"{{modCount}} 個草稿 Mod"},"WARNING":{"START_SCREEN":{"XBOX":"<0>重要提醒</0> Mod 將改變遊戲的原始體驗，且這些 Mod 並未經由 Paradox Interactive、開發者或 Xbox 預先測試或檢驗。只要有啟用一個以上的 Mod，所有成就進度都將停用。使用 Paradox Mods 需遵守 Paradox 使用者合約。","PLAYSTATION":"<0>重要提醒</0> Mod 將改變遊戲的原始體驗，且這些 Mod 並未經由 Paradox Interactive、開發者或 PlayStation 預先測試或檢驗。只要有啟用一個以上的 Mod，所有獎盃進度都將停用。使用 Paradox Mods 需遵守 Paradox 使用者合約。","DEFAULT":"<0>重要提醒</0> Mod 將改變遊戲的原始體驗，且這些 Mod 並未經由 Paradox Interactive 預先測試或檢驗。只要有啟用一個以上的 Mod，所有成就進度都將停用。使用 Paradox Mods 需遵守 Paradox 使用者合約。"},"EXIT":{"CLOSING":"正在關閉...","CLOSE_NOW":"立即關閉","TITLE":"重要提醒","XBOX":"只要有啟用一個以上的 Mod，系統就會停用成就進度，直到您再度停用 Mod 為止。確定要繼續嗎？","PLAYSTATION":"只要有啟用一個以上的 Mod，系統就會停用獎盃進度，直到您再度停用 Mod 為止。確定要繼續嗎？","DEFAULT":"只要有啟用一個以上的 Mod，系統就會停用成就進度，直到您再度停用 Mod 為止。確定要繼續嗎？","CONFIRM":"是，請保留 Mod 並返回主選單","CANCEL":"返回 Paradox Mods"}},"MOD_SPOTLIGHT":{"VIEW_DETAILS":"查看詳細資訊","READ_MORE":"閱讀詳細資訊"},"START":{"FEATURED_MODS":{"BROWSE_ALL":"瀏覽全部","LOAD_MORE":"載入更多","MOST_POPULAR":"最熱門的 Mod"}}}')};var pT=Yt()(TT).reduce((function(e,t){return e[t]={translations:TT[t]},e}),{});lT.use(st).init({compatibilityJSON:"v3",lng:"en",fallbackLng:"en",preload:Yt()(TT),debug:!1,ns:["translations"],defaultNS:"translations",resources:pT,interpolation:{escapeValue:!1},react:{transSupportBasicHtmlNodes:!0,transKeepBasicHtmlNodesFor:["br","strong","i"],useSuspense:!0}});var fT=n(3819),ST=n.n(fT),OT=n(5234);OT&&ST()(OT).call(OT).forEach((function(e){(new Image).src=n(6075)("./".concat(e.replace("./","")))}));var AT=document.getElementById("root");(0,t.s)(AT).render(e.createElement(mT,null,e.createElement(cT,null)))})()})();